title: Harassers are nice to me, and probably to you
url: https://leaddev.com/harassers-are-nice-me-and-probably-you
hash_url: b715701834baa76baecb154cf2c92c9c

<p>In any organization, there will be people who behave inappropriately, sometimes grievously so. Here’s the paradox: the more senior the role you’re in, and the more power you have to help coworkers who are facing awful behavior like harassment or bullying, the less likely you are to see those things.</p>
<p>Simply put, if you’re in a position of power at work, you’re unlikely to see workplace harassment in front of you. That’s because harassment and bullying are attempts to exert power over people with less of it. People who behave improperly don’t tend to do so with people they perceive as having power already. </p>
<p>When I was younger and in more junior roles, I dealt with harassment all the time. It was a defining characteristic of several jobs I had. What stands out in my memory from those roles isn’t what I learned or how I grew, but how hard I worked to avoid the men (it was always men) who made me feel meek and small. But over time, as I’ve moved up in my career, harassment has become steadily less prevalent in my work life. </p>
<p>A few years ago, when I was on the executive team of an org that employed around 250 people, nearly all of whom seemed very lovely to me, I wondered if perhaps I had found a group of people that simply didn’t include any bad apples. Spoiler alert: I had not.</p>
<p>Some months into the job, somebody made an offhand comment in front of me about a mid-level designer – a man in his 30s who was, apparently, well known for making young women in the organization feel uncomfortable. Let’s call this man Peter. Peter was also the first person to invite me out for coffee on my first day on the job. I had thought it a little curious at the time, since our work wasn’t going to overlap much. But he had been very friendly, sharing almost too much information about past problems at the org. I hadn’t thought too much of it. </p>
<p>It wasn’t until months later that I heard Peter described by a junior employee in a tone of voice that suggested everyone knew he was a problem. It was as if I’d stepped out of the Matrix and could now see reality. Suddenly, I understood why he had sought to establish a relationship with me early on. I was going to have power in the org, and he wanted that power to view him favorably. I also realized that most or all of the other people at my level – the very people who could do the most to address Peter’s behavior – likely didn’t know what everyone else thought was common knowledge. </p>
<p>Imagine it: a majority of people at the company know or have a feeling that something is wrong. Everyone they talk to regularly knows it, too. Nobody among them thinks to discuss it with the most senior people, because as far as they can tell, everyone knows. And if the senior team isn’t doing anything, they must not care. Indeed, it probably isn’t safe to raise the issue with them because they all seem friendly with Peter. </p>
<p>At that point in my career, I had spent a lot of time working on diversity, equity and inclusion. I had an undergrad degree in gender studies, and I was quite aware of organizational dynamics and structural oppression; I was on the path that I remain on to understand and use my advantages as a White person to change the workplace. And yet, I was stunned to realize that I had passively become a reinforcing part of the very type of harassment that I had struggled with for years. That was not the last surprise.</p>
<p>In my current job, I recently posted about this dynamic in a public Slack channel. Two of my colleagues – cis, White, middle-aged men who manage managers – reached out to me individually to say that they were glad I was talking about this, because they didn’t know what harassment looked like, and they wanted to learn so they could watch out for it. One of them said simply, ‘I’ve been a straight white guy my whole life. Nobody harasses me.’</p>
<p>I was pushed through the Matrix again. Not only was it possible that people in senior leadership positions at work had never been harassed, it was also possible that they didn’t even know what it looked or felt like. </p>
<h2>So what does harassment look and feel like? </h2>
<p>Harassment is, unfortunately, a big category (and some of this discussion might be triggering). You are probably aware of the legal guidelines here, which prohibit quid pro quo (e.g. ‘I’ll give you a raise if you sleep with me’) and create a hostile environment (e.g. bullying people or teasing them in a demeaning way). Often, though, harassment and bullying fall somewhere in between these things. To people experiencing these things, they might look like, among many other things:</p>
<ul><li data-gc-list-depth="1" data-gc-list-style="bullet"><strong>Unwanted invitations.</strong> Asking a coworker to join you for drinks, dinner, or even lunch, especially after they’ve already said no.</li>
<li data-gc-list-depth="1" data-gc-list-style="bullet"><strong>Unwanted attention.</strong> Commenting on a coworker’s appearance i.e., clothing, hair, makeup, or body. </li>
<li data-gc-list-depth="1" data-gc-list-style="bullet"><strong>Unwanted touching. </strong>Slightly prolonged taps, feeling somebody’s hair, hugging. Even a few years ago, hugging at work was common in some workplaces. That’s less the case now, both because it can shade into harassment and also because it’s more widely understood that some neurotypes find any kind of touching uncomfortable.</li>
<li data-gc-list-depth="1" data-gc-list-style="bullet"><strong>Unwanted online interactions.</strong> Sliding into somebody’s DMs with suggestive emojis or sending flirtatious emails. </li>
<li data-gc-list-depth="1" data-gc-list-style="bullet"><a data-gc-link="https://en.wikipedia.org/wiki/Microaggression#:~:text=Microaggression%20is%20a%20term%20used,group%2C%20particularly%20culturally%20marginalized%20groups." href="https://en.wikipedia.org/wiki/Microaggression#:~:text=Microaggression%20is%20a%20term%20used,group%2C%20particularly%20culturally%20marginalized%20groups."><strong>Microaggressions of all types</strong></a><strong>.</strong> Although I’m using it broadly here, the term was originally coined in 1970 to describe racist comments, specifically. Notably, in his recent book, <em>How to Be an Antiracist</em>, Ibram X. Kendi rejects the term, in part because, ‘A persistent daily hum of racist abuse is not minor…I use the term “abuse” because that describes the action and its effects on people.’</li>
</ul><p>Again, it’s critical to understand that harassment and bullying are expressions of power, so the perpetrator has status over the person they’re targeting: either from the org chart or from social systems like patriarchy and White supremacy. In other words, a White peer can abuse a Black coworker, an able-bodied peer can harass a disabled coworker, and so forth. It doesn’t require a senior title, though that almost always increases the impact. </p>
<p>That impact is significant. If you’re in a position of societal or organizational power, these behaviors may seem small; if you’re lower in power, they can be devastating, causing people to question their own actions and worth. People who have to field these behaviors in a workplace are, at a very minimum, distracted and drained. Depression is common, and even suicide is a possible result. The fact that the patterns may be hidden from you does not make them less significant. </p>
<h1>How can you become aware of it?</h1>
<p>Having shared that glimpse of what harassment is, I’m going to talk about what we – the leaders in our organizations – can do to become aware of it, and how we can tell if our actions are effective. Because we can’t take action if we don’t realize bad behavior surrounds us, I’m going to focus on creating the conditions for awareness, not on actually addressing harassment or bullying. Once you become aware, you can work with other leaders to address it. </p>
<p>Here are five things I’ve done to make it easier for people to talk with me about behavior that’s hidden from me. </p>
<ul><li data-gc-list-depth="1" data-gc-list-style="bullet">A few times a year, I post a public message in Slack about how I used to experience harassment all the time, but now I rarely see it at all because of my title. So even though I’m more likely in a position to help, I need other people’s help to understand what’s happening. I post infrequently enough that people pay attention, but often enough that new people get the message.</li>
<li data-gc-list-depth="1" data-gc-list-style="bullet">I’m unsurprised when I hear that somebody with social power who is very friendly to me has been causing problems for other people. In other words, I believe the stories of marginalized and underrepresented people over my own experience. (This is hard!)</li>
<li data-gc-list-depth="1" data-gc-list-style="bullet">I hold skip-level meetings at least quarterly, so that everyone who reports up to me knows who I am and that my door is open. </li>
<li data-gc-list-depth="1" data-gc-list-style="bullet">I welcome and cultivate professional 1:1 relationships with younger people who don’t report to me. They’re often aware of problems in the organization and need support outside their reporting chain to figure out how to speak up.</li>
<li data-gc-list-depth="1" data-gc-list-style="bullet">I talk often about inequity. Being vocal about it is a signal to people throughout the organization about the values I hold and the culture I’m aiming to help create. </li>
</ul><h2>How do you know if any of this is working? </h2>
<p>There are a few signs I look for. </p>
<p>Are junior people in the organization seeking me out to talk about uncomfortable things? For example, are they coming to me because they think they’re being underpaid but don’t know how to ask their manager for a raise? Are they coming to me because they’re worried that their work is suffering due to a recent breakup and they don’t know if they should tell their team lead? When these conversations come up, it’s likely that I’ve built some trust with people who don’t report directly to me or aren’t in my reporting chain at all.</p>
<p>Are junior people in the organization coming to me because they’ve heard I’m good to talk with? That’s often a sign that I’m developing a reputation for having perspective beyond my own experience. (It’s worth noting that I’m not universally helpful. None of us can be good for everyone to talk with.)  </p>
<p>Are the people who report to me bringing up power dynamics on their teams so that we can talk through potential issues? That suggests they know that I care about power dynamics. </p>
<p>Ultimately, we have to ask ourselves: are people talking to me about harassment or bullying they see or experience? And we have to understand that if they are not, that doesn’t mean it isn’t happening. Instead, it means you don’t know about something very vital that is almost certainly happening around you all the time. If you aren’t hearing about it, it’s time to take action to ensure that you do.</p>
