title: Safety at conferences
url: https://laurakalbag.com/safety-at-conferences/
hash_url: 159231336c8a81b29ad49fc1b8f233c8

<p>There’s a lot of discussion on UK Twitter right now about women’s safety in public spaces. And of course, I’ve been afraid to walk after dark, and sometimes even during the daytime, in most places that I’ve lived and visited. Since I was a young teenager, our friends would always make sure nobody walked home alone at night. That’s why it astonishes me to hear from cis men who don’t understand how much the rest of us fear them.</p>
<h2 id="i-dont-feel-safe-at-conferences">I don’t feel safe at conferences</h2>
<p>A lot of people are wondering what they can do to change this situation. (I mean the reasonable people who aren’t blaming the victims.) And so I wanted to bring up the safety of in-person conferences, in the hope that perhaps conference organisers might take this opportunity to commit to making their events safer, and less scary, for people who justifiably fear harassment and harm from cis men.</p>
<p>For the last few years, I’ve had the following in my conference speaking terms:</p>
<blockquote>
<p><strong>Please arrange for someone to meet me at the airport or train station.</strong>
I’m happy to take public transport, I would just appreciate some company! As a woman, it really means a lot to feel safe travelling to/from venues at night. I’ve had conferences expect me to walk alone across an unfamiliar city late at night in the dark. If the venues are close-by, or there’s someone who can help me get back safely, I’d really appreciate it.</p>
</blockquote>
<p>I can count <em>one</em> conference that has actively taken my request seriously, or even acknowledged it.</p>
<p>Most conferences have parties that end late in the evening, often at venues at a distance from the event venue, and potentially further away from the accommodation they book for speakers. I can’t count the number of times I’ve walked back to my hotel from a venue in the dark, trying to map the route on my phone, hoping my mobile roaming plan will hold out for long enough in a city I’ve never been to, trying not to draw attention to myself as a small and weak person. Trying to decide whether it’s safer to travel on faster empty public transport where I could be trapped with someone, or taking longer walking where at least I could try to run away. Never wearing earphones, trying to stand tall and walk stridently as if I’m a strong woman who knows where she’s going. Often having had confrontations with aggressive men at the conferences who disagreed with my views, or thought I wasn’t sympathetic enough to their perspectives. Usually I’ll leave a party or dinner early if I know another speaker (who I feel safe with) is going back to the same accommodation, so we can travel together.</p>
<p>Perhaps my request isn’t strong enough, perhaps I need to chase up the organisers to ensure my requests are heard. If I’m honest, I struggle to ask for “special treatment”. As someone who is not a big name cis white guy, who chooses to speak about “challenging” topics like accessibility, inclusivity, privacy and rights, I’m all too aware of constantly walking a line where I could easily be dropped by an organiser for being difficult, or not worth the effort.</p>
<h2 id="what-can-conferences-do-to-improve-our-safety">What can conferences do to improve our safety?</h2>
<p>It would really help me, and other people who feel vulnerable in these situations, if conference organisers could help keep us safe. I’ve got a few specific ideas below. I’ve tried to focus on affordable options:</p>
<ul>
<li>Provide speakers with maps (that don’t rely on internet connections!) and optimal travel information to help them get between your venues and their accommodation.</li>
<li>Meet speakers at the airport or train station, help them get to the venue or their accommodation safely.</li>
<li>Arrange a buddy system so that speakers don’t need to travel alone, whether that’s with other speakers, organisers or attendees. Give people an easy option to choose another buddy if necessary, and don’t question their need to do so. (Unfortunately many of us know people in the industry with whom we’d not feel comfortable alone, and do not want the repercussions of sharing their names publicly.)</li>
</ul>
<h2 id="at-the-conferences-themselves">At the conferences themselves</h2>
<p>Safety at the conference itself is a whole other issue. I could write many blog posts about codes of conduct, their lack of enforcement, and the poor behaviour of both conference attendees and organisers. Maybe another time.</p>
<h3 id="for-non-organisers">For non-organisers</h3>
<p>If you’re a cis man at a conference, please be aware that you are, by default, a threat. It’s not personal, it’s statistics. And unfortunately usually based on past experience. You may well be “one of the good guys”, but if you are a stranger (and sometimes even not), there is no way for us to know that you won’t harass or harm us.</p>
<p>What can you do to help? Number one, for all time, pay attention to the people in the room who may feel vulnerable and step in if they are being faced with <em>any</em> questionable behaviour. Passive-aggressive comments can often escalate into worse situations, don’t let it get there. Make sure people know when their behaviour is unacceptable, and take care of the person who had to deal with it, especially when they might be more vulnerable alone later on.</p>
<p>Ask someone if they need company getting to where they need to go, and help them find a safe route, or someone who is suitable to help them, well ahead of the time they need to leave. Realise that offering to take someone back to their accommodation can be perceived as a potential threat, so prioritise finding a person who will make them feel safe over being the hero yourself.</p>
<p>And try to make people feel less of a burden when you help them. When you are socialised as a person from a minoritised group, you are encouraged to politely refuse help that might make a cis man go out of his way. Yes, these requests can be socially awkward, and rely on you stepping out of your comfort zone. But a little of your discomfort could afford someone the safety that might just save their life.</p>
