title: Les conséquences de « l’airbnbisation » des villes
url: https://theconversation.com/les-consequences-de-lairbnbisation-des-villes-157004
hash_url: 33d9a576ac9c0d0eb8b62f33c888ca15

<p>À l’été 2019, <a href="https://www.lexpress.fr/actualite/societe/8-5-millions-de-francais-ont-utilise-airbnb-pour-se-loger-cet-ete_2096306.html">8,5 millions de Français</a> ont loué leur logement via la plate-forme Airbnb.</p>

<p>Ce chiffre pourrait être bénéfique si un véritable circuit vertueux économique et social, avait été observé. Or, à l’instar <a href="https://hal.archives-ouvertes.fr/hal-01775286">d’une tendance mondiale</a>, les études montrent que c’est l’inverse qui se produit.</p>

<p>Certes, de manière paradoxale, la plate-forme permet à des touristes plus modestes de « partir en vacances ». C’est ce que montrent les données de <a href="http://observatoire-airbnb.fr">l’Observatoire Airbnb</a>, créé en 2016 dans une visée de lutte contre les inégalités sociales et territoriales en France et d’entretiens menés auprès des personnes concernées.</p>

<h2>Les départs des habitants les plus modestes</h2>

<p>Si la gentrification, concept controversé créé par Ruth Glass en 1964 pour désigner « l’embourgeoisement » des <a href="https://www.cairn.info/journal-espaces-et-societes-2008-1-page-23.htm">quartiers populaires</a> préexistait à Airbnb, l’amplification de la location saisonnière a accéléré les départs des habitants les plus modestes notamment, et des étudiants précaires en particulier, bien que d’autres critères (situation familiale, lieu de résidence, origine) sont aussi affectés. Cette bonne idée de départ, qui est reprise par les dirigeants comme collaborative, ne l’est pas pour tous les logements.</p>

<figure class="align-center zoomable">
            <a href="https://images.theconversation.com/files/389069/original/file-20210311-21-mdj1na.png?ixlib=rb-1.1.0&amp;q=45&amp;auto=format&amp;w=1000&amp;fit=clip"><img alt="" src="https://images.theconversation.com/files/389069/original/file-20210311-21-mdj1na.png?ixlib=rb-1.1.0&amp;q=45&amp;auto=format&amp;w=754&amp;fit=clip" srcset="https://images.theconversation.com/files/389069/original/file-20210311-21-mdj1na.png?ixlib=rb-1.1.0&amp;q=45&amp;auto=format&amp;w=600&amp;h=482&amp;fit=crop&amp;dpr=1 600w, https://images.theconversation.com/files/389069/original/file-20210311-21-mdj1na.png?ixlib=rb-1.1.0&amp;q=30&amp;auto=format&amp;w=600&amp;h=482&amp;fit=crop&amp;dpr=2 1200w, https://images.theconversation.com/files/389069/original/file-20210311-21-mdj1na.png?ixlib=rb-1.1.0&amp;q=15&amp;auto=format&amp;w=600&amp;h=482&amp;fit=crop&amp;dpr=3 1800w, https://images.theconversation.com/files/389069/original/file-20210311-21-mdj1na.png?ixlib=rb-1.1.0&amp;q=45&amp;auto=format&amp;w=754&amp;h=606&amp;fit=crop&amp;dpr=1 754w, https://images.theconversation.com/files/389069/original/file-20210311-21-mdj1na.png?ixlib=rb-1.1.0&amp;q=30&amp;auto=format&amp;w=754&amp;h=606&amp;fit=crop&amp;dpr=2 1508w, https://images.theconversation.com/files/389069/original/file-20210311-21-mdj1na.png?ixlib=rb-1.1.0&amp;q=15&amp;auto=format&amp;w=754&amp;h=606&amp;fit=crop&amp;dpr=3 2262w" sizes="(min-width: 1466px) 754px, (max-width: 599px) 100vw, (min-width: 600px) 600px, 237px"></a>
            <figcaption>
              <span class="caption">Appartements entiers sur Airbnb à Paris, mars 2018.</span>
              <span class="attribution"><span class="source">Author</span>, <span class="license">Author provided</span></span>
            </figcaption>
          </figure>

<figure class="align-center zoomable">
            <a href="https://images.theconversation.com/files/389070/original/file-20210311-23-ry55jq.png?ixlib=rb-1.1.0&amp;q=45&amp;auto=format&amp;w=1000&amp;fit=clip"><img alt="" src="https://images.theconversation.com/files/389070/original/file-20210311-23-ry55jq.png?ixlib=rb-1.1.0&amp;q=45&amp;auto=format&amp;w=754&amp;fit=clip" srcset="https://images.theconversation.com/files/389070/original/file-20210311-23-ry55jq.png?ixlib=rb-1.1.0&amp;q=45&amp;auto=format&amp;w=600&amp;h=309&amp;fit=crop&amp;dpr=1 600w, https://images.theconversation.com/files/389070/original/file-20210311-23-ry55jq.png?ixlib=rb-1.1.0&amp;q=30&amp;auto=format&amp;w=600&amp;h=309&amp;fit=crop&amp;dpr=2 1200w, https://images.theconversation.com/files/389070/original/file-20210311-23-ry55jq.png?ixlib=rb-1.1.0&amp;q=15&amp;auto=format&amp;w=600&amp;h=309&amp;fit=crop&amp;dpr=3 1800w, https://images.theconversation.com/files/389070/original/file-20210311-23-ry55jq.png?ixlib=rb-1.1.0&amp;q=45&amp;auto=format&amp;w=754&amp;h=388&amp;fit=crop&amp;dpr=1 754w, https://images.theconversation.com/files/389070/original/file-20210311-23-ry55jq.png?ixlib=rb-1.1.0&amp;q=30&amp;auto=format&amp;w=754&amp;h=388&amp;fit=crop&amp;dpr=2 1508w, https://images.theconversation.com/files/389070/original/file-20210311-23-ry55jq.png?ixlib=rb-1.1.0&amp;q=15&amp;auto=format&amp;w=754&amp;h=388&amp;fit=crop&amp;dpr=3 2262w" sizes="(min-width: 1466px) 754px, (max-width: 599px) 100vw, (min-width: 600px) 600px, 237px"></a>
            <figcaption>
              <span class="caption">Évolution des offres Airbnb à Paris, 2016-2018.</span>
              <span class="attribution"><span class="source">Author</span>, <span class="license">Author provided</span></span>
            </figcaption>
          </figure>

<p>En mobilisant les petites surfaces, le processus Airbnb <a href="https://jean-jaures.org/nos-productions/la-mixite-sociale-en-prise-avec-la-realite-airbnb">« chasse »</a> de facto les étudiants, les personnes les plus précaires, les familles monoparentales des centres urbains, lorsque ces derniers ne possèdent pas de parc HLM suffisant.</p>

<p>Mais, avec l’avènement des métropoles, <a href="http://www.constructif.fr/bibliotheque/2017-11/metropoles-et-peripherie-un-paradoxe-social.html?item_id=3607">ce processus s’accélère</a> encore. Ces dernières bénéficient alors d’un nombre pléthorique d’équipements en termes de santé, de culture notamment. Ainsi, les personnes potentiellement discriminées, en situation de précarité et les étudiant·e·s dont les parents n’habitent pas les centres urbains, ou n’ont pas les ressources nécessaires, se retrouvent alors dans une troisième zone géographique encore plus éloignée des centres ; à plus de 30 kilomètres où les services le sont tout autant.</p>

<p>En d’autres termes, nombre de logements sur la plate-forme sont entièrement dédiés à ceci et ne sont ni habités par les propriétaires, ni loués aux habitant·e·s. Ces logements sortent alors du parc de location traditionnel au bénéfice des touristes.</p>

<p>À l’instar des géographes et sociologues spécialistes des « classes aisées » comme <a href="https://www.cairn.info/voyage-en-grande-bourgeoisie--9782130554202.htm">Anne Clerval</a> ou des Pinçon-Charlot, nous avons cherché à saisir <a href="https://www.cairn.info/revue-societes-et-representations-2004-1-page-385.htm">« les mécanismes de distinction en acte »</a> du point de vue des groupes majoritaires.</p>

<p>La mobilisation des notions de classes sociales, ou de reproduction sont l’expression d’un héritage de la sociologie française bourdieusienne, nous amenant à penser que l’espace urbain ne peut être considéré indépendamment de l’espace social.</p>

<p>Rejoignant <a href="http://geoconfluences.ens-lyon.fr/informations-scientifiques/dossiers-thematiques/remue-meninges/armand-fremont">Armand Frémont</a> (1976), la notion de territoire implique nécessairement une dimension « vécue » et ne peut être analysée en dehors des expériences humaines, c’est-à-dire de l’habiter. Ainsi, le rapport à l’espace social est ce qui renvoie à son <a href="https://journals.openedition.org/insaniyat/11903">expression spatiale</a> dans la société.</p>

<h2>Le mépris républicain</h2>

<p>Ce processus résonne avec les travaux <a href="https://www.lemonde.fr/idees/article/2018/12/07/aux-yeux-des-campagnes-macron-ne-les-connait-pas-pis-il-les-meprise_5393850_3232.html">d’Aymeric Patricot</a> lorsqu’il compare banlieues et campagnes françaises dans le mépris républicain qu’elles vivent au quotidien. Les « gilets jaunes » en témoignent.</p>

<p>La crise du Covid a montré de manière terrifiante la situation des étudiant·e·s précaires et des banlieues oubliées. Les mesures enfin attendues sur les repas à un euro dans certains <a href="https://www.msn.com/fr-fr/lifestyle/cuisine/repas-c3-a0-un-euro-oui-un-c3-a9tudiant-s-e2-80-99est-bien-vu-servir-une-mai">CROUS</a> n’ont pas bénéficié aux étudiantes et étudiants éloignés des zones universitaires urbaines.</p>

<figure class="align-center ">
            <img alt="" src="https://images.theconversation.com/files/394531/original/file-20210412-15-ubtzf4.jpg?ixlib=rb-1.1.0&amp;q=45&amp;auto=format&amp;w=754&amp;fit=clip" srcset="https://images.theconversation.com/files/394531/original/file-20210412-15-ubtzf4.jpg?ixlib=rb-1.1.0&amp;q=45&amp;auto=format&amp;w=600&amp;h=400&amp;fit=crop&amp;dpr=1 600w, https://images.theconversation.com/files/394531/original/file-20210412-15-ubtzf4.jpg?ixlib=rb-1.1.0&amp;q=30&amp;auto=format&amp;w=600&amp;h=400&amp;fit=crop&amp;dpr=2 1200w, https://images.theconversation.com/files/394531/original/file-20210412-15-ubtzf4.jpg?ixlib=rb-1.1.0&amp;q=15&amp;auto=format&amp;w=600&amp;h=400&amp;fit=crop&amp;dpr=3 1800w, https://images.theconversation.com/files/394531/original/file-20210412-15-ubtzf4.jpg?ixlib=rb-1.1.0&amp;q=45&amp;auto=format&amp;w=754&amp;h=502&amp;fit=crop&amp;dpr=1 754w, https://images.theconversation.com/files/394531/original/file-20210412-15-ubtzf4.jpg?ixlib=rb-1.1.0&amp;q=30&amp;auto=format&amp;w=754&amp;h=502&amp;fit=crop&amp;dpr=2 1508w, https://images.theconversation.com/files/394531/original/file-20210412-15-ubtzf4.jpg?ixlib=rb-1.1.0&amp;q=15&amp;auto=format&amp;w=754&amp;h=502&amp;fit=crop&amp;dpr=3 2262w" sizes="(min-width: 1466px) 754px, (max-width: 599px) 100vw, (min-width: 600px) 600px, 237px">
            <figcaption>
              <span class="caption">Un étudiant bénéficie d’un repas à un euro au Centre régional des œuvres universitaires et scolaires (Crous) ici à Paris.</span>
              <span class="attribution"><span class="source">Martin Bureau/AFP</span></span>
            </figcaption>
          </figure>

<p>Les discriminations territoriales et géographiques pour les étudiants éloignés des pôles universitaires se superposent alors avec la raréfaction des logements et les ressources financières des parents, cumulant ainsi les discriminations liées à l’âge et au lieu de résidence.</p>

<p>Ces écarts considérables entre étudiants urbains et les autres à faibles ressources financières remettent sérieusement en question l’illusion républicaine dans son principe d’égalité, car les conditions d’apprentissage et par conséquent le rapport au savoir deviennent inégalitaires face à la distance et à l’épuisement. Poser alors la question de ces ruptures d’égalité pourrait justifier de leviers juridiques et politiques forts afin de renverser ce phénomène discriminant, dans une logique de <a href="https://www.cairn.info/revue-espaces-et-societes-2010-1-page-177.htm">discrimination positive</a> compensatoire.</p>

<blockquote>
<p>« Les populations sont éparpillées ou projetées selon leur groupe social, leur ethnie, leur âge, ainsi se constituent des « ghettos » ou des « zones ghettos plus ou moins résidentiels. » (<a href="https://www.persee.fr/doc/sotra_0038-0296_1968_num_10_4_1408_t1_0456_0000_3">H. Lefebvre, 1968</a>)</p>
</blockquote>

<h2>Les classes moyennes partent à la périphérie des centres-ville</h2>

<figure class="align-right zoomable">
            <a href="https://images.theconversation.com/files/393747/original/file-20210407-19-1vjh4k3.jpg?ixlib=rb-1.1.0&amp;q=45&amp;auto=format&amp;w=1000&amp;fit=clip"><img alt="" src="https://images.theconversation.com/files/393747/original/file-20210407-19-1vjh4k3.jpg?ixlib=rb-1.1.0&amp;q=45&amp;auto=format&amp;w=237&amp;fit=clip" srcset="https://images.theconversation.com/files/393747/original/file-20210407-19-1vjh4k3.jpg?ixlib=rb-1.1.0&amp;q=45&amp;auto=format&amp;w=600&amp;h=919&amp;fit=crop&amp;dpr=1 600w, https://images.theconversation.com/files/393747/original/file-20210407-19-1vjh4k3.jpg?ixlib=rb-1.1.0&amp;q=30&amp;auto=format&amp;w=600&amp;h=919&amp;fit=crop&amp;dpr=2 1200w, https://images.theconversation.com/files/393747/original/file-20210407-19-1vjh4k3.jpg?ixlib=rb-1.1.0&amp;q=15&amp;auto=format&amp;w=600&amp;h=919&amp;fit=crop&amp;dpr=3 1800w, https://images.theconversation.com/files/393747/original/file-20210407-19-1vjh4k3.jpg?ixlib=rb-1.1.0&amp;q=45&amp;auto=format&amp;w=754&amp;h=1154&amp;fit=crop&amp;dpr=1 754w, https://images.theconversation.com/files/393747/original/file-20210407-19-1vjh4k3.jpg?ixlib=rb-1.1.0&amp;q=30&amp;auto=format&amp;w=754&amp;h=1154&amp;fit=crop&amp;dpr=2 1508w, https://images.theconversation.com/files/393747/original/file-20210407-19-1vjh4k3.jpg?ixlib=rb-1.1.0&amp;q=15&amp;auto=format&amp;w=754&amp;h=1154&amp;fit=crop&amp;dpr=3 2262w" sizes="(min-width: 1466px) 754px, (max-width: 599px) 100vw, (min-width: 600px) 600px, 237px"></a>
            <figcaption>
              <span class="caption">Les données de la figure sont disponibles dans les « Données complémentaires ». Lecture : les communes en violet foncé possèdent 15 services différents ou davantage parmi les 27 que comporte la gamme de proximité. Champ : le département de Mayotte n’a été intégré qu’en 2012 à la base permanente des équipements. Les données détaillées relatives à ce territoire sont en cours d’expertise. En conséquence, elles ne sont pas présentées ici.</span>
              <span class="attribution"><span class="source">Insee, base permanente des équipements 2016, J.Dagorn</span>, <span class="license">Author provided</span></span>
            </figcaption>
          </figure>

<p>Avec la gentrification des quartiers populaires, les classes moyennes partent à la périphérie des centres-ville, et gentrifient à leur tour ces deuxièmes « frontières », reléguant de facto les pauvres à la périphérie des périphéries.</p>

<p>Comme le démontre <a href="http://ceriscope.sciences-po.fr/pauvrete/content/part2/en-france-les-pauvres-sen-vont-aussi-a-la-campagne?page=6">Marianne Berthod Wurmser</a>, les « néo-ruraux » aux faibles moyens rencontrent des problèmes lourds qui peuvent les précipiter dans des situations très difficiles, tout comme les habitants des Quartiers dits prioritaires de la ville (QPV).</p>

<p>Au premier plan figurent l’accès aux équipements ou services et les transports. Une grande part de bassins ruraux pauvres sont enclavés, pour des raisons « de performance économique qui privilégient les centres urbains », et les <a href="https://www.cairn.info/revue-d-economie-regionale-et-urbaine-2012-2-page-135.htm">tendances récentes</a> ont clairement été de privilégier les regroupements de services (principalement en ville), les grandes lignes, les zones à forte densité de population, isolant d’autant plus toutes les personnes pauvres éloignées des centres urbains.</p>

<p>Certains <a href="https://www.insee.fr/fr/statistiques/3568656">indicateurs</a> de la Banque permanente des équipements de l’Insee (BPE), montrent que le milieu rural est déficitaire pour beaucoup de services à fort impact social, tels que les transports ou le nombre d’écoles par habitant. Pour ces populations, il ne s’agit pas seulement de gênes dans la vie quotidienne, mais d’un travail inaccessible ou de dépenses irréalisables.</p>

<h2>Agir au cœur des centres-ville</h2>

<p>Pour enrayer ce processus, il est urgent d’augmenter le nombre de logements sociaux, mais pas seulement. Si l’on aspire à davantage de mixité sociale, il est primordial d’agir non pas au niveau des grands ensembles à la périphérie des villes, mais au cœur des centres-ville.</p>

<p>C’est dans le <a href="https://www.seuil.com/ouvrage/les-ghettos-du-gotha-michel-pincon/9782020889209">« ghetto du gotha »</a> qu’il n’existe aucune ou très peu de mixité en raison de la forte homogénéité des populations et de leurs aspirations.</p>

<p>Les événements de protestation violente de plusieurs dizaines d'habitant·e·s du XVI<sup>e</sup> en 2016 contre la <a href="https://www.franceculture.fr/emissions/les-pieds-sur-terre/colere-dans-le-16eme-0">construction d’un centre d’hébergement</a>, prévu pour accueillir 200 sans-abris près du Bois de Boulogne, l’ont encore démontré.</p>

<p>Certains riverains ont, durant une année, insulté, menacé les élu·e·s et toute personne participant de près ou de loin à ce projet. Si les classes sociales dominantes ne veulent pas de mixité, il appartient alors au pouvoir politique de <a href="https://www.cairn.info/revue-pensee-plurielle-2007-3-page-59.htm">légiférer</a>.</p>

<figure class="align-center ">
            <img alt="" src="https://images.theconversation.com/files/394532/original/file-20210412-19-1t4vfyv.jpg?ixlib=rb-1.1.0&amp;q=45&amp;auto=format&amp;w=754&amp;fit=clip" srcset="https://images.theconversation.com/files/394532/original/file-20210412-19-1t4vfyv.jpg?ixlib=rb-1.1.0&amp;q=45&amp;auto=format&amp;w=600&amp;h=399&amp;fit=crop&amp;dpr=1 600w, https://images.theconversation.com/files/394532/original/file-20210412-19-1t4vfyv.jpg?ixlib=rb-1.1.0&amp;q=30&amp;auto=format&amp;w=600&amp;h=399&amp;fit=crop&amp;dpr=2 1200w, https://images.theconversation.com/files/394532/original/file-20210412-19-1t4vfyv.jpg?ixlib=rb-1.1.0&amp;q=15&amp;auto=format&amp;w=600&amp;h=399&amp;fit=crop&amp;dpr=3 1800w, https://images.theconversation.com/files/394532/original/file-20210412-19-1t4vfyv.jpg?ixlib=rb-1.1.0&amp;q=45&amp;auto=format&amp;w=754&amp;h=501&amp;fit=crop&amp;dpr=1 754w, https://images.theconversation.com/files/394532/original/file-20210412-19-1t4vfyv.jpg?ixlib=rb-1.1.0&amp;q=30&amp;auto=format&amp;w=754&amp;h=501&amp;fit=crop&amp;dpr=2 1508w, https://images.theconversation.com/files/394532/original/file-20210412-19-1t4vfyv.jpg?ixlib=rb-1.1.0&amp;q=15&amp;auto=format&amp;w=754&amp;h=501&amp;fit=crop&amp;dpr=3 2262w" sizes="(min-width: 1466px) 754px, (max-width: 599px) 100vw, (min-width: 600px) 600px, 237px">
            <figcaption>
              <span class="caption">La maire Anne Hidalgo entourée de ses adjoints et du public lors d’une rencontre avec l’architecte du centre d’accueil pour familles sans-abri dans le XVIᵉ arrondissement de Paris, un sujet de fortes tensions en 2016.</span>
              <span class="attribution"><span class="source">Christophe Archambault/AFP</span></span>
            </figcaption>
          </figure>

<p>Mais à la lutte contre les inégalités, doit aussi s’inclure la lutte contre le racisme, au risque de vider de sens les termes égalité et citoyenneté pour <a href="https://hal.archives-ouvertes.fr/hal-01261293/document">« les millions de Français qui en souffrent »</a>.</p>

<h2>À qui appartient la ville aujourd’hui ?</h2>

<p>À l’heure des discriminations et des inégalités, la question qui s’impose est la suivante : à qui appartient la ville aujourd’hui ?</p>

<p>Il semblerait aux catégories sociales privilégiées, qui ont détourné les dispositifs tels qu’Airbnb, qui permettait initialement aux classes moyennes d’augmenter leur pouvoir d’achat.</p>

<p>Le choix et les stratégies des groupes majoritaires permettent de conserver cet entre-soi nécessaire à la <a href="http://www.leseditionsdeminuit.fr/livre-La_Reproduction-1952-1-1-0-1.html">reproduction sociale</a>. Mais il s’opère toujours au détriment des autres : à savoir les classes populaires et les personnes discriminées en fonction des critères liés à l’origine et à la précarité sociale notamment.</p>

<p>Sans remettre en cause le droit à la propriété, peut-être s’agirait-il d’en réglementer l’usage et s’assurer que les biens dédiés à Airbnb actuellement en vente à Paris (faute de touristes) seront remis au parc locatif.</p>

<hr>

<p><em>Mathieu Rouveyres a collaboré à cet article qui fait écho à l’ouvrage collectif récemment publié <a href="https://www.msha.fr/msha/publication.php?menu=detail&amp;id=P458">Le rôle de la ville dans la lutte contre les discriminations</a> (Alessandrin et Dagorn dir). MSHA, 2020.</em></p>
