title: How heat can kill you
url: https://www.popsci.com/health/heat-stroke-dangerous/
hash_url: bd7430f1a9799a02760a35f78844a772

<p><a href="https://www.popsci.com/story/diy/heat-stroke-vs-heat-exhaustion/" target="_blank" rel="noreferrer noopener">It begins when you stop sweating</a>. Perspiration usually cools you down by releasing heat into the air as sweat evaporates, but eventually, if your body becomes dehydrated or the external mixture of hot air and humidity gets too high, you can no longer push the salty liquid through your pores. You flush all over as blood moves toward your skin—an attempt to shuttle warmth away from your core. Muscles cramp up as your salt reservoirs deplete. Organs swell as your body kicks up an immune response. Your thinking gets fuzzy. You might start hallucinating. You vomit so your stomach can stop wasting energy on digestion. Your heart pounds and your head aches. You may begin to have seizures.</p>



<p>When death finally comes, whether within the hour or a few days later, it’s in the form of a heart attack or organ failure. In the throes of heatstroke, your internal temperature may spike above 105°F, but if you’re alone—victims often are—you’ll have gone cold by the time someone finds you. It’s likely no one will know that <a href="https://www.popsci.com/diy/heat-stroke-vs-heat-exhaustion/" target="_blank" rel="noreferrer noopener">the true killer was heat</a>. </p>



<p>The human physique begins to fall apart when it gets too hot. “We have to maintain a very specific range of body temperatures,” says <a href="https://socgen.ucla.edu/people/shane-campbell-staton/">Shane Campbell-Staton</a>, a Princeton University evolutionary biologist who studies the impact of extreme temps on people and animals. Most of us are comfortable when the air around us hovers between 68°F and 77°F, which allows us to maintain an internal thermostat somewhere around 98 degrees. When the environment pushes us past those limits, the delicate balance of chemical reactions that keep us alive starts to wobble, leading to cascades of negative effects that can very quickly become fatal. </p>



<p><em>[Related: <a href="https://www.popsci.com/heat-keep-body-cool/" target="_blank" rel="noreferrer noopener">4 ways to keep cool when the temperature spikes</a>]</em></p>



<p>Officially, only about 700 people in the US die from exposure to extreme heat per year, largely among vulnerable populations, like the unhoused and elderly, and people who spend long hours outside for work or sport. But scientists who study the links between weather and human health believe the actual number is much higher, says Scott Greene, a University of Oklahoma geographer who has been researching the subject since the 1990s. Exposure to extreme highs could be the culprit behind thousands of deaths in the United States each year and <a href="https://www.preventionweb.net/files/61119_credeconomiclosses.pdf/">many more</a> around the globe. It’s hard to say how many for certain, given that most of them go unrecorded. But whatever that grim tally is, we know one thing for sure: We can expect more in the years to come.</p>



<p>Without dramatic climate action in the near future, we will likely experience a sharp uptick in extreme heat events across the country by midcentury. That means a greater percentage of the population will deal with dangerous highs—<a href="https://www.weather.gov/safety/heat-index/">according to the National Weather Service</a> that’s triple digits, or anything in the 90s paired with 65 percent humidity or more.</p>



<p>Recent data from the Union of Concerned Scientists predicts that nearly 90 million people will experience 30 days or more of 105°F temperatures per year by 2050, compared to the fewer than 1 million who experienced such heat annually in the late 1900s. Those 30 scorchers will affect nearly one-third of American urban areas, predominantly in the Sunbelt and the southern Great Plains. Temperatures in the Northeast could exceed 90°F for up to 42 days a year, while some states in the Midwest can expect similar forecasts for more than 100 days a year. We can protect ourselves by changing our lifestyles to suit these climes, but public health experts say it will take a concerted effort from local, state, and national governments to edu­cate people on the dangers of heat, alert them when temperatures creep too high, and offer them solutions—like public access to AC and water.</p>



<p>Some of us are more vulnerable than others. The elderly generally don’t sweat or pump blood as efficiently as youngsters can, while children tend to perspire less and have greater surface-to-body-mass ratios. Certain medications, like antipsychotics and blood pressure pills, can throw internal thermostats out of whack. People without homes or access to air conditioning don’t have safe spaces in which to cool down, while construction workers and other laborers sometimes have no choice but to be outdoors, often during the hottest parts of the day.</p>



<p><em>[Related: <a href="https://www.popsci.com/noaa-map-summer-temperature-2090/" target="_blank" rel="noreferrer noopener">These beautiful, terrifying maps show how hot we’ll get in 2090</a>]</em></p>



<p>But anyone can succumb to rising temps. The National Weather Service’s heat index indicates that even temperatures in the 80s come with the risk of illness if you’re exposed for hours at a time and humidity is high, or if you’re engaged in strenuous outdoor activity like athletics. The risk goes up in lockstep with increasing airborne moisture and temperatures.</p>



<p>How likely a person is to die from exposure, however, remains somewhat opaque. That’s why Greene and others in his field examine how many people die in a given area during an unusually hot period, as opposed to just looking at those deaths that coroners or medical examiners code as related to hyperthermia. They search for what are known as “excess deaths”—fatalities that spike above the number typical for an area with the same demographics during that time of year. A similar analysis published by a different team in <em>Environmental Epidemiology</em> in 2020 suggests that heat is a direct or indirect cause of up to 10,000 fatalities in the United States each year—far higher than the official count. The circumstances are right for that number to keep going up, but the crisis is already at our door. Even based on official statistics, heat is already the leading weather-related killer in the country, ahead of winter storms, hurricanes, and flooding.</p>



<p>There’s still time, however, to prevent gruesome deaths. When Greene started researching this field in the 1990s, a stretch of fatally hot weather in the US—most notably, the 1995 Chicago heat wave that killed more than 700 people in five days—led cities across the country to start planning ahead. There hasn’t been sufficient research on such programs to quantify the exact benefits, according to the CDC, but what data we have is positive. The widespread adoption of warning systems to make residents aware of extreme temperatures and their health risks is one of the most important changes to come out of those efforts. An investigation of one such initiative in Philadelphia from 1995 to 1998, for example, found that the city’s interventions saved 117 lives in three years. The urban area’s accompanying response infrastructure also played an important role, Greene says. The media educated the public on the dangers of high temps, local utilities maintained services throughout the heat wave even in cases where payments were overdue, cooling centers offered access to shelter and water, and the city increased its staffing for emergency medical services. Greene and others are still working on tallying the exact impact of each of these mitigation efforts. Still, he says, it’s clear that simply making residents aware of the dangers can go a long way toward saving lives.</p>



<p>But hot spells that take locals by surprise remain a concern, especially in cities. A phenomenon called the urban heat island effect can raise temperatures in areas with lots of heat-holding concrete and a dearth of trees by several degrees compared to surrounding areas. That means densely packed metropolises can fall into the danger zone while folks in the suburbs feel fine.</p>



<p>And even though new warning systems and infrastructure have helped, there’s more work to do. “The main thing that separates us from the rest of the tree of life is our unique ability to buffer ourselves against extremes,” says Princeton’s Campbell-Staton.</p>



<p>To keep dropping the number of deaths, even as temperatures go up, city, county, state, and federal governments need to coordinate their responses, Greene says. He wants to see a more robust centralized national forecasting effort that predicts temperature spikes as far out as possible. With advance notice, cities could prepare by freeing up emergency funds and properly staffing infrastructure like ambulances and cooling centers. Such alerts could also clearly spell out what extreme heat might mean for a given locale: Just as an inch of snow is more of an emergency in Atlanta than it is in Boston due to baseline preparedness and local knowledge, you might not need a heat alert in Phoenix for the same temperatures as in Anchorage. These efforts could help raise the profile of extreme highs as an issue, Greene says, and save lives while they do. But for now, it’s important to realize just how many people are at risk—and how few of them know it.</p>
