title: La culture en partage
url: http://www.lettresvives.org/2019/09/22/la-culture-en-partage/
hash_url: 56d463b169644b98a01a692b9be591c5

<p>Nous sommes un collectif, nous défendons une pratique collective, ce texte a donc été écrit collectivement, nous le signons tou·tes, mais aucun·e de nous ne peut se voir assigner le statut d’auteur ou d’autrice de ce texte. Il est notre réponse aux attaques d’une rare violence dont ont été l’objet certaines d’entre nous autour de la pratique de l’arpentage.</p>



<p>La
lecture en arpentage consiste à partager les pages d’un livre et à
les distribuer à un collectif. Il s’agit d’une pratique issue de
l’éducation populaire et ouvrière qui offre la possibilité de
mettre en mouvement l’intelligence d’un groupe. À l’origine,
elle a été pratiquée par les ouvriers pour s’approprier des
textes législatifs ou politiques. En ce sens, elle représente une
forme d’autogestion et d’autodidactie collective qui permet de se
passer de la glose de l’expert, quel qu’il soit. C’est une
pratique qui vise à l’autonomie du collectif concerné. Dans les
maquis du Vercors, les résistants, conscients de la nécessité de
lutter aussi par la pensée, ont repris cette pratique de lecture.
Elle permet un partage de la culture, « légitime »
autant qu’ouvrière. Ce partage prend la forme d’un échange de
points de vue et permet aux membres du groupe d’affermir leur
pratique argumentative mais aussi de questionner le sens, la
structure ou encore la portée de l’œuvre. En somme, c’est un
outil d’accès à la culture par le partage et par la réflexion
critique.</p>



<p><strong>Récits
d’arpentages</strong></p>



<p>Certain.es
d’entre nous ont expérimenté ce mode de lecture à l’occasion
de formations et de stages syndicaux. Preuve que cette pratique n’a
jamais véritablement disparu et constitue, hier comme aujourd’hui,
un des outils de l’éducation populaire. Nous avons par exemple eu
le plaisir de partager un de ces moments autour du livre <em>La Force
du collectif </em>aux éditions Libertalia (1) lors du stage
Résistances collectives (automne 2018). Cet ouvrage qui revient sur
la lutte des ouvrier.ères de l’usine Lip, dans les années
soixante-dix, se prêtant particulièrement bien – dans la forme
comme dans le fond – à cet exercice. C’est à travers ce genre
de formations que la lecture en arpentage continue son cheminement,
se diffuse et séduit des éducateur.trices.</p>



<p>Ramené
à la question de la didactique des Lettres, l’arpentage devient
une pratique d’entrée dans la lecture, notamment pour des œuvres
qu’on pourrait considérer <em>a priori</em> comme difficiles. Il
faut bien faire le constat suivant : dire à des élèves de
2nde, de 1ère, de n’importe quel âge : « Vous lirez
(au choix) <em>Phèdre</em>, <em>Le Rouge et le noir</em>, etc. pour dans
trois semaines et il y aura un test de lecture », nous n’y
arrivons plus. Laisser certain·es élèves dans cette souffrance et
cette solitude face à l’acte de lecture n’est pas envisageable
pour nous. C’est pourquoi nous accompagnons l’entrée dans la
lecture de multiples façons, en essayant, en tâtonnant, en adaptant
des méthodes, etc., ce qui constitue aussi une grande partie de
notre métier, tel que nous le concevons. Plus jamais cette
injonction : « Lisez ! », sans accompagner,
sans créer d’appétence pour les textes, sans recontextualiser,
sans donner sens et vie à ces textes du passé pour qu’ils
trouvent une nouvelle réalisation dans l’esprit des élèves.</p>



<p>L’arpentage
se fait en début de séquence, les élèves ont ensuite à lire
l’œuvre <em>in extenso</em>. Les témoignages de pratique
concordent : les élèves affirment qu’ils et elles ont envie,
que cela leur semble plus abordable, plein de questions se posent,
leur curiosité est en éveil.</p>



<p>Parlons,
puisque c’est un des points de départ de cette polémique, de la
séance à propos du roman de Marguerite Yourcenar : « <em>Mais
Hadrien il aime les hommes ou les femmes ? » « Pourquoi
parle-t-il tant de la mort ? » « Quel regard a-t-il
sur lui ? » « Ressemble-t-il à Yourcenar ? </em>»
Dans la salle, au bout du compte, tout le monde est en train de
chercher des cartes de l’Empire romain, les monuments évoqués
dans l’œuvre, des bustes des personnages, des éléments
d’information sur la vie de Yourcenar (« e<em>lle adorait la
Grèce elle aussi », « elle voyageait beaucoup </em>»,
etc.). Dans une des deux 1ère, une élève a aimé un passage, l’a
lu à tout le monde, ce qui a abouti à la modification du programme
de lecture linéaire pour y inclure ce passage qui s’est révélé
si pertinent. Voici des mots entendus : « <em>Maintenant,
c’est notre livre. », « C’était génial, tous
ensemble on a lu un livre en deux heures et on ne s’est pas
ennuyés, on a discuté</em>. ». C’est une activité pour
déclencher la lecture, et ça marche.</p>



<p>L’effet
professeur ne suffit pas à expliquer ce résultat. En effet, une
autre collègue a utilisé le procédé de l’arpentage avec
<em>Enfance</em>, de Nathalie Sarraute. Avant cela, les deux activités
menées pour entrer dans l’œuvre n’avaient pas permis de
démarrer : certain·es élèves avouaient ne rien comprendre,
plusieurs n’avaient même pas encore sérieusement ouvert le livre.
La professeure annonce : « <em>Mercredi, on va essayer
quelque chose.</em> »</p>



<p>Mercredi
matin, donc, ils découvrent la salle installée en U. Passée la
petite émotion provoquée par cette disposition des tables, chacun
trouve une place. La séance commence par l’annonce d’une
activité qui suppose qu’ils échangent ensemble, d’où la
disposition des tables. La méthode de l’« arpentage »
est présentée (le mot « ouvriers » accroche leur
attention, nettement) puis l’exemplaire neuf, acheté la veille
pour le partager, est sorti. On fait le compte des pages, on divise
par le nombre de participants. Ce sera huit chacun. La professeure
casse la reliure et commence à séparer et distribuer les pages.
Réaction affolée de certain·es :</p>



<p>« <em>Madame,
ça fait mal au cœur ! Vous avez dépensé 7 euros et vous
détruisez le livre !</em></p>



<p>–
<em>Je ne le détruis pas, je le
partage. Chacun gardera ses pages jusqu’à la fin de l’étude. </em>»</p>



<p>Ils
sortent les carnets de lecture, ouvrent une nouvelle double page :
une page pour prendre en notes tout ce que chacun comprend de ses
huit pages et la page en face pour relever remarques, questions,
éventuellement citations. Passé le moment de trouble et de doute,
c’est parti ! Vingt minutes de lecture absolument silencieuse
et concentrée. Même les plus résistant·es au carnet de lecture
finissent par prendre des notes : double réussite, lecture de
Sarraute et investissement du carnet ! La classe est tellement
silencieuse qu’il a fallu sortir plusieurs fois pour demander à
des élèves dans le couloir de faire moins de bruit. Au retour dans
la salle, personne n’a bougé, tout le monde lit. C’est un
véritable moment de grâce.</p>



<p>Au
bout de vingt minutes, on lance la mise en commun. Une des élèves,
qui connaît déjà la professeure et sait que toute remarque est
possible, dit : « <em>Ça sert à rien, ce qu’on vient de
faire ! À quoi ça sert de lire juste un morceau ? On peut
lire tout le livre !</em> »</p>



<p>Il
faut alors rappeler que personne n’y arrivait, que l’idée est
d’essayer de trouver une solution pour que tout le monde puisse
lire effectivement le livre en entier, mais peut-être en partant des
pages dont chacun·e est responsable, en élargissant à partir de
cette première expérience.</p>



<p>Il ne reste que quelques minutes de mise en commun, qui porte essentiellement sur les personnages. Il se passe alors quelque chose d’étonnant : ils parviennent à perdre la professeure malgré sa maîtrise du texte ! Heureusement, pour chaque question, il y a toujours un élève qui a compris ou vu. On parvient même à mettre en place les éléments essentiels concernant l’enfance de Nathalie Sarraute… et puis ça sonne, trop tôt, trop vite. On essaiera de reprendre tout ça lundi. L’idée émerge de compléter un petit dictionnaire des personnages. Sans doute aussi une petite chronologie. À voir. En tout cas, il y a une belle matière à exploiter dans les jours voire les semaines à venir !</p>



<p>
<strong>L’arpentage :
une pratique qui dérange ?</strong></p>



<p>Mais
le témoignage ne suffira sans doute pas, d’autant que nous ne
sommes pas à l’abri de la mauvaise foi qui refuserait de nous
croire. Aussi éprouvons-nous le besoin de proposer une lecture plus
théorique de l’objet didactique arpentage.</p>



<p>
La question du
<em>corpus</em></p>



<p>Les
méthodes didactiques, même les plus classiques, ont toujours
découpé des œuvres pour des besoins pédagogiques, tout simplement
parce qu’il est impossible de faire lire trop d’œuvres en entier
à des élèves et qu’il faut parfois se contenter de leur faire
lire des extraits, pour leur en donner un aperçu. Cela ne choque
personne qu’on fasse lire en classe le même extrait à tout le
monde alors que bien souvent, cela assèche une œuvre littéraire,
vue à travers trois textes, et souvent les mêmes à travers la
France. Avec l’arpentage, ce sont des extraits multiples qui sont
lus, consignés, restitués et discutés par l’ensemble de la
classe.</p>



<p>La
raison n’est donc pas à chercher dans une critique de la lecture
d’extraits en classe. Qu’est-ce qui donc dérange autant, au
point de se permettre des insultes ?</p>



<p>
	Le livre, objet sacré ?</p>



<p>En
	observant les élèves travaillant sur leurs pages, nous avons pensé
	à l’étymologie du mot « <em>corpus </em>» et au
	rapport entre le travail sur le texte et l’exercice de dissection
	pour les études médicales, à l’image de <em>La leçon d’anatomie</em>
	de Rembrandt. Or cette idée d’une connaissance exploratrice,
	expérimentale, désacralisante ne gêne pas en soi, elle s’oppose
	à une autre conception de la pédagogie des lettres. Il n’est
	qu’à lire le passionnant ouvrage de Clémence Cardon-Quint qui
	éclaire les fondamentaux de l’enseignement du français tels
	qu’ils s’instituent dans les années 30 à 50 : «<em> le
	canon scolaire</em> » des œuvres à étudier, des programmes
	sous-tendus par les notions de goût (à forger) et de patrimoine (à
	transmettre), le nombre et la longueur des textes à aborder dans
	l’année, l’explication de texte, « <em>gloire de
	l’enseignement français</em> » et dont les étapes sont
	codifiées par l’Inspection elle-même, une conception quasi
	religieuse des professeur·es de français. Ils et elles sont
	chargé·es de faire percevoir «<em> l’humanité éternelle </em>»
	à travers la littérature, elle-même sacralisée comme lieu d’une
	« <em>révélation</em> » ; il doit se faire
	« <em>intercesseur</em> » pour favoriser le culte des
	« <em>grands</em> <em>écrivains</em> » ; le cours de
	français est le « <em>théâtre d’une expérience qui engage
	tout entière la personnalité des parties en présence </em>»….
	Cette sacralisation a trouvé corps dans l’objet livre, dont le
	découpage et le partage lors de l’arpentage a été dénoncé
	comme un crime horrifiant.</p>



<p>On
	sait combien la pratique de la dissection se heurta aux violentes
	résistances du pouvoir religieux. Certain·es profs de lettres
	craindraient-ils/elles de perdre ce qu’ils/elles considèrent
	comme leur mission (répandre, en chaire, la foi en la littérature
	auprès d’élèves non-croyant·es) et le statut (de prélat) qui
	va avec ?</p>



<p>On
	fera remarquer en passant que les nouveaux programmes de français
	au lycée vont dans leur sens : des programmes patrimoniaux qui
	invitent à la célébration des « <em>grandes</em> <em>œuvres</em> »
	et à la glose respectueuse, des « <em>programmes pour les
	héritiers</em> » comme le disait Denis Paget dans <em>Le Café
	pédagogique</em>.</p>



<p>
	Une quête du sens</p>



<p>Sur
	le plan didactique, pourtant, certaines critiques nous ont paru
	recevables. Ainsi le fait d’aborder une œuvre par bribes fait-il
	disparaître son unité ? Cela s’entend. Cependant, nous
	avons la conviction que la reconstruction collective de la logique
	de l’œuvre induit des interrogations sur le choix d’écriture ;
	le réseau des récurrences, le travail de sériation qui font œuvre
	apparaissent comme des évidences. De fait, l’entrée dans l’œuvre
	est morcelée, mais permet le travail de réception et
	d’appropriation de l’œuvre en ceci que l’arpentage construit
	ce qu’il est convenu d’appeler des <em>horizons d’attente</em>.</p>



<p>Mais,
de nouveau, nous entendons les frissons d’horreur, les voix qui
convoquent l’histoire de la censure, à l’idée de déchirer un
livre.</p>



<p>La
portée symbolique du geste peut effectivement faire question. Mais
précisément, voilà un formidable objet didactique : il serait
intéressant que nous, profs de lettres, nous prenions appui sur ces
réactions effarées de certain·es jeunes (et/ou collègues) pour
lancer un travail de recherche, ou un débat sur cette symbolique,
voire une petite histoire des livres détruits afin que soit perçue
toute la portée symbolique de la culture, comme source
d’émancipation pour les dominé·es, ou comme instrument de
domination. Nous pourrions questionner la démarche même de
l’arpentage avec les jeunes et non pas juste l’apporter et
l’imposer.</p>



<p>Nous précisons toutefois que le livre n’est pas brûlé mais partagé : cela n’est pas le même geste. Nous renvoyons aux analyses de Claude Lévi-Strauss sur le cru et le cuit pour dire qu’il nous plaît de penser que la classe peut être une société où l’on pratique la cueillette. Le livre est également désacralisé, ce qui, dans le cadre d’analyse qui est le nôtre, nous parait une nécessité.</p>



<p>
<strong>Contre le dogmatisme littéraire</strong></p>



<p>En fait, nous revenons au religieux, cette question de la sacralisation nous semble centrale. Elle explique la violence inouïe de certaines réactions qui considèrent l’arpentage comme iconoclaste. Par principe et par préjugé : ces « haters » ont-ils lu tout le fil d’Hélène ? Ont-ils lu l’article sur Lettres vives ? Ont-ils lu l’interview d’Aurore Delubriac publiée dans le <em>Café pédagogique</em>?</p>



<p>Nous
sommes toujours disposé.es à l’échange sur les questions
didactiques, mais pas disponibles pour l’invective. Nous avons tout
lu, vu apparaître toute la sémantique utilisée pour critiquer
n’importe quelle démarche pédagogique sans distinction de qui et
de pourquoi, sans aucune cohérence. À croire que ces personnes
n’ont pas d’autre argumentaire. Nous avons lu les mêmes mots
pour d’autres pratiques diffusées sur les réseaux sociaux :
« <em>pédagauchiste », « Hitler », « relent
de révolution culturelle », « on sait ce que cela a
donné au Cambodge », « dérives », « démagogie »,
« pédagogistes », « le regret des années
soixante », « z’innovants », « qu’une
météorite géante mette fin à tout cela », « cette
merde », « la connerie humaine », « le Cercle
des poètes disparus », « nauséabonde », « abrutis
bouffis d’orgueil », « l’Enfer est pavé des
meilleures intentions », « un nouveau populisme »,
« petit-bourgeois », « totalitaire »</em>. Il
tombait des injures comme s’il en pleuvait.</p>



<p>Cette
violence-là a effectivement quelque chose de religieux, et pas dans
le plus beau sens du terme. Elle est révélatrice d’un certain
rapport au livre : c’est la confusion, entre le support
imprimé et l’œuvre elle-même, entre l’objet et le texte, entre
le « <em>corps</em> » et « <em>l’âme</em> »,
pour reprendre les mots de l’historien Roger Chartier. L’activité
évoquée n’a rien de numérique en elle-même, mais elle nous met
face à ce qui constitue pour beaucoup une terreur actuelle, une
question refoulée, un défi peu pris en considération :
comment vivre « <em>après le livre </em>» pour reprendre
un titre de François Bon ? Comment inventer un autre rapport à
l’écrit en dehors du papier imprimé ? Beaucoup de profs de
lettres auraient-ils peur des mutations en cours ?…</p>



<p>Cette
conception du livre rejoint une relation à la littérature, de
l’ordre de la foi, issue de nos « goûts », de notre
parcours, de notre éducation : pour un « littéraire »,
tout livre, sanctifié, est considéré comme le Livre ;
l’auteur lui-même – et le masculin est volontaire – est un
être d’exception, un élu, un génie, un « albatros ».
Or cette relation à la littérature est située dans le temps et
dans l’espace, elle est relative : le mot « littérature »
n’existait pas dans son sens actuel avant le XIX<sup>e</sup> siècle,
Alain Viala a bien étudié l’avènement progressif de la
figure de l’auteur et William Marx remarquablement éclairé
« <em>l’adieu à la littérature </em>»… En tant que
profs de lettres, sommes-nous capables de nous décentrer, d’adopter
une vision historique plus large, de sortir d’un certain
ethnocentrisme ? Dit autrement, et pour revenir à ce que nous
sommes, des enseignant·es : cette conception reste-t-elle
tenable face à l’enjeu de la massification scolaire et de la
démocratisation des savoirs ? Encore faut-il se donner cette
mission, rendre les savoirs accessibles à toutes et à tous…</p>



<p>Enfin,
il reste tout de même une question, qu’il nous semble nécessaire
de se poser, à moins de renvoyer la responsabilité de la lecture
aux individus et à leur famille : comment vous y prenez-vous,
les un·es et les autres, pour que les élèves lisent puis
s’approprient les œuvres que vous souhaitez leur faire lire et
aient envie d’en découvrir d’autres, qu’elles et ils
choisiraient seul·es ?</p>







<p>1.
de Charles Piaget et du Réseau et du Réseau citoyens résistants,
émanation de CRHA (organisateur du rassemblement annuel des
Glières).</p>
