title: Petit précis de compostabilité des projets
url: https://ressources.osons.cc/?PetitPrecisDeCompostabiliteDesprojets
hash_url: 5879dbe8a66fc9acfecd9738dbc1a87a

<h2>La compostabilité : pour un écosystème de projets vivaces</h2>
<i>Emballages, meubles, téléphones, ordinateurs, gadgets... chaque objet qui nous entoure est consommateur de ressources naturelles. Le temps où nos créations donnaient lieu à des déchets capables de se décomposer est maintenant loin derrière nous. Problème : lorsque l'on produit des objets trop complexes pour se recomposer d'eux-mêmes, nous accumulons une dette technique qu'il nous faudra un jour assumer.<br/>
<br/>
Pour limiter l'impact et le nombre de ces déchets, de nombreuses solutions se développent et une multitude d'expérimentations sont en cours : mouvement zéro déchet, bacs à compost, repair cafés, ressourceries, etc. <br/>
<br/>
Qu'en est-il lorsque l'on aborde une autre des productions humaines, omniprésente à l'ère du numérique : celle des connaissances ? La seconde vie des idées, de l'immatériel, de nos projets reste un impensé alors même qu'ils sont le fruit de notre énergie vitale, ressource irremplaçable s'il en est. <br/>
<br/>
<b>Mais alors, à quoi ressemblerait une ressourcerie des idées ? Ce texte propose une réponse exploratoire à travers la notion de « compostabilité » développée par Laurent Marseault.</b></i><b/>
<figure class="attached_file center"><a href="https://ressources.osons.cc/files/PetitPrecisDeCompostabiliteDesprojets_piano_20180224210025_20180224210305.jpg"><img class="img-responsive" src="https://ressources.osons.cc/files/PetitPrecisDeCompostabiliteDesprojets_piano_20180224210025_20180224210305.jpg" alt="image piano.jpg (0.2MB)"/></a><figcaption>piano en berry - cc by sa - Romain Lalande</figcaption></figure><p>
Parce qu'elle part de l'observation de la nature et qu'elle vise à en étendre les enseignements à tous nos projets, cette petite allégorie s'adresse à tous. . . pourvu d'être capable d'un peu d'abstraction !
</p><h3>Ce qui vit est compostable</h3>
<p>
Nous vivons sur une planète vivante (et donc limitée) qui obéit au moins à </p><b>deux règles fondamentales</b><p> :

</p><ul>
<li>1. <b>Tout n'est que poussières d'étoiles</b> : la matière qui constitue toute chose est composée de petits atomes, fabriqués au moment du Bing Bang il y a 13 milliard d'années ;</li>
<li>2. <b>La nature se réorganise en permanence</b> : chaque brique qui compose chaque chose se décompose à un moment donné, puis va se réassembler pour redonner de la matière.</li>
</ul>

<p>
Partant de ce principe, toute chose vivante est nécessairement compostable. Une feuille peut s'envoler sur 200km, se décomposer puis se recomposer sous l'effet de petits organismes qui recréent du vivant ; le vivant porte ainsi en lui les conditions de sa propre compostabilité.
</p><p>
Parlons de nous et faisons l'hypothèse qu'en tant qu'êtres humains vivants nous soyons mortels. Convenons qu'il est alors possible qu'en tant qu'individu, qu'en tant que bénévole ou qu'en tant que salarié l'aventure s'arrête un jour.  Pour chaque projet auquel nous contribuons le constat est le même : un concours de circonstances a provoqué le début d'un processus qui tend invariablement à s'éteindre.
</p><p>
C'est cette mort programmée et inéluctable qui doit nous pousser à travailler très en amont sur les conditions de compostabilité des projets. . . au risque de fabriquer des agrégats qui ne puissent se recomposer ! C'est là tout l'enjeu du principe de compostabilité  : préparer la mort des projets et permettre à chacune de leurs composantes de se réassembler à d'autres endroits et potentiellement avec d'autres personnes.

</p><h3>Partager sincèrement pour pouvoir re-composer</h3><p>
Bien souvent, on ne réfléchit pas à la compostabilité des projets lors de leur conception (quels éléments méritent d'être réutilisés, sous quelle forme, où les mettre à disposition,...). Même lorsque l'on décide de rendre disponible ces ressources auprès des autres, cela ne suffit généralement pas à leur assurer une seconde vie. Il faut dès lors réfléchir à la meilleure méthode pour permettre à la matière produite (les contenus, les données, l'expérience due à nos échecs et réussites,...) d'être réutilisée indépendamment de tout contexte d'usage.
</p><p>
Si l'on souhaite continuer à vivre sur une planète vivante il faut incontestablement respecter les règles fondamentales du vivant. Si l'on accepte de fabriquer petit à petit des organisations humaines non-compostables, nous acceptons de facto la création de matière inerte, non utilisable voire polluante à l'échelle de l'existence humaine. </p><b>Utiliser notre énergie vitale pour produire des éléments qui ne vivent pas au-delà de nous-même, ce serait alors se couper du vivant</b><p>.

</p><p>

Prenons pour exemple un grand mouvement d'éducation populaire, qui relève un défi impressionnant avec la création de son MOOC (cours collectif en ligne) sur la gouvernance partagée qui totalise 26 000 inscrits en 2015. De nombreux contenus vidéos sont alors placées sous des licences qui en permettent légalement la réutilisation une fois la formation terminée (CC BY SA).  Malheureusement ces contenus sont trop contextualisés et ne peuvent pas servir d'autres usages. Trop d'éléments de contenus liés au MOOC ne permettent pas de bien profiter de la vidéo en dehors de ce cadre. Toute l'énergie investie dans la création de ces ressources est donc perdue puisque le partage est « légal » (grâce aux licences) mais pas « sincère » (du fait de la contextualisation des contenus).

</p><p>

Il aurait fallu séparer dès le montage les éléments propres à l'organisation du cours en ligne de ceux traitant simplement du sujet. A l'instar de l'adage « écrire pour être lu », une ressource sincèrement mise à disposition est « partagée pour être utilisée » !

</p><figure class="attached_file center"><a href="https://ressources.osons.cc/files/PetitPrecisDeCompostabiliteDesprojets_800pxHgnAgregat_sol_dactiviteLPR_20180224211441_20180224212025.jpg"><img class="img-responsive" src="https://ressources.osons.cc/files/PetitPrecisDeCompostabiliteDesprojets_800pxHgnAgregat_sol_dactiviteLPR_20180224211441_20180224212025.jpg" alt="image 800pxHgnAgregat_sol_dactiviteLPR.jpg (0.2MB)"/></a><figcaption>Agrégat de sol archéologique - vue au microscope - cc by sa - NATON Henri-Georges</figcaption></figure>
<h3>Le vivant commence là où la mort se prépare</h3>

<p>
Une fois assimilée, la compostabilité des projets permet d'envisager très en amont nos actions et de développer des automatismes fertiles. </p><b>C'est une manière de se dire «  ce que je crée va mourir, je vais mourir, alors comment faire pour que cette énergie que je pose là puisse être utilisée par tout le monde ? »</b><p>. Se poser cette question, c'est préparer la mort des projets. Pas dans le sens d'un délire paranoïaque et morbide, mais en prenant conscience que notre seule contribution au monde, c'est ce que nous aurons réussi à sincèrement partager.
</p><p>
En écho, le risque d'une mort non-préparée, c'est de s'obliger à continuer à agir, à vivre des expériences, à rassembler des choses, à agréger, sans jamais prendre le temps de penser la transmission de cet héritage. On crée alors une chimère, un projet que l'on va sans cesse persister à nourrir sans jamais en remettre en question le sens et sans accepter qu'il ne s'arrête. Il est donc indispensable de ritualiser le traitement de ce que l'on souhaite transmettre au jour le jour pour s'autoriser à mettre fin à un projet au moment opportun.  Capitaliser ses ressources permet d'accepter la fin d'un projet pour redémarrer ailleurs ou différemment sur des bases déjà acquises. C'est aussi permettre en temps réel à ce qui est expérimenté quelque part et jugé efficace d'être répliqué ailleurs.
</p><p>
Instaurer une périodicité minimale de rendez-vous et y intégrer des temps de capitalisation (de mise en forme partageable) des productions est indispensable. Ce cycle peut ensuite se répéter indéfiniment ou ne se réaliser qu'une fois, il suffit à rendre réutilisable par soi et par d'autre l'intégralité de l'énergie investie. La mise en place de cycles récurrents permet aussi d'assurer la vie du projet : la durée de ce cycle correspond à la fréquence minimale de rencontres nécessaires à la vitalité du projet. En dessous de ce seuil, le projet ne peut survivre et c'est le signal qu'il faut y mettre fin - ce qui n'est pas si grave si tout ce qui a été produit est réutilisable immédiatement par tous !

</p><b><i>De la compostabilité, il faut donc retenir trois choses : <br/>
</i></b>
<ul>
<li><b><i>1. elle se pense et se prépare très en amont, </i></b></li>
<li><b><i>2. elle permet de mettre fin aux projets lorsque nécessaire tout en leur assurant un nouveau départ,</i></b></li>
<li><b><i>3. elle nécessite le partage sincère de l'ensemble des ressources produites. </i></b></li>
</ul>
<b><i>
Rendre son projet compostable, c'est fertiliser les idées en les partageant et tendre vers des organisations plus vivantes, vivaces et vivables.</i></b>


<b>Crédits - Licence</b>

<i>Contenu placé sous licence CC by SA, <br/>
Contenus agrégés par Romain Lalande sur la base d'un récit-concept de Laurent Marseault, agrémenté d'échanges fertiles au sein du réseau francophone des Communs, de VECAM et de Remix the Commons. <br/>
Nourri des expérimentations menées par le collectif Animacoop et Outils-Réseaux depuis 15 ans. <br/>
Un grand merci à Maïa Dereva et Sarah Gaucher pour leurs relectures attentionnées.</i>
