title: How to Get Your Apartment Off the Grid
url: https://solar.lowtechmagazine.com/2016/05/how-to-go-off-grid-in-your-apartment.html
hash_url: 6941291d7ecc05597de98d49e641d1da

<p class="img"><img alt="image" src="https://solar.lowtechmagazine.com/dithers/solar-panels-window-sills.png"/></p>
<p>The typical solar <span class="caps">PV</span> power installation requires access to a private roof and a big budget. However, wouldn’t it be possible to get around these obstacles by installing small solar panels on window sills and balconies, connected to a low-voltage direct current (<span class="caps">DC</span>) distribution network? To put this theory to the test, I decided to power Low-tech Magazine’s home office in Spain with solar energy, and write my articles off the grid.</p>
<p>Solar panels have become cheaper and more efficient in recent years, but they are far from a universal solution, even in sunny regions. One reason is that a typical solar photovoltaic (<span class="caps">PV</span>) installation is still beyond the budget of many people. The average pricing for a 5kW residential <span class="caps">PV</span> system completed in 2014 varied from $11,000 in Germany to $16,450 in the <span class="caps">USA</span>. <sup id="fnref-1"/><sup id="fnref-2"/> Roughly half of that amount concerns the installation costs. <sup id="fnref-3"/></p>
<p>A second obstacle for solar power is that not everybody lives in a single-family dwelling with access to a private roof. Those who reside in apartment buildings have little chance of harvesting solar power with a conventional roof-mounted system. Furthermore, in apartment buildings, the roof would quickly become too crowded to cover the electricity use of all residents, a problem that grows larger the more floors there are in a building. Lastly, a typical solar installation is problematic when you’re renting a place, whether it’s a house or an apartment.</p>
<p>I’m one of those people who runs into every one of these obstacles: I live in a flat, I rent the place, and I don’t have the budget for a conventional solar system. However, I receive a lot of sunshine. My apartment is located near Barcelona in Spain, a city with an average solar insolation of almost 1,700 kWh/m2/year (which is also the average figure across the <span class="caps">USA</span>). Furthermore, the 60 m2 apartment has the balcony and all windows facing south-south-west, and there is no shading by trees or other buildings.</p>
<p class="img"><img alt="image" src="https://solar.lowtechmagazine.com/dithers/view-from-home-office.png"/></p><p class="caption">
The view from my home office.</p>
<p>These conditions allow me to get through the winter without a heating system, relying only on <a href="https://solar.lowtechmagazine.com/2012/03/solar-oriented-cities-1-the-solar-envelope.html">solar heat</a> and <a href="https://solar.lowtechmagazine.com/2011/02/body-insulation-thermal-underwear.html">thermal underclothing</a>. Hot water is supplied by a solar boiler, which was installed by the landlord. Clothes are dried on the balcony. While tinkering with solar panels for an art project, I got an idea: with the sun already powering so much of my living space, wouldn’t it also be possible to harvest solar power from the window sills and the balcony and take my apartment off the electricity grid? Such a <span class="caps">PV</span> installation would solve my problems:</p>
<ul>
<li>I don’t need access to the roof.</li>
<li>I can install the system myself, which makes it much cheaper.</li>
<li>I can take the solar installation with me if I move to another place.</li>
</ul>
<p>Obviously, the big question is whether or not such an unconventional solar system could generate the necessary electricity. As a first experiment, I decided to power my 10 m2 home office with solar panels placed on the 2.8 m long window ledge that runs along the windows of the office and the adjacent bedroom.</p>
<h2>Solar Powered Home Office</h2>
<p>The window in my office is quite small (at 1.5 m2, it takes up only half of one wall). However, there’s no need for power in the bedroom, which has been lighted by three <a href="http://www.ikea.com/ms/en_GB/sunnan/sunnan.html"><span class="caps">IKEA</span> <span class="caps">SUNNAN</span> lamps</a> for years. Consequently, the full window ledge is available to power the home office. It offers enough space for five solar panels of 10W each, providing me with 50 watt-peak of solar power. The balcony will serve to power the rest of the apartment, and the plans for that second project are outlined at the end of this article.</p>
<p class="img"><img alt="image" src="https://solar.lowtechmagazine.com/dithers/solar-powered-home-office.png"/></p>
<p>With their placement on the window sill, the panels are shaded by the building itself in the morning. They receive direct sunlight from about 10 am to 5 pm in the pit of winter (a total of 7 hours), and from roughly 1 pm to 9 pm in the height of summer (a total of 8 hours). The maximum energy production is thus roughly 400 Wh per day.</p>
<p>The solar panels are connected in parallel and coupled to a solar charge controller and 550 Wh of lead-acid batteries. Assuming a 33% Depth-Of-Discharge (DoD) and a round-trip battery efficiency of 80%, this gives me a maximum energy storage of roughly 150 Wh.</p>
<blockquote>
<p>Can you power a home office with 50 watt-peak solar panels and 150 Wh of energy storage?</p>
</blockquote>
<p>Now let’s look at the energy use of my home office, before it was solar powered. I sit here working most of the days, either researching, writing, or building and repairing stuff. Devices that regularly use electricity are:</p>
<ul>
<li>A laptop, which requires an average 20 watts of power.</li>
<li>An external computer screen, which needs 16.5W of power.</li>
<li>Two <span class="caps">CFL</span> lamps (20W and 12W) and one <span class="caps">LED</span>-lamp (3W).</li>
</ul>
<h2>Home Office Power Use</h2>
<p>This adds up to 35W of power during the day (with only the laptop and the screen in use) and 70W after sunset (the laptop, the screen, and the lights). I usually work in the mornings and evenings, roughly from 10 am to 2 pm and from 8 pm to 1 am. During the afternoon, I do other stuff or I work in the library.</p>
<p>Total electricity use in my office is thus (on average) 500 Wh per day, with little variation between winter and summer. On cloudy days I also use lights in morning, which can raise energy use to 640 Wh per day. Then there are some devices that occasionaly need power:</p>
<ul>
<li>A laser printer, which uses 4Wh of energy for warming up and printing eight text pages. This corresponds to operating my desk lamp (5W) for more than 45 minutes.</li>
<li>A pair of <span class="caps">PC</span> loudspeakers (1.5W of power).</li>
<li>Three <span class="caps">USB</span> bicycle lights (each use 1.4W of power while charging).</li>
<li>A digital camera, which uses 3W while charging.</li>
<li>A fan, which uses 30-40 watts of power.</li>
<li>A mobile phone (a dumb one) that’s charged once every few weeks.</li>
</ul>
<p class="img"><img alt="image" src="https://solar.lowtechmagazine.com/dithers/solar-panel-on-window-sill.png"/></p>
<p>Obviously, my solar <span class="caps">PV</span> system doesn’t produce enough energy to power my home office. While regular electricity use is at least 500 Wh on a 9-hour working day, the window sills give me a maximum of 400 Wh per day. On overcast days, energy production can be as low as 40 to 200 Wh per day, depending on the type of cloud cover. Furthermore, energy storage is only 150 Wh under ideal circumstances, while most energy use (350 Wh) is after sunset.</p>
<p>And yet, here I am, typing this article on a solar powered laptop in a room that’s lit by solar power. How is this possible? By <strong>following these strategies</strong>:</p>
<ul>
<li>Maximize solar power production by tilting the panels according to the season.</li>
<li>Minimize power use by installing a low-voltage <span class="caps">DC</span> grid and using <span class="caps">DC</span> appliances.</li>
<li>Force yourself to lower energy demand on dark days by going off the grid.</li>
</ul>
<p>Below, we look at these points in more detail. My solar system has been in operation since November 2015, initially with only two 10W panels. Three more panels were added in early spring.</p>
<h2>1. Adjust the Tilt of the Solar Panels</h2>
<p>Roof-mounted solar panels usually have a fixed angle in relation to the sun. Because the elevation of the sun varies throughout the year, a fixed angle is always a compromise. Panels that lay horizontal on a flat roof are relatively well positioned for energy production in summer, but much less so for use in winter. On the other hand, tilted solar panels perform much better in winter but not as well as in summer. On sloped roofs, the angle of the panels is often determined by the angle of the roof, which isn’t necessarily the best angle for solar power production.</p>
<blockquote>
<p>A <span class="caps">PV</span> panel that’s optimally tilted towards the winter sun can triple electricity generation compared to a horizontally placed panel</p>
</blockquote>
<p>Adjusting the angle of a solar panel according to the season can increase electricity production significantly in winter. In December, a <span class="caps">PV</span> panel in Barcelona that’s optimally tilted towards the winter sun can triple electricity generation compared to a horizontally placed panel. Because the advantage is much smaller in other seasons, the average annual increase in power production is less than 10%. However, tilting the panels is the key to harvesting enough solar power during the winter months, when power shortages are most probable.</p>
<p class="img"><img alt="image" src="https://solar.lowtechmagazine.com/dithers/home-made-solar-system.png"/><img alt="image" src="https://solar.lowtechmagazine.com/dithers/home-made-solar-system2.png"/></p><p class="caption">
</p>
<p>In the case of a balcony or window sill solar <span class="caps">PV</span> system, adjusting the angle of the solar panels is as simple as watering the plants. Although you could make small adjustments every hour, day or month, adapting the angle two or four times per year is as far as you should go.</p>
<p>There’s another advantage to having the solar panels so close at hand: they can be cleaned regularly. Roof-mounted solar panels rarely get cleaned because the roof usually isn’t very accessible. Losses due to dust and dirt are assumed to be 1% of generated energy, but in dry and dusty regions, as well as in traffic-heavy areas, they can be as high as 4-6% if washing is not undertaken on a regular basis. <sup id="fnref-4"/></p>
<blockquote>
<p>Adjusting the angle of a window sill solar panel is as simple as watering the plants</p>
</blockquote>
<p>Obviously, it’s crucial that the panels don’t fall off the window ledge, no matter what happens. Window sills differ in shapes and sizes, which calls for a custom-made supporting structure. I have a fixed metal bar at my window sill, aimed at protecting plant containers, which allows me to securely lock the solar panels in place. I guess I’m lucky to have this, but it also shows how small design changes can make a big difference. As an additional safety measure, I loaded the wooden base of each panel with some heavy rocks.</p>
<p>Adding a mechanism to vary the tilt of the panels complicates the design, because the moving part has to be just as sturdy as the base. Following some failed attempts, I found a mechanism that seems to work, using vintage Meccano rods (2-3 layers thick and with larger nuts and bolts). One rod is connected to the base of the structure, while another is connected to the wooden board that carries the panel. Both rods are connected to each other in the middle. Loosening this connection allows me to adjust the length of the supports and thus the angle of the solar panels.</p>
<h2>Solar <span class="caps">PV</span> Windows?</h2>
<p>Some readers might consider my approach soon-to-be-obsolete, because several companies are working on “solar <span class="caps">PV</span> windows”: glass that doubles as an electricity generator. However, this technology would not perform as well as adjustable solar panels on window sills, for several reasons.</p>
<p class="img"><img alt="images" src="https://solar.lowtechmagazine.com/dithers/solar-panels-apartment.png"/></p><p class="caption">
The panels on the left are optimally tilted for spring, the two panels on the right are still in winter position.</p>
<p>First of all, solar <span class="caps">PV</span> windows are most often entirely vertical, which is never an efficient angle to generate solar power — their power generation is about 3 times lower than horizontal panels. <sup id="fnref-5"/> Secondly, in summer it would be impossible to open the windows or lower the shutters, which would quickly overheat my office and introduce a need for air-conditioning.</p>
<p>My solar <span class="caps">PV</span> installation, on the other hand, can produce power when the shutters are closed and when the windows are open. Last but not least, a window-integrated solar panel can’t be taken with you when you move, while my system is entirely mobile.</p>
<h2>2. Opt for a Low-Voltage <span class="caps">DC</span> System</h2>
<p>Typical solar <span class="caps">PV</span> systems convert the direct current (<span class="caps">DC</span>) electricity produced by solar panels into alternating current (<span class="caps">AC</span>) in order to make it compatible with the <span class="caps">AC</span> distribution system in a building. Because many modern appliances operate internally on <span class="caps">DC</span>, the <span class="caps">AC</span> electricity is then converted back to <span class="caps">DC</span>. The <span class="caps">DC</span>/<span class="caps">AC</span>-conversion is done by an inverter, which sits between the solar charge controller and the load. The second conversion happens in the (external or internal) <span class="caps">AC</span>/<span class="caps">DC</span> adapter of the devices that are being used.</p>
<p>The trouble with this double energy conversion is that it generates substantial energy losses. This is especially true in the case of solid-state devices such as LEDs and computers, where the combined losses of the <span class="caps">DC</span>/<span class="caps">AC</span>/<span class="caps">DC</span> conversion amount to roughly 30% — <a href="https://solar.lowtechmagazine.com/2016/04/slow-electricity-the-return-of-low-voltage-dc-power.html">see our previous article</a> for further detail. Because these are also the devices that make up most of the load in my home office, it makes a lot of sense to avoid these losses by building a low-voltage <span class="caps">DC</span> system instead.</p>
<p class="img"><img alt="image" src="https://solar.lowtechmagazine.com/dithers/solar-controller.png"/></p>
<p>Like in a boat or a camper, the 12V <span class="caps">DC</span> electricity of my solar panels is used directly by 12V <span class="caps">DC</span> appliances, or stored in 12V <span class="caps">DC</span> batteries. If my solar panels generate their maximum output of 50W, my devices have 50W available. When battery power is involved, charging and discharging the battery adds 20% of energy loss, which leaves 40W available for the appliances.</p>
<blockquote>
<p>The choice for a low voltage <span class="caps">DC</span> system raises energy efficiency by 40%</p>
</blockquote>
<p>On the other hand, in a typical solar <span class="caps">PV</span> installation where a <span class="caps">DC</span>/<span class="caps">AC</span>/<span class="caps">DC</span> energy conversion takes place, the devices would only have 35W available, and the rest would be lost as heat during energy conversion. If lead-acid battery storage is used in such a system, only 28W of power remains. In short, in my specific case, choosing a <span class="caps">DC</span> system multiplies power production by 1.4 times.</p>
<p>The choice for a <span class="caps">DC</span> system saves not only energy but also space and costs. Less solar panels are needed and there’s no need to buy a <span class="caps">DC</span>/<span class="caps">AC</span> inverter, which is a costly device that needs to be replaced at least once during the life of a solar system. Most importantly, you can build a <span class="caps">DC</span> solar power system yourself, even if you’re as clumsy as I am. A low-voltage <span class="caps">DC</span> grid (up to 24V) is safe to handle because it carries no risk of electric shock. <sup id="fnref-6"/> Adding up all costs, I took my home office off the grid for less than 400 euro.</p>
<h2>Where to Find <span class="caps">DC</span> Appliances</h2>
<p>Mounting a <span class="caps">DC</span> system implies the use of <span class="caps">DC</span>-compatible devices. However, because so many modern appliances operate internally on <span class="caps">DC</span>, this doesn’t mean that you have to buy everything anew. To adapt the lighting in my office, I simply cut the mains plugs from the power cords, replaced them with <span class="caps">DC</span>-compatible plugs that fit straight into my solar charge controller, and substituted the light bulbs with 12V <span class="caps">LED</span>-bulbs. To run the laptop on <span class="caps">DC</span>, I replaced the power adapter by a <span class="caps">DC</span>-compatible power cord, which is available for use in cars. These power cords can be bought for every laptop model you can imagine.</p>
<p class="img"><img alt="image" src="https://solar.lowtechmagazine.com/dithers/DC-lamp.png"/></p><p class="caption">
My 3W <span class="caps">DC</span> lamp.</p>
<p class="img"><img alt="image" src="https://solar.lowtechmagazine.com/dithers/DC-laptop.png"/></p><p class="caption">
My laptop with <span class="caps">DC</span> power cord.</p>
<p>Other devices are harder to adapt because the <span class="caps">AC</span>/<span class="caps">DC</span> adapter is located in the device itself. For example, I haven’t figured out yet how to convert my external computer screen to operate directly on <span class="caps">DC</span> power.</p>
<p>Appliances that cannot be converted are usually available in a 12V <a href="http://www.12volt-travel.com/"><span class="caps">DC</span> version</a>. Examples are refrigerators, slow cookers, televisions, air compressors, or power tools. These can be more expensive than their <span class="caps">AC</span> counterparts, because they are produced in much smaller quantities. <a href="http://www.geinnovations.net/solarrefrigerator.html"><span class="caps">DC</span> refrigerators</a> are very expensive because they use vacuum insulation. While this makes sense in a camper or sailboat where space is restricted, it’s a needless cost in a common building.</p>
<p>The cigarette lighter receptacle in cars, initially designed to power an electrically heated cigarette lighter, has been the <em>de facto</em> standard <span class="caps">DC</span> connector for decades. More recently, it has been joined by another low voltage <span class="caps">DC</span> distribution system, the <span class="caps">USB</span> connector. <span class="caps">USB</span> cables operate on 5V <span class="caps">DC</span> and can transfer both data and energy. Many consumer electronics are now powered by them.</p>
<p>Currently, these devices are charged by the <span class="caps">USB</span>-port of a laptop or desktop computer, but they could be plugged straight into a solar <span class="caps">PV</span> system. While the standard <span class="caps">USB</span>-cable carries a maximum power of only 10 watts, the newer <span class="caps">USB</span>-<span class="caps">PD</span> standard accommodates devices with a power consumption of up to 100 watts.</p>
<h2>Overcast Days</h2>
<p>The choice for a <span class="caps">DC</span> system has lowered power consumption in my home office considerably. My laptop’s energy use has decreased by about 20%. Switching to <span class="caps">DC</span>-direct <span class="caps">LED</span>-lamps has halved power use for lighting from 35 to 16W. Based on the 9-hour working day described earlier, daily energy use of regularly used devices in my home office has come down from 500 to 350 Wh/day. This brings average energy use below energy production on sunny days (400 Wh), which are plentiful where I live.</p>
<p class="img"><img alt="image" src="https://solar.lowtechmagazine.com/dithers/three-solar-panels-on-window-sills.png"/></p><p class="caption">
Three 10W solar panels on the window sill of the bedroom.</p>
<p>In reality, the external computer screen and the laser printer are still running on grid power. The 350 Wh of energy use mentioned above includes the hypothetical use of a <span class="caps">DC</span> external screen (saving 15% of power compared to the <span class="caps">AC</span> version), but not the energy use of the printer. However, on sunny days, I have a significant surplus of electricity, which suggests that I could also operate the external screen and the printer. Even on partly cloudy days energy is abundant.</p>
<p>However, energy use remains too high during overcast days, when power production is between 40 and 200 Wh per day. Obviously, adding more solar panels and batteries would solve the issue, but that’s not the way to go because the solar <span class="caps">PV</span> system would become more expensive, less practical, and less sustainable.</p>
<blockquote>
<p>On sunny or partly cloudy days, I have more than enough electricity. On overcast days, I have to reduce energy demand.</p>
</blockquote>
<p>To guarantee a daily 350 Wh of electricity during three consecutive heavy overcast days in December (a worst case scenario of only 40 Wh energy production per day), I would need to increase solar power capacity fourfold, from 50 to 200W peak capacity, and provide at least five times more batteries.</p>
<p>Although it would be possible to install 200W on the window sills, in that case the solar panels would stop solar light and heat from entering the rooms, which would be counterproductive. Furthermore, I would produce way too much electricity for most of the year.</p>
<h2>3. Adjust Energy Demand to Meet Available Supply</h2>
<p class="img"><img alt="image" src="https://solar.lowtechmagazine.com/dithers/solar-controller-view.png"/></p><p class="caption">
The solar charge controller and half of the home office battery storage.</p>
<p>There’s another option to make the numbers match if there’s not enough sun available, and that’s using less energy. Suggesting a reduction in energy use is rather controversial, but there are a surprisingly large number of ways to reduce energy use, without having to revert to a typewriter and candles. Here are some possibilities for my home office:</p>
<ul>
<li>I could <strong>install a second working desk right next to the window</strong>. This eliminates the need for artificial lighting on dark winter days, which saves me at least another 40 Wh on days that electricity production is at its lowest.</li>
<li>I could <strong>use less lights in evening during low solar power days</strong>. For most of the year, I have sufficient energy available to use all the lights in the room. However, most of the days I get by with only two lamps, and if necessary I could use a single 5W or even 3W lamp. When solar production is at its lowest, the latter still gives me more than 13 hours of light. I will never have to spend a night in the dark.</li>
<li>
<p>I could <strong>shift loads towards sunny afternoons</strong>. Even in winter, the batteries can already be fully charged by around 2 or 3 pm on sunny days. Adding extra load to the system during these periods takes advantage of solar energy that would otherwise get wasted. This is when I can charge the bicycle lights, the digital camera or the phone, or when I can use the 12V soldering iron (my only power tool) or the printer. In summer I can use the surplus of energy to power two small <span class="caps">USB</span>-fans, and of course that’s the time when I need the fans the most.</p>
<blockquote>
<p>There are a surprisingly large number of ways to reduce energy use, without having to revert to a typewriter and candles</p>
</blockquote>
</li>
<li>
<p>I could <strong>change my working schedule</strong>. If I could manage to work from 9 am to 6 pm instead of in morning and evening, I obtain a double energy savings. I would need no more lighting, except for one hour or so in winter (which saves 70 to 80 Wh/day). Secondly, I would use more electricity while it’s being generated, avoiding 20% battery charging and discharging losses while operating the laptop at night and in mornings (which saves another 30Wh). Changing my working schedule would lower daily electricity use to roughly 125Wh, less than half of maximum power production. Furthermore, all battery capacity would be available for overcast days, because there is no energy use at night.</p>
</li>
<li>I could <strong>adapt computer work to solar conditions</strong>. There’s a remarkable difference in power use for the laptop between writing (roughly 15W) and surfing the web (roughly 25W). In other words, I can work almost twice as long when I’m writing, which I could do whenever available energy is low.</li>
<li>I could <strong>ditch my external computer screen</strong>. It can be very handy for some work, giving both a screen to read and a screen to write, but most of the time it’s just wasting energy without being very useful. Ditching the external screen would save me another 150 Wh per day. However, it would probably increase the use of the printer, so it remains to be seen if this option really saves energy.</li>
<li>During consecutive, heavy overcast days, I could revert to more drastic measures, like working in the library or not working at all. Or, I could do <strong>work that doesn’t involve any energy use</strong> during the day, such as reading books and taking notes by hand. This would bring extra advantages; it can be refreshing to disconnect and concentrate on something in the old-fashioned way. Going out one evening is a fun and easy way to keep the power level high enough during periods of bad weather.</li>
<li>I could <strong>build a <a href="http://www.lowtechmagazine.com/build-your-own-pedal-powered-machines.html">pedal powered generator</a></strong> for when I really need more electricity during overcast days. Strictly speaking, this is not a reduction of energy demand, but of course it implies an effort from my side. Pedalling for 1 to 1.5 hours would generate roughly 100 Wh of electricity, which would allow me to work on the computer for 3 to 5 hours, or to operate the 5W <span class="caps">LED</span>-light throughout the night.</li>
</ul>
<p class="img"><img alt="image" src="https://solar.lowtechmagazine.com/dithers/barometer.png"/></p><p class="caption">
My barometer.</p>
<p>By keeping an eye on my barometer and being a bit flexible, it’s not that hard to plan work according to the weather. However, until now I managed to take advantage of these opportunities mostly when it comes to lighting, and less so when using the laptop. This has nothing to do with computer use being less flexible than lighting. Rather, it’s a consequence of how the system is built.</p>
<p>This became clear due to the rather clumsy way that I set up my experiment. Obviously, I wanted to test the installation in the depth of winter before writing about it. However, I only had two solar panels at the time. Therefore, I first tested my solar powered home office by running the laptop on solar energy for two weeks (while running the lights on grid power), followed by a two-week test of running the lights on solar energy (and the computer on grid power).</p>
<blockquote>
<p>For lighting, it’s impossible to fall back on grid power because I had to cut the power cords of all lamps to make them compatible with the 12V <span class="caps">DC</span> grid</p>
</blockquote>
<p>The results were remarkably different for both periods. With the laptop, I could always fall back on grid power by simply switching the power cord. Consequently, there were no external factors that forced me to change my way of working in order to remain within the limits of the energy budget on a dark day. For lighting, however, it was impossible to fall back on grid power. I had to cut the power cords of all lamps to make them compatible with the 12V <span class="caps">DC</span> grid, which meant that I could not run them on <span class="caps">AC</span> grid power anymore.</p>
<p>During low power periods, I had no other choice than to lower energy demand for lighting, and that’s exactly what I did, quite effortlessly I must say. I quickly made an extra desk at the window to avoid using artificial lights in morning, I switched the lights off whenever I left the room, and I worked with just a 5W or even a 3W light bulb if necessary.</p>
<p>Five months later, I have become totally accustomed to adjusting light levels to available solar power. On the other hand, I keep plugging my laptop into the grid if energy runs low. Why? Because I can. <sup id="fnref-7"/></p>
<p class="img"><img alt="image" src="https://solar.lowtechmagazine.com/dithers/new-desk-at-window.png"/></p><p class="caption">
The new desk at the window.</p>
<p>Consequently, going off-grid seems to be the key to lowering energy demand considerably. <sup id="fnref-8"/> Having a limited energy supply also encourages the use of more energy efficient technology. For example, the energy savings I made by replacing the two remaining <span class="caps">CFL</span> lamps by LEDs could also have been achieved without building a solar <span class="caps">PV</span> system. However, the option only occurred to me after I took up the challenge of powering the office with solar energy.</p>
<blockquote>
<p>Progress in energy efficient technology will steadily increase the possibilities of my off-grid system, with no risks of rebound effects</p>
</blockquote>
<p>If I would not be able to fall back on grid power, I would probably also get a more energy efficient laptop. <sup id="fnref-9"/> In the future, I could also switch to lithium-ion batteries, which have lower losses than lead-acid batteries. Investing in more energy efficient technology would allow me to run the computer and the lights longer with the same amount of solar panels. With a limited power supply, there’s no risk of rebound effects that negate these benefits.</p>
<h2>Build Multiple Solar <span class="caps">PV</span> Systems</h2>
<p>As mentioned at the beginning of the article, the solar powered home office is only the first step towards converting the whole apartment to solar power and going totally off-grid. The second project will be the installation of a solar system on the 6-metre long balcony in front of the living room and the (open) kitchen. It will power the lights, the stereo-installation, the Wifi-router, all computer use outside the office, and all kitchen appliances.</p>
<p class="img"><img alt="image" src="https://solar.lowtechmagazine.com/dithers/solar-lamps.png"/></p><p class="caption">
The bedroom’s electricity system.</p>
<p>This second experiment is much more challenging for two reasons. First, the living room and kitchen will also be used by the second person in this household, which will make it more complicated to manage energy use. Furthermore, although we don’t have a toaster, a coffeemaker, or a microwave, the kitchen houses a much used high power appliance: the electric cookstove.</p>
<p>Because it would take too many solar panels and batteries to power the electric cookstove by solar <span class="caps">PV</span> panels, the plan is to replace it by non-electric alternatives: one or two solar cookers, a <a href="https://solar.lowtechmagazine.com/2014/07/cooking-pot-insulation-key-to-sustainable-cooking.html">fireless cooker</a>, and a <a href="https://solar.lowtechmagazine.com/2014/06/thermal-efficiency-cooking-stoves.html">rocket stove</a> for the morning coffee. By using direct solar heat, we can make much more efficient use of the space on the balcony. Another plan is to build a <a href="http://www.notechmagazine.com/2012/01/saving-food-from-the-fridge.html">low-tech food storage system</a> that can store most of the food outside the refrigerator, keeping this energy-intensive appliance as small as possible or eliminating it altogether.</p>
<blockquote>
<p>The balcony solar <span class="caps">PV</span> system will be totally independent of the window sill solar <span class="caps">PV</span> system</p>
</blockquote>
<p>The balcony solar <span class="caps">PV</span> system will be totally independent of the window sill solar <span class="caps">PV</span> system. There are several advantages to this approach. As we have seen in the previous article, <a href="https://solar.lowtechmagazine.com/2016/04/slow-electricity-the-return-of-low-voltage-dc-power.html">cable losses are relatively high in a low-voltage <span class="caps">DC</span> system</a>. Setting up several independent systems greatly limits cable length (and cable clutter).</p>
<p>Secondly, installing separate systems allows total power use to surpass 150 watts — which is the safety limit for a 12V <span class="caps">DC</span> system. Thirdly, multiple systems make it possible to start small and gradually expand the system. This avoids large upfront costs and allows you to learn from your mistakes.</p>
<h2>Learning from your Mistakes</h2>
<p>In fact, it was one such mistake that made me decide to install two separate systems even in my relatively small 10 m2 home office. The two solar panels in front of the office are connected to half of the batteries (powering the lights), while the three solar panels in front of the bedroom are connected to the other half (powering the laptop).</p>
<p>This is because I short-circuited my first solar charge controller and had to buy a second one while the first one was being repaired. It was that or go without lights for three weeks. Thus, a final advantage of multiple systems is increased reliability: if one system fails, there is still electricity.</p>
<p class="img"><img alt="image" src="https://solar.lowtechmagazine.com/dithers/solar-powered-office2.png"/></p>
<p>If the second experiment succeeds, and of course this remains to be seen, the plan is to stop the contract with our power provider, which is to be renewed in December. Obviously, it would be handy to keep a connection to the grid, but there are two important reasons not to do this. The first has been outlined above: going off-grid unleashes the creativity and willingness to lower energy demand.</p>
<p>Secondly, installing a solar system and holding on to a grid connection is financially disadvantageous. At least here in Spain, more than two-thirds of the electricity bill consists of fixed costs. Even if we would use much less grid electricity because of the solar system, our bill would remain more or less the same.</p>
<blockquote>
<p>If the second experiment succeeds, and of course this remains to be seen, the plan is to stop the contract with our power provider</p>
</blockquote>
<p>Some important challenges remain, most notably the washing machine, the bathroom and the laser printer. The problem with washing machine and bathroom is that they’re on the north side of the building, far from the solar panels. We could go to a laundromat but there are none in town. A pedal powered washing machine requires space that we don’t have.</p>
<p>The laser printer could be operated with an inverter, which can also be handy to power any other occasional device that doesn’t run on 12V <span class="caps">DC</span> power. However, a relatively large and expensive inverter would be needed, because the startup power of the machine is above 400 watts. Luckily, I found that out before I fried another costly device.</p>
<h2>Before You Start</h2>
<p>There are some things to keep in mind before you decide to install a low-tech solar <span class="caps">PV</span> system:</p>
<ul>
<li>You <strong>need enough sun</strong>. Solar panels on balconies and window ledges won’t work everywhere. A similar system like mine, but 1,000 km further up north, would produce on average only half the electricity, with a much larger difference between winter and summer.</li>
<li>You <strong>need the right exposure</strong>. Even if you’re in a sunny climate, don’t think of harvesting solar power if windows or balconies are oriented towards the north, the northwest, or the northeast. Shading by other buildings or trees can also smother your ambitions. You need at least 4 hours of direct sunshine on the panels each day.</li>
<li>You need to be prepared to <strong>lower your energy use</strong>. Few apartment dwellers will have enough space available to generate sufficient solar power for an energy-intensive lifestyle.</li>
<li>It may be impossible to <strong>close some windows</strong> completely. The cables from the panels enter my apartment by slightly opening the sliding window of the office. In winter, I cover this gap with cork. I don’t use heating so no energy gets lost, but this might be problematic in other circumstances. You probably shouldn’t drill a hole through the window or the wall if you are renting the place.</li>
<li>Converting your apartment to solar power <strong>doesn’t make you “100% sustainable”</strong>. Fossil fuels are used to produce solar panels and batteries. The electricity I generate is likely more <span class="caps">CO2</span>-intensive per kWh than Spanish grid electricity, especially since my panels and batteries <a href="https://solar.lowtechmagazine.com/2015/04/how-sustainable-is-pv-solar-power.html">are manufactered in China</a>. The only reason why my system is more sustainable than using grid electricity is because it forces me to lower electricity use considerably.</li>
</ul>
<p>Written by Kris De Decker. Edited by <a href="https://www.linkedin.com/in/jenna-collett-0b39251a">Jenna Collett</a>.</p>
<p>Support Low-tech Magazine via <a href="https://www.paypal.me/lowtechmagazine">PayPal</a>, <a href="https://www.patreon.com/lowtechmagazine">Patreon</a> or <a href="https://liberapay.com/lowtechmagazine/">LiberaPay</a>.</p>
