title: Save-Data Usage - Web Performance Consulting | TimKadlec.com
url: https://timkadlec.com/remembers/2019-08-29-save-data-usage/
hash_url: 696338c2eddc540044c05920e4802fe6

<p>Yesterday someone at Shopify <a href="https://twitter.com/brend0/status/1166817897500618753?s=20">let me know on Twitter</a> that they started reducing page weight if the Save-Data header is on.</p>

<blockquote>
<p>@tkadlec <a href="http://shopify.com">http://shopify.com</a> is now Save-Data aware. About a 13% reduction in page weight, <a href="https://webpagetest.org/video/compare.php?tests=190828_NC_2480ff19108ef9d64a3cbb0a3061b15c,190828_1B_bd8a98e3b3ed3758c5586c4bc371e004">https://webpagetest.org/video/compare.php?tests=190828_NC_2480ff19108ef9d64a3cbb0a3061b15c,190828_1B_bd8a98e3b3ed3758c5586c4bc371e004</a></p>

<p>Early data shows 20% of Indian/Brazilian requests contain this header so happy days #webperf 🎉</p>
</blockquote>

<p>I love seeing companies paying attention to the Save-Data header. I’m not one to get super excited about headers normally (I <a href="https://vimeo.com/305437195">leave that to Andrew Betts</a>), but I’m pretty excited about this one.</p>

<p>The Save-Data is a header that gets passed along by a browser when the user has turned on some sort of data saving feature in that browser. Companies spend millions of dollars on surveys and research every year trying to figure out what their customers want. The Save-Data header is one of those rare times when the customers are explicitly telling us what they want: to use the site, but without using so much data.</p>

<p>There aren’t a lot of real-world examples of sites optimizing for when the Save-Data header is enabled. That’s a shame because it’s looking like it may be more common than we think.</p>

<p>In that tweet, Brendan noted that:</p>

<blockquote>
<p>Early data shows 20% of Indian/Brazilian requests contain this header so happy days #webperf 🎉</p>
</blockquote>

<p>20% is a pretty substantial number, but it’s not far off from what I’ve seen and heard from others.</p>

<p>I had someone from a large global travel company tell me that out of their roughly 6 million daily unique visitors, about 20% of them have Save-Data turned on.</p>

<p><a href="https://twitter.com/TimVereecke/status/1052166752774295553">Tim Vereecke has talked quite a bit about Save-Data</a> and how, on his site, he sees about 50% of end-users passing the header and about 10% of those having it enabled.</p>

<p>I’ve been tracking Save-Data here, on this site, using custom data in <a href="https://speedcurve.com">SpeedCurve</a>, like so:</p>

<pre><code>if ("connection" in navigator) {
    LUX.addData('save-data',navigator.connection.saveData);
}
</code></pre>

<p>So far, around ~4% of all sessions have Save-Data enabled. While nowhere near the percentage seen the companies above have seem (which makes sense, given the more focused audience) that’s still nothing to sneeze at.</p>

<p>And here’s the thing: if my site—a site read overwhelmingly by people in tech who are far more likely to have decent devices and networks—is seeing 4% of folks have Save-Data enabled, I imagine there are a lot of major publishers and e-commerce shops who are seeing a much larger percentage. They probably don’t yet realize it, but I’ll bet it’s there.</p>

<p>I would <em>love</em> to see more data on this. So please, if you have data to share, let me know!</p>

<p>Because while the web keeps getting heavier and we keep moving further away from page weight as a primary performance metric, the data I’ve seen so far indicates folks who want low-data experiences are far more common than we may think.</p>
