title: Low-tech Magazine: The Printed Website
url: https://www.lowtechmagazine.com/2019/03/printed-website.html
hash_url: 7c36201571eb9f1d8731b012aaa192a6

<p>After 12 years, Low-tech Magazine finally makes the jump from web to paper.</p>
<p>The first result is a <a href="http://www.lulu.com/shop/kris-de-decker/low-tech-magazine-20122018/paperback/product-24028679.html">710-page perfect-bound paperback</a> which is printed on demand and contains 37 of the most recent articles from the website (2012 to 2018).</p>
<p>A second volume, collecting articles published between 2007 and 2011, will appear later this year.
</p>
<h2><strong>Book Design</strong></h2>
<p>The books are based on the same electronic documents that make up the <a href="solar.lowtechmagazine.com">solar powered website</a> of Low-tech Magazine -- all articles were converted to <em>Markdown</em>, a lightweight markup language based on plain text files. Therefore, the content is almost identical.</p>
<p>Both the books and the website use dithered images, albeit for different reasons. On the solar powered website, dithered images reduce page size and thus energy use. In the book, dithering makes it possible to also include low resolution images. The first volume contains a selection of 159 illustrations.</p>
<h2><strong>Why Paper?</strong></h2>
<p>The books can be read when the solar powered website is down due to bad weather. In fact, the content can be viewed with no access to a computer, a power supply, or an industrial civilization. A printed website also serves to preserve the content of Low-tech Magazine in the longer run. Websites don’t live forever, and the internet should not be taken for granted. </p>
<h2><strong>Print on Demand</strong></h2>
<p>Printing is done on demand, meaning that there are no unsold copies (and no large upfront investment costs). Our US publisher Lulu.com works with printers all over the world, so that most copies are produced locally and travel relatively short distances.</p>
<p>The first book <a href="http://www.lulu.com/shop/kris-de-decker/low-tech-magazine-20122018/paperback/product-24028679.html">sells for $25.20</a>, which converts to 23.80 euro at the current conversion rate. Delivery rates (for books ordered through Lulu) vary by country, but if one accepts the longest delivery times (up to 11 working days), costs can be as low as $3. Note that it also takes 3 to 5 work days to print the book. </p>
<h2><strong>Print Quality</strong></h2>
<p>Before the launch, we have distributed a few dozens of books worldwide, and quality was excellent in almost every case. However, if you do receive a copy that is badly printed -- the book should look and feel as any other book -- you should notify Lulu to get a replacement. And obviously we also like to know.</p>
<p>Kris De Decker. Book design by <a href="http://squishysystems.com/">Lauren Traugott-Campbell</a>. Book images by Adriana Parra.</p>
<p><a href="http://www.lulu.com/shop/kris-de-decker/low-tech-magazine-20122018/paperback/product-24028679.html">Low-tech Magazine 2012-2018</a>, Kris De Decker, ISBN 9780359478330, 710 pp., March 2019.</p>
<p><a href="http://www.lulu.com/commerce/index.php?fBuyContent=24500947"><img src="https://static.lulu.com/images/services/buy_now_buttons/en/book_blue.gif?20190315081027" border="0" alt="Support independent publishing: Buy this book on Lulu."/></a></p>
<p><a class="asset-img-link" href="https://krisdedecker.typepad.com/.a/6a00e0099229e888330240a49a6e14200b-pi"><img class="asset  asset-image at-xid-6a00e0099229e888330240a49a6e14200b image-full img-responsive" alt="Book-cover-landscape" title="Book-cover-landscape" src="https://krisdedecker.typepad.com/.a/6a00e0099229e888330240a49a6e14200b-800wi" border="0"/></a></p>
<h2><strong><span><span>Contents</span></span></strong></h2>
<p>How to Build a Low-tech Website?<br/>We Can't Do It Ourselves<br/>Ditch the Batteries: Off-grid Compressed Air Energy Storage<br/>History and Future of the Compressed Air Economy<br/>How Much Energy Do We Need?<br/>Bedazzled by Energy Efficiency<br/>How to Run the Economy on the Weather<br/>How (Not) to Run a Modern Society on Solar and Wind Power Alone<br/>Could We Run Modern Society on Human Power Alone?<br/>Heat Storage Hypocausts: Air Heating in the Middle Ages<br/>Why the Office Needs a Typewriter Revolution<br/>The Curse of the Modern Office<br/>How to Get Your Apartment Off the Grid<br/>Slow Electricity: The Return of DC Power?<br/>Power Water Networks<br/>Fruit Walls: Urban Farming in the 1600s<br/>Reinventing the Greenhouse<br/>How to Build a Low-tech Internet<br/>The 4G Mobile Internet that's Already There<br/>Why We Need a Speed Limit for the Internet<br/>How Sustainable is Stored Sunlight?<br/>How Sustainable is PV Solar Power?<br/>Restoring the Old Way of Warming: Heating People, not Places<br/>The Revenge of the Circulating Fan<br/>If We Insulate Our Houses, Why Not Our Cooking Pots?<br/>Well-Tended Fires Outperform Modern Cooking Stoves<br/>Modular Cargo Cycles<br/>High Speed Trains are Killing the European Railway Network<br/>Power from the Tap: Water Motors<br/>Back to Basics: Direct Hydropower<br/>The Mechanical Transmission of Power (3): Endless Rope Drives<br/>The Mechanical Transmission of Power (2): Jerker Line Systems<br/>The Mechanical Transmission of Power (1): Stangenkunst<br/>How to make everything ourselves: open modular hardware<br/>Electric velomobiles: as fast and comfortable as automobiles, but 80 times more efficient<br/>Cargo cyclists replace truck drivers on European city streets<br/>The solar envelope: how to heat and cool cities without fossil fuels</p>
<p><a href="http://www.lulu.com/shop/kris-de-decker/low-tech-magazine-20122018/paperback/product-24028679.html">Low-tech Magazine 2012-2018</a>, Kris De Decker, ISBN 9780359478330, 710 pp., March 2019.</p>
