title: Tiny Wins
url: http://joelcalifa.com/blog/tiny-wins/
hash_url: 8e52a22c976b6f7b35e33d6e343d0fcd

<p>Over the years, I&rsquo;ve worked on many important, large-scale projects, from figuring out high level strategy and blue sky products, to overhauling core flows and IA, to implementing design systems from the ground up. </p>

<p>Working on these big projects can be exhilarating. They&rsquo;re often deemed critical by company leadership and various stakeholders, and it&rsquo;s validating to be trusted with and attached to something so visible and impactful.</p>

<p>I recently shipped two things at GitHub that had an impact beyond my wildest dreams. The amount of gratitude and love that spilled out of the community is like nothing I&rsquo;ve seen before.
But the things I shipped weren&rsquo;t these huge, meaty projects. They were <em>tiny</em>.</p>

<hr>

<p>First, <strong>we made the favicons for GitHub Pull Request pages dynamic</strong>. Now browser tabs would always show a PR&rsquo;s current build status. Before releasing this, users had to periodically click back into tabs to see if their builds had completed so they could continue their work. Impatient users would click back into various PR tabs a <em>lot</em>.</p>

<figure class="tweetEmbed"><blockquote class="twitter-tweet" data-lang="en"><p lang="en" dir="ltr">A little hack week project <a href="https://twitter.com/notdetails?ref_src=twsrc%5Etfw">@notdetails</a> and I just shipped. <a href="https://t.co/3EvfEmWtan">pic.twitter.com/3EvfEmWtan</a></p>&mdash; Jason Long (@jasonlong) <a href="https://twitter.com/jasonlong/status/922900826607190016?ref_src=twsrc%5Etfw">October 24, 2017</a></blockquote></figure>

<script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>

<p>I put together new favicons and Jason worked on implementing the dynamic switch. This change took less than a week, and hundreds of people noticed it immediately. This is just a small sample of the many delighted responses.</p>

<div><picture>
    <source srcset="/assets/images/generated/blog/tiny-wins/tweets1-1029by1418-66f846.png" media="(min-width: 65rem)">
    <source srcset="/assets/images/generated/blog/tiny-wins/tweets1-880by1213-66f846.png" media="(min-width: 45rem)">
    <source srcset="/assets/images/generated/blog/tiny-wins/tweets1-700by965-66f846.png" media="(min-width: 35rem)">
    <source srcset="/assets/images/generated/blog/tiny-wins/tweets1-small-500by960-eba833.png">
    <img srcset="/assets/images/generated/blog/tiny-wins/tweets1-small-500by960-eba833.png" alt="Tweets about GitHub favicons" class="noBorder grown" >
  </picture>
</div>

<p>My next project was <strong>changing the <code>...</code> indicator on new PR pages to an arrow that indicated merge direction</strong>. Before releasing this, people would regularly confuse which branch would be merged into which.</p>

<figure class="tweetEmbed"><blockquote class="twitter-tweet" data-lang="en"><p lang="en" dir="ltr">Ever get confused between your &ldquo;base&rdquo; and &ldquo;compare&rdquo; branches? Shipped a tiny <a href="https://twitter.com/github?ref_src=twsrc%5Etfw">@github</a> change today that will hopefully clear things up. <a href="https://t.co/acOddhxLDs">pic.twitter.com/acOddhxLDs</a></p>&mdash; Joel Califa (@notdetails) <a href="https://twitter.com/notdetails/status/937823787495571456?ref_src=twsrc%5Etfw">December 4, 2017</a></blockquote></figure>

<script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>

<p>This was a one-line code change that took a few minutes. I didn&rsquo;t even design the arrow — it was already in our icon set.</p>

<p>This tiny change solved a seemingly small frustration, but it turned out to be very significant to many of our users. Again, we saw hundreds of enthusiastic responses and shares.</p>

<div><picture>
    <source srcset="/assets/images/generated/blog/tiny-wins/tweets2-1029by1418-2b701c.png" media="(min-width: 65rem)">
    <source srcset="/assets/images/generated/blog/tiny-wins/tweets2-880by1213-2b701c.png" media="(min-width: 45rem)">
    <source srcset="/assets/images/generated/blog/tiny-wins/tweets2-700by965-2b701c.png" media="(min-width: 35rem)">
    <source srcset="/assets/images/generated/blog/tiny-wins/tweets2-small-500by960-290bfc.png">
    <img srcset="/assets/images/generated/blog/tiny-wins/tweets2-small-500by960-290bfc.png" alt="Tweets about the GitHub merge arrow" class="noBorder grown" >
  </picture>
</div>

<h2>Low effort, high impact</h2>

<p>The first of these changes took just under a week and the second  took only a few minutes. Both changes affected very small sections of the platform, yet both enjoyed a passionate, almost euphoric reception. Users were <em>excited</em>.</p>

<p>That&rsquo;s not to say that impact can or should be measured by the number of likes received (unlike, say, personal worth). But the individual responses tell a story of how meaningful even the smallest tweak can be to your users.</p>

<p>I can&rsquo;t count how many times I&rsquo;ve seen the following graphic in its various forms over the years:</p>

<div><img class="noBorder" src="/assets/images/blog/tiny-wins/evaluation.png" alt="Matrix of low to high effort and low to high impact"></div>

<p>The obvious advice, as seen in this version of it, is to execute on things that take little time and make big dents. Curiously, I haven&rsquo;t seen many organizations actually take this advice to heart. Considering how valuable this type of work can be, I honestly don&rsquo;t understand why.</p>

<p>Let&rsquo;s discuss what changes like this can do for you.</p>

<h3>One small change can add up to a big win</h3>

<p>High frequency actions (such as creating new PRs on GitHub) take place millions of times a day. A given user might go through the same flow several times per week, per day, or even per hour. These flows become a part of their lives.</p>

<p>If there is even a slight inefficiency or frustration, it compounds with every use. One confusing moment that takes an extra 5 seconds—repeated multiple times a day in perpetuity—adds up to a lot of anxiety and wasted time.</p>

<p><em>That&rsquo;s</em> why users are so thankful for these tweaks. They understand the significance of all that future time saved.</p>

<p>We can see similar reactions after Netflix added a button that let users skip a TV show&rsquo;s intro sequence. Following this change, users no longer had to scrub back and forth through videos until they landed on the exact start of an episode.</p>

<div><picture>
    <source srcset="/assets/images/generated/blog/tiny-wins/tweets3-1029by998-e52806.png" media="(min-width: 65rem)">
    <source srcset="/assets/images/generated/blog/tiny-wins/tweets3-880by853-e52806.png" media="(min-width: 45rem)">
    <source srcset="/assets/images/generated/blog/tiny-wins/tweets3-700by679-e52806.png" media="(min-width: 35rem)">
    <source srcset="/assets/images/generated/blog/tiny-wins/tweets3-small-500by960-dc4b6d.png">
    <img srcset="/assets/images/generated/blog/tiny-wins/tweets3-small-500by960-dc4b6d.png" alt="Tweets about Netflix's skip intro button" class="noBorder grown" >
  </picture>
</div>

<p>We can see more responses along the same lines after Chrome released a volume icon that indicated which tabs were making noise. Following this change, users no longer had to click into every open tab to find the source of their discomfort.</p>

<div></div>

<figure class="grown noBorder">
  <picture>
    <source srcset="/assets/images/generated/blog/tiny-wins/tweets4-1029by998-0ec748.png" media="(min-width: 65rem)">
    <source srcset="/assets/images/generated/blog/tiny-wins/tweets4-880by853-0ec748.png" media="(min-width: 45rem)">
    <source srcset="/assets/images/generated/blog/tiny-wins/tweets4-700by679-0ec748.png" media="(min-width: 35rem)">
    <source srcset="/assets/images/generated/blog/tiny-wins/tweets4-small-500by960-d5df44.png">
    <img srcset="/assets/images/generated/blog/tiny-wins/tweets4-small-500by960-d5df44.png" alt="Tweets about Chrome tabs' noise indicator" >
  </picture>

  <figcaption>Nobel prizes all around.</figcaption>
</figure>

<p>There are many more examples of this kind of overwhelming gratitude following similar tweaks. The changes may seem minor, but they resolved frustrations that were experienced over and over by <em>millions</em> of users. </p>

<p>Imagine that one of your 20 Chrome tabs is currently auto-playing the most obnoxious video on the entire internet. The way you solve this is by trial-and-error clicking through every single tab. You didn&rsquo;t find it the first time. How is that possible? Ugh, maybe you clicked into it without noticing. Let&rsquo;s try again and again until finally, defeated, you close your entire browser. Rinse and repeat tomorrow and every other day for the foreseeable future.</p>

<figure class="grown noBorder">
  <div><img class="noBorder" src="/assets/images/blog/tiny-wins/bad-experience.png" alt="the experience in emoji form"></div>
  <figcaption>A dramatized reenactment.</figcaption>
</figure>

<p>Compare that to the experience of just closing the tab with the noise icon.</p>

<div><img class="noBorder grown" src="/assets/images/blog/tiny-wins/good-experience.png" alt="a better experience in emoji form"></div>

<p>You can think of the aforementioned changes as shortcuts. The intermediate steps (randomly clicking through your many tabs to find the source of your pain, or racking your brain for which git branch merges into which so you don&rsquo;t accidentally break your company) are small paper cuts, but they add up. These changes get rid of them.</p>

<p>Getting your personal pet peeve fixed is powerful, often more so than new, more substantial features. Think about all that cumulative impact resulting from such little effort.</p>

<p>This is what I call a Tiny Win.</p>

<h3>Tiny Wins can strengthen your business</h3>

<p>Let&rsquo;s get this out of the way: large projects are important. If a company wants to continue innovating, tiny iterations like the ones above don&rsquo;t quite cut it. So, to be clear, I&rsquo;m not suggesting we begin planning roadmaps around these Tiny Wins. Ambitious projects should lead the way.</p>

<p>But large scale projects demand coordination, diligence, and — most of all — time. These things don&rsquo;t happen overnight. In the time it takes to ship something of substance, a product can begin to feel stagnant. For a startup (especially one with viable competition) that stagnation can spell death.</p>

<p>To combat this, companies have to create an atmosphere of momentum, and prove to their users that they&rsquo;re both listening and improving. They need to fill the long gaps between ambitious launches with smaller ships.</p>

<p>Many companies try to strike a balance by building MVPs and iterating from there. This, ideally, provides users with regular value along every step of the way. But each of these steps can still take anywhere from a two-week sprint to several months—and the output of each step is not always inherently valuable. It&rsquo;s often the next small thing on the way to a more complete product.</p>

<p>In contrast, the various improvements I listed above are all self-contained. Netflix&rsquo;s &ldquo;skip intro&rdquo; button is significant to users <em>in itself</em>. As is Chrome&rsquo;s noise indicators and GitHub&rsquo;s dynamic favicons.</p>

<p>Because of this, these changes were perceived and acknowledged as fresh, complete features. They communicated to users that <em>they were being listened to</em>. These features bred excitement, goodwill, and likely loyalty towards their respective companies. Hell, they probably even contributed to some organic growth.</p>

<p>MVPs and iteration are powerful tools that should be leveraged by companies looking to move quickly. But Tiny Wins are much more potent when it comes to filling the gaps, improving retention, and nurturing your community of users.</p>

<h2>Make Tiny Wins work for you</h2>

<p>OK, so Tiny Wins are great and they have this cute name to boot. Obviously you&rsquo;re sold on this. The next step, then, is to leverage them regularly and reap the rewards.</p>

<p>Now, your first instinct might be to open up your user feedback channels and start prioritizing issues. I&rsquo;d caution against this.</p>

<p>I noticed something weird about the issues we solved with these changes. They were almost never reported.</p>

<p>Hundreds of people were ecstatic when we added that arrow to PR pages. Out of those, not a single one indicated that this flow was confusing. A lot of people assumed it was their own fault for not just &ldquo;getting&rdquo; it.</p>

<div><picture>
    <source srcset="/assets/images/generated/blog/tiny-wins/tweets5-1029by180-309373.png" media="(min-width: 65rem)">
    <source srcset="/assets/images/generated/blog/tiny-wins/tweets5-880by154-309373.png" media="(min-width: 45rem)">
    <source srcset="/assets/images/generated/blog/tiny-wins/tweets5-700by122-309373.png" media="(min-width: 35rem)">
    <source srcset="/assets/images/generated/blog/tiny-wins/tweets5-small-500by375-d82c9d.png">
    <img srcset="/assets/images/generated/blog/tiny-wins/tweets5-small-500by375-d82c9d.png" alt="Tweets from people blaming themselves" class="noBorder grown" >
  </picture>
</div>

<p>Others get so accustomed to these flows that they don&rsquo;t even notice their anxiety. If they do, it&rsquo;s just part of life. The status quo. Something to live with, not improve.</p>

<p>How many people recognized the act of scrubbing a video to find the start of an episode as improvable? How many people thought to ask the Chrome team to solve their noisy tab problems?</p>

<blockquote>Something something faster horses.&rdquo; —Henry Ford<span class="arrow"></span></blockquote>

<p>The lesson here is that you can&rsquo;t trust your users to bubble up the small stuff, which as we&rsquo;ve seen can often be the best stuff to build). This means that you can&rsquo;t exclusively rely on existing user feedback and tickets. You need to dig deeper.</p>

<h3>Make a list, check it twice</h3>

<p>Making a list of quick wins isn’t hard, but making sure that what you’re building is worth the effort can be trickier. Not every opportunity will have the kind of impact we saw above, and that’s what Tiny Wins are all about.</p>

<p><strong>Tiny Wins are standalone.</strong> These changes are small, scoped, and provide their own value. If the change can&rsquo;t be appreciated on its own, it doesn&rsquo;t belong on the list.</p>

<p><strong>Tiny Wins are low effort.</strong> These projects are straightforward, scoped, and takes a short amount of time. If the change requires a significant amount of time and effort, it doesn&rsquo;t belong on the list.</p>

<p><strong>Tiny Wins are high impact.</strong> They affect things that the majority of users interact with on a regular basis. If the change won&rsquo;t have the compounding effects we&rsquo;ve discussed, it doesn&rsquo;t belong on the list. This means that something like addressing your system&rsquo;s <a href="http://blog.capwatkins.com/dark-corners">dark corners</a>, while important and worthwhile, is not right for this list.</p>

<p><strong>Tiny Wins are often shortcuts.</strong> They save a user&rsquo;s time by getting rid of existing steps — <em>physical or mental</em> — required to perform an action. This is a really useful way to think about the types of changes we saw above, and a good way to differentiate them from other low-hanging fruits that don&rsquo;t belong on your lists. At least initially, users will still remember the frustrating experiences they once had to deal with. They&rsquo;ll remember them viscerally. That&rsquo;s where the love comes from.</p>

<hr>

<p>So start by setting up a meeting with as many perspectives as you can. Designers, Developers, PMs, Customer Success, and Support staff all have equally valuable insights here, but anyone with a finger on the pulse of your user base is especially important. Ask yourselves:</p>

<ul>
<li>What are your product&rsquo;s most frequently used flows?</li>
<li>What about those flows is frustrating? What regularly takes up time or cognitive load? This could be an extra click or an ambiguous component.</li>
<li>How frustrating are these moments? What is the sum of time or frustration that fixing each of these small things will save? How many users would be affected?</li>
<li>Will it be noticeable? Will it be shareable? Will it create joy?</li>
</ul>

<p>Fresh eyes are extremely useful when it comes to answering these questions. I&rsquo;d only been at GitHub for a few months when I added the arrow to the PR page, and I did that because it just <em>didn&rsquo;t make sense</em> to me.</p>

<p>Designers, like users, get used to their product and its various quirks. In time, it can become increasingly difficult to see what could be improved. So try to include new employees in this process. Make it a part of your team&rsquo;s on-boarding. And nurture an atmosphere that encourages your team to continue questioning the status quo even as they get to know the product.</p>

<p>Once you&rsquo;ve populated the initial list, you can validate individual items with users and prioritize them based on effort/impact, as you would anything else.</p>

<h3>Now do the things on the list</h3>

<p>Every organization is different, so there isn&rsquo;t a universal process that&rsquo;ll work for everything. What I <em>can</em> say is that the key element to make this work is a regular cadence. This is what will create a sense that the company is listening and moving quickly. This is what will breed trust in your user base.</p>

<ul>
<li>Include a Tiny Win in every sprint, or fill your downtime by picking items off the list. Make sure these tweaks are shipped frequently.</li>
<li>Keep the list alive by including new people, adding new items to it, revalidating it, and reprioritizing it often.</li>
<li>Make it a point to include your social media managers early in the conversation. Highlighting these features the right way is extremely important, and also fun!</li>
</ul>

<p>That&rsquo;s it. Not exactly rocket science. Not exactly novel. But very powerful.</p>

<p>I believe that getting into the habit of shipping Tiny Wins can do wonders for your brand. It can set you apart from competitors. It can show your users that you&rsquo;re listening to them and that they can trust you. It can turn those same users into promoters, boost your NPS, and lead to organic growth. Most importantly, it&rsquo;ll make your product, and the lives of your users, that much better.</p>

<p>Imagine all of that for such a tiny amount of ongoing effort. </p>

<p>So&hellip; what can you fix today?</p>
