title: Migrate Aperture libraries to the Photos app or Adobe Lightroom Classic
url: https://support.apple.com/en-ca/HT209594
hash_url: 91c8217bf968020e5c4b17de70c48ffe

<div id="content">

<div class="intro"><p>Aperture won't run in versions of macOS after macOS Mojave. Here's how to move your Aperture libraries to Photos or Adobe Lightroom Classic.</p>

</div>

<p itemprop="author" itemscope="" itemtype="http://schema.org/Organization">
<meta itemprop="name" content="Apple"/>
</p>
<div id="sections" itemprop="articleBody">


<div id="" class="">




<div><p>In June 2014, Apple announced that development of Aperture has been discontinued. Since then, Apple has released six major macOS upgrades. For technical reasons, macOS Mojave is the last version of macOS to run Aperture. Starting with macOS Catalina, Aperture is no longer compatible with macOS.</p>
<p>To continue working with your Aperture photo libraries, you must migrate them to another photo app. You can <a href="#photos">migrate them to the Photos app</a>, which is included with macOS Yosemite or later, or <a href="#lightroom">migrate them to Adobe Lightroom Classic</a> or another app. You should do this before upgrading to macOS Catalina.</p>

</div>

</div>





<div id="" class="">



<h2>Migrate your library to Photos</h2>
<div><p>Use these steps to prepare your Aperture library for migration, then use Photos to migrate it. </p>

</div>



<div id="" class="">



<h3>If you're using macOS Mojave or earlier</h3>
<div><ol>
<li>Open Aperture.</li>
<li>Choose Aperture &gt; Preferences, click the Previews tab, then change the Photo Preview setting to Don't Limit. Close the preferences window.</li>
<li>From the list of projects in the Library inspector, select all of your projects. For example, click the first project listed, then press and hold the Shift key while clicking the last project.</li>
<li>Click the Browser layout button in the toolbar, so that all photos are shown as thumbnails.</li>
<li>Choose Edit &gt; Select All to select all of your photos.</li>
<li>Press and hold the Option key, then choose Photos &gt; Generate Previews.</li>
<li>Aperture now generates full-size previews for every photo in your library. To follow its progress, choose Window &gt; Show Activity from the menu bar. Quit Aperture when processing is complete.</li>
<li>Open the Photos app, then choose your Aperture library when prompted. If you aren't prompted to choose a library, press and hold the Option key while opening Photos. If your Aperture library isn’t listed, click Other Library, then locate and choose your library.<br/>
<img src="/library/content/dam/edam/applecare/images/en_US/mac_apps/iphoto/macos-photos-startup-choose-library.jpg" alt="Choose Library window"/></li>
</ol>
<p>When Photos shows the photos from your Apterture library, migration is complete. Learn more about <a href="https://support.apple.com/kb/HT204655">how Photos migration works</a> and how Photos handles <a href="https://support.apple.com/kb/HT204478">content, metadata</a>, and <a href="https://support.apple.com/kb/HT204487">smart albums</a> from Aperture. </p>

</div>

</div>


<div id="" class="">



<h3>If you're using macOS Catalina</h3>
<div><p>Starting with macOS Catalina, Aperture is no longer compatible with macOS. If you upgraded to macOS Catalina before migrating your Aperture library, you can still use Photos to choose your Aperture library, as pictured above. However, Photos might show only the original photos, not any edits that you made to them in Aperture.</p>
<p>Apple will soon release a <a href="https://support.apple.com/kb/HT201541">macOS Catalina update</a> to help resolve this issue. Until then, you should keep your Aperture library and expect to migrate it to Photos again. You may also want to avoid using Photos to add or edit photos, because those changes won't be kept when you migrate your library again.</p>
<p><span class="note">This article will be updated as more information becomes available.</span></p>

</div>

</div>



</div>





<div id="lightroom" class="">



<h2>Migrate your library to Adobe Lightroom Classic</h2>
<div><p>Adobe Lightroom Classic version 5.7 and later includes a <a href="https://helpx.adobe.com/lightroom/help/import-iphoto.html">built-in tool for migrating Aperture libraries to Lightroom catalogs</a>.</p>
<p>When an Aperture library is migrated to Lightroom, your library's organization, metadata, and image adjustments are preserved, with some exceptions:</p>
<ul>
<li>RAW files are migrated, but Aperture's non-destructive adjustment layer does not. Lightroom’s migrator tool includes an option to export and migrate Aperture’s full-size JPEG previews for edited images. If you want to preserve your Aperture edits in another format, export the edited images from Aperture first, then reimport them into Lightroom after migrating your library.</li>
<li>Projects, folders, and albums are migrated to Lightroom collections and collection sets.</li>
<li>Faces, color labels, and stacks are migrated as keywords.</li>
<li>Rejected images are migrated to a collection.</li>
<li>Slideshows are migrated as collections.</li>
<li>Smart Albums and custom metadata fields aren't migrated.</li>
<li>Album organization is alphabetical, so manual sidebar organization might not be preserved.</li>
<li>Custom metadata fields aren't migrated.</li>
</ul>

</div>

</div>





<div id="" class="">



<h2>Export your Aperture library</h2>


</div>


</div>


<div class="sosumi"><p>Information about products not manufactured by Apple, or independent websites not controlled or tested by Apple, is provided without recommendation or endorsement. Apple assumes no responsibility with regard to the selection, performance, or use of third-party websites or products. Apple makes no representations regarding third-party website accuracy or reliability. Risks are inherent in the use of the Internet. <a href="https://support.apple.com/kb/HT201777">Contact the vendor</a> for additional information. Other company and product names may be trademarks of their respective owners.</p>
</div>

<div class="sosumi"><p>This document will be updated as more information becomes available.</p>
</div>



<p class="mod-date">
<span>Published Date:</span> <time datetime="2019-10-04" itemprop="datePublished">October 04, 2019</time>
</p>

</div>
