title: Training and Racing Summer 2019
url: https://mtnath.com/2019/08/31/training-and-racing-summer-2019/
hash_url: 9ba6caced01816723166a1e72fb6cc53

<p>Since 2006 when I started racing in trail running as a complement for my ski mountaineering seasons my training and racing orientation were based more on quantity and diversification than quality. The main goal was to do complete seasons with good results in different kind of competitions, from skimo championships and cup and long distance skimo races in winter and vertical kilomenter’s, skyraces, short and long distance trail and ultratrail races in summer. My racing shedule has been between 25 to 50 races per year, with no particular focus in any of the races, and the training was mostly high volume of mountain running (mid and technical terrain) with no intensity (I was using races for that). The race strategy was trying to get the best position, and if possible, to destroy myself the least to be able to race again the next week. This year I wanted to reduce the volume of races (less traveling and resting) to be able to train more / better and try to give the best in the races I was competing, changing quantity to quality.</p>



<p>During the winter, from December to begining of May, I didn’t race as much as last seasons, skipping the ISMF world cup, meaning less travels and more time to train, and only racing some local races, troffeo Mezzalama and doing a <span><a href="https://mtnath.com/2019/02/12/24h-of-elevation-in-ski/">24h skimo elevation test</a></span>. Most part of the training during this period was on skis but for the first time since 2007 I also kept running, normally I was training with skis in the morning and went for a recovery run or treadmill training in the afternoon. (An average winter training week was 20-25h / 20.000m+ with ski and 4 to 6h / 40-65km of running)</p>



<p class="has-background has-very-light-gray-background-color"><strong>Summer training </strong>(in parentesis the running hours/elevation if the weekly total includes also cycling or skiing)</p>



<figure class="wp-block-table"><table class=""><tbody><tr><td>Week</td><td>Time </td><td>running km</td><td>Elevation</td><td>Comments</td></tr><tr><td>19</td><td>22,9h (9,4h)</td><td>105km</td><td>15000m (5200m)</td><td/></tr><tr><td>20</td><td>17h (9,75h)</td><td>98km</td><td>11000m (6750m)</td><td/></tr><tr><td>21</td><td>16,15h</td><td>155km</td><td>8500m</td><td/></tr><tr><td>22</td><td>12,25</td><td>130km</td><td>7300m</td><td>Zegama</td></tr><tr><td>23</td><td>12h</td><td>100km</td><td>5600m</td><td>Geiragner h/m</td></tr><tr><td>24</td><td>19,5h</td><td>87km</td><td>8700m</td><td/></tr><tr><td>25</td><td>22,75h</td><td>194km</td><td>10450m</td><td>Mefjellet Opp</td></tr><tr><td>26</td><td>25,05h</td><td>233km</td><td>9700m</td><td/></tr><tr><td>27</td><td>17,75h</td><td>135km</td><td>5950m</td><td/></tr><tr><td>28</td><td>21,5h (20h)</td><td>179km</td><td>9050m</td><td/></tr><tr><td>29</td><td>23h</td><td>208km</td><td>9350m</td><td/></tr><tr><td>30</td><td>17h (14h)</td><td>153km</td><td>7000m</td><td/></tr><tr><td>31</td><td>24h</td><td>219km</td><td>12200m</td><td/></tr><tr><td>32</td><td>10,5h</td><td>110km</td><td>6100m</td><td>Sierre Zinal</td></tr><tr><td>33</td><td>18h</td><td>131km</td><td>9800m</td><td/></tr><tr><td>34</td><td>11,25h</td><td>108km</td><td>7300m</td><td>Pikes Peak m</td></tr></tbody></table></figure>



<p class="has-small-font-size">all the training details on my <a href="https://docs.google.com/spreadsheets/d/1_t4NwKrsAKbqotxi8T4RDgsMQzI2iNA3IYMZaPf-ArU/edit#gid=494192160"><span><em>training table</em></span></a></p>



<p>I studied some of the “classical” road running training sessions and programming and I talked with Jean-Louis Bal, who has a great experience in both road and mountain running training, to introduce some flat running sessions on my training shedule.</p>



<p>During this period I was training 2 times per day (exept for the day of my long-technical day if that exceeded 6-7h), doing a longer session in the morning and a easy 9-10k run or cycling 1h in the afternoon. The key sessions during the week being:</p>



<ul><li>1x Tempo run: around 2h, 30-35km at 3:30-3:50m/kil</li><li>1x Uphill training: 3x700m at 20-24′ </li><li>1x Treshold intervals: 3×5000 (14:58-15:20-15:15) / 4×2000 (5:32-5:55-6:10-6:00) / 5k (15′) 4k (12’20) 3k (9′) 2k (‘5’50”) 1k (2’50”)</li><li>1x VMA intervals: 10×400 (1’06”-1’08”) / 10×200 (35”) / 10×600 (1:39-1:40)</li><li>2 x Easy mountain run: 25-30km with 1500-2000m</li><li>1x Technical mountain run: 15-20km with 3000-4000m in scrambling terrain (between 4 to 10h)</li></ul>



<p>I also did 2 times a steep + flat session at the end of the training block:</p>



<ul><li>700m+ in 20′ + 7km in 21′ + 700m+ in 28’+10km in 40′</li><li>1000m+ in 33’20” (VK Chamonix) + 10K in 31’40” + 600m+ recup.</li></ul>



<p>I believe this sessions are very interesting to work transitions from uphill to flat sections.</p>



<p>It was interesting thet even if I drop my average elevation gain per week and add many flat kilometers the uphill performance have been improving a lot, in average, 2 or 3′ x 1000m. My usual training runs in Nesaksla (1,7 km-700m) droped from high 22′ to high 20′, and Romsdalshorn (a climbing 900m, 1,6km, IV) from 33’50” to 30’40”. Obiously I imporved my flat running since before I was doing almost none.</p>



<p>I also believe that after 15 years with a similar training system, the fact of changing training method put a challenge to my body and that alone was a fact of improvement. </p>



<p><strong>Summer Races:</strong></p>



<figure class="wp-block-image size-large"><img data-attachment-id="17050" data-permalink="https://mtnath.com/68336073_10213924345854424_7723208709903482880_o/" data-orig-file="https://trainingandactivities.files.wordpress.com/2019/08/68336073_10213924345854424_7723208709903482880_o.jpg" data-orig-size="2000,1333" data-comments-opened="1" data-image-meta="{&quot;aperture&quot;:&quot;0&quot;,&quot;credit&quot;:&quot;&quot;,&quot;camera&quot;:&quot;&quot;,&quot;caption&quot;:&quot;&quot;,&quot;created_timestamp&quot;:&quot;0&quot;,&quot;copyright&quot;:&quot;&quot;,&quot;focal_length&quot;:&quot;0&quot;,&quot;iso&quot;:&quot;0&quot;,&quot;shutter_speed&quot;:&quot;0&quot;,&quot;title&quot;:&quot;&quot;,&quot;orientation&quot;:&quot;0&quot;}" data-image-title="68336073_10213924345854424_7723208709903482880_o" data-image-description="" data-medium-file="https://trainingandactivities.files.wordpress.com/2019/08/68336073_10213924345854424_7723208709903482880_o.jpg?w=300" data-large-file="https://trainingandactivities.files.wordpress.com/2019/08/68336073_10213924345854424_7723208709903482880_o.jpg?w=860" src="https://trainingandactivities.files.wordpress.com/2019/08/68336073_10213924345854424_7723208709903482880_o.jpg?w=1024" alt="" class="wp-image-17050" srcset="https://trainingandactivities.files.wordpress.com/2019/08/68336073_10213924345854424_7723208709903482880_o.jpg?w=1024 1024w, https://trainingandactivities.files.wordpress.com/2019/08/68336073_10213924345854424_7723208709903482880_o.jpg?w=150 150w, https://trainingandactivities.files.wordpress.com/2019/08/68336073_10213924345854424_7723208709903482880_o.jpg?w=300 300w, https://trainingandactivities.files.wordpress.com/2019/08/68336073_10213924345854424_7723208709903482880_o.jpg?w=768 768w, https://trainingandactivities.files.wordpress.com/2019/08/68336073_10213924345854424_7723208709903482880_o.jpg 2000w" sizes="(max-width: 1024px) 100vw, 1024px"/><figcaption>Jean-Louis Bal</figcaption></figure>



<p>As the goal this year was to see what a change of training can do to my performances (training times and races) I didn’t race as much as other summers to be able to keep a stable training (less travel and rest days) and to be able to focus on the race, giving all and not to think about the next race.</p>



<p><strong><a href="https://en.wikipedia.org/wiki/Zegama-Aizkorri">Zegama – Aizkorri</a>: </strong>42km/2600m -3h52’47” <a href="https://www.strava.com/activities/2417139019">STRAVA ACTIVITY</a></p>



<p>That was my first race of the season. We did a strong start and I stayed behind Oier and Andy. After 15km Andy started to drop and I continue alone. The day was very hot (30º) and since Santi Spiritu I took a conservative pace, to not get any muscular problems and keep the first position. </p>



<p><span><strong><a href="http://www.frafjordtilfjell.com/hoved.php?sprak=eng&amp;val=0">Geiragner  Fra Fjord Till Fjell</a></strong></span>: 21km/1500m – 1h26’48”  <a href="https://www.strava.com/activities/2433178968">STRAVA ACTIVITY</a> </p>



<p>This is a road uphill half marathon. Conditions were good, 20º temperature at the start and 10º by the end, some strong wind but it didn’t affected much. I was alone from the start and try to keep a steady pace. Good feelings.</p>



<p><a href="http://www.mefjelletopp.no"><span><strong>Mefjelletopp</strong></span></a>: 7km /1100m 2kg backpack – 40’52” <a href="https://www.strava.com/activities/2471417229">STRAVA ACTIVITY</a> </p>



<p>The race was the mountain running Norwegian championship. Temperature was great. Strong start with Johan Bugge up to km 3 where I started to push a bit harder and went alone to the finish. Great feelings, I believe one of my best performance’s this year.</p>



<p><strong><span><a href="https://www.sierre-zinal.com/">Sierre Zinal</a></span></strong>: 31km/2200m – 2h25’35” <a href="https://www.strava.com/activities/2609897868">STRAVA ACTIVITY</a></p>



<p>The goal to this race was to go faster than my previous runs here (I have run 9 times since 2009, with 7 victories) and approach as possible or break Jonathan Wyatt record. Since the start I run solo, I tought Petro Mamu will follow in the uphill but I felt good and easy and go away fast. I pass Pochette in 47’10” and Chandolin in 1h5’59”, 40” faster than Jono’s time and much faster than my previous uphills.  In the flat after that I felt good but started to felt the effort. I pass Hotel Weisshorn in 1h42’35”, 20 seconds slower than Jono. By then Petro Mamu was taking time on me and in the downhill I really felt the uphill effort but could still run consistent to the finish. </p>



<p><a href="https://en.wikipedia.org/wiki/Pikes_Peak_Marathon"><strong>Pikes Peak Marathon</strong></a>: 42km /2300m – 3h27’28” <a href="https://www.strava.com/activities/2651610541">STRAVA ACTIVITY</a></p>



<p>My goal at this race was to have a good run, try to run much faster than my 2012 race (3h40′) and if good conditions approach Matt Carpenter and Ricardo Mejia’s times. </p>



<p>Conditions the race day were hot, up to a hottest day recorded on August 25 of 96ºF! Over 30ºC.  And the barometric pressure at the start was pretty low. 29.7 adjusted, 23.9 unadjusted. It was some strong wind on the last miles on the course but not so bad.</p>



<p>I run with Andy Wacker and Juan Carlos Carrera for the 1st mile in the road and when we hit the trail I started to run alone. I didn’t feel I had good legs (heavy since the start, maybe from the travel, maybe from the “not-fast-not-slow” incline run on friday, maybe just a bad day) but I could leave the other runners behind, the cardio at least was working well. I pass Barr Camp in 1h03’49”. 3 minuts slower than what I wanted to run, and the summit in 2h09’12”. I didn’t go for a crazy downhill but since my legs were not very good I was afraid runners like Marc Lauenstein or Sage could catch me on the way down. The sand on the trail was making some turns slippery but is a non technical downhill and is fast, you need to push all the way. After Barr Camp temeratures were very hot, and we started to literaly burn down. I’m happy with my race despite not good feelings, going under 3h30′ for the first time since 1996 and running the 6th fastest time of the race. </p>
