title: Question(s) de résilience personnelle
url: https://oncletom.io/2018/questions-resilience-personnelle/
hash_url: b5f6bd17525956d8729e0e3512db5e91

<p>J'étais de passage à Lyon pour présenter le projet <a href="https://mind-the-gaps.org/fr/" target="_blank" rel="noopener">Mind the Gaps</a> à la <a href="https://blendwebmix.com/programme/conferences/smart-citizen-vers-une-production-de-donnees-citoyennes/" target="_blank" rel="noopener">conférence BlendWebMix</a>. C'est aussi l'occasion de m'aventurer à la deuxième édition du cycle <a href="https://mastodon.social/@commonfutures" target="_blank" rel="noopener">Common Future(s)</a> (<a href="https://mypads.framapad.org/mypads/?/mypads/group/common-futures-p683g7rp/pad/view/common-futures-2e-journee-de-rencontre-3n85g727" target="_blank" rel="noopener">documentation de la journée</a>).</p>
<p><a href="http://geoffreydorne.com/" target="_blank" rel="noopener">Geoffrey Dorne</a> a posé 6 questions pour évaluer notre vécu et nos actions face à la <a href="https://fr.wikipedia.org/wiki/Th%C3%A9ories_sur_les_risques_d%27effondrement_de_la_civilisation_industrielle" target="_blank" rel="noopener">question de l'effondrement</a>. Le sujet me barbe mais j'ai eu envie de jouer le jeu et d'y répondre.</p>
<h1>Comment travaillez-vous votre résilience aujourd'hui ?</h1>
<p>Je refuse des choses qui me pèsent ou qui vont à l'encontre de mes valeurs.
Des fois, je me rate. Peut-être que je passe à côté de certaines choses. Comme je ne sais pas, je ne regrette pas. Si je sens que je vais regretter, j'essaie. Si ça ne me plait pas, j'arrête.</p>
<p>Je <a href="https://estcequecestdutravail.xyz" target="_blank" rel="noopener">vis en itinérance</a> depuis le mois de mars pour interroger mes envies et mes besoins, dans l'idée de trouver un endroit de vie à cultiver.</p>
<p>Je travaille à écouter ma boussole interne, à déconstruire les normes, celles que je subis et les autres.</p>
<p>J'écoute les personnes qui subissent des oppressions, j'essaie de comprendre leur vécu, j'essaie de rapporter leur parole.</p>
<p>Je propose des ateliers de boulangerie, pour faire du pain et repartir avec à la maison.</p>
<p>J'entame ma troisième thérapie avec une psychologue pour comprendre, accepter et changer de regard sur des failles qui me font peur ou qui me font perpétuer des oppressions.</p>
<h1>Comment utilisez-vous votre métier pour ce faire ?</h1>
<p>Je fais en sorte que les productions facturées soient ouvertes, librement accessibles, voire deviennent des communs.</p>
<p>Je privilégie les projets qui ont un impact positif et regénératif sur les écosystèmes naturels et humains.</p>
<p>Je privilégie les projets qui renforcent l'autonomie des individus.</p>
<p>Je privilégie les projets qui génèrent des communs (y compris sous d'autres formes que du logiciel informatique).</p>
<p>Je propose du temps libre à des projets et organisations en phase avec mes valeurs (comme le <a href="https://latelierpaysan.org/Le-printemps-d-InPACT-2018" target="_blank" rel="noopener">Printemps d'InPACT</a> et la <a href="http://www.revuesilence.net/" target="_blank" rel="noopener">revue S!lence</a>).</p>
<p><img src="https://oncletom.io/images/2018/10/64290003.jpg" alt=""/></p>
<h1>Quels sont les freins que vous avez ?</h1>
<p>Je n'ai plus l'impression d'avoir de freins :</p>

<p>En ce moment, j'ai l'impression que les opportunités s'ouvrent de plus en plus, au fur et à mesure que j'adapte graduellement mon mode de vie et mon mode de travail au rythme que je souhaite lui donner.</p>
<p>Enfin si, un frein c'est le temps disponible : j'ai davantage d'envies que de temps. Je dois faire des choix pour ne pas trop me disperser. C'est dur.</p>
<h1>Quels sont les étapes que vous souhaitez franchir ?</h1>
<p>J'aimerais prendre davantage part au mouvement de mise en relation des producteurs et des consommateurs, peu importe les formes (vente directe, AMAP, épicerie coopérative).</p>
<p>J'aimerais travailler davantage avec les acteurs ruraux, mettre en commun et renforcer leurs connexions.</p>
<h1>Comme il n'y a pas d'issue, comment, intellectuellement, anticipez-vous et vivez-vous cet effondrement à venir ?</h1>
<p>Je pense souvent à la mort, à ma propre mort. C'est ce qui m'aide à me focaliser sur ce que j'ai envie de faire, sur ce qui a du sens pour la vie que je souhaite avoir.</p>
<p>Il y a 5 ans, j'écrivais <a href="/2014/future/">la vision de ma trentaine</a>. Je ne l'écrivais pas par rapport à un effondrement mais à un décalage que je ressentais déjà depuis plusieurs années.
J'ai récemment découvert un mot qui illustre mon ressenti vis à vis de ce décalage : "<a href="https://en.wiktionary.org/wiki/solastalgia" target="_blank" rel="noopener">solastalgie</a>", <a href="https://qz.com/1423202/a-philosopher-invented-a-word-for-the-psychic-pain-of-climate-change/" target="_blank" rel="noopener">inventé par le philosophe Glenn Albrecht</a>.</p>
<p>Finalement je ne cherche pas à anticiper un effondrement mais à faire en sorte de me synchroniser avec mon environnement immédiat.
Pour l'instant, ça me guide vers un environnement de vie plus naturel, plus rural et moins exposé aux villes.</p>
<h1>Nous serons peut-être parmi les dernières générations d'humains, que reste-t-il encore à créer pour ces dernières générations ?</h1>
<p>Je me dis régulièrement que ce n'est pas le futur qui est à inventer, mais le présent qui est à soigner, au sens de bien traiter, regénérer.</p>
<p>Ce qu'il faudrait créer : une gestion collective, davantage dans l'intérêt des personnes qui constituent l'organisation en question. Des entreprises, coopératives, associations, communes gérées par les employé·es, coopérateurices, adhérent·es et citoyen·nes.</p>
<p>Au cours de notre <a href="https://estcequecestdutravail.xyz" target="_blank" rel="noopener">itinérance avec Noémie</a>, ces lieux gérés en commun – ces lieux gérés comme des <em>communs</em> — sont les lieux les plus vivants.
Ça passe donc par une écologie de travail, une écologie de vie et une écologie de rapports humains équilibrée et non-destructive.</p>
<p><img src="https://oncletom.io/images/2018/10/64290007.jpg" alt=""/></p>
