title: La Blockchain et l’émergence des " distributed consensus engines "
url: http://www.christian-faure.net/2015/09/13/la-blockchain-et-lemergence-des-distributed-consensus-engines/
hash_url: d5855c416d3ad15cca1c30f412689356

<p>Je vais y aller <i>à la hache</i>. Mon propos ne sera pas chirurgical, précis ; il sera assez grossier.</p>
<p><a href="http://www.christian-faure.net/wp-content/uploads/hache.jpg"><img class="aligncenter wp-image-3755" src="http://www.christian-faure.net/wp-content/uploads/hache-300x235.jpg" alt="hache"/></a></p>
<p class="p5"><span class="s1">Grossier d’abord parce que je vais vous parler de choses qui sont <b>émergentes</b> et qui n’ont <b>pas encore de formes précises</b> mais produisent beaucoup de <b>protentions</b>, c’est à dire beaucoup<b> d’attente.</b></span></p>
<p class="p5"><span class="s1">Tout le monde a entendu parler du <b>Bitcoin</b>, ce système de transfert d’argent, mais probablement peu a entendu parler de la <b>blockchain, </b>qui est la technologie sous-jacente au Bitcoin.</span></p>
<p class="p5"><span class="s1"><br/>
Le Bitcoin est à la croisée de différentes technologies parmi lesquelles : les protocoles Peer-to-peer, les mécanismes de cryptographie, les systèmes de gestion de version de code, les bases de données distribuées , etc.</span></p>
<p class="p5"><span class="s1">Même si, en apparence, il n’y a rien de nouveau,<b> la blockchain est une réelle innovation</b> dont les conséquences ont encore du mal à être appréhendées. Ceux qui se sont intéressés à la blockchain <b>la comparent volontiers au web</b> de part l’ampleur des conséquences qu’elle pourrait avoir.</span></p>
<p class="p5"><span class="s1">De fait, il y a beaucoup de <b>discours prophétiques</b> à son sujet ; c’est le temps des <i>prophéties</i> et des <i>prophètes</i> de la blockchain. </span></p>
<p class="p5"><span class="s1"><b><img class="aligncenter wp-image-3758" src="http://www.christian-faure.net/wp-content/uploads/ismael2-1024x768.jpg" alt="ismael"/></b></span></p>
<p class="p5"><span class="s1"><b>Salim Ismail</b>, qui est l’ambassadeur de l’<i>Université de la Singularité –</i> et qui passe son temps à cataloguer et à qualifier toutes les innovations technologiques – a déclaré,<span class="Apple-converted-space">  </span>en Juillet 2015 à Paris, lors de la <a href="http://www.usievents.com/fr">conférence USI</a> : <em>«  The blockchain is THE most disruptive technology I have EVER seen »</em>. Cela donne le ton.</span><span id="more-3754"/></p>
<h2 class="p3"><span class="s1">In the beginning was Satoshi Nakamoto</span></h2>
<p class="p5"><span class="s1">Le principe du bitcoin a été publié en 2008 et mise en oeuvre en 2009 par le mystérieux Satoshi Nakamoto. </span></p>
<p class="p5"><a href="http://www.christian-faure.net/wp-content/uploads/nakamoto.jpg"><img class="aligncenter wp-image-3759" src="http://www.christian-faure.net/wp-content/uploads/nakamoto.jpg" alt="nakamoto"/></a></p>
<p class="p5"><span class="s1">Il permet de surmonter un problème de taille qui est celui<b> du double paiement</b> dans les transactions financières (<i>double spend problem</i>) : comment s’assurer qu’un montant ne sera pas dépensé deux fois ? Comment ne pas se faire remettre un chèque en bois ? etc.</span></p>
<p class="p5"><span class="s1">Traditionnellement il faut faire appel<b> à des tiers de confiance</b> que sont typiquement <b>les banques</b>. Mais, même avec un tiers, le risque de fraude est toujours présent, les systèmes bancaires centralisés facturent ce risque (et bien d’autres services encore), ce qui conduit à rendre très difficile des micros-paiements qui ne supportent pas les frais induits par les structures centralisées.</span></p>
<p class="p5"><span class="s1">Satoshi Nakamoto précise, dans son papier fondateur sur le BitCoin, sont intention avec la création du Bitcoin :</span></p>
<blockquote>
<p class="p5"><span class="s1">« Un système de monnaie électronique entièrement en pair-à-pair permettrait d’effectuer des paiements en ligne directement d’un tiers à un autre <b>sans passer par une institution financière</b> »</span></p>
</blockquote>
<p class="p5"><span class="s1">Avec la blockchain, le fait qu’une transaction soit acceptée ou rejetée est le fruit d’un <b>consensus distribué </b>et non d’une <b>institution centralisée</b>.</span></p>
<p class="p5"><span class="s1"><br/>
La manière dont ce consensus distribué peut être réalisé renvoi aux travaux sur les systèmes informatiques distribués où l’on parle de « problème des généraux byzantins ». </span></p>
<p class="p5"><a href="http://www.christian-faure.net/wp-content/uploads/byzantins.jpg"><img class="aligncenter size-full wp-image-3760" src="http://www.christian-faure.net/wp-content/uploads/byzantins.jpg" alt="byzantins"/></a></p>
<p class="p5"><span class="s1">Ce problème classique de l’informatique distribué dans un environnement non sécurisé peut s’expliquer par la métaphore des généraux byzantins suivante : dans le schéma ci-dessus l’armée A fait le siège de l’armée B, A1 et A2 doivent attaquer ensemble pour gagner contre B. Pour cela ils doivent s’envoyer des messages : d’abord de A1 vers A2 pour proposer le moment et l’heure de l’attaque, mais A2 peut douter du message qu’il recevra de A1 (B en a eu connaissance, et peut-être l’a-t-il modifié, etc ). De même A1 attend le message de confirmation de A2 pour ne pas se retrouver à attaquer seul. Mais quand il reçoit ce message il peut lui aussi douter de son origine et de son contenu.</span></p>
<p class="p5"><span class="s1">Résoudre ce genre de problème, c’est ce qu’on l’on fait quand on fait de la conception de logiciels distribués, tolérants aux pannes et aux erreurs (avec une logique que l’on qualifie de <i>Design for Failure</i>), et capables de se coordonner dans un environnement non fiable et asynchrone.</span></p>
<p class="p5"><span class="s1"><b>Satoshi Nakamoto</b> (cf. <a href="http://www.bitcoin.fr/pages/Bitcoin-expliqu%C3%A9-par-son-inventeur"><span class="s2">Bitcoin expliqué par son fondateur</span></a>) donne les principes de sa solution pour opérer le bitcoin et résoudre les problèmes du double paiement et des généraux byzantins :</span></p>
<blockquote>
<p class="p5"><span class="s1">« nous proposons une solution au problème de double-dépense en utilisant un <b>serveur horodaté distribué en pair-à-pair</b> pour <b>générer des preuves informatiques</b> de <b>l’ordre chronologique des transactions</b>. Le système est sécurisé tant que des nœuds honnêtes contrôlent ensemble plus de puissance de calcul qu’un groupe de nœuds qui coopéreraient pour réaliser une attaque. »</span></p>
</blockquote>
<p class="p5"><span class="s1">Au coeur du Bitcoin, ce « serveur horodaté distribué en pair à pair » qui à la fois <b>est</b> <i>la blockchain</i> (en tant que technologie de stockage distribuée) et <b>produit</b> <i>la blockchain</i> (en tant que <b>livre de compte </b>ouvert, public et distribué où l’on peut lire l’<b>enchainement des transactions horodatées</b>, et ce depuis la toute première transaction).</span></p>
<h2 class="p3"><span class="s1">Les <em>miners</em> de la blockchain</span></h2>
<p class="p5"><a href="http://www.christian-faure.net/wp-content/uploads/miner.jpg"><img class="aligncenter wp-image-3761" src="http://www.christian-faure.net/wp-content/uploads/miner.jpg" alt="miner"/></a></p>
<p class="p5"><span class="s1">Dans le réseau de pair à pair de la blockchain, les <i>miners </i>sont des noeuds du réseau qui, en « travaillant », produisent des <b>preuves de travail. </b>Preuves<b> </b>qui les autorisent à ajouter une transaction dans la chaîne (un block est créé toutes les dix minutes)</span></p>
<p class="p5"><span class="s1">Après les <a href="http://www.christian-faure.net/2015/09/05/la-conteneurisation-du-monde/"><span class="s2">dockers</span></a>, voici les <i>miners.</i></span></p>
<p class="p5"><span class="s1"><b>L’aspect novateur</b> de la résolution proposé par Satoshi Nakamoto c’est donc de faire <b>travailler les machines</b>, c’est à dire les CPUs, pour pouvoir ajouter un block à la blockchain. Chaque block est <b>le fruit d’un consensus machinique et algorithmique</b>.</span></p>
<p class="p5"><span class="s1"> La puissance de calcul est au coeur du protocole et de l’économie du bitcoin : <b>l’intégrité</b> de la blockchain est garantie par le fait que la puissance de calcul nécessaire pour <b>falsifier</b> le réseau couterait plus cher qu’elle ne rapporterait et aussi parce que tout <i>miner</i> qui souhaiterait falsifier la blockchain se retrouverait <b>en compétition avec l’ensemble des autres miners.</b></span></p>
<p class="p5"><span class="s1">La <b>preuve de travail</b> qui est demandée au <i>miners</i> est donc une <b>preuve de calcul via les technologies ce cryptage </b>(des message cryptés – des énigmes – sont proposés aux serveur en maîtrisant la complexité du cryptage pour que cela prenne environ 10 min ) ; c’est la clé de voute du Bitcoin.</span></p>
<p class="p5"><a href="http://www.christian-faure.net/wp-content/uploads/proofofwork.jpg"><img class="aligncenter wp-image-3762" src="http://www.christian-faure.net/wp-content/uploads/proofofwork.jpg" alt="proofofwork"/></a></p>
<h2 class="p3"><span class="s1">Les nouvelles protentions de la Blockchain</span></h2>
<p class="p5"><span class="s1">La Blockchain créée de nouvelles attentes (c’est à dire des protentions qui polarisent les attentions).</span></p>
<p class="p5"><span class="s1">Ce qu’apporte la blockchain, c’est l’avènement d’un réseau décentralisé non plus seulement de <b>transport</b> ou de <b>transfert</b>, mais de <b>transaction</b>. En ce sens, c’est un <b>système transactionnel sécurisé à très bas coût</b>. Ce que la blockchain peut apporter, c’est une <b>automatisation distribuée des transactions</b> qui peut rendre caduque toutes les formes d’organisations et d’institutions qui se posent en tiers de confiance ou de certification dans un <b>contexte transactionnel (propriété, bien, argent).</b></span></p>
<p class="p5"><span class="s1">Du coup, cela place toute <b>l’économie traditionnelle de la transaction</b> en porte à faux. Et pas<span class="Apple-converted-space">  </span>seulement les industries qui se font « ubériser » , puisque cela peut aussi <i>ubériser</i> Uber ; tout comme <a href="http://booking.com"><span class="s2">booking.com</span></a>, Airbnb, Twitter, Paypal, c’est à dire que tous ceux qui ont <b>court-circuité les industries traditionnelles</b> se retrouvent eux-mêmes potentiellement sur la sellette. </span></p>
<p class="p5"><span class="s1">Ce qui me fait dire que si le Web a permis <b>l’automatisation de la relation </b>( et de la mise en relation), la<span class="Apple-converted-space">  </span>Blockchain permet <b>l’automatisation de la transaction</b> en supprimant les tiers.</span></p>
<p class="p5"><span class="s1">La blockchain apporte également un élément très important : on parle souvent de <b>transparence</b>, puisque l’ensemble des transactions sont publiques. Mais je préfère souligner le fait qu’il n’y a <b>pas d’asymétrie de l’information </b>(asymétrie illustré par le tableau de De la Tour)<b> ; </b>il n’y a pas un point de vue panoptique qui soit privilégié.</span></p>
<p class="p5"><a href="http://www.christian-faure.net/wp-content/uploads/asymetrie.jpg"><img class="aligncenter wp-image-3763" src="http://www.christian-faure.net/wp-content/uploads/asymetrie-1024x742.jpg" alt="asymetrie"/></a></p>
<p class="p5"><span class="s1">Ainsi, avec la blockchain, <b>tout le monde voit la même chose</b>, là où avec les géants du web plus personne ne voyait la même chose, à force de <i>profiling</i> : par exemple, plus aucun d’entre nous n’a la même page de résultat sur Google pour une recherche donnée.</span></p>
<h2 class="p3"><span class="s1">La blockchain sans le Bitcoin</span></h2>
<p class="p5"><span class="s1">De même que la blockchain du bitcoin a montré sa puissance en appliquant des protocoles de transaction distribués à la monnaie, de même <b>cette technologie peut être utilisée dans d’autres champs d’activité </b>que la transaction monétaire.</span></p>
<p class="p5"><span class="s1">Exemples : systèmes de vote, gestion décentralisées des DNS (cf. le projet <a href="https://namecoin.info/"><span class="s2">Namecoin</span></a>).</span></p>
<p class="p5"><span class="s1">Désormais la technologie blockchain peut être utilisée pour des transactions qui vont <b>au delà d’une simple transaction de paiement</b> et qui contiennent des instructions beaucoup plus complexes (des instructions conditionnelles et programmables), on parle alors de <b>contrats. </b>Contrats qui peuvent être publiés sur la blockchain pour qu’ils s’exécutent automatiquement sous certaines conditions, raison pour laquelle on utilise l’expression de <b>« Smart Contracts »</b>. </span></p>
<p class="p5"><span class="s1">On est donc au <b>coeur des technologies de transfert</b>, surtout si l’on se réfère au Littré qui nous rappelle que « transfert » est un terme d’origine financière et juridique ; <b>on transfère des droits, des actions, des biens et des propriétés.</b></span></p>
<h2 class="p3"><span class="s1">La blockchain n’est pas le web</span></h2>
<p class="p5"><span class="s1">Par ailleurs, la blockchain est une nouvelle forme d’espace public, différente du Web. Si le web est un système de <b>publication décentralisé</b>, la blockchain est <b>un système de consensus distribué</b>. Du <i>web</i> à la <i>blockchain</i>, on passe d’une<b> infrastructure de publication </b>à une <b>infrastructure de certification.</b></span></p>
<p class="p5"><span class="s1">La blockchain peut ainsi jouer un rôle similaire à un protocole de transfert et remplacer le Web, surtout quand ces transferts doivent donner lieu à des <b>transactions certifiantes et sécurisés</b>, ce que<b> ne sait pas faire le web</b> sans faire intervenir des organisations certifiantes centralisées.</span></p>
<p class="p5"><span class="s1">Ainsi, la blockchain apporte une <b>infrastructure de confiance algorithmique distribuée. </b>En plus court : <i>consensus-as-a-service (consensus à la demande).</i></span><span class="s3"><i><br/>
</i></span></p>
<h2 class="p5"><span class="s1">Consensus et dissensus</span></h2>
<p class="p5"><span class="s1">Ici, il ne faut pas confondre deux choses : d’une part la <b>topologie distribuée de la technologie blockchain</b> et, d’autre part, le <i>produit</i> de cette technologie qui est la <b>chaîne linéaire </b>des transactions (celle que l’on télécharge quand on se connecte la première fois – fichier d’environ 30 Go). </span></p>
<p class="p5"><span class="s1">Or la <b>topologie linéaire d’une chaine</b> n’est précisément pas celle d’une <b>arborescence</b>. La blockchain n’est donc pas une technologie de <b>dissensus</b> mais de <b>consensus</b>, et tout ce qu’on appelle les <i>forks de la chaîne</i> – les <b>bifurcations</b> –  sont ici <b>systématiquement élaguées</b>.</span></p>
<p class="p5"><span class="s1">Je dis çà pour bien préciser que <b>la blockchain </b>n’est pas un système herméneutique qui<span class="Apple-converted-space">  </span>enregistrerait l’ensemble des interprétations et arguments pour retracer un débat par exemple.</span></p>
<p class="p5"><span class="s1">Ce n’est pas le GitHub des forks <b>et des dissensus </b>mais un système de <b>« consensus distribué ».</b> Mais il est possible que la Blockchain puisse,<span class="Apple-converted-space">  </span><b>en retour </b>(parce que tout çà, c’est systémique), permettre de poser la différemment question d’un système<span class="Apple-converted-space">  </span>herméneutique (qui outille le dissensus)..</span></p>
<h2 class="p3"><span class="s1">L’explosion cambrienne de la Blockchain</span></h2>
<p class="p5"><span class="s1">La blockchain se présente donc comme une<b> infrastructure de certification</b> dont toute application pourrait bénéficier nativement si elle s’appuie dessus. </span></p>
<p class="p5"><a href="http://www.christian-faure.net/wp-content/uploads/ethereum.jpg"><img class="aligncenter wp-image-3764" src="http://www.christian-faure.net/wp-content/uploads/ethereum-1024x666.jpg" alt="ethereum"/></a></p>
<p class="p5"><span class="s1">Des projets comme <b>Ethereum</b> ou <b>Eris</b> cherchent à proposer un environnement, un <i>framework</i>,<span class="Apple-converted-space">  </span>capable de faire tourner n’importe quelle application sur la base d’une blockchain. Là où çà se complique, c’est que Ethereum et Eris s’appuient sur <b>des blockchains différentes</b>. En effet Etherum repose sur une <b>blockchain publique</b> là où Eris repose sur une <b>blockchain privée. </b>Mais il y a aussi d’autres solutions alternatives comme <span class="s2"><a href="http://tendermint.com/">Tendermint</a><b> </b>(merci <a href="https://twitter.com/nicolasauret/status/642004251900821504">Nicolas Sauret</a>).</span></span></p>
<p class="p5"><span class="s1">Aussi, si j’ai parlé de <strong>LA</strong> blockchain depuis le début de cette note, sachez pourtant qu’<b>il n’y a pas UNE blockchain mais de nombreuses</b>, et toutes avec des variantes. Il faut donc souligner qu’il y a une <b>explosion des blockchains</b>, ce qui contribue à la difficulté de cerner le sujet et ses enjeux.</span></p>
<p class="p5"><span class="s1"><br/>
Sachez que l’on parle aujourd’hui d’<b>explosion cambrienne de la blockchain.</b></span></p>
<p class="p5"><span class="s1">Le fait que la technologie blockchain puisse <b>servir d’infrastructure a de nouvelles applications</b> amène à parler de DApps, pour « Distributed Applications » . Des premières initiatives existent, tels que :</span></p>
<ul>
<li class="p5"><span class="s1"><b>OpenBazaar</b> dont l’équivalent centralisé est <b>Craiglist</b></span></li>
<li class="p5"><span class="s1"><a class="twitter-atreply pretty-link js-nav" dir="ltr" href="https://twitter.com/lazoozorg"><b>lazoozorg</b></a> dont l’équivalent centralisé est <b>Uber</b></span></li>
<li class="p5"><span class="s1"><b>Twister</b> dont les équivalent centralisés sont <b>Twitter</b> ou Facebook</span></li>
<li class="p5"><span class="s1"><b>Storj</b> dont l’équivalent centralisé est <b>Dropbox</b></span></li>
<li class="p5"><span class="s1"><b>…</b></span></li>
</ul>
<p class="p5"><span class="s1">Dans une <b>logique prophétique,</b> nous pourrions rajouter la possibilité d’avoir des agents intelligents (au sens de l’intelligence artificielle) qui pourrait exécuter des tâches pré-spécifiées selon certains conditions ou évènements ajoutés à la blockchain.</span></p>
<p class="p5"><span class="s1">Rajoutons à ce tableau que la blockchain pourrait jouer un rôle décisif dans l’interconnexion des objets : <b>l’internet des objets (IoT)</b> pourrait bien se révéler être la <b>Blockchain des Objets (BoT)</b>.</span></p>
<p class="p5"><span class="s1">D’ailleurs pour Mélanie Swan, auteur de </span><span class="s4"><a href="http://www.amazon.com/Blockchain-Blueprint-Economy-Melanie-Swan/dp/1491920491">Blockchain, Blueprint for a new economy</a></span><span class="s1"><span class="Apple-converted-space">  </span>: </span></p>
<blockquote>
<p class="p5"><span class="s1">« The blockchain could be an Occam’s razor, the most efficient, direct and natural means of <b>coordinating all human and machine activity</b> ; it is a natural efficiency process. »</span></p>
</blockquote>
<p class="p5"><a href="http://www.christian-faure.net/wp-content/uploads/swan.jpg"><img class="aligncenter size-full wp-image-3765" src="http://www.christian-faure.net/wp-content/uploads/swan.jpg" alt="swan"/></a></p>
