title: Sud Web 2018
url: http://romy.tetue.net/sudweb-2018?lang=fr
hash_url: debb6e253ed24f58caf9e8f0a440e633

<p>La conférence Sud Web, qui a l’habitude de nous pousser à réfléchir au-delà des écrans, a pris cette année le risque d’expérimenter de nouvelles modalités, en nous conviant au vert, dans les Cévennes, en collectivité, façon colo. Je ne pouvais pas rater ça, ne serait-ce que pour encourager l’initiative.</p>

<h2 class="spip">
Sous la tente !</h2>

<p>Moi qui ne suis jamais aussi heureuse qu’à camper en pleine nature, je me suis précipitée sous la tente. En m’endormant, bien emmaillotée dans mon duvet, entourée des bruits de la nature, je regrettais qu’il fasse trop beau à Sud Web pour que le son de la pluie sur la toile de tente puisse parfaire mon bonheur… si bien que c’est la pluie qui m’a effectivement réveillée le lendemain, ô joie ! Que les plus citadin·es se rassurent : il était également possible de dormir entre quatre murs, loin des bestioles et au sec.</p>

<p>Au programme, beaucoup de retours d’expérience, en 14 conférences, suivis d’une journée de <a href="http://fr.wikipedia.org/wiki/forum_ouvert" class="external" rel="external">forum ouvert</a>, comme d’habitude, mais dans un seul lieu pour les ateliers, les repas et le sommeil, <i>all inclusive</i>, ce qui favorise grandement les échanges. En bande son : des <a href="https://youtu.be/o4jmEQFlxgk" class="external" rel="external">piafs qui gazouillent</a> joyeusement (toute la nuit durant) et des chants accompagnés à la guitare pour bercer ma sieste…</p>

<h2 class="spip">
Du Web dans nos vies…</h2>

<p>Cette édition faisait la part belle aux témoignages, au Web dans nos parcours de vie, avec <a href="https://pascal-moriceau.com" class="external" rel="external">Pascal Moriceau</a>, restaurateur devenu webmaster et le vieux singe <a href="https://www.vieuxsinge.com" class="external" rel="external">Alexis Metaireau</a>, dev python devenu brasseur, qui nous nous invite à diversifier nos intérêts : « avoir des fenêtres ouvertes sur autre chose que l’informatique, ça fait du bien ».</p>

<p><q>Le Web n’est pas fait que par les développeurs·euses, il est aussi fait par les producteurs de contenus. Il est un média qui permet de faire passer des choses, expliquer, vulgariser, et montrer de l’amour.</q> D’où la présence de Youtubers, dont <a href="https://www.youtube.com/channel/UCAnqDq6-txhdWJcRjg3Gwxg" class="external" rel="external">Chez Papa Papou</a>, première chaîne qui a deux papas gays — dont je suis en train de m’enfiler tous les épisodes avec délectation — et <a href="https://t.co/nEONfUw9pT" class="external" rel="external">Eu ?reka</a>, vulgarisateur de finance et économie.</p>

<p>Le témoignage d’Armony Altinier était marquant : « <a href="https://vimeo.com/272260252" class="external" rel="external">S’accepter sans renoncer : 3 leçons tirées de mon handicap et influençant ma pratique du Web</a> ». Toutes deux expertes, Armony et moi avons des approches différentes de l’accessibilité, que l’on oppose parfois, alors qu’elles sont complémentaires : je suis dans l’opérationnel et valide, me souciant de comment fabriquer accessible, avec les moyens du bord, le plus <a href="http://romy.tetue.net/accessibilite-bureaucratique" class="external">souvent déplorables</a>, tandis qu’Armony, plus proche des décisionnel·les et handicapée, développe les arguments pour convaincre. Nous nous rejoignons sur le fond : « l’accessibilité c’est très bien, mais ce n’est qu’une condition d’égalité, ce qu’il faut viser c’est l’inclusion. »</p>

<h2 class="spip">
Parler et écouter</h2>

<p>Plusieurs ateliers traitaient des relations humaines au travail. Il y fut question de management bienveillant, de prise de parole, mais aussi — 6 mois après le mouvement #metoo — de genre, de harcèlement, de <a href="bise" class="">bise au travail</a>, de consentement… ateliers auxquels je n’ai volontairement pas participé pour, puisque j’ai déjà maintes fois écrit sur ces sujets, laisser la parole aux autres, pour qu’elles et ils s’emparent du sujet et poursuivent librement la réflexion.</p>

<p>L’un de ces ateliers se déroulait, non pas en <i>safe space</i>, mais en <i>brave space</i>, un format qui propose un <q>espace “d’écoute contrainte et sécurisée” entre une population “oppressée” (ici les femmes) et une population “oppressive” (ici les hommes) pour permettre de libérer la parole de l’une devant l’autre.</q> Les compte-rendus en sont formidablement intéressants : <a href="https://julia-barbelane.github.io/reflexions/chantiers/l-empathie-comme-moyen-de-reparation-l'exemple-avec-un-atelier-sur-la-parole-et-le-genre.html" class="external" rel="external">L’empathie comme moyen de réparation - l’exemple avec un atelier sur la parole et le genre</a> de Julia Barbelane, qui co-animait avec Raphaël Pierquin, et <a href="https://estcequecestdutravail.xyz/2018/06/le-genre-et-la-parole-au-travail.html" class="external" rel="external">Le genre et la parole au travail</a> de Noémie, qui note, agréablement surprise : « tant d’hommes silencieux dans une salle, je crois que ça ne m’est jamais arrivé ».</p>

<p>J’ai moi aussi particulièrement apprécié la façon dont circulait la parole au cours de cette édition de Sud Web : avec beaucoup de respect, chacun son tour, sans se couper, en s’écoutant les uns, les unes et les autres. C’est assez rare pour être remarqué et c’est très appréciable d’avoir enfin de la place pour penser, sans être interrompue, et partant, penser ensemble. Merci à chacun et chacune pour cette qualité d’échanges durant l’événement.</p>

<p><figure class="spip_document_3121 spip_documents center">
    <img src="local/cache-vignettes/L600xH600/sudweb-2018-49b17.jpg" alt=""/>
</figure></p>

<p>La tournure que prend Sud Web cette année me rappelait un autre événement auto-créé par ses participant·es, auquel je participe chaque été, le <i>Burning Man</i> européen qu’est <a href="https://www.goingnowhere.org/fr/aboutnowhere" class="external" rel="external"><i>Nowhere</i></a>, si bien que je n’étais pas surprise de croiser des <i>burners</i> à cette édition et que j’ai osé proposer un atelier — pas terrible : disons plutôt un témoignage interactif — sur les principes <i>burners</i>. Goulven en rend compte dans <a href="https://userland.fr/2018/05/27/notes-sud-web-2018/" class="external" rel="external">ses notes</a>.</p>

<h2 class="spip">
Stack minimale et fluide</h2>

<p>Dans cette conférence surtout humaine, j’ai aussi apprécié, moi qui ne code plus, du moins plus professionnellement, les échanges techniques, sur le <a href="https://twitter.com/tetue/status/999948683394322432" class="external" rel="external">dev full stack</a>, le retour au CSS natif et l’abandon prévisible du pre-processing… qui m’ont rassurée : je ne suis pas tant à la ramasse et j’ai même encore à apporter sur ces sujets, en vieille briscarde.</p>

<p>J’ai adoré la réflexion technique de Claire Zuliani, qui questionne la tendance <i>full stack</i> en proposant le <i>minimal stack</i> : pourquoi utiliser des outils démesurés et gourmands en ressources pour faire des choses simples ? Combien de sites web sont encore en ligne, tels quels, 5 ans après ? C’est pas un peu déprimant de passer tant d’énergie sur des trucs qui disparaissent aussi vite ? Et pourquoi pas <i>fluid stack</i>, pour les profils hybrides, ou même <i>punk stack</i>, qui a tout pour me plaire ? À lire : <a href="http://marges.clairezuliani.com/good_job/2018/05/27/melange-cultures-professionnelles.html" class="external" rel="external">Le joyeux mélange des cultures professionnelles : soliste de haut-niveau, cheffe d’orchestre ou femme-orchestre   ?</a> Et si, comme elle, je refusais de me laisser enfermer derrière un intitulé de poste à la mode mais cloisonnant, pour mieux affirmer ma transversalité ? Voilà ce qui va me motiver cette année, jusqu’au prochain Sud Web !</p>

<h2 class="spip">
Web post-apocalyptique</h2>

<p>Enfin, alors que dans le même temps avaient lieu des ateliers de fabrication de pain, de <a href="https://weblog.redisdead.net/main/post/Tricot-et-programmation" class="external" rel="external">tricot et programmation</a>, j’ai adoré l’atelier d’anticipation sur ce que serait le Web post-apocalyptique, nous amenant à nous y préparer. J’y ai découvert la <dfn><a href="http://fr.wikipedia.org/wiki/collapsologie" class="external" rel="external">collapsologie</a></dfn>, <a href="https://twitter.com/tetue/status/1001401454987538433" class="external" rel="external">mot pour moi nouveau</a>, qui désigne l’étude de l’effondrement de la civilisation industrielle et de ce qui pourrait lui succéder.</p>

<p>Nous voici aussitôt à échanger des bidouilles techniques pour maintenir le réseau après effondrement… Mais pour savoir quoi reconstruire, si on se demandait d’abord : qu’est-ce qui nous manquerait le plus, si le Web n’existait plus ? La réponse est unanime : Wikipédia ! Le Web est avant tout une source de connaissance, une énorme encyclopédie partagée… Pour moi c’est aussi, ajoutais-je, un lien entre les gens : au delà de l’accès à une connaissance gigantesque, au delà de l’aspect social, Internet m’a permis de rencontrer des personnes extraordinaires, stimulantes et inspirantes, que je n’aurais pas croisées autrement et que je perdrais sans cela. C’est ce qui me manquerait, insupportablement. C’est aussi ce qui motive mon attachement au Web aujourd’hui. Et vous, qu’est-ce qui vous manquerait le plus, si le Web venait à disparaître demain ?</p>

<h2 class="spip">
Inspiration durable</h2>

<p>J’ai aimé sortir du cercle de l’entre-soi du Web, rencontrer de nouvelles têtes, des pitchounes et admirer la fraîcheur de leur enthousiasme, des personnes en devenir, en ré-orientation, en marge… car c’est pile là, hors des sentiers battus, qu’il y a du nouveau. Sud Web reste une rencontre très inspirante et j’aime sa capacité à continuer d’infuser au delà de l’événement.</p>
