title: Traditional Homepages Are Obsolete, Says Quartz. Here's What They Built Instead.
url: http://www.fastcodesign.com/3054334/traditional-homepages-are-obsolete-says-quartz-heres-what-they-built-instead
hash_url: f2cea093947f13908d8d20a870e9f780

<p>When <a href="http://www.qz.com" target="_blank">Quartz</a> first launched in September, 2012, the digital-only business publication made a bold gamble. With the future of traffic coming directly to articles from social media streams, they decided they didn't need a homepage. If you went to QZ.com, it just brought you to whatever <em>Quartz</em>'s top story of the moment was. It wasn't until August 2014—almost two years after <em>Quartz</em> first launched—that the site got a proper homepage.</p>

<p>Later this morning, <em>Quartz</em> will unveil version 2.0 of that landing page, but it's still not the traditional stream of stories. Rather, <em>Quartz</em> looks at it as the face of their publication: a digital visage that reflects the personality of the brand as a whole, without just being a river of breaking stories and headlines. It features rich typography, slick animations, and a dynamic layout that feels more like a glossy magazine spread than a catch-all WordPress theme.</p>

<p>"The idea of a strictly traditional homepage that people bookmark to find stories is, we think, outdated," says <em>Quartz</em> Executive Editor Zach Seward, explaining the redesign. "But at the same time, we don't want to be defeatist about it. There's still a large number of people coming to the homepage each day. So we've asked ourselves, 'If you start throwing out the old conventions, what can you do instead?'"</p>

<p>This is a question a lot of publications are asking themselves. Look at <em>Bloomberg</em> and The Cut, two publications that have eschewed traditional homepages in favor of rich, typographically complex layouts. The web is slowly becoming more like print. <em>Quartz</em> is just the latest publication to jump on the bandwagon.</p>

<p>The previous version of <em>Quartz</em>'s homepage aimed to be an online version of the publication's Daily Brief mailing list: a list of about a half-dozen or so stories, each with a short summary, giving an overview of what's happening in the world. The new QZ.com is radically different, though. While the design of individual stories pages has not changed, the new QZ.com aims to promote all aspects of the <em>Quartz</em> brand, not just the mailing list: the company's Chart of the Moment infographics, its original <em>Quartz</em> Video Content, the editorial team's current Obsessions, and what's happening on its local sites, like <em>Quartz</em> India and <em>Quartz</em> Africa.<br/>
<aside class="pullquote"><q>The idea of a strictly traditional homepage that people bookmark to find stories is outdated.</q></aside></p>

<p>For the new homepage, Seward says the goal was to make sure that someone coming to QZ.com got a really strong sense of what <em>Quartz</em> was about, immediately. "In the current environment, [establishing] a publication's reason for being is more important than ever," Seward says. "We think our purpose is to be a guide to the world economy for smart, worldly people. So short of literally writing that out, the new <em>Quartz</em> is designed to convey that."</p>

<p>Although it's not a river of news, the new QZ.com is strictly curated by its team of editors. It relies heavily upon good typography, instead of the full-bleed images so many websites depend on. So at the top of the page, the biggest news story of the moment is represented in <a href="https://typekit.com/fonts/adelle-sans" target="_blank">Adelle Sans</a>. The article's image is masked inside a big "Q," which, when hovered over, slides away to reveal the beautiful, full-color image. Similar approaches are taken to the other sections of the homepage: masked images can be hovered over to reveal full ones, while promotional sections (like the Daily Brief) can slide on and off the page.</p>

<p>Another big aspect of the design is making room for sponsored content and other advertisements. In 2016, ads will need to be more integrated and easy-to-see than ever, so the new QZ.com builds places for sponsored content into the design. "With this new homepage, we're taking our ad capabilities a level higher," says Jay Lauf, president and publisher of <em>Quartz</em>. "Advertisers will have the opportunity to synchronize their creative within the homepage, which will produce more cohesive, more vivid storytelling. Our creative services team is prepared to help make the most of that opportunity if it makes sense for an advertiser's campaign." Qualcomm will be the first partner to integrate a campaign directly into the new QZ.com homepage.</p>

<p>Only 15 months separates the new QZ.com from the old homepage, so I asked <em>Quartz</em> if the real reason behind the redesign was because the old version wasn't working. Not at all, says <em>Quartz</em>, pointing out that revenue has grown by about 90% in the last year, and they now average about 15 million unique visitors each month. Rather, Seward says, it's part of a concerted strategy to avoid the "behemoth redesign projects" rolled out every three to four years by other websites, in favor of a more iterative design approach.</p>

<p>"Continuous iteration sounds high-falutin, but it's kind of what we're going for," he says. He points out a post on Medium by Melody Joy Kramer, "<a href="https://medium.com/thelist/64-ways-to-think-about-a-news-homepage-223c01952d26" target="_blank">64 Ways To Think About A Newspage</a>" as an inspiration for them. "Any of those 64 ways seem pretty interesting to us, so this is try No. 2," he says. And if things work out as <em>Quartz</em> wants them to, tries Nos. 3, 4, and 5 will be close behind.</p>
