title: « Les réticences face au vaccin contre le Covid sont socialement construites »
url: https://www.alternatives-economiques.fr/reticences-face-vaccin-contre-covid-socialement-construites/00099871
hash_url: 0644e7ce0ff32db452eaa7e652fa2461

<p>Comme toutes les épidémies, le Covid a une forte dimension sociale. Le risque d’être exposé au virus, les conséquences de l’épidémie sur les conditions de vie ne sont pas les mêmes selon le lieu de résidence, le logement, la situation d’emploi, le statut professionnel, la situation financière, le genre, l’origine ethno-raciale... Les inégalités sociales sont aussi prégnantes en matière de prévention, et notamment de vaccination.</p>

<p>En Seine-Saint-Denis, <a href="https://datavaccin-covid.ameli.fr/pages/type-vaccins/">le taux de vaccination est de 22 %</a> fin juin contre 33 % pour la moyenne nationale. Ce n’est pas uniquement dû à l’âge : pour les plus de 75 ans, le taux de vaccination est de 68 % dans ce département contre 76 % à l’échelle nationale. Les taux de vaccination ne sont pas non plus les mêmes selon les catégories professionnelles. Parmi les soignants, les taux de vaccination des aides-soignant.e.s et infirmier.e.s sont ainsi moins élevés que ceux des médecins.</p>

<p><a href="https://www.santepubliquefrance.fr/content/download/353647/document_file/COVID19-PE_20210617_signets.pdf">Fin mai, 40 % des aides-soignant.e.s avaient reçu deux doses de vaccin, contre 47 % d’infirmier.e.s et 65 % de médecins</a>. <a href="https://www.santepubliquefrance.fr/content/download/356755/document_file/COVID19-PE_20210701_signets.pdf">Fin juin, 47 % des professionnels en Ehpad ou USLD</a> (unité de soin longue durée) sont complètement vaccinés, contre 73 % des professionnels de santé libéraux. Dans ce contexte – ralentissement de la vaccination, progression du variant delta, plus contagieux, et anticipation d’une quatrième vague à la rentrée, voire avant –, le gouvernement envisage d’imposer aux soignants une obligation vaccinale. Cette option est <a href="https://www.lejdd.fr/Societe/en-finir-au-plus-vite-avec-la-pandemie-lappel-de-96-medecins-pour-la-vaccination-obligatoire-des-soignants-4055792">soutenue par certains professionnels de santé</a>, tandis que <a href="https://www.lexpress.fr/actualite/societe/sante/vaccination-obligatoire-des-soignants-pourquoi-le-gouvernement-se-trompe-de-combat_2154326.html">d’autres dénoncent « un mauvais combat »</a>.</p>


<p>Pour éclairer ces questions, nous avons sollicité la sociologue Nathalie Bajos. Directrice de recherche à l’Inserm (l’Institut national de la santé et de la recherche médicale), elle pilote avec Josiane Warszawski, médecin épidémiologiste, <a href="https://www.epicov.fr/">l’enquête EpiCov</a> (« Epidémiologie et conditions de vie ») qui documente les inégalités sociales au temps du Covid, en suivant une cohorte de 135 000 personnes. Après la <a href="https://www.iresp.net/wp-content/uploads/2020/10/IReSP_QSP40.web_.pdf">publication de premiers résultats</a> sur les inégalités liées à l’exposition au virus et aux effets du confinement sur les conditions de vie, Nathalie Bajos travaille actuellement avec Alexis Spire, sociologue au CNRS, sur <a href="https://medrxiv.org/cgi/content/short/2021.06.07.21258461v1">les inégalités vaccinales</a>.</p>

<p><strong>Les inégalités sociales face au Covid concernent les conditions de vie, mais aussi l’accès à la prévention, au vaccin notamment. Que peut-on en dire ?</strong></p>

<p><strong>Nathalie Bajos :</strong> Les inégalités sociales en matière de pratiques vaccinales recouvrent deux dimensions : les attitudes par rapport aux vaccins – hostilité, confiance, doute – et l’accès effectif aux vaccins. Dans le cadre de l’enquête EpiCov, nous travaillons actuellement sur ces deux questions. Nous disposons aujourd’hui de résultats pour le premier point, les attitudes face au vaccin contre le Covid, et sommes en train d’exploiter les données pour le deuxième aspect, les inégalités dans l’accès effectif au vaccin. Une précision : les premiers résultats sont issus d’entretiens réalisés en novembre dernier, à un moment où les vaccins n’étaient pas encore disponibles.</p>

<p><strong>Y a-t-il une particularité dans les attitudes face au vaccin contre le Covid par rapport à la vaccination en général ?</strong></p>

<p><strong>N.</strong> <strong>B. : </strong>Nous nous sommes en effet intéressés à l’attitude face au vaccin contre le Covid en cherchant à savoir s’il y avait une spécificité par rapport aux attitudes de la population française face aux vaccins en général. La défiance face aux vaccins est élevée en France depuis la fin des années 1990. En 2015, seuls 52 % de la population considérait comme sûr le vaccin contre la grippe, contre 85 % des Britanniques et 80 % des Espagnols.</p>

<p>A l’automne dernier, seuls 44 % des Français annonçaient vouloir se faire immuniser contre le Covid, contre 65 % en Allemagne, 70 % en Italie et 81 % au Royaume-Uni. La France est l’un des pays où le taux de confiance dans les sérums est le plus faible. On constate que la réticence face au vaccin contre le Covid est structurée par les attitudes face aux vaccins en général, sans que cela se recoupe complètement. Ces attitudes sont très socialement structurées.</p>

<p><strong>Quels sont les déterminants sociaux majeurs qui expliquent les attitudes face au vaccin contre le Covid ?</strong></p>

<p><strong>N.</strong> <strong>B. : </strong>Un des effets marquants est un effet de genre : les femmes apparaissent presque deux fois plus réticentes à se faire vacciner que les hommes. C’est le cas pour la vaccination en général, mais c’est encore plus marqué pour le Covid. Attention : cela ne signifie pas qu’elles seront deux fois moins vaccinées. Il y a des liens entre réticences et pratiques, sans qu’ils soient automatiques.</p>

<div class="c-epigraph o-page__block--offset u-thema">
      <blockquote class="c-epigraph__content">
          <p>« Les femmes apparaissent presque deux fois plus réticentes à se faire vacciner que les hommes »</p>
          
      </blockquote>
  </div>

<p>Comment l’expliquer ? Cette suraccentuation peut être liée au caractère très rapide de la découverte de ce vaccin, bien que les techniques d’ARN messager existent depuis plus de vingt ans. Les femmes sont plus hésitantes face à l’innovation médicale en général et aux risques qu’elle entraîne. Il peut aussi y avoir une méfiance sur les effets supposés du vaccin sur la fertilité à court terme – de fait, la réticence des femmes décroît avec l’âge. Mais, plus largement, il y a une aversion plus forte que chez les hommes aux risques induits par les technologies.</p>

<p>Il y a aussi un effet d’âge. Les plus âgés sont moins hostiles aux vaccins en général et le sont encore moins pour le vaccin contre le Covid. C’est logique, ils sont plus touchés par la maladie.</p>

<p>A l’inverse, l’effet de diplôme est moins marqué pour le Covid que pour les vaccins en général. Les plus diplômés sont les moins hostiles à la vaccination. Pour le Covid, cet effet diplôme perdure, mais il est moins fort.</p>

<p>Quant au niveau de revenus, il joue de manière similaire face au vaccin contre le Covid que face aux vaccins en général. Les 10 % les plus riches sont moins hostiles au vaccin que les 50 % les plus pauvres. Ce qui compte alors n’est sans doute pas tant le niveau de revenu que l’appartenance à des réseaux de sociabilité qui informent les croyances et les pratiques.</p>

<p><strong>Il y a aussi un facteur ethno-racial. Comment joue-t-il ?</strong></p>

<p><strong>N.</strong> <strong>B. : </strong>Le statut ethno-racial est aussi un déterminant très important. L’hostilité aux vaccins en général est plus marquée chez les populations racisées, même si elle est moins marquée pour le Covid. Cela s’explique sans doute par le fait qu’elles sont plus touchées par la maladie, les taux de contamination étant en effet plus élevés chez les immigrés d’origine extra-européenne que chez les autres, ce qui est lié aux conditions de vie, de travail et de logement. Cette surexposition est le reflet de politiques sociales et économiques mises en œuvre depuis des décennies.</p>

<p>Cette hostilité générale à la vaccination prend racine dans les expériences de discriminations face au système de santé, qu’on a soi-même vécues ou que des proches ont vécues. La vaccination implique un contact avec le corps médical. Or, celui-ci est l’objet d’une plus grande défiance.</p>

<p>A cela s’ajoute probablement le fait que les personnes racisées ont souvent des liens sociaux ou de proximité familiale dans des pays du Sud, où il y a des difficultés très concrètes d’accès aux vaccins, et où le vaccin contre le Covid est perçu comme un produit fabriqué par des Blancs, pour des Blancs en priorité – ce qu’il est de fait.</p>

<p>Cette plus grande réticence face au vaccin Covid n’est pas un déni de la maladie. Les minorités racisées se protègent autant que les autres, elles recourent autant, voire plus, aux tests, et se sentent tout autant à risque à conditions de vie équivalentes.</p>

<div class="c-epigraph o-page__block--offset u-thema">
      <blockquote class="c-epigraph__content">
          <p>« La défiance à l’égard du gouvernement est la dimension la plus fortement liée au fait de refuser clairement de se faire vacciner »</p>
          
      </blockquote>
  </div>

<p>Enfin, dernier déterminant, à caractère politique cette fois : la défiance à l’égard du gouvernement est la dimension la plus fortement liée au fait de refuser clairement de se faire vacciner, cela dans un contexte où c’est le gouvernement qui a porté la stratégie vaccinale.</p>

<p>Comprendre la construction sociale des réticences au vaccin est nécessaire pour concevoir et déployer une stratégie vaccinale qui touche le plus de monde possible.</p>

<p><strong>Comment la stratégie vaccinale peut-elle intégrer ces éléments ?</strong></p>

<p><strong>N.</strong> <strong>B. : </strong>J’ai parlé des réticences socialement construites pour lesquelles nous disposons des données de l’enquête EpiCov. Mais on sait par ailleurs qu’il y a des difficultés d’accès à la vaccination. La stratégie vaccinale doit prendre en compte ces deux dimensions. Elle doit déployer des solutions pour s’adresser aux personnes réticentes et aux personnes qui peuvent avoir des difficultés d’accès à l’information et/ou aux structures de vaccination.</p>

<p>Cela nécessite notamment de mettre l’accent sur la pédagogie ciblée et d’aller au-delà de spots de communication disant « faites-vous vacciner ». Il y a un important travail d’explication à fournir mais aussi d’accès. Pour ce faire, différentes techniques peuvent être utilisées : la mise en place d’un numéro vert pour répondre à toutes les questions que les gens se posent à bon droit sur le principe du vaccin, ainsi que les moyens de trouver un centre de vaccination, car tout le monde n’a pas accès ou n’est pas à l’aise sur Doctolib, des bus de vaccination, s’appuyer sur le tissu associatif local… Bref, il est impératif de mener une vraie politique pro-vaccination auprès des groupes les plus éloignés de la vaccination en termes de représentations et d’accès.</p>

<p>Même si des actions sont menées ponctuellement, la stratégie vaccinale a d’abord reposé sur des critères médicaux dits objectifs, l’âge et les comorbidités. Cette séquence montre une fois de plus la nécessité de sortir d’un modèle biomédical qui ne prend pas en compte les déterminants sociaux de la santé et de l’accès aux soins.</p>

<p><strong>Que pensez-vous de l’obligation vaccinale pour les soignants ?</strong></p>

<p><strong>N.</strong> <strong>B. : </strong>Le fait que la pratique vaccinale soit moins importante chez les aides-soignant.e.s que chez les infirmièr.e.s, et moins importantes chez ces dernièr.e.s que chez les médecins traduit le gradient social qu’on observe aussi dans le reste de la population. On notera aussi que d’autres vaccinations sont déjà obligatoires pour les soignant.e.s, comme l’hépatite B.</p>

<p>On sait que les professionnels de santé ont été exposés à un risque d’attraper le Covid plus élevé que les autres. Ils ont été très touchés par la première vague, à une époque où il n’y avait pas de masque disponible, et où les moments de sociabilité professionnelle ou de pause avaient lieu et ont toujours lieu dans des conditions matérielles qui ne permettent pas nécessairement de respecter la distanciation physique. Il y a sans doute des contaminations entre soignants dans ces moments-là.</p>

<div class="c-epigraph o-page__block--offset u-thema">
      <blockquote class="c-epigraph__content">
          <p>« La vaccination des professionnels de santé est absolument nécessaire mais il ne faudrait pas qu’elles et ils portent la responsabilité des limites de la stratégie vaccinale mise en place par les pouvoirs publics »</p>
          
      </blockquote>
  </div>

<p>Plusieurs études montrent qu’il y a des contaminations qui surviennent dans les structures de soins. Il ne s’agit pas de mettre en cause les compétences professionnelles des soignant.e.s dans leurs pratiques de prévention, mais le risque zéro n’existe pas et, de fait, la prévalence de l’épidémie est plus élevée dans les milieux de soins.</p>

<p>Cependant, dans le contexte actuel, on ne peut pas perdre de vue que l’hôpital va très mal et que le système des Ehpad est éminemment problématique à maints égards. Le débat sur l’obligation vaccinale des soignants fixe l’attention sur certaines catégories de personnels, les aides-soignant.e.s et les infirmier.e.s, et instille le doute sur leur capacité à adopter les bons gestes pour éviter les transmissions, remettant en cause leur professionnalisme. L’obligation vaccinale des soignants mérite un débat informé et paraît difficilement audible sans que les conditions de travail ne soient prises en considération.</p>

<p>De plus, parler de vaccination obligatoire pour les soignants sans parler de tout ce qui pourrait être fait pour améliorer la couverture vaccinale des populations les plus précaires pose aussi question. On sait que les personnes précaires sont parmi les plus exposées, que les risques de contamination ne sont pas les mêmes selon les groupes sociaux : les groupes les plus à risque sont aussi les plus éloignés du système de soin. C’est très bien d’ouvrir des centres de vaccination à Saint-Denis ou à la Halle Freyssinet. Mais c’est insuffisant pour toucher les personnes les plus éloignées du système de santé.</p>

<p>En d’autres termes, la vaccination des professionnels de santé est absolument nécessaire, mais il ne faudrait pas qu’elles et ils portent la responsabilité des limites de la stratégie vaccinale mise en place par les pouvoirs publics.</p>
