title: Versions et révisions
url: https://nrkn.fr/blog/2018/10/28/versions-et-revisions/
hash_url: 05f8a8f7e12626b46b8a66f6f0d99e95

<p>Quelque part dans le courant de l’année, ma relation à l’écriture a évolué. De légers changements. Dans la forme, dans le temps que j’y consacre, dans la manière de l’aborder et de l’importance que j’accorde à cette activité. La finalité, elle, est restée la même. Seule la conscience que j’en ai désormais s’est précisée. D’un besoin inexpliqué, d’une nécessité ressentie, j’accepte maintenant qu’il ne s’agit que d’une envie, d’un outil et d’un moyen. Un médium pour relâcher la pression, extraire de la tête les tourbillons réguliers d’idées, de sensations et de questions qui vireraient facilement à l’ouragan s’ils ne finissaient pas sur papier (ou écran) pour devenir alors une matière à modeler, à informer, à produire du sens. Écrire devient l’opportunité de prendre du recul, de projeter une part de moi qui se matérialise alors sous mes yeux et s’expose de la sorte à une observation plus attentive, plus distanciée et, ainsi, propice à l’autocritique - aussi biaisée que cette dernière puisse subsister -.</p><p>Depuis que j’ai retrouvé le chemin du clavier pour tenir ce blog, j’ai appris à lâcher prise. Je ne cherche pas une régularité stricte de publication, je n’ai aucune règle particulière concernant la forme ou les sujets abordés. Les seules contraintes auxquelles j’ai décidé de m’astreindre tiennent en deux points : écrire ici au moins une fois par mois et toujours être honnête dans les mots que j’aligne. Le premier n’est qu’une histoire d’habitude et de discipline. Cette obligation mensuelle est loin d’être pesante, d’autant que je ne m’impose aucun nombre minimal de mots par billet non plus. Me délester d’une dizaine de mots quand bien même je n’aurais pas écrit depuis des semaines ne me suscite aucune culpabilité. Le second point, lui, est moins évident qu’il ne le paraît. Sur ces deux années de retour assumé au blog, j’ai eu l’occasion - et surtout pris le temps - de le constater : il n’est pas si aisé d’écrire pour soi et/ou sur soi, sachant que d’autres pourront lire.</p><blockquote><p>Il est vrai que la notion de relativité des jugements conduit à l'angoisse. Il est plus simple d'avoir à sa disposition un règlement de manœuvre, un mode d'emploi, pour agir. Nos sociétés qui prônent si souvent, en paroles du moins, la responsabilité, s'efforcent de n'en laisser aucune à l'individu, de peur qu'il n'agisse de façon non conforme à la structure hiérarchique de dominance. Et l'enfant pour fuir cette angoisse, pour se sécuriser, cherche lui-même l'autorité des règles imposées par les parents. À l'âge adulte il fera de même avec celle imposée par la socio-culture dans laquelle il s'inscrit. Il se raccrochera aux jugements de valeur d'un groupe social, comme un naufragé s'accroche désespérément à sa bouée de sauvetage.</p><p>Henri Laborit - « Éloge de la fuite »</p></blockquote><p>Ce blog tient plus du carnet personnel, au sens premier et intime, que du magazine, du partage de connaissances ou du journalisme citoyen. J’y exprime assez peu d’opinions personnelles et, lorsque cela m’arrive, j’évite de les transformer en revendications ou en discours de ralliements. Essayer de préserver cette forme de neutralité n’est pas destiné à paraître lisse mais s’inscrit intrinsèquement dans ma démarche de réflexion. J’estime qu’un engagement quelconque n’en est pas plus faible sans proclamation et que pancartes et banderoles sont plus encombrantes qu’utiles. Il n’est pas question d’une réserve mais d’une mesure préventive face à l’auto-persuasion, qui guette, tapie dans l’ombre. Je considère ma pratique comme une forme d’écriture de soi, bien plus orientée vers la construction de mon individualité que vers la quête narcissique de reconnaissance ou de notoriété publiques - que je tends à fuir, quitte à envisager de m’effacer - ou encore vers la flatterie de l’ego. En dernier lieu, je réfute également le recours à la notion d’extimité, trop fluctuante et sujette à interprétations variées, à mon goût.</p><p>Cette extériorisation d’une construction personnelle risque dès lors de se confronter à des soucis habituellement liés à la (re)présentation de soi. Puisque je prône l’honnêteté - peut-être devrais-je utiliser le terme d’intégrité -, je me dois de reconnaître qu’écrivant pour moi je ne m’en sais pas moins observé puisque je publierai ces mots. Nous touchons alors presque du doigt le paradoxe de l’observateur cher à Labov. C’est là que la difficulté de l’exercice prend corps : deviner quelles sont les parts consciente et inconsciente d’altération de mon expression liées à cette observation extérieure, et savoir si je suis en mesure de les minimiser à défaut de m’en extraire. Puis-je, dans ces conditions, être authentique - mais ce qualificatif a-t-il encore lieu d’être tant il a été galvaudé - ou ne suis-je pas déjà dans le paraître malgré moi ? Est-ce que je transpose toujours bien ce type voûté et un peu avachi, ou ne suis-je pas en train de me tenir plus droit qu’à l’accoutumée tout en veillant à rentrer ma bedaine ? Ce doute est plus important qu’il n’en a l’air : n’oublions pas que je parlais d’écrire en guise de production de matière pour la construction de mon édifice personnel. Qu’advient-il alors de ce résultat du moment que la matière première risque d’être corrompue ?</p><p>Cela tient de l’estime de soi - qu’on tente de préserver - et de la part palpable de la présentation de soi - en cherchant à plaire. Plaire ou intéresser, ne soyons pas chiches. Quitte à me tromper, et de bonne foi, j’affirme m’être tenu hors de cette ornière ma vie durant, quoi que puissent en laisser présager mes actuelles tendances égotistes. Le risque d’embellir, de romancer ou d’idéaliser les traits de mon individualité m’est connu. En cela, il est le moins dangereux puisque évident. Je suis plutôt d’un caractère introverti : me faire remarquer m’est particulièrement inconfortable. Je suis donc, d’une certaine façon, immunisé contre ce besoin répandu de plaire, tendance qui pourrait m’amener à vouloir me présenter sous un jour plus avantageux que je ne le fais habituellement. Mon problème peut néanmoins se situer de l’autre côté de ce spectre : on ne risque pas de sortir du lot que par le haut, mais aussi par le bas. Je dois alors confesser une longue angoisse de déplaire. Cette graine-là a sans doute été plantée aux premières heures de mon éducation sociale. Être sage, poli, obéissant, éviter les conflits et ne pas faire de vagues sont autant de préceptes qui m’ont été assenés de l’enfance à l’adolescence. Des grandes lignes contre lesquelles je ne me suis jamais véritablement rebellé, non plus.</p><blockquote><p>Une éducation relativiste ne chercherait pas à éluder la socio-culture, mais la remettrait à sa juste place : celle d'un moyen imparfait, temporaire, de vivre en société. Elle laisserait à l'imagination la possibilité d'en trouver d'autres et dans la combinatoire conceptuelle qui pourrait en résulter, l'évolution des structures sociales pourrait peut-être alors s'accélérer, comme par la combinatoire génétique l'évolution d'une espèce est rendue possible. Mais cette évolution sociale est justement la terreur du conservatisme, car elle est le ferment capable de remettre en cause les avantages acquis. Mieux vaut alors fournir à l'enfant une « bonne » éducation, capable avant tout de lui permettre de trouver un « débouché » professionnel honorable. On lui apprend à « servir », autrement dit on lui apprend la servitude à l’égard des structures hiérarchiques de dominance. On lui fait croire qu’il agit pour le bien commun, alors que la communauté est hiérarchiquement institutionnalisée, qu'elle le récompense de tout effort accompli dans le sens de cette servitude à l’institution. Cette servitude devient alors gratification. L’individu reste persuadé de son dévouement, de son altruisme, cependant qu'il n'a jamais agi que pour sa propre satisfaction, mais satisfaction déformée par l'apprentissage de la socio-culture.</p><p>Henri Laborit - « Éloge de la fuite »</p></blockquote><p>Car si je trouvais ces règles un peu exagérées ou trop contraignantes, je n’en étais pas moins convaincu de leur bien-fondé. Ce n’est que bien plus tard, au cours de ma vie d’adulte, que j’ai commencé à les remettre en question. J’éprouvais la sensation d’être trop à l’étroit, d’étouffer et, parfois, d’amasser trop de colère ou de frustration dans un volume aussi restreint que celui de mon crâne. Les coutures du costume social et normé qu’on m’avait fait endosser ont fini par m’irriter et me blesser. Il m’aura fallu un duo de décennies pour finalement trouver mes aises, mon habit social ample et douillet, guère clinquant ou sexy, mais suffisamment passe-partout pour éviter d’attirer l’attention d’autrui. J’ai conscience de toujours porter en moi ces premiers germes. Je doute même que nous puissions totalement nous extraire de notre conditionnement éducatif et familial. Quel rapport avec l’écriture sur un blog ? J’ai évoqué ce besoin de raisonner à voix haute, de manière neutre et objective, qu’écrire ici comblait. Il représente la plus grande faille de ma précieuse carapace d’individu en devenir. Par ce biais, je me rends vulnérable à une forme pernicieuse d’autocensure. Cette dernière peut intercéder aussi bien dans le choix des sujets que je suis apte à traiter que dans celui des mots auxquels j’aurai recours pour les développer. Partant de cette conclusion, j’ai donc ajusté ma méthode d’écriture dans le but de me prémunir contre ce risque.</p><p>Depuis quelques années, je suis devenu un adepte de la pratique de l’écriture libre (ou automatique). Dès la mise en ligne du présent carnet, je l’ai régulièrement pratiquée en amont de l’écriture, bien plus filtrée et apprivoisée, des billets destinés à être publiés. Longtemps cantonnée dans un rôle de source abondante d’un matériau brut, je lui ai progressivement accordé une place bien plus centrale. Depuis plus de 6 mois maintenant, elle est la mécanique dominante de l’écriture du moindre billet qui atterrit ici. Les sujets proviennent de réactions - ou d’envies de réagir - à un élément d’actualité, à des questions apparues lors d’une lecture ou d’une conversation, à des petites bizarreries du quotidien et de mon environnement proche, ou encore à la (re)découverte d’un comportement ou d’un travers personnel. L’écriture libre n’en est désormais plus le déclencheur, elle en est devenue l’outil de production. Dorénavant, j’arrive au clavier avec l’idée générale en tête. Mon éditeur utilisant le titre de la feuille en guise de base pour le nom du fichier stocké, chaque billet commence son existence sous le titre « <i>(Draft) Nawak <span class="caps">YYYY</span>-<span class="caps">MM</span>-<span class="caps">DD</span></i> ». De la sorte, je m’abstiens de cette courte réflexion du choix d’un titre qui peut vite soit se transformer en blocage, soit orienter à elle seule tout le déroulement qui va suivre. Ensuite…</p><p>Je laisse filer, couler, déborder, dévier, s’emmêler, s’étouffer, s’emballer ou caracoler les mots, les phrases et les idées. Je ne travaille plus qu’au paragraphe. Histoire d’avoir un rythme régulier, de respirer et de laisser respirer. Histoire aussi de m’assurer, une fois la fin de l’ensemble décrétée, une relecture plus aisée et de me garder suffisamment à l’abri de toute velléité de réédition majeure. La progression en pointillé que représentent les paragraphes offre d’autres avantages tels qu’un élagage simplifié ou l’ordonnancement des blocs lors de la phase finale d’édition avant mise en ligne. Travaillant sans plan, sans notes préalables dans la majorité des cas, il arrive - fort logiquement - que je me prenne les pieds dans le tapis. Ou que l’idée initiale se tarisse sans que j’aie pour autant su la traiter convenablement ou la mener à son terme. Ou que je me retrouve à manquer de temps, pris au piège de son développement non prémédité quand il n’est pas tout simplement inattendu. Cela a d’ailleurs été le cas avec le présent billet. Entamé il y a une dizaine de jours, il est retourné plusieurs fois prendre la poussière dans l’une des étagères de ma mémoire avant de recevoir l’ensemble des paragraphes le constituant, de recevoir - si besoin - ses extraits de lecture en guise de citations et d’être agrémenté d’un titre le promouvant alors au titre de billet bon pour la publication.</p><p>Si le risque est grand que le résultat final paraisse décousu, tortueux, voire poussif (pas trop souvent, j’espère !), cette méthode a le mérite de me maintenir à l’écart de la tentation du « paraître différent », mêlant instinct, spontanéité et réflexion sans que la moindre énergie ne soit consacrée à tenter un quelconque savant dosage de ces composantes. De l’argile mentale et émotionnelle extraite de la sorte, je m’accorde alors l’opportunité de modeler, d’assembler cet autre que je connais si peu et me tiraille tant. Ce moi que je soupçonne depuis toujours, que je trompe régulièrement et que parfois je préfère ignorer. Cet individu enfoui sous les gravats d’une éducation qu’il n’a pas choisie, d’une société qui lui échappe et d’une vie qui lui semble si vide de sens, mais qui, malgré tout, ne cherche qu’à faire surface. Pour respirer. Pour hurler au grand jour, comme un nouveau-né à son premier, « Je suis là. J’existe. Vois moi enfin ! ».</p><blockquote><p>Avec le recul des années, avec ce que j'ai appris de la vie, avec l’expérience des êtres et des choses, mais surtout grâce à mon métier qui m’a ouvert à l’essentiel de ce que nous savons, aujourd'hui de la biologie des comportements, je suis effrayé par les automatismes qu'il est possible de créer à son insu dans le système nerveux d'un enfant. Il lui faudra dans sa vie d'adulte une chance exceptionnelle pour s'évader de cette prison, s'il y parvient jamais… Et si ses jugements par la suite lui font rejeter parfois avec violence ces automatismes, c'est bien souvent parce qu'un autre discours logique répond mieux à ses pulsions et fournit un cadre plus favorable à sa gratification. Ses jugements resteront, bien qu'antagonistes de ceux qui lui ont été inculqués primitivement, la conséquence directe de ceux-ci. Ce seront encore des jugements de valeur.</p><p>Henri Laborit - « Éloge de la fuite »</p></blockquote>
