title: Profession de foi AgileFrance 2018
url: https://mattischneider.fr/agile/france/2018
hash_url: e2bd5c13f9b76d92a9be5105c3e1c8de

<p>Le manifeste agile a été signé en 2001.</p>
<p>Les statuts de l'association AgileFrance ont été signés en 2009.</p>
<p>Depuis des années, les sujets de conférence s'étendent de « comment j'ai déménagé / éduqué mes enfants / trouvé mon mari / fait des croque-monsieur grâce au manifeste agile » à « au secours, mon manager ne veut pas de scrum » en passant par « mon entreprise de 3000 personnes est devenue agile, maintenant je fais quoi ? ».</p>
<p>En 2018, l'agilité doit-elle encore être promue et défendue, ou simplement redéfinie ? Elle est devenue le business as usual, même plus un buzzword. Sans pour autant que ses valeurs fondamentales soient réellement mises en œuvre systématiquement.</p>

<br>

<p>Deux courants globaux et complémentaires émergent face à ce flou grandissant.<p>
<p>D'une part, un recentrage des pratiques autour des valeurs fondamentales du Manifeste, plus abstraites du développement logiciel : <a href="http://modernagile.org">Modern Agile</a>, <a href="http://heartofagile.com">Heart of Agile</a>.</p>
<p>D'autre part, une extension des domaines d'application de ces valeurs qui à la fois montrent leur généricité et permettent leur enrichissement : éducation, écriture, entrepreneuriat, politiques publiques…</p>

<p>Nous croyons que les opportunités offertes par une structure comme AgileFrance sont d'autant plus utiles dans ce contexte. De par ses missions de pédagogie et d'expérimentation, avec les moyens considérables et actuellement sous-exploités à sa disposition, en socialisant les risques et les bénéfices d'initiatives indépendantes, nous pensons que cette association peut être le siège d'une communauté qui offre à la fois une base solide sur laquelle s'appuyer et se régénérer, et les ressources pour explorer de nouveaux territoires et construire de nouveaux ponts.</p>

<br>

<p>Concrètement, nous voulons faciliter l'accès à des espaces physiques et à des réseaux de diffusion pour les événements communautaires.</p>
<p>Nous envisageons la création d'appels à projets dotés de subventions pour stimuler la créativité et l'orienter au bénéfice du plus grand nombre.</p>
<p>Nous voulons repenser le rapport entre la conférence AgileFrance et l'association, qui partagent aujourd'hui un nom et dont la réputation de l'une masque l'autre, en reconnaissant l'impossibilité de les séparer.</p>
<p>Nous préserverons nos forces en n'hésitant pas à utiliser les ressources financières de l'association pour outiller ses membres à accomplir leur mission en les déchargeant d'une gestion administrative.</p>
<p>Nous focaliserons en premier lieu notre énergie sur la clarification et la diffusion de ce qu'AgileFrance peut offrir aux personnes dont l'esprit d'initiative et la curiosité se heurtent à des contraintes administratives, organisationnelles ou financières.</p>
<p>Nous fédèrerons une communauté d'action et de soutien mutuel autour de cette offre, consciente de la nécessité de sa viabilité économique mais prête à investir et à prendre des risques.</p>

<br>

<p>Nous sommes basé·e·s à Montpellier, Paris, Lille, Montréal et nomade. Nous sommes des femmes et des hommes. Nous avons organisé la conférence AgileFrance, participé à AgileOpenFrance, écrit des pico-frameworks, enseigné la philosophie et l'anthropologie à des agilistes, introduit l'agilité dans le gouvernement, dans des grands groupes et dans notre vie amoureuse. Nous avons lu, écrit, analysé, discuté, enseigné, raillé et questionné les changements apportés par ces pratiques à nos sociétés.</p>
<p>Nous sommes une équipe auto-organisée et interdisciplinaire. Et par notre diversité et nos expériences, nous sommes aussi le MVP de cette communauté qui s'étendra bien au-delà de la programmation.</p>
<p>Avec l'énergie de celles et ceux qui voudront nous rejoindre, nous l'élargirons et l'outillerons pour qu'elle réalise son potentiel de réflexion, d'innovation, d'enthousiasme et d'entraide : construire des ponts nous paraît un moyen essentiel de vivifier l'agilité. </p>

<br>

<p>Nos premières métriques d'impact, que nous ajusterons selon leur utilité pour guider l'action, seront :</p>
<ul>
	<li>Le nombre de personnes touchées (lectorat d'un article, public d'un événement…) par des initiatives soutenues par l'association.</li>
	<li>La proportion de ces personnes qui ne viennent pas du monde du développement logiciel (sans viser 100%, mais plus que 0%).</li>
</ul>
