title: Innovation is overvalued. Maintenance often matters more
url: https://aeon.co/essays/innovation-is-overvalued-maintenance-often-matters-more
hash_url: 172fb3d15c9330057ebaefda78e429dd

<p data-uuid="b5b7ead6-cfac-3137-4bf9-7c49312d7d22">Innovation is a dominant ideology of our era, embraced in America by Silicon Valley, Wall Street, and the Washington DC political elite. As the pursuit of innovation has inspired technologists and capitalists, it has also provoked critics who suspect that the peddlers of innovation radically overvalue innovation. What happens <em>after</em> innovation, they argue, is more important. Maintenance and repair, the building of infrastructures, the mundane labour that goes into sustaining functioning and efficient infrastructures, simply has more impact on people’s daily lives than the vast majority of technological innovations.</p><p data-uuid="9d62e337-4fe7-c898-2344-ba75c17dd4a5">The fates of nations on opposing sides of the Iron Curtain illustrate good reasons that led to the rise of innovation as a buzzword and organising concept. Over the course of the 20th century, open societies that celebrated diversity, novelty, and progress performed better than closed societies that defended uniformity and order.</p><p data-uuid="2d00802b-de25-2095-7a57-b22e0fc6f51b"/><p class="debug"/><p data-uuid="6c1f042f-28cd-1480-5c6b-d2b538b5389d">In the late 1960s in the face of the Vietnam War, environmental degradation, the Kennedy and King assassinations, and other social and technological disappointments, it grew more difficult for many to have faith in moral and social progress. To take the place of progress, ‘innovation’, a smaller, and morally neutral, concept arose. Innovation provided a way to celebrate the accomplishments of a high-tech age without expecting too much from them in the way of moral and social improvement.</p><p data-uuid="762c6d83-78b0-f0ff-f02a-5a0cfc23d226">Before the dreams of the New Left had been dashed by massacres at My Lai and Altamont, economists had already turned to technology to explain the economic growth and high standards of living in capitalist democracies. Beginning in the late 1950s, the prominent economists Robert Solow and Kenneth Arrow found that traditional explanations – changes in education and capital, for example – could not account for significant portions of growth. They hypothesised that technological change was the hidden X factor. Their finding fit hand-in-glove with all of the technical marvels that had come out of the Second World War, the Cold War, the post-Sputnik craze for science and technology, and the post-war vision of a material abundance.</p><p data-uuid="d5d575d8-c9d3-68ba-ef94-bc3a711bd8bc">Robert Gordon’s important new book, <em>The Rise and Fall of American Growth</em>, offers the most comprehensive history of this golden age in the US economy. As Gordon explains, between 1870 and 1940, the United States experienced an unprecedented – and probably unrepeatable – period of economic growth. That century saw a host of new technologies and new industries produced, including the electrical, chemical, telephone, automobile, radio, television, petroleum, gas and electronics. Demand for a wealth of new home equipment and kitchen appliances, that typically made life easier and more bearable, drove the growth. After the Second World War, Americans treated new consumer technologies as proxies for societal progress – most famously, in the ‘Kitchen Debate’ of 1959 between the US vice-president Richard Nixon and the Soviet premier Nikita Kruschev. Critics wondered if Nixon was wise to point to modern appliances such as blenders and dishwashers as the emblems of American superiority.</p><p data-uuid="a033c9b8-ffe1-f808-977d-7b48257c11e3">Nevertheless, growth was strongly tied to continued social improvement. As older industries matured and declined, ‘new industries associated with new technologies’ would have to rise to take their place.<a href="#_ftn1" target="_blank"><span/></a></p><p data-uuid="dcbc1c33-0fa5-34b3-54cf-aaba26326b52"/><div class="shortcode-inline-newsletter"><p class="shortcode-inline-newsletter__title">Get Aeon straight to your inbox</p></div><p data-uuid="5e7dd2ac-e5e0-de54-a7bc-3c8fd0b03963"><span class="drop">Y</span>et, this need for booming new industries became problematic as the United States headed into the troubled times of the 1970s and early 1980s. Whole economic sectors, the auto industry, for example, hit the skids. A new term – ‘innovation policy’ – arose, designed to spur economic growth by fostering technological change, particularly in the face of international economic competition from Japan. Silicon Valley, a term that had just emerged in the late 1970s, became the exemplar of innovation during this time.</p><p data-uuid="f0f6cd2a-a51b-96b2-834b-c6a9d3b5797c">By the early 1980s, books casting Silicon Valley as a land of almost magical technological ingenuity had begun to hit the market. Innovation policy turned to focus more and more on ‘regional innovation systems’ and ‘innovation clusters’. Everywhere was potentially the next Silicon Valley of X. This theme of locality reached its apotheosis in Richard Florida’s 2002 book, <em>The Rise of the Creative Class</em>, which argued that regions succeeded by becoming the kinds of places that granola-crunching, mountain-bike-riding, computer-coding creative types wanted to live in. The book used the word ‘innovation’ more than 90 times and heavily idealised Silicon Valley.</p><p data-uuid="4f85a31c-5aaa-4561-181f-c0cdc8d27367">During the 1990s, scholars and pop audiences also rediscovered the work of Joseph Schumpeter. Schumpeter was an Austrian economist who championed innovation and its partner term, entrepreneurship. Schumpeter pictured economic growth and change in capitalism as a ‘gale of creative destruction’, in which new technologies and business practices outmoded or totally destroyed old ones. Neo-Schumpeterian thought sometimes led to a mountain of dubious scholarship and magical thinking, most notably, Clayton M Christensen’s 1997 tome, <em>The Innovator’s Dilemma: The Revolutionary Book that Will Change the Way You Do Business</em>. Now mostly discredited, Christensen’s work exerted tremendous influence, with its emphasis on ‘disruptive’ technologies that undermined whole industries to make fortunes.</p><p data-uuid="98319344-08e9-3f4c-6cd4-0c4391b5e549">At the turn of the millennium, in the world of business and technology, innovation had transformed into an erotic fetish. Armies of young tech wizards aspired to become disrupters. The ambition to disrupt in pursuit of innovation transcended politics, enlisting liberals and conservatives alike. Conservative politicians could gut government and cut taxes in the name of spurring entrepreneurship, while liberals could create new programmes aimed at fostering research. The idea was vague enough to do nearly anything in its name without feeling the slightest conflict, just as long as you repeated the mantra: INNOVATION!! ENTREPRENEURSHIP!!</p><p data-uuid="d0da3c60-0881-0ffc-03e6-24054a63cc1d"><span class="pullquote">A professional innovation consultant advised his clients to ban the word at their companies. He said it was just a ‘word to hide the lack of substance’</span></p><p data-uuid="d15fe4ba-f52b-919b-2035-6908cf953de0">A few years later, however, one could detect tremors of dissent. In a biting essay titled ‘Innovation is the New Black’, Michael Bierut, writing in <em>Design Observer</em> in 2005, lamented the ‘mania for innovation, or at least for endlessly repeating the word “innovation”’. Soon, even business publications began to raise the question of inherent worth. In 2006, <em>The Economist</em> noted that Chinese officials had made innovation into a ‘national buzzword’, even as it smugly reported that China’s educational system ‘stresses conformity and does little to foster independent thinking’, and that the Communist Party’s new catchphrases ‘mostly end up fizzling out in puddles of rhetoric’.<a href="#_ftn3" target="_blank"><span/></a> Later that year, <em>Businessweek</em> warned: ‘Innovation is in grave danger of becoming the latest overused buzzword. We’re doing our part at <em>Businessweek</em>.’ Again in <em>Businessweek</em>, on the last day of 2008, the design critic Bruce Nussbaum returned to the theme, declaring that innovation ‘died in 2008, killed off by overuse, misuse, narrowness, incrementalism and failure to evolve… In the end, “Innovation” proved to be weak as both a tactic and strategy in the face of economic and social turmoil.’</p><p data-uuid="3f8c351d-54fd-e8bd-b5bf-b087e51bfce2">In 2012, even the <em>Wall Street Journal</em> got into innovation-bashing act, noting ‘the Term Has Begun to Lose Meaning’. At the time, it counted ‘more than 250 books with “innovation” in the title… published in the last three months’<em>.</em> A professional innovation consultant it interviewed advised his clients to ban the word at their companies. He said it was just a ‘word to hide the lack of substance’.<a href="#_ftn6" target="_blank"><span/></a></p><p data-uuid="916ef5f0-df17-72f8-069a-ada37742723b"><span class="drop">E</span>vidence has emerged that regions of intense innovation also have systemic problems with inequality. In 2013, protests erupted in San Francisco over the gentrification and social stratification symbolised by Google buses and other private commuter buses. These shuttles brought high-tech employees from hip, pricey urban homes to their lush suburban campuses, without exposing them to the inconvenience of public transportation or to the vast populations of the poor and homeless who also call Silicon Valley their home. The dramatic, unnecessary suffering exposed by such juxtapositions of economic inequality seems to be a feature, not a bug of highly innovative regions.<a href="#_ftn7" target="_blank"><span/></a></p><p data-uuid="4f6819c1-8a66-3ae7-cdee-662bd7dc1559">The trajectory of ‘innovation’ from core, valued practice to slogan of dystopian societies, is not entirely surprising, at a certain level. There is a formulaic feel: a term gains popularity because it resonates with the zeitgeist, reaches buzzword status, then suffers from overexposure and cooptation. Right now, the formula has brought society to a question: after ‘innovation’ has been exposed as hucksterism, is there a better way to characterise relationships between society and technology?</p><p data-uuid="a000f981-1928-ddfc-6509-725cae8a8fe9">There are three basic ways to answer that question. First, it is crucial to understand that technology is not innovation. Innovation is only a small piece of what happens with technology. This preoccupation with novelty is unfortunate because it fails to account for technologies in widespread use, and it obscures how many of the things around us are quite old. In his book, <em>Shock of the Old </em>(2007), the historian David Edgerton examines technology-in-use. He finds that common objects, like the electric fan and many parts of the automobile, have been virtually unchanged for a century or more. When we take this broader perspective, we can tell different stories with drastically different geographical, chronological, and sociological emphases. The stalest innovation stories focus on well-to-do white guys sitting in garages in a small region of California, but human beings in the Global South live with technologies too. Which ones? Where do they come from? How are they produced, used, repaired? Yes, novel objects preoccupy the privileged, and can generate huge profits. But the most remarkable tales of cunning, effort, and care that people direct toward technologies exist far beyond the same old anecdotes about invention and innovation.</p><p data-uuid="d9e4d2b2-b6df-83dc-b358-eae98d2f9313">Second, by dropping innovation, we can recognise the essential role of basic infrastructures. ‘Infrastructure’ is a most unglamorous term, the type of word that would have vanished from our lexicon long ago if it didn’t point to something of immense social importance. Remarkably, in 2015 ‘infrastructure’ came to the fore of conversations in many walks of American life. In the wake of a fatal Amtrak crash near Philadelphia, President Obama wrestled with Congress to pass an infrastructure bill that Republicans had been blocking, but finally approved in December 2015. ‘Infrastructure’ also became the focus of scholarly communities in history and anthropology, even appearing 78 times on the programme of the annual meeting of the American Anthropological Association. Artists, journalists, and even comedians joined the fray, most memorably with John Oliver’s hilarious sketch starring Edward Norton and Steve Buscemi in a trailer for an imaginary blockbuster on the dullest of subjects. By early 2016, the <em>New York Review of Books</em> brought the ‘earnest and passive word’ to the attention of its readers, with a depressing essay titled ‘A Country Breaking Down’.<a href="#_ftn8" target="_blank"><span/></a></p><p data-uuid="7862a4bc-3f86-21d3-2072-9832e265a320"><span class="pullquote">Despite recurring fantasies about the end of work, the central fact of our industrial civilisation is <em>labour</em>, most of which falls far outside the realm of innovation</span></p><p data-uuid="1e977dc5-bd5b-5f7c-c8a7-1ce52a4f607b">The best of these conversations about infrastructure move away from narrow technical matters to engage deeper moral implications. Infrastructure failures – train crashes, bridge failures, urban flooding, and so on – are manifestations of and allegories for America’s dysfunctional political system, its frayed social safety net, and its enduring fascination with flashy, shiny, trivial things. But, especially in some corners of the academic world, a focus on the material structures of everyday life can take a bizarre turn, as exemplified in work that grants ‘agency’ to material things or wraps commodity fetishism in the language of high cultural theory, slick marketing, and design. For example, Bloomsbury’s ‘Object Lessons’ series features biographies of and philosophical reflections on human-built things, like the golf ball. What a shame it would be if American society matured to the point where the shallowness of the innovation concept became clear, but the most prominent response was an equally superficial fascination with golf balls, refrigerators, and remote controls.</p><p data-uuid="d988bc2f-71d9-9611-9787-ea0bd0c131dd">Third, focusing on infrastructure or on old, existing things rather than novel ones reminds us of the absolute centrality of the work that goes into keeping the entire world going. Despite recurring fantasies about the end of work or the automation of everything, the central fact of our industrial civilisation is <em>labour</em>, and most of this work falls far outside the realm of innovation. Inventors and innovators are a small slice – perhaps somewhere around one per cent – of this workforce. If gadgets are to be profitable, corporations need people to manufacture, sell, and distribute them. Another important facet of technological labour comes when people actually use a product. In some cases, the image of the ‘user’ could be an individual like you, sitting at your computer, but in other cases, end users are institutions – companies, governments, or universities that struggle to make technologies work in ways that their inventors and makers never envisioned.</p><p data-uuid="00514bff-5111-a249-7076-0a932ecbbc90"><span class="drop">T</span>he most unappreciated and undervalued forms of technological labour are also the most ordinary: those who repair and maintain technologies that already exist, that were ‘innovated’ long ago. This shift in emphasis involves focusing on the constant processes of entropy and un-doing – which the media scholar Steven Jackson calls ‘broken world thinking’ – and the work we do to slow or halt them, rather than on the introduction of novel things. In recent years, scholars have produced a number of studies of people who do this kind of work. For example, the science studies researcher Lilly Irani has examined the work low-wage labourers do to scrub digital information for the web, including Indian workers who check advertisements to ‘filter out porn, alcohol, and violence’.<a href="#_ftn9" target="_blank"><span/></a> Why not extend this style of analysis to think more clearly about subjects such as ‘cybersecurity’? The need for coders and programmers in the cybersecurity field is obvious, but it should be equally obvious that fundamental vulnerabilities in our cyber-infrastructures are protected by the guards who work graveyard shifts and staff who repair fences and ID card-readers.</p><p data-uuid="8714e3fd-02d1-b399-655d-f1b8bc8412e0">We can think of labour that goes into maintenance and repair as the work of <em>the</em> <em>maintainers</em>, those individuals whose work keeps ordinary existence going rather than introducing novel things. Brief reflection demonstrates that the vast majority of human labour, from laundry and trash removal to janitorial work and food preparation, is of this type: upkeep. This realisation has significant implications for gender relations in and around technology. Feminist theorists have long argued that obsessions with technological novelty obscures all of the labour, including housework, that women, disproportionately, do to keep life on track. Domestic labour has huge financial ramifications but largely falls outside economic accounting, like Gross Domestic Product. In her classic 1983 book, <em>More Work for Mother</em>, Ruth Schwartz Cowan examined home technologies – such as washing machines and vacuum cleaners – and how they fit into women’s ceaseless labour of domestic upkeep. One of her more famous findings was that new housekeeping technologies, which promised to save labour, literally created more work for mother as cleanliness standards rose, leaving women perpetually unable to keep up.</p><p data-uuid="6a0dbe05-d7cf-4ab4-f577-394b9830ef31"><span class="pullquote">There is no point in keeping the practice of hero-worship that merely changes the cast of heroes without confronting the deeper problems</span></p><p data-uuid="4417a06f-b28c-409f-0bf2-39a1ce8ce88e">Nixon, wrong about so many things, also was wrong to point to household appliances as self-evident indicators of American progress. Ironically, Cowan’s work first met with scepticism among male scholars working in the history of technology, whose focus was a male pantheon of inventors: Bell, Morse, Edison, Tesla, Diesel, Shockley, and so on. A renewed focus on maintenance and repair also has implications beyond the gender politics that <em>More Work for Mother</em> brought to light. When they set innovation-obsession to the side, scholars can confront various kinds of low-wage labour performed by many African-Americans, Latinos, and other racial and ethnic minorities. From this perspective, recent struggles over increasing the minimum wage, including for fast food workers, can be seen as arguments for the dignity of being a maintainer.</p><p data-uuid="2b76b893-a1c9-33ca-8a03-1ccb3df09e91">We organised<a href="http://themaintainers.org/" target="_blank"> a conference to bring the work of the maintainers into clearer focus</a>. More than 40 scholars answered a call for papers asking, ‘What is at stake if we move scholarship away from innovation and toward maintenance?’ Historians, social scientists, economists, business scholars, artists, and activists responded. They all want to talk about technology outside of innovation’s shadow.</p><p data-uuid="ea2a9ddc-2d28-d8eb-a03c-71da91eac94f">One important topic of conversation is the danger of moving too triumphantly from innovation to maintenance. There is no point in keeping the practice of hero-worship that merely changes the cast of heroes without confronting some of the deeper problems underlying the innovation obsession. One of the most significant problems is the male-dominated culture of technology, manifest in recent embarrassments such as the flagrant misogyny in the ‘#GamerGate’ row a couple of years ago, as well as the persistent pay gap between men and women doing the same work.</p><p data-uuid="b8bd8d6c-0bba-28cb-f6a0-d446a751d94f">There is an urgent need to reckon more squarely and honestly with our machines and ourselves. Ultimately, emphasising maintenance involves moving from buzzwords to values, and from means to ends. In formal economic terms, ‘innovation’ involves the diffusion of new things and practices. The term is completely agnostic about whether these things and practices are good. Crack cocaine, for example, was a highly innovative product in the 1980s, which involved a great deal of entrepreneurship (called ‘dealing’) and generated lots of revenue. Innovation! Entrepreneurship! Perhaps this point is cynical, but it draws our attention to a perverse reality: contemporary discourse treats innovation as a positive value in itself, when it is not.</p><p data-uuid="460a219a-a588-719c-1493-794cda880d09">Entire societies have come to talk about innovation as if it were an inherently desirable value, like love, fraternity, courage, beauty, dignity, or responsibility. Innovation-speak worships at the altar of change, but it rarely asks who benefits, to what end? A focus on maintenance provides opportunities to ask questions about what we really want out of technologies. What do we really care about? What kind of society do we want to live in? Will this help get us there? We must shift from means, including the technologies that underpin our everyday actions, to ends, including the many kinds of social beneficence and improvement that technology can offer. Our increasingly unequal and fearful world would be grateful. </p>
