title: New Zealand’s Next Liberal Milestone: A Budget Guided by ‘Well-Being’
url: https://www.nytimes.com/2019/05/22/world/asia/new-zealand-wellbeing-budget.html
hash_url: 1f8cfb6b332c4ca6cf4b8ccc2a00220b

<div class="css-1fanzo5 StoryBodyCompanionColumn"><div class="css-53u6y8"><p class="css-18icg9x evys1bk0">WELLINGTON, New Zealand — It’s being called the next big move by a New Zealand government seen by progressives around the world as a beacon in increasingly populist times: a national budget whose spending is dictated by what best encourages the “well-being” of citizens.</p><p class="css-18icg9x evys1bk0">That means that as the center-left government of Prime Minister Jacinda Ardern sets its priorities in the budget that will be unveiled on May 30, it is moving away from more traditional bottom-line measures like productivity and economic growth and instead focusing on goals like community and cultural connection and equity in well-being across generations.</p><p class="css-18icg9x evys1bk0">“This budget is a game-changing event,” said Richard Layard, a professor at the London School of Economics who is an expert on life satisfaction across populations.</p><p class="css-18icg9x evys1bk0">New Zealand is not the only country that is starting to rethink whether blunt economic measurements like gross domestic product are the best gauge of a nation’s success. But, Dr. Layard said, there has been “no other major country that has so explicitly adopted well-being as its objective.”</p></div></div><div class="css-1fanzo5 StoryBodyCompanionColumn"><div class="css-53u6y8"><p class="css-18icg9x evys1bk0">As a major example of what that new framework will produce, Ms. Ardern unveiled on Sunday the biggest spending proposal to date in her coming budget: more than $200 million to bolster services for victims of domestic and sexual violence.</p><p class="css-18icg9x evys1bk0">It is “the biggest single investment ever” by a New Zealand government on the issue, Ms. Ardern said at an event showcasing the initiative, and will tackle one of the nation’s “most disturbing, most shameful” problems.</p></div></div><div class="css-1fanzo5 StoryBodyCompanionColumn"><div class="css-53u6y8"><p class="css-18icg9x evys1bk0">Under New Zealand’s revised policy, all new spending must advance one of five government priorities: improving mental health, reducing child poverty, addressing the inequalities faced by indigenous Maori and Pacific islands people, thriving in a digital age, and transitioning to a low-emission, sustainable economy.</p><p class="css-18icg9x evys1bk0">The government is promoting the new framework as bringing much-needed clarity to the budgeting process. In the past, individual government ministers vied for the new money available in each year’s budget, and “relatively arbitrary” decisions were made about who got what, the country’s finance minister, Grant Robertson, said in an interview.</p></div></div><div class="css-1fanzo5 StoryBodyCompanionColumn"><div class="css-53u6y8"><p class="css-18icg9x evys1bk0">This year, those ministers have to collaborate on funding proposals with their colleagues, and the proposals must fit the new criteria. “Governments are notorious for their silos, and so we’re actually saying, no, there’s an outcome there that we want you all working together on,” Mr. Robertson said.</p><p class="css-18icg9x evys1bk0">To the center-right political opposition, however, all this talk is nothing more than “slick branding” of longstanding shared policy goals. New Zealand governments of all political stripes, the opposition argues, have always tried to improve people’s lives through taxpayer spending.</p><p class="css-18icg9x evys1bk0">“New Zealanders won’t benefit from a government that is ignoring the slowing economy and focusing instead on branding,” Amy Adams, a lawmaker in the opposition National Party, said in a statement. “We’re facing significant economic risks over coming years, but this government is focusing on a marketing campaign.”</p><p class="css-18icg9x evys1bk0">While the country may indeed be facing some economic headwinds, New Zealanders have been among the most contented people on the planet, <a class="css-1g7m0tk" href="http://worldhappiness.report/" title="" rel="noopener noreferrer" target="_blank">according to the World Happiness Report</a>, which is produced by the United Nations Sustainable Development Solutions Network. The study <a class="css-1g7m0tk" href="https://www.nytimes.com/2018/03/14/world/europe/worlds-happiest-countries.html?module=inline" title="">ranked New Zealand in eighth place</a> on its 2018 list of the world’s happiest countries, after the Nordic nations — led by Finland — Switzerland and the Netherlands.</p><p class="css-18icg9x evys1bk0">And it remains to be seen just how different the budget will look this year. Liberals across the globe may have swooned this year when Ms. Ardern moved to <a class="css-1g7m0tk" href="https://www.nytimes.com/2019/04/10/world/asia/new-zealand-guns-jacinda-ardern.html?module=inline" title="">ban semiautomatic weapons</a> within days of the Christchurch terrorist attacks, but in reality her government is not a radically progressive one, said Arthur Grimes, an economics professor at Victoria University of Wellington and a former chairman of New Zealand’s central bank.</p></div></div><div class="css-1fanzo5 StoryBodyCompanionColumn"><div class="css-53u6y8"><p class="css-18icg9x evys1bk0">Dr. Grimes said that outside the budget, Ms. Ardern’s party had passed up opportunities to enact measures that might have significantly reduced economic and social disparities — including implementing a capital-gains tax or overhauling welfare — in favor of policies that benefited those less in need, like older people and students.</p></div></div><div class="css-1fanzo5 StoryBodyCompanionColumn"><div class="css-53u6y8"><p class="css-18icg9x evys1bk0">There is no denying that Ms. Ardern has secured a string of progressive victories, banning plastic bags, bolstering action on climate change and instituting <a class="css-1g7m0tk" href="https://www.nytimes.com/2018/07/26/world/asia/new-zealand-domestic-violence-leave.html?module=inline" title="">paid time off</a> for domestic violence victims. But in her less than two years in power, she has also been criticized as sometimes relying more on gauzy promises of “kinder” government policies than concrete proposals.</p><p class="css-18icg9x evys1bk0">“I’m sure they will do something meaningful in this budget, but they could do more,” Dr. Grimes said.</p><p class="css-18icg9x evys1bk0">Still, he said he was optimistic that the new budget approach would be a success, at least as an organizing principle. Budget planning often lacked focus in the past, he said, but officials in government agencies have told him that is not the case this year.</p><p class="css-18icg9x evys1bk0">“If you’re not addressing one of those five priorities, you’ve got almost no hope of a budget bid being successful,” he said.</p><p class="css-18icg9x evys1bk0">The package of help for domestic and sexual violence survivors announced by Ms. Ardern was the result of a joint bid among seven agencies and New Zealand’s attorney general. The goal is to take pressure off the police as the primary responders to such matters, Mr. Robertson, the finance minister, said.</p><p class="css-18icg9x evys1bk0">Along with that package, other pre-budget announcements have promised <a class="css-1g7m0tk" href="https://www.nytimes.com/2018/06/22/world/australia/new-zealand-homeless.html?module=inline" title="">housing for the homeless population</a> and an effort to reduce the number of Maori in prisons, where they are overrepresented.</p></div></div><div class="css-1fanzo5 StoryBodyCompanionColumn"><div class="css-53u6y8"><p class="css-18icg9x evys1bk0">As New Zealand pursues its “well-being budget,” it is heeding a call from the Organization for Economic Cooperation and Development, a group of the world’s most advanced economies, Dr. Layard, the British economist, said. While several other countries — including France, <a class="css-1g7m0tk" href="https://thelede.blogs.nytimes.com/2010/11/15/britain-to-measure-happiness" title="">Britain</a> and the United Arab Emirates — have adopted language or measurements related to well-being, he said, none have tied the prioritizing and evaluation of policies as closely to people’s welfare as New Zealand has.</p></div></div><div class="css-1fanzo5 StoryBodyCompanionColumn"><div class="css-53u6y8"><p class="css-18icg9x evys1bk0">But not all of the budget is covered by the well-being framework. Core spending — on schools, hospitals and roads, for example — will be allocated in the usual way.</p><p class="css-18icg9x evys1bk0">Mr. Robertson said the well-being model would cover more of the budget each year — for as long as his Labour-led government is in power to continue it.</p><p class="css-18icg9x evys1bk0">In New Zealand’s fast-paced, three-year electoral cycle, Mr. Robertson said he was keenly aware that much of the change his government wants — reducing inequality, increasing life satisfaction — would not be enacted in time for the next election in 2020.</p><p class="css-18icg9x evys1bk0">But he said he believed that voters might be willing to bear with him. Despite a strong global economy, he said, people have grown distrustful of government and institutions, and want progress to be measured differently.</p><p class="css-18icg9x evys1bk0">“It’s some of that gap between rhetoric and reality that’s been exploited by populist movements and people around the world,” he said.</p><p class="css-18icg9x evys1bk0">“If we’re going to rebuild trust and faith in our politics and our political system, we have to be talking about the things that matter to people.”</p></div></div>
