title: La nature est un champ de bataille
url: https://www.editions-zones.fr/lyber?la-nature-est-un-champ-de-bataille
hash_url: a72c83494fc6636cde5b73bd2b064958

<div class="chapitre" id="pre-002"><h3><span>INTRODUCTION</span></h3><div class="dev"><p>À l’automne 1982, les habitants du comté de Warren, dans le nord-est de la Caroline du Nord, se sont mobilisés pendant six semaines contre l’installation d’une décharge de déchets toxiques<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Eileen Maura M&lt;span class=petite_capitale style=font-variant:small-caps;&gt;C&lt;/span&gt;G&lt;span class=petite_capitale style=font-variant:small-caps;&gt;URTY&lt;/span&gt;, « From NIMBY to civil rights. The origins of the environmental justice movement », &lt;em&gt;Environmental History&lt;/em&gt;, vol. 2, nº 3, 1997.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Quatre ans plus tôt, en 1978, une entreprise de gestion des déchets industriels avait entreposé illégalement dans la région d’importantes quantités de biphényles polychlorés (BPC), une substance utilisée notamment dans les transformateurs électriques et la peinture. Une fois découvertes, l’État de Caroline du Nord décida d’acquérir un terrain pour les y enfouir. Plusieurs endroits furent envisagés, et on opta finalement pour un terrain à proximité de la ville de Warrenton. Les résidents du lieu, comme c’est souvent le cas dans ce genre de circonstances, s’y opposèrent, craignant pour leur santé, le BPC étant une substance cancérigène. Ils entamèrent une action en justice afin d’empêcher que les déchets soient entreposés à cet endroit. Deux ans plus tard, le tribunal du district rejeta leur requête. C’est alors que la protestation prit une forme extrajudiciaire : manifestations, sit-in, boycotts, désobéissance civile, marches, meetings, coupures de routes… Ces actions conduisirent à l’arrestation de plus de cinq cents personnes, parmi lesquelles des élus locaux et fédéraux. Le mouvement n’obtint pas l’abandon du projet dans l’immédiat et le site ne fut décontaminé que dans les années 2000.</p>
<p>Au départ, les arguments avancés par les protestataires contre la décharge avaient trait à la pollution de l’environnement (eau, sols) par le BPC et aux risques qu’il présente pour la santé. Cependant, à mesure que le mouvement s’élargit et devint plus politique, ces arguments changèrent de nature. Si l’État choisit d’enfouir ces déchets toxiques à cet endroit, affirmaient les résidents et leurs alliés, c’est parce qu’y vivent des Noirs, des pauvres et surtout des Noirs pauvres. Autrement dit, la décision d’installer la décharge a un fondement raciste. À l’époque, le comté de Warren est composé à 64 % de Noirs. La région immédiatement à proximité de la décharge l’est à hauteur de 75 %. Les protestataires faisaient remarquer que cette injustice dans la localisation des déchets toxiques avait cours non seulement en Caroline du Nord, mais aux États-Unis plus généralement, et ce depuis la fondation du pays. Dans ses politiques de gestion de l’environnement et des ressources, l’État favorise systématiquement les populations blanches et les classes moyennes et supérieures, qu’il préserve de ce type de nuisances. À l’inverse, les minorités, à savoir non seulement les Noirs, mais aussi les Amérindiens, les Hispaniques et les Asiatiques, ainsi que les pauvres, assument la plus grande part des conséquences négatives de la production industrielle. À ce jour encore, on constate que les amendes pour traitement non conforme des déchets aux États-Unis sont cinq fois plus fréquentes lorsque les faits ont eu lieu à proximité de quartiers blancs que de quartiers noirs ou hispaniques<a href="javascript:void(0);" class="note" onmouseover="return overlib('Marianne C&lt;span class=petite_capitale style=font-variant:small-caps;&gt;HAUMEL &lt;/span&gt;et Stéphane L&lt;span class=petite_capitale style=font-variant:small-caps;&gt;A &lt;/span&gt;B&lt;span class=petite_capitale style=font-variant:small-caps;&gt;RANCHE&lt;/span&gt;, « Inégalités écologiques : vers quelle définition ? », &lt;em&gt;Espace, populations, sociétés&lt;/em&gt;, nº 1, 2008, p. 107.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Cette discrimination raciale n’est pas forcément intentionnelle de la part des pouvoirs publics, même si elle l’est souvent. Elle est systémique, c’est-à-dire qu’elle procède d’une logique en partie indépendante de la volonté des individus. Ce qui a permis au mouvement du comté de Warren de prendre de l’ampleur, c’est donc sa capacité à monter en généralité, à « accrocher » une revendication locale à une injustice globale.</p>
<p>Cet épisode illustre à merveille la principale thèse de cet ouvrage : la nature est un champ de bataille. Elle est déjà à l’heure actuelle, et sera de plus en plus à l’avenir, à mesure que la crise écologique s’approfondira, le théâtre d’affrontements entre des acteurs aux intérêts divergents : mouvements sociaux, États, armées, marchés financiers, assureurs, organisations internationales… Dans le cas du comté de Warren, le conflit résulte d’une forme d’injustice particulière, le racisme. Mais il peut procéder d’autres types d’inégalités. La nature n’échappe pas aux rapports de force sociaux : elle est la plus politique des entités.</p>
<p>Cette approche de la crise écologique prend le contre-pied d’une opinion dominante aujourd’hui. Un consensus bien installé soutient qu’afin de régler le problème du changement environnemental, l’humanité doit « dépasser ses divisions ». Ce consensus est impulsé par les partis écologistes, dont beaucoup – pas tous – sont nés dans les années 1970 de l’idée que l’opposition entre la gauche et la droite est caduque ou secondaire. Il est également promu, en France, par des personnalités de la « société civile » comme Yann Arthus-Bertrand ou Nicolas Hulot, dont il existe des équivalents dans la plupart des pays. Le « pacte écologique » proposé par Nicolas Hulot, signé par un grand nombre de candidats à l’élection présidentielle de 2007, ainsi que par des milliers de citoyens, est typique de cette conception de l’écologie<a href="javascript:void(0);" class="note" onmouseover="return overlib('Nicolas H&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ULOT&lt;/span&gt;, &lt;em&gt;Pour un pacte écologique&lt;/em&gt;, Calmann-Lévy, Paris, 2006.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Les déplorations qui accompagnent l’échec récurrent des négociations internationales sur le climat – celles de Copenhague et de Rio étant les dernières en date – ont ce consensus pour arrière-plan. Elles stigmatisent l’incapacité des États à se rassembler enfin autour d’objectifs environnementaux communs.</p>
<p>De ce consensus écologique, il existe des versions sophistiquées. Dipesh Chakrabarty, l’un des principaux théoriciens du postcolonialisme, auteur du classique <em>Provincializing Europe</em><a href="javascript:void(0);" class="note" onmouseover="return overlib('Dipesh C&lt;span class=petite_capitale style=font-variant:small-caps;&gt;HAKRABARTY&lt;/span&gt;, &lt;em&gt;Provincialiser l’Europe. La pensée postcoloniale et la différence historique&lt;/em&gt;, Amsterdam, Paris, 2009.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>, a récemment publié un texte intitulé « Le climat de l’histoire<a href="javascript:void(0);" class="note" onmouseover="return overlib('Dipesh C&lt;span class=petite_capitale style=font-variant:small-caps;&gt;HAKRABARTY&lt;/span&gt;, « The climate of history. Four theses », &lt;em&gt;Critical Inquiry&lt;/em&gt;, nº 35, hiver 2009. Traduction française dans la &lt;em&gt;Revue internationale des livres et des idées&lt;/em&gt;, nº 3, janvier 2012.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a> ». À ses yeux, la crise écologique permet d’envisager pour la première fois que l’humanité comme telle, et non l’une de ses composantes – ouvriers, paysans, colonisés, femmes… –, puisse devenir le « sujet » de l’histoire. Nous autres humains ne faisons jamais l’expérience de nous-mêmes comme « espèce », au sens où toute expérience, fût-elle collective, est toujours singulière. Le changement climatique suppose cependant de faire émerger les conditions d’une action commune de l’humanité, pour répondre au défi du réchauffement de la planète. À ce titre, il doit conduire à réévaluer la vieille notion d’humanisme, à laquelle il confère un sens inédit. Il doit également conduire à réévaluer les critiques de cette notion, en particulier celles que lui adresse depuis les années 1960 le (post-)structuralisme. L’« antihumanisme théorique » d’un Louis Althusser ou du Michel Foucault de <em>Les Mots et les Choses </em>revêt un sens différent à l’heure où la survie de l’humanité est menacée par les bouleversements climatiques.</p>
<p>Comparant les crises économiques et la crise écologique, Chakrabarty affirme qu’« à la différence de ce qui se passe lors des crises du capitalisme, il n’y a pas ici [c’est-à-dire dans le cadre de la crise climatique] de canots de sauvetage pour les riches et les privilégiés<a href="javascript:void(0);" class="note" onmouseover="return overlib('&lt;em&gt;Ibid.&lt;/em&gt;, p. 221, notre traduction. Voir aussi « Penser et agir en tant qu’espèce. Entretien avec Dipesh Chakrabarty », propos recueillis par Razmig Keucheyan, Charlotte Nordmann et Julien Vincent, &lt;em&gt;Revue des livres&lt;/em&gt;, nº 8, novembre-décembre 2012.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a> ». Les riches se tirent toujours d’affaire lors des crises économiques. Selon Chakrabarty, ce ne sera pas le cas dans le contexte de la crise écologique, car nul « canot de sauvetage » ne sera disponible pour quitter la planète. Même s’il reconnaît que cette crise comporte une dimension de classe, en ce sens que son impact n’est pas également distribué dans la population, Chakrabarty soutient qu’elle transcende en dernière instance cette dimension et doit conduire à remettre sur le métier la question de l’homme. Ainsi, « la crise actuelle a révélé certaines conditions d’existence de la forme de vie humaine qui n’ont pas de lien intrinsèque avec les logiques des identités capitalistes, nationalistes ou socialistes ». Venant des études postcoloniales, qui se sont fait une spécialité de récuser toutes les formes d’universalisme, cette idée est pour le moins étonnante<a href="javascript:void(0);" class="note" onmouseover="return overlib('Chakrabarty s’est expliqué sur ce point. Voir Dipesh C&lt;span class=petite_capitale style=font-variant:small-caps;&gt;HAKRABARTY&lt;/span&gt;, « Postcolonial studies and the challenge of climate change », &lt;em&gt;New Literary History&lt;/em&gt;, vol. 41, nº 1, hiver 2012.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>.</p>
<p>Notre analyse part de l’hypothèse exactement inverse de celle de Chakrabarty. Si l’on prend au sérieux l’idée que le changement climatique est induit, depuis le milieu du <span class="petite_capitale" style="font-variant:small-caps;">XVIII</span><span class="exposant" style="vertical-align:super;">e</span> siècle, par le développement économique, et que ce développement a pour nom « capitalisme », il est peu probable que les oppositions de classe puissent être transcendées avant qu’une solution à la crise environnementale soit trouvée. Il est peu probable, en d’autres termes, que rassembler l’espèce autour d’objectifs communs soit une condition de la résolution de cette crise. Celle-ci suppose peut-être au contraire la radicalisation de ces oppositions, c’est-à-dire la radicalisation de la critique du capitalisme. Un se divise en deux, en matière environnementale comme en d’autres.</p><p class="bl"> </p>
<p>Notre premier chapitre s’intitule « Racisme environnemental ». Il nous permettra de battre en brèche l’idée que l’humanité subit uniformément les conséquences de la crise écologique. Tout comme il existe des inégalités économiques ou culturelles, on en trouve dans le rapport des individus ou groupes d’individus à la nature, aux ressources qu’elle offre aussi bien qu’à l’exposition aux effets néfastes du développement : pollution, catastrophes naturelles ou industrielles, qualité de l’eau, accès à l’énergie… Dans certains cas, les inégalités environnementales résultent de l’action de l’État, dont les politiques sont loin d’être neutres en la matière, comme on le constate dans le comté de Warren. Dans d’autres, elles sont le fruit de la logique du marché livrée à elle-même. Dans d’autres encore, elles sont la résultante de logiques économiques et politiques inextricablement mêlées. L’« intersectionnalité » entre la race, la classe et le genre, qui fait l’objet de nombreux travaux à l’heure actuelle<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Alexandre J&lt;span class=petite_capitale style=font-variant:small-caps;&gt;AUNAIT &lt;/span&gt;et Sébastien C&lt;span class=petite_capitale style=font-variant:small-caps;&gt;HAUVIN&lt;/span&gt;, « Représenter l’intersection. Les théories de l’intersectionnalité à l’épreuve des sciences sociales », &lt;em&gt;Revue française de science politique&lt;/em&gt;, vol. 62, nº 1, 2012.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>, doit ainsi être complétée par une quatrième dimension, qui vient la compliquer : la nature. Celle-ci possède elle-même une ontologie (politique) hautement problématique, qui ne se conçoit que dans un rapport dialectique avec les trois autres. On se concentrera ici sur la question du racisme environnemental, c’est-à-dire sur l’intersection de la « nature » et de la « race ». Ce phénomène ne se comprend toutefois qu’à la condition de prendre en considération l’ensemble des inégalités à l’œuvre au sein du système.</p>
<p>La financiarisation et la guerre : ce sont les deux solutions que le capitalisme, depuis qu’il existe, applique aux situations de crise qu’il traverse et à l’aggravation des inégalités qu’elles engendrent. En générant du capital « fictif », la finance permet de reporter dans le temps, et donc d’atténuer provisoirement, les contradictions inhérentes à la production capitaliste (comme l’a encore illustré récemment le mécanisme des <em>subprimes</em>). La guerre est quant à elle le fruit des inévitables conflits que génèrent périodiquement ces contradictions. L’amenuisement des opportunités de profit, la nécessité d’assurer le contrôle sur l’extraction et la circulation des ressources, mais aussi l’accroissement de la contestation du système tendent à conférer à la conflictualité politique un caractère plus aigu. En détruisant (littéralement) du capital, la guerre permet aussi de relancer l’accumulation sur de nouvelles bases<a href="javascript:void(0);" class="note" onmouseover="return overlib('L’entrelacement de la financiarisation et de la guerre est au cœur de la périodisation de longue durée du capitalisme que propose Giovanni A&lt;span class=petite_capitale style=font-variant:small-caps;&gt;RRIGHI &lt;/span&gt;dans &lt;em&gt;The Long Twentieth Century. Money, Power, and the Origins of our Time&lt;/em&gt;, Verso, Londres, 2009.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>.</p>
<p>Or ces deux solutions sont également mises en œuvre par le capitalisme en réponse à la crise écologique. La financiarisation et la militarisation sont, en d’autres termes, les deux réactions du système face à cette crise – c’est tout l’objectif de cet ouvrage de le démontrer. Le chapitre II (« Financiariser la nature : l’assurance des risques climatiques ») porte sur l’assurance des risques climatiques, l’une des principales formes que revêt aujourd’hui la finance environnementale. On assiste à l’heure actuelle à une prolifération des produits financiers « branchés » sur la nature ou sur la biodiversité : marchés carbone, dérivés climatiques, obligations catastrophe… Ces produits visent à amortir ou gérer les turbulences économiques et sociales qui découlent de la crise écologique. Ils ont toutefois également pour objectif d’en tirer profit. Ils participent de la financiarisation du capitalisme en cours à l’heure actuelle, dont on va montrer qu’elle suppose aussi la financiarisation de la nature. De la part du capitalisme, la nature est aujourd’hui l’objet d’une <em>stratégie d’accumulation</em>.</p>
<p>L’assurance est une pièce centrale dans ce dispositif. Le capitalisme est un système ambivalent. D’un côté, il est instable, car il génère de l’innovation (la « destruction créatrice » chère à Joseph Schumpeter), de la mondialisation, de la lutte des classes et des processus qui exercent un effet corrosif sur l’ordre social. Comme disent Marx et Engels dans le <em>Manifeste communiste </em>:</p><div class="citp"><p class="txt_courant_justif last">Ce qui distingue l’époque bourgeoise de toutes les précédentes, c’est la transformation incessante de la production, l’ébranlement continuel des situations sociales, l’agitation et l’incertitude éternelles. […] Tout ce qui paraissait solide et fixe s’évapore</p></div><p>D’un autre côté, le capitalisme requiert de la stabilité, sans laquelle l’investissement ou la construction de marchés rentables seraient inconcevables. Comment ces deux caractéristiques contradictoires du système, l’instabilité et la stabilité, sont-elles réconciliées ? En bonne part grâce au mécanisme de l’assurance. Celle-ci permet la prise de risques financiers, tout en protégeant l’investissement lorsqu’elle tourne mal. Or, qu’arrive-t-il à ce mécanisme de l’assurance dans un contexte rendu de plus en plus incertain par la crise environnementale ?</p>
<p>Le troisième chapitre (« Les guerres vertes, ou la militarisation de l’écologie ») concerne l’imbrication croissante de l’écologie et de la guerre. L’exploitation capitaliste de la nature influence l’évolution des conflits armés. La crise environnementale à laquelle elle donne lieu suscite d’ores et déjà un surcroît de catastrophes naturelles, la raréfaction de certaines ressources, des crises alimentaires, une déstabilisation des pôles et des océans, et des « réfugiés climatiques » par dizaine de millions à l’horizon 2050. En résulte des <em>guerres vertes ou guerres du climat</em>, qui sont la traduction dans l’ordre guerrier de la crise écologique. L’État en général, et les armées en particulier sont en première ligne pour gérer cette « externalité négative » très particulière que sont les conflits armés. En plus de sa financiarisation, la militarisation est donc une potentialité que la crise écologique porte en elle.</p>
<p>Les militaires ont conscience de cette imbrication croissante de l’écologie et de la guerre. Depuis une dizaine d’années, les grandes armées de la planète, armée états-unienne en tête, produisent des rapports consacrés à l’impact du changement climatique sur la stratégie militaire. Quelles conséquences ce changement aura-t-il sur la façon de faire la guerre ? Si l’on admet que l’environnement est une donnée cruciale de toute situation guerrière, les bouleversements qu’il va connaître – qu’il connaît déjà – du fait de la crise écologique ne manqueront pas d’influer sur l’art de la guerre. Sun Tzu et Clausewitz, en somme, sont en voie d’être écologisés<a href="javascript:void(0);" class="note" onmouseover="return overlib('Une précision terminologique avant de commencer : la notion de « crise écologique » ou « crise environnementale » que nous emploierons couramment désigne un enchevêtrement complexe de processus naturels et sociaux à l’œuvre à l’heure actuelle. Nous laissons de côté les questions épistémologiques, nombreuses, que soulève son usage.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>.</p></div></div>


<div class="chapitre" id="chap-001"><div class="chap_debut"><!--debut--></div><h3><span><b>I. RACISME ENVIRONNEMENTAL</b></span></h3><div class="exergue"><div class="exer"><p class="txt_courant_justif last">C’est par le reboisement que notre race conservera ses facultés européennes.</p>
<p>François T<span class="petite_capitale" style="font-variant:small-caps;">ROTTIER</span>, <em>Reboisement et colonisation </em>(1876)</p></div></div>
<div class="dev">
<p>L’épisode du comté de Warren évoqué dans l’introduction est l’acte de naissance du mouvement pour la <em>justice environnementale</em>. C’est le point de départ d’un cycle de protestation dont l’une des expressions est née aux États-Unis, mais qui dispose d’importantes ramifications internationales et dont la principale caractéristique est de mettre en rapport le social – classe, genre, race – et la nature. Ce mouvement interagit avec d’autres courants écologistes contemporains, par exemple le mouvement pour la <em>justice climatique</em><a href="javascript:void(0);" class="note" onmouseover="return overlib('Pour une vue d’ensemble de ces mouvements, voir Kenneth A. G&lt;span class=petite_capitale style=font-variant:small-caps;&gt;OULD &lt;/span&gt;et Tammy L. L&lt;span class=petite_capitale style=font-variant:small-caps;&gt;EWIS &lt;/span&gt;(dir.), &lt;em&gt;Twenty Lessons in Environmental Sociology&lt;/em&gt;, Oxford University Press, Oxford, 2008, chap. 17.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Celui-ci établit un lien entre la crise climatique et les inégalités Nord-Sud, la logique centre-périphérie. Parmi ses revendications se trouve notamment la reconnaissance de la « dette écologique » contractée par les pays du Nord envers ceux du Sud, tout au long des périodes coloniale et postcoloniale<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Joan M&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ARTINEZ &lt;/span&gt;A&lt;span class=petite_capitale style=font-variant:small-caps;&gt;LIER&lt;/span&gt;, &lt;em&gt;The Environmentalism of the Poor. A Study of Ecological Conflicts and Valuation&lt;/em&gt;, Edward Elgar, Northampton, 2003. Pour une perspective récente sur les conflits environnementaux en Amérique latine, voir Maristella S&lt;span class=petite_capitale style=font-variant:small-caps;&gt;VAMPA&lt;/span&gt;, « Néo-“développementisme” extractiviste, gouvernements et mouvements sociaux en Amérique latine », &lt;em&gt;Problèmes d’Amérique latine&lt;/em&gt;, nº 81, été 2011.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>.</p>
<p>Le mouvement pour la justice environnementale, quant à lui, porte sur le changement climatique et ses effets, mais aussi, de manière plus générale, sur l’environnement, y compris la gestion des déchets toxiques, les pollutions, l’accès aux aménités, la sécurité au travail… Sa spécificité est qu’il pose la question des inégalités écologiques non à l’échelle globale, comme le mouvement pour la justice climatique, mais à celle des pays. Ces inégalités sont inhérentes à la constitution des États-nations modernes. Elles ont cependant été invisibilisées au cours de l’histoire du fait de la plus grande saillance d’autres types d’inégalités, de la faible prise en considération des questions environnementales par des secteurs importants de la société, en particulier par le mouvement ouvrier, et par l’idée que la nature est un bien universel accessible à tous, sans distinction de classe, de race ou de genre. À y regarder de près, rien n’est plus contraire à la réalité.</p>
<p>Le mouvement pour la justice environnementale n’est issu ni du mouvement écologiste, qui naît dans les années 1950, ni du mouvement environnementaliste, qui apparaît au <span class="petite_capitale" style="font-variant:small-caps;">XIX</span><span class="exposant" style="vertical-align:super;">e</span> siècle, mais du mouvement des droits civiques. Il constitue un effet différé, une bifurcation inattendue de ce dernier, survenue dans le dernier tiers du <span class="petite_capitale" style="font-variant:small-caps;">XX</span><span class="exposant" style="vertical-align:super;">e</span> siècle, à une époque où ce mouvement est en perte de vitesse. Comme le mouvement des droits civiques, il apparaît et se développe d’abord dans le sud des États-Unis, pour ne se diffuser à l’ensemble du pays que dans un second temps. Les modes d’action qu’il met en œuvre – son « répertoire d’action » – sont largement inspirés de ce dernier. Sit-in, boycotts, marches, coupures de routes… constituent en effet la marque de fabrique du mouvement des droits civiques. Ce répertoire d’action se caractérise par son pacifisme fondamental, qui vise à montrer que la violence et la répression sont du côté du système, et non de ceux qui le contestent. L’environnementalisme traditionnel, aux États-Unis, se caractérise davantage par son légalisme, c’est-à-dire son approche souvent « technique » ou « experte » des problèmes environnementaux (en Europe ses modes d’action sont différents). La première génération de leaders du mouvement pour la justice environnementale est pour beaucoup issue de celui des droits civiques. La question de la gestion des déchets s’était d’ailleurs déjà manifestée au sein de ce dernier. La veille de son assassinat, en avril 1968, Martin Luther King était allé soutenir une grève des éboueurs à Memphis, dont la plupart des protagonistes étaient noirs. Ces éboueurs protestaient contre la dangerosité et l’insalubrité de leurs conditions de travail, ainsi que contre les bas salaires.</p>
<p>Les catégories populaires et les minorités raciales ont en général une propension moindre à recourir à la loi pour empêcher l’enfouissement de déchets toxiques à proximité de leurs quartiers. C’est l’une des raisons pour lesquelles l’État se débarrasse de ces déchets dans ces endroits-là. Leur capacité à se mobiliser efficacement, à faire mouvement, est également en principe plus faible, du fait d’une dotation en « capitaux » – au sens de Pierre Bourdieu – moins grande. En revanche, les représentants des classes supérieures savent mettre à contribution les ressources du droit pour se faire entendre. Ils savent également jouer de la crainte des élus d’être l’objet de sanctions électorales lors de scrutins futurs. Le phénomène du NIMBY – « Not in my backyard », « pas dans mon jardin » – décrié par le mouvement écologiste dominant, qui désigne les stratégies d’évitement de sacrifices privés au détriment de l’intérêt général (réel ou supposé), n’est pas équitablement distribué dans la population. Il repose sur des considérants de classe, de race et de genre. La protestation du comté de Warren incluait aussi des Blancs, par exemple des fermiers refusant de voir leurs terres polluées par le BPC. Il s’agissait d’une coalition d’intérêts et de revendications hétérogènes, comme toute protestation sociale d’ampleur. Mais la spécificité de ce mouvement consista à rendre visible l’injustice raciale et sociale qui sous-tend la gestion des déchets toxiques.</p><div class="section1" id="niv1-004"><h3>UN ÉVÉNEMENT PHILOSOPHIQUE</h3><p>De la révolution russe, Antonio Gramsci dit dans les <em>Cahiers de prison </em>qu’il s’agit d’un « événement philosophique », qui a eu des conséquences non seulement dans le champ politique, mais dans l’ordre de la pensée<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Antonio G&lt;span class=petite_capitale style=font-variant:small-caps;&gt;RAMSCI&lt;/span&gt;, &lt;em&gt;Guerre de mouvement et guerre de position&lt;/em&gt;, textes choisis et présentés par Razmig Keucheyan, La Fabrique, 2012, p. 66.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Le mouvement pour la justice environnementale est lui aussi le point de départ d’un cycle d’élaboration théorique fécond. En 1987, dans le sillage des événements du comté de Warren et d’autres mobilisations du même type, paraît une étude qui fait grand bruit : <em>Toxic Waste and Race in the United States </em>(« Déchets toxiques et race aux États-Unis »). Elle établit pour la première fois analytiquement ce que les manifestants de Caroline du Nord avaient observé sur le terrain : que la race est un facteur explicatif, et dans bien des cas le principal facteur explicatif, de la localisation des décharges toxiques aux États-Unis. Si vous voulez savoir où un stock de déchets donné a le plus de chances d’être enfoui, demandez-vous où vivent les Noirs, les Hispaniques, les Amérindiens et autres minorités raciales. Demandez-vous par la même occasion où se trouvent les quartiers pauvres. Cette étude a été réalisée par la United Church of Christ, une Église progressiste noire, déjà très active dans le mouvement des droits civiques dans les années 1950. Dans le mouvement pour la justice environnementale comme dans celui des droits civiques, les Églises jouent un rôle crucial. Les Noirs ayant été dépossédés de toute institution politique autonome aux États-Unis depuis la période de l’esclavage, elles ont une fonction organisatrice de l’émancipation, elles sont des vecteurs de lutte<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir à ce propos Anthony O&lt;span class=petite_capitale style=font-variant:small-caps;&gt;BERSCHALL&lt;/span&gt;, &lt;em&gt;Social Conflicts and Social Movements&lt;/em&gt;, Prentice Hall, Englewood Cliffs, 1973.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Certaines d’entre elles se trouvent à l’avant-garde des problématiques écologiques.</p>
<p>L’étude de la United Church of Christ met en évidence l’existence d’un <em>racisme environnemental </em>(<em>environmental racism</em>) aux États-Unis. Cette expression, promise à une importante postérité, fait aujourd’hui l’objet d’élaborations aussi bien académiques que politiques. Elle est un effet du mouvement pour la justice environnementale dans l’ordre de la théorie, c’est un « événement philosophique » au sens de Gramsci.</p>
<p>La notion de « racisme environnemental » a été forgée par le révérend Benjamin Chavis, qui a coordonné le rapport sur le lien entre la race et les déchets toxiques et qui était à l’époque directeur de la commission pour la « justice raciale » de la United Church of Christ. Compagnon de route de Martin Luther King, Chavis est une figure du mouvement des droits civiques. Il a également présidé, dans les années 1990, la National Association for the Advancement of Coloured People (NAACP), l’organisation cofondée par W. E. B. Du Bois au début du <span class="petite_capitale" style="font-variant:small-caps;">XX</span><span class="exposant" style="vertical-align:super;">e</span> siècle. Chavis fut l’un des membres des « Wilmington Ten », un groupe de militants pour les droits civiques emprisonnés au début des années 1970 et dont la libération fit l’objet d’une campagne internationale, soutenue notamment par Amnesty International. Il incarne donc de façons multiples le lien existant entre le mouvement des droits civiques et la justice environnementale.</p>
<p>Ce mouvement a produit des effets législatifs dans les décennies suivantes. En février 1994, le président Bill Clinton signe l’<em>executive order 12898</em>, qui fait de la justice environnementale un objectif affiché des politiques publiques à l’échelon fédéral. Ce décret oblige l’État à lutter contre les inégalités environnementales partout où elles affectent les plus démunis et les minorités raciales. En 1995, l’Environmental Protection Agency (EPA), l’agence du gouvernement en charge des questions environnementales, publie une <em>Environmental justice strategy</em>. Celle-ci déclare qu’aucun groupe social ou ethnique ne doit supporter une part « disproportionnée » des nuisances écologiques, autrement dit que ces dernières doivent être réparties aussi équitablement que possible. Elle affirme aussi que tous les secteurs de la société doivent être parties prenantes de la mise en œuvre des politiques environnementales aux différents échelons de l’État<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Éloi L&lt;span class=petite_capitale style=font-variant:small-caps;&gt;AURENT&lt;/span&gt;, « Écologie et inégalités », &lt;em&gt;Revue de l’OFCE&lt;/em&gt;, vol. 109, nº 2, 2009.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Ces préconisations sont pour l’essentiel restées lettre morte. La législation en la matière tend à naturaliser les inégalités environnementales, à les présenter comme une conséquence inévitable du développement économique, dont il conviendrait seulement de répartir moins injustement l’impact. Le mouvement pour la justice environnementale, de son côté, adopte à l’égard de ces inégalités une attitude moins complaisante et plus radicale.</p></div><div class="section1" id="niv1-005"><h3>LA COULEUR DE L’ÉCOLOGIE</h3><p>Que le mouvement pour la justice environnementale soit à l’origine une émanation du mouvement des droits civiques s’explique bien sûr par la centralité de la question raciale au sein de ce dernier. Mais cela s’explique également par l’absence à peu près complète de prise en considération de cette dimension par les organisations environnementalistes américaines traditionnelles.</p>
<p>Au milieu des années 1980, la mairie de Los Angeles décide d’installer un incinérateur à déchets dans le quartier pauvre de South Central, à majorité noire et hispanique. Ce projet, affirment les autorités, contribuera au développement du quartier et générera des emplois. Un rapport sur l’impact environnemental de cet incinérateur prévoit cependant le rejet de substances toxiques (les dioxines en particulier, elles aussi cancérigènes), entraînant des conséquences sanitaires potentiellement graves pour les personnes qui vivent à proximité<a href="javascript:void(0);" class="note" onmouseover="return overlib('Sur les stratégies d’implantation d’industries polluantes des entreprises multinationales, voir Peter N&lt;span class=petite_capitale style=font-variant:small-caps;&gt;EWELL&lt;/span&gt;, « Race, class, and the global politics of environmental inequality », &lt;em&gt;Global Environmental Politics&lt;/em&gt;, vol. 5, nº 3, août 2005. Sur l’histoire des incinérateurs de déchets en France, voir Stéphane F&lt;span class=petite_capitale style=font-variant:small-caps;&gt;RIOUX &lt;/span&gt;et Isabelle R&lt;span class=petite_capitale style=font-variant:small-caps;&gt;OUSSEL&lt;/span&gt;, « L’incinération des déchets, bienfait sanitaire ? De l’ère hygiéniste à la crise de la dioxine (1890-1990) », &lt;em&gt;Environnement, Risques et Santé&lt;/em&gt;, vol. 11, nº 5, septembre-octobre 2012.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Comme dans le comté de Warren, les résidents du quartier se mobilisèrent pour faire échouer le projet. Afin de mettre sur pied une coalition, ils prirent contact avec des représentants des plus importantes organisations environnementales du pays. Aux États-Unis, celles-ci sont connues sous le nom de <em>Group of Ten </em>: le Sierra Club, la Audubon Society, la Wilderness Society, le WWF ou encore l’Environmental Defense Fund. Ces organisations se situent à mi-chemin entre le lobby et l’organisation de masse. Il s’agit pour certaines d’associations anciennes – le Sierra Club a par exemple été fondé en 1892 par John Muir (1838-1914), souvent présenté comme le père de l’environnementalisme américain –, qui ont connu un regain d’activité dans les années 1960 et 1970, sous la poussée du mouvement écologiste. Le Sierra Club compte à l’heure actuelle plus d’un million et demi de membres. Son objectif, comme l’indique sa feuille de mission, est « d’explorer, d’apprécier et de protéger les lieux sauvages (<em>wild places</em>) de la planète<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir le site du Sierra Club : &lt;www.sierraclub.org/&gt;. Sur l’histoire des sociétés de protection de la nature en France depuis le &lt;span class=petite_capitale style=font-variant:small-caps;&gt;XIX&lt;/span&gt;&lt;span class=exposant style=vertical-align:super;&gt;e&lt;/span&gt; siècle, voir par exemple Stephanie P&lt;span class=petite_capitale style=font-variant:small-caps;&gt;INCETL&lt;/span&gt;, « Some origins of French environmentalism. An exploration », &lt;em&gt;Forest &amp; Conservation History&lt;/em&gt;, nº 37, avril 1993.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a> ».</p>
<p>Ces associations refusèrent de se joindre à la coalition des résidents de South Central. L’installation d’un incinérateur en milieu urbain, répondirent-elles, n’est pas un problème « environnemental », mais un problème de « santé publique » (<em>community health issue </em>est l’expression anglaise utilisée<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Giovanna D&lt;span class=petite_capitale style=font-variant:small-caps;&gt;I &lt;/span&gt;C&lt;span class=petite_capitale style=font-variant:small-caps;&gt;HIRO&lt;/span&gt;, « Nature as community. The convergence of environment and social justice », &lt;em&gt;in &lt;/em&gt;William C&lt;span class=petite_capitale style=font-variant:small-caps;&gt;RONON &lt;/span&gt;(dir.), &lt;em&gt;Uncommon Ground. Rethinking the Human Place in Nature&lt;/em&gt;, WW Norton, New York, 1996, p. 299.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>). Non qu’elles aient été favorables à sa construction, mais s’y opposer n’entrait simplement pas dans leurs prérogatives. Cet épisode n’est pas le premier où les rapports de classe et de race frappent à la porte de l’environnementalisme états-unien <em>mainstream </em>et où celui-ci refuse de l’ouvrir. En 1972 déjà, sous la pression du mouvement des droits civiques et autres mouvements contestataires du moment, le Sierra Club mena une enquête parmi ses membres pour déterminer s’ils souhaitaient que l’association développe des politiques spécifiquement destinées aux pauvres et aux minorités. Deux tiers de ses membres répondirent par la négative<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Eileen Maura M&lt;span class=petite_capitale style=font-variant:small-caps;&gt;C&lt;/span&gt;G&lt;span class=petite_capitale style=font-variant:small-caps;&gt;URTY&lt;/span&gt;, « From NIMBY to civil rights. The origins of the environmental justice movement », &lt;em&gt;loc. cit.&lt;/em&gt;, p. 304.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. L’argument couramment avancé était que la nature est un bien universel, dont tout le monde peut jouir sans distinction. Mettre en œuvre des politiques spécifiques contredirait ce caractère « transcendant » du rapport de l’homme et de la nature.</p>
<p>À cette occasion, le Sierra Club procéda également à un recensement de ses membres. Il se révéla que l’écrasante majorité de ces derniers étaient blancs, de classes moyennes et supérieures. Les comités exécutifs des associations du <em>Group of Ten </em>ne comptaient à l’époque aucun représentant de minorités raciales. C’est ce que le sociologue noir Robert Bullard, l’un des intellectuels organiques du mouvement pour la justice environnementale et auteur du classique <em>Dumping in Dixie. Race, Class, and Environmental Quality</em>, appelle l’<em>élitisme environnemental </em>des mouvements écologistes dominants<a href="javascript:void(0);" class="note" onmouseover="return overlib('Robert D. B&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ULLARD&lt;/span&gt;, &lt;em&gt;Dumping in Dixie. Race, Class, and Environnemental Inequality&lt;/em&gt;, Westview Press, Boulder, 2000.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. La couleur de l’écologie n’est pas le vert, mais le blanc.</p>
<p>L’épisode de South Central est symptomatique à plusieurs égards. L’« environnement » passe pour être étranger aux rapports de force sociaux. C’est en réalité la plus politique des entités. Ce concept a fait l’objet de nombreuses généalogies au cours des années récentes, tour à tour catégorie scientifique, philosophique, administrative…<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir par exemple, pour la France, Florian C&lt;span class=petite_capitale style=font-variant:small-caps;&gt;HARVOLIN&lt;/span&gt;, &lt;em&gt;L’Invention de l’environnement en France. Chronique anthropologique d’une institutionnalisation&lt;/em&gt;, La Découverte, Paris, 2003.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Il revêt une signification différente selon le pays où l’on se trouve. Dans la mesure où l’environnement est construit par des politiques publiques, la forme État-nation influe sur ses contours. L’environnement est aussi un concept de classe qui, incluant certaines problématiques, en exclut par là même d’autres. Ainsi, pour l’environnementalisme états-unien dominant, les problèmes de santé publique suscités par l’installation d’un incinérateur dans un quartier populaire ne sont pas des problèmes environnementaux. Un problème environnemental digne de ce nom prend place, comme le suggère la feuille de mission du Sierra Club citée ci-dessus, dans la <em>wilderness</em>, dans la nature sauvage supposée intacte, détruite ou souillée par l’homme, que l’association se propose de rendre à sa pureté originelle. Cela exclut d’emblée de la catégorie des problèmes environnementaux les questions urbaines, la division ville/nature étant déterminante au sein du mouvement environnementaliste dans la plupart des pays occidentaux.</p>
<p>Or, aux États-Unis comme ailleurs, c’est dans les villes, en leur centre ou leurs périphéries, que se concentrent les catégories populaires et les minorités ethniques. La barrière qu’érigent les organisations du <em>Group of Ten </em>entre la nature et le social est aussi une barrière entre le rural et l’urbain. Ce qui relève de l’un ne saurait relever de l’autre. Ce que cherche au contraire à faire le mouvement pour la justice environnementale, c’est abattre cette barrière. Il s’agit d’un mouvement résolument enraciné en contexte urbain. L’expression d’« écopopulisme » – populisme au sens originel de mouvement populaire antiélitiste qui s’appuie sur une représentation du passé pour critiquer le présent – est parfois utilisée à propos de ce courant<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Andrew S&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ZASZ&lt;/span&gt;, &lt;em&gt;Ecopopulism. Toxic Waste and the Movement for Environ-mental Justice&lt;/em&gt;, University of Minnesota Press, Minneapolis, 1994.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Le populisme historique, en Russie ou aux États-Unis, a une composante agraire très marquée. L’expression d’« écopopulisme » ne convient par conséquent qu’à condition d’insister sur la dimension urbaine du mouvement pour la justice environnementale. Une plaisanterie en vigueur dans ce mouvement affirme que les Noirs constituent eux aussi une « espèce en voie de disparition », au même titre que les dauphins ou le pygargue à tête blanche (l’aigle emblématique des États-Unis). Cette plaisanterie détourne un énoncé central dans le mouvement écologiste pour attirer l’attention sur le lien entre les questions raciale et environnementale.</p></div><div class="section1" id="niv1-006"><h3>L’OURAGAN KATRINA COMME « MÉTAPHORE » DU RACISME ENVIRONNEMENTAL</h3><p>Un événement a servi de révélateur ou de « métaphore » du racisme environnemental : l’ouragan Katrina, survenu en août 2005. Cet épisode a concentré dans un espace-temps limité l’ensemble des paramètres raciaux et environnementaux évoqués jusqu’ici.</p>
<p>L’ouragan Katrina a inondé près de 80 % du territoire de La Nouvelle-Orléans, la hauteur de l’eau atteignant parfois plus de 7,5 mètres. Une bonne partie de la ville est située en dessous du niveau de la mer, le développement immobilier ayant compromis les zones humides (<em>wetlands</em>) qui bordent la côte et qui constituaient une zone tampon entre la ville et l’océan. Le bilan humain de Katrina est de 2 000 morts confirmées. Le plus probable cependant est qu’il soit bien supérieur. Plus d’un million de personnes ont fui dans les États voisins de la Louisiane. Une partie de cette migration est définitive : un tiers de ces personnes n’est pas revenu à La Nouvelle-Orléans<a href="javascript:void(0);" class="note" onmouseover="return overlib('François G&lt;span class=petite_capitale style=font-variant:small-caps;&gt;EMENNE&lt;/span&gt;, &lt;em&gt;Géopolitique du changement climatique&lt;/em&gt;, Armand Colin, Paris, 2009, p. 73-74. Voir aussi Romain H&lt;span class=petite_capitale style=font-variant:small-caps;&gt;URET&lt;/span&gt;, &lt;em&gt;Katrina, 2005. L’ouragan, l’État et les pauvres aux États-Unis&lt;/em&gt;, Éditions de l’EHESS, Paris, 2010.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Dans les jours et semaines qui ont suivi, des pillages ont eu lieu, conduisant la Garde nationale, forte de 65 000 soldats, à prendre possession des lieux<a href="javascript:void(0);" class="note" onmouseover="return overlib('Harald W&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ELZER&lt;/span&gt;, &lt;em&gt;Les Guerres du climat&lt;/em&gt;. &lt;em&gt;Pourquoi on tue au &lt;span class=petite_capitale style=font-variant:small-caps;&gt;XXI&lt;/span&gt;&lt;span class=exposant style=vertical-align:super;&gt;e&lt;/span&gt; siècle&lt;/em&gt;, Gallimard, Paris, 2009, p. 41-42.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Katrina a donné l’occasion aux autorités de la ville et de l’État d’accélérer sa gentrification, c’est-à-dire d’expulser les populations pauvres et les minorités des quartiers du centre. Un cas de « stratégie du choc » – au sens de Naomi Klein – s’il en est<a href="javascript:void(0);" class="note" onmouseover="return overlib('Naomi K&lt;span class=petite_capitale style=font-variant:small-caps;&gt;LEIN&lt;/span&gt;, &lt;em&gt;La Stratégie du choc. La montée d’un capitalisme du désastre&lt;/em&gt;, Actes Sud, Paris, 2010.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>.</p>
<p>Qui furent les victimes de l’ouragan Katrina ? La réponse à cette question donne la clé du rapport entre les inégalités sociales et les catastrophes naturelles, aux États-Unis mais aussi plus généralement. Parvenir à mettre sur pied des séries statistiques solides et significatives relève en l’espèce de l’exploit scientifique, tant les informations sont lacunaires ou difficiles à obtenir auprès des autorités compétentes. La première saison de la série télévisée <em>Treme </em>met en scène un personnage féminin – dénommé LaDonna Batiste-Williams – qui cherche à savoir ce qui est advenu de son frère au moment de la catastrophe. Est-il mort, en prison, a-t-il changé de ville ? <em>Treme </em>est une série réaliste, tout comme <em>The Wire</em>, conçue par le même scénariste. Le parcours de combattante de ce personnage pour retrouver un proche correspond à ce qu’ont vécu nombre de familles après la catastrophe.</p>
<p>Les données disponibles montrent que deux catégories de la population sont surreprésentées parmi les victimes : les personnes âgées et les Noirs, dans cet ordre<a href="javascript:void(0);" class="note" onmouseover="return overlib('Patrick S&lt;span class=petite_capitale style=font-variant:small-caps;&gt;HARKEY&lt;/span&gt;, « Survival and death in New Orleans. An empirical look at the human impact of Katrina », &lt;em&gt;Journal of Black Studies&lt;/em&gt;, vol. 37, nº 4, 2007.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Les personnes âgées sont les premières victimes de ce type d’événement, dans les pays industrialisés à tout le moins. C’est un constat que nous ferons également en évoquant le bilan de la canicule de 2003 en Europe. La mobilité des personnes âgées est par définition réduite, leur santé plus fragile et leur isolement plus grand. De surcroît, du fait de cette fragilité, la première réaction des personnes âgées lorsque survient une catastrophe consiste à s’enfermer chez elles, ce qui se révèle souvent fatal.</p>
<p>Qu’est-ce qui explique la surreprésentation des Noirs parmi les victimes ? Ceux-ci sont nombreux non seulement parmi les morts, mais aussi parmi les personnes disparues. Selon les statistiques disponibles, La Nouvelle-Orléans comptait 68 % de Noirs à la veille de l’ouragan et 84 % des personnes disparues sont noires<a href="javascript:void(0);" class="note" onmouseover="return overlib('&lt;em&gt;Ibid.&lt;/em&gt;, p. 490.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Les quartiers les plus durement touchés sont les plus ségrégués au plan racial. Les quartiers noirs sont souvent situés dans les zones immédiatement inondables. Les classes dominantes, en revanche, ont pour habitude de s’installer sur les hauteurs des villes. Katrina n’est pas la première inondation qu’a connue La Nouvelle-Orléans. Il y a une mémoire collective des catastrophes, qui se traduit spatialement par une répartition particulière des classes sociales, qui y expose certaines d’entre elles et en protège d’autres. Les Noirs ont par ailleurs été moins fréquemment secourus et moins vite lorsqu’ils l’ont été. Ils ont en revanche été plus souvent pris pour cible par la Garde nationale lors des opérations de « pacification » de la ville. Le facteur race est en outre étroitement lié au facteur classe. Or les pauvres ont une propension moindre à posséder une voiture, ce qui rend la fuite plus difficile en cas de catastrophe.</p>
<p>Un événement comme Katrina a des effets immédiats, mais aussi des conséquences de plus long terme, dont pâtissent ceux qui sont restés sur place. L’ouragan a généré 80 millions de mètres cubes de débris en tout genre, du plus organique au plus artificiel, soit dix fois plus que les attentats du 11 septembre 2001<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Robert D. B&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ULLARD &lt;/span&gt;&lt;em&gt;et al.&lt;/em&gt;, &lt;em&gt;Toxic Waste and Race at Twenty, 1987-2007&lt;/em&gt;, United Church of Christ, Cleveland, mars 2007.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. À ces débris s’ajoutent 350 000 voitures et 60 000 bateaux emportés par les flots, dont les matériels électroniques et les carburants se sont déversés dans les eaux. Plus de 50 000 tonnes de déchets toxiques provenant des usines des alentours complètent ce tableau. Tout cela a donné lieu à une contamination durable des sols, dont les conséquences sanitaires se font ressentir sur les habitants. <em>Katrina salad </em>est le nom donné par ces derniers aux légumes provenant des jardins communautaires de la ville, cultivés par les classes populaires, une expression qui ironise sur les substances toxiques qu’ils contiennent<a href="javascript:void(0);" class="note" onmouseover="return overlib('&lt;em&gt;Ibid.&lt;/em&gt;, p. 131.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>.</p></div><div class="section1" id="niv1-007"><h3>LA SPATIALITÉ DU RACISME</h3><p>La notion de racisme environnemental permet de prendre conscience des inégalités qui affectent le rapport des groupes sociaux à l’environnement. Elle permet toutefois également de progresser dans la compréhension de ce qu’est le racisme. Le racisme n’est pas une simple question d’opinion ou d’intention raciste, même s’il est aussi cela. À l’époque moderne, il a une dimension systémique. Cela signifie qu’indépendamment de ce qu’elles pensent, certaines catégories d’individus tirent – involontairement – avantage de la logique raciste, du fait qu’elles sont du « bon » côté des discriminations et que d’autres en pâtissent. Cette dimension systémique du racisme se décline elle-même de plusieurs façons. Dans le cas qui nous occupe, elle s’exprime par le fait que le racisme a une <em>spatialité</em>, qu’il se déploie dans l’espace. Comme le dit Laura Pulido, la plus sophistiquée des théoriciennes du racisme environnemental, il y a une « sédimentation spatiale des inégalités raciales<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Laura P&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ULIDO&lt;/span&gt;, « Rethinking environmental racism. White privilege and urban development in Southern California », &lt;em&gt;Annals of the Association of American Geographers&lt;/em&gt;, vol. 90, nº 1, 2000, p. 16.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a> ». Qu’il soit rural ou urbain, l’espace se structure d’après des lignes de fracture raciales. La métaphore géologique de la « sédimentation » implique qu’il s’agit d’un processus qui s’inscrit dans la longue durée, qui conduit à la rigidification de « couches » socio-spatiales différenciées. L’espace en question est à la fois social et naturel, les ressources naturelles étant comme on l’a vu happées par la logique du capital.</p>
<p>Le racisme est un phénomène « multiscalaire », qui se déploie à plusieurs échelles : celle de l’individu et de son idéologie, celle du marché et de sa logique d’allocation des biens, celle de l’État et des politiques publiques qu’il met en œuvre, par exemple en matière de gestion des déchets toxiques, celle enfin des relations internationales et de l’impérialisme. Ces échelles ne cessent d’interagir et de s’entrechoquer les unes contre les autres. Plus on passe du niveau microsocial au niveau macrosocial, plus les forces à l’œuvre sont abstraites<a href="javascript:void(0);" class="note" onmouseover="return overlib('Au sens de l’« abstraction réelle » des marxistes que nous introduirons au chapitre &lt;span class=petite_capitale style=font-variant:small-caps;&gt;II &lt;/span&gt;(voir p. 108-113).', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>, plus elles s’éloignent de l’intentionnalité des individus – sans pour autant cesser d’être racistes.</p>
<p>Imaginons une entreprise polluante qui s’installe près d’un quartier noir aux États-Unis, ou d’une cité en banlieue d’une grande ville française où vit une majorité d’immigrés et de descendants d’immigrés. La décision de l’entreprise de s’installer à cet endroit est motivée, par hypothèse, par un seul critère : le prix du foncier, qui défie toute concurrence à cet endroit. C’est donc un choix « rationnel », au sens de l’économie néoclassique (de la théorie dite du « choix rationnel »). S’agit-il d’une décision raciste ? Pas si le critère retenu est l’intention, puisque la seule intention de l’entreprise est de minimiser ses coûts.</p>
<p>Le problème est que le prix du foncier à cet endroit est étroitement corrélé à la « sédimentation spatiale des inégalités raciales » évoquée par Laura Pulido. S’il défie toute concurrence, c’est du fait de la proximité de populations ségréguées et des significations sociales négatives attachées à ces populations et aux quartiers où elles vivent. Ces significations ont elles-mêmes pu donner lieu à des infrastructures et des services publics plus ou moins défaillants. Le marché, en ce sens, est un mécanisme d’allocation tout sauf neutre. Le processus de formation des prix de l’immobilier internalise non seulement les pollutions, mais aussi la logique raciste. C’est pourquoi en matière de compréhension du racisme, s’intéresser aux opinions et aux intentions ne suffit pas. Un point de vue systémique est requis, car il est seul à même d’appréhender la dimension multiscalaire du phénomène.</p>
<p>La variable raciale n’est naturellement pas isolée, elle se mêle à d’autres, et principalement à la variable de classe. C’est ce qui apparaît lorsque l’on compare le racisme environnemental dont sont victimes les Noirs et les Latinos à Los Angeles<a href="javascript:void(0);" class="note" onmouseover="return overlib('&lt;em&gt;Ibid.&lt;/em&gt;, p.31.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Ces deux catégories de la population sont surexposées au risque industriel, pollutions et déchets toxiques notamment, et à des conditions environnementales dégradées. Mais pas pour les mêmes raisons. À Los Angeles, les Latinos constituent historiquement une main-d’œuvre bon marché. L’histoire des vagues migratoires en provenance d’Amérique latine est indissociable de l’histoire industrielle de la région. Les Latinos ont toujours vécu près des zones industrielles et ils ont été massivement embauchés dans les industries, légalement ou illégalement. S’ils ont été et sont encore victimes du risque industriel, c’est donc principalement en vertu de leur place dans le processus de production, dans la division raciale du travail qui les situe tout en bas de la hiérarchie salariale.</p>
<p>Les Noirs n’exercent pas historiquement la même fonction de main-d’œuvre bon marché dans l’histoire industrielle de la ville. Plus exactement, ils l’exercent mais de façon plus intermittente. De fait, ils vivent souvent dans des quartiers désindustrialisés, dont certains sont des ghettos sans vitalité industrielle. S’ils sont victimes de racisme environnemental, c’est parce que ces quartiers attirent des installations polluantes, typiquement des incinérateurs à déchets. C’est donc moins du fait de leur place dans la division raciale du travail, contrairement aux Latinos, que du fait de vivre dans des quartiers massivement ségrégués. En conséquence, le facteur classe – au sens de la position dans la stratification sociale – joue un rôle plus important dans le cas des Latinos. Le facteur race exerce à l’inverse une fonction déterminante dans celui des Noirs, même si les deux sont importants dans les deux cas. La race est susceptible de produire de la différenciation à l’intérieur d’une position de classe et, inversement, la classe de produire de la différenciation à l’intérieur d’une même appartenance ethnoraciale<a href="javascript:void(0);" class="note" onmouseover="return overlib('Pour une variante de cet argument, voir Ellen M&lt;span class=petite_capitale style=font-variant:small-caps;&gt;EIKSINS &lt;/span&gt;W&lt;span class=petite_capitale style=font-variant:small-caps;&gt;OOD&lt;/span&gt;, « Class, race, and capitalism », &lt;em&gt;in &lt;/em&gt;Diane E. D&lt;span class=petite_capitale style=font-variant:small-caps;&gt;AVIS &lt;/span&gt;(dir.), &lt;em&gt;Political Power and Social Theory&lt;/em&gt;, Emerald, Londres, 2002.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Il est intéressant de constater à cet égard que les ouvriers blancs ont depuis longtemps quitté les quartiers en question, à savoir le barrio latino et le ghetto noir, pour s’installer dans des endroits moins exposés aux risques industriels. Cela montre que la classe sociale, dans le cas de Los Angeles, n’explique pas à elle seule les inégalités environnementales.</p>
<p>Une segmentation spatiale-raciale du marché du travail s’observe également en France<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Mirna S&lt;span class=petite_capitale style=font-variant:small-caps;&gt;AFI&lt;/span&gt;, &lt;em&gt;Les Inégalités ethno-raciales&lt;/em&gt;, La Découverte, « Repères », Paris, 2013, chap. 3.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. L’appartenance ethnoraciale et les modalités d’occupation de l’espace (la ségrégation spatiale) interagissent de façon à déboucher sur des taux de chômage, des écarts de salaire, des trajectoires professionnelles, ou encore des conditions de travail très différents selon que l’on appartient à la « population majoritaire » ou à l’immigration maghrébine, africaine ou turque, ou que l’on est descendant d’immigrés. Ces inégalités spatiales-raciales ne diminuent d’ailleurs guère avec le temps. On constate ainsi que depuis 1975 l’écart de taux de chômage a augmenté entre « natifs » et immigrés en France et que l’intersection de variables raciales, spatiales et de classe permet à bien des égards d’en rendre raison.</p></div><div class="section1" id="niv1-008"><h3>SATURNISME ET LUTTE DES CLASSES</h3><p>Le racisme environnemental n’est pas un phénomène uniquement états-unien, tant s’en faut. Sa logique se déploie, sous des formes diverses, aux quatre coins de la planète. Il en existe une expression, par exemple, en Grande-Bretagne, qui épouse les contours de l’histoire nationale : le <em>racisme rural</em><a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Neil C&lt;span class=petite_capitale style=font-variant:small-caps;&gt;HAKRABORTI &lt;/span&gt;et Jon G&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ARLAND &lt;/span&gt;(dir.), &lt;em&gt;Rural Racism&lt;/em&gt;, Routledge, Londres, 2012. Sur cette question, voir aussi Raymond W&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ILLIAMS&lt;/span&gt;, &lt;em&gt;The Country and the City&lt;/em&gt;, Oxford University Press, Oxford, 1975.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Historiquement, le <em>countryside </em>est un élément déterminant dans la construction de l’identité des classes dominantes anglaises, dans l’expérience de l’<em>Englishness</em>. La <em>gentry</em>, c’est-à-dire l’aristocratie terrienne, s’est construite dans un certain rapport à la nature. Qu’elle soit si fortement identifiée à la propriété terrienne, sur le plan économique aussi bien que culturel, s’explique en partie par ce fait. Les classes populaires, mais aussi les peuples de l’empire devenus minorités ethnoraciales, sont exclus de ce rapport privilégié, une situation qui se perpétue jusqu’à ce jour<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Robert D. B&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ULLARD &lt;/span&gt;&lt;em&gt;et al.&lt;/em&gt;, &lt;em&gt;Toxic Waste and Race at Twenty, 1987-2007&lt;/em&gt;, &lt;em&gt;op. cit.&lt;/em&gt;, p. 109.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. C’est pourquoi, depuis les années 1980, des organisations britanniques proches du mouvement pour la justice environnementale telles que le Black Environmental Network organisent des voyages dans le <em>countryside </em>pour ces minorités<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir le site &lt;www.ben-network.co.uk/&gt;.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. C’est l’occasion pour ces dernières de se familiariser avec une nature à laquelle elles sont habituellement étrangères et de rompre ainsi le lien exclusif qu’entretiennent les classes supérieures avec elle. C’est également l’occasion de s’adonner à des activités comme le « jardinage culturel », qui permet à des personnes originaires d’un pays de cultiver des plantes qui en proviennent et ainsi, <em>via </em>la nature, de renouer avec lui.</p>
<p>Des inégalités de ce type sont également à l’œuvre en France, même si les enquêtes qui les concernent sont nettement moins nombreuses et la connaissance donc plus lacunaire que dans le monde anglo-saxon. L’Île-de-France, par exemple, est de part en part traversée par des inégalités écologiques. Soit une série de variables environnementales, divisées en « ressources » environnementales : cours et plans d’eau, espaces verts, espaces classés, forêts…, et en « handicaps » environnementaux : taux de dioxyde d’azote (NO<span class="petite_capitale" style="font-variant:small-caps;">2</span>), pollution, zones inondables, usines classées Seveso, bruit routier, ferroviaire, aéroportuaire<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Guillaume F&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ABUREL &lt;/span&gt;et Sandrine G&lt;span class=petite_capitale style=font-variant:small-caps;&gt;UEYMARD&lt;/span&gt;, « Inégalités environnementales en région Île-de-France : le rôle structurant des facteurs négatifs de l’environnement et des choix politiques afférents », &lt;em&gt;Espaces, populations, sociétés&lt;/em&gt;, nº 1, 2008.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>… Soit par ailleurs cinq variables sociologiques caractéristiques des communes d’Île-de-France : proportion de cadres et professions intermédiaires et supérieures, revenu communal par habitant, taux de chômage, pourcentage de locataires et pourcentage de logements sociaux. Cette seconde série de variables permet de déterminer la richesse relative d’un territoire et de ses habitants.</p>
<p>Qu’arrive-t-il lorsque ces deux ensembles de variables sont superposés ? Lorsque la carte des ressources et handicaps environnementaux rencontre celle du niveau social ? La séparation géographique traditionnellement observée entre, d’un côté, quartiers de l’Ouest parisien plutôt riches et, de l’autre, quartiers de l’Est moins bien lotis inclut clairement une dimension environnementale. Les communes les moins favorisées au plan écologique sont principalement situées dans le Nord et l’Est parisiens, en Seine-Saint-Denis, dans le nord des Hauts-de-Seine, au sud-est du Val-d’Oise et dans la région de l’aéroport de Roissy. Les plus favorisées se trouvent quant à elle à l’ouest et au sud de la région. Ainsi, « 45,5 % des communes appartenant à l’ensemble de bonne qualité environnementale sont des communes qui présentent le profil socio-urbain le plus élevé en Île-de-France […]. Près de 50 % des communes de l’ensemble environnemental de mauvaise qualité sont des communes appartenant à l’ensemble socio-urbain le plus défavorisé<a href="javascript:void(0);" class="note" onmouseover="return overlib('&lt;em&gt;Ibid.&lt;/em&gt;, p. 165.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a> ». La présence de Zones urbaines sensibles (ZUS) sur le territoire d’une commune tend de surcroît à faire diminuer statistiquement la qualité de son environnement.</p>
<p>À y regarder de près, la situation est cependant plus complexe. Des aménités – par exemple un parc départemental ou un lac – peuvent exister non loin de quartiers populaires et, à l’inverse, des communes relativement riches pâtir de la présence d’une zone inondable ou du bruit d’un aéroport. Une analyse plus fine des variables environnementales prises en considération est par conséquent requise. Cette analyse permet de saisir un aspect déterminant de la logique des inégalités environnementales dans cette région. Quatre principales variables sous-tendent les inégalités environnementales entre régions de l’Île-de-France : les espaces classés, le risque industriel Seveso, le bruit d’origine ferroviaire et le bruit aéroportuaire. Ce sont ces facteurs qui expliquent la division entre quartiers favorisés et défavorisés au plan environnemental. Les autres variables sont impliquées également, mais dans une moindre mesure. Or trois de ces quatre variables relèvent de la catégorie des handicaps, les espaces classés (à savoir les sites et monuments historiques, le patrimoine architectural ou paysager, etc.) étant l’exception. Un quartier situé du « bon » côté des inégalités environnementales ne se caractérise donc pas tant par la possession de ressources écologiques particulières que par l’absence de handicap environnemental. Dans ce cas, les inégalités environnementales sont donc le résultat d’un processus « négatif ».</p>
<p>Les inégalités environnementales en Île-de-France comportent une dimension raciale<a href="javascript:void(0);" class="note" onmouseover="return overlib('Pour une vue d’ensemble concernant la dimension spatiale des inégalités ethno-raciales en France, voir Mirna S&lt;span class=petite_capitale style=font-variant:small-caps;&gt;AFI&lt;/span&gt;, &lt;em&gt;Les Inégalités ethno-raciales&lt;/em&gt;, &lt;em&gt;op. cit.&lt;/em&gt;, chap. 4.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Celle-ci se manifeste par exemple dans le cas du saturnisme, une maladie ancienne qui refait toutefois son apparition à Paris dans les années 1980<a href="javascript:void(0);" class="note" onmouseover="return overlib('Anne-Jeanne N&lt;span class=petite_capitale style=font-variant:small-caps;&gt;AUDÉ&lt;/span&gt;, « Le saturnisme, une maladie sociale de l’immigration », &lt;em&gt;Hommes et migrations&lt;/em&gt;, nº 1225, mai-juin 2000, p. 13. Voir aussi &lt;em&gt;Bulletin épidémiologique hebdomadaire&lt;/em&gt;, 13 janvier 1992.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Le saturnisme ne resurgit pas n’importe où. On l’observe principalement dans l’habitat ancien dégradé, du type de celui que l’on trouve dans les quartiers populaires de la ville. Les catégories de la population affectées par ce mal sont celles qui résident dans ces immeubles : principalement à cette époque des immigrés africains subsahariens. Une enquête menée en 2002 pour le compte de la mairie de Paris recense plus d’un millier d’immeubles insalubres dans la capitale<a href="javascript:void(0);" class="note" onmouseover="return overlib('Pascale D&lt;span class=petite_capitale style=font-variant:small-caps;&gt;IETRICH&lt;/span&gt;-R&lt;span class=petite_capitale style=font-variant:small-caps;&gt;AGON&lt;/span&gt;, « Le logement insalubre », &lt;em&gt;Esprit&lt;/em&gt;, janvier 2012, p. 67. Pour une histoire sociale des taudis en France, voir Roger-Henri G&lt;span class=petite_capitale style=font-variant:small-caps;&gt;UERRAND&lt;/span&gt;, « Histoire des taudis », &lt;em&gt;in &lt;/em&gt;Serge P&lt;span class=petite_capitale style=font-variant:small-caps;&gt;AUGAM &lt;/span&gt;(dir.), &lt;em&gt;L’Exclusion, l’état des savoirs&lt;/em&gt;, La Découverte, Paris, 1996.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. 80 % de personnes qui y habitent sont des immigrés, dont un tiers de sans papiers. Il s’agit d’une population très pauvre, le revenu mensuel de 40 % de ces personnes étant de moins de 300 euros.</p>
<p>C’est surtout le saturnisme infantile qui réapparaît dans les années 1980. Il provoque chez l’enfant en bas âge des troubles neurologiques, ainsi que des anomalies du développement. Sa cause est l’intoxication des enfants par le plomb. Les peintures employées dans les immeubles contenaient du plomb jusqu’au milieu du <span class="petite_capitale" style="font-variant:small-caps;">XX</span><span class="exposant" style="vertical-align:super;">e</span> siècle, avant que son usage soit interdit. Dans les bâtiments qui n’ont pas été rénovés depuis lors, le plomb s’y trouve toujours. C’est l’absorption des écailles et des poussières de peinture qui provoque le saturnisme. L’air que l’on respire, on le voit, a une teneur éminemment politique. Sa qualité est d’autant plus mauvaise que l’on se situe au bas de l’échelle des inégalités. L’insalubrité de ces immeubles suscite également d’autres pathologies : allergies, affections respiratoires ou dermatologiques, etc. Il y a donc de toute évidence une géographie sociale et raciale de l’épidémie, qui suit les contours des quartiers populaires et des populations les plus précaires.</p>
<p>La reconnaissance de cette géographie a été lente. Qu’elle concerne principalement des populations subsahariennes a donné lieu, dans un premier temps, à des explications « culturalistes » de la part des médias et des autorités. Le plomb se trouve dans les objets africains qui ornent ces logements, a-t-on par exemple entendu, ou encore la structure des familles africaines concernées – famille nombreuse, polygamie, etc. – conduit les enfants à être livrés à eux-mêmes. L’épidémiologie comparative a battu ces allégations en brèche. Si en France les Africains subsahariens sont affectés par ce mal, en Grande-Bretagne il s’agit des enfants d’origine indienne ou pakistanaise et aux États-Unis des enfants noirs<a href="javascript:void(0);" class="note" onmouseover="return overlib('Anne-Jeanne N&lt;span class=petite_capitale style=font-variant:small-caps;&gt;AUDÉ&lt;/span&gt;, « Le saturnisme, une maladie sociale de l’immigration », &lt;em&gt;loc. cit.&lt;/em&gt;, p. 17. Concernant les États-Unis, voir aussi Helen E&lt;span class=petite_capitale style=font-variant:small-caps;&gt;PSTEIN&lt;/span&gt;, « Lead poisoning. The ignored scandal », &lt;em&gt;New York Review of Books&lt;/em&gt;, 21 mars 2013.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Conclusion : la culture n’y est pour rien, le statut de minorité immigrée, la ségrégation spatiale et la position de classe y sont pour tout.</p>
<p>Selon les régions considérées, les immigrés ne sont au demeurant pas les seules victimes du saturnisme. Située dans le Nord-Pas-de-Calais, l’usine Metaleurop Nord – mise en liquidation en 2003 – produit du plomb et du zinc depuis 1894<a href="javascript:void(0);" class="note" onmouseover="return overlib('Institut français de l’environnement (IFEN), &lt;em&gt;Les Synthèses&lt;/em&gt;, édition 2006, disponible à l’adresse : &lt;http://elgateado.free.fr/mesdocuments/cours/terrain/FEN2006_Les%20inegalites%20environnemntales.pdf&gt;.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Cela a conduit depuis lors au rejet dans l’atmosphère d’importantes quantités de substances toxiques : plomb, cadmium, zinc, hydroxyde de soufre… Une série d’études menées dans la région démontrent que 10 % des enfants de la région présentent une plombémie supérieure à la norme. Trente-six salariés de l’usine Metaleurop sont victimes de saturnisme à la fin des années 1990. Le marché de l’immobilier a internalisé cette pollution, selon la même logique que celle décrite ci-dessus. Dans cette région, on constate en effet que l’immobilier perd 20 % de sa valeur lorsque la teneur en plomb des sols dans une zone d’habitation dépasse le seuil de 1 000 ppm (parties par million), et 6 % lorsque cette teneur se situe entre 500 et 1 000 ppm<a href="javascript:void(0);" class="note" onmouseover="return overlib('&lt;em&gt;Ibid.&lt;/em&gt;, p. 423. Voir aussi Gwénael L&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ETOMBE &lt;/span&gt;et Bernard Z&lt;span class=petite_capitale style=font-variant:small-caps;&gt;UINDEAU&lt;/span&gt;, « Gestion des externalités environnementales dans le bassin minier du Nord-Pas-de-Calais : une approche en termes de proximité », &lt;em&gt;Développement durable et territoire&lt;/em&gt;, nº 7, 2006.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Pollution et formation des prix tendent donc à interagir.</p></div><div class="section1" id="niv1-009"><h3>POSTCOLONIALISME ET CRISE ENVIRONNEMENTALE : LE CONFLIT AU DARFOUR</h3><p>C’est sans doute en contexte postcolonial que les inégalités écologiques en général, et le racisme environnemental en particulier, revêtent leurs formes les plus aiguës aujourd’hui. Dans une tribune parue en juin 2007 dans le <em>Washington Post</em>, le secrétaire général des Nations unies Ban Ki-moon affirme que le conflit au Darfour est lié à des paramètres climatiques : « Ce n’est pas un hasard, déclare-t-il, si les violences ont commencé en période de sécheresse<a href="javascript:void(0);" class="note" onmouseover="return overlib('Tribune disponible à l’adresse : &lt;www.washingtonpost.com/wp-dyn/content/article/2007/06/15/AR2007061501857.html&gt;.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. » Comme tous les conflits postcoloniaux, la guerre au Darfour est la résultante de plusieurs facteurs enchevêtrés. Mais sur ce point au moins Ban Ki-moon a raison : l’écologie du conflit est déterminante pour en comprendre le déclenchement et le déroulement. Plus précisément, le point de vue de l’écologie politique est le plus adapté pour cerner la dynamique des facteurs en question.</p>
<p>Au cours des années récentes, la guerre du Darfour a fait l’objet d’une campagne de sensibilisation dont peu de conflits africains ont bénéficié. Une coalition internationale regroupant des dizaines d’organisations et Églises, dénommée Save Darfur<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir le site &lt;www.savedarfur.org/&gt;.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>, milite depuis 2004 pour l’arrêt du « génocide » et en faveur d’une intervention de la communauté internationale. Cofondée par des personnalités comme Elie Wiesel ou l’inénarrable George Clooney, cette coalition compte parmi les soutiens de sa branche française Bernard-Henri Lévy, Patrick Poivre d’Arvor ou encore Ber-nard Kouchner. Ce conflit est le plus souvent présenté comme opposant des « Arabes » à des « Africains ». Les premiers, venus du nord ou de l’extérieur du pays, seraient musulmans et commettraient l’essentiel des exactions. Les « Africains » seraient au contraire des natifs de cette région de l’ouest du Soudan, qui occupe approximativement un cinquième de sa superficie. La ligne de partage entre ces deux groupes est donc essentiellement perçue comme ethnique et religieuse.</p>
<p>La réalité ne saurait en l’espèce diverger davantage de sa représentation médiatique. La plupart des protagonistes de ce conflit sont musulmans et tous ont la même couleur de peau<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Alex D&lt;span class=petite_capitale style=font-variant:small-caps;&gt;E &lt;/span&gt;W&lt;span class=petite_capitale style=font-variant:small-caps;&gt;AAL&lt;/span&gt;, « Counter-insurgency on the cheap », &lt;em&gt;London Review of Books&lt;/em&gt;, vol. 26, nº 15, août 2004.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Plus précisément, il est impossible de distinguer deux « ethnies » sur la base de ces critères. Il y a seulement vingt ans, l’idée même d’« Arabes » et d’« Africains » aurait été incompréhensible pour les habitants du Darfour. La perception de ce conflit depuis son éclosion en 2003 – aggravation serait plus exact, puisque des conflits ont eu lieu avant cette date, notamment entre 1987 et 1989 – est largement surdéterminée, dans les pays occidentaux, par la « guerre globale contre le terrorisme » en cours depuis les attentats du 11 septembre 2001<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Mahmood M&lt;span class=petite_capitale style=font-variant:small-caps;&gt;AMDANI&lt;/span&gt;, &lt;em&gt;Saviours and Suvivors. Darfur, Politics, and the War on Terror&lt;/em&gt;, Verso, Londres, 2009.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. La guerre contre le terrorisme impose à tous les conflits de la région une grille de lecture fondée sur des catégories telles que « musulmans », « arabes », « islamistes », « terroristes », etc. Tenu pour responsable de la situation, le gouvernement de Khartoum est un ennemi désigné de Washington dans cette guerre globale. Le président Omar el-Béchir porte une responsabilité évidente dans les massacres, en particulier dans l’armement des milices janjawids. Pour autant, ce conflit résiste à la grille de lecture en question. Tous les Janjawids ne sont d’ailleurs pas « arabes », et tous les « Arabes » sont loin d’appartenir à ces milices<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Florence B&lt;span class=petite_capitale style=font-variant:small-caps;&gt;RISSET&lt;/span&gt;-F&lt;span class=petite_capitale style=font-variant:small-caps;&gt;OUCAULT&lt;/span&gt;, « Darfour, généalogies d’un conflit. Entretien avec Jérôme Tubiana », &lt;em&gt;Mouvements&lt;/em&gt;, novembre 2007.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>.</p>
<p>Le Darfour est composé de clans divers. Certains sont nomades, d’autres sédentaires, cette distinction étant cruciale pour comprendre la structure sociale de la région. Pendant longtemps, la cohabitation entre nomades et sédentaires s’est faite sans heurts majeurs. Les fermiers sédentaires du clan Four – Darfour signifie « maison des Four » en arabe, les Four étant la principale ethnie de la région – autorisant les nomades, ceux de la tribu Baggara en particulier, à paître sur leurs terres. À partir des années 1970, une série de phénomènes climatiques extrêmes bouleverse cependant les arrangements existants. Le Sahel est alors victime de terribles sécheresses, entre 1982 et 1985 en particulier. La déforestation s’accélère : 600 000 hectares de forêts sont perdus chaque année de 1990 à 2000<a href="javascript:void(0);" class="note" onmouseover="return overlib('Younes A&lt;span class=petite_capitale style=font-variant:small-caps;&gt;BOUYOUB&lt;/span&gt;, « Climate : the forgotten culprit. The ecological dimension of the Darfur conflict », &lt;em&gt;Race, Gender, and Class&lt;/em&gt;, vol. 19, nº 1-2, 2012, p. 161.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. La désertification, l’érosion des sols, une pluviométrie en baisse conduisent au déclin de la production agricole. En même temps que l’eau se raréfie, la population du Darfour augmente. Elle passe de 1,1 million d’habitants en 1956 à 7,5 millions en 2008<a href="javascript:void(0);" class="note" onmouseover="return overlib('&lt;em&gt;Ibid.&lt;/em&gt;, p. 164.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>.</p>
<p>Ces phénomènes climatiques forcent les groupes en présence à s’adapter, dans un contexte de raréfaction croissante des ressources. Les pâturages ou forêts accessibles aux nomades se réduisent, ce d’autant plus que les fermiers, eux-mêmes sous pression, rechignent désormais à leur donner accès à leurs propriétés. Cela les conduit à se sédentariser. Les tensions se multiplient autour de terres toujours moins productives. On comprend la suite. Des facteurs extra-environnementaux entraînent la radicalisation du conflit. Le Darfour, comme l’est et le sud du Soudan, est une région historiquement pauvre, exclue du partage du pouvoir et des richesses, principalement concentrés autour de Khartoum. De nombreux conflits pendant la guerre froide ont rendu les armes aisément disponibles en Afrique, ce qui permet aux belligérants de s’armer. Le Darfour partage de surcroît une frontière avec le Tchad, un pays en guerre civile quasi constante depuis les années 1960, et une autre avec la Lybie de Kadhafi. À l’origine, une partie des milices janjawids est formée et armée par ce dernier<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Alex D&lt;span class=petite_capitale style=font-variant:small-caps;&gt;E &lt;/span&gt;W&lt;span class=petite_capitale style=font-variant:small-caps;&gt;AAL&lt;/span&gt;, « Counter-insurgency on the cheap », &lt;em&gt;loc. cit.&lt;/em&gt;', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>.</p>
<p>Résultat : le conflit occasionne entre 300 000 et 500 000 morts, ainsi que 2,5 millions de réfugiés. Certaines estimations sont inférieures, elles tournent autour de 150 000 morts. Quoi qu’il en soit, la violence guerrière proprement dite n’est responsable que de 25 % des morts, les maladies ou la malnutrition résultant des déplacements de population et des conditions de vie étant la cause du reste<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Florence B&lt;span class=petite_capitale style=font-variant:small-caps;&gt;RISSET&lt;/span&gt;-F&lt;span class=petite_capitale style=font-variant:small-caps;&gt;OUCAULT&lt;/span&gt;, « Darfour, généalogies d’un conflit. Entretien avec Jérôme Tubiana », &lt;em&gt;loc. cit.&lt;/em&gt;', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Ces chiffres n’expliquent pas à eux seuls l’attention dont cette guerre est l’objet dans les pays occidentaux.</p>
<p>La guerre en République démocratique du Congo, pour comparaison, a suscité 5 millions de victimes depuis 1990 (toutes causes confondues), sans que George Clooney s’en émeuve à l’excès. Les femmes sont victimes d’une violence particulière au Darfour, comme c’est souvent le cas dans le cadre des « nouvelles guerres » que nous évoquerons au chapitre III. Dans la division sexuelle du travail qui a cours dans la région, les femmes sont chargées de l’approvisionnement en eau. Or, avec la désertification et une pluviométrie déclinante, elles doivent parcourir des distances toujours plus grandes, ce qui les expose d’autant plus aux violences des hommes<a href="javascript:void(0);" class="note" onmouseover="return overlib('Younes A&lt;span class=petite_capitale style=font-variant:small-caps;&gt;BOUYOUB&lt;/span&gt;, « Climate : the forgotten culprit. The ecological dimension of the Darfur conflict », &lt;em&gt;loc. cit.&lt;/em&gt;, p. 170.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Bien souvent, les hommes ne peuvent quitter les camps de réfugiés, de peur d’être considérés comme des combattants et tués. Les femmes sont de ce fait conduites à assumer une part croissante des activités.</p>
<p>Ce que les médias occidentaux appellent « Arabes », ce sont le plus souvent les anciens nomades, alors qu’« Africains » désigne les tribus sédentaires. La présence musulmane dans la région remonte au <span class="petite_capitale" style="font-variant:small-caps;">VIII</span><span class="exposant" style="vertical-align:super;">e</span> siècle, c’est-à-dire aux premières décennies de l’expansion de l’islam. L’idée que le conflit du Darfour résulterait de l’intrusion exogène d’Arabes musulmans dans une région jusque-là intacte au plan ethnico-religieux est donc fausse.</p>
<p>Il n’est bien entendu pas question de soutenir que la dimension « ethnique » du conflit est une pure invention des médias. Au Darfour, les ethnies existent bel et bien, et ce pour une raison simple : elles ont été créées par les colons britanniques. Un sultanat existe au Darfour depuis le milieu du <span class="petite_capitale" style="font-variant:small-caps;">XVII</span><span class="exposant" style="vertical-align:super;">e</span> siècle. Les Britanniques prennent possession de la région à la fin du <span class="petite_capitale" style="font-variant:small-caps;">XIX</span><span class="exposant" style="vertical-align:super;">e</span> siècle et au début du <span class="petite_capitale" style="font-variant:small-caps;">XX</span><span class="exposant" style="vertical-align:super;">e</span> siècle, la période coloniale au Soudan durant de 1916 à 1956. En arrivant, les Britanniques instaurent un système de droits de propriété du sol, qui attribue des portions de terre à certaines ethnies et non à d’autres<a href="javascript:void(0);" class="note" onmouseover="return overlib('&lt;em&gt;Ibid.&lt;/em&gt;, p. 153.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Ce système permet, d’une part, de contrôler les populations locales – les tribus du Darfour s’étaient opposées à la conquête britannique avec détermination. Il permet d’autre part d’en tirer un profit économique, par l’entremise de l’impôt notamment. Une première cristallisation des « ethnies » se fait sur la base de la propriété foncière (une base de classe, donc), qui opposera désormais les nomades aux sédentaires, ceux qui se sont vu attribuer une terre et les autres, sous l’impulsion du colonialisme anglais. Le conflit actuel est une lointaine conséquence de ce système de propriété. De la part des impérialistes, cette façon de procéder est courante à l’époque. C’est ce que Mahmood Mamdani appelle la stratégie de <em>re-define and rule</em>, « re-catégoriser et dominer ». L’opposition entre Hutus et Tutsis au Rwanda a une généalogie comparable.</p>
<p>Le sociologue Harald Welzer dit du Darfour qu’il compte au nombre « des conflits qui ont des causes écologiques […] perçues comme ethniques<a href="javascript:void(0);" class="note" onmouseover="return overlib('Harald W&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ELZER&lt;/span&gt;, &lt;em&gt;Les Guerres du climat&lt;/em&gt;, &lt;em&gt;op. cit.&lt;/em&gt;, p. 103.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a> ». C’est également, comme on l’a vu, le point de vue de Ban Ki-moon exprimé dans le <em>Washington Post </em>en 2007. Sur la base de ce que nous avons dit, on peut affirmer qu’ils ont à la fois tort et raison. Ils ont tort parce que les ethnies sont l’objet d’une longue histoire au Darfour, qui remonte à l’époque coloniale, qui les a rendues réelles avec le temps. Leur mode d’existence est historique, et saisir le conflit actuel requiert de comprendre cette histoire. Ils ont toutefois en même temps raison, parce que cette histoire coloniale et postcoloniale est entrée en collision, au cours du dernier demi-siècle, avec des phénomènes climatiques extrêmes, qui ont conduit à une cristallisation accrue des identités ethniques.</p></div><div class="section1" id="niv1-010"><h3>LES INÉGALITÉS ÉCOLOGIQUES : UNE APPROCHE MARXISTE</h3><p>Les inégalités écologiques, dont le racisme environnemental est une forme, renvoient à une idée simple : le capitalisme à la fois suppose et génère des inégalités dans le rapport à l’environnement des individus et groupes d’individus. Si, comme le dit Marx, le capital est un « rapport social », ce rapport intègre à sa logique la « nature » ou l’« environnement ». En somme, l’intersection entre la classe, la race et le genre doit être complétée par une quatrième dimension, qui vient la compliquer en même temps qu’elle est elle-même compliquée par les trois autres : la nature. L’ordre et la prépondérance causale de l’une – ou de plusieurs – de ces logiques sont à chaque fois spécifiques. Parfois, les inégalités écologiques se mêlent à d’autres, au point qu’elles se distinguent difficilement d’elles. Dans d’autres cas, elles expliquent d’autres inégalités, comme lorsque ce qui apparaît de prime abord comme des inégalités « ethniques » est en réalité sous-tendu par des inégalités environnementales. Dans d’autres encore, elles aggravent des logiques inégalitaires qui trouvent leur origine ailleurs. En régime capitaliste, les inégalités ont une dimension cumulative ou autorenforçante, même s’il arrive parfois aussi que la confrontation de deux formes d’inégalité ouvre des espaces de liberté pour les individus. La boussole marxiste employée ici recherche en toutes circonstances les traces ou les effets de la logique du capital et de la lutte des classes, d’où une primauté de principe accordée à ce facteur. Mais cette logique revêt des formes singulières selon les situations.</p>
<p>Que la nature apparaisse comme extérieure aux rapports sociaux, comme « universelle », doit conduire à interroger la façon dont elle est <em>produite </em>à l’époque moderne, au sens où Henri Lefebvre parle d’une « production de l’espace », en l’occurrence de l’espace naturel<a href="javascript:void(0);" class="note" onmouseover="return overlib('Henri L&lt;span class=petite_capitale style=font-variant:small-caps;&gt;EFEBVRE&lt;/span&gt;, &lt;em&gt;La Production de l’espace&lt;/em&gt;, Economica, Paris, 1999.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Le « grand partage » entre la nature et la culture a fait l’objet de nombreux travaux au cours des dernières décennies, notamment du côté de l’anthropologie des sciences d’inspiration « constructiviste »<a href="javascript:void(0);" class="note" onmouseover="return overlib('Razmig K&lt;span class=petite_capitale style=font-variant:small-caps;&gt;EUCHEYAN&lt;/span&gt;, &lt;em&gt;Le Constructivisme. Des origines à nos jours&lt;/em&gt;, Hermann, Paris, 2007.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Bruno Latour, en particulier, s’est fait une spécialité de démontrer le caractère « construit » de ce grand partage, dans la perspective d’une théorie générale de la (non-) modernité. Il s’agit cependant d’une théorie dans le fond fort peu politique, bien qu’elle soit exposée dans des ouvrages qui ont pour titre <em>Politiques de la nature </em>ou <em>Les Atmosphères de la politique</em>, ou des revues comme <em>Cosmopolitiques</em><a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir par exemple Bruno L&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ATOUR&lt;/span&gt;, &lt;em&gt;Politique de la nature. Comment faire entrer les sciences en démocratie&lt;/em&gt;, La Découverte, Paris, 2004.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. L’épistémologie « pragmatiste » dont procède la plupart de ces travaux est peu à même de rendre compte du caractère systémique et conflictuel des inégalités environnementales. Quelles finalités politiques le grand partage entre la nature et la culture sert-il ? En quoi est-il lié à la logique du capital, de la lutte des classes, ou à la forme de l’État moderne ? Dans quelle mesure l’impérialisme et le colonialisme ont-ils influé sur ce processus ? On chercherait en vain des réponses à ces questions dans les travaux de Bruno Latour. Les aborder en marxiste, comme nous le faisons ici, suppose de les « brancher » à une théorie du capitalisme et de ses effets dans toutes les sphères sociales.</p>
<p>À y regarder de près, il existe diverses sortes d’inégalités environnementales<a href="javascript:void(0);" class="note" onmouseover="return overlib('Pour des définitions qui recoupent en partie la nôtre, voir Marianne C&lt;span class=petite_capitale style=font-variant:small-caps;&gt;HAUMEL &lt;/span&gt;et Stéphane L&lt;span class=petite_capitale style=font-variant:small-caps;&gt;A &lt;/span&gt;B&lt;span class=petite_capitale style=font-variant:small-caps;&gt;RANCHE&lt;/span&gt;, « Inégalités écologiques : vers quelle définition ? », &lt;em&gt;loc. cit. &lt;/em&gt;; Cyria E&lt;span class=petite_capitale style=font-variant:small-caps;&gt;MELIANOFF&lt;/span&gt;, « La problématique des inégalités écologiques, un nouveau paysage conceptuel », &lt;em&gt;Écologie &amp; politique&lt;/em&gt;, vol. 35, nº 1, 2008 ; Andrew S&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ZASE &lt;/span&gt;et Michael M&lt;span class=petite_capitale style=font-variant:small-caps;&gt;EUSER&lt;/span&gt;, « Environmental inequalities. Literature review and proposals for new directions in research and theory », &lt;em&gt;Current Sociology&lt;/em&gt;, vol. 45, 1997.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Une première sorte est celle qui s’exprime dans le comté de Warren ou à South Central : les différents secteurs de la population ne sont pas égaux face aux conséquences néfastes du processus industriel. Plus on est pauvre, noir, femme, ou les trois à la fois, plus on subit les effets nocifs de ce processus, toutes choses égales par ailleurs. Les déchets toxiques sont un exemple d’effet de ce type, mais il en est d’autres, comme la pollution de l’air ou le saturnisme chez les enfants immigrés. Les classes subalternes ne sont pas toujours et partout les premières victimes de toutes les nuisances environnementales, d’où la clause « toutes choses égales par ailleurs » dans notre formulation. Les centres-villes, dans lesquels vit une portion significative des bourgeoisies européennes, sont par exemple affectés par la circulation automobile et ses conséquences en matière de qualité de l’air<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Wanda D&lt;span class=petite_capitale style=font-variant:small-caps;&gt;IEBOLT &lt;/span&gt;&lt;em&gt;et al.&lt;/em&gt;, « Les inégalités écologiques en milieu urbain », &lt;em&gt;Rapport de l’inspection générale de l’Environnement&lt;/em&gt;, ministère de l’Écologie et du Développement durable, avril 2005, p. 13. Disponible à l’adresse : &lt;www.ladocumentationfrancaise.fr/var/storage/rapports-publics/054000572/0000.pdf&gt;.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Ils tendent aussi à être moins bien dotés en espaces verts que certaines banlieues. Cependant, la logique du système implique que les classes populaires sont les principales victimes de ces nuisances.</p>
<p>Les inégalités écologiques concernent par ailleurs l’accès aux ressources qu’offre la nature, que celles-ci soient « brutes » ou mêlées à des dispositifs techniques. Ces ressources sont elles-mêmes de deux types. D’abord, les biens naturels « élémentaires », comme l’eau ou les sources d’énergie : bois, charbon, pétrole… C’est ce que d’aucuns appellent les « services publics de l’environnement<a href="javascript:void(0);" class="note" onmouseover="return overlib('&lt;em&gt;Ibid.&lt;/em&gt;, p.1.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a> ». Ces services sont plus ou moins publics et/ou privés selon les pays et les époques, et l’importance des ressources concernées varie avec le temps.</p>
<p>Les inégalités d’accès à l’eau sont anciennes. Elles ont cependant connu un regain de visibilité à partir du dernier tiers du <span class="petite_capitale" style="font-variant:small-caps;">XX</span><span class="exposant" style="vertical-align:super;">e</span> siècle, du fait des politiques néolibérales de privatisation de sa production et de sa distribution. La révolte de Cochabamba en Bolivie au début des années 2000 et les guerres de l’eau en Amérique latine de manière plus générale sont des exemples des conflits qu’elles ont suscités<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Kenneth A. G&lt;span class=petite_capitale style=font-variant:small-caps;&gt;OULD &lt;/span&gt;et Tammy L. L&lt;span class=petite_capitale style=font-variant:small-caps;&gt;EWIS &lt;/span&gt;(dir.), &lt;em&gt;Twenty Lessons in Environ-mental Sociology&lt;/em&gt;, &lt;em&gt;op. cit.&lt;/em&gt;, p. 249-250.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Des inégalités d’accès à l’eau existent également en France. En Guyane, 15 % de la population n’a pas accès à l’eau potable, et ce taux approche les 50 % dans certaines régions<a href="javascript:void(0);" class="note" onmouseover="return overlib('Wanda D&lt;span class=petite_capitale style=font-variant:small-caps;&gt;IEBOLT &lt;/span&gt;&lt;em&gt;et al.&lt;/em&gt;, « Les inégalités écologiques en milieu urbain », &lt;em&gt;loc. cit.&lt;/em&gt;, p. 52.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Une situation analogue se constate dans le domaine de l’électricité ou de l’élimination des déchets<a href="javascript:void(0);" class="note" onmouseover="return overlib('Institut français de l’environnement (IFEN), &lt;em&gt;Les Synthèses&lt;/em&gt;, &lt;em&gt;op. cit. &lt;/em&gt;p. 420.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. (Cela sans compter les risques naturels auxquels sont par exemple exposées les Antilles : séismes, volcanisme, cyclones, inondations, glissements de terrain. Les Antilles sont classées en zone sismique III, ce qui impliquerait la construction d’infrastructures parasismiques, laquelle n’est pas mise en œuvre du fait des coûts qu’elle engendrerait<a href="javascript:void(0);" class="note" onmouseover="return overlib('&lt;em&gt;Ibid.&lt;/em&gt;, p. 422.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>.) En métropole, tous les territoires ne disposent pas d’une eau de même qualité, ou d’un rapport qualité/prix comparable. Une enquête récente relève ainsi que plus de deux millions de personnes consomment une eau qui contient des doses excessives de polluants (pesticides, nitrates, sélénium), en particulier dans les régions agricoles<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir à ce propos le communiqué de l’UFC-Que choisir, 20 mars 2012 : &lt;www.quechoisir.org/environnement-energie/eau/eau-potable/communique-qualite-de-l-eau-du-robinet-en-france-l-appel-e-au-secours-de-l-ufc-quechoisir&gt;.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>.</p>
<p>La <em>pauvreté énergétique </em>est une autre forme d’inégalité d’accès aux ressources. Celle-ci se définit par l’absence de moyens de se chauffer, ou par la toxicité anormale des combustibles ou installations employés pour le faire, qui augmentent les risques d’accident<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Lionel C&lt;span class=petite_capitale style=font-variant:small-caps;&gt;HARLES &lt;/span&gt;&lt;em&gt;et al.&lt;/em&gt;, « Les multiples facettes des inégalités écologiques », &lt;em&gt;Développement durable et territoires&lt;/em&gt;, nº 9, 2007, p. 8.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. La Grèce représente aujourd’hui un cas d’école de pauvreté énergétique. À Athènes, 1 000 euros par an sont nécessaires pour chauffer un appartement de superficie moyenne au fioul. Il n’en faut que 250 pour le chauffer au bois<a href="javascript:void(0);" class="note" onmouseover="return overlib('&lt;em&gt;Le Monde&lt;/em&gt;, 19 novembre 2012.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. La paupérisation de la population du fait de la crise conduit nombre de Grecs à choisir la seconde option. Cela a conduit à une augmentation vertigineuse des coupes illégales de bois et à une accélération de la déforestation. Du fait des mesures d’austérité supposées redresser les finances du pays, le nombre de gardes forestiers a été réduit, facilitant d’autant les coupes illégales. La Direction générale à l’environnement de l’Union européenne – la même Union européenne qui impose ces mesures d’austérité aux Grecs – s’est alarmée de cette accélération de la déforestation et a invité le gouvernement grec à prendre les mesures qui s’imposent<a href="javascript:void(0);" class="note" onmouseover="return overlib('&lt;em&gt;Le Monde&lt;/em&gt;, 2 février 2012.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. On estime que la pollution de l’air à Athènes a augmenté de près de 17 % depuis le début de la crise, du fait justement de l’accroissement du chauffage au bois. D’économique, la crise est par conséquent devenue écologique et inversement. En France, en 2012, 230 000 foyers ont vu leur abonnement à l’électricité ou au gaz annulé en raison de leur incapacité à payer les factures, soit 20 % de plus qu’en 2011<a href="javascript:void(0);" class="note" onmouseover="return overlib('&lt;em&gt;Le Monde&lt;/em&gt;, 13 mars 2013.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>.</p>
<p>En plus des biens naturels élémentaires, il faut prendre en considération les biens naturels « secondaires » : parcs naturels, paysages, lacs, forêts… ce qu’on appelle les « aménités ». Leur accès est lui aussi inégalement distribué dans la population. Il est clair que toutes les aménités ne sont pas localisées dans des quartiers riches, des quartiers populaires se trouvant parfois à proximité d’une forêt ou d’un lac. C’est par exemple le cas à la cité de La Coudraie, à Poissy (Yvelines), dans la banlieue parisienne, l’une des cités en grande difficulté de la région<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Michel K&lt;span class=petite_capitale style=font-variant:small-caps;&gt;OKOREFF &lt;/span&gt;et Didier L&lt;span class=petite_capitale style=font-variant:small-caps;&gt;APEYRONNIE&lt;/span&gt;, &lt;em&gt;Refaire la cité. L’avenir des banlieues&lt;/em&gt;, Le Seuil, Paris, 2013, p. 97-98.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. La dégradation du bâti et les problèmes sociaux conduisent les autorités à déclencher un plan de rénovation urbaine, qui prévoit la démolition de 500 logements et le relogement des habitants. Traiter les problèmes sociaux comme des problèmes d’urbanisme est une habitude bien installée en France. Les habitants sont opposés à ce plan de rénovation, car ils sont attachés à leur quartier. Ils s’organisent et contestent le plan de rénovation efficacement, parvenant à éviter la destruction de la cité. Or l’un des facteurs qui expliquent l’attachement des habitants à leur cité lorsque la question leur est posée est la proximité de la forêt de Poissy. Celle-ci constitue une aménité intégrée à la structure de leur vie quotidienne et un motif de valorisation de l’espace dans lequel ils vivent.</p>
<p>Pour autant, il est clair que la présence d’aménités est corrélée à des paramètres socioéconomiques. Une enquête de l’INSEE sur le logement, menée au début des années 2000, relève ainsi que seuls 36 % des habitants des « Zones urbaines sensibles » (ZUS) ont une opinion positive des espaces verts à leur disposition, soit deux fois moins que le reste de la population. L’explication est simple : le nombre et la qualité de ces espaces sont liés à l’état des finances publiques d’une commune ou région<a href="javascript:void(0);" class="note" onmouseover="return overlib('Wanda D&lt;span class=petite_capitale style=font-variant:small-caps;&gt;IEBOLT &lt;/span&gt;&lt;em&gt;et al.&lt;/em&gt;, « Les inégalités écologiques en milieu urbain », &lt;em&gt;loc. cit.&lt;/em&gt;, p. 17.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Plus une commune est riche, plus elle peut consacrer de l’argent à la construction ou à l’entretien d’espaces verts. La présence de ce type d’espace tend par ailleurs à faire augmenter le prix du foncier et à exclure les ménages pauvres. La logique du marché produit donc là encore des effets d’exclusion environnementale.</p>
<p>Les inégalités écologiques concernent également l’exposition des populations au « risque », que celui-ci soit naturel ou industriel : explosion d’une usine chimique, rupture d’un barrage, inondation, dissémination d’OGM, tremblement de terre, épidémies<a href="javascript:void(0);" class="note" onmouseover="return overlib('Marianne C&lt;span class=petite_capitale style=font-variant:small-caps;&gt;HAUMEL &lt;/span&gt;et Stéphane L&lt;span class=petite_capitale style=font-variant:small-caps;&gt;A &lt;/span&gt;B&lt;span class=petite_capitale style=font-variant:small-caps;&gt;RANCHE&lt;/span&gt;, « Inégalités écologiques : vers quelle définition ? », &lt;em&gt;loc. cit.&lt;/em&gt;, p. 104.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>… Exemple de risque naturel inégalement distribué : la canicule de 2003. Celle-ci a suscité une surmortalité de 15 000 personnes rien qu’en France et plus de 2000 morts pour la seule journée du 12 août 2003. L’Institut national de veille sanitaire (INVS) a établi que parmi les variables clés pour déterminer qui furent les victimes de cette canicule se trouvent l’âge – les personnes âgées les moins autonomes en particulier – et la catégorie socioéconomique, cette dernière variable étant la plus importante. Voici ce que dit un rapport de l’INVS à ce propos :</p><div class="citp"><p class="txt_courant_justif last">[…] la catégorie ouvrier apparaît toujours la plus à risque. Ce lien entre la catégorie professionnelle et le risque de décès peut être dû à une sensibilité différente des personnes en fonction de leur parcours professionnel. Il peut aussi être dû à l’inégalité des personnes devant le risque, du fait de conditions économiques différentes. La catégorie socioprofessionnelle était par exemple liée au nombre de pièces du logement […], et on peut supposer que les personnes occupant de grands logements peuvent plus facilement se protéger en choisissant d’occuper la pièce la moins exposée à la chaleur<a href="javascript:void(0);" class="note" onmouseover="return overlib('Rapport de l’Institut national de veille sanitaire (INVS), juillet 2004, p. 48. Disponible à l’adresse : &lt;www.invs.sante.fr/publications/2004/chaleur2003_170904/rapport_canicule.pdf&gt;.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>.</p></div><p>On peut également faire l’hypothèse que la proximité d’hôpitaux ou de médecins, ou la plus ou moins bonne santé, une variable nettement corrélée à la catégorie socioprofessionnelle, ont eu un impact sur la mortalité.</p>
<p>Les inégalités écologiques portent également sur l’« empreinte » différenciée des catégories de la population sur l’environnement. Autrement dit, parler de l’impact de la société en général sur la nature n’a guère de sens. Les études sur la question démontrent que cet impact est, à différentes échelles, corrélé au revenu. Ainsi, « les ménages européens ayant un faible impact sur l’environnement sont plus souvent des foyers monoparentaux (avec ou sans enfant) avec un niveau de revenu faible et dont la personne de référence est économiquement inactive, soit plutôt jeune (moins de 30 ans) soit plutôt âgée (plus de 60 ans)<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Éloi L&lt;span class=petite_capitale style=font-variant:small-caps;&gt;AURENT&lt;/span&gt;, « Écologie et inégalités », &lt;em&gt;loc. cit.&lt;/em&gt;, p. 52. Voir aussi sur cette question Alain L&lt;span class=petite_capitale style=font-variant:small-caps;&gt;IPIETZ&lt;/span&gt;, « Économie politique des écotaxes », &lt;em&gt;Rapports du Conseil d’analyse économique&lt;/em&gt;, nº 8, La Documentation française, avril 1998.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a> ». Les ménages disposant d’un revenu élevé ont à l’inverse un impact négatif plus important sur l’environnement. Certaines données conduisent toutefois à nuancer cette conclusion. Par exemple, la catégorie de la population qui accomplit les trajets motorisés les plus longs en région parisienne est celle des ouvriers, de l’ordre de 7,4 km par déplacement, ce qui est davantage que les classes moyennes et supérieures<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Salvador J&lt;span class=petite_capitale style=font-variant:small-caps;&gt;UAN&lt;/span&gt;, « L’inégalité écologique, une notion écran », &lt;em&gt;Écologie &amp; politique&lt;/em&gt;, vol. 45, nº 1, 2012, p. 152.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Cela s’explique parlefait qu’ils habitent en général plus loin de leur lieu de travail, du fait de revenus moins importants et du moindre coût du foncier en périphérie. Cela n’invalide nullement le constat de l’existence d’inégalités environnementales, mais démontre que celles-ci se mêlent à d’autres types d’inégalités.</p>
<p>Que les risques industriels soient principalement encourus par les classes populaires est illustré par l’explosion de l’usine AZF en septembre 2001. Cette catastrophe donne lieu à une trentaine de morts et à des milliers de blessés. 27 000 logements sont affectés par l’explosion, dont plus de 15 000 appartiennent au parc HLM<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir la thèse de Stéphane L&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ATTÉ&lt;/span&gt;, &lt;em&gt;Les Victimes. La formation d’une catégorie sociale improbable et ses usages dans l’action collective&lt;/em&gt;, École normale supérieure, Paris, 2008.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Après l’explosion, les bâtiments les plus saillants de la ville, comme le Palais des sports ou le Stadium, où s’illustre chaque semaine le Toulouse Football Club, sont rapidement reconstruits. Les quartiers populaires adjacents à l’usine doivent cependant pour certains attendre plusieurs jours pour que les secours arrivent, et de longs mois pour que les assureurs remboursent les dégâts. Ceci a donné lieu, dans le quartier populaire du Mirail notamment, au mouvement des « sans fenêtres », ceux dont les fenêtres ont volé en éclats au moment de l’explosion, et qui n’ont pas bénéficié de travaux de remplacement, ou qui n’en ont bénéficié que tardivement. Ce mouvement présente un air de famille très marqué avec le mouvement pour la justice environnementale.</p>
<p>L’absence de statistiques dites « ethniques » en France empêche de déterminer précisément qui furent les victimes de l’explosion de l’usine, ou qui participe au mouvement des « sans fenêtres ». Des données recueillies sur le terrain permettent toutefois d’entrevoir l’ampleur du racisme environnemental à l’œuvre à cet endroit. Une pétition des « sans fenêtres » adressée à la mairie par 70 locataires du Mirail contient par exemple plus d’une moitié de noms à consonance arabe<a href="javascript:void(0);" class="note" onmouseover="return overlib('&lt;em&gt;Ibid.&lt;/em&gt;', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Les inégalités sociales et raciales sont le fruit d’une lente sédimentation à Toulouse. Dès les années 1920, un pôle chimique s’installe au sud-ouest de la ville<a href="javascript:void(0);" class="note" onmouseover="return overlib('Sur les quartiers populaires de Toulouse, voir Michel K&lt;span class=petite_capitale style=font-variant:small-caps;&gt;OKOREFF &lt;/span&gt;et Didier L&lt;span class=petite_capitale style=font-variant:small-caps;&gt;APEYRONNIE&lt;/span&gt;, &lt;em&gt;Refaire la cité. L’avenir des banlieues&lt;/em&gt;, &lt;em&gt;op. cit.&lt;/em&gt;, chap. 2.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Au cours des décennies, l’espace entre le centre de la ville et ce pôle se comble de logements et d’habitants, et notamment d’une main-d’œuvre immigrée, pour une bonne part en provenance du Maghreb. Le quartier du Mirail y est construit dans les années 1960, au contact immédiat de ce pôle. Les quartiers bourgeois, de leur côté, en sont séparés par des parcs naturels. L’explosion d’AZF est donc comme un résumé des histoires industrielle et migratoire de la ville.</p>
<p>Cette situation n’est pas propre à Toulouse. Il existe en France 670 sites industriels classés Seveso<a href="javascript:void(0);" class="note" onmouseover="return overlib('&lt;em&gt;Le Monde&lt;/em&gt;, 19 décembre 2012.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. La plupart se trouvent à proximité de quartiers populaires, pour la raison simple que le prix du foncier y est au plus bas. Une loi datant de 2003 rend obligatoire la mise en œuvre de « Plans de prévention des risques technologiques », supposés réduire les risques de catastrophe industrielle et rendre les habitations plus résistantes en cas d’explosion. Cette loi est cependant peu mise en œuvre, notamment parce qu’une partie des frais de consolidation des bâtiments est à la charge des habitants eux-mêmes. Ceux-ci sont donc littéralement prisonniers de ces quartiers : ils n’ont ni les moyens de s’en aller, faute de ressources financières, ni les moyens de se protéger d’une éventuelle catastrophe.</p></div><div class="section1" id="niv1-011"><h3>ARCHÉOLOGIE DU RACISME ENVIRONNEMENTAL</h3><p>Expliquer la persistance du racisme environnemental dans le monde social contemporain suppose de le replacer dans une perspective historique, une perspective de longue durée. À l’époque moderne, le caractère inextricablement mêlé de la race et de la nature se manifeste dans un écosystème particulier : la plantation esclavagiste. La plantation est un fait social total, qui ne laisse aucune sphère intacte. La nature elle-même est saisie par sa logique, en tirer profit étant après tout sa finalité.</p>
<p>Dans <em>Misère de la philosophie</em>, Marx écrit ceci à propos de l’esclavage :</p><div class="citp"><p class="txt_courant_justif last">L’esclavage direct est le pivot de notre industrialisation contemporaine autant que les machines, les crédits, etc. […] Sans esclavage il n’y a pas de coton et sans coton il n’y a pas d’industrie moderne. C’est l’esclavage qui a donné de la valeur aux colonies ; ce sont les colonies qui ont créé le commerce mondial ; c’est le commerce mondial qui est la condition <em>sine qua non </em>de l’industrie mécanisée à grande échelle.</p></div><p>L’esclavage n’est pas un phénomène d’un autre âge, que la logique du capital aurait définitivement surpassé. Il est l’une des matrices de la civilisation industrielle dans laquelle nous évoluons. À ce titre, le type de rapports sociaux qui s’y développe conditionne encore les sociétés actuelles.</p>
<p>Dans le contexte de la plantation, la dialectique maître-esclave se transforme en dialectique maître-esclave-nature<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Mark F&lt;span class=petite_capitale style=font-variant:small-caps;&gt;IEGE&lt;/span&gt;, &lt;em&gt;The Republic of Nature. An Environmental History of the United States&lt;/em&gt;, University of Washington Press, Seattle, 2012, chap. 3.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. La culture du coton, par exemple, suppose la mise en relation d’entités diverses : la fibre de coton elle-même, mais aussi de l’eau, des sols, du soleil, un système social et une idéologie racistes, des technologies de contrainte (le fouet du maître), un cadre légal… Au cœur de cette relation symbiotique se trouve le travail de l’esclave. L’esclave réalise la synthèse ou la médiation de ces différents éléments, et les met en mouvement par son travail. C’est la raison pour laquelle dans le sud des États-Unis, au <span class="petite_capitale" style="font-variant:small-caps;">XIX</span><span class="exposant" style="vertical-align:super;">e</span> siècle, les esclaves constituent la forme de propriété la plus importante au plan de sa valeur financière. Le prix moyen d’un esclave passe ainsi de 300 dollars en 1810 à 800 dollars en 1860, l’ensemble des esclaves du pays valant près de 4 milliards de dollars, ce qui est davantage que le bétail ou la propriété foncière à la même époque<a href="javascript:void(0);" class="note" onmouseover="return overlib('&lt;em&gt;Ibid.&lt;/em&gt;, p. 103.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. La plantation est de surcroît « branchée » sur les marchés internationaux, en particulier les marchés du textile, en expansion permanente au <span class="petite_capitale" style="font-variant:small-caps;">XIX</span><span class="exposant" style="vertical-align:super;">e</span> siècle.</p>
<p>Selon les circonstances, la dialectique maître-esclave-nature tourne à l’avantage de l’un ou de l’autre des antagonistes. Le maître cherche bien sûr à tirer le meilleur profit de ses possessions humaines et naturelles. C’est toutefois un objectif difficile à atteindre, du fait des caractéristiques intrinsèques du coton. Jusque très tard, le coton est cueilli à la main, la mécanisation de sa récolte ne donnant pas de résultats concluants. Dans ces conditions, l’exploitation toujours plus intensive des esclaves ou l’augmentation de leur nombre par l’achat ou la reproduction sont les seules manières pour le maître d’accroître sa récolte. Les propriétés naturelles du coton confèrent donc à sa production, à la lutte dont elle est le théâtre, une forme particulière.</p>
<p>L’intensification de l’exploitation esclavagiste bute sur une autre limite naturelle : celle du corps de l’esclave et de ce qu’il est capable d’endurer. Ce corps peut être brutalisé, mais jusqu’à un certain point. Au minimum, il a besoin de se reposer et de se nourrir. Afin d’en tirer le meilleur parti sans toutefois le briser, le maître est forcé de faire des concessions. C’est ainsi que les esclaves sont parfois autorisés à cultiver un potager, qui leur permet d’améliorer leur diète quotidienne<a href="javascript:void(0);" class="note" onmouseover="return overlib('&lt;em&gt;Ibid.&lt;/em&gt;, p. 119.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Ces jardins les conduisent à échapper pour un temps à l’emprise du maître et même à s’échapper tout court, puisqu’ils sont souvent situés à la frontière des plantations, à la lisière de forêts, et que les esclaves s’y rendent le plus souvent la nuit, les journées étant consacrées à la récolte du coton. Les limites naturelles à l’exploitation ouvrent donc, pour ceux qui en sont victimes, des espaces de liberté.</p>
<p>L’alliance entre le coton – c’est-à-dire la nature – et les esclaves revêt également d’autres formes. Diverses menaces pèsent sur la culture du coton : bactéries, insectes, intempéries, etc. Lorsqu’elles adviennent, ces calamités interrompent le cycle de production et permettent aux esclaves de respirer. Le contrôle du ventre des femmes esclaves est par ailleurs crucial pour le planteur, car la reproduction est, comme on l’a vu, un moyen d’accroître la main-d’œuvre et donc la production. De la part de ces femmes, le refus de procréer constitue donc un acte de résistance, un refus de mettre au monde des êtres qui vivront dans la servitude<a href="javascript:void(0);" class="note" onmouseover="return overlib('&lt;em&gt;Ibid.&lt;/em&gt;, p. 122.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Or, hasard de la sélection naturelle, le coton contient du gossypol, une molécule qui, lorsqu’elle est mâchée, réduit la fertilité. Les esclaves sont dépositaires de savoirs médicinaux sophistiqués, en partie importés d’Afrique et transmis de génération en génération, qu’ils mettent à contribution dans leurs stratégies de résistance à l’oppression<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Elizabeth D. B&lt;span class=petite_capitale style=font-variant:small-caps;&gt;LUM&lt;/span&gt;, « Power, danger, and control. Slave women’s perception of wilderness in the nineteenth century », &lt;em&gt;Women’s Studies&lt;/em&gt;, vol. 31, nº 2, janvier 2002, p. 247-265.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>.</p>
<p>L’écologie de la plantation a laissé une empreinte sur la structuration de l’espace au sud des États-Unis, et dans les autres régions du monde où elle avait cours, bien après l’abolition de l’esclavage. Lorsque le Sud commence à s’industrialiser, à la fin du <span class="petite_capitale" style="font-variant:small-caps;">XIX</span><span class="exposant" style="vertical-align:super;">e</span> siècle, les industries polluantes s’installent souvent sur les sites d’anciennes plantations, aux alentours desquels vit une population majoritairement noire. L’une des plus connues de ces régions, située en Louisiane, va de la ville de Baton Rouge à La Nouvelle-Orléans. On l’appelle <em>chemical corridor </em>ou <em>cancer alley</em>. Dans ce corridor, le pourcentage de cancers et autres affections est plus élevé que la moyenne, ce qui s’explique notamment par la présence de ces industries polluantes<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Merrill S&lt;span class=petite_capitale style=font-variant:small-caps;&gt;INGER&lt;/span&gt;, « Down cancer alley. The lived experience of health and environmental suffering in Louisiana’s chemical corridor », &lt;em&gt;Medical Anthropology Quarterly&lt;/em&gt;, vol. 25, nº 2, 2011.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. La boucle est bouclée : un processus qui a commencé par l’exploitation du travail des esclaves se poursuit par l’exploitation de la santé de leurs descendants. Dans le même registre, on trouve en Chine aujourd’hui ce que les Chinois eux-mêmes appellent des « villages du cancer », dans lesquels la santé des populations est mise en danger par des taux de pollution anormalement hauts liés au développement industriel du pays<a href="javascript:void(0);" class="note" onmouseover="return overlib('&lt;em&gt;Le Monde&lt;/em&gt;, 9 février 2013.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. (Il ne semble pas dans ce cas qu’une ethnie en soit particulièrement victime, le phénomène affecte la paysannerie de manière plus indiscriminée.)</p>
<p>Aux États-Unis, les Noirs ne sont pas les seules victimes de racisme environnemental. Les Amérindiens font l’objet d’un racisme environnemental spécifique, dont la généalogie diffère en partie de celle des Noirs. En 1830, le Congrès américain – Andrew Jackson est alors président – vote l’<em>Indian Removal Act</em>, qui ordonne la déportation des Amérindiens de leurs terres d’origine vers l’ouest, au-delà du fleuve Mississippi. Dix ans plus tard, il n’en reste pratiquement plus à l’est de cette frontière. Non seulement les Amérindiens sont expulsés de leurs terres d’origine, mais les réserves dans lesquelles ils vivent tendent de plus en plus à être situées à proximité de terrains militaires. Avec la montée en puissance économique et militaire des États-Unis, l’armée états-unienne a besoin de lieux pour l’exercice de ses troupes, mais aussi pour tester l’armement et en particulier, dès les années 1940, l’arme nucléaire.</p>
<p>Un <em>colonialisme nucléaire </em>se met ainsi en place, qui voit les complexes militaro-nucléaires être localisés près des territoires occupés par les <em>Native Americans</em>, notamment le plus vaste de ces complexes dans le Nevada<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Valerie L. K&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ULETZ&lt;/span&gt;, &lt;em&gt;Tainted Desert. Environmental Ruin in the American West&lt;/em&gt;, Routledge, New York, 1998.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Les administrations successives en place à Washington font ce qu’elles peuvent pour épargner ces désagréments aux populations blanches. Une enquête systématique portant sur la localisation de ces complexes à l’échelle du pays ne laisse aucun doute : plus les mètres carrés occupés par des Amérindiens sont élevés dans une région, plus la probabilité est grande que l’on y trouve des installations militaires<a href="javascript:void(0);" class="note" onmouseover="return overlib('Gregory H&lt;span class=petite_capitale style=font-variant:small-caps;&gt;OOKS &lt;/span&gt;et Chad S&lt;span class=petite_capitale style=font-variant:small-caps;&gt;MITH&lt;/span&gt;, « The treadmill of destruction. National sacrifice areas and Native Americans », &lt;em&gt;American Sociological Review&lt;/em&gt;, vol. 69, nº 4, 2004.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>.</p></div><div class="section1" id="niv1-012"><h3>RACE ET REBOISEMENT</h3><p>La France est elle aussi, au <span class="petite_capitale" style="font-variant:small-caps;">XIX</span><span class="exposant" style="vertical-align:super;">e</span> siècle, le lieu d’une construction sociale et coloniale de la nature. On verra au chapitre III à quel point le contrôle des ressources forestières est un enjeu militaire crucial depuis les commencements de l’époque moderne. Ce contrôle passe par la mise en œuvre d’une véritable politique d’« endiguement » à l’égard de la paysannerie et de son accès libre à ces ressources. Or l’enjeu n’est pas seulement militaire, il est également économique. Il s’agit en effet de transformer les ressources naturelles en propriété privée, autrement dit de les marchandiser. La marchandisation de la nature à laquelle on assiste aujourd’hui n’est que la dernière vague d’une longue série, qui commence avec les enclosures dans l’Angleterre du <span class="petite_capitale" style="font-variant:small-caps;">XVII</span><span class="exposant" style="vertical-align:super;">e</span> siècle.</p>
<p>En 1842, Karl Marx publie dans la <em>Rheinische Zeitung </em>une série d’articles consacrés au « vol de bois »<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Daniel B&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ENSAÏD&lt;/span&gt;, &lt;em&gt;Les Dépossédés. Marx, les voleurs de bois et le droit des pauvres&lt;/em&gt;, La Fabrique, Paris, 2007. Voir aussi, de Edward P. T&lt;span class=petite_capitale style=font-variant:small-caps;&gt;HOMPSON&lt;/span&gt;, &lt;em&gt;Whigs and Hunters. The Origin of the Black Act&lt;/em&gt;, Pantheon Books, Londres, 1975.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Ces textes réagissent à un débat consacré à la régulation de l’accès aux forêts en cours à l’époque à la Diète rhénane. Les autorités souhaitent alors mettre un terme à l’appropriation illégale de ces ressources. « Tel est […] l’enjeu qui se profile derrière le débat de la Diète sur le vol de bois, remarque Daniel Bensaïd dans une lumineuse préface à ces articles de Marx : la distinction moderne du privé et du public, et son application au droit de propriété. L’importance quantitative du vol de bois, attestée par les statistiques judiciaires d’époque, illustre à la fois la vigueur des pratiques coutumières du droit d’usage et la pénalisation croissante de ces pratiques par la société capitaliste en formation. » La question de la nature et de ses usages se trouve donc au cœur de la construction moderne du privé et du public, c’est-à-dire de la consolidation de la propriété capitaliste.</p>
<p>Cette construction est l’objet d’une lutte sans merci entre classes sociales. Les paysans n’hésitent pas à contester la politique d’endiguement mise en œuvre par l’État. En 1829 a lieu en Ariège la « guerre des demoiselles », une rébellion paysanne qui prend pour cible les propriétaires terriens et les gardes forestiers. Cette révolte tient son nom du fait que les paysans s’étaient déguisés en femmes afin de surprendre leurs adversaires. Les années 1830 et 1840, plus généralement, sont le théâtre de violences récurrentes envers les gardes forestiers. C’est particulièrement le cas lors de la révolution de 1848, dont cette dimension est souvent passée sous silence<a href="javascript:void(0);" class="note" onmouseover="return overlib('Caroline F&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ORD&lt;/span&gt;, « Nature, culture, and conservation in France and her colonies, 1840-1940 », &lt;em&gt;Past and Present&lt;/em&gt;, nº 183, mai 2004, p. 180.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Les gardes forestiers sont le symbole de la « pénalisation croissante » de l’usage des forêts dont parle Daniel Bensaïd. Un premier front pour l’appropriation des ressources naturelles traverse donc la métropole. Il voit s’affronter, d’un côté, les classes subalternes, paysannerie en tête, et, de l’autre, les propriétaires terriens et l’État.</p>
<p>Un second front sépare toutefois la métropole des colonies. En métropole, la nature est connotée de plus en plus positivement au <span class="petite_capitale" style="font-variant:small-caps;">XIX</span><span class="exposant" style="vertical-align:super;">e</span> siècle. Dans les forêts s’incarne la mémoire collective de la France, qui rattache le temps présent aux étapes glorieuses de l’histoire nationale<a href="javascript:void(0);" class="note" onmouseover="return overlib('&lt;em&gt;Ibid.&lt;/em&gt;, p. 181.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Les forêts sont en ce sens partie intégrante de l’histoire de France. La notion de « patrimoine » émerge à cette époque, elle s’applique aussi bien à la nature qu’à des objets culturels. En ces temps de troubles révolutionnaires, depuis la fin du <span class="petite_capitale" style="font-variant:small-caps;">XVIII</span><span class="exposant" style="vertical-align:super;">e</span> siècle, les forêts constituent un havre de stabilité, ce qui n’empêche pas bien sûr qu’elles soient aussi exploitées à des fins économiques ou militaires. C’est pourquoi tout doit être mis en œuvre pour les préserver.</p>
<p>Dans les colonies, les forêts sont également l’objet de politiques de conservation, mais pour des raisons différentes. Comme l’écrit l’agronome François Trottier dans la phrase placée en exergue de ce chapitre, tirée d’un ouvrage significativement intitulé <em>Reboisement et colonisation </em>(1876) : « C’est par le reboisement que notre race conservera ses facultés européennes. » La dégradation de la nature est perçue comme une menace pour la civilisation (européenne). Non seulement parce qu’elle est une ressource dont il est possible de tirer profit, mais parce que, l’environnement forgeant le caractère, sa détérioration conduira nécessairement à un affaiblissement de ce dernier. On a parlé à ce propos d’<em>orientalisme climatique</em><a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Fabien L&lt;span class=petite_capitale style=font-variant:small-caps;&gt;OCHER &lt;/span&gt;et Jean-Baptiste F&lt;span class=petite_capitale style=font-variant:small-caps;&gt;RESSOZ&lt;/span&gt;, « Modernity’s frail climate. A climate history of environmental reflexivity », &lt;em&gt;Critical Inquiry&lt;/em&gt;, vol. 38, nº 3, printemps 2012.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a> : la supériorité des races européennes est liée, entre autres, à leur capacité à prendre soin de leur environnement. Celui-ci, en retour, exerce une influence positive sur le caractère de leurs représentants. À l’inverse, les populations « orientales » laissent l’environnement se dégrader, ce qui est à la fois un symptôme et une cause de leur dégénérescence. Tout doit être mis en œuvre, dans ces conditions, pour que les Européens établis en Afrique ou en Asie ne succombent pas eux aussi à cette nature dégradée.</p>
<p>Dans la seconde moitié du <span class="petite_capitale" style="font-variant:small-caps;">XIX</span><span class="exposant" style="vertical-align:super;">e</span> siècle, des organisations similaires à celles du <em>Group of Ten </em>états-unien évoqué ci-dessus apparaissent en France. Le Club alpin est créé en 1872, le Touring Club en 1890 et la Société pour la protection des paysages en 1901. La Ligue pour le reboisement de l’Algérie est quant à elle fondée en 1882. Ces organisations jouent un rôle important dans la patrimonialisation de la nature, c’est-à-dire dans la définition d’une <em>nature patriotique</em>. Le Club alpin fait par exemple explicitement le lien entre l’amour de la montagne et l’amour de la patrie. Il entretient des rapports étroits avec l’armée française. Dans les dernières décennies du <span class="petite_capitale" style="font-variant:small-caps;">XIX</span><span class="exposant" style="vertical-align:super;">e</span> siècle, ses responsables convainquent ainsi l’armée de mettre en place des unités militaires à ski pour assurer la sécurité des zones frontalières en montagne<a href="javascript:void(0);" class="note" onmouseover="return overlib('Yann D&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ROUET &lt;/span&gt;et Antoine L&lt;span class=petite_capitale style=font-variant:small-caps;&gt;UCIANI&lt;/span&gt;, « À l’origine du ski français. Le discours commun de l’armée et du Club alpin français (1902-1907) », &lt;em&gt;Staps&lt;/em&gt;, vol. 71, nº 1, 2006.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. L’objectif est non seulement de sécuriser l’espace alpin, mais aussi d’encourager la population à s’en rapprocher, la montagne ayant des vertus régénératives sur le caractère. L’histoire du ski en France est une histoire militaire.</p></div><div class="section1" id="niv1-013"><h3>PURIFIER LA NATURE…</h3><p>La nature moderne s’oppose presque terme à terme à la ville moderne<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir William C&lt;span class=petite_capitale style=font-variant:small-caps;&gt;RONON&lt;/span&gt;, « The trouble with wilderness ; or, getting back to the wrong nature », &lt;em&gt;in &lt;/em&gt;William C&lt;span class=petite_capitale style=font-variant:small-caps;&gt;RONON &lt;/span&gt;(dir.), &lt;em&gt;Uncommon Ground. Rethinking the Human Place in Nature&lt;/em&gt;, &lt;em&gt;op. cit.&lt;/em&gt;', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. C’est le lieu où, depuis la seconde moitié du <span class="petite_capitale" style="font-variant:small-caps;">XIX</span><span class="exposant" style="vertical-align:super;">e</span> siècle, les classes moyennes et supérieures blanches viennent se réfugier du bruit et de la fureur des métropoles. Les principaux bénéficiaires de la civilisation du capital sont donc aussi ceux qui disposent des moyens d’y échapper. La nature n’a bien entendu pas toujours été connotée positivement, tant s’en faut. Pendant longtemps, elle est considérée comme l’opposé de la civilisation, comme un lieu de sauvagerie inspirant la terreur. Au cours du <span class="petite_capitale" style="font-variant:small-caps;">XIX</span><span class="exposant" style="vertical-align:super;">e</span> siècle, les valences de la nature et de la culture, du rural et de l’urbain, s’inversent cependant progressivement. Le mouvement romantique, dont les représentants sacralisent la nature, est à la fois une cause et une conséquence de cette inversion. Comme le dit Theodor Adorno dans son « Discours sur la poésie lyrique et la société », cette sacralisation de la nature n’est concevable que dans un contexte où l’individu se sent de plus en plus aliéné par rapport aux évolutions de la société. Les deux processus que sont l’aliénation sociale et la valorisation de la nature sont en ce sens concomitants<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Theodor W. A&lt;span class=petite_capitale style=font-variant:small-caps;&gt;DORNO&lt;/span&gt;, « Discours sur la poésie lyrique et la société », &lt;em&gt;Notes sur la littérature&lt;/em&gt;, Flammarion, Paris, 1984 ; Hartmut S&lt;span class=petite_capitale style=font-variant:small-caps;&gt;TENZEL&lt;/span&gt;, « Évolution et fonction critique du concept de nature dans la littérature romantique et dans le socialisme utopique », &lt;em&gt;Romantisme&lt;/em&gt;, nº 30, 1980.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. La thèse d’Adorno, plus précisément, est que la nature voit son prestige rehaussé dans les périodes de défaite et de normalisation politiques, comme sous la monarchie de Juillet, lorsque les affects investis dans la transformation révolutionnaire de la société ont été déçus.</p>
<p>La montée en puissance du mouvement et des partis écologistes à partir de la seconde moitié des années 1970, au moment où la force propulsive de mai 1968 s’épuise, s’explique peut-être par le même phénomène. Pour autant, dans certains pays au moins, l’émergence de ce mouvement se fait en même temps et non après le déclin des mouvements des années 1960 et 1970<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Adam R&lt;span class=petite_capitale style=font-variant:small-caps;&gt;OME&lt;/span&gt;, « “Give earth a chance”. The environmental movement and the sixties », &lt;em&gt;The Journal of American History&lt;/em&gt;, septembre 2003.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. <em>Silent Spring </em>de Rachel Carson est un best-seller dès 1962. Le slogan « Give earth a chance » est quant à lui directement calqué sur « Give peace a chance ». Un mouvement aussi complexe que le mouvement écologiste est forcément le produit de processus multiples et discordants.</p>
<p>L’esthétique du sublime, dont la forme moderne est fixée par Edmund Burke et par Kant, participe de la tendance à sacraliser la nature. Que Burke ait été le premier et le plus intelligent des opposants à la Révolution française n’est pas fortuit. Les révolutions politiques modernes, de même que la révolution industrielle, se déroulent pour l’essentiel en milieu urbain. C’est dans les villes que l’« accélération » des temporalités caractéristiques de la vie moderne prend place<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Hartmut R&lt;span class=petite_capitale style=font-variant:small-caps;&gt;OSA&lt;/span&gt;, &lt;em&gt;Accélération. Une critique sociale du temps&lt;/em&gt;, La Découverte, Paris, 2010.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Le conservatisme de Burke est l’envers de cette accélération. Dans ses <em>Réflexions sur la révolution en France</em>, il lui oppose la constance des institutions d’Ancien Régime, elles qui ont passé le « test du temps ». La nature, dans ce contexte, devient peu à peu un havre de stabilité. Elle est le reflet inversé de la civilisation du capital. En ce sens, elle en est aussi un pur produit. Échappant pour un temps à l’aliénation du monde moderne, le bourgeois et/ou l’aristocrate (selon les pays) retrouve en elle une forme d’authenticité. La nature n’est certes pas partout et toujours connotée positivement au <span class="petite_capitale" style="font-variant:small-caps;">XIX</span><span class="exposant" style="vertical-align:super;">e</span> siècle, tant s’en faut. Il suffit de penser au mépris que lui voue Baudelaire, par exemple dans <em>Le Peintre de la vie moderne </em>(1863), et à sa célébration de l’artifice. Mais cette quête d’authenticité devient peu à peu, à cette époque, une « expérience de classe » – pour reprendre une terminologie employée par E. P. Thompson à un autre propos – adossée à une certaine représentation de la nature. Sont susceptibles de faire cette expérience ceux qui ont accès à cette dernière, qui en ont, en d’autres termes, le temps et les moyens. En sont exclus ceux qui doivent continuellement vendre leur force de travail pour vivre.</p>
<p>Avec le développement économique et l’accroissement des classes moyennes, en particulier lors des Trente Glorieuses, cette expérience de classe est rendue accessible, sous une forme certes altérée, à un nombre grandissant d’individus. La nature se démocratise. Les familles acquièrent une ou deux voitures, ce qui leur permet de se rendre dans les parcs naturels ou à la montagne. La « société de consommation » qui apparaît à ce moment-là inclut la consommation de la nature. Ce lien entre le consumérisme montant et la nature est évoqué par l’économiste John Kenneth Galbraith dès<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir John K. G&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ALBRAITH&lt;/span&gt;, &lt;em&gt;The Affluent Society&lt;/em&gt;, Harcourt, New York, 1998. Sur ce point, voir aussi Ramachandra G&lt;span class=petite_capitale style=font-variant:small-caps;&gt;UHA&lt;/span&gt;, « Radical American environmentalism and wilderness preservation. A third world critique », &lt;em&gt;Environmental Ethics&lt;/em&gt;, nº 11, 1989, p. 7.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a> . Une partie significative de la population demeure exclue de cette démocratisation, même après les Trente Glorieuses. Pour les plus pauvres et les moins blancs, l’environnement est au mieux une notion abstraite, au pire un argument employé par les pouvoirs publics pour détourner l’attention de leurs problèmes. Comme le dit Carl Stokes, maire de Cleveland de 1968 à 1971 et premier élu noir d’une grande ville américaine, « l’obsession de la nation pour l’environnement a rendu possible ce que George Wallace n’était pas parvenu à faire : détourner l’attention des problèmes des Noirs américains » (George Wallace était un démocrate de l’Alabama partisan de la ségrégation raciale)<a href="javascript:void(0);" class="note" onmouseover="return overlib('Cité par Eileen Maura M&lt;span class=petite_capitale style=font-variant:small-caps;&gt;C&lt;/span&gt;G&lt;span class=petite_capitale style=font-variant:small-caps;&gt;URTY&lt;/span&gt;, « From NIMBY to civil rights. The origins of the environmental justice movement », &lt;em&gt;loc. cit.&lt;/em&gt;, p. 305.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. L’idée que les problèmes « environnementaux » – étroitement définis – s’opposent aux revendications des minorités ethniques et du mouvement ouvrier est profondément ancrée à l’époque, comme elle l’est à bien des égards à l’heure actuelle.</p></div><div class="section1" id="niv1-014"><h3>… ET NATURALISER LA RACE</h3><p>Si la nature a fait l’objet de définitions de classe, de genre et de race aux <span class="petite_capitale" style="font-variant:small-caps;">XIX</span><span class="exposant" style="vertical-align:super;">e </span>et <span class="petite_capitale" style="font-variant:small-caps;">XX</span><span class="exposant" style="vertical-align:super;">e</span> siècles, elle a en retour participé à la construction et à la consolidation de ces catégories. Race, classe, genre et nature ont en d’autres termes fait l’objet d’une coconstruction à l’époque moderne. L’émergence de la <em>wilderness </em>au <span class="petite_capitale" style="font-variant:small-caps;">XIX</span><span class="exposant" style="vertical-align:super;">e</span> siècle est indissociable de celle, historiquement concomitante, de la <em>whiteness</em>, c’est-à-dire de la blancheur<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Carolyn M&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ERCHANT&lt;/span&gt;, « Shades of darkness. Race and environmental history », &lt;em&gt;Environmental History&lt;/em&gt;, vol. 8, nº 3, 2003. Voir aussi de la même auteure, &lt;em&gt;The Death of Nature. Women, Ecology, and The Scientific Revolution&lt;/em&gt;, Harper, New York, 1990.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. La ville est sale et sombre, et c’est là que l’on trouve ces individus sales et sombres par excellence que sont les Noirs, les immigrés (irlandais, italiens, polonais…) et les ouvriers, qui sont d’ailleurs souvent les mêmes personnes. Dans son histoire environnementale des États-Unis, Mark Fiege revient sur l’histoire urbaine de la ville de Topeka, la capitale de l’État du Kansas<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Mark F&lt;span class=petite_capitale style=font-variant:small-caps;&gt;IEGE&lt;/span&gt;, &lt;em&gt;The Republic of Nature. An Environmental History of the United States&lt;/em&gt;, &lt;em&gt;op. cit.&lt;/em&gt;, chap. 8.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Il s’agit d’une ville importante dans l’émergence du mouvement des droits civiques, puisque c’est à propos de ses écoles que la Cour suprême des États-Unis a rendu en 1954 l’arrêt <em>Brown</em></p>
<p><em>v. Board of Education</em>, mettant fin à la ségrégation raciale dans les établissements scolaires.</p>
<p>À Topeka, les quartiers noirs se situent systématiquement en bas de la ville, dans les zones inondables. Les quartiers plus riches se trouvent au contraire pour la plupart sur les hauteurs de la ville. Dans les premières décennies du <span class="petite_capitale" style="font-variant:small-caps;">XX</span><span class="exposant" style="vertical-align:super;">e</span> siècle, 60 % des victimes d’inondations sont noires, un phénomène que l’on a observé encore un siècle plus tard à La Nouvelle-Orléans, à l’occasion du passage de l’ouragan Katrina. Aujourd’hui, un constat du même ordre peut d’ailleurs être fait à l’échelle du « bidonville global »<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Mike D&lt;span class=petite_capitale style=font-variant:small-caps;&gt;AVIS&lt;/span&gt;, &lt;em&gt;Planet of Slums&lt;/em&gt;, Verso, Londres, 2007.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Les noms des quartiers noirs de Topeka évoquent ainsi la noirceur, la saleté ou la bassesse : ils s’appellent Mudtown ou Bottoms. Dans les représentations ordinaires de l’époque, les analogies avec le caractère ou l’aspect des personnes qui y vivent sont fréquentes. La fin du <span class="petite_capitale" style="font-variant:small-caps;">XIX</span><span class="exposant" style="vertical-align:super;">e </span>et le début du <span class="petite_capitale" style="font-variant:small-caps;">XX</span><span class="exposant" style="vertical-align:super;">e</span> siècle correspondent à la naissance des sciences sociales, dans lesquelles l’influence de l’environnement sur les individus est de plus en plus affirmée, y compris chez des théoriciens de la libération noire comme W.E.B. Du Bois<a href="javascript:void(0);" class="note" onmouseover="return overlib('Sur les analogies entre le caractère des personnages et l’environnement dans lequel ils se meuvent dans la littérature du &lt;span class=petite_capitale style=font-variant:small-caps;&gt;XIX&lt;/span&gt;&lt;span class=exposant style=vertical-align:super;&gt;e&lt;/span&gt; siècle, et particulièrement chez Balzac, voir Franco M&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ORETTI&lt;/span&gt;, &lt;em&gt;The Bourgeois. Between History and Literature&lt;/em&gt;, Verso, Londres, 2013, p. 92.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>.</p>
<p>La blancheur, <em>whiteness</em>, est l’antonyme de cette saleté et de cette sombreur, elle est synonyme de pureté<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir à ce propos Maxime C&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ERVULLE&lt;/span&gt;, « L’identité blanche et sa critique. Les &lt;em&gt;critical white studies &lt;/em&gt;en débat », &lt;em&gt;in &lt;/em&gt;Maxime Q&lt;span class=petite_capitale style=font-variant:small-caps;&gt;UIJOUX &lt;/span&gt;&lt;em&gt;et al.&lt;/em&gt;, &lt;em&gt;Cultures et inégalités. Enquête sur les dimensions culturelles des rapports sociaux&lt;/em&gt;, L’Harmattan, Paris, 2011.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Cette pureté caractérise non seulement les classes dominantes blanches et leurs quartiers, mais également la nature, qui est leur espace privilégié. Comme le dit John Muir, le fondateur du Sierra Club, « rien de véritablement sauvage n’est impur » (<em>nothing truly wild is unclean</em>), l’impureté étant un mal né dans la civilisation, en ville. Muir n’est bien sûr pas l’inventeur de cette idée. On la trouve sous une forme différente, un siècle plus tôt, chez Rousseau<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Jean S&lt;span class=petite_capitale style=font-variant:small-caps;&gt;TAROBINSKI&lt;/span&gt;, &lt;em&gt;Jean-Jacques Rousseau : la transparence et l’obstacle&lt;/em&gt;, Gallimard, Paris, 1976, chap. 2.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. La différence est qu’avec la montée en puissance des catégories raciales tout au long du <span class="petite_capitale" style="font-variant:small-caps;">XIX</span><span class="exposant" style="vertical-align:super;">e</span> siècle, aux États-Unis mais aussi plus généralement, cette idée entre en interaction et s’enracine dans un système politique et économique racialisé. <em>Wilderness </em>et <em>whiteness </em>sont donc deux catégories – plus précisément deux <em>institutions </em>– qui se soutiennent l’une l’autre.</p>
<p>La nature états-unienne n’est « pure » que dans la mesure où ce groupe sale et sombre par excellence que sont les Amérindiens en a été extirpé. En même temps que les Noirs mais selon des modalités différentes, ceux-ci sont les grands exclus de la « nature » en voie de construction à cette époque. Cette exclusion par le massacre ou le placement dans des réserves est une condition pour que des touristes blancs de classes moyennes et supérieures puissent expérimenter l’authenticité des rivières, canyons, forêts, montagnes, animaux sauvages, etc. Comme dit Carolyn Merchant, il y a donc une <em>histoire environnementale de la race</em>, autrement dit la blancheur et l’expérience de soi qui l’accompagne sont définies environnementalement<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Carolyn M&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ERCHANT&lt;/span&gt;, « Shades of darkness. Race and environmental history », &lt;em&gt;loc. cit.&lt;/em&gt;, p. 380.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>.</p>
<p>Cette histoire environnementale de la race entretient des rapports complexes avec le genre. Certaines épistémologies féministes actuelles établissent volontiers une analogie entre la domination de l’homme sur la femme et la domination de l’homme sur la nature. De ce point de vue, le développement économique, mais aussi la connaissance scientifique sont rendus possibles par l’assujettissement de la nature – au double sens de « dominer » et de « prendre pour sujet d’étude » – et par l’asservissement des femmes. Cet asservissement s’exprime, en matière économique, par l’exploitation dont elles sont l’objet dans le foyer familial et, dans le domaine scientifique, par l’exclusion de formes de savoirs (supposées) « féminines » de la connaissance scientifique légitime.</p>
<p>La nature complique les relations d’« engendrement mutuel » existant entre les catégories raciales et les catégories sexuelles depuis le <span class="petite_capitale" style="font-variant:small-caps;">XVIII</span><span class="exposant" style="vertical-align:super;">e</span> siècle<a href="javascript:void(0);" class="note" onmouseover="return overlib('Elsa D&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ORLIN&lt;/span&gt;, &lt;em&gt;La Matrice de la race. Généalogie sexuelle et coloniale de la Nation française&lt;/em&gt;, La Découverte, Paris, 2009.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Comme l’a montré Elsa Dorlin, le rapport entre ces dernières est d’une part analogique, c’est-à-dire que leur coconstruction s’opère par rapprochement et différenciation.</p>
<p>Mais il est aussi historique, les catégories raciales étant pour une part dérivées des catégories sexuelles, d’où l’idée de « matrice de la race », qui donne son titre à un ouvrage de Dorlin. Ainsi, la différenciation entre les sexes est l’un des critères qui permettent de hiérarchiser les races au seuil de l’époque moderne. Si les Africains sont considérés comme une race inférieure, c’est parce que les hommes africains sont imberbes, c’est-à-dire peu différenciés des femmes de la même race. Une analyse plus fine doit pouvoir établir ce qui, dans le rapport entre la nature et ces autres formes de catégorisation, est de l’ordre de l’analogie ou de la dérivation. Il n’est pas dit que l’analyse soit la même pour chaque pays, le contraire est même certain. Car ce rapport prend place dans des histoires nationales et des dispositifs étatiques singuliers.</p></div><div class="section1" id="niv1-015"><h3>EXPORTER L’ENVIRONNEMENT</h3><p>La nature et l’expérience de classe qui en est indissociable, les impérialistes occidentaux les ont exportées tout au long du <span class="petite_capitale" style="font-variant:small-caps;">XX</span><span class="exposant" style="vertical-align:super;">e</span> siècle de par le monde. Des organisations telles que le WWF (World Wildlife Fund, fondé dans les années 1960) ont diffusé le modèle américain des parcs naturels, en alliance plus ou moins étroite avec les élites des pays concernés, en Asie et en Afrique notamment. L’installation de ces parcs naturels s’est souvent faite sans égard pour les populations locales, le plus souvent pauvres et sans influence politique. L’historien indien Ramachandra Guha raconte ainsi la façon dont le « Project Tiger », qui préconisait dans les années 1970 la création de réserves où le tigre du Bengale serait protégé, a conduit au déplacement de nombreux villages et de leurs habitants<a href="javascript:void(0);" class="note" onmouseover="return overlib('Ramachandra G&lt;span class=petite_capitale style=font-variant:small-caps;&gt;UHA&lt;/span&gt;, « Radical American environmentalism and wilderness preservation. A third world critique », &lt;em&gt;loc. cit.&lt;/em&gt;, p. 2. Sur l’histoire des parcs nationaux en France, voir Adel S&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ELMI&lt;/span&gt;, « L’émergence de l’idée de parc national en France. De la protection des paysages à l’expérimentation coloniale », &lt;em&gt;in &lt;/em&gt;Raphaël L&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ARRÈRE &lt;/span&gt;&lt;em&gt;et al.&lt;/em&gt;, &lt;em&gt;Histoire des parcs nationaux. Comment prendre soin de la nature ?&lt;/em&gt;, Éditions Quæ, Paris, 2009 ; Florian C&lt;span class=petite_capitale style=font-variant:small-caps;&gt;HARVOLIN&lt;/span&gt;, « L’affaire de la Vanoise et son analyste. Le document, le bouquetin et le parc national », &lt;em&gt;Vingtième siècle&lt;/em&gt;, vol. 11, nº 2, 2012.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Leprocessus à l’œuvre dans le comté de Warren l’est également ici, sous d’autres latitudes : la construction d’une nature intacte et de l’expérience de classe qu’elle rend possible – les tigres sont offerts à la contemplation des élites indienne et internationale – suppose la dépossession de pans entiers de la population. Elle implique aussi la restriction de l’écologie à des questions de préservation ou de conservation. Comme les résidents du comté de Warren ou de South Central, les populations indiennes sont confrontées à des problèmes environnementaux de grande ampleur : pollution, pénurie d’eau et de combustible, érosion des sols, sécheresse, etc. Avec le changement climatique, ces problèmes ne cessent de s’accroître. Mais ils n’entrent pas dans le champ des préoccupations environnementalistes légitimes.</p>
<p>L’implantation de ce modèle s’appuie sur une longue histoire d’écologie coloniale ou d’« impérialisme vert<a href="javascript:void(0);" class="note" onmouseover="return overlib('Pour une conception de longue durée de l’impérialisme écologique, voir Alfred W. C&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ROSBY&lt;/span&gt;, &lt;em&gt;Ecological Imperialism. The Biological Expansion of Europe. 900-1900&lt;/em&gt;, Cambridge University Press, Cambridge, 2004', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a> ». C’est ce qu’illustre le cas du Kenya. Des politiques de conservation de la nature sont introduites dans ce pays par les Britanniques dès la fin du <span class="petite_capitale" style="font-variant:small-caps;">XIX</span><span class="exposant" style="vertical-align:super;">e</span> siècle<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Reuben M&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ATHEKA&lt;/span&gt;, « The international dimension of the politics of wildlife conservation in Kenya, 1958-1968 », &lt;em&gt;Journal of Eastern African Studies&lt;/em&gt;, vol. 2, nº 1, 2008.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Elles reçoivent l’appui d’associations impériales privées, telles que la Société pour la préservation de la faune de l’Empire – devenue depuis Fauna and Flora International – dès le début du <span class="petite_capitale" style="font-variant:small-caps;">XX</span><span class="exposant" style="vertical-align:super;">e</span> siècle. Ces politiques entrent fréquemment en conflit avec les intérêts des populations locales. Elles empêchent par exemple le développement agricole de certaines régions, au détriment du bien-être des populations, réservant de vastes territoires à la chasse ou au safari. Elles condamnent à de lourdes amendes les atteintes illégales aux bêtes sauvages, y compris lorsque celles-ci menacent le bétail ou les humains, et ne prévoient guère de dédommagements en cas de décimation des troupeaux. Elles placent en outre l’usage des forêts et des sols sous le contrôle de l’autorité coloniale. C’est la raison pour laquelle elles donnent souvent lieu à des mouvements de contestation de la part des autochtones.</p>
<p>Lors de la décolonisation, les organisations environnementalistes internationales s’affairent afin que ces politiques de préservation ne soient pas remises en question. Les politiques économiques modernisatrices ou « développementalistes » souvent prônées par les régimes nouvellement indépendants leur font craindre une exploitation immodérée de la nature. Dès les années 1950, plusieurs conférences internationales sont ainsi organisées en Afrique, visant à convaincre les élites issues de la décolonisation de l’importance de la préservation de la nature pour le tourisme, ou en vue du développement économique. Une attitude « paternaliste » prévaut dans ce contexte, les organisations internationales pariant sur l’incapacité de ces pays à prendre soin de leurs ressources naturelles par eux-mêmes.</p>
<p>Les colonies puis les pays du tiers monde sont d’une part perçus par les Occidentaux comme l’<em>anti-wilderness </em>par excellence, c’est-à-dire comme sujets à la surpopulation, aux famines, à la guerre civile et à la dégradation environnementale. Lorsqu’ils sont vidés de leurs occupants, comme dans les parcs naturels, déserts, jungles et autres lieux supposés « vierges », ces espaces sont au contraire connotés positivement. La nature déchue participe <em>a contrario </em>de la construction de la nature dans les pays occidentaux. Si l’« orientalisme » est, comme le dit Edward Said, l’« Orient décrit par l’Occident », au sens où, au <span class="petite_capitale" style="font-variant:small-caps;">XIX</span><span class="exposant" style="vertical-align:super;">e</span> siècle, l’Occident se construit dans un rapport fantasmé et inversé à l’Orient, cet orientalisme concerne aussi la nature. Il suffit pour s’en convaincre de parcourir les pages de ce qui constitue l’un des principaux vecteurs de cette représentation de la nature « orientale » en Occident : le magazine <em>National Geographic</em>. <em>Veils and Daggers</em>, des voiles et des poignards, comme le dit le titre de l’ouvrage de la théoricienne féministe et postcoloniale Linda Steet, qui analyse la façon dont ce magazine a représenté photographiquement le monde arabe tout au long du <span class="petite_capitale" style="font-variant:small-caps;">XX</span><span class="exposant" style="vertical-align:super;">e</span> siècle<a href="javascript:void(0);" class="note" onmouseover="return overlib('Linda S&lt;span class=petite_capitale style=font-variant:small-caps;&gt;TEET&lt;/span&gt;, &lt;em&gt;Veils and Daggers. A Century of National Geographic’s Representation of the Arab World&lt;/em&gt;, Temple University Press, Philadelphie, 2000.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Depuis 1888, date de sa création aux États-Unis, le <em>National Geographic </em>– l’un des outils pédagogiques les plus utilisés dans les cours de géographie dans le monde – n’a cessé d’essentialiser l’Orient, de le renvoyer à un « primitivisme » originel et immuable.</p>
<p>Les ressources que renferment les colonies, puis les postcolonies, sont mises à contribution pour les besoins économiques et militaires des empires. L’impérialisme suppose la connaissance des ressources disponibles, ce qui explique qu’il ait été producteur de savoirs nouveaux – en botanique, géologie, anthropologie… – tout au long de l’époque moderne. Il implique aussi d’être à même de planifier le renouvellement et la circulation de ces ressources, notamment des colonies vers les métropoles. Comme on va le voir au chapitre III, la gestion du bois, des minerais et de l’eau notamment est déterminante sur le plan militaire. D’où l’idée avancée par certains historiens selon laquelle l’écologie, et même le concept moderne de nature, trouve l’une de ses origines dans la colonisation et, plus précisément, dans le contrôle de la nature des régions colonisées<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Richard H. G&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ROVE&lt;/span&gt;, &lt;em&gt;Green Imperialism. Colonial Expansion, Tropical Island, and the Origins of Environmentalism, 1600-1860&lt;/em&gt;, Cambridge University Press, Cambridge, 1996 ; Thomas R&lt;span class=petite_capitale style=font-variant:small-caps;&gt;OBERTSON&lt;/span&gt;, « This is the American earth. American empire, the cold war, and American environmentalism », &lt;em&gt;Diplomatic History&lt;/em&gt;, vol. 32, nº 4, septembre 2008.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Ce contrôle suppose de soustraire ces ressources des mains des autochtones, ce qui explique les discours « paternalistes » affirmant leur incapacité à en prendre soin. Les impérialismes écologique et culturel trouvent ici leur point de fusion. Dans le cas de l’empire américain, on assiste dans la seconde moitié du <span class="petite_capitale" style="font-variant:small-caps;">XX</span><span class="exposant" style="vertical-align:super;">e</span> siècle à la résurgence de puissants courants de pensée néomalthusiens, qui prennent aussi bien pour objet les pauvres américains que les populations du tiers monde<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir à ce propos Yannick M&lt;span class=petite_capitale style=font-variant:small-caps;&gt;AHRANE &lt;/span&gt;&lt;em&gt;et al.&lt;/em&gt;, « De la nature à la biosphère. L’invention politique de l’environnement global, 1945-1972 », &lt;em&gt;Vingtième siècle&lt;/em&gt;, vol. 113, nº 1, 2012.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. La publication en 1968 du best-seller de Paul Ehrlich, <em>The Population Bomb</em>, en est un exemple. Ce néomalthusianisme est concomitant de la période de la guerre froide, qui voit les deux superpuissances s’affronter dans le cadre de guerres par procuration (<em>proxy wars</em>) dans le tiers monde. Dans ce contexte, le contrôle sur les ressources naturelles est déterminant.</p>
<p>Le livre d’Ehrlich évoque non seulement les populations pauvres du Sud, mais également celles du Nord. Le néomalthusianisme, qui caractérise des pans importants du mouvement environnementaliste des années 1960, préconise un contrôle drastique des naissances, c’est-à-dire, comme chez Malthus lui-même, des naissances dans les classes sociales les plus basses et les minorités. C’est l’une des explications de la rupture qui s’installe, dès l’origine, entre le mouvement environnementaliste et le mouvement des droits civiques. Dès cette époque, un lien est également établi entre immigration et dégradation de l’environnement, la lutte contre la première se faisant notamment au nom de la préservation du second<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Fabien L&lt;span class=petite_capitale style=font-variant:small-caps;&gt;OCHER&lt;/span&gt;, « Les pâturages de la guerre froide : Garrett Hardin et la “Tragédie des communs” », &lt;em&gt;Revue d’histoire moderne et contemporaine&lt;/em&gt;, vol. 60-61, nº 1, 2013, p. 32 et suiv.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Dans les perspectives néomalthusiennes, l’opposition n’est donc pas (seulement) entre une nature intacte au centre et une nature dégradée dans les périphéries. La corruption atteint le centre lui-même, en ce que l’on y trouve des populations dont la natalité et l’impact sur l’environnement doivent être rigoureusement encadrés par l’État.</p></div><div class="section1" id="niv1-016"><h3>L’ÉCOLOGIE POLITIQUE QUI VIENT</h3><p>Si les associations environnementalistes traditionnelles ont du mal à reconnaître la dimension sociale de l’écologie, le mouvement ouvrier, de son côté, entretient depuis les origines un rapport ambivalent avec les problématiques environnementales. L’explosion de l’usine AZF de septembre 2001 évoquée ci-dessus a mis au jour une importante rupture entre les associations de défense des sinistrés et les syndicats. Le 21 mars 2002, soit six mois après l’explosion, l’ensemble des fédérations syndicales de la chimie manifeste à Toulouse, en défense de l’industrie chimique<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Patrick C&lt;span class=petite_capitale style=font-variant:small-caps;&gt;HASKIEL&lt;/span&gt;, « Syndicalisme et risque industriel. Avant et après la catastrophe de l’usine AZF de Toulouse (septembre 2001) », &lt;em&gt;Sociologie du travail&lt;/em&gt;, nº 49, 2007, p. 182.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. La banderole de tête déclare : « La chimie un besoin, la sécurité une exigence ». L’objet de la manifestation est l’amélioration de la sécurité des installations et la défense de l’emploi dans ce secteur, menacé par les mesures prises par les autorités et le groupe Total, auquel appartenait l’usine, à la suite de la catastrophe. Le redémarrage des parties intactes de l’usine, après renforcement des mesures de sécurité, est demandé par les syndicats. Des salariés des entreprises sous-traitantes de l’usine sont également présents lors de cette manifestation.</p>
<p>Deux jours plus tard, le collectif « Plus jamais ça, ni ici ni ailleurs » manifeste au même endroit. Ce collectif regroupe les riverains et les victimes de l’explosion, ainsi que des associations, notamment environnementales. Son objectif est d’obtenir la fermeture définitive de l’usine, seule à même à ses yeux de garantir la sécurité des habitants. Il se révèle que Total avait l’intention de fermer l’usine dès avant l’explosion, du fait de sa rentabilité insuffisante, réelle ou supposée. Comme l’a dit alors avec à propos un commentateur, « l’explosion fait le larron<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir &lt;em&gt;Lutte ouvrière&lt;/em&gt;, nº 1757, 29 mars 2002.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a> ». C’est la raison pour laquelle les syndicats perçoivent l’existence d’une alliance « objective » entre ces associations et le patron, tous deux ayant intérêt pour des raisons différentes à la fermeture de l’usine.</p>
<p>Cette rupture est révélatrice d’une division qui a structuré le champ politique au <span class="petite_capitale" style="font-variant:small-caps;">XX</span><span class="exposant" style="vertical-align:super;">e</span> siècle. Aux syndicats la défense des emplois et de l’industrie qui les procure, à l’exclusion parfois d’autres préoccupations, comme la sécurité des riverains ou des salariés eux-mêmes. Aux associations environnementales et leurs alliés, la lutte contre les pollutions, les risques industriels et autres effets néfastes générés par la production économique. Le syndicalisme s’est historiquement construit sur la croyance en les effets bénéfiques du développement des « forces productives » et en ses conséquences positives sur la condition salariale. C’est particulièrement vrai, en France, de la CGT. La période qui va de 1936 à 1945, du Front populaire au programme du Conseil national de la Résistance, est déterminante dans la formation de l’identité syndicale de la CGT<a href="javascript:void(0);" class="note" onmouseover="return overlib('Danielle T&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ARTAKOWSKY&lt;/span&gt;, « La CGT, du hors-travail au “cadre de vie” », &lt;em&gt;in &lt;/em&gt;Joël H&lt;span class=petite_capitale style=font-variant:small-caps;&gt;EDDE &lt;/span&gt;(dir.), &lt;em&gt;La CGT de 1966 à 1984 : l’empreinte de mai 1968&lt;/em&gt;, Institut CGT d’histoire sociale, Montreuil, 2009', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. En 1946, au sortir de la guerre, le syndicat consacre un document à la relance de l’appareil productif du pays dans lequel figure, connotée positivement, l’idée d’« asservir la nature » au service de cette relance<a href="javascript:void(0);" class="note" onmouseover="return overlib('Renaud B&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ÉCOT&lt;/span&gt;, « L’invention syndicale de l’environnement dans la France des années 1960 », &lt;em&gt;Vingtième siècle&lt;/em&gt;, vol. 113, nº 1, 2012, p. 171.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Une lecture « productiviste » du marxisme, très influente tout au long du <span class="petite_capitale" style="font-variant:small-caps;">XX</span><span class="exposant" style="vertical-align:super;">e</span> siècle, notamment parce qu’elle est adossée au modèle soviétique, a également joué un rôle. La rigidification de la distinction entre le travail et le « hors travail » a elle aussi été déterminante. Elle a induit une coupure nette entre, d’un côté, les syndicats, dont l’objet est le travail et, de l’autre, les « associations », dont le domaine de prédilection est le « hors travail » ou la société civile, sous-entendu le travail ne relève pas de cette dernière<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir par exemple Darryn S&lt;span class=petite_capitale style=font-variant:small-caps;&gt;NELL &lt;/span&gt;et Peter F&lt;span class=petite_capitale style=font-variant:small-caps;&gt;AIRBROTHER&lt;/span&gt;, « Unions as environnemental actors », &lt;em&gt;Transfer. European Review of Labour and Research&lt;/em&gt;, nº 16, 2010.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>.</p>
<p>Ce constat doit cependant être nuancé, le lien entre le syndicalisme – le mouvement ouvrier en général – et les questions environnementales étant complexe. D’abord, les salariés et leurs syndicats sont parfaitement conscients des risques industriels. Et pour cause : ils sont en première ligne pour en subir les conséquences. Dans une usine comme AZF, il y a les grosses catastrophes comme celle de septembre 2001 mais aussi les accidents plus « ordinaires » : fuites, intoxications, incendies, petites explosions<a href="javascript:void(0);" class="note" onmouseover="return overlib('Patrick C&lt;span class=petite_capitale style=font-variant:small-caps;&gt;HASKIEL&lt;/span&gt;, « Syndicalisme et risque industriel. Avant et après la catastrophe de l’usine AZF de Toulouse (septembre 2001) », &lt;em&gt;loc. cit.&lt;/em&gt;, p. 184', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>… De tels accidents sont fréquents. S’ils devaient conduire à chaque fois à l’interruption de la production, conformément à ce que préconisent les règlements en matière de sécurité au travail, elle le serait constamment. Conséquence : les salariés de ces usines développent « sur le tas » un savoir-faire sophistiqué, permettant la gestion « informelle » de ces accidents. La créativité et le courage des travailleurs sont des conditions du fonctionnement de ce type d’installations, comme ils le sont dans le processus industriel en général. Ils sont souvent conduits pour cela à prendre des risques importants pour leur santé et celle de leurs collègues. Or, même si elle est rarement reconnue comme telle, notamment par le mouvement écologiste dominant, la santé au travail constitue une problématique écologique de plein droit, tout comme l’installation d’un incinérateur ou le bruit anormalement élevé dans un quartier populaire avoisinant un aéroport<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir à ce propos Guillaume F&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ABUREL &lt;/span&gt;et Isabelle M&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ALEYRE&lt;/span&gt;, « Le bruit des avions comme facteur de dépréciations immobilières, de polarisation sociale et d’inégalités environnementales. Le cas d’Orly », &lt;em&gt;Développement durable et territoire&lt;/em&gt;, nº 9, 2007.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. La santé du salarié est le reflet ou l’interface de son rapport à l’environnement, que celui-ci soit technique, naturel, légal, ou les trois à la fois. Dès lors que ce fait est reconnu, la rupture entre le syndical et l’écologique paraît déjà moins profonde.</p>
<p>Les syndicats prennent par ailleurs conscience, au cours des années 1960, de l’importance des thématiques écologiques. Cette prise de conscience s’opère, en France et ailleurs, sous l’impulsion des mouvements sociaux qui s’en réclament. Si des fractions importantes du mouvement ouvrier se méfient des mouvements écologistes, celui-ci n’est pas systématiquement hermétique aux idées qu’ils avancent, surtout lorsqu’elles rejoignent les préoccupations liées au risque professionnel que nous venons d’évoquer. Les syndicats intègrent progressivement certaines thématiques écologiques à leur logiciel, par l’entremise notamment de la notion de « cadre de vie ». La première occurrence de cette notion dans la presse syndicale semble remonter à 1965. Elle apparaît dans l’hebdomadaire de la CFDT <em>Syndicalisme Hebdo</em><a href="javascript:void(0);" class="note" onmouseover="return overlib('Renaud B&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ÉCOT&lt;/span&gt;, « L’invention syndicale de l’environnement dans la France des années 1960 », &lt;em&gt;loc. cit.&lt;/em&gt;, p. 174. Dans les années 1970, la CFDT est également engagée dans le mouvement antinucléaire, pour lequel elle produit notamment de la contre-expertise. Voir à ce propos Sezin T&lt;span class=petite_capitale style=font-variant:small-caps;&gt;OPÇU&lt;/span&gt;, « Critique du nucléaire et gouvernement de l’opinion », propos recueillis par Fabien Locher, &lt;em&gt;Contretemps&lt;/em&gt;, 13 juillet 2011.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a> et désigne tout ce qui relève du logement, des transports, de la culture, de la « qualité » ou du « cadre » de vie, des « nuisances » (pollutions, bruits…). Le « cadre de vie », ce n’est pas seulement le « hors travail »<a href="javascript:void(0);" class="note" onmouseover="return overlib('Danielle T&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ARTAKOWSKY&lt;/span&gt;, « La CGT, du hors-travail au “cadre de vie” », &lt;em&gt;loc. cit&lt;/em&gt;', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Il permet justement de penser le lien entre le travail et le hors-travail, de mettre en question la séparation entre eux, de considérer l’individu autrement que sous le seul aspect du salariat. Il suppose par conséquent un affaiblissement relatif de cette distinction.</p>
<p>La notion de « cadre de vie » se nourrit de toute une production théorique particulièrement dynamique sur cette question. Les travaux de Michel de Certeau, André Gorz, ou ceux plus anciens de Henri Lefebvre – dont le premier volume de la <em>Critique de la vie quotidienne </em>paraît à la fin des années 1940 – en sont des exemples. Les syndicats les plus proches des « nouveaux mouvements sociaux » comme la CFDT ne sont pas les seuls concernés. Des débats sur le « cadre de vie » ont lieu au sein même de la CGT dès le début des années 1970. Il est intéressant de constater que cette notion y est discutée principalement dans la période et en lien avec la stratégie de l’Union de la gauche, entre 1972 et 1977. Celle-ci conduit les syndicats à se politiser, autrement dit à renoncer à une stricte délimitation entre le social, domaine de compétence des syndicats, et le politique, domaine de compétence des partis. La « désectorisation » – pour parler comme Michel Dobry – que l’on constate dans le sillage de mai 1968 favorise la circulation de ce type de thématiques à travers les champs sociaux<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Michel D&lt;span class=petite_capitale style=font-variant:small-caps;&gt;OBRY&lt;/span&gt;, &lt;em&gt;Sociologie des crises politiques. La dynamique des mobilisations multisectorielles&lt;/em&gt;, Presses de Sciences Po, Paris, 1992.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. La notion d’« environnement » elle-même, certes dotée d’un sens assez vague, apparaît dans des textes de congrès de la CGT dès 1972.</p>
<p>Les mouvements écologistes ne sont pas les seuls à avoir influé sur le mouvement ouvrier en matière environnementale. Les luttes de décolonisation ont elles aussi contribué à sa prise en considération des thématiques écologiques<a href="javascript:void(0);" class="note" onmouseover="return overlib('Renaud B&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ÉCOT&lt;/span&gt;, « L’invention syndicale de l’environnement dans la France des années 1960 », &lt;em&gt;loc. cit.&lt;/em&gt;, p. 172.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Dès les années 1950, on trouve dans la presse syndicale une dénonciation du pillage des ressources naturelles des colonies, notamment de l’Algérie. Dans une note au Conseil économique et social de 1955, un délégué de la CFTC regrette par exemple les effets délétères des travaux d’irrigation conduits par l’État français en termes de déboisement et d’érosion des sols. L’exploitation des populations coloniales et celle de la nature sont souvent dénoncées conjointement, la dégradation de la nature étant présentées comme l’une des causes de la pauvreté de ces dernières.</p>
<p>L’hybridation entre luttes syndicales et environnementales s’est poursuivie au cours des années récentes. Il ne fait pas de doute que l’efficacité des mouvements d’émancipation au <span class="petite_capitale" style="font-variant:small-caps;">XXI</span><span class="exposant" style="vertical-align:super;">e</span> siècle dépendra en large part de l’approfondissement de cette hybridation. Dans le cadre d’alliances avec des associations telles qu’AC ! (Agir ensemble contre le chômage) ou l’APEIS (Association pour l’emploi, l’information et la solidarité des chômeurs et travailleurs précaires), la CGT Énergie se livre depuis le début des années 2000 à des « opérations Robin des Bois »<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Sophie B&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ÉROUD&lt;/span&gt;, « Les opérations “Robin des Bois” au sein de la CGT Énergie. Quand la cause des chômeurs et des “sans” contribue à la redéfinition de l’action syndicale », &lt;em&gt;Revue française de science politique&lt;/em&gt;, vol. 59, nº 1, 2009.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Ces opérations consistent à refuser de couper le courant, ou à le rétablir, dans les foyers privés d’électricité du fait de leur incapacité à payer leurs factures. Il s’agit donc d’actions contre ce que nous avons appelé ci-dessus la « pauvreté énergétique », à savoir la difficulté que rencontrent les foyers paupérisés à assumer financièrement un approvisionnement minimal en énergie. Ces opérations s’accompagnent parfois de coupures de courant au domicile de patrons ou d’élus favorables à la privatisation d’EDF. Elles ont principalement eu lieu lors de la mobilisation contre cette privatisation en 2004. Leur objectif est de montrer que la privatisation de l’entreprise conduira à une augmentation du prix de l’électricité, dont souffriront les plus pauvres. Il s’agit d’indiquer que cette lutte n’est pas un mouvement « corporatiste », de seule défense du statut des salariés d’EDF.</p>
<p>Les opérations « Robin des Bois » témoignent de la résurgence à l’heure actuelle de « répertoires d’action » antérieurs à l’émergence du mouvement ouvrier moderne dans la seconde moitié du <span class="petite_capitale" style="font-variant:small-caps;">XIX</span><span class="exposant" style="vertical-align:super;">e</span> siècle. Ces opérations se rapprochent de ce qu’Eric Hobsbawm a classiquement nommé les « bandits sociaux »<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Eric H&lt;span class=petite_capitale style=font-variant:small-caps;&gt;OBSBAWM&lt;/span&gt;, &lt;em&gt;Les Bandits&lt;/em&gt;, Zones-La Découverte, Paris, 2008.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Il s’agit de prendre aux riches pour donner aux pauvres, en s’appuyant pour cela sur une conception « morale » de la justice sociale. Les agents EDF se livrent à ce type d’opérations depuis toujours. Jusqu’ici cependant, elles relevaient de l’initiative individuelle, et n’étaient pas publiquement assumées par le syndicat.</p>
<p>Ces actions présentent une affinité très nette avec le mouvement pour la justice environnementale, même si elles sont menées dans un cadre syndical. Comme le dit un responsable de la CGT Énergie, « dans les quartiers où on ne pouvait plus entrer parce que les véhicules bleus sont synonymes de coupure (les gars entraient là-dedans avec la peur au ventre et ils se faisaient caillasser), on réinvestit les quartiers à visage découvert […]<a href="javascript:void(0);" class="note" onmouseover="return overlib('Sophie B&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ÉROUD&lt;/span&gt;, « Les opérations “Robin des Bois” au sein de la CGT Énergie. Quand la cause des chômeurs et des “sans” contribue à la redéfinition de l’action syndicale », &lt;em&gt;loc. cit.&lt;/em&gt;, p. 108.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a> ». Les opérations « Robin des Bois » permettent donc d’abattre la frontière qui sépare le syndical de l’environnemental, en l’occurrence d’une problématique énergétique. Elles permettent par la même occasion de nouer des liens avec des secteurs de la population souvent étrangers à l’action syndicale, en particulier dans les quartiers populaires, qui sont aussi des quartiers où l’on trouve une forte proportion de minorités ethnoraciales. Il s’agit donc, entre autres choses, d’une forme de lutte contre le racisme environnemental. C’est là, dans l’hybridation des luttes et la construction d’alliances inédites, que se joue l’avenir de l’écologie politique.</p></div><div class="section1" id="niv1-017"><h3>CONCLUSION</h3><p>Récapitulons. Les inégalités environnementales constituent une donnée structurante des rapports de force politiques à l’époque moderne. Elles impliquent que les conséquences néfastes du développement capitaliste ne sont pas subies de la même manière, au même degré, par tous les secteurs de la population. Ces inégalités précèdent de beaucoup la crise écologique actuelle.</p>
<p>Celle-ci tend cependant à les aggraver, comme on va le voir dans un instant. Une forme particulière d’inégalité écologique a retenu notre attention ici : le racisme environnemental. Mais comprendre ce dernier suppose de prendre en considération d’autres logiques inégalitaires, la classe et le genre en particulier.</p>
<p>Toute la question, à partir de là, est de déterminer quels moyens le capitalisme met en œuvre pour amortir ou gérer les conflits qui résultent des inégalités écologiques, en particulier lorsqu’ils s’intensifient du fait de la crise environnementale. Le capitalisme est générateur de crise, mais il produit aussi des « anticorps » à la crise, qui lui permettent d’en amortir les effets et, au passage, d’en tirer profit. Le chapitre II a pour objet l’un des plus importants de ces « anticorps », qui a lui aussi une longue histoire, mais dont l’importance ne cesse de s’accroître à mesure que s’approfondit la crise écologique : l’assurance des risques climatiques, l’une des formes que revêt aujourd’hui la finance environnementale.</p></div></div></div>


<div class="chapitre" id="chap-002"><div class="chap_debut"><!--debut--></div><h3><span><b>II. FINANCIARISER LA NATURE : L’ASSURANCE DES RISQUES CLIMATIQUES</b></span></h3><div class="exergue"><div class="exer"><p class="txt_courant_justif last">La nature s’arrête de respirer dans le corps des marchandises.</p>
<p>Alfred S<span class="petite_capitale" style="font-variant:small-caps;">OHN</span>-R<span class="petite_capitale" style="font-variant:small-caps;">ETHEL</span></p></div></div><div class="dev"><p>En 1781, non loin de la Jamaïque, le <em>Zong</em>, un bateau négrier affrété par une compagnie marchande basée à Liverpool, jette par-dessus bord 133 esclaves<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Ian B&lt;span class=petite_capitale style=font-variant:small-caps;&gt;AUCOM&lt;/span&gt;, &lt;em&gt;Specters of the Atlantic. Finance Capital, Slavery, and the Philosophy of History&lt;/em&gt;, Duke University Press, Durham, chap. 3.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Le capitaine justifie son geste : des aléas étant survenus depuis le départ de São Tomé, sur la côte ouest de l’Afrique, le voyage a été plus long que prévu, les vivres et l’eau sont venus à manquer et les maladies menaçaient d’emporter l’équipage. Pour le sauver, il fallait se délester d’une partie des esclaves. Quelque temps plus tard, en Angleterre, les propriétaires du bateau réclament à leur assureur d’être dédommagés pour la perte de leurs esclaves. Comme toujours dans ce genre de cas, ils avaient contracté une police d’assurance couvrant toute la cargaison du bateau. Lors du procès qui se tient à Londres en 1783, ce massacre est traité non comme un cas de meurtre, le meurtre de 133 esclaves, mais comme un litige assurantiel portant sur le bien-fondé du dédommagement, les esclaves étant juridiquement assimilés à un « chargement » (ou « cargo »). Les propriétaires du navire perdirent leur procès contre l’assureur, au motif qu’une quantité raisonnable d’eau et de vivres était encore disponible sur le bateau au moment des faits et que le retard pris par le navire était dû à des erreurs de pilotage du capitaine, et était donc évitable. Le calcul de ce dernier avait été que le montant de l’assurance serait supérieur à celui qu’il aurait obtenu en vendant les esclaves à son arrivée aux Amériques. Ce massacre suscita l’émotion de nombre de contemporains. C’est l’un des actes fondateurs du mouvement pour l’abolition de l’esclavage.</p>
<p>L’épisode du <em>Zong </em>démontre que la colonisation et l’esclavage sont depuis toujours liés au secteur de l’assurance. L’aventure impériale est trop risquée à l’époque pour que des investisseurs s’y lancent sans filet. L’impérialisme britannique – et avant lui, les cycles d’accumulation génois et hollandais<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Giovanni A&lt;span class=petite_capitale style=font-variant:small-caps;&gt;RRIGHI&lt;/span&gt;, &lt;em&gt;The Long Twentieth Century&lt;/em&gt;, &lt;em&gt;op. cit.&lt;/em&gt;', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a> – est un impérialisme des océans. Depuis les origines, il rencontre sur sa route des obstacles et est en particulier sujet aux aléas climatiques. L’expansion mondiale du capital suppose, de ce fait, la mise en place d’un dispositif de protection de l’investissement<a href="javascript:void(0);" class="note" onmouseover="return overlib('Sur l’idéologie de l’« aventure » qui accompagne le risque inhérent à l’expansion mondiale du capitalisme aux &lt;span class=petite_capitale style=font-variant:small-caps;&gt;XVII&lt;/span&gt;&lt;span class=exposant style=vertical-align:super;&gt;e &lt;/span&gt;et &lt;span class=petite_capitale style=font-variant:small-caps;&gt;XVIII&lt;/span&gt;&lt;span class=exposant style=vertical-align:super;&gt;e&lt;/span&gt; siècles, voir Franco M&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ORETTI&lt;/span&gt;, &lt;em&gt;The Bourgeois&lt;/em&gt;, &lt;em&gt;op. cit.&lt;/em&gt;, chap. 1. &lt;em&gt;Robinson Crusoe &lt;/em&gt;de Daniel Defoe (1719) est l’une des premières incarnations littéraires de cette idéologie.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Ce dispositif n’est autre que l’assurance (et la finance plus généralement), qui sécurise les marchandises et permet que, même lorsqu’elles viennent à être détruites dans des naufrages, incendies, épidémies, pillages, etc., quelque chose de leur valeur capitaliste subsiste, c’est-à-dire que l’investisseur empoche un dédommagement.</p>
<p>Que l’assurance moderne ait pris son essor au <span class="petite_capitale" style="font-variant:small-caps;">XVII</span><span class="exposant" style="vertical-align:super;">e</span> siècle dans le domaine de l’assurance maritime n’est en ce sens guère étonnant. En plus d’une valeur d’échange et d’une valeur d’usage, les marchandises ont une « valeur assurantielle ». Elles génèrent de la valeur en tant qu’elles sont assurées, en tant que le moment de leur destruction possible est anticipé<a href="javascript:void(0);" class="note" onmouseover="return overlib('Ian B&lt;span class=petite_capitale style=font-variant:small-caps;&gt;AUCOM&lt;/span&gt;, &lt;em&gt;Specters of the Atlantic&lt;/em&gt;, &lt;em&gt;op. cit.&lt;/em&gt;, p. 104.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Dans le cas du <em>Zong</em>, l’extraction de « valeur assurantielle » porte sur des êtres humains transformés en esclaves, c’est-à-dire en marchandises, mais le capitalisme est susceptible d’assujettir toute entité à ce processus.</p>
<p>L’assurance des risques naturels remonte au seuil de l’époque moderne et même sans doute à l’Antiquité. Dès le <span class="petite_capitale" style="font-variant:small-caps;">XVI</span><span class="exposant" style="vertical-align:super;">e</span> siècle, alors que la découverte des Amériques et l’amélioration des techniques de navigation propulsent l’Europe sur les océans, on assure les bateaux et leurs cargaisons contre l’éventualité d’un naufrage<a href="javascript:void(0);" class="note" onmouseover="return overlib('Olivier G&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ODARD &lt;/span&gt;&lt;em&gt;et al.&lt;/em&gt;, &lt;em&gt;Traité des nouveaux risques&lt;/em&gt;, Gallimard, Paris, 2002, p. 363.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Ce qu’on appelle alors avec à propos le « prêt à la grosse aventure » permet aux armateurs d’éviter la faillite suite à la perte d’un navire. Le principe est simple : le prêteur verse un montant à l’armateur, de l’ordre du prix de sa cargaison. Si la cargaison arrive à bon port, celui-ci lui rend son argent augmenté des intérêts. En cas de naufrage, il le garde. Les mers sont loin d’être encore sécurisées à l’époque, si bien qu’elles font peser un risque constant sur la circulation internationale des marchandises. L’accroissement vertigineux des flux de biens et de personnes au cours des siècles suivants, avec l’expansion du capitalisme, donne lieu à une sophistication croissante des techniques assurantielles<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Peter B&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ORSCHEID &lt;/span&gt;(dir.), &lt;em&gt;World Insurance. The Evolution of a Global Risk Network&lt;/em&gt;, Oxford University Press, Oxford, 2012.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. L’émergence d’un marché mondial, l’impérialisme auquel il donne lieu et l’assurance contre les risques naturels (et d’autres types de risques) sont en ce sens inextricablement liés. Il est rare d’ailleurs que la dimension assurantielle de l’impérialisme soit évoquée par les théoriciens de ce phénomène.</p>
<p>Le commerce triangulaire est au demeurant l’une des principales activités dont les primes ont alimenté le secteur de l’assurance naissant au <span class="petite_capitale" style="font-variant:small-caps;">XVII</span><span class="exposant" style="vertical-align:super;">e</span> siècle. L’afflux de primes d’assurance lié à l’essor du transport des esclaves et, plus généralement, à la circulation maritime à l’échelle du globe a permis à ce secteur de se développer. En ce sens, à l’origine, l’assurance moderne a partie liée avec l’esclavage. Mais il y a plus. L’expansion mondiale du capitalisme à cette époque a pour condition l’émergence de la finance. C’est ce qu’on a appelé la « révolution financière » de la fin du <span class="petite_capitale" style="font-variant:small-caps;">XVII</span><span class="exposant" style="vertical-align:super;">e</span> siècle et du début du <span class="petite_capitale" style="font-variant:small-caps;">XVIII</span><span class="exposant" style="vertical-align:super;">e</span> siècle<a href="javascript:void(0);" class="note" onmouseover="return overlib('P. G. M. D&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ICKSON&lt;/span&gt;, &lt;em&gt;The Financial Revolution in England. A Study of the Development of Public Credit&lt;/em&gt;, &lt;em&gt;1688-1756&lt;/em&gt;, MacMillan, Londres, 1967.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a> . La finance permet entre autres choses d’anticiper sur des profits futurs, c’est-à-dire de lever des montants encore inexistants pour l’investissement. Or la finance elle-même n’aurait pu se développer sans l’assurance, non seulement parce que celle-ci permet de couvrir la prise de risque financier (dans l’éventualité où la promesse de profits futurs ne se réalise pas), mais aussi parce qu’elle constitue un domaine d’investissement rentable en soi, vers lequel affluent les capitaux<a href="javascript:void(0);" class="note" onmouseover="return overlib('Ian B&lt;span class=petite_capitale style=font-variant:small-caps;&gt;AUCOM&lt;/span&gt;, &lt;em&gt;Specters of the Atlantic&lt;/em&gt;, &lt;em&gt;op. cit.&lt;/em&gt;, p. 96.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Si le commerce triangulaire a permis le développement de l’assurance, et si l’assurance a permis le développement de la finance, il est clair que financiarisation et esclavagisme ne sont pas des phénomènes étrangers l’un à l’autre. Que la traite atlantique ait pris une telle ampleur, comparée à celle d’autres régions, s’explique en partie par son imbrication avec la finance et l’assurance.</p>
<p>L’assurance des risques naturels ne concerne pas uniquement le secteur maritime. D’autres types de catastrophes (naturelles et/ou sociales), qui elles aussi font peser un risque sur l’accumulation du capital, en font l’objet dès le seuil de l’époque moderne. C’est le cas des ouragans, des tremblements de terre, des inondations, des sécheresses, des incendies, ou des pandémies, par exemple grippales. À mesure que l’économie croît, à la suite de la révolution industrielle, la valeur de ce qui est susceptible d’être perdu et donc assuré va en augmentant. Les personnes font également l’objet d’une assurance, avec l’apparition de l’« assurance vie », qui garantit le versement d’une certaine somme en cas de décès ou de survie après une date donnée de la personne assurée. L’assurance vie est une forme d’assurance sur la nature, puisque ce sont en dernière instance les corps – la vie – qui sont assurés. À la fin du <span class="petite_capitale" style="font-variant:small-caps;">XVIII</span><span class="exposant" style="vertical-align:super;">e</span> siècle est ainsi créée en France la Compagnie royale d’assurance vie. Elle est interdite à la suite de la Révolution française, au prétexte qu’elle altère l’autonomie et la responsabilité des individus, puis recréée sous une autre forme au début du <span class="petite_capitale" style="font-variant:small-caps;">XIX</span><span class="exposant" style="vertical-align:super;">e</span> siècle<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir François E&lt;span class=petite_capitale style=font-variant:small-caps;&gt;WALD&lt;/span&gt;, « L’assurantialisation de la société française », &lt;em&gt;Les Tribunes de la santé&lt;/em&gt;, vol. 31, nº 2, 2011.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. L’assurance vie fait l’objet de nombreuses oppositions aux <span class="petite_capitale" style="font-variant:small-caps;">XIX</span><span class="exposant" style="vertical-align:super;">e </span>et <span class="petite_capitale" style="font-variant:small-caps;">XX</span><span class="exposant" style="vertical-align:super;">e</span> siècles, du fait qu’elle donne l’impression de quantifier la vie, contrevenant ainsi à des principes moraux et religieux encore profondément ancrés<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir à ce propos Viviana Z&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ELIZER&lt;/span&gt;, &lt;em&gt;Morals and Markets. The Development of Life Insurance in the United States&lt;/em&gt;, Columbia University Press, New York, 1979.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Depuis lors, la marchandisation capitaliste a fait son œuvre.</p><div class="section1" id="niv1-018"><h3>DES MARCHÉS FINANCIERS « BRANCHÉS » SUR LA NATURE</h3><p>Bien que son histoire soit ancienne, l’assurance des catastrophes naturelles est, à l’heure actuelle, un marché en pleine expansion. Sur ce marché, un secteur particulier connaît un succès retentissant depuis quelques années, à savoir les titres financiers de transfert des risques climatiques, dont les « dérivés climatiques » (<em>weather derivatives</em>) ou les « obligations catastrophe » (<em>catastrophe bonds</em>, ou <em>cat bonds</em>) sont des exemples. Ces titres témoignent de l’imbrication croissante de la finance et de la nature depuis deux ou trois décennies. Ils relèvent de ce secteur de la finance désormais connu sous le nom de <em>finance environnementale</em>. Ils confient l’assurance des risques climatiques, et tout ce qui l’entoure – primes d’assurance, évaluation des risques, dédommagement des victimes… – aux marchés financiers. Là où, précédemment, le marché de l’assurance reposait sur les trois composantes que sont les assureurs, les réassureurs, et l’État comme organisateur du marché au plan légal et assureur en dernier ressort, un quatrième acteur est venu s’ajouter à la liste : la finance.</p>
<p>Cette montée en puissance de la finance environnementale résulte de l’enchevêtrement de deux crises et de l’augmentation des inégalités à laquelle elles donnent lieu. D’abord, une crise économique. Dans la première moitié des années 1970, le capitalisme entre dans une crise profonde, au moment où s’interrompt la longue période de croissance des Trente Glorieuses. Ce « long retournement », pour parler comme Robert Brenner, met en crise le taux de profit, qui ne cesse d’être déprimé depuis lors<a href="javascript:void(0);" class="note" onmouseover="return overlib('L’analyse des causes de la crise est bien sûr controversée parmi les économistes critiques, on s’inspire ici de la perspective développée par Robert B&lt;span class=petite_capitale style=font-variant:small-caps;&gt;RENNER &lt;/span&gt;dans &lt;em&gt;The Economics of Global Turbulence&lt;/em&gt;, Verso, Londres, 2006. Pour un point de vue différent, voir Leo P&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ANITCH &lt;/span&gt;et Sam G&lt;span class=petite_capitale style=font-variant:small-caps;&gt;INDIN&lt;/span&gt;, &lt;em&gt;The Making of Global Capitalism. The Political Economy of American Empire&lt;/em&gt;, Verso, Londres, 2012.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Il accroît également les inégalités, entre et à l’intérieur des États. La crise commencée en 2007-2008, dans laquelle nous nous trouvons encore aujourd’hui, n’est que la manifestation la plus récente de cette crise de longue durée.</p>
<p>Comment le capital réagit-il à ce déclin de la profitabilité ? De deux façons : d’une part, en privatisant tout ce qui jusque-là échappait au marché, à savoir les services publics, mais aussi la biodiversité, les savoirs, le génome humain… – privatiser signifiant dans ce cas assujettir à la logique du profit pour tâcher de le faire repartir à la hausse. D’autre part, en financiarisant, c’est-à-dire en investissant non plus dans l’économie dite « réelle » ou « productive », celle dont le taux de profit est justement déclinant, mais dans la finance, qui elle permet la réalisation de profits (fictifs) importants – jusqu’au moment où survient la crise.</p>
<p>L’assurance en général, et celle des catastrophes naturelles en particulier sont saisies par ce double mouvement de privatisation et de financiarisation du capital. Il y a un régime néolibéral en matière d’assurance, tout comme il y en a dans d’autres domaines : les retraites, la recherche scientifique, le management d’entreprise ou le commerce mondial. Il est d’ailleurs rare que les histoires du néolibéralisme prennent en compte la dimension assurantielle du phénomène. L’assurance est un secteur crucial de la vie en société. Elle est le reflet de la conception de la solidarité – du « lien social », comme on dit aujourd’hui trivialement – qui y prévaut. S’assurer consiste à transférer à autrui tout ou partie des risques inhérents à la condition humaine et, plus particulièrement, à la civilisation industrielle. La manière dont cet autrui est « construit » est donc un enjeu politique par excellence. L’assurance est également un indice de la représentation du temps que se fait une société, plus exactement des conceptions concurrentes du temps que l’on y trouve, puisqu’elle porte par définition sur un risque à venir. Du régime assurantiel en vigueur dans un monde social, on peut dire ce que Fredric Jameson dit des utopies : qu’il renferme toujours une théorie implicite du futur, c’est-à-dire de la façon dont une collectivité se projette dans l’avenir<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir par exemple Fredric J&lt;span class=petite_capitale style=font-variant:small-caps;&gt;AMESON&lt;/span&gt;, « The politics of utopia », &lt;em&gt;New Left Review&lt;/em&gt;, nº 25, janvier-février 2004. Voir aussi Peter F&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ITTING&lt;/span&gt;, « The concept of utopia in the work of Fredric Jameson », &lt;em&gt;Utopian Studies&lt;/em&gt;, vol. 9, nº 2, 1998.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>.</p>
<p>L’autre crise qui explique la montée en puissance de la finance environnementale est bien sûr la crise écologique. Celle-ci accroît l’instabilité du capitalisme et requiert par conséquent que le dispositif de protection de l’investissement qu’est l’assurance</p>
<p>– la finance plus généralement – soit renforcé. Ce sont là les « anticorps » secrétés par le système dont nous parlions à la fin du chapitre précédent. Du fait de la multiplication et de l’aggravation des désastres naturels, la crise écologique induit aussi une augmentation du coût global de l’assurance. Elle exerce de ce fait une pression à la baisse sur le taux de profit. Ceci conduit les compagnies d’assurance et de réassurance à mettre en œuvre de nouvelles techniques assurantielles, de nouvelles façons de disperser le risque, dont la principale est la titrisation des risques climatiques. Par la même occasion, elle permet au capitalisme de trouver de nouvelles opportunités de profit.</p>
<p>Du fait de ces deux crises, la nature est donc aujourd’hui de plus en plus assujettie – subsumée, au sens de la « subsomption réelle » de Marx – à la finance. Faire l’histoire politique de la nature, comprendre en quoi elle est un champ de bataille, suppose d’appréhender les processus multiples et contradictoires dont elle est le produit. L’objectif de ce chapitre est de percer le mystère de cette financiarisation de la nature.</p></div><div class="section1" id="niv1-019"><h3>PRINCIPES DE L’ASSURANCE</h3><p>Pour comprendre ce qui se joue à l’heure actuelle autour de l’assurance des risques climatiques, il est indispensable de s’interroger sur la façon dont fonctionne l’assurance. La financiarisation de l’assurance résulte de l’apparition au cours du dernier siècle de « nouveaux risques », parmi lesquels le changement environnemental. Non que ces risques aient été absents de l’histoire du capitalisme jusque-là, bien au contraire. Mais leur intensification et leur concomitance confèrent à notre époque un caractère inédit. Ces nouveaux risques ont mis en crise l’assurance traditionnelle et donné lieu à l’apparition de techniques assurantielles originales.</p>
<p>Qu’est-ce qu’une assurance ? Dans son principe, le mécanisme est simple : une entité A, par exemple une personne, verse régulièrement une prime à une entité B, le plus souvent une société d’assurance, qui s’engage à indemniser A en cas de sinistre, selon les termes d’un contrat préétabli. Le contrat précise le montant de la prime payée par A, l’indemnisation de A par B en cas de sinistre, et détermine aussi ce qui compte comme sinistre. En cas de survenue de ce dernier, comme on sait, des discussions âpres peuvent avoir lieu sur ce point, l’assureur ayant intérêt à restreindre autant que possible le domaine d’application des indemnités. Le montant de la prime est en principe proportionnel au risque de survenue de l’aléa : plus le risque est élevé, plus la prime l’est. Il est également sujet à la réputation de l’assuré, dont le comportement de conducteur automobile peut par exemple avoir été imprudent par le passé, sur la base de quoi son comportement futur est extrapolé.</p>
<p>Dans la pratique, la fixation du montant d’une prime répond à des mécanismes certes moins « purs » : constitution de monopoles, subvention par l’État, éviction de certaines catégories d’assurés, etc. En somme, l’assurance est un mécanisme de transfert des risques. Le risque est transféré dans l’espace, au sens où il est étendu à d’autres individus que la personne ou l’organisation qui l’encourt. Et il l’est aussi dans le temps, puisque le versement de la prime commence avant que l’aléa soit survenu, et même possiblement sans qu’il survienne jamais.</p>
<p>Cette définition en apparence simple repose sur deux principes<a href="javascript:void(0);" class="note" onmouseover="return overlib('Frédéric M&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ORLAYE&lt;/span&gt;, &lt;em&gt;Risk management et assurance&lt;/em&gt;, Economica, Paris, 2006, p. 10-12. Voir aussi École nationale d’assurance de Paris, &lt;em&gt;Manuel international de l’assurance&lt;/em&gt;, Economica, Paris, 2005.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Premier principe : la mutualisation des risques. Le nombre d’assurances contractées par l’assureur doit être suffisamment important pour que les primes qu’il perçoit soient supérieures aux montants des indemnités qu’il doit verser à ses assurés en cas de sinistre. Le remboursement des sinistres ne doit en d’autres termes pas conduire à son insolvabilité, ce qui implique qu’il possède à tout moment les liquidités suffisantes. Il est également nécessaire que les risques assurés soient faiblement corrélés, autrement dit que la survenue des aléas soit statistiquement indépendante. Ainsi, l’assurance automobile n’est possible que parce que tout le monde ne subit pas un accident de voiture en même temps. Les primes des uns, en somme, servent à indemniser les dommages des autres. Une part importante des énergies des assureurs est consacrée à la mise en œuvre de stratégies de diversification des risques. Pour disposer d’une visibilité sur les indemnités qu’ils auront à payer sur l’année, les assureurs s’en remettent à la loi des grands nombres. Appliquée à l’assurance, celle-ci stipule que « plus le nombre de contrats agrégés est grand, plus il autorise, toutes choses égales par ailleurs, une perspective de prévision certaine en moyenne<a href="javascript:void(0);" class="note" onmouseover="return overlib('Olivier G&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ODARD &lt;/span&gt;&lt;em&gt;et al.&lt;/em&gt;, &lt;em&gt;Traité des nouveaux risques&lt;/em&gt;, &lt;em&gt;op. cit.&lt;/em&gt;, p. 381.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a> ». S’il n’est pas possible de prévoir si et quand tel automobiliste particulier subira un accident, le nombre d’accidents de la circulation et donc d’indemnités à verser sur une année varie peu, et peut donc faire l’objet de projections.</p>
<p>Comme on va le voir, l’une des spécificités des « nouveaux risques », parmi lesquels le changement climatique, est que cette clause de non-corrélation des risques ne tient plus. Un attentat terroriste ou un ouragan affectent des zones géographiques entières au même moment, plaçant les assureurs devant l’obligation d’indemniser un grand nombre d’assurés simultanément. Il est de ce fait fréquent que ces « nouveaux risques » conduisent à la faillite de certains assureurs. Après l’ouragan Andrews en 1992, l’un des premiers dont les coûts induits s’élevèrent à plus d’un milliard de dollars, neuf assureurs firent faillite en Floride<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Arthur C&lt;span class=petite_capitale style=font-variant:small-caps;&gt;HARPENTIER&lt;/span&gt;, « Insurability of climate risks », &lt;em&gt;Geneva Papers&lt;/em&gt;, International Association for the Study of Insurance Economics, nº 33, 2008, p. 99.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. C’est la raison pour laquelle l’assurabilité de tels risques pose des problèmes inédits.</p>
<p>Un second principe de l’assurance est l’« inversion du cycle de production ». Ce principe stipule que l’assuré paie la prime avant la survenue de l’aléa, sans savoir si ce dernier surviendra, quand il surviendra et à combien s’élèvera le montant des pertes. Il est naturellement par définition exclu d’assurer un aléa déjà survenu, ou dont on sait à coup sûr qu’il surviendra. Le caractère incertain de ce qui fait l’objet de l’assurance est par conséquent décisif. Celui-ci est parfois menacé par ce que les assureurs appellent un « aléa moral ». Cette expression désigne les cas d’asymétrie de l’information entre l’assureur et l’assuré. L’assuré est susceptible d’exercer une influence sur la survenue du sinistre, par exemple en conduisant imprudemment ou en négligeant de protéger son logement contre un risque d’inondation. Il disposera de ce fait d’informations plus complètes que l’assureur sur la probabilité de sa survenue, ou sur l’importance des dégâts s’il survient. Les assureurs, de leur côté, font ce qu’ils peuvent pour recueillir une information aussi détaillée que possible sur la situation qui fait l’objet de l’assurance. Un assureur n’assure que ce qu’il sait calculer et classifier ; pour cela, il a besoin d’un maximum d’informations. Les compagnies d’assurance ont également intérêt à contraindre les assurés à prendre les mesures de prévention qui s’imposent, afin de maîtriser le risque, et à refuser de les assurer s’ils n’y consentent pas. Outre leur diversification, la prévention des risques constitue une part importante de l’activité des assureurs.</p>
<p>L’information est donc un enjeu décisif dans toute procédure assurantielle. Ceci a conduit les théoriciens de l’assurance à distinguer le <em>risque </em>de l’<em>incertitude</em>. Le premier à établir cette distinction est l’économiste Frank Knight, qui l’élabore dans son ouvrage de 1921 <em>Risk, Uncertainty, and Profit</em><a href="javascript:void(0);" class="note" onmouseover="return overlib('Frank H. K&lt;span class=petite_capitale style=font-variant:small-caps;&gt;NIGHT&lt;/span&gt;, &lt;em&gt;Risk, Uncertainty, and Profit&lt;/em&gt;, Dover, New York, 2006 (1&lt;span class=exposant style=vertical-align:super;&gt;re &lt;/span&gt;édition : 1921).', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a> . Knight est l’un des fondateurs de l’école de Chicago en économie, celle de Milton Friedman et de Gary Becker, et fut aussi membre de la Société du Mont-Pèlerin. Son pedigree néolibéral est donc impeccable. Le risque est une incertitude probabilisable, donc assurable. Transformer l’incertitude en risque suppose de disposer d’une information aussi complète que possible. L’information est également ce qui permet de mettre un prix sur un risque, de « pricer », comme disent les assureurs, c’est-à-dire de déterminer le montant de la prime et des indemnités. Il arrive que l’impossibilité de probabiliser une incertitude, c’est-à-dire de la transformer en risque, conduise les assureurs à se retirer d’un marché. Ce pourrait être le cas si les catastrophes dues au changement environnemental induisent des coûts croissants et difficilement probabilisables. En général, les assureurs savent cependant mettre en œuvre les stratégies nécessaires à la construction de marchés rentables.</p>
<p>L’assurance moderne est indissociable de la réassurance, qui la suit comme son ombre. La réassurance est l’« assurance des assureurs », selon une formule courante dans le domaine<a href="javascript:void(0);" class="note" onmouseover="return overlib('Philip D. B&lt;span class=petite_capitale style=font-variant:small-caps;&gt;OUGEN&lt;/span&gt;, « Catastrophe risk », &lt;em&gt;Economy and Society&lt;/em&gt;, vol. 32, nº 2, 2003, p. 258.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Elle consiste pour les assureurs à se prémunir face à des risques qu’ils jugent importants en contractant une assurance sur les assurances. Le mécanisme est le même qu’au degré inférieur : l’assureur paie une prime au réassureur, qui lui versera des indemnités en cas de survenue d’un sinistre. Ces primes, le réassureur les réinvestit le plus souvent en titres financiers, dont les bénéfices servent à rembourser les assureurs. C’est la raison pour laquelle les réassureurs sont depuis le <span class="petite_capitale" style="font-variant:small-caps;">XIX</span><span class="exposant" style="vertical-align:super;">e</span> siècle des acteurs de premier plan de la finance internationale. Il existe de nombreux types de contrats de réassurance<a href="javascript:void(0);" class="note" onmouseover="return overlib('Frédéric M&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ORLAYE&lt;/span&gt;, &lt;em&gt;Risk management et assurance&lt;/em&gt;, &lt;em&gt;op. cit.&lt;/em&gt;, p. 16.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. L’un d’eux stipule par exemple que le réassureur prend en charge tous les frais d’indemnisation concernant un sinistre au-delà d’un certain montant. En deçà, c’est l’assurance qui s’en charge.</p>
<p>Les plus gros réassureurs au monde à l’heure actuelle sont Munich Re, fondée en 1880, et Swiss Re, fondée en 1863. Historiquement, la plus ancienne compagnie de réassurance est Cologne Re, fondée en 1846, qui, après fusion avec d’autres compagnies, s’appelle désormais Gen (General) Re. Les réassureurs font leur apparition à la suite d’incendies qui ravagent les grandes villes modernes au <span class="petite_capitale" style="font-variant:small-caps;">XIX</span><span class="exposant" style="vertical-align:super;">e</span> siècle. En 1842, un feu se déclare à Hambourg et met en faillite les assureurs allemands, ce qui suscite l’émergence de ce secteur. La période de fondation des réassurances modernes correspond précisément à l’époque de la révolution industrielle. C’est alors que les montants de biens assurés auxquels doivent faire face les assureurs, du fait de l’industrialisation, deviennent exorbitants et impossibles à assumer sans soutien. Le marché de l’assurance et de la réassurance n’a cessé de croître depuis lors. Depuis la Seconde Guerre mondiale, sa croissance est deux fois supérieure à celle du PIB dans les pays développés. Le développement sans précédent des sociétés capitalistes avancées lors des Trente Glorieuses n’est bien entendu pas étranger à cette tendance.</p>
<p>La réassurance suppose une mutualisation des risques d’un degré supérieur à celui de l’assurance. Cette mutualisation au carré, pour ainsi dire, permet d’abaisser le coût d’ensemble de l’assurance, puisqu’en se réassurant, c’est-à-dire en se prémunissant contre les risques de pertes élevées, les assureurs sont en mesure de diminuer le montant des primes qu’ils imposent à leurs assurés. Les volumes financiers gérés par l’industrie de la réassurance sont supérieurs à ceux de l’assurance, puisqu’ils proviennent de la collecte des primes de nombreux assureurs. C’est la raison pour laquelle la réassurance porte souvent sur les sinistres les plus coûteux : terrorisme, catastrophes naturelles, accidents techniques… ou les plus corrélés entre eux. Dès leur apparition, les réassureurs opèrent au plan mondial. Ils comptent de ce fait parmi les entreprises les plus précocement mondialisées. La capacité des réassureurs à faire face à des indemnités élevées est le fruit d’une stratégie de diversification des contrats par zones géographiques et par branches de l’économie. Le principe de faible corrélation des risques s’applique ici une fois de plus. La probabilité est plus faible en effet que plusieurs zones géographiques soient simultanément affectées par une catastrophe naturelle ou technologique, ou que la crise frappe plusieurs branches de l’économie simultanément.</p></div><div class="section1" id="niv1-020"><h3>DES NOUVEAUX RISQUES ?</h3><p>Ce dispositif assurantiel moderne est battu en brèche par l’émergence de « nouveaux risques », à partir de la seconde moitié du <span class="petite_capitale" style="font-variant:small-caps;">XX</span><span class="exposant" style="vertical-align:super;">e</span> siècle. La nouveauté est toujours sujette à caution en histoire. Elle résulte le plus souvent de l’intensification, de l’hybridation et de la visibilisation de processus déjà à l’œuvre antérieurement plutôt que d’innovations radicales<a href="javascript:void(0);" class="note" onmouseover="return overlib('Pour une intéressante méditation sur ce thème, voir Dean C&lt;span class=petite_capitale style=font-variant:small-caps;&gt;URRAN&lt;/span&gt;, « Risk society and the distribution of bads. Theorizing class in the risk society », &lt;em&gt;The British Journal of Sociology&lt;/em&gt;, vol. 64, nº 1, 2013.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Quoi qu’il en soit, ces nouveaux risques échappent en partie à l’emprise du dispositif assurantiel que nous avons décrit, soit parce que les montants d’indemnités qu’ils supposent sont trop importants, y compris pour les réassureurs, soit parce que la nature de ces risques fait qu’ils sont difficilement assurables, que les principes de l’assurance tels que nous les avons présentés s’appliquent difficilement à eux. Ceci conduit à l’émergence d’un nouveau régime assurantiel, dans lequel la finance occupe une position centrale.</p>
<p>La notion de catastrophe est très relative, c’est-à-dire historiquement et géographiquement variable<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Grégory Q&lt;span class=petite_capitale style=font-variant:small-caps;&gt;UENET&lt;/span&gt;, « La catastrophe, un objet historique ? », &lt;em&gt;Hypothèses&lt;/em&gt;, nº 1, 1999 ; Jean-Pierre D&lt;span class=petite_capitale style=font-variant:small-caps;&gt;UPUY&lt;/span&gt;, &lt;em&gt;Pour un catastrophisme éclairé. Quand l’impossible est certain&lt;/em&gt;, Le Seuil, Paris, 2004. Les &lt;em&gt;disaster studies &lt;/em&gt;sont devenues, au cours des dernières décennies du &lt;span class=petite_capitale style=font-variant:small-caps;&gt;XX&lt;/span&gt;&lt;span class=exposant style=vertical-align:super;&gt;e&lt;/span&gt; siècle, un champ de recherche à part entière dans les sciences sociales. Voir à ce propos Sandrine R&lt;span class=petite_capitale style=font-variant:small-caps;&gt;EVET&lt;/span&gt;, « Penser et affronter les désastres : un panorama des recherches en sciences sociales et des politiques internationales », &lt;em&gt;Critique internationale&lt;/em&gt;, vol. 52, nº 3, 2011.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Dans le monde judéochrétien, sa connotation religieuse est évidente. Une distinction fréquemment citée dans la littérature assurantielle est celle entre « catastrophe » et « cataclysme », proposée par David Culter et Richard Zeckhauser<a href="javascript:void(0);" class="note" onmouseover="return overlib('David M. C&lt;span class=petite_capitale style=font-variant:small-caps;&gt;UTLER &lt;/span&gt;et Richard J. Z&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ECKHAUSER&lt;/span&gt;, « Reinsurance for catastrophes and cataclysms », National Bureau of Economics Research, &lt;em&gt;Working paper &lt;/em&gt;nº 5913, 1997.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Est dit catastrophique un événement dont les dommages s’élèvent à plus de 25 millions de dollars. Au-delà de 5 milliards, il est cataclysmique. Cette distinction en apparence abstraite s’explique par la volonté de calculer, et donc au préalable de classifier les événements. Elle remonte à 1997. Depuis lors, l’échelle des coûts ayant été poussée vers le haut, ces chiffres doivent être actualisés.</p>
<p>Plusieurs types de risques bouleversent le secteur de l’assurance : le terrorisme, les risques technologiques et la multiplication des désastres naturels du fait notamment du changement climatique. En quoi ? D’abord, on l’a dit, le coût financier des catastrophes qu’ils induisent est élevé, et ce de plus en plus. Le réassureur Swiss Re produit des données annuelles très complètes concernant l’ampleur des dommages humains et matériels que provoquent ces catastrophes, qu’il compile dans une revue intitulée <em>Sigma</em><a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir &lt;www.swissre.com/sigma/&gt;, et plus particulièrement « Catastrophes naturelles et techniques en 2011 », &lt;em&gt;Sigma&lt;/em&gt;, nº 2, 2012. Les données qui suivent proviennent de ce numéro.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Il est intéressant de constater au passage que les États ne sont plus aujourd’hui les seuls producteurs de données de ce type, que des acteurs privés tels que les assureurs disposent de moyens humains et matériels leur permettant de rivaliser avec les statistiques d’État. Les données produites par Swiss Re concernent principalement les biens assurés, autrement dit les montants que les assureurs et réassureurs ont versés à leurs clients, et non les biens en général. Ceci induit un biais dans l’échelle des catastrophes, puisque le niveau des biens assurés par rapport à l’ensemble des biens détruits varie de société en société. Le secteur de l’assurance est par exemple bien moins développé au Burkina Faso qu’en France, puisque s’assurer suppose d’avoir les moyens de le faire. On estime ainsi que, dans les pays en développement, seuls 3 % des biens perdus lors de catastrophes sont assurés. Ce chiffre s’élève à plus de 40 % dans les pays développés<a href="javascript:void(0);" class="note" onmouseover="return overlib('Koko W&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ARNER &lt;/span&gt;&lt;em&gt;et al.&lt;/em&gt;, « Adaptation to climate change. Linking disaster risk reduction and insurance », United Nations International Strategy for Disaster Reduction Secretariat (UNISDR), 2009, p. 4. Disponible à l’adresse : &lt;www.preventionweb.net/files/9654_linkingdrrinsurance.pdf&gt;. Le réassureur Munich Re et la Banque mondiale furent parties prenantes de la rédaction de ce document qui émane des Nations unies.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Cela conduit les données disponibles à systématiquement sous-estimer les pertes encourues dans le premier groupe de pays.</p>
<p>La catastrophe la plus coûteuse de l’histoire en dommages assurés – depuis 1970, époque à laquelle ces données commencent à être compilées – est à ce jour l’ouragan Katrina, qui s’est abattu sur la région de La Nouvelle-Orléans en 2005. Cinq ans après la survenue de cette catastrophe, son coût matériel est estimé à 75 milliards de dollars (corrigés de l’inflation) et à 150 milliards de dollars si l’on tâche d’estimer les biens non assurés. La première place occupée par Katrina dans ce classement résulte de la puissance dévastatrice de cet ouragan, de l’impréparation et des erreurs commises par les autorités états-uniennes dans sa gestion. Mais elle résulte aussi du fait qu’il s’est abattu sur le pays le plus riche du monde, où donc les biens matériels assurés sont nombreux.</p>
<p>Dans l’ordre des catastrophes les plus coûteuses de l’histoire, on trouve ensuite le séisme suivi d’un tsunami au Japon en 2011, (35 milliards), qui donna également lieu à la catastrophe nucléaire de Fukushima, l’ouragan Andrews de 1992 (25 milliards) aux États-Unis et les attentats terroristes du 11 septembre 2001 (24 milliards), ce dernier étant le plus coûteux des événements que Swiss Re qualifie de catastrophe « technique », par quoi il faut entendre un événement sans rapport avec un phénomène naturel. En France, en 2003, année de la canicule, le coût agrégé des catastrophes naturelles s’est élevé à plus de 2 milliards d’euros, ce qui est un record. Au cours des vingt dernières années, le principal risque naturel est les inondations, suivi de la sécheresse.</p>
<p>La précaution est naturellement de mise concernant ces chiffres, ce d’autant plus qu’une catastrophe est susceptible de générer des effets différés dans le temps, qui sont difficiles à évaluer. Un ouragan à Taiwan pourra ainsi non seulement détruire des biens matériels et faire des victimes humaines, mais également interrompre des circuits de production ou d’assemblage globaux, par exemple dans le domaine informatique, dont Taiwan est un maillon important. Il pourra aussi ralentir le transit naval dans le détroit de Formose (qui sépare l’île du continent chinois), par où passent des flux commerciaux massifs. Avec l’accélération de la mondialisation depuis les années 1970, les « chaînes globales de marchandises » tendent à être de plus en plus longues et à se déployer à l’échelle de la planète<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir à ce propos William S. M&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ILBERG&lt;/span&gt;, « Shifting sources and uses of profit. Sustaining US financialization with global value chains », &lt;em&gt;Economy and Society&lt;/em&gt;, vol. 37, nº 3, 2008.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Un accident de production (naturel ou technique) à un point, et c’est l’ensemble de la chaîne qui est plus ou moins durablement compromise, générant des coûts assurantiels importants. Autre exemple, les maladies pulmonaires contractées par les secouristes lors de leur intervention sur le site des tours jumelles à New York le 11 septembre 2001, du fait du contact prolongé avec les gravats et la poussière, mettent du temps à se manifester, souvent plusieurs années. Elles pèsent de ce fait sur le système assurantiel (privé et public) de façon différée.</p>
<p>Un désastre peut avoir un coût matériel élevé, mais un coût humain faible, et inversement. Les catastrophes les plus meurtrières en nombre de victimes depuis 1970, ce sont les tempêtes et inondations résultant du cyclone Bhola au Bangladesh (alors Pakistan oriental) et dans l’État indien du Bengale en 1970, qui ont fait autour de 300 000 victimes. En troisième position, on trouve le tremblement de terre à Haïti en 2010, avec 222 000 morts. La canicule et la sécheresse européennes de 2003, qui ont provoqué la mort de 35 000 personnes, se trouvent en douzième position, c’est d’ailleurs la première catastrophe de la liste localisée en Europe, alors que l’Europe et les États-Unis sont omniprésents dans le haut du tableau des catastrophes les plus coûteuses financièrement. Cela démontre si besoin était l’impact du développement économique sur la mortalité suscitée par de tels événements. Plus loin dans le classement, on trouve l’accident dans l’usine chimique d’Union Carbide, une multinationale états-unienne, à Bhopal, en Inde, en 1984, avec 6 000 morts.</p>
<p>Pour l’année 2011, la plus récente pour laquelle des chiffres sont disponibles, Swiss Re a comptabilisé 325 catastrophes en tout, dont 175 « naturelles » et 150 « techniques ». Il est intéressant de constater que le réassureur comptabilise le « printemps arabe » de 2011 comme « catastrophe technique ». Les pertes matérielles lors de ce processus révolutionnaire ont été importantes et, en Égypte, 846 personnes ont perdu la vie. En dernière instance, est une catastrophe aux yeux d’un assureur un événement qui dépasse un certain montant d’indemnités à verser aux assurés. Il s’agit d’une définition purement quantitative de la catastrophe. En principe toutefois, ce qui relève des guerres, révolutions, crimes contre l’humanité et autres « états d’exception » est exclu de la comptabilité des catastrophes par les assureurs.</p>
<p>Le séisme japonais est le principal désastre de 2011. La Nouvelle-Zélande a également subi un tremblement de terre et la saison des ouragans aux États-Unis a été particulièrement virulente, même si aucun d’eux n’a été aussi dévastateur que Katrina ou Andrews. Des inondations meurtrières ont également eu lieu en Thaïlande à partir de juillet. En 2011, pour la deuxième année consécutive, les catastrophes techniques semblent moins nombreuses que les catastrophes naturelles. Selon Swiss Re, le nombre des premières ne cesse de diminuer depuis 2005, celui des catastrophes naturelles continuant au contraire sa tendance historique à augmenter depuis 1970. De ce recul des catastrophes techniques, on ne tirera pas de conclusion hâtive. Cette tendance peut être le fruit aussi bien du hasard, de l’amélioration des mesures de sécurité que du durcissement des conditions de remboursement des assureurs, puisqu’on a dit que ceux-ci comptabilisent principalement les catastrophes qui donnent lieu à dédommagements. Il y a fort à parier en revanche que si le changement climatique n’est pas la cause unique de l’augmentation des catastrophes naturelles, la causalité étant dans ce domaine difficile à établir, il est de toute évidence l’un des paramètres qui y contribuent.</p>
<p>À mesure que le capitalisme se développe, l’urbanisation et la croissance démographique ne cessent d’augmenter<a href="javascript:void(0);" class="note" onmouseover="return overlib('Mike D&lt;span class=petite_capitale style=font-variant:small-caps;&gt;AVIS&lt;/span&gt;, &lt;em&gt;Planet of Slums&lt;/em&gt;, &lt;em&gt;op. cit.&lt;/em&gt;', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. La population californienne a par exemple triplé depuis 1950, rendant d’autant plus meurtriers et coûteux les tremblements de terre et glissements de terrain dans cet État. La Californie, la Floride et le Japon sont trois régions fréquemment victimes de catastrophes naturelles, dont la densité de la population et du bâti a crû tout au long du <span class="petite_capitale" style="font-variant:small-caps;">XX</span><span class="exposant" style="vertical-align:super;">e</span> siècle. Dans bien des endroits, l’urbanisation et la croissance démographique se sont effectuées sans égard pour l’environnement, ce qui a aggravé la létalité potentielle des catastrophes. Les zones humides de la Louisiane ont ainsi fait l’objet d’un développement urbain désordonné au cours des dernières décennies. Or ces <em>wetlands </em>constituaient jusque-là une zone tampon, protégeant les terres et les habitants des ouragans. Les dégâts causés par Katrina en 2005 dans cet État s’expliquent notamment par la fragilisation de cette zone. L’augmentation du coût de l’assurance des risques climatiques est donc étroitement liée au développement économique, urbain et démographique.</p>
<p>L’accroissement de l’espérance de vie est un corollaire de cette tendance, dont l’impact environnemental est manifeste. En Floride par exemple, des contingents de plus en plus nombreux de retraités s’installent sur les côtes, ce qui fait monter en flèche le taux d’urbanisation<a href="javascript:void(0);" class="note" onmouseover="return overlib('Michael L&lt;span class=petite_capitale style=font-variant:small-caps;&gt;EWIS&lt;/span&gt;, « In nature’s casino », &lt;em&gt;New York Times&lt;/em&gt;, 26 août 2007.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Or ces côtes sont fréquemment victimes d’ouragans et autres catastrophes naturelles. 80 % des biens assurés de la Floride se situent à proximité des côtes, dans des régions soumises à ce risque<a href="javascript:void(0);" class="note" onmouseover="return overlib('Arthur C&lt;span class=petite_capitale style=font-variant:small-caps;&gt;HARPENTIER&lt;/span&gt;, « Insurability of climate risks », &lt;em&gt;loc. cit.&lt;/em&gt;, p. 103.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Aux États-Unis plus généralement, la valeur des biens assurés près des côtes a augmenté de 70 % pendant les années 1990, pour atteindre plus de 3 000 milliards de dollars à la fin de la décennie. Certaines parties du sud de la France se trouvent dans une situation similaire. Entre 1988 et 2007, les départements de l’Aude, de l’Hérault et du Gard ont en effet été les plus touchés par des inondations<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir les données disponibles sur le site Internet de la Fédération française des sociétés d’assurance (FFSA), par exemple : &lt;www.ffsa.fr/sites/jcms/fn_53027/catastrophes-naturelles-l-inondation-reste-le-risque-n1-enfrance?cc=fn_7360&gt;.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Une boucle causale relie donc l’augmentation de l’espérance de vie, l’urbanisation et les coûts que ces deux tendances induisent pour l’assurance.</p>
<p>Ce processus doit être mis en rapport avec une tendance générale des « coûts de production » à augmenter à mesure que le capitalisme se développe. Comme l’a montré Immanuel Wallerstein, trois mouvements de longue durée expliquent l’accroissement des coûts de production au cours de l’histoire<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir par exemple Immanuel W&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ALLERSTEIN&lt;/span&gt;, &lt;em&gt;World-Systems Analysis&lt;/em&gt;, Duke University Press, Durham, 2004.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Tout d’abord, l’exode rural, c’est-à-dire la transformation de larges masses de paysans en salariés. Alors qu’une grande partie de ces derniers pouvaient jusque-là compter pour une part sur l’agriculture pour se nourrir, leur arrivée dans les villes les rend désormais entièrement dépendants des salaires que leur versent leurs employeurs, augmentant d’autant la part de la plus-value transformée en salaires et diminuant d’autant les profits. Ensuite, la demande de bien-être des populations – santé, éducation, retraites – tend à augmenter de manière exponentielle, notamment depuis les Trente Glorieuses, immobilisant là encore d’importants volumes de capitaux. C’est l’un des aspects de la « crise fiscale de l’État », sur laquelle nous reviendrons dans un instant.</p>
<p>Un troisième facteur d’augmentation des coûts de production est l’épuisement de la nature. Celle-ci a procuré au capitalisme, pendant plusieurs siècles, des matières premières et autres ressources naturelles à bas prix<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir sur ce point Jason M&lt;span class=petite_capitale style=font-variant:small-caps;&gt;OORE&lt;/span&gt;, « Cheap food and bad money. Food, frontiers, and financialization in the rise and demise of neoliberalism », &lt;em&gt;Review. A Journal of the Fernand Braudel Center&lt;/em&gt;, nº 33, 2012.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Elle parvenait également jusqu’ici dans une large mesure à absorber les déchets de la production capitaliste. Or ces deux fonctions – la nature comme <em>input </em>et comme <em>output </em>– sont de plus en plus difficilement réalisées aujourd’hui, c’est-à-dire de plus en plus chères. Ce renchérissement du rapport du capitalisme avec la nature pèse à la baisse sur le taux de profit.</p></div><div class="section1" id="niv1-021"><h3>ONTOLOGIE DE LA CATASTROPHE</h3><p>Les nouveaux risques se caractérisent par le phénomène de l’<em>hypercorrélation</em>. On l’a dit, les risques assumés par un assureur doivent être suffisamment décorrélés pour qu’il n’ait pas à indemniser trop d’assurés en même temps. Dans le cas des nouveaux risques, ce principe de non-corrélation entre en crise. Les catastrophes évoquées ci-dessus affectent des centaines de milliers, voire des millions de personnes, et des volumes colossaux de biens matériels en même temps. Autrement dit, elles frappent des régions entières. Cela oblige les assureurs à faire face à des coûts souvent hors de leur portée et parfois à se retirer du marché. C’est ce qui est arrivé aux États-Unis à la suite des attentats du 11 septembre 2001, après lesquels ils ont exclu le terrorisme de leurs contrats d’assurance, avant d’être ramenés de force par l’État sur ce marché (leur retrait était en réalité une manière d’obliger ce dernier à assumer une part grandissante dans l’assurance des attentats : privatisation des bénéfices, socialisation des pertes, c’est ainsi que fonctionne le capitalisme)<a href="javascript:void(0);" class="note" onmouseover="return overlib('Richard V. E&lt;span class=petite_capitale style=font-variant:small-caps;&gt;RICSON &lt;/span&gt;et Aaron D&lt;span class=petite_capitale style=font-variant:small-caps;&gt;OYLE&lt;/span&gt;, « Catastrophe risk, insurance, and terrorism », &lt;em&gt;Economy and Society&lt;/em&gt;, vol. 33, nº 2, 2004, p. 157.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Ces catastrophes affectent plusieurs lignes assurantielles simultanément : assurance vie, rente invalidité, interruption d’activité économique, dommages aux biens et aux personnes<a href="javascript:void(0);" class="note" onmouseover="return overlib('Frédéric M&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ORLAYE&lt;/span&gt;, &lt;em&gt;Risk Management et assurance&lt;/em&gt;, &lt;em&gt;op. cit.&lt;/em&gt;, p. 128.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Elles sont de surcroît susceptibles de désorganiser durablement une région, ce qui peut entraîner des conséquences économiques importantes. Elle pousse de ce fait le secteur de l’assurance à évoluer. Comme on l’a vu avec la création de la réassurance à la suite d’incendies dans les villes au <span class="petite_capitale" style="font-variant:small-caps;">XIX</span><span class="exposant" style="vertical-align:super;">e</span> siècle, il est fréquent que les innovations assurantielles fassent suite à des désastres. Une catastrophe a une ontologie différente de celle d’aléas plus ordinaires, comme les accidents de voiture. Lors d’un accident de voiture, un nombre restreint de personnes est affecté, même lorsque l’accident est grave. En outre, comme on l’a dit, si un accident unique est par définition imprévisible, les accidents agrégés sur un laps de temps donné répondent à la loi des grands nombres. Au contraire, dans une région donnée, une catastrophe affecte tout le monde. Elle interrompt le cours normal de la vie sociale, pour une durée plus ou moins longue, ce qui n’est évidemment pas le cas d’un accident de voiture. La loi des grands nombres ne s’y applique pas, puisqu’il s’agit d’événements ponctuels. Ceci implique qu’il est difficile pour les assureurs d’anticiper leurs pertes et donc de mettre en œuvre des stratégies de diversification des risques adaptées. Dans le jargon de l’assurance, les événements rares sont appelés <em>tails</em>, pour « queues » de distribution, dont la probabilité est faible. <em>Tail risk </em>est une expression employée dans le monde de la finance en général pour désigner les risques extrêmes, susceptibles par exemple de conduire à la perte de l’ensemble d’un portefeuille financier.</p>
<p>Les nouveaux risques sont plus difficilement probabilisables que les risques traditionnels. La difficulté à construire des données fiables les concernant suppose que les assureurs ne parviennent pas toujours à mettre un prix sur l’incertitude et donc pas non plus à déterminer le montant des primes. L’hypercorrélation a en outre pour conséquence de brouiller la distinction entre le privé et le public<a href="javascript:void(0);" class="note" onmouseover="return overlib('Olivier G&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ODARD &lt;/span&gt;&lt;em&gt;et al.&lt;/em&gt;, &lt;em&gt;Traité des nouveaux risques&lt;/em&gt;, &lt;em&gt;op. cit.&lt;/em&gt;, p. 368 ; Geoffrey H&lt;span class=petite_capitale style=font-variant:small-caps;&gt;EAL &lt;/span&gt;et Howard K&lt;span class=petite_capitale style=font-variant:small-caps;&gt;UNREUTHER&lt;/span&gt;, « Modeling interdependent risk », &lt;em&gt;Risk Analysis&lt;/em&gt;, vol. 27, nº 3, 2007.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Un accident de voiture est un aléa privé, même s’il peut arriver qu’un accident majeur induise un trouble temporaire à l’ordre public, ou émeuve l’opinion par son ampleur. Une catastrophe de type 11 septembre 2001 ou du tsunami de 2004 dans l’océan Indien au large de l’île de Java – 210 000 morts – est un phénomène public, du fait justement qu’il concerne une zone géographique entière. La prolifération de catastrophes de ce genre au cours des récentes décennies, et particulièrement de catastrophes naturelles du fait du changement climatique, met donc en crise la séparation du privé et du public, l’un des fondements du monde social moderne. Elle modifie également le rôle de l’État dans la gestion de ces catastrophes.</p></div><div class="section1" id="niv1-022"><h3>RISQUE ET POSTMODERNITÉ</h3><p>Cette ontologie des nouveaux risques a donné lieu à l’une des théories sociales contemporaines les plus influentes : la « société du risque » d’Ulrich Beck, énoncée dans l’ouvrage du même nom en 1986<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Ulrich B&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ECK&lt;/span&gt;, &lt;em&gt;La Société du risque&lt;/em&gt;, Flammarion, Paris, 2008. Pour une critique de cette théorie, voir Dean C&lt;span class=petite_capitale style=font-variant:small-caps;&gt;URRAN&lt;/span&gt;, « Risk society and the distribution of bads. Theorizing class in the risk society », &lt;em&gt;loc. cit.&lt;/em&gt;', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Le sociologue britannique Anthony Giddens, connu pour avoir été le principal théoricien de la « troisième voie » de Tony Blair, est lui aussi un partisan de cette approche<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Anthony G&lt;span class=petite_capitale style=font-variant:small-caps;&gt;IDDENS&lt;/span&gt;, &lt;em&gt;Beyond Left and Right. The Future of Radical Politics&lt;/em&gt;, Polity, Londres, 1994.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Beck s’inscrit dans les débats portant sur la « postmodernité » qui ont fait rage au cours des années 1980 et 1990. La question était alors de savoir si nous avions quitté la modernité et ses valeurs – science, raison, progrès, justice, égalité – pour entrer dans la « postmodernité », ou si au contraire ces valeurs étaient toujours actives dans l’organisation des sociétés. De Jean-François Lyotard à Jürgen Habermas, en passant par Fredric Jameson, David Harvey et Perry Anderson, les penseurs contemporains ont donné à cette question des réponses diverses.</p>
<p>La solution très originale de Beck prend appui sur l’assurance. À ses yeux, le critère décisif qui explique le passage de la modernité à la postmodernité – qu’il appelle « seconde » modernité ou modernité « réflexive » – est celui de l’assurabilité. Dans la postmodernité, certains risques sont devenus si coûteux qu’ils ne sont plus assurables selon les critères de l’assurance moderne. Ils échappent au contrôle des humains, même lorsqu’ils ont été créés par eux, à la fois parce qu’ils sont imprévisibles et parce que leurs conséquences sont socialement ingérables. Dans la mesure où la modernité reposait largement sur la maîtrise progressive des risques, et plus généralement sur l’assujettissement de la nature par l’homme, l’inassurabilité constitue un symptôme de sortie de la modernité.</p>
<p>L’attention de Beck se porte en particulier sur les risques technologiques, par exemple la catastrophe nucléaire de Tchernobyl en 1986. De tels risques ne respectent plus les frontières, qu’elles soient spatiales (le nuage de Tchernobyl ne s’est pas arrêté aux frontières nationales), sociales (il a affecté riches et pauvres sans distinction de classe) ou temporelles (ses conséquences se manifestent sur plusieurs décennies, voire siècles). Ils préfigurent la fin de l’État-nation, dont le propre est d’être territorialement délimité, et qui est par définition incapable de les gérer. Ils appellent ainsi l’émergence d’un nouveau « cosmopolitisme », dont Beck s’est fait le chantre au cours des années récentes<a href="javascript:void(0);" class="note" onmouseover="return overlib('Ulrich B&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ECK&lt;/span&gt;, &lt;em&gt;Qu’est-ce que le cosmopolitisme ? &lt;/em&gt;Aubier, Paris, 2006. Voir aussi Ulrich B&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ECK&lt;/span&gt;, « The terrorist threat. World risk society revisited », &lt;em&gt;Theory, Culture, and Society&lt;/em&gt;, nº 19, 2002.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>.</p>
<p>L’inassurabilité est donc pour Beck le fondement de la condition postmoderne. Ce constat doit toutefois être sérieusement nuancé. Ce que Beck ne voit pas, c’est que si les assureurs et réassureurs traditionnels ne sont pas en mesure d’assurer les risques nucléaires seuls, ceux-ci ont donné lieu depuis les années 1960 (c’est-à-dire depuis l’apparition du nucléaire civil) à la mise en place de « pools » assurantiels, dont l’État et même parfois plusieurs États sont parties prenantes<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Bernard D&lt;span class=petite_capitale style=font-variant:small-caps;&gt;URAND&lt;/span&gt;, « L’assurance du risque nucléaire », &lt;em&gt;Mines-Énergie&lt;/em&gt;, nº 402, janvier-février 2003.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. En France, ce pool s’appelle « Assuratome<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir le site d’Assuratome : &lt;www.assuratome.fr/&gt;. ', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a> » et a pour vocation de couvrir le nucléaire civil. La récente catastrophe de Fukushima a déclenché des procédures assurantielles multiples. Un an après, on estime qu’elle a coûté 3 milliards d’euros à Munich Re et à AIG, et de l’ordre de 600 millions à Partner Re, ce qui démontre que l’assurance n’a pas cessé de fonctionner dans le monde contemporain, y compris pour les risques relatifs aux technologies les plus coûteuses et sophistiquées<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir les chiffres disponibles sur le site de l’Argus de l’assurance : &lt;www.argusdelassurance.com/acteurs/fukushima-un-an-apres.54827&gt;.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Par ailleurs, la financiarisation de l’assurance, un phénomène que Beck ne prend pas en considération, est concomitante de l’émergence des nouveaux risques et transforme la problématique de l’assurabilité. On va y venir dans un instant.</p>
<p>François Ewald est un théoricien du « risque » proche de Beck. Autrefois membre de la gauche prolétarienne, l’une des branches du maoïsme français des années 1970, assistant de Michel Foucault au Collège de France, Ewald est devenu depuis lors tête pensante de la Fédération française des sociétés d’assurance (FFSA) et du MEDEF, et est aujourd’hui directeur de l’École nationale d’assurances<a href="javascript:void(0);" class="note" onmouseover="return overlib('Sur la trajectoire de François Ewald, et ses rapports avec Foucault, voir Michael C. B&lt;span class=petite_capitale style=font-variant:small-caps;&gt;EHRENT&lt;/span&gt;, « Accidents happen. François Ewald, the “antirevolutionary” Foucault, and the intellectual politics of the French welfare state », &lt;em&gt;Journal of Modern History&lt;/em&gt;, vol. 82, septembre 2010.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Il a consacré sa thèse de doctorat à l’histoire de l’État-providence, sous la direction de Foucault. Il s’est en particulier intéressé à l’évolution du traitement juridique des risques professionnels. À la fin du <span class="petite_capitale" style="font-variant:small-caps;">XIX</span><span class="exposant" style="vertical-align:super;">e</span> siècle se fait jour l’idée que les accidents et autres aléas sur le lieu de travail ne sont imputables à personne, qu’ils relèvent d’un risque inhérent à l’activité industrielle. Cette rupture avec l’idée de « responsabilité » (et au premier chef de responsabilité patronale), ainsi que son remplacement par celle de « risque », marque à ses yeux le véritable commencement de l’époque moderne. Contrairement à la responsabilité, le risque n’est le produit d’aucune intentionnalité, c’est un principe impersonnel. Par la suite, Ewald s’intéresse à d’autres types de risques, notamment au risque technologique. Il théorise aussi dans les pages de la revue <em>Le Débat</em>, en compagnie de Denis Kessler, alors président de la FFSA et vice-président du MEDEF, « les noces du risque et de la politique<a href="javascript:void(0);" class="note" onmouseover="return overlib('François E&lt;span class=petite_capitale style=font-variant:small-caps;&gt;WALD &lt;/span&gt;et Denis K&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ESSLER&lt;/span&gt;, « Les noces du risque et de la politique », &lt;em&gt;Le Débat&lt;/em&gt;, vol. 109, nº 2, 2000.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a> ». Ils élaborent avec d’autres une distinction entre individus « risquophiles » et « risquophobes », déclarant que l’homme n’est pas un animal politique ou social, contrairement à ce que pensait Aristote, mais un animal naturellement prédisposé à prendre des risques. C’est l’époque où le MEDEF lance la « refondation sociale » et ambitionne de rompre avec le programme du Conseil national de la Résistance<a href="javascript:void(0);" class="note" onmouseover="return overlib('Michael C. B&lt;span class=petite_capitale style=font-variant:small-caps;&gt;EHRENT&lt;/span&gt;, « Accidents happen. François Ewald, the “antirevolutionary” Foucault, and the intellectual politics of the French welfare state », &lt;em&gt;loc. cit.&lt;/em&gt;, p. 622.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. En France comme ailleurs, l’idéologie du « risque » et de l’<em>empowerment </em>est partie prenante de l’émergence du néolibéralisme.</p></div><div class="section1" id="niv1-023"><h3>LES AVENTURES DE L’ASSURABILITÉ</h3><p>Le secteur de l’assurance a subi des mutations profondes au cours des dernières décennies. On a par exemple vu émerger la nouvelle catégorie des risques dits « de développement », une variante de risque technologique<a href="javascript:void(0);" class="note" onmouseover="return overlib('François E&lt;span class=petite_capitale style=font-variant:small-caps;&gt;WALD&lt;/span&gt;, « La véritable nature du risque de développement et sa garantie », &lt;em&gt;Risques&lt;/em&gt;, nº 14, avril 1993.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Ces risques manifestent une dimension essentielle de toute innovation technique, à savoir le fait que des dommages à la santé publique peuvent survenir parfois bien après la commercialisation d’un nouveau produit, dommages bien entendu non prévus par son producteur. Cas par excellence : l’amiante, qui sans être une catastrophe à proprement parler, c’est-à-dire un événement ponctuel interrompant le cours de la vie sociale normale, est à ce jour le phénomène qui a coûté le plus cher à l’industrie de l’assurance aux États-Unis<a href="javascript:void(0);" class="note" onmouseover="return overlib('Richard V. E&lt;span class=petite_capitale style=font-variant:small-caps;&gt;RICSON &lt;/span&gt;et Aaron D&lt;span class=petite_capitale style=font-variant:small-caps;&gt;OYLE&lt;/span&gt;, « Catastrophe risk, insurance, and terrorism », &lt;em&gt;loc. cit.&lt;/em&gt;, p. 155.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. (Les premières études établissant la nocivité de l’amiante n’ont pas empêché que des travailleurs continuent à y être exposés pendant des années, ce qui ajoute une dimension de criminalité pure et simple au risque de développement.) Le risque de développement peut résulter d’un problème dans la conception du produit – un nouveau modèle de voiture, par exemple le rappel des Mercedes « classe A » en 2010 pour un problème de réservoir – ou d’une ingérence extérieure (volontaire ou non) dans le processus de fabrication, comme lorsque des traces de benzène sont découvertes dans une dizaine de bouteilles Perrier au début des années 1990 aux États-Unis, ce qui conduit la marque à retirer des centaines de millions de bouteilles du marché.</p>
<p>Les conséquences des risques de développement sur l’industrie de l’assurance sont considérables. Les assurances dites de « responsabilité civile commerciale » – dont les <em>recall insurances</em>, qui couvrent le « rappel » de produits par leur fabricant, sont un cas particulier – subissent depuis quelques décennies une croissance importante, de l’ordre de 10 % par an<a href="javascript:void(0);" class="note" onmouseover="return overlib('Frédéric M&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ORLAYE&lt;/span&gt;, &lt;em&gt;Risk management et assurance&lt;/em&gt;, &lt;em&gt;op. cit.&lt;/em&gt;, p. 26.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. L’affaire du benzène est réputée avoir coûté plus d’un milliard de dollars à Perrier. Ces risques de développement ne sont certes pas nouveaux. Depuis les débuts de l’ère industrielle, certains produits se révèlent nocifs à l’usage, pour leurs producteurs ou consommateurs directement, ou en polluant l’environnement et en affectant ces derniers indirectement<a href="javascript:void(0);" class="note" onmouseover="return overlib('Jean-Baptiste F&lt;span class=petite_capitale style=font-variant:small-caps;&gt;RESSOZ&lt;/span&gt;, &lt;em&gt;L’Apocalypse joyeuse. Une histoire du risque technologique&lt;/em&gt;, Le Seuil, Paris, 2012.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Ce qui a changé, c’est la sensibilité de l’opinion publique à ces situations, qui découle de la connaissance que nous avons de ces risques et de leurs effets sur la santé. Comme le dit Jürgen Habermas, on assiste à un processus de <em>visibilisation </em>par la science d’aléas nouveaux, qui rend perceptibles des risques autrefois imperceptibles, qui, en d’autres termes, tuaient en silence<a href="javascript:void(0);" class="note" onmouseover="return overlib('Une première version de cet argument de Habermas se trouve dans &lt;em&gt;La Technique et la Science comme « idéologie »&lt;/em&gt;, Gallimard, Paris, 1990 (1&lt;span class=exposant style=vertical-align:super;&gt;re &lt;/span&gt;édition : 1968).', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. La « judiciarisation » des rapports sociaux, par quoi on désigne l’importance prise par le droit dans le règlement des différends, est également un aspect de la question. Le développement de la connaissance scientifique, du droit et de l’assurance sont en ce sens étroitement liés.</p>
<p>Le terrorisme a également eu un impact important sur le secteur de l’assurance. On l’a dit, le 11 septembre 2001 est l’un des événements les plus coûteux de l’histoire de l’assurance. Le fait que New York, l’une des villes les plus riches du monde et l’un des centres financiers mondiaux, ait été frappé n’est naturellement pas étranger à ce constat. Londres est une autre ville globale affectée par le terrorisme. L’Armée républicaine irlandaise (IRA) a frappé la capitale britannique à plusieurs reprises, notamment la City en avril 1993. Le coût de cet attentat a été estimé à un milliard de livres anglaises. Ces événements ont donné lieu à une restructuration d’ampleur du secteur de l’assurance<a href="javascript:void(0);" class="note" onmouseover="return overlib('Richard V. E&lt;span class=petite_capitale style=font-variant:small-caps;&gt;RICSON &lt;/span&gt;et Aaron D&lt;span class=petite_capitale style=font-variant:small-caps;&gt;OYLE&lt;/span&gt;, « Catastrophe risk, insurance, and terrorism », &lt;em&gt;loc. cit.&lt;/em&gt;, p. 142.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Les pertes massives induites par ces attentats ont d’abord conduit les assureurs à limiter leurs engagements en matière de terrorisme, c’est-à-dire à exclure les actes de terrorisme des contrats d’assurance. Ils furent contraints de revenir sur cette décision par l’État britannique, qui a mis en place sous son égide un pool d’assurance dénommé Pool Re, qui regroupe deux cents assureurs<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir OCDE, « Terrorism risk insurance in OECD countries », &lt;em&gt;Policy Issues in Insurance&lt;/em&gt;, nº 9, 2005.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Pool Re fonctionne comme une société de réassurance et est lui-même réassuré par l’État au-delà de certains montants de pertes.</p>
<p>Les risques financiers sont eux aussi massivement assurés à l’heure actuelle. L’imbrication de la finance et de l’assurance née au moment de la « révolution financière » du <span class="petite_capitale" style="font-variant:small-caps;">XVII</span><span class="exposant" style="vertical-align:super;">e</span> siècle n’a en réalité cessé de s’approfondir. L’assurance financière porte notamment sur les risques de change et de crédit. L’évolution du taux de change entre deux monnaies est susceptible de faire varier considérablement les bénéfices d’une multinationale, dont les centres de production et de vente sont disséminés aux quatre coins du globe, ce pour quoi il existe aujourd’hui toute une gamme de mécanismes assurantiels. Les produits dérivés, sur lesquels nous reviendrons, comptent parmi les principaux de ces mécanismes.</p>
<p>L’un des acronymes qui ont défrayé la chronique à l’occasion de la crise commencée en 2008 est « CDS », pour <em>credit default swap</em>. Ces produits financiers permettent à un investisseur de couvrir une position risquée du fait de la défaillance possible d’un tiers, par exemple un État se déclarant en défaut de paiement<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Tony N&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ORFIELD&lt;/span&gt;, « Derivatives and capitalist markets. The speculative heart of capital », &lt;em&gt;Historical Materialism&lt;/em&gt;, vol. 20, nº 1, 2012.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Le <em>swap </em>est une sorte d’assurance, érivée d’un autre titre, par exemple de dette souveraine, appelé « sous-jacent ». Le vendeur du <em>swap </em>est l’assureur et son acheteur l’assuré. Le second verse une prime au premier, comme dans le cas d’une assurance traditionnelle. En cas d’« événement de crédit » déclaré tel par les autorités financières compétentes, une indemnité est versée à l’assuré. Les <em>swaps </em>ont été créés par la banque d’investissement JP Morgan aux États-Unis. On estime à 45-60 milliards de dollars la somme totale de <em>swaps </em>contractés dans ce seul pays. La structure de ce marché est si complexe que nul n’est en mesure de prévoir les conséquences d’un déclenchement massif de CDS à la suite d’un événement de crédit. C’est la raison pour laquelle au moment du défaut larvé de la Grèce à l’été 2011, les autorités européennes ont pris grand soin d’éviter que la faillite soit ouvertement présentée comme telle.</p></div><div class="section1" id="niv1-024"><h3>CAT BONDS, OU LES OBLIGATIONS CATASTROPHE</h3><p>Des vingt-cinq catastrophes naturelles les plus coûteuses de la période 1970-2010, plus de la moitié sont survenues après 2001. Le nombre d’ouragans de catégorie 4 ou 5 a doublé en 35 ans, 5 étant la force des vents maximale. Des dix catastrophes naturelles les plus coûteuses des cinquante dernières années, six sont survenues en 2004 et 2005. Le coût de ces catastrophes naturelles est de plus en plus exorbitant pour l’industrie de l’assurance, sans compter qu’elle doit simultanément faire face, comme on l’a vu, à d’autres risques. Tout cela a conduit cette industrie à ajouter un étage supplémentaire au dispositif assurantiel existant, celui que nous avons décrit précédemment, et à s’en remettre aux marchés financiers pour augmenter son potentiel d’indemnisation, mais aussi ses profits. Ce phénomène est connu sous le nom de « titrisation» (<em>securitization </em>en anglais, <em>security </em>signifiant titre financier) des risques climatiques. Il participe du phénomène général de financiarisation de la nature auquel on assiste depuis plusieurs décennies. La financiarisation, on l’a dit au début de ce chapitre, est un phénomène typique de l’époque néolibérale, qui a vu de nombreux secteurs échappant jusque-là au marché être happés par sa logique. La nature est l’un d’eux.</p>
<p>L’un des produits financiers les plus fascinants générés par la titrisation des risques naturels est connu sous le nom de <em>cat bond</em>, diminutif de <em>catastrophe bond</em>, c’est-à-dire obligation catastrophe. Une obligation est un titre de créance ou une fraction de dette échangeable sur un marché financier, et qui est l’objet d’une cotation (qui a un prix, lequel fluctue). Une obligation peut être publique, c’est alors un bon du Trésor, ou elle peut être émise par une organisation privée. Les <em>cat bonds </em>sont des fractions de dette dont la particularité est de procéder non d’une dette contractée par un État pour renouveler ses infrastructures, ou par une entreprise pour financer l’innovation, mais de la nature et des catastrophes qui y surviennent. Leur sous-jacent, en somme, est la nature. Ils concernent une catastrophe naturelle qui n’est pas encore survenue, dont il est possible mais pas certain qu’elle survienne, et dont on sait qu’elle occasionnera des dégâts matériels et humains importants. L’objectif des <em>cat bonds </em>est de disperser les risques naturels aussi largement que possible dans l’espace et le temps, de façon à les rendre financièrement insensibles. Dans la mesure où les marchés financiers se déploient aujourd’hui à l’échelle mondiale, ces risques atteignent par la titrisation un « étalement » maximal.</p>
<p>Les <em>cat bonds </em>ne portent pas uniquement sur les catastrophes naturelles. Au cours des dernières années, assureurs et réassureurs se sont prémunis contre tous les types de surmortalité (ou « mortalité extrême », pour employer le jargon en vogue dans le secteur), quelle que soit leur cause. Les récentes pandémies grippales, porcine (2009) et aviaire (depuis 2003), ont ainsi conduit à l’émission d’obligations catastrophe, qui couvrent les assureurs en cas de mortalité massive<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir à ce propos &lt;www.artemis.bm/blog/2009/04/28/a-swine-flu-pandemicand-the-catastrophe-bond-market/&gt;.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Swiss Re a mis en place un programme de titrisation intitulé « Vita Capital IV Ltd. », qui lui permettrait de recevoir jusqu’à 2 milliards de dollars de dédommagement en cas de surmortalité liée à ce type de maladie. L’assureur français Axa possède un programme similaire, intitulé « Osiris Capital ». Il s’agit de formes d’assurance vie collectives, qui mutualisent les assurances vie personnelles par l’entremise de la titrisation. La mise en place de ces programmes est à chaque fois l’occasion d’opérations de communication de la part des assureurs, qui visent à convaincre les investisseurs de leur préparation face à ces pandémies hautement médiatisées.</p>
<p>Les <em>cat bonds </em>ont été créés en 1994. Depuis lors, plusieurs centaines en ont été émis, principalement par des assureurs et des réassureurs désireux de se protéger face à des catastrophes naturelles trop coûteuses en termes de mécanismes assurantiels classiques<a href="javascript:void(0);" class="note" onmouseover="return overlib('Erwann M&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ICHEL&lt;/span&gt;-K&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ERJAN &lt;/span&gt;&lt;em&gt;et al.&lt;/em&gt;, « Catastrophe financing for governments. Learning from the 2009-2012 multicat program in Mexico », &lt;em&gt;OECD Working Papers on Finance, Insurance and Private Pensions&lt;/em&gt;, nº 9, 2011, p. 17.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Nous verrons dans un instant que des États ont également émis des obligations catastrophe et que ceci n’est pas sans rapport avec la crise fiscale qu’ils traversent depuis les années 1970. Pendant la seule année 2007, vingt-sept <em>cat bonds </em>ont été émis, qui sont parvenus à lever plus de 14 milliards de dollars. La maturité moyenne de ces titres – le terme auquel ils arrivent à échéance, pendant lequel courent les intérêts – est de trois ans. Les <em>cat bonds </em>sont un cas particulier d’une catégorie plus générale de titres : les <em>insurance-linked securities </em>(ILS), autrement dit les titres liés à l’assurance de risques de diverse nature : crédit, biotechnologique, de responsabilité civile, etc. L’acronyme ART, pour <em>alternative risk transfer</em>, est également employé à leur propos. La première moitié des années 1990 a constitué un tournant pour l’industrie de l’assurance. C’est alors qu’une série d’événements naturels au coût hors du commun tels que l’ouragan Andrews en Floride en 1992, le tremblement de terre de Northridge en Californie en 1994, et celui de Kobe au Japon en 1995 sont survenus dans un laps de temps très court, contraignant l’industrie à trouver des ressources nouvelles.</p>
<p>Tous les effets du changement climatique ne peuvent être assurés. La désertification ou la montée du niveau des mers ne peuvent par exemple faire en soi l’objet d’une assurance. La raison en est qu’il s’agit de phénomènes qui ne sont pas spatialement et temporellement localisables : ils sont progressifs plutôt que ponctuels et ils concernent à des degrés divers l’ensemble de la planète. Or la délimitation spatio-temporelle est une condition de l’assurabilité. En revanche, ce genre de phénomène peut interagir avec d’autres phénomènes et donner lieu à des catastrophes qui elles sont assurables. Ainsi, la désertification contribue à la multiplication des sécheresses, à la destruction de récoltes, qui peuvent faire l’objet d’une assurance.</p>
<p>Une obligation catastrophe fonctionne de la façon suivante : une instance – assureur, réassureur, État… – émet une obligation par le biais d’une banque d’investissement, obligations qui sont vendues par elle à des investisseurs. Comme pour toute obligation, l’instance en question verse des intérêts à ces derniers, en contrepartie de l’argent qu’ils lui prêtent. Si la catastrophe survient, les investisseurs perdent leur argent (le principal), qui servira à rembourser les sinistrés, c’est-à-dire plus précisément les assureurs et réassureurs qui eux rembourseront les sinistrés. Au cas où elle ne survient pas, l’investisseur empoche les intérêts. Plus précisément, l’instance qui émet un <em>cat bond </em>crée une société <em>ad hoc</em>, appelée <em>special purpose vehicle </em>(SPV), ou « fonds commun de créance ». Cette société, en général localisée dans un paradis fiscal, part à la recherche d’investisseurs, dont les montants qu’ils lui versent sont placés en titres. En cas d’événement catastrophique déclencheur, le principal et les bénéfices issus du placement vont à l’instance émettrice. Le déclencheur peut être de plusieurs types. Ce peut être un événement d’une certaine sorte, des dommages plus élevés qu’un seuil prédéterminé, une cascade d’événements, par exemple la succession de trois cyclones dans un temps rapproché au même endroit… Le <em>cat bond</em>, on le voit, a une structure très proche du « prêt à la grosse aventure » évoqué au début de ce chapitre. Parmi les sociétés spécialisées dans la mise en place de <em>cat bonds</em>, on trouve notamment Goldman Sachs Asset Management, Credit Suisse Asset Management, Axa Investment Managers…</p>
<p>Comme tout titre financier, les ca<em>t </em>bond<em>s </em>sont évalués par des agences de notation : Standard and Poor’s, Fitch et Moody’s principalement. Ces obligations sont généralement classées BB, ce qui signifie qu’elles ne sont pas sans risque (triple A est comme on sait la note des obligations les moins risquées, celle des bons du Trésor allemands par exemple). La valeur d’un <em>cat bond fluctue</em> sur le marché en fonction de la plus ou moins grande probabilité que la catastrophe survienne et en fonction de l’offre et de la demande du titre concerné. Il arrive que ces titres continuent de s’échanger alors même que la catastrophe se déroule ou à l’approche de la catastrophe, par exemple lors d’une canicule en Europe ou d’un ouragan en Floride. C’est ce que les traders spécialisés dans ce domaine appellent, avec le sens de la formule qui les caractérise, <em>live cat bond trading,</em> autrement dit échanges d’obligation catastrophe pendant le déroulement d’une catastrophe<a href="javascript:void(0);" class="note" onmouseover="return overlib('On trouvera une description de cette pratique dans Michael L&lt;span class=petite_capitale style=font-variant:small-caps;&gt;EWIS&lt;/span&gt;, « In nature’s casino », &lt;em&gt;loc. cit.&lt;/em&gt;', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>.</p>
<p>Il existe une bourse d’échange des titres catastrophe, intitulée « Catex », pour Catastrophe Risk Exchange, apparue en 1995 et localisée dans le New Jersey<a href="javascript:void(0);" class="note" onmouseover="return overlib('Frédéric M&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ORLAYE&lt;/span&gt;, &lt;em&gt;Risk management et assurance&lt;/em&gt;, &lt;em&gt;op. cit.&lt;/em&gt;, p. 149.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Cette bourse permet aux investisseurs de diversifier leurs risques. Un investisseur excessivement exposé aux tremblements de terre californiens – c’est-à-dire possédant dans son portefeuille un surcroît de titres qui le conduirait à faire faillite si un tremblement de terre survenait en Californie – pourra diversifier son portefeuille en échangeant ses <em>cat bonds </em>californiens contre des <em>cat bonds </em>portant sur des ouragans caribéens, ou un tsunami dans l’océan Indien. Catex a également pour fonction de fournir à ses clients des bases de données leur permettant d’évaluer les risques catastrophiques. Il existe d’autres systèmes de cotation des <em>cat bonds</em>. Swiss Re a ainsi mis en place un indice dénommé « Swiss Re cat bond index » permettant d’évaluer les performances des titres catastrophe par rapport au Standard &amp; Poor’s (SP) 500, un indice qui cote 500 grandes sociétés américaines<a href="javascript:void(0);" class="note" onmouseover="return overlib('Erwann M&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ICHEL&lt;/span&gt;-K&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ERJAN &lt;/span&gt;&lt;em&gt;et al.&lt;/em&gt;, « Catastrophe financing for governments. Learning from the 2009-2012 multicat program in Mexico », &lt;em&gt;loc. cit.&lt;/em&gt;, p. 14.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. L’agence de conseil financier spécialisée dans les <em>cat bonds </em>Artemis. bm, basée dans le paradis fiscal des Bermudes (où se concentre une part importante de l’activité assurantielle mondiale), tient quant à elle une liste exhaustive des <em>cat bonds </em>émis depuis la création de ces produits financiers<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir &lt;www.artemis.bm/deal_directory/&gt;.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>.</p>
<p>Quels avantages les <em>cat bonds </em>présentent-ils par rapport à l’assurance traditionnelle ? Les marchés financiers ont une capacité d’absorption des chocs financiers bien supérieure aux secteurs de l’assurance et de la réassurance combinés. On estime à 350-400 milliards de dollars les montants globaux destinés à l’assurance et à la réassurance à l’échelle globale aujourd’hui. La tendance historique est à l’augmentation de ce volume, même si les crises économiques sont susceptibles d’affecter ponctuellement ce secteur. Or le marché obligataire aux États-Unis dépasse à lui seul 29 000 milliards de dollars<a href="javascript:void(0);" class="note" onmouseover="return overlib('Frédéric M&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ORLAYE&lt;/span&gt;, &lt;em&gt;Risk management et assurance&lt;/em&gt;, &lt;em&gt;op. cit.&lt;/em&gt;, p. 147.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Le marché mondial des actions capitalise quant à lui 60 trillions de dollars. C’est sans commune mesure avec celui de l’assurance. Ainsi, si un événement de type Katrina coûtant 100 milliards de dollars ou même davantage est susceptible de mettre sérieusement en péril le marché traditionnel de l’assurance, il représente une variation minime pour les marchés financiers. Un tel événement correspondrait à une variation de 0,5 %, ce qui constitue une volatilité baissière quotidienne normale pour ces derniers. La financiarisation des risques climatiques est par conséquent (en partie) la conséquence de l’augmentation du coût des catastrophes climatiques.</p>
<p>Quel intérêt les investisseurs ont-ils à investir dans des titres climatiques ? Principalement la diversification des risques. Les risques naturels ne sont pas corrélés avec d’autres sortes de risque : le risque de change, la fluctuation des matières premières, les actions des entreprises… En temps de crise comme aujourd’hui, cette diversification est appréciable. Il peut certes arriver qu’une catastrophe affecte à la baisse les actions d’une entreprise dont le siège est localisé à l’endroit où elle survient. Mais, en principe, les <em>cat bonds </em>et autres titres naturels participent d’une stratégie de diversification des portefeuilles. Depuis le commencement de la crise des dettes souveraines européennes en 2010, les investisseurs achètent des obligations catastrophe en nombre. Le premier quart de l’année 2011 est le plus prolifique de l’histoire de ce marché, avec plus d’un milliard de dollars investis<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir les chiffres disponibles sur le site &lt;www.risk.net/insurance-risk/news/2132528/sovereign-debt-crisis-spurs-investment-cat-bonds&gt;.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Comme le dit un opérateur sur ce marché : « La crise de la dette a fait la démonstration de la diversification que permettent les <em>cat bonds </em>et leur absence de corrélation avec les autres marchés financiers. Ce secteur a systématiquement réalisé de bons profits et fait preuve de peu de volatilité. De plus en plus de capitaux y sont attirés… »</p></div><div class="section1" id="niv1-025"><h3>LA NATURE COMME « ABSTRACTION RÉELLE »</h3><p>Les agences de modélisation sont un acteur crucial du dispositif des <em>cat bonds</em>. Ces agences se livrent à la <em>catastrophe modeling</em>, à la modélisation des catastrophes. Leur objectif, en somme, est de calculer la nature. On l’a dit, la caractéristique des nouveaux risques en général, et des risques climatiques en particulier, est l’incertitude qui les sous-tend, c’est-à-dire à la fois la difficulté à prévoir ces risques et, lorsqu’ils sont survenus, la difficulté à en évaluer les coûts. Les obligations traditionnelles, par exemple les bons du Trésor d’un État, fluctuent lentement, ce qui en fait des titres assez sûrs, dont l’évolution est prévisible. Du fait de la complexité des facteurs – naturels et sociaux – qui entrent en ligne de compte et du fait qu’une catastrophe survient le plus souvent sans prévenir, les <em>cat bonds </em>sont beaucoup plus difficilement prévisibles.</p>
<p>C’est la raison pour laquelle leur émission implique toujours l’intervention de modélisateurs, dont le but est justement de réduire autant que faire se peut l’incertitude. Il existe un petit nombre d’agences de modélisation au monde, la plupart états uniennes. Les principales sont AIR (Applied Insurance Reasearch), Eqecat et RMS (Risk Management Solutions)<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir les sites &lt;www.air-worldwide.com/Home/AIR-Worldwide/&gt;, &lt;www.eqecat.com/&gt; et &lt;www.rms.com/&gt;.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Ces agences développent des modèles – nous en examinerons un exemple précis dans un instant – qui s’intéressent à la probabilité d’occurrence d’un événement naturel et en calculent les caractéristiques physiques : vitesse du vent, diamètre du cyclone, températures… Ces modèles prennent également en compte les caractéristiques des bâtiments et des biens matériels de la zone concernée : matériaux employés, type de terrain, pratique de réduction des risques mise en œuvre… L’impact d’une catastrophe et son coût sont bien entendu étroitement liés à ces facteurs. L’ensemble de ces informations permet d’estimer le coût d’une catastrophe, les indemnités versées par les assureurs et, par conséquent, de déterminer le prix d’un <em>cat bond</em>. Les algorithmes élaborés par ces modélisateurs sont d’une grande sophistication mathématique, à l’image de ce qui se fait dans le monde de la finance aujourd’hui. Des méthodes telles que la « simulation » et la « contre-histoire » sont employées. Elles génèrent aléatoirement des catastrophes virtuelles, ce qui permet aux modélisateurs de se représenter leurs conséquences et donc de les prévoir<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Melinda C&lt;span class=petite_capitale style=font-variant:small-caps;&gt;OOPER&lt;/span&gt;, « Turbulent worlds. Financial markets and environnemental crisis », &lt;em&gt;Theory, Culture, and Society&lt;/em&gt;, nº 27, 2010.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>.</p>
<p>Ces agences emploient fréquemment des scientifiques issus des sciences naturelles afin de les aider à construire leurs modèles<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Michael L&lt;span class=petite_capitale style=font-variant:small-caps;&gt;EWIS&lt;/span&gt;, « In nature’s casino », &lt;em&gt;loc. cit.&lt;/em&gt;', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. La société Nephila Capital Limited<a href="javascript:void(0);" class="note" onmouseover="return overlib('Nephila est une variété d’araignée capable de prévoir le mauvais temps, qui tisse sa toile en hauteur quand le temps est bon et plus bas lorsqu’il s’annonce mauvais.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>, basée aux Bermudes, s’est ainsi assuré le concours d’océanographes pour modéliser les ouragans dans les Caraïbes. Avec l’aide de climatologues et d’historiens, Eqecat a créé une base de données qui contient toutes les catastrophes connues au cours des trois cents dernières années pour les États-Unis et celles survenues au cours des cinquante dernières années pour l’Europe<a href="javascript:void(0);" class="note" onmouseover="return overlib('Philip D. B&lt;span class=petite_capitale style=font-variant:small-caps;&gt;OUGEN&lt;/span&gt;, « Catastrophe risk », &lt;em&gt;loc. cit.&lt;/em&gt;, p. 265.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Le recours à l’histoire – naturelle et sociale – est l’un des moyens permettant de lever une partie de l’incertitude liée aux catastrophes et d’assigner un prix aux risques naturels.</p>
<p>Ces agences de modélisation ne modélisent pas uniquement les risques climatiques. Elles modélisent tous les types de risque, et notamment les risques terroristes, en particulier après le 11 septembre 2001. Afin d’évaluer l’impact d’attentats, les agences AIR et RMS ont par exemple engagé d’anciens agents de la CIA et du FBI<a href="javascript:void(0);" class="note" onmouseover="return overlib('Richard V. E&lt;span class=petite_capitale style=font-variant:small-caps;&gt;RICSON &lt;/span&gt;et Aaron D&lt;span class=petite_capitale style=font-variant:small-caps;&gt;OYLE&lt;/span&gt;, « Catastrophe risk, insurance, and terrorism », &lt;em&gt;loc. cit.&lt;/em&gt;, p. 148.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Ceux-ci sont supposés les instruire de la probabilité de nouveaux attentats susceptibles d’être commis sur le sol états-unien et de leur coût compte tenu de l’endroit où ils seraient commis. Or il apparaît que les modèles consacrés aux catastrophes climatiques inspirent ceux qui portent sur le terrorisme. Les firmes qui élaborent ces derniers étaient d’abord spécialisées dans le risque climatique. Bien plus, les modèles climatiques et terroristes s’interpénètrent désormais, puisque certains des modèles consacrés au terrorisme prennent en considération la force et la direction des vents qui contribueraient à disperser des agents chimiques ou biologiques dans une population<a href="javascript:void(0);" class="note" onmouseover="return overlib('&lt;em&gt;Ibid.&lt;/em&gt;, p. 149.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Prenant acte de cette interpénétration, l’assureur états-unien AIG a vendu des portefeuilles qui intègrent la couverture de tous les types de risque en un seul produit financier<a href="javascript:void(0);" class="note" onmouseover="return overlib('Philip D. B&lt;span class=petite_capitale style=font-variant:small-caps;&gt;OUGEN&lt;/span&gt;, « Catastrophe risk », &lt;em&gt;loc. cit.&lt;/em&gt;, p. 267.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>.</p>
<p>L’importance de la modélisation dans le fonctionnement des obligations catastrophe renvoie à un mécanisme crucial dans la formation de la valeur capitaliste : l’abstraction. Ce processus correspond à ce que les marxistes appellent les « abstractions réelles » auxquelles Marx fait référence dans les <em>Grundrisse </em>lorsqu’il écrit : « Les individus sont désormais dominés par des abstractions, tandis qu’auparavant ils étaient dépendants les uns des autres. » Ce qui fait la spécificité des formes capitalistes de domination, c’est qu’elles reposent sur un mécanisme d’abstraction. Dans les sociétés précapitalistes, au contraire, la domination est davantage immédiate, les individus sont comme dit Marx « dépendants les uns des autres ». Alfred Sohn-Rethel définit de son côté l’abstraction réelle comme une abstraction « qui ne relève pas de la pensée », autrement dit qui est le produit, ou qui répond à une nécessité, de l’accumulation du capital<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Alfred S&lt;span class=petite_capitale style=font-variant:small-caps;&gt;OHN&lt;/span&gt;-R&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ETHEL&lt;/span&gt;, « Travail intellectuel et travail manuel. Essai d’une théorie matérialiste », &lt;em&gt;La Pensée-Marchandise&lt;/em&gt;, Éditions du Croquant, Broissieux, 2010 ; Alberto T&lt;span class=petite_capitale style=font-variant:small-caps;&gt;OSCANO&lt;/span&gt;, « The open secret of real abstractions », &lt;em&gt;Rethinking Marxism&lt;/em&gt;, vol. 20, nº 2, 2008.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Dans l’abstraction réelle, l’objet et son apparence deviennent en quelque sorte indiscernables, et acquièrent une puissance causale propre. Comment ?</p>
<p>Pour que des marchandises soient échangées sur un marché, il faut qu’elles soient commensurables, c’est-à-dire que l’on puisse leur assigner un prix. C’est le vieux problème du passage de la valeur d’usage à la valeur d’échange, en d’autres termes de la transformation d’un objet quelconque en marchandise. Le capitalisme se heurte ici à un obstacle de taille : la valeur d’usage est singulière, elle participe du règne de la qualité, alors que la valeur d’échange, elle, suppose la mise en équivalence des marchandises en vue de l’échange, autrement dit elle relève de la quantité. L’histoire du capitalisme n’est autre qu’une succession de procédés visant à surmonter cet obstacle et à marchandiser des secteurs toujours nouveaux de la réalité. En l’occurrence, c’est la nature qu’il s’agit de rendre commensurable.</p>
<p>Afin de transcender la singularité des usages, de puissantes opérations de (re)construction du réel doivent être mises en œuvre par le capitalisme. Celles-ci sont au nombre de trois. Premièrement, il s’agit de construire l’objet, c’est-à-dire d’en délimiter précisément les contours. Une marchandise n’existe pas à l’état naturel en tant que marchandise. Qu’elle puisse être échangée suppose qu’elle soit façonnée comme telle. Dans un deuxième temps, il faut désencastrer l’objet, c’est-à-dire l’isoler par rapport à son contexte. L’environnement – matériel et humain – dans lequel s’inscrit un objet est ce qui lui confère sa singularité, celle-ci n’étant rien d’autre en dernière instance que l’ensemble des relations qu’il entretient avec les entités qui l’entourent. Désencastrer, en ce sens, signifie dé-singulariser, afin de mettre en équivalence. La notion de « désencastrement » apparaît notamment chez Karl Polanyi, dans <em>La Grande Transformation</em>, pour désigner le processus par lequel le capitalisme sépare le marché de son substrat social.</p>
<p>Enfin, le passage de la valeur d’usage à la valeur d’échange suppose l’instauration d’une calculabilité généralisée, autrement dit d’opérations mathématiques signalant aux acteurs économiques les proportions dans lesquelles les marchandises doivent s’échanger les unes contre les autres. L’importance des agences de modélisation que nous évoquions à l’instant ne se comprend pas sans cela. Ces trois opérations, c’est précisément ce que les marxistes appellent l’« abstraction réelle ». Celle-ci est typique du régime capitaliste, elle lui confère la forme de domination très particulière qui le caractérise<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir à ce propos Moishe P&lt;span class=petite_capitale style=font-variant:small-caps;&gt;OSTONE&lt;/span&gt;, &lt;em&gt;Temps, travail et domination sociale&lt;/em&gt;, Mille et une nuits, Paris, 2008. Sur le problème de la fixation d’un prix pour les entités naturelles, voir aussi Marion F&lt;span class=petite_capitale style=font-variant:small-caps;&gt;OURCADE&lt;/span&gt;, « Price and prejudice. On economics and the enchantment (and disenchantment) of nature », &lt;em&gt;in &lt;/em&gt;Jens B&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ECKERT &lt;/span&gt;et Patrik A&lt;span class=petite_capitale style=font-variant:small-caps;&gt;SPERS &lt;/span&gt;(dir.), &lt;em&gt;The Worth of Goods&lt;/em&gt;, Oxford University Press, Oxford, 2010.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>.</p>
<p>On assiste à l’heure actuelle à une « marchandisation par la modélisation », ou <em>model-driven commodification</em><a href="javascript:void(0);" class="note" onmouseover="return overlib('Larry L&lt;span class=petite_capitale style=font-variant:small-caps;&gt;OHMANN&lt;/span&gt;, « Uncertainty markets and carbon markets. Variations on polanyian themes », &lt;em&gt;New Political Economy&lt;/em&gt;, vol. 15, nº 2, 2010, p. 232.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Cette expression désigne la façon dont, dans le capitalisme contemporain, des modèles mathématiques de plus en plus sophistiqués sous-tendent la marchandisation d’entités nouvelles. Parmi ces modèles, l’un des plus connus est la formule dite de « Black-Scholes », pour laquelle Robert Merton et Myron Scholes ont reçu le prix Nobel d’économie en 1997. Cette formule concerne les produits dérivés. Elle est supposée expliquer – et donc prévoir – la relation entre un dérivé et son sous-jacent, c’est-à-dire ce dont le prix du dérivé est justement dérivé : matière première, dette souveraine, climat, etc. La question de savoir dans quelle mesure ce genre de formule représente ou au contraire construit la réalité qu’elle prétend expliquer est complexe<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Donald M&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ACKENZIE&lt;/span&gt;, « Is economics performative ? Option theory and the construction of derivatives markets », &lt;em&gt;Journal of the History of Economic Thought&lt;/em&gt;, nº 28, 2006 ; « The credit crisis as a problem in the sociology of knowledge », &lt;em&gt;American Journal of Sociology&lt;/em&gt;, nº 116, 2011.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Leur dimension performative est évidente, autant qu’est évident le fait qu’elles répondent à une nécessité objective du capitalisme : la formation de la valeur d’échange. « Nature dérivée » (<em>derivative nature</em>) est une expression parfois employée pour désigner la façon dont la nature est (re)construite par le processus de financiarisation par la modélisation qu’elle subit<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Bram B&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ÜSCHER&lt;/span&gt;, « Derivative nature. Interrogating the value of conservation in boundless Southern Africa », &lt;em&gt;Third World Quarterly&lt;/em&gt;, vol. 31, nº 2, 2010.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>.</p></div><div class="section1" id="niv1-026"><h3>MARCHÉS CARBONE ET DÉVELOPPEMENT INÉGAL</h3><p>Aucun cas n’illustre mieux ces opérations de formation de la valeur capitaliste que les « marchés carbone », ou marchés des droits à polluer. Ceux-ci comptent aujourd’hui – avec la propriété intellectuelle sur Internet – parmi les « nouvelles enclosures » en voie de privatisation accélérée, équivalentes dans leur fonctionnement à l’enclosure des « communs » dans l’Angleterre des <span class="petite_capitale" style="font-variant:small-caps;">XVII</span><span class="exposant" style="vertical-align:super;">e </span>et <span class="petite_capitale" style="font-variant:small-caps;">XVIII</span><span class="exposant" style="vertical-align:super;">e</span> siècles. Les marchés carbone reposent sur deux principaux mécanismes : un système de quotas et d’échange de gaz à effet de serre (<em>cap and trade</em>) ; et un système de compensation (<em>offset</em>)<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Peter N&lt;span class=petite_capitale style=font-variant:small-caps;&gt;EWELL &lt;/span&gt;et Matthew P&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ATERSON&lt;/span&gt;, &lt;em&gt;Climat et capitalisme. Réchauffement climatique et transformation de l’économie mondiale&lt;/em&gt;, De Boeck, Bruxelles, 2011.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. L’État ou une autre autorité publique (ONU, Union européenne…) fixe un plafond d’émissions de CO<span class="petite_capitale" style="font-variant:small-caps;">2 </span>(ou autres gaz à effet de serre) à une entreprise, qu’elle ne doit pas dépasser. Ce plafond est inférieur à ses émissions passées, afin de l’obliger à les réduire. Si elle le dépasse, elle paiera la différence. L’unité de compte et d’échange sur les marchés carbone, le « quota », équivaut à 1 tonne de carbone. Son prix fluctue selon les évolutions du marché et le caractère plus ou moins ambitieux de la politique de réduction des gaz à effet de serre décidée par l’État. Si l’entreprise a émis moins de quotas que prévu, elle peut les vendre sur le marché des droits à polluer et ainsi empocher des bénéfices.</p>
<p>Le plus volumineux système d’échange des droits à polluer au monde est le « Système communautaire d’échange des droits à polluer de l’Union européenne », ou <em>European Union emission trading system </em>(EU ETS), qui vise à atteindre les objectifs de réduction des gaz à effets de serre auxquels s’est engagée l’UE dans le cadre du protocole de Kyoto. Le Chicago Climate Exchange, créé en 2003, est le plus ancien. Selon la Banque mondiale, le marché des droits à polluer à l’échelle globale est passé de 10 milliards de dollars en 2005 à 144 milliards en 2009, la crise l’ayant ensuite stabilisé à autour de 142 milliards<a href="javascript:void(0);" class="note" onmouseover="return overlib('Robert F&lt;span class=petite_capitale style=font-variant:small-caps;&gt;LETCHER&lt;/span&gt;, « Capitalizing on chaos. Climate change and disaster capitalism », &lt;em&gt;Ephemera&lt;/em&gt;, vol. 12, nº 1/2, 2012, p. 103.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Il est difficile d’y voir clair dans un marché à l’opacité assez prononcée, du fait que les règles présidant à son fonctionnement ne sont pas encore clairement établies. Le volume des transactions sur les marchés carbone est en partie soutenu par l’activité spéculative, c’est-à-dire par l’intervention sur ces marchés d’intermédiaires financiers qui n’ont pas eux-mêmes besoin de réduire leurs émissions, mais qui achètent et vendent des quotas sur le marché secondaire pour empocher des profits. Ces « entrepreneurs climatiques » et la spéculation à laquelle ils se livrent représenteraient près d’un tiers de l’ensemble des transactions<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Peter N&lt;span class=petite_capitale style=font-variant:small-caps;&gt;EWELL &lt;/span&gt;et Matthew P&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ATERSON&lt;/span&gt;, &lt;em&gt;Climat et capitalisme&lt;/em&gt;, &lt;em&gt;op. cit.&lt;/em&gt;, p. 99-103.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>.</p>
<p>Le marché européen de droits à polluer rencontre de sérieux problèmes d’ajustement de l’offre et de la demande depuis son instauration. Sous la pression des industriels, les quotas carbone ont été initialement trop généreusement distribués, ce qui implique que le cours du quota est très bas et par conséquent que les entreprises ne sont pas incitées à réduire leurs émissions pour vendre ensuite leurs droits à polluer sur le marché. Cette surallocation de permis donne aujourd’hui la possibilité aux firmes non seulement de continuer à polluer comme avant, mais aussi d’augmenter leurs profits au passage en vendant les quotas qui leur ont généreusement été alloués par l’État. Réduire le volume de quotas en circulation pour faire remonter le cours supposerait des décisions politiques courageuses à l’échelle du continent. Il faut remarquer aussi que la crise économique qui a débuté en 2007-2008, en faisant diminuer les taux de croissance, a par là même diminué les émissions de CO<span class="petite_capitale" style="font-variant:small-caps;">2</span>.</p>
<p>À ce fonctionnement fondé sur les quotas s’ajoute un mécanisme de « compensation ». Une entreprise peut s’acquitter de sa « dette écologique », du surcroît de gaz à effet de serre qu’elle émet, en investissant dans des projets favorisant leur réduction ailleurs dans le monde, en particulier dans les régions en voie de développement. C’est ainsi que des entreprises ou pays sont autorisés à financer la préservation de l’environnement, mais aussi la construction de barrages hydroélectriques (qui compte pour plus de 25 % de ces projets de compensation) générant une énergie supposée « propre », afin d’éviter d’avoir à réduire leurs émissions<a href="javascript:void(0);" class="note" onmouseover="return overlib('Larry L&lt;span class=petite_capitale style=font-variant:small-caps;&gt;OHMANN&lt;/span&gt;, « Uncertainty markets and carbon markets. Variations on polanyian themes », &lt;em&gt;loc. cit.&lt;/em&gt;, p. 243. Voir aussi Steffen B&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ÖHM &lt;/span&gt;&lt;em&gt;et al.&lt;/em&gt;, « Greening capitalism ? A Marxist critique of carbon markets », &lt;em&gt;Organization Studies&lt;/em&gt;, vol. 33, nº 11, 2012.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. L’idée sous-jacente est qu’il est plus facile et efficace d’installer des énergies non polluantes dans les pays en développement que de chercher à réduire les émissions dans les pays déjà développés. Ce mécanisme de compensation existe aujourd’hui non seulement pour les droits à polluer, mais aussi par exemple dans le domaine de la préservation de la biodiversité, qui permet que des pertes ou dommages en la matière à un endroit soient compensées par des améliorations à d’autres, selon certaines conditions.</p>
<p>Les marchés de droits à polluer illustrent parfaitement le processus de marchandisation évoqué ci-dessus. Les trois opérations mises en lumière y apparaissent : construction, désencastrement, calculabilité. L’émergence des marchés carbone suppose d’abord la construction d’une entité, la tonne de carbone ou « quota », qui sert d’unité de compte et d’échange. Celle-ci n’a rien de naturel, même si les gaz le sont, puisqu’on aurait pu imaginer que cette valeur soit catégorisée différemment. Cette entité est ensuite désencastrée, c’est-à-dire rendue indépendante de son contexte. Le désencastrement est ce qui permet à des processus se déroulant de part et d’autre de la planète – par exemple le financement par une entreprise polluante française de projets (supposés) écologiquement propres en Asie – d’être considérés comme commensurables. Ce qu’implique le mécanisme de compensation, c’est que polluer en France et construire un barrage hydroélectrique en Asie est écologiquement équivalent, une affirmation – absurde à tous égards – qui a pour condition de possibilité un puissant mécanisme de désencastrement et d’abstraction.</p>
<p>Le mécanisme de la compensation suit – et renforce même – les contours du développement inégal à l’échelle de la planète<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Kate E&lt;span class=petite_capitale style=font-variant:small-caps;&gt;RVINE&lt;/span&gt;, « Carbon markets, debt and uneven development », &lt;em&gt;Third World Quarterly&lt;/em&gt;, vol. 34, nº 4, 2013.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Ainsi, les émissions qui résultent de la production de marchandises importées en Europe mais fabriquées hors des frontières du continent ne sont pas comptabilisées comme émissions européennes. En ce sens, la délocalisation de la production tend mécaniquement à réduire les émissions, en plus bien sûr de réduire le coût de la force de travail pour les multinationales qui s’y livrent. Autrement dit, plus les « chaînes globales de valeur » s’allongent, plus la production se mondialise (plus elle bénéfice du développement inégal), et plus il est difficile d’identifier et de contrôler la source des émissions. « Émissions importées » est un terme parfois employé pour désigner ces émissions non comptabilisées.</p>
<p>Tout cela est rendu possible par la modélisation mathématique. Mais en plus de firmes privées : banques, agences de notation, courtiers spécialisés dans les titres environnementaux comme Eko Asset Management ou Inflection Point Asset Management, un autre acteur de poids permet la marchandisation de la nature : l’État. Qu’il soit national ou supranational, son rôle est crucial dans l’émergence de ces marchés, puisque c’est lui qui met en place le dispositif sociotechnique et la comptabilité permettant leur fonctionnement, qui fixe les quotas par branches et entreprises, etc. Le rôle de l’État comme interface entre le capitalisme et la nature apparaît donc clairement dans le cas des marchés carbone. État, capitalisme et nature constituent un triptyque qu’il s’agit de penser conjointement dans le contexte de la crise environnementale.</p></div><div class="section1" id="niv1-027"><h3>CONSTRUIRE DES MARCHÉS PROFITABLES</h3><p>En cas de catastrophe, les assureurs tendent à majorer les primes d’assurance, les élevant parfois à des prix prohibitifs. Cela produit des effets d’exclusion, désincitant les individus à s’assurer du fait de primes excessives, ce qui rétrécit le marché et oblige les assureurs à augmenter encore leurs primes du fait d’une demande insuffisante. Ce problème est particulièrement aigu dans les pays pauvres. L’existence d’un marché de l’assurance suppose la présence d’un nombre suffisant de personnes disposant des moyens de s’assurer, sans quoi les risques sont insuffisamment diversifiés et donc les assureurs dans l’incapacité de rembourser en cas de catastrophe. Dans les pays en développement, le seuil minimal est rarement atteint. Il arrive de surcroît que le cadre légal y soit défaillant, or l’émergence d’un marché de l’assurance en l’absence de cadre légal stable est problématique. La titrisation des risques climatiques est une manière pour les sociétés d’assurance et les gouvernements de contourner ces obstacles.</p>
<p>Le Programme alimentaire mondial (PAM) a ainsi émis un titre climatique – un dérivé, non une obligation, nous reviendrons sur cette différence dans un instant – en faveur du gouvernement éthiopien, afin que celui-ci puisse soutenir sa population en cas de sécheresse et de perte de récoltes<a href="javascript:void(0);" class="note" onmouseover="return overlib('Koko W&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ARNER &lt;/span&gt;&lt;em&gt;et al.&lt;/em&gt;, « Adaptation to climate change. Linking disaster risk reduction and insurance », &lt;em&gt;op. cit.&lt;/em&gt;, p.4.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. L’Éthiopie est la proie de sécheresses récurrentes, aggravées par le changement climatique. Celles-ci donnent lieu à des famines, que le gouvernement éthiopien n’a pas les moyens de gérer et qui sont souvent prises en charge par le secteur de l’humanitaire. Le titre climatique émis par le PAM se présente comme une alternative à la fois à l’aide gouvernementale directe et à l’aide humanitaire. Il s’agit d’une forme d’assurance appelée <em>index-based insurance</em>. <em>Index-based </em>signifie que son déclencheur est une échelle graduée, par exemple de température ou de pluviométrie, qui, si elle dépasse un certain seuil, libère l’indemnité. Des systèmes assurantiels de ce genre existent également en Bolivie, en Inde et au Soudan, et sont activement promus par les organisations internationales. Ils participent d’un système en pleine effervescence à l’heure actuelle, à savoir la <em>microassurance</em>, qui est l’équivalent pour le secteur de l’assurance du micro-crédit<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Wendy J. W&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ERNER&lt;/span&gt;, « Micro-insurance in Bangladesh. Risk protection for the poor ? », &lt;em&gt;Journal of Health, Population, and Nutrition&lt;/em&gt;, vol. 27, nº 4, 2007.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. La microassurance est symptomatique de la <em>financiarisation de la vie quotidienne </em>à l’œuvre à l’heure actuelle<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Randy M&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ARTIN&lt;/span&gt;, &lt;em&gt;The Financialization of Daily Life&lt;/em&gt;, Temple University Press, Philadelphie, 2002.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. La multiplication des catastrophes naturelles due au changement climatique promet à ce secteur un avenir radieux.</p>
<p>La microassurance, comme son nom l’indique, porte sur de petits montants et concerne des populations pauvres, qui toutefois peuvent encourir des pertes importantes du fait de désastres naturels. Comme dans le cas du microcrédit, la gestion est communautaire, au sens où la responsabilité du paiement des primes est collectivement contrôlée. Elle concerne divers aléas : santé, pertes de récoltes ou de bétail, inondations… et inclut entre 150 et 200 millions de personnes à ce jour. Munich Re a publié plusieurs volumes consacrés à la microassurance en collaboration avec l’Organisation internationale du travail (OIT)<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir les deux gros volumes copubliés en 2006 par Munich Re et l’Organisation internationale du travail (OIT), intitulés &lt;em&gt;Protecting the Poor. A Micro-insurance Compendium&lt;/em&gt;, disponibles à l’adresse : &lt;www.munichre-foundation.org/ home/Microinsurance/MicroinsuranceCompendium.html&gt;. On lira par exemple la contribution de Thomas L&lt;span class=petite_capitale style=font-variant:small-caps;&gt;OSTER &lt;/span&gt;et Dirk R&lt;span class=petite_capitale style=font-variant:small-caps;&gt;EINHARDT&lt;/span&gt;, « Micro-insurance and climate change ».', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Cette collaboration entre le privé et le public, en l’occurrence les organisations internationales, est une constante du secteur de l’assurance. L’objectif affiché, comme toujours, est de protéger les plus pauvres, mais capter les primes, fussent-elles microscopiques, de millions de paysans pauvres à travers le monde n’est pas étranger à l’intérêt du nº 1 mondial de la réassurance pour ce secteur. La micro-assurance peut être considérée comme une forme sophistiquée d’« accumulation par dépossession », au sens de David Harvey<a href="javascript:void(0);" class="note" onmouseover="return overlib('David H&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ARVEY&lt;/span&gt;, &lt;em&gt;Le Nouvel Impérialisme&lt;/em&gt;, Les Prairies ordinaires, Paris, 2010. Voir aussi Larry L&lt;span class=petite_capitale style=font-variant:small-caps;&gt;OHMANN&lt;/span&gt;, « Financialization, commodification and carbon. The contradictions of neoliberal climate policy », &lt;em&gt;Socialist Register&lt;/em&gt;, vol. 48, 2012.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Le principe est toujours le même : en période de déclin du taux de profit, comment rendre profitables des secteurs de la vie sociale et de la population qui jusque-là échappent au marché ?</p>
<p>La profitabilité est une construction politique. Les organisations internationales qui œuvrent dans le domaine du développement, associées aux entreprises privées, développent depuis une décennie environ des « modèles de marché pour les pauvres<a href="javascript:void(0);" class="note" onmouseover="return overlib('Michèle L&lt;span class=petite_capitale style=font-variant:small-caps;&gt;AUBSCHER&lt;/span&gt;, « Modèles de marché pour les pauvres », &lt;em&gt;Global. Globalisation et politique Nord-Sud&lt;/em&gt;, nº 40, été 2011.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a> ». Cette démarche s’inscrit dans l’idéologie de l’<em>empowerment </em>–ou « responsabilisation » – des pauvres, visant à leur faire reprendre le contrôle de leurs existences. Le microcrédit et la micro-assurance procèdent de cette approche. La méthode mise en œuvre consiste à rendre solvables – et donc profitables – des secteurs de la population qui, étant trop pauvres, ne peuvent être intégrés au marché faute de moyens. Deux conditions doivent être réunies pour cela. D’abord, les marchés pour les pauvres doivent être déployés à large échelle, c’est-à-dire concerner des millions d’individus. Le montant d’une prime d’assurance que peut s’autoriser un paysan indien ou bolivien est extrêmement bas. Ensuite, l’agrégation des primes recueillies par les assureurs pour qu’ils puissent couvrir maladies et catastrophes, et au passage empocher des bénéfices, doit être d’un niveau suffisant. Conclusion : les primes doivent être nombreuses. Que ces modèles de marché s’adressent à des pays très peuplés rend l’opération non seulement faisable, mais financièrement juteuse pour les assureurs.</p>
<p>L’intégration des pauvres dans le marché de l’assurance suppose par ailleurs souvent que les primes d’assurance soient subventionnées par l’État, au moins au début. C’est le mécanisme dit des « partenariats public-privé », ou « PPP », qui est l’un des piliers du régime assurantiel néolibéral et dont on trouve aujourd’hui des manifestations dans tous les secteurs de l’économie, par exemple dans la construction des écoles ou la gestion des prisons. Swiss Re a publié en 2011 un rapport intitulé « Closing the financial gap. New partnerships between the public and the private sectors to finance disaster risks<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir le document publié par Swiss Re, « Closing the financial gap. New partnerships between the public and the private sectors to finance disaster risks », 2011. Disponible à l’adresse : &lt;http://media.swissre.com/documents/pub_closing_the_financial_gap_W1.pdf&gt;.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a> ». Le « gap » financier évoqué dans ce titre est celui qui sépare les paysans pauvres des pays en développement de l’assurabilité, c’est-à-dire de la rentabilité pour les assureurs. Selon Swiss Re, c’est aux États de combler ce « gap », c’est-à-dire d’amener le paysan pauvre ou l’habitant du bidonville global au marché, afin que les assureurs puissent l’assurer. Le réassureur suisse avance plusieurs arguments pour convaincre les États. Un paysan non assuré est par exemple moins productif. Sujet aux aléas de la nature ou de la maladie, il aura tendance à moins investir dans l’outillage et les engrais et donc sa productivité à stagner. En outre, il est de toute façon en dernière instance à la charge de l’État, car si sa récolte est détruite ou s’il tombe malade, c’est son soutien qu’il sollicitera. C’est la raison pour laquelle Swiss Re suggère que l’État rende ces assurances privées obligatoires. Les <em>cat bonds </em>dits « souverains », qui sont émis par des États en partenariat avec des assureurs privés sont l’une des façons dont se nouent ces partenariats public-privé. Comme l’a montré Michel Foucault, le néolibéralisme a peu à voir avec le « laisser faire » et tout à voir avec l’intervention permanente de l’État en faveur des marchés.</p>
<p>Le pays d’origine de l’assureur est parfois susceptible d’intervenir dans l’implémentation de systèmes assurantiels dans les pays en développement. La Direction du développement et de la coopération (DDC), une branche du ministère suisse des Affaires étrangères, soutient ainsi activement Swiss Re dans ces pays<a href="javascript:void(0);" class="note" onmouseover="return overlib('Michèle L&lt;span class=petite_capitale style=font-variant:small-caps;&gt;AUBSCHER&lt;/span&gt;, « Modèles de marché pour les pauvres », &lt;em&gt;loc. cit.&lt;/em&gt;', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Elle s’enquiert notamment de ce que le cadre légal en matière de droit des assurances évolue dans un sens qui soit favorable au réassureur. La Suisse est particulièrement active en « Helvé tistan ». Cette expression désigne le groupe de pays qu’elle représente au FMI et à la Banque mondiale, des organisations internationales dont la gouvernance est ainsi faite que les intérêts des pays pauvres sont (supposés être) représentés par des pays riches<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir &lt;em&gt;Neue Zürcher Zeitung&lt;/em&gt;, 21 juillet 2010.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Ce groupe comprend la plupart des pays d’Asie centrale : le Tadjikistan, le Kazakhstan, le Turkménistan, le Kirghizstan et l’Ouzbékistan notamment, dont le nom se termine en « stan », d’où Helvétistan.</p></div><div class="section1" id="niv1-028"><h3>UNE OBLIGATION « MULTI-CAT » AU MEXIQUE</h3><p>La plupart des <em>cat bonds </em>émis jusqu’à présent l’ont été par des assureurs et des réassureurs désireux de se protéger face à des catastrophes. Une tendance se fait cependant jour, depuis le milieu des années 2000, consistant pour des États à émettre des obligations catastrophe. C’est ce que les théoriciens de l’assurance appellent les obligations catastrophe « souveraines », comme on parle de dette souveraine<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir David C&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ROSON &lt;/span&gt;et David R&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ICHTER&lt;/span&gt;, « Sovereign cat bonds and infrastructure project financing », &lt;em&gt;Risk Analysis&lt;/em&gt;, vol. 23, nº 3, 2003.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Cette tendance est activement encouragée par des organisations internationales opérant dans le secteur de l’économie, au premier rang desquelles la Banque mondiale et l’OCDE. Les Nations unies disposent également d’un secrétariat à la réduction des risques, créé en 1999, qui met en œuvre une <em>United Nations international strategy for disaster reduction </em>(UNISDR)<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir le site &lt;www.unisdr.org/&gt;.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Cette approche est élaborée à l’origine par certains théoriciens contemporains de l’assurance, dont beaucoup sont basés à la Wharton School de l’université de Pennsylvanie, l’une des <em>business schools </em>les plus prestigieuses au monde. Cette école est notamment le siège d’un laboratoire dénommé Risk Management and Decision Processes Center, en pointe sur les questions théoriques qui sous-tendent l’assurance des risques climatiques<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir le site Internet de ce centre à l’adresse : &lt;www.wharton.upenn.edu/riskcenter/&gt;. ', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>.</p>
<p>Le Mexique a émis en 2006 un <em>cat bond </em>qui lui permet de se couvrir en cas de tremblement de terre. En 2009, le pays a décidé d’inclure dans le dispositif les ouragans, ce qui a donné lieu à un programme dit « multi-cat », autrement dit qui couvre une multiplicité de catastrophes potentielles<a href="javascript:void(0);" class="note" onmouseover="return overlib('Erwann M&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ICHEL&lt;/span&gt;-K&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ERJAN &lt;/span&gt;&lt;em&gt;et al.&lt;/em&gt;, « Catastrophe financing for governments. Learning from the 2009-2012 multicat program in Mexico », &lt;em&gt;loc. cit.&lt;/em&gt;, p. 25.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Le Mexique est vulnérable à des nombreux aléas, naturels ou non. Les ouragans bien sûr, particulièrement dans la région du golfe du Mexique, mais aussi les séismes, les glissements de terrain, ou encore l’activité volcanique, le volcan Popocatépetl qui surplombe la ville de Mexico s’étant par exemple récemment remis en activité. Le séisme de magnitude 8,1 qui a frappé Mexico en septembre 1985 a fait plus de 10 000 morts et 30 000 blessés, et les dommages ont été estimés à 5 milliards de dollars. Sans oublier que le Mexique connaît depuis les années 1990 une situation de guerre civile larvée, du fait de la montée en puissance du narcotrafic, qui absorbe une part significative des ressources d’un pays qui en manque cruellement.</p>
<p>Au Mexique comme ailleurs, l’État est l’assureur en dernier ressort en cas de catastrophe naturelle. L’indemnisation des victimes se fait sur le budget fédéral, c’est-à-dire en dernière instance l’impôt, sur la base d’un principe de solidarité nationale consubstantiel à l’État-nation moderne. Ce principe est le même qui prévaut, dans certains pays, dans des secteurs comme la santé ou les retraites. La montée en puissance de l’humanitaire à partir du dernier quart du <span class="petite_capitale" style="font-variant:small-caps;">XX</span><span class="exposant" style="vertical-align:super;">e</span> siècle complète ce dispositif par une part privée, gérée par des organisations non gouvernementales, dont l’ampleur est souvent proportionnelle à l’émoi suscité par la catastrophe dans l’opinion publique internationale. Des organisations internationales comme la Banque mondiale ou le Programme des Nations unies pour le développement (PNUD) sont également susceptibles d’intervenir.</p>
<p>Au Mexique, le grand nombre de catastrophes naturelles a conduit le gouvernement à mettre en place, en 1996, un Fonds pour les désastres naturels, dit « Fonden » (<em>Fondo de desastres naturales</em>). Ce fonds intervient à la fois sur le court et le long terme : il procure de l’aide financière d’urgence aux sinistrés dans les premiers moments qui suivent une catastrophe et financent ensuite la reconstruction des infrastructures. Le Fonden est un fonds juridiquement indépendant, mais financé sur le budget de l’État. Jusqu’au début des années 2000, le système a convenablement fonctionné, en raison de désastres naturels aux coûts relativement bas. Cependant, à partir de ce moment, une série de catastrophes aux coûts exorbitants s’est abattue sur le pays. C’est ainsi qu’en 2005, par exemple, le gouvernement fédéral avait prévu de consacrer 50 millions de dollars à l’aide en cas de catastrophe et qu’il a fini par en dépenser 800 millions<a href="javascript:void(0);" class="note" onmouseover="return overlib('&lt;em&gt;Ibid.&lt;/em&gt;, p.24.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>.</p>
<p>C’est dans ce contexte que l’idée de titriser l’assurance des catastrophes climatiques du Mexique s’est fait jour. Sous l’égide de la Banque mondiale, dans un rôle de « coordinateur global », les protagonistes du programme « multi-cat » ont entamé un cycle de réunions et de négociations. Autour de la table, rien que des gens sérieux : le ministère des Finances du Mexique, Goldman Sachs et Swiss Re Capital Markets, chargés de vendre le programme aux investisseurs. Munich Re est également partie prenante, ainsi que deux grands cabinets d’avocats états-uniens, Cadwalader, Wickersham &amp; Taft et White &amp; Case. L’agence de modélisation en charge de mettre en place les paramètres de déclenchement de l’obligation catastrophe est Applied Insurance Reasearch (AIR). Elle a élaboré deux modèles, l’un pour les séismes, l’autre pour les ouragans, en spécifiant à chaque fois la localisation géographique de l’événement (sa trajectoire, pour l’ouragan) et ses caractéristiques physiques : magnitude sur l’échelle de Richter et profondeur dans le premier cas, vitesse du vent dans le second. Une fois le <em>cat bond </em>enregistré aux îles Caïman par Goldman Sachs et Swiss Re, sous la forme d’un <em>special purpose vehicle</em>, il a été vendu aux investisseurs au cours de <em>roadshows </em>– c’est ainsi que l’on appelle la présentation d’un nouveau produit financier sur le marché – organisés par les banques.</p>
<p>À chaque fois qu’une catastrophe frappe le Mexique, l’agence AIR se livre à des calculs pour déterminer si elle répond aux paramètres établis par les contractants et conduire à la mise à disposition du montant financier. Ainsi, un séisme a touché l’État de Baja California en avril 2010, les villes de Calexico et Mexicali en particulier, mais son épicentre se trouvait au nord de la zone délimitée par le <em>cat bond</em><a href="javascript:void(0);" class="note" onmouseover="return overlib('&lt;em&gt;Ibid.&lt;/em&gt;, p.36.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Par conséquent, l’argent de l’obligation n’a pas été libéré et le Mexique a continué à payer des intérêts. De même, un ouragan a frappé l’État de Tamaulipas en juin 2010, mais sa puissance était inférieure au seuil prédéterminé ; là encore, l’argent n’a pas été libéré. Il est fréquent que des négociations aient lieu lorsque frappe une catastrophe. En 1999, de longs pourparlers ont eu lieu entre assureurs et assurés pour savoir si Lothar et Martin, des ouragans qui ont traversé la France, constituaient un ou deux ouragans<a href="javascript:void(0);" class="note" onmouseover="return overlib('Arthur C&lt;span class=petite_capitale style=font-variant:small-caps;&gt;HARPENTIER&lt;/span&gt;, « Insurability of climate risks », &lt;em&gt;loc. cit.&lt;/em&gt;, p. 100.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Les assureurs insistèrent sur le fait qu’il s’agissait d’un seul événement climatique, afin de n’avoir à payer les indemnités qu’une fois.</p>
<p>La mise en place de <em>cat bonds </em>souverains s’opère également en Asie. C’est ce que révèle un rapport de l’ASEAN paru fin 2011<a href="javascript:void(0);" class="note" onmouseover="return overlib('ASEAN, « Advancing disaster risk financing and insurance in ASEAN countries. Framework and options for implementation », avril 2012. Disponible à l’adresse : &lt;www.gfdrr.org/sites/gfdrr.org/files/publication/DRFI_ASEAN_REPORT_June12.pdf&gt;. ', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. L’ASEAN est l’Association des nations d’Asie du Sud-Est. Elle inclut la Thaïlande, l’Indonésie, la Malaisie, Singapour, le sultanat de Brunei, le Vietnam, la Birmanie, le Cambodge, le Laos et les Philippines. Cette région est très exposée aux catastrophes naturelles et il est probable que le changement climatique augmentera encore le nombre et la puissance des catastrophes à venir. Dans la mesure où certains des pays de l’ASEAN sont musulmans</p>
<p>– l’Indonésie est le plus grand pays musulman au monde – ce sont les principes de l’assurance islamique, le <em>takaful</em>, qui s’appliquent. On peut relever au passage que l’assurance islamique connaît aujourd’hui une croissance annuelle de 25 %, alors que le marché de l’assurance traditionnelle a crû en moyenne de 10 % au cours des dernières années<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Swiss Re, « Insurance in the emerging markets : overview and prospects for Islamic insurance », nº 5, 2008. Disponible à l’adresse : &lt;http://media.swissre.com/documents/sigma5_2008_en.pdf&gt;.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Swiss Re fait ainsi beaucoup d’efforts pour renforcer sa « Sharia credibility », selon sa propre expression.</p>
<p>Le système assurantiel préconisé par ce rapport de l’ASEAN inclut trois niveaux. Le premier concerne les risques récurrents mais de faible ampleur, de type glissements de terrain ou inondations locales. Dans ce cas, le financement se fait sur le budget de l’État, en prévoyant des enveloppes qui lui sont spécifiquement consacrées. Les montants financiers en jeu sont parfois importants, mais pas suffisamment pour mettre en péril la stabilité financière d’un État. Le deuxième niveau, qui renvoie aux tremblements de terre ou aux inondations plus importantes, fait appel aux « crédits contingents » de la Banque mondiale. La Banque mondiale émet des « options de tirage différé pour les risques liés aux catastrophes<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Banque mondiale, &lt;em&gt;Manuel du service de la dette&lt;/em&gt;, juin 2009. Disponible à l’adresse : &lt;http://siteresources.worldbank.org/PROJECTS/Resources/409401250176637898/0000477705FRfr.pdf&gt;, p. 19-20.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a> ». Celles-ci permettent à un pays de recevoir une aide financière rapide en cas de catastrophe. Elles sont assorties de conditions, comme toujours lorsque la Banque mondiale prête de l’argent. Outre le versement d’intérêts, un pays qui y prétend doit mettre en place un « programme de gestion des risques appropriés », qui implique notamment le développement de partenariats avec le privé, et doit encourager l’émergence de marchés privés de gestion des risques catastrophiques. Ces crédits contingents peuvent s’élever jusqu’à 500 millions de dollars. Le troisième niveau concerne les risques peu fréquents mais dont les conséquences sont désastreuses : tremblements de terre majeurs, cyclones tropicaux, tsunamis, etc. Ce troisième étage est celui de la haute finance : vu les coûts induits par ces catastrophes, seule cette dernière est susceptible d’y faire face.</p>
<p>Le Mexique et les pays asiatiques ne sont pas les seuls à avoir mis en place des <em>cat bonds </em>souverains. La Turquie, le Chili, ou encore l’État de l’Alabama aux États-Unis, durement affecté par l’ouragan Katrina en 2005, l’ont également fait sous une forme ou une autre.</p></div><div class="section1" id="niv1-029"><h3>CRISE ÉCOLOGIQUE ET CRISE FISCALE DE L’ÉTAT</h3><p>La financiarisation de l’assurance des catastrophes climatiques par les États a une raison profonde, dont l’examen permet de mettre en rapport les questions écologiques avec le capitalisme et ses crises. Un objectif du programme « multi-cat » mexicain, de l’aveu même de ses concepteurs, est de « protéger les finances publiques » du pays émetteur, ou encore, d’« immuniser leur politique fiscale<a href="javascript:void(0);" class="note" onmouseover="return overlib('Erwann M&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ICHEL&lt;/span&gt;-K&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ERJAN &lt;/span&gt;&lt;em&gt;et al.&lt;/em&gt;, « Catastrophe financing for governments. Learning from the 2009-2012 multicat program in Mexico », &lt;em&gt;loc. cit.&lt;/em&gt;, p.3.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a> ». Le rapport de l’ASEAN parle quant à lui de renforcer la « résilience financière » des pays membres, de « protéger les équilibres fiscaux de long terme », en financiarisant l’assurance des risques climatiques. Ces programmes obligataires ont été finalisés en 2009, alors que fait rage la plus grave crise du capitalisme depuis la Grande dépression des années 1930. Une caractéristique de la crise actuelle est l’augmentation vertigineuse des dettes souveraines, c’est-à-dire de l’endettement des États du centre de l’économie mondiale, États-Unis et Europe en tête. Cet endettement est le fruit de baisses d’impôts massives, d’inspiration néolibérale, pour les plus riches, de diminutions significatives des rentrées fiscales du fait du ralentissement de la croissance et du sauvetage des banques et d’autres institutions financières par l’État au moment de la crise. La crise des dettes souveraines intervient dans le contexte de ce que certains auteurs, parmi lesquels James O’Connor et Wolfgang Streeck, ont appelé la « crise fiscale de l’État ». Cette expression désigne le fait que les États n’ont plus les moyens financiers de leurs politiques et qu’il s’agit là d’une donnée <em>structurelle</em>, et non pas seulement passagère, apparue depuis le dernier quart du <span class="petite_capitale" style="font-variant:small-caps;">XX</span><span class="exposant" style="vertical-align:super;">e</span> siècle. Cette donnée structurelle a été encore aggravée par la crise des dettes souveraines.</p>
<p>Selon Streeck, les États sont aujourd’hui placés devant deux obligations mutuellement contradictoires : d’une part, consolider leurs finances publiques, ce qui doit leur permettre notamment d’emprunter à des taux d’intérêt plus bas que les taux actuels, la réduction des déficits et de la dette étant imposée par les marchés. De l’autre, continuer à procurer à leurs populations des niveaux d’investissement public dans l’éducation, la santé, les retraites… élevés, les attentes des populations en termes de bien-être, depuis la fin de la Seconde Guerre mondiale au moins, ne cessant d’augmenter<a href="javascript:void(0);" class="note" onmouseover="return overlib('Sur le cas allemand, voir Wolfgang S&lt;span class=petite_capitale style=font-variant:small-caps;&gt;TREECK&lt;/span&gt;, « Endgame ? The fiscal crisis of the German state », &lt;em&gt;in &lt;/em&gt;Alister M&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ISKIMMON&lt;/span&gt;, William E. P&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ATERSON &lt;/span&gt;et James S&lt;span class=petite_capitale style=font-variant:small-caps;&gt;LOAM &lt;/span&gt;(dir.), &lt;em&gt;Germany’s Gathering Crisis. The 2005 Federal Election and the Grand Coalition&lt;/em&gt;, Palgrave Macmillan, Basingstoke, 2009.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. En période de taux de croissance historiquement bas depuis plusieurs décennies, ces deux obligations sont impossibles à concilier. C’est ce qui conduit Streeck, qui s’inspire sur ce point d’O’Connor, à affirmer que le capitalisme et la démocratie ne seront plus compatibles pour longtemps.</p>
<p>La crise fiscale de l’État est étroitement liée à la crise environnementale. Du fait de la crise fiscale qu’ils traversent, les États sont de moins en moins capables d’assumer le coût assurantiel des catastrophes climatiques par des moyens conventionnels, c’est-à-dire principalement par l’impôt. Ils le seront d’autant moins que le nombre et la puissance de ces catastrophes iront en augmentant, du fait du changement climatique. C’est là le point de fusion de la crise écologique et de la crise financière. Un tel constat vaut pour toutes les régions du monde, mais à plus forte raison pour les plus fragiles des États. Les pays en développement sont souvent les plus durement frappés par les catastrophes climatiques, non seulement parce que c’est là que celles-ci ont lieu, mais également parce que les moyens dont ils disposent pour y faire face sont bien inférieurs à ceux que possèdent les pays développés. La montée du niveau des mers affecte les Pays-Bas aussi bien que le Bangladesh. Il est toutefois de toute évidence préférable d’y être confronté dans le premier de ces pays plutôt que dans le second. L’île antillaise de Grenade est un cas instructif. Cette île est frappée en 2004 par l’ouragan Ivan, alors qu’elle est endettée à hauteur de 90 % de son PIB. Incapable de faire face aux dépenses induites par cette catastrophe, compte tenu de son niveau d’endettement, elle est forcée de se déclarer en défaut un an plus tard.</p>
<p>La crise fiscale incite les États à financiariser de plus en plus l’assurance des risques climatiques. La titrisation est conçue comme une alternative à l’impôt et à la solidarité nationale. La crise fiscale de l’État, la crise environnementale et la financiarisation sont donc trois phénomènes étroitement liés. Cet argument peut être généralisé. À l’origine, l’exploitation de la nature ne coûte rien ou presque. Avec le temps, l’épuisement des ressources conduit toutefois à leur renchérissement, alors que la gestion des effets néfastes du développement – lutte contre les pollutions, frais liés à la santé des salariés, accidents atomiques… – coûte elle aussi de plus en plus cher. Cette tendance pèse à la baisse sur le taux de profit. Que fait alors le capitalisme ? Il transfère le coût croissant de la reproduction des conditions de production à l’État. C’est la logique même de ce système : socialisation des coûts, privatisation des bénéfices. L’augmentation des coûts relatifs aux conditions de production plonge l’État dans une crise fiscale. Les rentrées fiscales n’augmentent pas au même rythme que les dépenses, ce d’autant plus qu’à partir des années 1970 le taux de croissance des pays anciennement développés est en berne. Les finances publiques sont par conséquent structurellement déficitaires.</p>
<p>La crise fiscale de l’État le conduit à emprunter de plus en plus sur les marchés financiers, afin de financer ses dépenses et investissements et de rétablir fictivement l’équilibre de ses comptes. C’est l’une des causes de la financiarisation du capital<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir aussi Costas L&lt;span class=petite_capitale style=font-variant:small-caps;&gt;APAVITSAS&lt;/span&gt;, « Financialised capitalism. Crisis and financial expropriation », &lt;em&gt;Historical Materialism&lt;/em&gt;, vol. 17, nº 2, 2009.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Cette financiarisation procède – notamment – du renchérissement des conditions de production et des coûts croissants générés par l’exploitation de la nature. Le capitalisme exploite la nature, ce qui occasionne des dépenses de plus en plus importantes pour l’État, qui s’en remet aux marchés financiers pour y faire face.</p>
<p>La crise fiscale et la crise environnementale interagissent également par d’autres biais. Une caractéristique des nouveaux risques, on l’a vu, est l’hypercorrélation, c’est-à-dire le fait qu’ils affectent des régions entières. Une catastrophe désorganise durablement l’activité économique dans un lieu. Cela peut conduire à un ralentissement de la croissance, lequel diminuera les rentrées fiscales, puisque celles-ci sont proportionnelles à la croissance. Ce ralentissement obligera par ailleurs l’État à dépenser davantage en termes d’assurance chômage et autres prestations sociales. La crise écologique, en multipliant les catastrophes, est donc susceptible d’aggraver considérablement la crise fiscale de l’État. Le coût du changement climatique sur les systèmes de protection sociale et de santé peut être plus indirect encore. Du fait du réchauffement climatique, des agents pathogènes apparaîtront dans des régions qui en étaient jusque-là exemptes<a href="javascript:void(0);" class="note" onmouseover="return overlib('Arthur C&lt;span class=petite_capitale style=font-variant:small-caps;&gt;HARPENTIER&lt;/span&gt;, « Insurability of climate risks », &lt;em&gt;loc. cit.&lt;/em&gt;, p.91.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Avec l’accroissement des températures, une partie croissante du territoire états-unien risque par exemple d’être exposé à la malaria. Ce type de risque ne manquera pas d’engendrer des dépenses sanitaires supplémentaires, approfondissant d’autant la crise fiscale de l’État.</p></div><div class="section1" id="niv1-030"><h3>UNE NATURE DÉRIVÉE</h3><p>Les <em>cat bonds </em>et les quotas carbone ne sont pas les seuls produits financiers branchés sur des processus naturels, tant s’en faut. Les dérivés climatiques (<em>weather derivatives</em>) en sont un autre. Les <em>swaps</em>, les <em>calls </em>et les <em>puts </em>sont des exemples de dérivés. Les dérivés climatiques portent sur le temps qu’il fait et non sur les catastrophes naturelles. Ils concernent des variations non catastrophiques, dont le déclenchement ne suppose pas l’interruption du cours normal de la vie sociale. D’un événement sportif à une récolte, en passant par la grêle, un concert rock et les fluctuations du prix du gaz, bien des aspects des sociétés modernes sont influencées par le temps. On estime que 25 % du PIB des pays développés est susceptible de subir l’impact de variations climatiques<a href="javascript:void(0);" class="note" onmouseover="return overlib('Frédéric M&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ORLAYE&lt;/span&gt;, &lt;em&gt;Risk Management et assurance&lt;/em&gt;, &lt;em&gt;op. cit.&lt;/em&gt;, p. 173', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>.</p>
<p>Un dérivé climatique libère un montant financier au cas où les températures – ou un autre paramètre climatique – sont supérieures ou inférieures à une moyenne, par exemple si le froid et donc les dépenses énergétiques excèdent certains niveaux, ou si la pluie limite la fréquentation d’un parc d’attractions en été. Dans le domaine agricole, certains dérivés ont pour sous-jacent le temps de germination des plantes. Un index tel que les « degrés-jour de croissance » (<em>growing degree days</em>) mesure l’écart entre la température dont a besoin une récolte pour mûrir en moyenne et la température réelle, déclenchant un versement en cas de dépassement d’un certain seuil. Dans le cadre d’un <em>swap</em>, deux entreprises que les variations du climat affectent de manière opposée peuvent décider de s’assurer mutuellement. Si une entreprise énergétique perd de l’argent en cas d’hiver trop doux, et une entreprise organisant des événements sportifs en cas d’hiver trop rigoureux, elles se verseront un montant prédéterminé selon que l’hiver est doux ou rigoureux<a href="javascript:void(0);" class="note" onmouseover="return overlib('Melinda C&lt;span class=petite_capitale style=font-variant:small-caps;&gt;OOPER&lt;/span&gt;, « Turbulent worlds. Financial markets and environmental crisis », &lt;em&gt;loc. cit.&lt;/em&gt;, p. 177.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>.</p>
<p>Les ancêtres des dérivés climatiques sont apparus dans l’agriculture au <span class="petite_capitale" style="font-variant:small-caps;">XIX</span><span class="exposant" style="vertical-align:super;">e</span> siècle, notamment aux États-Unis, au Chicago Board of Trade, et portaient sur des matières premières telles que le coton et le blé<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir la fascinante histoire de ces produits financiers proposée par William C&lt;span class=petite_capitale style=font-variant:small-caps;&gt;RONON&lt;/span&gt;, &lt;em&gt;Nature’s Metropolis. Chicago and the Great West&lt;/em&gt;, WW Norton, New York, 1992, chap. 3.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Au moment de la libéralisation et du décloisonnement des marchés financiers dans les années 1970 et de la prolifération des produits dérivés qui s’en est ensuivie, les sous-jacents potentiels se sont multipliés. Les multinationales de l’énergie, parmi lesquelles Enron, ont été pionnières dans ce domaine. En 1998-1999, un hiver particulièrement doux aux États-Unis du fait du phénomène La Niña a conduit à des pertes significatives pour ces compagnies, ce qui a accéléré la montée en puissance des dérivés, par l’entremise desquels elles ont « lissé » leurs risques de perte<a href="javascript:void(0);" class="note" onmouseover="return overlib('John E. T&lt;span class=petite_capitale style=font-variant:small-caps;&gt;HORNES&lt;/span&gt;, « An introduction to weather and climate derivatives », &lt;em&gt;Weather&lt;/em&gt;, vol. 58, mai 2003 ; Samuel R&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ANDALLS&lt;/span&gt;, « Weather profits. Weather derivatives and the commercialization of meteorology », &lt;em&gt;Social Studies of Science&lt;/em&gt;, nº 40, 2010 ; Michael P&lt;span class=petite_capitale style=font-variant:small-caps;&gt;RYKE&lt;/span&gt;, « Geomoney. An option on frost, going long on clouds », &lt;em&gt;Geoforum&lt;/em&gt;, nº 38, 2007.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Il est vrai que des fluctuations de quelques degrés impliquent des variations financières colossales pour ces entreprises. À partir de 1999, les dérivés climatiques sont échangés à la Bourse de Chicago, au Chicago Mercantile Exchange, historiquement spécialisée dans les produits agricoles. L’émergence des dérivés climatiques va de pair avec une tendance croissante à la privatisation des services météorologiques, notamment dans les pays anglo-saxons<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir John E. T&lt;span class=petite_capitale style=font-variant:small-caps;&gt;HORNES &lt;/span&gt;et Samuel R&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ANDALLS&lt;/span&gt;, « Commodifying the atmosphere. Pennies from heaven ? », &lt;em&gt;Geografiska Annaler&lt;/em&gt;, vol. 89, nº 4, 2007.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Ces services constituent un enjeu financier et politique de taille, puisque ce sont eux en dernière instance qui déterminent les seuils au-delà desquels un dérivé se déclenche.</p>
<p>L’apparition des dérivés climatiques doit être replacée dans le contexte plus général de la « révolution des dérivés » du dernier tiers du <span class="petite_capitale" style="font-variant:small-caps;">XX</span><span class="exposant" style="vertical-align:super;">e</span> siècle, qui est concomitante de l’émergence du néolibéralisme<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir à ce propos Donald M&lt;span class=petite_capitale style=font-variant:small-caps;&gt;AC&lt;/span&gt;K&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ENZIE &lt;/span&gt;et Yuval M&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ILLO&lt;/span&gt;, « Constructing a market, performing a theory. The historical sociology of a financial derivatives exchange », &lt;em&gt;American Journal of Sociology&lt;/em&gt;, vol. 109, nº 1, 2003.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Dans la première moitié des années 1970 a lieu l’abandon des taux de change fixes entre monnaies. Dès lors que les taux de change sont flottants, les gouvernements et les entreprises doivent pouvoir se couvrir face aux risques de fluctuations monétaires imprévues, sur lesquelles sont directement indexés le commerce extérieur ou les bénéfices. C’est ce à quoi vont justement servir les dérivés sur les devises, puis les dérivés sur les bons du Trésor. Or cette « révolution des dérivés » a lieu à Chicago, à l’endroit même où les premiers dérivés agricoles avaient été créés, au Chicago Board of Trade et au Chicago Mercantile Exchange. Le savoir-faire portant sur les dérivés agricoles est alors reconverti dans la mise en place des dérivés sur les monnaies et autres sous-jacents<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Leo P&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ANITCH &lt;/span&gt;et Sam G&lt;span class=petite_capitale style=font-variant:small-caps;&gt;INDIN&lt;/span&gt;, &lt;em&gt;The Making of Global Capitalism&lt;/em&gt;, &lt;em&gt;op. cit.&lt;/em&gt;, p. 140-150.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>.</p>
<p>Dans un article intitulé « Why environment needs high finance ? » (« Pourquoi l’environnement a besoin de la haute finance ? »), trois théoriciens de l’assurance suggèrent de mettre en place des <em>species swaps</em>, une forme de dérivé portant sur le risque de disparition des espèces<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir James T. M&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ANDEL&lt;/span&gt;, C. Josh D&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ONLAN &lt;/span&gt;et Jonathan A&lt;span class=petite_capitale style=font-variant:small-caps;&gt;RMSTRONG&lt;/span&gt;, « A derivative approach to endangered species conservation », &lt;em&gt;Frontiers in Ecology and the Environment&lt;/em&gt;, nº 8, 2010.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. L’interpénétration de la finance et de la nature revêt ici une de ses formes les plus radicales. L’idée est simple : il s’agit de rendre la préservation des espèces profitable pour les entreprises, de façon à les inciter à prendre soin d’espèces menacées qui se trouveraient sur leur territoire. La préservation des espèces coûte cher. C’est de surcroît l’argent de l’État qui est mobilisé, lequel tend à se faire rare en temps de crise. L’argument de la crise fiscale de l’État, on le voit, se trouve une fois de plus invoqué comme fondement de la financiarisation de la nature. Un <em>species swap </em>prend place entre l’État et une entreprise privée. Imaginons une variété de tortue menacée en Floride, qui vit dans les parages d’une entreprise. Si le nombre de spécimens s’accroît du fait que l’entreprise en prend soin, l’État lui verse des intérêts. Cela permet de justifier au passage des activités de préservation de la nature aux yeux de ses actionnaires, puisqu’elles deviennent profitables. Si au contraire le nombre de spécimens vient à décliner, ou à approcher du seuil d’extinction, c’est au contraire l’entreprise qui verse de l’argent à l’État, afin que celui-ci puisse engager une opération de sauvetage. Ce mécanisme est supposé inciter les privés à prendre en charge la préservation des espèces et permettre à l’État de consacrer moins d’argent à cette activité.</p>
<p>Les « hypothèques environnementales » (<em>environmental mort-gages</em>), sortes de <em>subprimes </em>dont le sous-jacent n’est pas un bien immobilier mais une portion d’environnement, les titres adossés aux forêts (<em>forest-backed securities</em>), ou encore les mécanismes de compensation des zones humides (<em>wetlands</em>), libéralisés aux États-Unis par l’administration Bush père dans les années 1990<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Hélène T&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ORDJMAN &lt;/span&gt;et Valérie B&lt;span class=petite_capitale style=font-variant:small-caps;&gt;OISVERT&lt;/span&gt;, « L’idéologie marchande au service de la biodiversité ? », &lt;em&gt;Mouvements&lt;/em&gt;, nº 70, 2012, p. 36.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>, sont d’autres exemples de produits financiers du même type.</p></div><div class="section1" id="niv1-031"><h3>LA NATURE COMME STRATÉGIE D’ACCUMULATION</h3><p>Le capitalisme, dit James O’Connor, a des « conditions de production ». Ces conditions ne sont pas à proprement parler des marchandises, elles permettent cependant que des marchandises soient produites. Karl Polanyi, dont s’inspire ici O’Connor, les appelle « marchandises fictives », pour souligner que même si elles sont considérées comme des marchandises, leur ontologie est distincte de celle des marchandises normales. Exemple : le travail, la terre ou encore la monnaie. À mesure que le capitalisme se développe, il affaiblit et même détruit ses conditions de production. Si le pétrole – une marchandise fictive s’il en est – bon marché a permis pendant plus d’un siècle le fonctionnement de ce que Timothy Mitchell appelle la « démocratie carbone<a href="javascript:void(0);" class="note" onmouseover="return overlib('Timothy M&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ITCHELL&lt;/span&gt;, &lt;em&gt;Carbon democracy. Le pouvoir politique à l’ère du pétrole&lt;/em&gt;, La Découverte, Paris, 2013.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a> », sa raréfaction renchérit considérablement cette condition de production. Cette pression à la hausse sur les conditions de production, le fait que le capital a besoin de ces dernières mais ne peut en même temps faire autrement que les épuiser, c’est ce qu’O’Connor appelle la « seconde contradiction » du capitalisme, la contradiction entre le capital et la nature, la première contradiction étant celle qui oppose le capital et le travail<a href="javascript:void(0);" class="note" onmouseover="return overlib('James O’C&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ONNOR&lt;/span&gt;, &lt;em&gt;Natural Causes&lt;/em&gt;, &lt;em&gt;op. cit.&lt;/em&gt;', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>.</p>
<p>Ces deux contradictions s’alimentent l’une l’autre. Le travail humain, en tant qu’il génère de la plus-value – de la valeur – en transformant la nature, est la catégorie qui garantit que l’histoire naturelle et l’histoire sociale sont une seule et même histoire, autrement dit que ces deux contradictions sont enchevêtrées. La première contradiction conduit à une baisse tendancielle du taux de profit, c’est-à-dire à l’apparition de crises profondes du système capitaliste. La seconde induit quant à elle un renchérissement croissant de l’entretien des conditions de production, qui pèse également à la baisse sur le taux de profit, puisque des volumes croissants de capitaux employés à cet entretien, par exemple à la recherche de réserves de pétrole toujours plus difficiles d’accès, ne sont pas transformés en profits. L’État moderne doit être conçu comme l’interface entre le capital et la nature. Il est l’instance qui régule l’usage des conditions de production, afin que celles-ci puissent être exploitées par le capital. La nature livrée au capital sans interface serait rapidement détruite par lui. Si le capitalisme a besoin de l’État, c’est donc d’abord dans un but d’autolimitation. C’est aussi, on l’a vu, dans un but de construction de la nature. C’est la raison pour laquelle la question centrale pour tout mouvement écologique digne de ce nom est la question de l’État.</p>
<p>En raccourcissant l’échelle temporelle, cette question peut être approchée un peu différemment. La crise environnementale n’est pas seulement un problème à gérer pour le capitalisme, qui pèse négativement sur le taux de profit. Elle peut être une véritable <em>stratégie d’accumulation</em><a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Neil S&lt;span class=petite_capitale style=font-variant:small-caps;&gt;MITH&lt;/span&gt;, « Nature as accumulation strategy », &lt;em&gt;Socialist Register&lt;/em&gt;, vol. 43, 2007.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Comme l’a montré Gramsci, les crises sont toujours des moments ambivalents pour le capitalisme. D’un côté, elles représentent un risque pour la survie du système. Mais, de l’autre, elles sont aussi des occasions de générer de nouvelles opportunités de profits. La crise environnementale n’échappe pas à cette ambivalence. L’ouragan Katrina a par exemple détruit des volumes colossaux de capital. Mais il a aussi permis l’expulsion et la rentabilisation de quartiers jusque-là populaires et donc peu rentables, ainsi que la privatisation massive des services publics, notamment les écoles. Il en va de même du tsunami de 2004 en Asie, qui a conduit à l’enclosure de nombreuses régions côtières et suscité l’installation de chaînes internationales d’hôtellerie et de restauration. Tous les exemples évoqués dans ce chapitre, des obligations catastrophe aux dérivés climatiques, en passant par les marchés carbone et les <em>species swaps</em>, témoignent de la façon dont le capital tire profit de la crise environnementale en cours. La crise n’a donc pas uniquement des effets négatifs pour le capital. « Capitaliser sur le chaos » est toujours une possibilité pour lui<a href="javascript:void(0);" class="note" onmouseover="return overlib('Robert F&lt;span class=petite_capitale style=font-variant:small-caps;&gt;LETCHER&lt;/span&gt;, « Capitalizing on chaos. Climate change and disaster capitalism », &lt;em&gt;loc. cit.&lt;/em&gt;', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Ce point de vue, dans le fond, ne contredit pas celui de James O’Connor. Il s’agit de perspectives différentes sur un même phénomène. Sur le court terme, le capitalisme parvient à tirer profit de la crise. Pour autant, la constante pression qui s’exerce sur les conditions de production laisse penser que sa survie est désormais en jeu.</p></div><div class="section1" id="niv1-032"><h3>CONCLUSION</h3><p>Résumons le chemin parcouru jusqu’ici. Le développement industriel – le capitalisme – est à l’origine de la crise et des inégalités environnementales. Ce système produit cependant également, dans un même mouvement, des « anticorps » pour y faire face. La financiarisation est l’un d’entre eux. Elle protège l’investissement des conséquences du changement climatique, amortit l’augmentation du coût des « conditions de production » à laquelle il donne lieu, et permet par la même occasion d’en tirer profit, dans un contexte global marqué par une crise économique de longue durée. La financiarisation est donc une première réaction du capitalisme devant la crise écologique.</p>
<p>Il s’agit à présent de se tourner vers un second mécanisme qui permet au système de se prémunir face aux effets de cette crise : la guerre. Du fait de l’accroissement des inégalités qu’elle suscite, la crise écologique induit des conflits armés d’un type nouveau. Elle suscite des évolutions dans les modalités de la violence collective, qui inaugurent une ère nouvelle dans l’histoire de la guerre. En plus de se financiariser, la crise écologique se militarise. Les militaires sont d’ailleurs conscients de cette évolution. Depuis quelques années, ils intègrent en effet les conséquences du changement climatique dans leurs analyses stratégiques…</p></div></div></div>


<div class="chapitre" id="chap-003"><div class="chap_debut"><!--debut--></div><h3><span><b>III. LES GUERRES VERTES, OU LA MILITARISATION DE L’ÉCOLOGIE</b></span></h3><div class="exergue"><div class="exer"><p class="txt_courant_justif last">À défaut de renseignements sûrs et exacts, un général capable ne devrait jamais se mettre en marche sans avoir deux ou trois partis pris sur les hypothèses vraisemblables.</p>
<p>Antoine-Henri J<span class="petite_capitale" style="font-variant:small-caps;">OMINI</span></p></div></div><div class="dev"><p>En 2010, le document de <em>National Security Strategy </em>(NSS) américain, signé de la main de Barack Obama, inclut pour la première fois une section consacrée aux implications militaires du changement climatique. Du fait de son impact sur l’environnement et les populations, celui-ci devra impérativement être intégré au calcul stratégique de l’armée étatsunienne<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir &lt;em&gt;National Security Strategy&lt;/em&gt;, mai 2010, disponible sur le site de la Maison-Blanche à l’adresse : &lt;www.whitehouse.gov/sites/default/files/rss_viewer/national_security_strategy.pdf&gt;.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. La NSS est l’objet d’une actualisation tous les cinq à dix ans. Le précédent rapport remonte au premier mandat de George W. Bush, en 2002, juste après les attentats du 11 septembre 2001. Il comprenait la doctrine de la « guerre préventive », qui s’apprêtait à être mise en application en Irak. Le rapport NSS prend périodiquement acte des grandes tendances politico-militaires à l’échelle mondiale : fin de la guerre froide, émergence du « terrorisme », mais aussi renchérissement du prix du pétrole ou risques de pandémies. Il permet aux classes dominantes de déterminer les objectifs stratégiques de moyen et long terme du pays. La publication du rapport NSS est toujours précédée de débats sur ces thèmes à l’intérieur des administrations en place et au sein des <em>think tanks </em>et revues liés à la politique étrangère, qui sont nombreux sur la côte est.</p>
<p>Au cours de la seconde moitié des années 2000, diverses commissions d’experts réunies par ces <em>think tanks </em>ont ainsi produit des rapports concernant le lien entre le changement climatique et la guerre. La plupart de ces commissions incluaient des officiers de haut rang des différents corps de l’armée – Navy, Army, Air Force, gardes-côtes – en activité ou à la retraite. Parmi ces <em>think tanks</em>, on trouve le Center for Naval Analysis, le Center for a New American Security, le Council on Foreign Relations, le Center for American Progress, la Brookings Institution… Les plus anciens de ces rapports remontent à 2007. L’un d’eux s’intitule « The age of consequences. The foreign policy and national security implications of global climate change ». Il est coédité par le Center for Strategic and International Studies et le Center for a New American Security. L’« âge des conséquences » dont il est question dans son titre</p>
<p>– en référence à une phrase de Winston Churchill prononcée à la veille de la Seconde Guerre mondiale – est défini comme celui qui verra « l’intersection du changement climatique et de la sécurité des nations<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Kurt M. C&lt;span class=petite_capitale style=font-variant:small-caps;&gt;AMPBELL &lt;/span&gt;&lt;em&gt;et al.&lt;/em&gt;, « The age of consequences. The foreign policy and national security implications of global climate change », Center for Strategic and International Studies et Center for a New American Security, novembre 2007, p. 5. Disponible à l’adresse : &lt;http://csis.org/files/media/csis/pubs/071105_ageofconsequences.pdf&gt;. &lt;/p&gt;
&lt;/div&gt;<!--note-->&lt;note #NBP246&gt;Voir « National security and the threat of climate change », Center for Naval Analysis, 2007, p. 35. Disponible à l’adresse : &lt;www.cna.org/sites/default/files/National%20Security%20and%20the%20Threat%20of%20Climate%20Change%20-%20Print.pdf&gt;. Sur les implications géopolitiques de la montée du niveau des mers, voir Henrike B&lt;span class=petite_capitale style=font-variant:small-caps;&gt;RECHT &lt;/span&gt;&lt;em&gt;et al.&lt;/em&gt;, « Sea-level rise and storm surges. High stakes for a small number of developing countries », &lt;em&gt;The Journal of Environment &amp; Development&lt;/em&gt;, vol. 21, nº 1, 2012.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a> ». Ce document esquisse trois scénarios possibles pour le <span class="petite_capitale" style="font-variant:small-caps;">XXI</span><span class="exposant" style="vertical-align:super;">e</span> siècle : un changement climatique « prévisible », avec augmentation des températures globales de 1,3 ºC d’ici 2040 ; un changement climatique « sévère », avec accroissement des températures de 2,6 ºC, donnant lieu à des événements naturels « non linéaires », c’est-à-dire imprévisibles. Et, enfin, un scénario « catastrophique », fondé sur une augmentation des températures de 5,6 ºC d’ici 2100, menaçant la « cohésion interne » des nations.</p>
<p>La question du lien entre le changement climatique et la guerre apparaît désormais régulièrement dans les colonnes de l’<em>Armed Forces Journal</em>, le mensuel des officiers de l’armée états-unienne, ou de la revue <em>Foreign Affairs</em>, qui exprime le consensus diplomatique en vigueur à Washington. C’est dans les colonnes de cette revue que George Kennan a présenté la doctrine de l’« endiguement » à la fin des années 1940, ou que Samuel Huntington a annoncé le « choc des civilisations » au début des années 1990. En 2009, la CIA a inauguré un Center for Climate Change and National Security. Il a pour vocation de réfléchir aux effets du changement climatique sur la « sécurité nationale », et de pourvoir en informations stratégiques les négociateurs américains qui participent aux réunions internationales sur la question. En 2010, la <em>Quadriennial Defense Review </em>(<em>QDR</em>) publiée par le Pentagone a consacré un chapitre au changement environnemental. Ce rapport est le principal document de doctrine militaire élaboré par le département de la Défense.</p>
<p>Selon la <em>QDR</em>, le changement climatique affectera les missions de l’armée de plusieurs façons. Il modifiera l’« environnement opérationnel » dans lequel interviennent les militaires, en multipliant et intensifiant les catastrophes naturelles. Il aura aussi un impact sur les installations et le matériel militaires. La base navale de Pascagoula, dans l’État du Mississippi, a par exemple été fortement endommagée par l’ouragan Katrina en 2005, plusieurs milliards de dollars ayant été nécessaires à sa restauration. Une trentaine de bases militaires états-uniennes à travers le monde sont déjà sous la menace de la montée du niveau des mers. L’une des principales plaques tournantes – <em>hub </em>– de l’armée américaine dans l’océan Indien est une base située sur l’île de Diego Garcia. C’est un point de passage fréquenté par nombre de navires et avions en transit vers ou de l’Asie. Cette base représentait un nœud stratégique au cours de la guerre froide. Avec la montée en puissance de la Chine, elle revêt une importance déterminante dans le dispositif de l’armée étatsunienne. Or Diego Garcia se situe à quelques mètres seulement au-dessus du niveau de la mer et sera engloutie en cas d’augmentation de ce dernier, peut-être vers le milieu du <span class="petite_capitale" style="font-variant:small-caps;">XXI</span><span class="exposant" style="vertical-align:super;">e</span> siècle<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir « National security and the threat of climate change », Center for Naval Analysis, 2007, p. 35. Disponible à l’adresse : &lt;www.cna.org/sites/default/files/National%20Security%20and%20the%20Threat%20of%20Climate%20Change%20-%20Print.pdf&gt;. Sur les implications géopolitiques de la montée du niveau des mers, voir Henrike B&lt;span class=petite_capitale style=font-variant:small-caps;&gt;RECHT &lt;/span&gt;&lt;em&gt;et al.&lt;/em&gt;, « Sea-level rise and storm surges. High stakes for a small number of developing countries », &lt;em&gt;The Journal of Environment &amp; Development&lt;/em&gt;, vol. 21, nº 1, 2012.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Il en va de même de la base de Guam, dans l’océan Pacifique, d’où décollaient les avions pour bombarder le Japon lors de la Seconde Guerre mondiale.</p><div class="section1" id="niv1-033"><h3>UNE DOCTRINE ÉMERGENTE</h3><p>Si ce corps de doctrine se cristallise au cours des années 2000, les premières réflexions sur les implications militaires du changement climatique au sein des élites américaines sont plus anciennes. Le premier rapport qui évoque explicitement la question, commandé par Jimmy Carter, remonte à 1977<a href="javascript:void(0);" class="note" onmouseover="return overlib('François G&lt;span class=petite_capitale style=font-variant:small-caps;&gt;EMENNE&lt;/span&gt;, &lt;em&gt;Géopolitique du changement climatique&lt;/em&gt;, &lt;em&gt;op. cit.&lt;/em&gt;, p.8.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Parmi les experts qui se penchent alors sur la question se trouve Thomas Schelling, un grand théoricien des jeux contemporain, prix Nobel d’économie en 2005, et l’un des concepteurs de la doctrine américaine de la dissuasion nucléaire. Schelling continue depuis lors à intervenir sur la question du changement climatique, du point de vue de ses conséquences économiques et géopolitiques<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Thomas S&lt;span class=petite_capitale style=font-variant:small-caps;&gt;CHELLING&lt;/span&gt;, « Some economics of global warming », &lt;em&gt;The American Economic Review&lt;/em&gt;, vol. 82, nº 1, mars 1992. Voir aussi l’interview avec Thomas Schelling dans &lt;em&gt;The Atlantic&lt;/em&gt;, juillet 2009.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. C’est un partisan de la « géo-ingénierie », c’est-à-dire de la mise en œuvre de manipulations technologiques du climat pour lutter contre le réchauffement<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Dominique B&lt;span class=petite_capitale style=font-variant:small-caps;&gt;OURG &lt;/span&gt;et Gérald H&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ESS&lt;/span&gt;, « La géo-ingénierie : réduction, adaptation et scénario du désespoir », &lt;em&gt;Natures Sciences Sociétés&lt;/em&gt;, nº 18, 2010.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Plus ancien encore, le Pentagone organise en juin 1947 une réunion consacrée aux conséquences militaires de la fonte des glaces en Arctique<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Ronald E. D&lt;span class=petite_capitale style=font-variant:small-caps;&gt;OEL&lt;/span&gt;, « Quelle place pour les sciences de l’environnement physique dans l’histoire environnementale ? » &lt;em&gt;Revue d’histoire moderne et contemporaine&lt;/em&gt;, vol. 56, nº 4, 2009, p. 142.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>.</p>
<p>Au début des années 1990, Al Gore – alors vice-président – a contribué à revivifier la réflexion sur le sujet. Une série de conférences a également lieu dans le cadre de l’OTAN. Depuis lors, l’organisation transatlantique est en pointe sur cette question. En 1993, elle publie un document intitulé « Environmental policy statement for the armed forces », destiné à augmenter la « conscience écologique » des soldats de l’alliance<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Peter C&lt;span class=petite_capitale style=font-variant:small-caps;&gt;OATES &lt;/span&gt;&lt;em&gt;et al.&lt;/em&gt;, « Defending nation, defending nature ? Militarized landscapes and military environmentalism in Britain, France, and the United States », &lt;em&gt;Environmental History&lt;/em&gt;, nº 16, juillet 2011, p. 469. Dans la même perspective, voir aussi Chris P&lt;span class=petite_capitale style=font-variant:small-caps;&gt;EARSON&lt;/span&gt;, « Researching military landscapes. A literature review on war and the militarization of the environment », &lt;em&gt;Landscape Research&lt;/em&gt;, vol. 37, nº 1, 2012.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Son secrétaire général néerlandais Jaap de Hoop Scheffer déclare en 2008 que le changement environnemental est l’un des nouveaux « horizons stratégiques » de l’organisation. L’année suivante, son successeur Anders Fogh Rasmussen, ancien Premier ministre danois, soutient qu’« aucun gouvernement ne peut se confronter tout seul au changement climatique », puisque celui-ci représente un risque par essence transnational<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir la tribune d’Anders F&lt;span class=petite_capitale style=font-variant:small-caps;&gt;OGH &lt;/span&gt;R&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ASMUSSEN&lt;/span&gt;, « NATO and climate change », 15 décembre 2009, &lt;em&gt;Huffington Post. &lt;/em&gt;Disponible à l’adresse : &lt;www.huffingtonpost.com/anders-fogh-rasmussen/nato-and-climate-change_b_392409.html&gt;.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Il partage cette caractéristique avec le terrorisme, dont les réseaux enjambent les frontières, et qui requiert par conséquent des modalités nouvelles de coopération internationale. C’est pourquoi, ajoute Rasmussen, l’OTAN pourrait à l’avenir jouer un rôle clé dans la gestion des effets du changement climatique sur la « sécurité collective ». Après la fin de la guerre froide, l’organisation transatlantique se cherchait une raison d’être : elle semble l’avoir trouvée.</p>
<p>L’armée américaine n’est pas la seule à s’intéresser au changement climatique, tant s’en faut. Au cours des années récentes, toutes les grandes armées du monde se sont interrogées sur les conséquences militaires de ce phénomène. C’est le cas des armées britannique, chinoise, brésilienne, indienne, française, australienne et canadienne. En France, la <em>Revue de défense nationale</em>, l’une des principales revues de doctrine de l’armée, a consacré en 2010 un numéro spécial à la « géostratégie du climat » ainsi qu’à la notion de « sécurité naturelle ». Ce dossier, préfacé par Michel Rocard, contient des articles aux titres évocateurs : « Quand la sécurité devient verte » ou « Climat : enjeu de sécurité ou contrôle stratégique ? », ce dernier de la main de David Mascré, un temps membre du bureau politique du Front national. Cette revue est dirigée par des officiers généraux de l’armée. Qu’elle s’intéresse au changement climatique est symptomatique des réflexions en cours sur l’évolution des modalités de la violence collective dans les décennies à venir. L’intérêt des militaires pour ces questions est bien sûr une manière pour eux de vivre avec leur temps, à une époque où il n’est de multinationale – y compris et peut-être surtout les plus nocives au plan environnemental – qui ne dispose d’un département chargé de l’écologie (un phénomène qui, dans le monde anglo-saxon, est connu sous le nom de <em>greenwashing</em>). Mais cet intérêt repose aussi sur des ressorts plus profonds.</p>
<p>L’Assemblée nationale a consacré en 2012 un rapport parlementaire à « l’impact du changement climatique sur la sécurité et la défense<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir &lt;em&gt;Rapport d’information sur l’impact du changement climatique en matière de sécurité et de défense&lt;/em&gt;, présenté par André S&lt;span class=petite_capitale style=font-variant:small-caps;&gt;CHNEIDER &lt;/span&gt;et Philippe T&lt;span class=petite_capitale style=font-variant:small-caps;&gt;OURTELIER&lt;/span&gt;, Assemblée nationale, commission des Affaires européennes, 28 février 2012. Disponible à l’adresse : &lt;www.assemblee-nationale.fr/13/europe/rap-info/i4415.asp&gt;. ', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a> ». Il émane de la commission des Affaires européennes et s’inscrit dans les débats portant sur l’émergence d’une défense à l’échelle du continent. Présenté par les députés André Schneider (UMP) et Philippe Tourtelier (PS), il avance l’hypothèse qu’à l’avenir l’armée pourrait exercer la fonction de « spécialiste du chaos ». La crise écologique conduira à une aggravation des catastrophes naturelles, qui fragiliseront les institutions en place, en particulier dans les régions en voie de développement. L’armée sera dans certains cas seule à même d’intervenir efficacement dans le chaos qui en résultera. Des évolutions de cet ordre sont en particulier attendues dans les trois zones d’intérêt stratégique de l’Union européenne définie par ce rapport : le bassin méditerranéen, l’Asie du Sud-Ouest et l’Arctique.</p>
<p>Ce document examine l’intervention des armées de l’OTAN lors du tremblement de terre au Pakistan en 2005. Il s’intéresse aussi au rôle de l’armée japonaise dans la gestion du tsunami et de la catastrophe nucléaire de Fukushima en 2011. Un événement comme la canicule de 2003 sur le continent européen, qui a occasionné 35 000 morts, est susceptible de mettre sous pression les systèmes de santé et de protection sociale, ouvrant la voie à une intervention accrue de l’armée dans la gestion de la santé publique. Ce rapport parlementaire a été précédé d’une enquête datant de 2011 du Centre des hautes études militaires (CHEM), un institut de formation des officiers supérieurs de l’armée française<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir &lt;em&gt;Le Monde&lt;/em&gt;, 15 mars 2012.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. La Délégation aux affaires stratégiques (DAS), un centre d’analyse du ministère de la Défense, a en outre créé en 2011 un poste de chargé de mission « Environnement, climat, énergie ».</p>
<p>Le Conseil de sécurité des Nations unies a dédié une séance au climat comme « problème de sécurité » en avril 2007<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Geoffrey D. D&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ABELKO&lt;/span&gt;, « Planning for climate change. The security community’s precautionary principle », &lt;em&gt;Climatic Change&lt;/em&gt;, nº 96, 2009, p. 13.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. La Chine a alors exprimé son opposition à ce que ce problème soit abordé dans cette enceinte, estimant qu’il relevait des agences internationales compétentes en matière environnementale. L’ONU examine aussi l’opportunité de créer des « casques verts », visant à désamorcer les conflits liés au changement climatique. Le secrétaire général Ban Ki-moon s’est exprimé en faveur de cette initiative<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir à ce propos &lt;http://ecologie.blog.lemonde.fr/2011/07/22/bientot-des-casques-verts-du-changement-climatique-a-lonu/&gt;.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>.</p></div><div class="section1" id="niv1-034"><h3>DICTATURE BIENVEILLANTE</h3><p>Ces exemples et de nombreux autres démontrent que les militaires prennent le changement climatique très au sérieux. On verra dans un instant pourquoi. La prolifération des rapports militaires concernant ce problème, la rigueur avec laquelle il est discuté par les intellectuels organiques du militaire révèlent <em>a contrario </em>la difficulté des autres fractions des classes dominantes à s’y confronter. Les militaires sont aujourd’hui l’un des secteurs des élites</p>
<p>– avec la finance, comme on l’a vu au chapitre précédent – à être en mesure de réfléchir sur une durée allant de 30 à 50 ans, la temporalité pertinente pour penser les effets du changement climatique. La classe politique, de son côté, est victime d’un « court-termisme » qui la rend inapte à intégrer le changement climatique dans ses calculs. L’objectif quasi exclusif de ses représentants est en effet de se faire réélire à l’occasion de scrutins électoraux espacés de quelques années tout au plus, ce qui fait qu’elle est peu à même de prendre en considération des problèmes de plus long terme<a href="javascript:void(0);" class="note" onmouseover="return overlib('Une version de cet argument est avancée par Dominique B&lt;span class=petite_capitale style=font-variant:small-caps;&gt;OURG &lt;/span&gt;et Kerry W&lt;span class=petite_capitale style=font-variant:small-caps;&gt;HITESIDE &lt;/span&gt;dans &lt;em&gt;Vers une démocratie écologique : le citoyen, le savant et le politique&lt;/em&gt;, Le Seuil, Paris, 2010.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>.</p>
<p>Les militaires, en revanche, ont l’habitude de se projeter dans le moyen et long terme. Trois à cinq décennies, c’est la temporalité dans laquelle s’inscrit l’analyse stratégique, le temps que dura par exemple la guerre froide. C’est aussi le temps qui sépare en moyenne la conception d’une nouvelle arme de son emploi sur le champ de bataille<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir John N&lt;span class=petite_capitale style=font-variant:small-caps;&gt;AGL &lt;/span&gt;et Christine P&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ARTHEMORE&lt;/span&gt;, « A post-petroleum era », &lt;em&gt;Armed Forces Journal&lt;/em&gt;, novembre 2010. Voir aussi par les mêmes auteurs « Fueling the future force. Preparing the Department of Defense for a post-petroleum era », Center for a New American Security, septembre 2010. Disponible à l’adresse : &lt;www.cnas.org/files/documents/publications/CNAS_Fueling%20the%20Future%20Force_NaglParthemore.pdf&gt;. Dans le cadre d’une réflexion sur les conséquences politiques de l’arme atomique, Edward P. T&lt;span class=petite_capitale style=font-variant:small-caps;&gt;HOMPSON &lt;/span&gt;propose une version de cet argument dans ses « Notes on exterminism. The last stage of civilisation », &lt;em&gt;New Left Review&lt;/em&gt;, I/121, mai-juin 1980.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Les militaires ont par ailleurs l’habitude de gérer des situations d’incertitude, lesquelles sont parties intégrantes de leur <em>ethos</em>. La part d’inconnu inhérente au changement climatique n’est donc pas rédhibitoire pour eux. Comme le dit Clausewitz dans <em>De la guerre </em>: « La grande incertitude de toutes les données constitue une difficulté particulière de la guerre, car toute action s’accomplit pour ainsi dire dans une sorte de crépuscule qui confère souvent aux choses comme un aspect nébuleux ou lunaire […]<a href="javascript:void(0);" class="note" onmouseover="return overlib('Cité par Emmanuel T&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ERRAY&lt;/span&gt;, &lt;em&gt;Clausewitz&lt;/em&gt;, Fayard, Paris, 1999, p. 61.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. » Le changement climatique ne fait que radicaliser ce caractère « crépusculaire » de l’environnement guerrier. Clausewitz ajoute que des paramètres tels que l’hydrographie, la flore, le relief et les températures jouent un rôle déterminant dans l’issue des batailles. Ce qu’on appelle communément l’« avantage du terrain » désigne la maîtrise de cet ensemble de facteurs par l’un des antagonistes. Les armées sont des organisations « cognitives », qui amassent ou produisent quantité de données leur permettant de mener à bien les opérations militaires. Sur ce plan, elles ressemblent aux sociétés d’assurance dont il a été question au chapitre II. Le contrôle de ces données est susceptible de devenir un enjeu majeur en contexte de changement environnemental.</p>
<p>Le néolibéralisme est une modalité de l’accumulation du capital dans laquelle la bourgeoisie financière a pris le dessus sur les autres fractions de l’élite. Comme le dit Nicos Poulantzas, « le bloc au pouvoir ne peut fonctionner à la longue que sous l’hégémonie et direction d’une de ses composantes […]<a href="javascript:void(0);" class="note" onmouseover="return overlib('Nicos P&lt;span class=petite_capitale style=font-variant:small-caps;&gt;OULANTZAS&lt;/span&gt;, &lt;em&gt;L’État, le pouvoir, le socialisme&lt;/em&gt;, Les Prairies ordinaires, 2013 (1&lt;span class=exposant style=vertical-align:super;&gt;re &lt;/span&gt;éd., 1976), p. 202.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a> ». Les crises ont toutefois pour conséquence de modifier les équilibres au sein des classes dominantes. Dans le temps long de la crise, les différents secteurs de l’élite ont une capacité plus ou moins grande à faire valoir leurs intérêts. Depuis la fin de la guerre froide, le pouvoir relatif des militaires a diminué par rapport à celui d’autres fractions, dans les pays occidentaux à tout le moins. Il n’est cependant pas exclu que, à la faveur de la crise environnementale, ils regagnent une partie du terrain perdu. Leur niveau de préparation face aux défis de cette crise, les ressources – coercitives en particulier – dont ils disposent pour y faire face paraissent bien supérieurs à ceux que possèdent les autres fractions des classes dominantes.</p>
<p>Le philosophe Hans Jonas, élève de Martin Heidegger et auteur du <em>Principe responsabilité </em>(1979), soutient que l’humanité devra peut-être à l’avenir « accepter comme prix nécessaire pour le salut physique une pause de la liberté […]<a href="javascript:void(0);" class="note" onmouseover="return overlib('Hans J&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ONAS&lt;/span&gt;, &lt;em&gt;Pour une éthique du futur&lt;/em&gt;, Rivages, Paris, 1998, p. 115.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a> ». En liberté, l’humanité court à sa perte, car elle ne peut s’empêcher d’infliger des dommages irréparables à son milieu. Seule une « dictature bienveillante » est à même de prendre les mesures qui s’imposent pour que son « salut physique » soit assuré. C’est ce que Jonas appelle « la tyrannie comme alternative à l’anéantissement physique ». Rien n’indique <em>a priori </em>que cette tyrannie sera militaire. Mais le degré de préparation des armées face à la crise écologique laisse supposer qu’elles pourraient être de sérieux candidats pour en prendre la tête. L’adaptation au changement environnemental, en tous les cas, comportera une dimension militaire décisive.</p></div><div class="section1" id="niv1-035"><h3>SPÉCIALISTES DU CHAOS</h3><p>Quel est donc le lien entre la crise écologique et la conduite de la guerre tel qu’envisagé par les militaires ? La multiplication des catastrophes naturelles implique d’abord que les armées seront davantage sollicitées pour venir en aide, et par la même occasion « pacifier », les populations. Deux événements récents qui illustrent cette tendance sont le tsunami de 2004 dans l’océan Indien, et l’ouragan Katrina en 2005 à La Nouvelle-Orléans, deux tragédies très largement militarisées. Les moyens déployés lors de ces opérations ne pourront l’être pour d’autres missions, notamment dans le cadre de guerres conventionnelles. Le problème se pose avec une acuité particulière pour les États-Unis, déjà engagés dans des guerres coûteuses à l’issue incertaine en Irak et en Afghanistan, sans parler de leur implication plus indirecte sur différents théâtres d’opérations aux quatre coins du monde. Les stratèges militaires reconnaissent pour la plupart la situation de « surextension impériale » – pour reprendre l’expression de Paul Kennedy<a href="javascript:void(0);" class="note" onmouseover="return overlib('Paul K&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ENNEDY&lt;/span&gt;, &lt;em&gt;The Rise and Fall of the Great Powers&lt;/em&gt;, Vintage, Londres, 1989.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a> – dans laquelle se trouve le pays, c’est-à-dire la projection excessive des forces compte tenu des moyens à disposition.</p>
<p>En arrière-plan de ce constat figure la crise fiscale dans laquelle sont plongés les États-Unis, crise fiscale que nous avons déjà évoquée au chapitre précédent. Cette crise affecte à vrai dire la plupart des pays industrialisés. Les militaires ne sont pas épargnés par les mesures d’austérité auxquelles elle donne lieu, comme l’armée grecque a par exemple pu le constater récemment à ses dépens<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir à ce propos &lt;www.spiegel.de/international/europe/the-greek-militarybudget-offers-plenty-of-room-for-cuts-a-846607.html&gt;. Sur le lien entre crise fiscale et armée américaine, voir Mark D. T&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ROUTMAN&lt;/span&gt;, « Fiscal jeopardy. The strategic risks of US debt and how to avoid them », &lt;em&gt;Armed Forces Journal&lt;/em&gt;, février 2011.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Après avoir décliné au cours des années 1990, les dépenses militaires ont recommencé à augmenter dans les années 2000 au plan mondial, dès avant le 11 septembre 2001<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Yves B&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ÉLANGER &lt;/span&gt;et Aude F&lt;span class=petite_capitale style=font-variant:small-caps;&gt;LEURANT&lt;/span&gt;, « Les dépenses militaires : la fin d’un cycle ? », &lt;em&gt;Interventions économiques&lt;/em&gt;, nº 42, 2010.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. La tendance semble toutefois s’inverser à nouveau depuis quelque temps du fait de la récession.</p>
<p>L’émergence de la Chine comme puissance globale conduit par ailleurs les stratèges occidentaux à prévoir que d’importants moyens devront être mis à disposition dans le cadre d’une nouvelle politique d’« endiguement », dont l’épicentre pourrait être la mer de Chine. Dans ce qui est l’une des théories des relations internationales les plus influentes du moment, le « réalisme offensif » de John Mearsheimer, la course à l’armement avec la Chine est présentée comme inévitable<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir John M&lt;span class=petite_capitale style=font-variant:small-caps;&gt;EARSHEIMER&lt;/span&gt;, &lt;em&gt;The Tragedy of Great Power Politics&lt;/em&gt;, WW Norton, New York, 2002.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Consacrer des ressources humaines et matérielles à des opérations humanitaires résultant de la crise écologique risque dans ce contexte de compliquer la tâche des armées.</p>
<p>Une expression qui revient fréquemment dans les raisonnements des militaires à propos de la crise écologique est celle de « multiplicateur de menaces » (<em>threat multiplier</em>). Le changement climatique ne créera pas nécessairement de nouvelles menaces. Il aggravera toutefois des problèmes déjà existants, en particulier dans des régions à risque : Afrique, Asie et Amérique latine notamment. Les inégalités, la corruption, les conflits « interethniques » augmenteront du fait de la raréfaction des ressources ou de la fréquence plus grande des catastrophes. Le cas du Darfour, évoqué au chapitre I, qui revient souvent dans cette littérature, est présenté comme typique de l’interaction mortifère entre l’ethnicité, le climat et la guerre. Le réchauffement de la planète favorisera en outre l’extension hors de leur écosystème de certaines maladies, malaria, paludisme, dengue ou salmonellose, augmentant de ce fait la pression sur les systèmes de santé<a href="javascript:void(0);" class="note" onmouseover="return overlib('Hervé K&lt;span class=petite_capitale style=font-variant:small-caps;&gt;EMPF&lt;/span&gt;, &lt;em&gt;Comment les riches détruisent la planète&lt;/em&gt;, Points, Paris, 2009, p. 27.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>.</p>
<p>La « multiplication de menaces » concernera notamment l’eau. La plupart des grands fleuves asiatiques – Indus, Gange, Yangzi, Mékong… – trouvent leur source en Himalaya. La fonte des glaciers de cette région, couplée avec la construction de barrages hydroélectriques, menace de susciter d’importantes pénuries d’eau dans la région<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Kenneth P&lt;span class=petite_capitale style=font-variant:small-caps;&gt;OMERANZ&lt;/span&gt;, « The great Himalayan watershed », &lt;em&gt;New Left Review&lt;/em&gt;, nº 58, juillet-août 2009.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Le problème revêt de surcroît une dimension géopolitique. Les glaciers himalayens qui alimentent ces fleuves asiatiques se trouvent pour la plupart en territoire chinois. Les tensions relatives à la répartition des réserves hydriques entre la Chine et ses voisins promettent de s’en trouver accrues, comme c’est déjà le cas avec l’Inde, notamment autour du projet de détournement du fleuve Brahmapoutre par la Chine<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir &lt;em&gt;Le Monde&lt;/em&gt;, 12 mars 2012.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Les pénuries accéléreront le rythme de l’urbanisation des pays alentours. Rendant l’irrigation plus aléatoire et donc l’agriculture moins productive, elles encourageront les paysans à quitter leurs terres et à s’installer dans le « bidonville global », c’est-à-dire dans les taudis qui prolifèrent autour des grands centres urbains de la planète<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Mike D&lt;span class=petite_capitale style=font-variant:small-caps;&gt;AVIS&lt;/span&gt;, &lt;em&gt;Planet of Slums&lt;/em&gt;, &lt;em&gt;op. cit.&lt;/em&gt;', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. C’est dans ce bidonville global que les guérillas – mais aussi la violence liée au narcotrafic – se livrent de plus en plus, et non plus comme à l’époque de Mao et de Che Guevara en milieu rural. L’urbanisation de la guerre est un phénomène relevé par nombre de théoriciens de la guerre contemporains<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Jean-Louis D&lt;span class=petite_capitale style=font-variant:small-caps;&gt;UFOUR&lt;/span&gt;, &lt;em&gt;La Guerre, la Ville et le Soldat&lt;/em&gt;, Odile Jacob, Paris, 2002, ainsi que Jean-Louis D&lt;span class=petite_capitale style=font-variant:small-caps;&gt;UFOUR&lt;/span&gt;, « L’armée face à la ville », &lt;em&gt;Annales de la recherche urbaine&lt;/em&gt;, nº 91, 2001.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. La crise climatique est l’un des facteurs qui y contribuent.</p></div><div class="section1" id="niv1-036"><h3>TERRORISME ET CHANGEMENT CLIMATIQUE</h3><p>Aux yeux des militaires, le changement climatique risque d’affaiblir certains États déjà faibles et stratégiquement sensibles. Il s’agit des fameux <em>failed states</em>, les États « faillis », théorisés par le Pentagone depuis les administrations George Bush père et Bill Clinton. Les <em>failed states </em>sont les États supposés incapables d’assurer les fonctions « normales » d’un État démocratique moderne : sécurité, croissance, justice, égalité devant la loi… Ils se situent pour la plupart dans ce qu’on appelait autrefois le tiers monde. La revue <em>Foreign Policy </em>fondée par Samuel Huntington publie chaque année un classement de ces États, nommé le <em>Failed States Index</em><a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir le &lt;em&gt;Failed States Index &lt;/em&gt;publié par &lt;em&gt;Foreign Policy &lt;/em&gt;à l’adresse : &lt;www.foreignpolicy.com/failedstates&gt;.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Il en existe une cinquantaine, dont la liste évolue avec les années. En 2010, la Somalie est l’État le plus « failli » du globe, suivi du Tchad et du Soudan. La tête de ce classement demeure inchangée en 2011. Haïti est le premier État non africain, l’Afghanistan le premier État asiatique.</p>
<p>Ce classement est établi sur la base d’une douzaine de critères, donnant lieu à autant de notes, qui vont de la « pression démographique » à l’existence de « services publics », en passant par la « légitimité du gouvernement » et le « développement économique ». L’Irak occupait les avant-postes de ce classement jusqu’au milieu des années 2000. Il les a quittés depuis lors, occupant aujourd’hui la neuvième place, du fait semble-t-il de l’efficace <em>nation building </em>américain. Le classement des <em>failed states </em>est agrémenté chaque année d’une série de photographies intitulées « Cartes postales de l’enfer » (<em>Postcards from hell</em>)<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir &lt;www.foreignpolicy.com/articles/2011/06/20/postcards_from_hell_2011#14&gt;.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a> . Celles-ci mettent en scène des situations de misère et de désespoir localisées dans les États faillis : Liberia, Bangladesh, Corée du Nord, Kirghizstan… De la mère pleurant la disparition de ses enfants victimes d’un glissement de terrain à la rangée de militaires menaçants barrant la route à une foule affamée, en passant par des fidèles musulmans agenouillés en prière, le monde dépeint par ces photos – accompagnée chacune d’une légende à tonalité catastrophiste – est celui d’une barbarie inéluctable et naturalisée.</p>
<p>Une hypothèse avancée par nombre de géostratèges depuis la fin de la guerre froide est que les conflits du <span class="petite_capitale" style="font-variant:small-caps;">XXI</span><span class="exposant" style="vertical-align:super;">e</span> siècle auront pour terreau des États faibles, en particulier des États « faillis ». Cette thèse est notamment soutenue par le néoconservateur Robert Kaplan, dans un article influent paru dans les années 1990 dans la revue <em>The Atlantic</em>, intitulé« Thecominganarchy<a href="javascript:void(0);" class="note" onmouseover="return overlib('Robert D. K&lt;span class=petite_capitale style=font-variant:small-caps;&gt;APLAN&lt;/span&gt;, « The coming anarchy », &lt;em&gt;The Atlantic&lt;/em&gt;, février 1994. Un point de vue similaire sur les « déséquilibres » induits par la fin de la guerre froide est celui de John M&lt;span class=petite_capitale style=font-variant:small-caps;&gt;EARSHEIMER&lt;/span&gt;, « Back to the future. Instability in Europe after the cold war », &lt;em&gt;International Security&lt;/em&gt;, vol. 15, nº 1, 1990.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a> ». L’« anarchie qui vient » annoncée dans le titre est celle qui résultera de la désagrégation des équilibres de la guerre froide. Les conflits du <span class="petite_capitale" style="font-variant:small-caps;">XX</span><span class="exposant" style="vertical-align:super;">e</span> siècle avaient pour vecteurs des États forts. Ceci vaut à la fois pour les deux guerres mondiales, pendant lesquelles se sont affrontées les principales puissances du globe, et pour la guerre froide. Lors de cette dernière, nombre de guerres par procuration (<em>proxy wars</em>) ont eu lieu entre nations faibles, en particulier dans le tiers monde. Mais elles étaient surdéterminées par les relations entre superpuissances. Aujourd’hui, la paix règne dans et entre les États forts, même s’ils sont la cause directe ou indirecte de bien des conflits dans le monde. La guerre s’est déplacée dans les États faibles.</p>
<p>Quel rapport avec le changement climatique ? Si les armées occidentales redoutent les États « faillis », c’est parce que les réseaux terroristes s’y installent, profitant du vide de pouvoir et du désespoir des populations pour y prospérer. C’est la raison pour laquelle les pays qui occupent la tête du classement des <em>failed states </em>sont l’objet de toutes les attentions de la part du Pentagone et de la CIA. Or la raréfaction des ressources et les climats extrêmes affaibliront davantage encore ces États, ce qui permettra aux « terroristes » d’y prendre pied d’autant plus aisément. L’expression d’« extrémisme opportuniste » est parfois employée pour désigner la façon dont ces derniers tirent profit de conditions sociales et naturelles – de l’interaction des conditions sociales et naturelles – défavorables<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Sharon B&lt;span class=petite_capitale style=font-variant:small-caps;&gt;URKE &lt;/span&gt;&lt;em&gt;et al.&lt;/em&gt;, « Uncharted waters. The US Navy and navigating cli-mate change », Center for a New American Security, décembre 2008, p. 29. Disponible à l’adresse : &lt;www.cnas.org/files/documents/publications/CNAS_Working%20Paper_CNO_ClimateChange_BurkePatel_Dec2008.pdf&gt;.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Le même raisonnement vaut également pour la piraterie et le narcotrafic. Les <em>failed states </em>échouent à lutter efficacement contre la piraterie maritime, portant préjudice au commerce mon dial. Ils y parviennent d’autant moins que la crise climatique les prive des moyens et de la stabilité nécessaires.</p>
<p>La conclusion de ce raisonnement est simple. La préoccupation des militaires pour le changement climatique est étroitement liée au paradigme stratégique dominant de l’après-guerre froide : la lutte contre le « terrorisme ». La lecture que font les armées de ce phénomène est surdéterminée par ce qui constituait leur obsession dès avant le 11 septembre 2001, mais que cet événement a intensifié. Aux yeux des militaires, le terrorisme et le changement climatique ont d’abord ceci de commun qu’il s’agit dans les deux cas de phénomènes transnationaux, qu’un État ne saurait combattre seul. C’est la raison pour laquelle des organisations internationales comme l’OTAN connaîtront peut-être une seconde jeunesse à la faveur de ce phénomène. Mais il est un second lien entre le terrorisme et la crise écologique, qui est que cette crise fournit au terrorisme un terreau où prospérer, en particulier dans les États « faillis ». Changement climatique et (lutte contre le) terrorisme sont donc deux phénomènes que les militaires pensent conjointement.</p></div><div class="section1" id="niv1-037"><h3>LA NOUVELLE ÉCOLOGIE MILITAIRE</h3><p>La fin de la guerre froide a donné lieu à l’émergence de ce que Noam Chomsky appelle un « nouvel humanisme militaire<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Noam C&lt;span class=petite_capitale style=font-variant:small-caps;&gt;HOMSKY&lt;/span&gt;, &lt;em&gt;Le Nouvel Humanisme militaire&lt;/em&gt;, Éditions Page deux, Lausanne, 2000.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a> ». Cette expression désigne les expéditions impérialistes occidentales menées à partir des années 1980 sous couvert de promotion de la démocratie et des droits de l’homme : Irak, Kosovo, Bosnie, Somalie, Soudan, Afghanistan et, plus récemment, Libye. Ce nouvel humanisme est militaire parce qu’il s’appuie sur des campagnes de bombardement aérien, souvent accompagnées de troupes au sol. Il inclut toutefois un important volet civil. Partout où elles interviennent, les armées occidentales mettent en œuvre des opérations « non combattantes », qui visent à améliorer le bien-être des populations. L’objectif étant de tuer dans l’œuf les conflits potentiels, de rendre moins attrayants les trafics et la piraterie, ou encore de s’assurer la collaboration des autochtones dans la lutte contre les insurrections.</p>
<p>Une partie de ce nouvel humanisme militaire consiste en une nouvelle <em>écologie </em>militaire. Le commandement de l’armée américaine en Afrique – dit « AFRICOM », pour Africa Command – a affrété plusieurs navires militaires dans la région, dans le cadre d’une opération dénommée <em>Africa Partnership Station</em><a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir à ce propos &lt;em&gt;The Economist&lt;/em&gt;, 10 avril 2008, ainsi que Michael B&lt;span class=petite_capitale style=font-variant:small-caps;&gt;AKER&lt;/span&gt;, « The coming conflicts of climate change », &lt;em&gt;Council on Foreign Relations&lt;/em&gt;, 7 septembre 2010. Sur les implications du changement climatique pour l’Afrique, voir Oli B&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ROWN &lt;/span&gt;&lt;em&gt;et al.&lt;/em&gt;, « Climate change as the new security threat. Implications for Africa », &lt;em&gt;International Affairs&lt;/em&gt;, vol. 83, nº 6, 2007.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Le secrétaire à la Défense de George W. Bush, Donald Rumsfeld, compte parmi ceux qui ont promu cette initiative. Elle s’inscrit dans le prolongement de l’assistance portée par la Navy aux pays victimes du tsunami dans l’océan Indien en 2004. Les deux principales préoccupations de l’armée américaine en Afrique sont le terrorisme et le pétrole. Les attaques contre les ambassades du Kenya et de Tanzanie en 1998 ont causé plus de deux cents morts. Depuis lors, des mouvements hostiles aux intérêts américains ont proliféré sur le continent, pour certains en lien avec des réseaux transnationaux. Par ailleurs, plus de 15 % du pétrole états-unien provient aujourd’hui d’Afrique. À l’horizon 2020, ce pourcentage pourrait atteindre entre 25 % et 40 %.</p>
<p>L’<em>Africa Partnership Station </em>se livre à des opérations militaires traditionnelles. Sa mission consiste toutefois également à former les armées et les polices locales, protéger les stocks de poisson, assurer la circulation des minerais et du pétrole, entretenir les ressources hydriques et forestières, tout cela en collaboration avec les populations et les États de la région. En Afrique de l’Ouest notamment, la pêche illégale a des conséquences désastreuses pour les océans et pour les populations qui vivent des ressources halieutiques. Une ONG britannique a comptabilisé 252 cas de pêche illégale entre janvier 2010 et juillet 2012 dans les seules eaux territoriales de la Sierra Leone<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir &lt;em&gt;Le Monde&lt;/em&gt;, 14-15 octobre 2012.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Ce nouvel humanisme militaire a une longue histoire. En 1966 déjà, sous la présidence de Lyndon B. Johnson, une flotte américaine délivra de la nourriture et des semences à l’Inde à l’occasion d’une famine. Le slogan en vigueur à l’époque était « Feed’em or fight’em » : les famines pourraient donner lieu à des révolutions hostiles aux États-Unis dans les pays du tiers monde, il est donc préférable de nourrir les populations concernées avant qu’elles aient lieu<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Thomas R&lt;span class=petite_capitale style=font-variant:small-caps;&gt;OBERTSON&lt;/span&gt;, « This is the American earth. American empire, the cold war, and American environmentalism », &lt;em&gt;loc. cit.&lt;/em&gt;', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>.</p>
<p>Un dispositif tactique récemment mis en place pour mener à bien ces missions est le <em>seabasing</em><a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Gregory J. P&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ARKER&lt;/span&gt;, « The future of seabasing », &lt;em&gt;Armed Forces Journal&lt;/em&gt;, décembre 2010.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Comme son nom l’indique, celui-ci consiste à employer la mer comme base, en comptant le moins possible sur les infrastructures au sol. Les bases terrestres sont à la merci des insurrections, comme l’a encore récemment constaté l’armée américaine en Irak et en Afghanistan. Demeurer en mer met à l’abri des attentats. Cela permet aussi de ne pas apparaître comme une force d’occupation aux yeux de la population. Les opérations d’assistance et de maintien de l’ordre lors du tremblement de terre en Haïti en 2010 furent l’occasion d’expérimenter ce dispositif à grande échelle. La catastrophe avait détruit les ports du pays, alors que les aéroports se sont rapidement trouvés saturés. Projeter les forces armées depuis la mer a permis de contourner ces obstacles.</p>
<p>La montée du niveau des mers risque de mettre à mal les régions côtières et deltaïques de nombreux pays. Le débarquement et l’installation de troupes au sol risquent de s’en trouver entravés. Solution : le <em>seabasing</em>, qui permettra d’intervenir efficacement dans des situations de crise, en s’épargnant les contraintes logistiques résultant d’un « environnement opérationnel » de plus en plus imprévisible. Le changement climatique, on le voit, induit des évolutions dans les domaines de la tactique et de la logistique militaires.</p>
<p>La nouvelle écologie militaire fait l’objet d’applications en Afghanistan. Dans ce pays, la guerre n’est pas uniquement livrée par les militaires <em>stricto sensu</em>. Des organisations nationales ou internationales comme USAID ou le Programme des Nations unies pour l’environnement jouent un rôle décisif dans l’effort de redressement du pays. La <em>Green Afghan Initiative</em>, à laquelle participent plusieurs organisations internationales – parmi lesquelles l’UNICEF et la FAO – ainsi que des ministères afghans, s’est livrée en 2005 à une « évaluation environnementale post-conflit<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir le rapport relatif à cette initiative à l’adresse : &lt;www.undg.org/archive_docs/7339-Afghanistan__Green_Afghanistan_Initiative__GAIN_.pdf&gt;.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a> ». Elle a constaté que la nature afghane avait considérablement souffert de la guerre, notamment en termes d’altération de la biodiversité. Elle a également pâti de l’usage incontrôlé des pâturages, de la coupe sauvage de bois et de la surexploitation des ressources hydriques par une population de plus en plus démunie. Sur cette base, un programme de protection de l’environnement a été décidé : reboisement, régénération des sols, mise en place d’un cadre légal adapté et « changement des attitudes envers l’environnement » comptent parmi les mesures mises en œuvre. Cette initiative encourage en outre la privatisation des terres communales et la « micro-entreprise » en matière de production agricole. L’hypothèse sous-jacente, hégémonique dans les organisations internationales œuvrant dans le domaine du développement, est que la « responsabilisation » – <em>empowerment </em>– des individus est le meilleur moyen d’obtenir des résultats en matière de préservation de l’environnement.</p>
<p>En Afghanistan, la crise climatique interagit avec l’insurrection talibane, par l’entremise du trafic de drogue. La persistance du commerce de l’opium dans ce pays s’explique en partie par le fait que la culture du pavot nécessite peu d’eau. Elle consomme un sixième seulement de la quantité d’eau requise pour cultiver le blé. Elle est de ce fait plus résistante à la sécheresse que d’autres cultures. La province de Nangarhar, qui produit les plus grosses quantités d’opium du pays, est aussi l’une des plus sujettes aux sécheresses<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Christian P&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ARENTI&lt;/span&gt;, &lt;em&gt;Tropic of Chaos. Climate Change and the New Geography of Violence&lt;/em&gt;, Nation Books, New York, 2012, p. 106-107.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a> . La multiplication et l’intensification des phénomènes climatiques extrêmes rendent improbable que les populations s’adonnent à l’avenir à d’autres types de cultures. (Le trafic de l’opium représente plus du tiers du PIB de l’Afghanistan.) Les talibans font preuve de tolérance à son égard, ce qui explique le soutien dont ils bénéficient dans d’importants secteurs de la population. Ils sont d’ailleurs eux-mêmes souvent des paysans victimes de sécheresses ou d’inondations, passés par les camps de réfugiés et les madrasas<a href="javascript:void(0);" class="note" onmouseover="return overlib('&lt;em&gt;Ibid.&lt;/em&gt;, p. 107.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. L’argent qui provient de la culture du pavot permet en retour aux talibans de se procurer des armes et de fortifier leurs positions. Ce constat conduit un rapport militaire américain à affirmer que rétablir la « sécurité naturelle » est un objectif stratégique de première importance pour les armées de l’OTAN en Afghanistan<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Christine P&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ARTHEMORE &lt;/span&gt;et Will R&lt;span class=petite_capitale style=font-variant:small-caps;&gt;OGERS&lt;/span&gt;, « Sustaining security. How natural resources influence national security », Center for a New American Security, juin 2010, p. 8. Disponible à l’adresse : &lt;www.cnas.org/files/documents/publications/CNAS_Sustaining%20Security_Parthemore%20Rogers.pdf&gt;.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Offrir des alternatives réalistes à l’opium en accroissant la productivité de l’agriculture permettrait de rompre la boucle causale qui relie climat, opium et insurrection armée.</p></div><div class="section1" id="niv1-038"><h3>CONSERVATION ET CONTRE-INSURRECTION</h3><p>Les doctrines de contre-insurrection incluent depuis toujours un volet environnemental. Un récent manuel de l’armée française intitulé <em>Principes de contre-insurrection</em>, rédigé par les colonels Hervé de Courrèges, Emmanuel Germain et Nicolas Le Nen, en retrace l’histoire, de Little Big Horn (1876) aux talibans, en passant par le Vietnam et Mogadiscio. Les métaphores médicales sont courantes chez les militaires, en particulier dans le domaine de la contre-insurrection. Évoquant la « marginalisation territoriale » de l’insurrection, les auteurs déclarent : « Le processus passe par une phase antiseptique de nettoyage de la plaie et de son contour puis par l’action d’une compresse stérile à fin maillage qui garantit l’asepsie de la zone ainsi nettoyée<a href="javascript:void(0);" class="note" onmouseover="return overlib('Hervé &lt;span class=petite_capitale style=font-variant:small-caps;&gt;DE &lt;/span&gt;C&lt;span class=petite_capitale style=font-variant:small-caps;&gt;OURRÈGES &lt;/span&gt;&lt;em&gt;et al.&lt;/em&gt;, &lt;em&gt;Principes de contre-insurrection&lt;/em&gt;, Economica, Paris, 2010, p. 69.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. » Les guerres de guérilla se caractérisent par la « fusion » de la population et des insurgés. L’objectif de la contre-insurrection est d’isoler les seconds de la première, afin de pouvoir les « traiter » efficacement.</p>
<p>Une panoplie de mesures est à disposition pour ce faire. Parmi elles se trouve l’amélioration du bien-être de la population, supposée l’encourager à rompre avec les insurgés et collaborer avec la contre-insurrection. Le « plan Briggs » mis en œuvre par les Britanniques en Malaisie dans les années 1950, qui déplaça plus d’un demi-million de Malais d’origine chinoise vers des « nouveaux villages » ou « hameaux stratégiques », relève de cette approche : « L’objectif, commentent les colonels français, est de rendre la vie dans les nouveaux villages plus facile et plus attractive que dans les anciens villages illégaux<a href="javascript:void(0);" class="note" onmouseover="return overlib('&lt;em&gt;Ibid.&lt;/em&gt;, p.72.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. » Ce plan est l’un des premiers de l’histoire où est mise en œuvre une stratégie dite des <em>hearts and minds</em>, où la contre-insurrection ne cherche pas seulement à éradiquer les insurgés (stratégie dite de <em>search and destroy</em>), mais à gagner la sympathie de la population locale. L’accent est mis sur l’amélioration des conditions de vie : routes, écoles, mais aussi systèmes d’irrigation et nouvelles terres arables. Le <em>Counterinsurgency Field Manual 3-24 </em>de l’armée états-unienne, mis en circulation en 2006 en réponse à l’échec de la contre-insurrection en Afghanistan et en Irak, et signé par le général David Petraeus, alors commandant des forces occidentales en Afghanistan, relève également de cette approche.</p>
<p>Peu d’armées au monde disposent de l’expérience de l’armée indienne en matière de contre-insurrection. Et pour cause : les guérillas sont courantes dans le pays depuis son indépendance. La plus connue d’entre elles est celle des naxalites, qui emprunte son nom au village de Naxalbari, situé dans le Bengale occidental, dans l’est du pays. Cette rébellion – dont certains secteurs sont d’inspiration maoïste – apparaît dans les années 1960, sur le terreau de la surexploitation forestière. L’industrialisation du pays repose en partie sur l’industrie d’extraction : minerais, bois, charbon et terres<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Daniel S&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ÜRI&lt;/span&gt;, « Les naxalites : la plus grande des guérillas dans la plus grande des démocraties », &lt;em&gt;Revue des livres&lt;/em&gt;, février 2012 ; Joël C&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ABALION&lt;/span&gt;, « Maoïsme et lutte armée en Inde contemporaine », &lt;em&gt;La Vie des idées&lt;/em&gt;, 9 mars 2011.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. L’appropriation de ces ressources est l’objet d’une lutte entre l’État fédéral, les multinationales étrangères et les populations locales, parmi lesquels les Adivasi (« premiers habitants » en hindi). Les besoins énergétiques nécessaires à ce développement donnent lieu à la construction de grands barrages, conduisant à des déplacements massifs de populations. L’Inde compte aujourd’hui entre 30 et 40 millions de personnes déplacées. L’appui de la population aux naxalites ne se comprend pas hors de ce contexte. Celle-ci est victime d’un processus d’« accumulation par dépossession » – pour parler comme David Harvey – à grande échelle<a href="javascript:void(0);" class="note" onmouseover="return overlib('David H&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ARVEY&lt;/span&gt;, &lt;em&gt;Le Nouvel Impérialisme&lt;/em&gt;, &lt;em&gt;op. cit.&lt;/em&gt;', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. En 2009, l’armée lance une opération dans le « corridor rouge » de l’est du pays, intitulée <em>Operation Green Hunt</em>, destinée à éradiquer les naxalites.</p>
<p>L’Inde est également le théâtre du « plus haut champ de bataille du monde » : le glacier Siachen. Situé au carrefour de l’Inde, de la Chine et du Pakistan, sur la chaîne montagneuse du Karakoram (au nord du Cachemire), parfois surnommé le « troisième pôle » du fait de sa longueur, ce glacier est depuis trente ans le théâtre d’un affrontement entre les armées indienne et pakistanaise. Contrairement à la tendance à l’échelle de la planète, les glaciers de cette chaîne n’ont pas reculé au cours des décennies récentes – à l’exception du Siachen, qui fond rapidement. L’une des causes en est l’activité militaire<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Arshad A&lt;span class=petite_capitale style=font-variant:small-caps;&gt;BBASI&lt;/span&gt;, « Military activity driving rapid glacier melting », Inter Press Service. Disponible à l’adresse : &lt;www.ipsnews.net/2009/12/qa-military-activity-driving-rapid-glacier-mailing/&gt; ; &lt;em&gt;Le Monde&lt;/em&gt;, 12 juin 2012.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Du seul côté indien, près d’une tonne de déchets est jetée chaque jour dans les crevasses du glacier. La biodiversité et l’hydrologie souffrent de la présence des troupes. Le transport de matériels et de soldats suppose une importante consommation de carburants. Les vols d’hélicoptères quotidiens, les pipelines acheminant le pétrole qui sert à chauffer les igloos où résident les soldats, les fours de kérosène où sont posées les armes afin qu’elles restent chaudes sont autant de facteurs qui contribuent à la dégradation de ce lieu.</p>
<p>Tout cela a conduit l’armée indienne à développer un véritable savoir-faire en matière d’écologie militaire. C’est ce qui ressort des écrits de P. K. Gautam, un théoricien indien de la « sécurité naturelle ». Gautam est un colonel aujourd’hui à la retraite. Il est chercheur à l’Institute for Defense Studies and Analysis<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir son site : &lt;www.idsa.in/taxonomy/term/124&gt;.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a> et a officié un temps sur le glacier Siachen, ce qui explique peut-être son intérêt pour ces questions. L’armée indienne, dit Gautam, est la première au monde à avoir mis en place des <em>ecological task forces </em>(ETF), des « unités d’intervention écologique »<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir P. K. G&lt;span class=petite_capitale style=font-variant:small-caps;&gt;AUTAM&lt;/span&gt;, « Climate change and the military », &lt;em&gt;Journal of Defence Studies&lt;/em&gt;, vol. 3, nº 4, octobre 2009.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. L’idée remonte au début des années 1980, elle revient à la Première ministre de l’époque, Indira Gandhi. Ces unités d’intervention – il en existe une dizaine – sillonnent le pays et se livrent à des tâches de préservation de la nature : reboisement, stabilisation de dunes, préservation des pâturages et des sols, purification de l’eau… En arrière-plan se trouve l’idée selon laquelle la préservation de la nature contribue à la paix et à la stabilité de l’ordre social. L’armée chinoise – l’Armée populaire de libération (APL) – assume elle aussi ce type de tâches. Se voulant une émanation du peuple révolutionnaire, elle possède une ancienne tradition d’intervention humanitaire en cas de catastrophe<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Duncan F&lt;span class=petite_capitale style=font-variant:small-caps;&gt;REEMAN&lt;/span&gt;, « The missing link. China, climate change, and national security », &lt;em&gt;Asia Paper&lt;/em&gt;, Brussels Institute of Contemporary China Studies, vol. 5, nº 8, 2010.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>.</p></div><div class="section1" id="niv1-039"><h3>ÉCONATIONALISME</h3><p>L’un des objectifs des <em>ecological task forces </em>indiennes est la protection de la « biodiversité de la nation »<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir P. K. G&lt;span class=petite_capitale style=font-variant:small-caps;&gt;AUTAM&lt;/span&gt;, « An overview of ecological task forces (ETF) and ecological institutions of the Indian army », &lt;em&gt;Journal of the United Service Institution of India&lt;/em&gt;, vol. 139, nº 576, avril-juin 2009.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Selon P. K. Gautam, cette biodiversité participe de l’identité indienne elle-même, car celle-ci s’est formée à travers les âges au contact de la nature luxuriante du sous-continent. Préserver la « biodiversité de la nation » et défendre l’identité nationale est en ce sens une seule et même chose. Gautam remarque à ce propos que les soldats indiens sont pour beaucoup d’ascendance paysanne. Ils disposent de ce fait d’une connaissance « spontanée » de l’environnement, de savoirs et de savoir-faire indigènes accumulés au fil des générations. Ces savoirs et savoir-faire, ajoute-t-il, doivent être davantage mis à profit par l’armée dans le cadre de ses activités de protection de la nature.</p>
<p>Dans sa théorie du nationalisme, Benedict Anderson démontre que, pour prospérer, le nationalisme a besoin de s’incarner dans des institutions concrètes<a href="javascript:void(0);" class="note" onmouseover="return overlib('Benedict A&lt;span class=petite_capitale style=font-variant:small-caps;&gt;NDERSON&lt;/span&gt;, &lt;em&gt;L’Imaginaire national. Réflexions sur l’origine et l’essor du nationalisme&lt;/em&gt;, La Découverte, Paris, 1996.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Il passe en revue trois d’entre elles : la cartographie, qui délimite les frontières du territoire national, le recensement, qui en dénombre les membres, et les musées, qui restituent sa mémoire collective. Or la nature compte parmi les institutions qui participent à la construction des identités nationales à l’époque moderne. Il y a un nationalisme écologique – un <em>éconationalisme </em>– dont le propre est d’établir un lien entre l’esprit d’une nation et l’environnement dans lequel il se déploie. Aux États-Unis, on l’a vu, les grands espaces naturels supposés intacts, que les Américains appellent depuis le <span class="petite_capitale" style="font-variant:small-caps;">XIX</span><span class="exposant" style="vertical-align:super;">e</span> siècle <em>wilderness</em>, font partie des mythes fondateurs de la nation<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Ramachandra G&lt;span class=petite_capitale style=font-variant:small-caps;&gt;UHA&lt;/span&gt;, « Radical American environmentalism and wilderness preservation. A third world critique », &lt;em&gt;loc. cit.&lt;/em&gt;', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Un film de Sean Penn intitulé <em>Into the Wild </em>(2007) l’a récemment rappelé. Comme le dit l’historien radical indien Ramachandra Guha, les parcs naturels – Yellowstone et Yosemite, par exemple, deux des plus anciens – sont considérés comme une contribution spécifiquement états-unienne à la civilisation humaine<a href="javascript:void(0);" class="note" onmouseover="return overlib('&lt;em&gt;Ibid.&lt;/em&gt;, p.5.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Il va sans dire que les espaces en question n’ont jamais été intacts, ils ont été vidés de leurs occupants indiens. De surcroît, qu’ils soient « naturels » ne signifie pas qu’ils sont accessibles à tous les Américains sans distinction de classe ou de race.</p>
<p>Cet éconationalisme s’observe également au Moyen-Orient. Le pétrole a accompagné la montée en puissance du nationalisme arabe au <span class="petite_capitale" style="font-variant:small-caps;">XX</span><span class="exposant" style="vertical-align:super;">e</span> siècle. Le parti Baath irakien a par exemple avancé le slogan « Le pétrole arabe aux Arabes » en appui aux nationalisations du début des années 1970<a href="javascript:void(0);" class="note" onmouseover="return overlib('Luis M&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ARTINEZ&lt;/span&gt;, &lt;em&gt;Violence de la rente pétrolière. Algérie-Irak-Libye&lt;/em&gt;, Presses de Sciences Po, Paris, 2010, p. 37. Sur la redistribution de la rente pétrolière auNigeria et ses implications pour la forme de l’État nigérian, voir John Boye E&lt;span class=petite_capitale style=font-variant:small-caps;&gt;JOBOWAH&lt;/span&gt;, « Who owns the oil ? Ethnicity in the Niger delta of Nigeria », &lt;em&gt;Africa Today&lt;/em&gt;, vol. 47, nº 1, 2000.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Les revenus provenant de son exploitation ont servi un temps à financer des politiques de développement et de redistribution. Mouammar Kadhafi disait quant à lui du pétrole qu’il était le « carburant de la révolution », à l’échelle libyenne aussi bien que panafricaine. « La prise de contrôle du secteur pétrolier est vécue comme une revanche historique […]. Le contrôle sur les ressources énergétiques [détenues par les compagnies pétrolières internationales] empêche ces régimes, au nationalisme farouche et à l’idéologie socialiste panarabe, de tourner la page du passé colonial<a href="javascript:void(0);" class="note" onmouseover="return overlib('&lt;em&gt;Ibid.&lt;/em&gt;, p.27.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. » Tourner cette page suppose d’exproprier ces compagnies et de rendre le pétrole à ses propriétaires légitimes : les peuples de la région. Nationalisme, antiimpérialisme et ressources naturelles sont donc inextricablement mêlés.</p>
<p>Des initiatives proches des <em>ecological task forces </em>indiennes existent dans d’autres pays. Le ministère de la Défense britannique organise, depuis la fin des années 1970, des « groupes de conservation ». Il donne périodiquement accès à ses camps militaires à ces groupes, de façon à ce qu’ils puissent observer les espèces naturelles qui s’y trouvent. Cette initiative est une réponse à l’antimilitarisme des années 1960 et 1970, dont l’une des critiques qu’il adresse aux armées est les dommages qu’elles infligent à la nature dans les zones qu’elles contrôlent. En France, la lutte contre l’extension du camp militaire du Larzac au début des années 1970 relève de cette critique. Certaines armées prennent le problème à bras-le-corps, ce qui donne lieu à l’émergence d’un « environnementalisme militaire » ou d’une « conservation kaki<a href="javascript:void(0);" class="note" onmouseover="return overlib('Peter C&lt;span class=petite_capitale style=font-variant:small-caps;&gt;OATES &lt;/span&gt;&lt;em&gt;et al.&lt;/em&gt;, « Defending nation, defending nature ? Militarized landscapes and military environmentalism in Britain, France, and the United States », &lt;em&gt;loc. cit. &lt;/em&gt;Voir aussi Rachel W&lt;span class=petite_capitale style=font-variant:small-caps;&gt;OODWARD&lt;/span&gt;, « Khaki conservation. An examination of military environmentalist discourse in the British army », &lt;em&gt;Journal of Rural Studies&lt;/em&gt;, nº 17, 2001.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a> ». Les zones militaires, affirment-elles, sont celles où les espèces végétales et animales sont les mieux protégées. Car là où l’on trouve des militaires, l’agriculture, le tourisme, l’urbanisation et autres activités dangereuses pour la biodiversité n’ont pas cours. Cette affirmation est bien sûr pour le moins sujette à caution<a href="javascript:void(0);" class="note" onmouseover="return overlib('Pour un aperçu des différentes destructions infligées par l’activité militaire à la nature en temps de guerre et de paix, voir Gary E. M&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ACHLIS &lt;/span&gt;et Thor H&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ANSON&lt;/span&gt;, « Warfare ecology », &lt;em&gt;BioScience&lt;/em&gt;, vol. 58, nº 8, septembre 2008.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>, même si des phénomènes étonnants peuvent être observés. Il a par exemple été démontré que la zone militaire qui sépare les deux Corées renferme plusieurs dizaines d’espèces rares<a href="javascript:void(0);" class="note" onmouseover="return overlib('&lt;em&gt;Ibid.&lt;/em&gt;, p. 732.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>.</p></div><div class="section1" id="niv1-040"><h3>AGENT ORANGE</h3><p>Mais la contre-insurrection repose aussi plus classiquement sur la destruction de l’environnement plutôt que sur sa conservation. La dialectique de la conservation et de la destruction se trouve en réalité au cœur de la construction militaire de la nature. C’est ce que démontre le cas de la guerre du Vietnam. Le Vietcong – le « Front national de libération du Sud-Vietnam » – est en rapport de forces très défavorable face à la puissante armée américaine. Comme nombre de guérillas depuis le début de l’époque moderne, il fait un usage tactique de la nature, en l’occurrence de la jungle qui recouvre de larges portions du pays. Celle-ci lui permet de susciter des effets de surprise ou de se protéger au moment de battre en retraite. En matière de guerre asymétrique, la forêt est un « égaliseur de forces »<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir John M&lt;span class=petite_capitale style=font-variant:small-caps;&gt;C&lt;/span&gt;N&lt;span class=petite_capitale style=font-variant:small-caps;&gt;EILL&lt;/span&gt;, « Woods and warfare in world history », &lt;em&gt;Environmental History&lt;/em&gt;, vol. 9, nº 3, 2003, p. 400.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Elle permet à la plus faible des forces en présence de combler une partie de ses insuffisances.</p>
<p>Afin de reprendre l’avantage, l’armée états-unienne utilise des défoliants, parmi lesquels le célèbre agent orange. L’objectif est simple : gagner en visibilité dans l’épaisse jungle vietnamienne et, pour cela, détruire l’écosystème de la guérilla. Signalons au passage que l’agent orange est une création de la multinationale Monsanto, aujourd’hui spécialisée dans la production d’OGM. Dans le cadre de l’opération <em>Ranch Hand</em>, entre 1962 et 1971, des dizaines de milliers de mètres cubes d’herbicides sont ainsi déversées sur le pays. 3,3 millions d’hectares de végétation y sont exposés<a href="javascript:void(0);" class="note" onmouseover="return overlib('Harald W&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ELZER&lt;/span&gt;, &lt;em&gt;Les Guerres du climat&lt;/em&gt;, &lt;em&gt;op. cit.&lt;/em&gt;, p. 104.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. 22 000 km<span class="exposant" style="vertical-align:super;">2 </span>de forêts ont été défoliés, à savoir plus de 20 % des régions forestières du pays. La Banque mondiale constate dans un rapport que la guerre a durablement altéré la bio-diversité du Vietnam. L’agent orange a en outre contaminé la chaîne alimentaire. Une étude montre que la pollution des sols s’est transmise aux animaux et que des traces de certaines de ses composantes toxiques se trouvent dans le sang et le lait humains<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Wayne D&lt;span class=petite_capitale style=font-variant:small-caps;&gt;WERNYCHUK &lt;/span&gt;&lt;em&gt;et al.&lt;/em&gt;, « Dioxin reservoirs in Southern Vietnam. A legacy of agent orange », &lt;em&gt;Chemosphere&lt;/em&gt;, nº 47, 2007.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>.</p>
<p>La guerre du Vietnam n’est bien entendu pas la première où la destruction des écosystèmes tient lieu de tactique militaire. Des bombes incendiaires destructrices de la végétation sont par exemple employées lors de la guerre du Rif (1921-1926) par les Français, ainsi que pendant la guerre civile grecque (1946-1949) par les Américains contre les zones occupées par la résistance communiste<a href="javascript:void(0);" class="note" onmouseover="return overlib('John M&lt;span class=petite_capitale style=font-variant:small-caps;&gt;C&lt;/span&gt;N&lt;span class=petite_capitale style=font-variant:small-caps;&gt;EILL&lt;/span&gt;, « Woods and warfare in world history », &lt;em&gt;loc. cit.&lt;/em&gt;, p. 402.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>.</p>
<p>Longtemps, la guerre a tiré profit des forêts. Le bois servait à fabriquer des armes, l’armement primitif – arcs, flèches et lances – en étant composé. L’apparition des armes métalliques, bronze et fer, il y a 5 000 ans, n’empêche pas le bois de demeurer un élément essentiel de l’armement. Les chariots qui transportent soldats et matériels, les fortifications et les bateaux sont eux aussi constitués de bois. Jusqu’au <span class="petite_capitale" style="font-variant:small-caps;">XIX</span><span class="exposant" style="vertical-align:super;">e</span> siècle, aucun impérialisme, aucune puissance politique n’est concevable sans maîtrise de l’approvisionnement en bois. Dans un genre différent, depuis le Moyen Âge, la construction de cathédrales et d’églises, supports matériels de l’idéologie chrétienne dominante, requiert des volumes de bois colossaux<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Stephanie P&lt;span class=petite_capitale style=font-variant:small-caps;&gt;INCETL&lt;/span&gt;, « Some origins of French environmentalism. An exploration », &lt;em&gt;loc. cit.&lt;/em&gt;, p.80.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Ne deviennent impérialistes que les nations qui disposent d’un certain « profil écologique », c’est-à-dire qui contrôlent les forêts<a href="javascript:void(0);" class="note" onmouseover="return overlib('&lt;em&gt;Ibid.&lt;/em&gt;, p. 394.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. C’est le cas des puissances atlantiques après la découverte des Amériques. Cuba et les Philippines sont des colonies incontournables pour l’Empire espagnol, non seulement parce qu’elles ont un intérêt économique en soi, mais parce que les forêts qui s’y trouvent alimentent l’entreprise coloniale en général. Il en va de même des forêts nord-américaines dans le cas de la France et de l’Angleterre.</p>
<p>Au seuil de l’époque moderne, autour du <span class="petite_capitale" style="font-variant:small-caps;">XVII</span><span class="exposant" style="vertical-align:super;">e</span> siècle, a lieu ce que les historiens appellent communément la « révolution militaire<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir à ce propos Paul K&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ENNEDY&lt;/span&gt;, &lt;em&gt;The Rise and Fall of Great Powers&lt;/em&gt;, &lt;em&gt;op. cit.&lt;/em&gt;', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a> ». Parmi d’autres facteurs, celle-ci est le fruit de la généralisation de l’usage de la poudre à canon, de l’augmentation des budgets militaires et du nombre de soldats et de la rationalisation de l’organisation des armées. En arrière-plan se trouve l’émergence des États-nations et des peuples modernes. Avec des armées plus nombreuses et puissantes, la demande en bois augmente encore, puisque toutes les infrastructures militaires (baraquements, armes, transports…) en dépendent. Ce n’est que lors de la seconde moitié du <span class="petite_capitale" style="font-variant:small-caps;">XIX</span><span class="exposant" style="vertical-align:super;">e</span> siècle qu’elle commence à décliner. L’apparition d’un nouveau combustible, le charbon, explique aussi en partie ce déclin. La première guerre de l’opium, livrée par l’Empire britannique entre 1839 et 1842 en Chine, inaugure l’alliance de la guerre et du charbon<a href="javascript:void(0);" class="note" onmouseover="return overlib('Bruce P&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ODOBNIK&lt;/span&gt;, &lt;em&gt;Global Energy Shifts. Fostering Sustainability in a Turbulent Age&lt;/em&gt;, Temple University Press, Philadelphie, 2006, p. 30.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. La transition du bois au charbon, du charbon au pétrole, puis du pétrole au nucléaire transforme la façon de faire la guerre. Ces transitions sont partielles, chaque ressource montante se superposant – pour un temps au moins – à la précédente. Chacune d’elles rend possibles de nouvelles tactiques. Le <em>Blitzkrieg </em>allemand pendant la Seconde Guerre mondiale est inconcevable sans la puissance motrice que confère le pétrole<a href="javascript:void(0);" class="note" onmouseover="return overlib('&lt;em&gt;Ibid.&lt;/em&gt;, p.86.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>.</p>
<p>Les forêts participent de la configuration même du champ de bataille, on l’a vu dans le cas du Vietnam. Elles permettent ou entravent le mouvement de la cavalerie ou de l’infanterie, que celle-ci soit motorisée ou non. Clausewitz recommandait de ne jamais battre en retraite dans une forêt, afin de ne pas avoir à combattre « à l’aveugle », sans connaître les positions et la progression de l’ennemi<a href="javascript:void(0);" class="note" onmouseover="return overlib('John M&lt;span class=petite_capitale style=font-variant:small-caps;&gt;C&lt;/span&gt;N&lt;span class=petite_capitale style=font-variant:small-caps;&gt;EILL&lt;/span&gt;, « Woods and warfare in world history », &lt;em&gt;loc. cit.&lt;/em&gt;, p. 399.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. La pratique ancestrale de la « terre brûlée » est une autre modalité de la construction militaire de la nature. Cette pratique remonte (au moins) à la guerre entre les Perses et les Scythes en 512 avant notre ère, lors de laquelle ces derniers mettent le feu à leur propre terre pour empêcher l’avancée des Perses<a href="javascript:void(0);" class="note" onmouseover="return overlib('Chris P&lt;span class=petite_capitale style=font-variant:small-caps;&gt;EARSON&lt;/span&gt;, « Researching military landscapes. A literature review on war and the militarization of the environment », &lt;em&gt;loc. cit.&lt;/em&gt;, p. 116.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. La « guerre de tranchées » ou « guerre de position », qui se systématise lors de la Première Guerre mondiale, a également des implications environnementales. Les forêts de Verdun ont été durablement affectées par la bataille qui y a fait rage pendant la Grande Guerre<a href="javascript:void(0);" class="note" onmouseover="return overlib('Jean-Paul A&lt;span class=petite_capitale style=font-variant:small-caps;&gt;MAT&lt;/span&gt;, « Guerres et milieux naturels. Les forêts meurtries de l’est de la France, 70 ans après Verdun », &lt;em&gt;L’Espace géographique&lt;/em&gt;, nº 3, 1987.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>.</p></div><div class="section1" id="niv1-041"><h3>DE LA GUERRE FROIDE AUX GUERRES VERTES</h3><p>L’intérêt des militaires pour les questions environnementales est à replacer dans un contexte stratégique de longue durée, qui a vu la fin de la guerre froide et des doctrines politico-militaires qui l’ont caractérisée : endiguement, dissuasion nucléaire, théorie des dominos… L’idée de <em>guerres vertes </em>s’inscrit dans des tendances lourdes à l’œuvre dans les modalités de la violence collective. Elle s’inscrit, plus précisément, dans le paradigme des « nouvelles guerres » (<em>new wars</em>, ci-après NG). Cette expression désigne les évolutions subies par l’art de la guerre depuis le dernier tiers du <span class="petite_capitale" style="font-variant:small-caps;">XX</span><span class="exposant" style="vertical-align:super;">e</span> siècle, en particulier depuis la chute du mur de Berlin. Ces évolutions s’inscrivent bien sûr dans des temporalités longues et discordantes, mais elles ont cristallisé au cours des dernières décennies<a href="javascript:void(0);" class="note" onmouseover="return overlib('Pour une critique du paradigme des nouvelles guerres, voir Edward N&lt;span class=petite_capitale style=font-variant:small-caps;&gt;EWMAN&lt;/span&gt;, « The new wars debate. A historical perspective is needed », &lt;em&gt;Security Dialogue&lt;/em&gt;, nº 35, 2004.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>.</p>
<p>Quelles sont-elles ? Avec les NG, la distinction entre combattants et non-combattants, militaires et civils, tend à s’estomper. Des guerres napoléoniennes aux deux guerres mondiales, cette distinction a toujours été très relative. Elle a toutefois constitué un principe structurant des conflits armés modernes au plan stratégique et juridique. Deux aspects de la Seconde Guerre mondiale ont accéléré son effacement : les bombardements aériens et l’occupation allemande<a href="javascript:void(0);" class="note" onmouseover="return overlib('Martin V&lt;span class=petite_capitale style=font-variant:small-caps;&gt;AN &lt;/span&gt;C&lt;span class=petite_capitale style=font-variant:small-caps;&gt;REVELD&lt;/span&gt;, &lt;em&gt;La Transformation de la guerre&lt;/em&gt;, Éditions du Rocher, Paris, 2011, p. 110.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Les bombes lâchées depuis le ciel ne font pas la différence entre civils et soldats, alors que la résistance à l’occupation était menée par des civils devenus soldats, ou inversement. Avant la Seconde Guerre mondiale, bombardements aériens et occupation étaient expérimentés en contexte colonial<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Thomas H&lt;span class=petite_capitale style=font-variant:small-caps;&gt;IPPLER&lt;/span&gt;, « Cent ans de bombardements aériens. Histoire d’une technique militaire et politique », &lt;em&gt;Revue des livres&lt;/em&gt;, novembre 2011.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>, si bien que la véritable matrice des NG est sans doute à trouver dans les guerres coloniales. Au début du <span class="petite_capitale" style="font-variant:small-caps;">XX</span><span class="exposant" style="vertical-align:super;">e</span> siècle, 90 % des victimes des guerres sont des militaires. Lors de la Seconde Guerre mondiale, ce pourcentage passe à 50 %. À la fin des années 1990, 80 % des victimes sont des civils<a href="javascript:void(0);" class="note" onmouseover="return overlib('Mary K&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ALDOR&lt;/span&gt;, &lt;em&gt;New and Old Wars. Organized Violence in a Global Era&lt;/em&gt;, Polity Press, Londres, 2010. Pour une vue d’ensemble des conflits des dernières décennies, voir Lotta H&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ARBOM &lt;/span&gt;et Peter W&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ALLENSTEEN&lt;/span&gt;, « Armed conflict, 1989-2006 », &lt;em&gt;Journal of Peace Research&lt;/em&gt;, vol. 44, nº 5, 2007.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>.</p>
<p>Avec la résorption de la distinction entre combattants et non-combattants disparaît également la délimitation entre le front et les arrières. Les NG s’éloignent de la « guerre de position » caractéristique de la Première Guerre mondiale, qui suppose l’existence de lignes de front stables. La guerre interétatique moderne est en principe livrée dans un espace-temps spécifique, séparé du reste du monde social : le champ de bataille et, le plus souvent, de jour. Cet espace-temps s’ouvre entre le moment où les belligérants se déclarent la guerre et la signature d’un armistice. Ce dispositif spatio-temporel est mis en crise par les NG. Certains vont jusqu’à considérer que la distinction entre la guerre et la paix est aujourd’hui caduque, qu’elle a laissé la place à des « états de violence » permanents<a href="javascript:void(0);" class="note" onmouseover="return overlib('Frédéric G&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ROS&lt;/span&gt;, &lt;em&gt;États de violence. Essai sur la fin de la guerre&lt;/em&gt;, Gallimard, Paris, 2006.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Les NG sont des guerres de mouvement, où le front et les arrières, de même que les lignes de communication et de logistique, sont en évolution constante. Les guerres de guérilla – des guerres de mouvement par excellence – sont une autre matrice des NG. On assiste aussi à un retour en force de la guerre de siège, typique des guerres médiévales, dont le conflit en ex-Yougoslavie a donné plusieurs exemples, avec entre autres les sièges de Sarajevo et Dubrovnik.</p>
<p>Les NG comportent également une dimension « identitaire »<a href="javascript:void(0);" class="note" onmouseover="return overlib('Mary K&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ALDOR&lt;/span&gt;, &lt;em&gt;New and Old Wars&lt;/em&gt;, &lt;em&gt;op. cit.&lt;/em&gt;, chap. 4.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Depuis la Révolution française, les guerres sont toujours d’une manière ou d’une autre liées au sentiment national. Elles participent même de la construction de ce dernier, par le biais de la conscription ou en lui désignant des adversaires. Les NG participent de la crise et de la reconfiguration des États-nations contemporains. Elles résultent souvent de la désagrégation « par en bas » d’entités politiques préexistantes, comme la Yougoslavie ou l’URSS, ou de l’incapacité de certains États à conserver le monopole de la violence légitime. Des identités infra-ou protonationales sont fréquemment vectrices des NG. C’est ce qui explique la tendance des NG à donner lieu à des formes de « nettoyage ethnique ».</p></div><div class="section1" id="niv1-042"><h3>LA FIN DES GUERRES CONVENTIONNELLES ?</h3><p>Les forces engagées dans les NG ne sont pas uniquement régulières. Des groupes paramilitaires, des mercenaires étrangers, des unités d’autodéfense ou des troupes régulières étrangères, parfois sous mandat de l’ONU, viennent se mêler aux forces armées des pays belligérants<a href="javascript:void(0);" class="note" onmouseover="return overlib('&lt;em&gt;Ibid.&lt;/em&gt;, p.97.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. La privatisation de la guerre est un phénomène enregistré par nombre de stratèges. Avec la « révolution militaire » évoquée ci-dessus, la guerre était (principalement) devenue l’affaire des États, en ce sens qu’elle était menée par de puissantes bureaucraties. Comme le dit Nicos Poulantzas, « c’est cet État de droit, l’État de la loi par excellence qui détient, à l’encontre des États précapitalistes, le monopole de la violence et de la terreur suprême, le <em>monopole de la guerre</em><a href="javascript:void(0);" class="note" onmouseover="return overlib('Nicos P&lt;span class=petite_capitale style=font-variant:small-caps;&gt;OULANTZAS&lt;/span&gt;, &lt;em&gt;L’État, le Pouvoir, le Socialisme&lt;/em&gt;, &lt;em&gt;op. cit.&lt;/em&gt;, p. 123.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a> ». Or on assiste aujourd’hui à un retour en force du mercenariat<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir à ce propos Jeremy S&lt;span class=petite_capitale style=font-variant:small-caps;&gt;CAHILL&lt;/span&gt;, &lt;em&gt;Blackwater. The Rise of the World’s Most Powerful Mercenary Army&lt;/em&gt;, Serpent’s Tail, New York, 2008.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. En 2010, ce secteur pèse 200 milliards de dollars à l’échelle globale et emploie un million de salariés. En 2011, on trouvait davantage de mercenaires sous contrat avec le Pentagone en Afghanistan et en Irak que de personnels de l’armée régulière, 155 000 dans le premier cas, 145 000 dans le second<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir &lt;em&gt;Le Monde&lt;/em&gt;, 20 octobre 2012.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Le néolibéralisme n’est pas étranger à cette tendance. La dynamique de la sous-traitance qui le caractérise conduit les grandes entreprises à déléguer une partie de leur activité, afin de réduire leurs coûts. Il en va de même dans le domaine militaire. À quoi s’ajoute le fait qu’après la guerre froide les budgets et effectifs des armées ont été réduits. Nombre de militaires se sont retrouvés au chômage et étaient donc disposés à accepter des emplois dans des compagnies de « sécurité ». La fragmentation du monopole de la violence légitime des États à l’époque contemporaine s’explique en partie par ce fait.</p>
<p>Après la Seconde Guerre mondiale, les conflits « conventionnels » entre États se comptent sur les doigts de la main. Les guerres entre l’Inde et le Pakistan, Israël et les États arabes jusqu’à la guerre du Kippour (1973), l’Iran et l’Irak, la Grèce et la Turquie… sont les exemples qui viennent à l’esprit. La plupart des conflits depuis 1945 sont de « basse intensité », en ce sens qu’ils n’opposent pas des États en tant que tels. Cela s’explique notamment par l’existence de la bombe atomique. Les théoriciens de la dissuasion nucléaire soutiennent que le nucléaire militaire a eu un effet pacificateur sur les relations internationales, rendant la guerre potentiellement si des tructrice qu’il a forcé les nations qui le possèdent à faire preuve de retenue<a href="javascript:void(0);" class="note" onmouseover="return overlib('Pour une variante de cet argument, voir John M&lt;span class=petite_capitale style=font-variant:small-caps;&gt;EARSHEIMER&lt;/span&gt;, &lt;em&gt;The Tragedy of Great Power Politics&lt;/em&gt;, &lt;em&gt;op. cit. &lt;/em&gt;Voir aussi Susan W&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ATKINS&lt;/span&gt;, « The nuclear non-protestation treaty », &lt;em&gt;New Left Review&lt;/em&gt;, nº 54, novembre-décembre 2008.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Comme le dit Thomas Schelling dans son discours de réception du prix Nobel d’économie en 2005 à propos de la non-survenue d’une guerre nucléaire, « l’événement le plus spectaculaire de la dernière moitié de siècle est un événement qui n’a pas eu lieu<a href="javascript:void(0);" class="note" onmouseover="return overlib('Thomas S&lt;span class=petite_capitale style=font-variant:small-caps;&gt;CHELLING&lt;/span&gt;, « An astonishing sixty years. The legacy of Hiroshima », &lt;em&gt;American Economic Review&lt;/em&gt;, vol. 96, nº 4, 2006, p. 929.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a> ». L’hypothèse d’un effet pacificateur de la bombe est manifestement fausse, la violence collective n’ayant pas diminué en quantité et en intensité depuis la fin de la Seconde Guerre mondiale. Cependant, elle a changé d’échelle, faisant que la violence collective se déploie davantage au niveau infraétatique<a href="javascript:void(0);" class="note" onmouseover="return overlib('Pour une réflexion profonde sur ce thème à partir d’une analyse de la construction du marché mondial de l’uranium, voir Gabrielle H&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ECHT&lt;/span&gt;, « The power of nuclear things », &lt;em&gt;Technology and Culture&lt;/em&gt;, nº 51, janvier 2010.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>.</p>
<p>De l’ensemble de ces éléments, Martin Van Creveld – l’un des plus subtils théoriciens des NG – déduit que la guerre moderne, qu’il appelle « guerre clausewitzienne », est en passe de disparaître. La guerre clausewitzienne naît avec le traité de Westphalie (1648). Elle s’appuie sur le principe de la souveraineté des nations et sur la codification de leurs rapports par le droit international, y compris le droit de la guerre. C’est un ordre politique au sens fort : le comportement des États, et en particulier le choix de déclarer la guerre, y est régi par le calcul de la puissance. C’est la raison pour laquelle Clausewitz pourra dire, un peu moins de deux siècles plus tard, que la guerre est la continuation de la politique par d’autres moyens. Le conflit armé, dans cette perspective, est subordonné aux objectifs politiques des États. Selon Van Creveld, la guerre clausewitzienne est remplacée à l’heure actuelle par la « guerre pour l’existence ». Dans ce cas, la guerre n’est plus la continuation de la politique par d’autres moyens, elle cesse d’être clausewitzienne. Elle n’est plus désormais livrée principalement par des États et la part d’« irrationalité » en elle tend à augmenter.</p></div><div class="section1" id="niv1-043"><h3>DOUBLE MOUVEMENT</h3><p>Bien des aspects de la théorie des NG sont critiquables. Elle rend par exemple très mal compte du « nouvel impérialisme » apparu après la chute de l’URSS, c’est-à-dire des expéditions impérialistes menées par l’Occident au cours des trois dernières décennies. Quoi qu’il en soit, l’élément important est que NG et guerres vertes sont étroitement liées. Les NG comportent souvent une dimension environnementale, au point que l’on a pu parler à leur propos d’<em>écologie politique de la guerre</em><a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Philippe L&lt;span class=petite_capitale style=font-variant:small-caps;&gt;E &lt;/span&gt;B&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ILLON&lt;/span&gt;, « The political ecology of war. Natural resources and armed conflicts », &lt;em&gt;Political Geography&lt;/em&gt;, nº 20, 2001. Voir aussi Claude S&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ERFATI &lt;/span&gt;et Philippe L&lt;span class=petite_capitale style=font-variant:small-caps;&gt;E &lt;/span&gt;B&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ILLON&lt;/span&gt;, « Guerres pour les ressources : une face visible de la mondialisation », &lt;em&gt;Écologie &amp; politique&lt;/em&gt;, vol. 34, nº 1, 2007.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Les pénuries de ressources – eau, terres arables, stocks de poissons, pâturages… – et la dégradation des écosystèmes plus généralement contribuent à l’éclosion de conflits armés de ce type<a href="javascript:void(0);" class="note" onmouseover="return overlib('Romain L&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ALANNE&lt;/span&gt;, « Quand la sécurité devient verte », &lt;em&gt;Revue de défense nationale&lt;/em&gt;, nº 727, février 2010.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. La causalité n’est jamais unilatérale, les paramètres naturels entrent toujours en interaction avec d’autres : pression démographique, disponibilité de l’armement, ingérence de puissances étrangères, inégalités sociales, discriminations ethnoraciales… Mais la « guerre pour l’existence » évoquée par Van Creveld à la fois découle et génère des phénomènes de rareté des ressources et de destruction des écosystèmes.</p>
<p>Le conflit israélo-palestinien constitue un cas d’école pour une écologie politique de la guerre. La production annuelle d’eau potable en Israël est estimée à 1,95 million de mètres cubes<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Thomas H&lt;span class=petite_capitale style=font-variant:small-caps;&gt;OMER&lt;/span&gt;-D&lt;span class=petite_capitale style=font-variant:small-caps;&gt;IXON&lt;/span&gt;, « Environmental scarcities and violent conflict. Evidence from cases », &lt;em&gt;International Security&lt;/em&gt;, vol. 19, nº 1, 1994, p. 13. Pour une critique de la notion de « guerre des ressources », voir David G. V&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ICTOR&lt;/span&gt;, « What resource wars ? », &lt;em&gt;The National Interest&lt;/em&gt;, novembre-décembre 2007.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Les besoins en eau de l’État d’Israël, y compris ceux des colonies des territoires occupés, excèdent ce chiffre de 10 %. La différence est comblée par la surexploitation des aquifères, c’est-à-dire des couches terrestres qui contiennent des nappes phréatiques. Cette surexploitation peut conduire à terme à l’épuisement des puits. Deux des trois aquifères dont dépend l’approvisionnement en eau d’Israël se trouvent sous le territoire de la Cisjordanie. L’accès aux ressources hydriques n’est bien sûr pas le même selon que l’on est arabe ou israélien. Les colons israéliens consomment quatre fois plus d’eau que les Arabes<a href="javascript:void(0);" class="note" onmouseover="return overlib('&lt;em&gt;Ibid.&lt;/em&gt;, p.14.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. L’armée israélienne limite strictement l’accès à l’eau de ces derniers. Entre autres conséquences, ceci a conduit nombre d’agriculteurs palestiniens à abandonner leurs terres et à s’installer dans les villes.</p>
<p>On ne saurait bien sûr réduire un conflit aussi long et complexe à un problème d’approvisionnement en eau. Mais c’est l’un des paramètres qui l’alimentent et, compte tenu de la crise climatique, il est peu probable que la situation s’améliore dans les années qui viennent. On estime ainsi qu’en Afrique, d’ici 2020, 75 à 250 millions de gens auront des difficultés d’accès à l’eau potable<a href="javascript:void(0);" class="note" onmouseover="return overlib('François G&lt;span class=petite_capitale style=font-variant:small-caps;&gt;EMENNE&lt;/span&gt;, &lt;em&gt;Géopolitique du changement climatique&lt;/em&gt;, &lt;em&gt;op. cit.&lt;/em&gt;, p.52.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>.</p>
<p>L’Afrique du Sud connaît une situation de violence collective – non guerrière – qui s’explique pour une part par le même type de processus. Ce pays connaît l’un des taux de criminalité les plus élevés au monde. Dans les années 1980, l’apartheid conduit au regroupement de centaines de milliers de Noirs sur les terres les moins productives et les moins bien dotées en ressources naturelles du pays<a href="javascript:void(0);" class="note" onmouseover="return overlib('Thomas H&lt;span class=petite_capitale style=font-variant:small-caps;&gt;OMER&lt;/span&gt;-D&lt;span class=petite_capitale style=font-variant:small-caps;&gt;IXON&lt;/span&gt;, « Environmental scarcities and violent conflict. Evidence from cases », &lt;em&gt;loc. cit.&lt;/em&gt;, p. 32.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Où l’on voit que l’écologie politique de la guerre interagit avec des paramètres raciaux, comme on l’a constaté au chapitre I. Ainsi, dans le bantoustan de Ciskei, dans la province du Cap, la densité de la population s’élève à 82 habitants par km<span class="exposant" style="vertical-align:super;">2</span>, alors qu’elle n’est que de 2 habitants par km<span class="exposant" style="vertical-align:super;">2 </span>dans le reste de la province. Les bois sont rapidement transformés en combustible pour le chauffage, les pâturages surexploités, alors que les terres arables s’érodent. Si bien que l’écologie du lieu, combinée à l’action répressive d’un État raciste, n’a pu servir d’appui à un développement de long terme. Conséquence : l’exode rural, une fois l’apartheid aboli, et l’arrivée de migrants internes dans des villes peu à même de leur offrir un emploi. L’une des causes du taux élevé de criminalité dans l’Afrique du Sud contemporaine est à trouver dans ce constat.</p>
<p>Les exemples pourraient être multipliés à l’envi. Le problème peut être résumé de la façon suivante : « Une production agricole déclinante, les migrations vers les zones urbaines, et la dépression économique dans des régions fortement affectées par la rareté donnent souvent lieu à des difficultés, et ces difficultés augmentent le plus souvent les demandes envers l’État. Simultanément, la rareté peut interférer avec les revenus de l’État en réduisant la productivité et donc les impôts. […] La rareté environnementale conduit donc à une augmentation des demandes de la société envers l’État et en même temps fait décliner la capacité de ce dernier à y répondre<a href="javascript:void(0);" class="note" onmouseover="return overlib('Christian P&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ARENTI&lt;/span&gt;, &lt;em&gt;Tropic of Chaos&lt;/em&gt;, &lt;em&gt;op. cit. &lt;/em&gt;p. 63.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>.»</p>
<p>La violence collective procède d’un « double mouvement », pour reprendre une expression que Karl Polanyi emploie dans un autre contexte<a href="javascript:void(0);" class="note" onmouseover="return overlib('Karl P&lt;span class=petite_capitale style=font-variant:small-caps;&gt;OLANYI&lt;/span&gt;, &lt;em&gt;La Grande Transformation&lt;/em&gt;, Gallimard, Paris, 1983 (1&lt;span class=exposant style=vertical-align:super;&gt;re &lt;/span&gt;édition : 1944).', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. D’un côté, la pénurie des ressources et la multiplication des catastrophes naturelles mettent la production agricole sous tension, suscitant davantage de pauvreté et donc de sollicitations envers l’État. De l’autre, cette tension diminue les moyens dont dispose ce dernier, puisqu’elle diminue les recettes fiscales et donc sa capacité à intervenir efficacement. Plus la part du secteur agricole est importante dans le PIB du pays considéré, plus celui-ci est affecté par ce double mouvement. Et la crise est d’autant plus dévastatrice que l’État qui y est confronté est déjà fragile. On observe donc une sorte de circulation spatio-temporelle de la crise : la crise environnementale se transforme en crise agricole, qui donne lieu à un exode rural, qui augmente la pression sur les services publics et le marché du travail en contexte urbain, processus susceptible de favoriser dans certaines conditions la violence collective.</p>
<p>La causalité va cependant également dans l’autre sens, c’est-à-dire des villes vers les campagnes<a href="javascript:void(0);" class="note" onmouseover="return overlib('Christian P&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ARENTI&lt;/span&gt;, &lt;em&gt;Tropic of &lt;/em&gt;Chaos, &lt;em&gt;op. cit.&lt;/em&gt;, p.65.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. La pénurie des ressources naturelles a parfois pour origine le pillage et la piraterie. Le bidonville global est sous-tendu par une économie souterraine où s’échangent le bétail, le bois, le poisson ou les minerais en provenance des campagnes. Cette économie souterraine est elle-même entretenue par l’incapacité de l’économie de surface à procurer aux populations des moyens de subsistance. La crise urbaine tend en ce sens à alimenter la pénurie et la pauvreté en milieu rural. La violence collective peut en outre survenir non du fait de la pénurie des ressources, mais en raison de leur abondance. Le conflit portera dans ce cas sur l’appropriation de ces dernières. Les pierres précieuses et le pétrole sont des cas classiques de biens dont la présence sur un territoire a donné lieu à des guerres, par exemple en Afrique. La « malédiction des ressources » est une problématique très discutée parmi les politistes depuis l’après-guerre<a href="javascript:void(0);" class="note" onmouseover="return overlib('Luis M&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ARTINEZ&lt;/span&gt;, &lt;em&gt;Violence de la rente pétrolière&lt;/em&gt;, &lt;em&gt;op. cit.&lt;/em&gt;, p. 14-15.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a> : dans quelle mesure la possession par un pays d’une ressource attise-t-elle les convoitises et suscite-t-elle la guerre ? En devenant à terme l’unique source de revenus d’un pays, empêche-t-elle son développement ?</p>
<p>En outre, les populations des pays en voie de développement consacrent une part plus grande de leurs revenus à l’alimentation, de l’ordre de 35 %. Dans les pays développés, ce pourcentage tombe à 10 %. Cela implique que les variations du prix des denrées alimentaires sur le marché mondial, du fait de sécheresses par exemple, ont un impact plus important sur leur pouvoir d’achat. Ainsi, les neufs principaux pays importateurs de blé se trouvent au Moyen-Orient, une région peu propice à sa culture. Or sept d’entre eux se sont trouvés aux avant-postes lors du « printemps arabe »<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Caitlin E. W&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ERREL &lt;/span&gt;et Francesco F&lt;span class=petite_capitale style=font-variant:small-caps;&gt;EMIA &lt;/span&gt;(dir.), &lt;em&gt;The Arab Spring and Climate Change&lt;/em&gt;, Center for American Progress, New York, février 2013, p. 12. Voir aussi sur ce point Gilbert A&lt;span class=petite_capitale style=font-variant:small-caps;&gt;CHCAR&lt;/span&gt;, &lt;em&gt;Le peuple veut. Une exploration radicale du soulèvement arabe&lt;/em&gt;, Actes Sud, Paris, 2013, chap. 2.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Parmi d’autres facteurs, l’hypothèse d’une relation causale indirecte – mais réelle – entre l’augmentation du prix de certaines denrées à la suite de sécheresses dans des pays producteurs, dans la seconde moitié des années 2000, et ces révoltes populaires peut être émise. Les « émeutes de la faim » sont courantes dans l’histoire des révolutions modernes. On se souvient qu’en Tunisie ou en Égypte, par exemple, nombre de manifestants brandissaient des baguettes de pain. Dans la sociologie des révolutions au <span class="petite_capitale" style="font-variant:small-caps;">XXI</span><span class="exposant" style="vertical-align:super;">e</span> siècle, ce facteur explicatif risque de figurer en bonne place.</p></div><div class="section1" id="niv1-044"><h3>RÉFUGIÉS CLIMATIQUES</h3><p>La crise écologique aura pour effet de générer des « réfugiés climatiques ». Un réfugié climatique se définit comme une personne dont la décision de migrer est liée en tout ou partie à des facteurs environnementaux. Ces réfugiés sont parfois présentés comme le « chaînon manquant » qui relie la crise écologique et les tensions politiques qui pourraient en découler : la crise produit des réfugiés dont les migrations déstabilisent les régions dans lesquelles ils arrivent<a href="javascript:void(0);" class="note" onmouseover="return overlib('François G&lt;span class=petite_capitale style=font-variant:small-caps;&gt;EMENNE&lt;/span&gt;, &lt;em&gt;Géopolitique du changement climatique&lt;/em&gt;, &lt;em&gt;op. cit.&lt;/em&gt;, chap. 3.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Des conflits « interethniques » pourraient par exemple en découler. Crise écologique et crise politique sont en ce sens médiées par les migrations climatiques.</p>
<p>On estime à l’heure actuelle à 25 millions le nombre de réfugiés climatiques dans le monde<a href="javascript:void(0);" class="note" onmouseover="return overlib('Harald W&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ELZER&lt;/span&gt;, &lt;em&gt;Les Guerres du climat&lt;/em&gt;, &lt;em&gt;op. cit.&lt;/em&gt;, p. 120.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Les prévisions divergent sur les perspectives d’avenir, mais certains analystes prévoient entre 50 et 200 millions de réfugiés de ce type à l’horizon 2050. Les migrations liées au climat existent depuis toujours. Le <em>Dust Bowl </em>évoqué par John Steinbeck dans <em>Les Raisins de la colère </em>en est un célèbre exemple. Dans les années 1930, lors de la Grande dépression, le sud-ouest des États-Unis – Oklahoma et Texas notamment – est victime de tempêtes de poussière. La combinaison de sécheresses récurrentes et de l’agriculture intensive rend les terres improductives. Ceci donne lieu à la migration des « Okies », les fermiers habitants de l’Oklahoma (et des États alentours), dont beaucoup deviennent ouvriers agricoles en Californie. Bien que ses modalités soient différentes, l’ouragan Katrina est un <em>Dust Bowl </em>contemporain.</p>
<p>La notion de « réfugiés climatiques » est l’objet de controverses parmi les spécialistes des migrations et au sein des organisations internationales. Trois problématiques structurent ce débat. D’abord, celle du déterminisme. La décision d’un individu de migrer est le fruit d’une causalité complexe. Il serait de ce fait analytiquement erroné et politiquement dangereux de s’en remettre à un « déterminisme climatique » pour expliquer le choix de migrer. Par ailleurs, le Haut Commissariat des Nations unies pour les réfugiés (HCR) ne reconnaît pas à ce jour la catégorie de « réfugié climatique », même s’il porte assistance aux victimes de catastrophes naturelles, comme le tsunami de 2004 dans l’océan Indien<a href="javascript:void(0);" class="note" onmouseover="return overlib('François G&lt;span class=petite_capitale style=font-variant:small-caps;&gt;EMENNE&lt;/span&gt;, &lt;em&gt;Géopolitique du changement climatique&lt;/em&gt;, &lt;em&gt;op. cit.&lt;/em&gt;, p.83.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. L’argument est le suivant : l’extension inconsidérée de la catégorie de « réfugié » risque de mettre en danger des personnes qui le sont vraiment au regard du droit international, en particulier les réfugiés « politiques ».</p>
<p>D’autres organisations internationales assument et promeuvent cependant cette catégorie. Une des premières évocations des « réfugiés climatiques » remonte à un rapport du Programme des Nations unies pour l’environnement, qui date de 1985. Le GIEC mentionne également cette question dans son rapport de 2007. Le « rapport Stern », remis au gouvernement britannique en 2006, consacre également des développements aux réfugiés climatiques. Ce rapport, du nom de l’économiste spécialiste du « développement durable » Nicholas Stern, fait autorité dans l’écologie <em>mainstream </em>sur tout ce qui concerne l’économie et la quantification du changement climatique.</p>
<p>Troisième aspect de la question : faut-il parler de « réfugié » ou de « migrant » climatique<a href="javascript:void(0);" class="note" onmouseover="return overlib('Romain F&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ELLI&lt;/span&gt;, « Managing climate insecurity by ensuring continuous capital accumulation. “Climate refugees” and “climate migrants” », &lt;em&gt;New Political Economy&lt;/em&gt;, à paraître en 2014.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a> ? La différence est de taille. Dans le premier cas, l’individu est considéré comme étant forcé de migrer. Dans le second, il s’agit d’un choix personnel. Lorsque cette notion est apparue, la catégorie de « réfugié » était couramment employée. Depuis les années 1990, une tendance s’est fait jour qui voit l’emploi de plus en plus fréquent de celle de « migrant ». On a pu relever dans cette évolution la montée en puissance d’une approche néolibérale de la gestion de la crise climatique. Les « migrants » tendent à être perçus comme des « entrepreneurs » qui disposent de la maîtrise de leur destin. La migration, dans cette perspective, est une possibilité parmi d’autres qui s’offrent à eux.</p>
<p>Plusieurs facteurs contribuent à l’apparition de réfugiés climatiques : catastrophes naturelles, hausse du niveau des mers, ou encore raréfaction des ressources hydriques<a href="javascript:void(0);" class="note" onmouseover="return overlib('François G&lt;span class=petite_capitale style=font-variant:small-caps;&gt;EMENNE&lt;/span&gt;, &lt;em&gt;Géopolitique du changement climatique&lt;/em&gt;, &lt;em&gt;op. cit.&lt;/em&gt;, p.73.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. La montée du niveau des mers aura un impact important sur les migrations, si l’on considère que plus des deux tiers de la population mondiale vivent dans une bande de cent kilomètres à proximité des côtes<a href="javascript:void(0);" class="note" onmouseover="return overlib('Henrike B&lt;span class=petite_capitale style=font-variant:small-caps;&gt;RECHT &lt;/span&gt;&lt;em&gt;et al.&lt;/em&gt;, « Sea-level rise and storm surges. High stakes for a small number of developing countries », &lt;em&gt;loc. cit.&lt;/em&gt;', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Les migrants s’installent souvent près du littoral, car c’est là que les opportunités économiques se présentent le plus souvent. L’essentiel des migrations climatiques, comme des migrations tout court, est interne au pays de départ et non international. Les sécheresses et les inondations qui frappent le Nordeste brésilien encouragent par exemple la population de cette région à migrer dans les grandes villes du pays<a href="javascript:void(0);" class="note" onmouseover="return overlib('Christian P&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ARENTI&lt;/span&gt;, &lt;em&gt;Tropic of Chaos&lt;/em&gt;, &lt;em&gt;op. cit.&lt;/em&gt;, p. 159.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Elle vient en particulier grossir les favelas de Rio et de São Paolo. Combinées à d’autres facteurs, ces migrations climatiques internes alimentent la pauvreté et la violence qui y font rage. Au Brésil, les armes à feu occasionnent entre 20 000 et 30 000 morts par an. Là encore, la crise traverse successivement différents états : de climatique elle se transforme en économique, sociale, politique – et retour.</p>
<p>Les auteurs du rapport parlementaire français évoqué ci-dessus, consacré aux conséquences du changement climatique en matière de « sécurité », avertissent du danger que représentent les réfugiés climatiques. Afin de protéger l’Europe de ce péril, ils recommandent la mise en place d’une « protection navale renforcée en Méditerranée pour gérer les flux migratoires, conduisant à un véritable mandat de gardes-côtes européens<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir &lt;em&gt;Rapport d’information sur l’impact du changement climatique en matière de sécurité et de défense&lt;/em&gt;, présenté par André S&lt;span class=petite_capitale style=font-variant:small-caps;&gt;CHNEIDER &lt;/span&gt;et Philippe T&lt;span class=petite_capitale style=font-variant:small-caps;&gt;OURTELIER&lt;/span&gt;, &lt;em&gt;op. cit.&lt;/em&gt;, p. 46.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a> ». Dans le même ordre d’idée, l’Inde a élevé un mur long de plus de 4 000 km sur sa frontière avec le Bangladesh<a href="javascript:void(0);" class="note" onmouseover="return overlib('Sur la prolifération de ces murs, voir Wendy B&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ROWN&lt;/span&gt;, &lt;em&gt;Murs. Les Murs de séparation et le déclin de la souveraineté étatique&lt;/em&gt;, Les Prairies ordinaires, Paris, 2009.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Se prémunir face au terrorisme, au trafic de drogue et aux flux migratoires est le motif invoqué à l’appui de ce qui constitue le plus long mur du monde séparant deux pays. Les inondations à répétition dont est victime le Bangladesh, la perte de terres arables incitent nombre de Bangladais à choisir l’exil.</p>
<p>Autre mur inextricablement mêlé à la crise climatique : celui qui sépare les États-Unis du Mexique. Le développement des côtes mexicaines en vue de l’industrialisation et du tourisme suscite le déversement massif de polluants dans les océans. Ceux-ci favorisent la prolifération d’algues toxiques, qui mettent en péril les stocks de poisson<a href="javascript:void(0);" class="note" onmouseover="return overlib('Christian P&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ARENTI&lt;/span&gt;, &lt;em&gt;Tropic of Chaos&lt;/em&gt;, &lt;em&gt;op. cit.&lt;/em&gt;, p. 184.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Pêcheurs et paysans sont confrontés à l’alternative de s’endetter pour survivre, ou de migrer vers le nord en direction des États-Unis. Pollution, migration et endettement sont en ce sens des phénomènes solidaires les uns des autres.</p></div><div class="section1" id="niv1-045"><h3>DISSUASION NUCLÉAIRE ET CRISE ÉCOLOGIQUE</h3><p>Les militaires s’intéressent à la logique formelle du changement climatique, tout comme ils s’intéressaient pendant la guerre froide à celle de la dissuasion nucléaire. On ne comprend rien au développement qu’a connu la théorie des jeux dans l’après-guerre si l’on ne voit pas que cette discipline contribuait à nourrir la réflexion des stratèges du Pentagone.</p>
<p>La logique du changement climatique est de nature différente de celle de la dissuasion nucléaire. Pendant la guerre froide, l’armée américaine était entièrement tendue vers l’objectif d’éviter une guerre nucléaire avec les Soviétiques et, si un tel conflit survenait toutefois, d’être en mesure de réagir de façon adaptée. Compte tenu de la possession d’un important arsenal nucléaire par les deux superpuissances, un tel affrontement était peu probable et, de fait, il n’a pas eu lieu. Les militaires étaient conscients de la faible probabilité d’une guerre nucléaire avec l’URSS. La raison pour laquelle cette éventualité a malgré tout structuré l’organisation de l’armée américaine pendant un demi-siècle est que, en cas de survenue, ses conséquences auraient été dévastatrices<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir « National security and the threat of climate change », Center for Naval Analysis, &lt;em&gt;loc. cit. &lt;/em&gt;p. 10.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Un conflit nucléaire aurait durablement affecté tous les aspects de la vie sociale. Faible probabilité mais grandes conséquences en cas de survenue sous-tendent donc la logique de la dissuasion nucléaire.</p>
<p>La logique du changement climatique est tout autre. La probabilité que ce changement survienne est très grande, ses premières conséquences peuvent même être observées dès à présent. À supposer même que les pays industrialisés décident d’agir, les effets de leurs actions ne se feraient ressentir que dans quelques années ou décennies. À la différence de l’attaque nucléaire, les conséquences de la crise écologique sont difficiles à évaluer. Il est certain qu’elles ne seront pas distribuées de façon homogène, c’est-à-dire qu’elles n’affecteront pas tous les continents de la même façon. Même si les destructions qu’elle occasionne peuvent concerner des régions entières, une attaque nucléaire survient dans un espace-temps donné. Le changement climatique, lui, est progressif. Plus précisément, certains de ses aspects, comme la fonte des glaces ou le réchauffement des températures, sont graduels. D’autres, comme les ouragans ou les sécheresses, sont au contraire bornés dans l’espace et le temps. Forte probabilité et conséquences difficiles à estimer – immenses à certains endroits, insensibles à d’autres – caractérisent donc la logique du changement climatique.</p>
<p>Une attaque nucléaire est par ailleurs sous-tendue par une intentionnalité, celle de l’adversaire. Cela implique que la théorie de la rationalité s’y applique, au sens où il est possible, au moins en théorie, de comprendre, anticiper, négocier avec l’ennemi. L’un des livres importants de Thomas Schelling, <em>La Stratégie du conflit</em>, porte précisément sur la variété possible des interactions entre belligérants<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Thomas S&lt;span class=petite_capitale style=font-variant:small-caps;&gt;CHELLING&lt;/span&gt;, &lt;em&gt;The Strategy of Conflict&lt;/em&gt;, Harvard University Press, Cambridge, 1980.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Même si son intentionnalité est plus difficile à appréhender du fait de son caractère nébuleux, c’est-à-dire de la faible centralisation de son commandement, un réseau terroriste tel qu’Al-Qaeda possède également une rationalité. La nature en général et le changement environnemental en particulier ne sont en revanche sous-tendus par aucune intentionnalité. La nature n’est pas un adversaire conventionnel, doté d’un plan, d’intérêts identifiables et de porte-parole légitimes. Elle n’est d’ailleurs pas un adversaire du tout. Cela implique que l’élément de prévision ou d’anticipation s’applique difficilement ou, en tout cas, n’est pas du même ordre.</p>
<p>Le changement climatique est le fruit de l’activité humaine. C’est tout le sens de l’expression d’« anthropocène », mise en circulation dans les années 2000 par le prix Nobel de chimie Paul Crutzen et qui connaît depuis lors un succès retentissant<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Will S&lt;span class=petite_capitale style=font-variant:small-caps;&gt;TEFFEN&lt;/span&gt;, Paul J. C&lt;span class=petite_capitale style=font-variant:small-caps;&gt;UTZEN &lt;/span&gt;et John M&lt;span class=petite_capitale style=font-variant:small-caps;&gt;C&lt;/span&gt;N&lt;span class=petite_capitale style=font-variant:small-caps;&gt;EILL&lt;/span&gt;, « The anthropocene. Are humans now overwhelming the great forces of nature ? », &lt;em&gt;Ambio&lt;/em&gt;, vol. 36, nº 8, 2007.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Cette expression désigne l’ère géologique qui succède à l’holocène à la fin du <span class="petite_capitale" style="font-variant:small-caps;">XVIII</span><span class="exposant" style="vertical-align:super;">e</span> siècle. À partir de l’anthropocène, l’humanité devient une force géophysique déterminante ayant des effets sur la biosphère. Les histoires naturelle et humaine s’en trouvent de plus en plus mêlées, au point de devenir indissociables. Cela ne les rend cependant pas pour autant plus facilement intelligibles. La logique des « effets pervers » classiquement décrite par Raymond Boudon s’applique ici pleinement : les conséquences macroscopiques des actions humaines sont par définition difficiles à prévoir, car l’agrégation de nombreuses actions fait « dévier » les intentions initiales des acteurs<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir à ce propos Raymond B&lt;span class=petite_capitale style=font-variant:small-caps;&gt;OUDON&lt;/span&gt;, &lt;em&gt;Effets pervers et ordre social&lt;/em&gt;, PUF, Paris, 1977.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Quand cette agrégation inclut non seulement des processus sociaux, mais des processus naturels, la « déviation » induit des conséquences plus inattendues encore. D’où la difficulté à anticiper en matière de changement climatique et la possible survenue de phénomènes « non linéaires », où des causes (en apparence) limitées suscitent des conséquences extraordinaires.</p></div><div class="section1" id="niv1-046"><h3>GUERRE ET BIOCARBURANTS</h3><p>La préoccupation des militaires pour le changement climatique prend place dans un contexte de renchérissement des énergies fossiles. C’est ce dont s’inquiète une série d’articles parus dans le <em>Armed Forces Journal</em>, le mensuel des officiers de l’armée américaine. 80 % du pétrole consommé par l’État américain l’est par les forces armées<a href="javascript:void(0);" class="note" onmouseover="return overlib('John N&lt;span class=petite_capitale style=font-variant:small-caps;&gt;AGL &lt;/span&gt;et Christine P&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ARTHEMORE&lt;/span&gt;, « A post-petroleum era », &lt;em&gt;loc. cit.&lt;/em&gt;', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Chaque jour, celles-ci requièrent 130 millions de barils pour leur fonctionnement. Le pétrole représente aujourd’hui 77 % des carburants employés par l’armée. 70 % du tonnage déplacé chaque jour sur les champs de bataille est du pétrole<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir « National security and the threat of climate change », Center for Naval Analysis, &lt;em&gt;loc. cit.&lt;/em&gt;, p.26.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Si l’on y ajoute l’eau, on atteint 90 %. Les munitions, en comparaison, représentent un tonnage relativement modeste. Plus généralement, 10 % des émissions de carbone annuelles à l’échelle globale proviennent de l’activité militaire (toutes armées confondues)<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Gary E. M&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ACHLIS &lt;/span&gt;et Thor H&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ANSON&lt;/span&gt;, « Warfare ecology », &lt;em&gt;loc. cit.&lt;/em&gt;, p. 729.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. La consommation de pétrole par l’armée étatsunienne a un caractère autorenforçant. Des effectifs importants doivent être mobilisés pour sécuriser les voies d’acheminement du pétrole sur les théâtres des opérations, par exemple en Irak, où l’une des principales tactiques mises en œuvre par les insurgés consiste à empêcher sa circulation. Ces effectifs ont eux-mêmes besoin de pétrole, ce qui en accroît d’autant la consommation. 2,5 millions de gallons de pétrole sont transportés chaque jour en Irak, dans des conditions d’une grande dangerosité<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir « National security and the threat of climate change », Center for Naval Analysis, &lt;em&gt;loc. cit.&lt;/em&gt;, p.48.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>.</p>
<p>Aux yeux des militaires, cette situation est intenable pour plusieurs raisons. La dépendance des armées occidentales à l’égard du pétrole les met à la merci de pays producteurs avec lesquels elles entretiennent de mauvaises relations. Au premier rang de ces pays se trouvent l’Iran et le Venezuela. Autre fournisseur des États-Unis, le Mexique se trouve en situation de quasi-guerre civile du fait du narcotrafic. Il arrive d’ailleurs fréquemment que les narcotrafiquants s’attaquent aux pipelines pétroliers<a href="javascript:void(0);" class="note" onmouseover="return overlib('Sur le lien entre pétrole et criminalité organisée, voir par exemple Michael W&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ATTS &lt;/span&gt;(dir.), &lt;em&gt;Curse of the Black Gold. 50 Years of Oil in the Niger Delta&lt;/em&gt;, Power-house, Brooklyn, 2008.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Au début des années 1980, le président Jimmy Carter énonce une doctrine qui a conservé son nom : la « doctrine Carter ». Celle-ci stipule que les États-Unis interviendront militairement chaque fois que leurs circuits d’approvisionnement énergétiques seront menacés, en particulier au Moyen-Orient. Deux tiers des réserves de pétrole mondiales connues se trouvent dans la région. Cette doctrine devient cependant de plus en plus difficile à appliquer. La « surextension impériale » qui affecte l’armée américaine implique que sa capacité de réaction à une nouvelle crise géopolitique est amoindrie. C’est la raison pour laquelle les appels à diversifier les sources d’approvisionnement et les carburants se multiplient du sein même de l’armée.</p>
<p>L’armée états-unienne a déjà réalisé par le passé des transitions énergétiques et technologiques d’ampleur. Du milieu du <span class="petite_capitale" style="font-variant:small-caps;">XIX</span><span class="exposant" style="vertical-align:super;">e</span> siècle à l’entre-deux-guerres, le charbon est l’énergie militaire dominante. Le pétrole s’y substitue progressivement, au moment où son usage civil se généralise. Puis est introduite l’énergie nucléaire, employée dans la fabrication de bombes et dans la propulsion marine et sous-marine. Ces transitions s’effectuent non parce que les énergies précédentes s’épuisent, mais du fait de choix économiques et politiques<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir à ce propos Bruce P&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ODOBNIK&lt;/span&gt;, &lt;em&gt;Global Energy Shifts. Fostering Sustainability in a Turbulent Age&lt;/em&gt;, &lt;em&gt;op. cit. &lt;/em&gt;Sur cette question, voir aussi Timothy M&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ITCHELL&lt;/span&gt;, &lt;em&gt;Carbon democracy. Le pouvoir politique à l’ère du pétrole&lt;/em&gt;, &lt;em&gt;op. cit.&lt;/em&gt;', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Parallèlement, dès les années 1940, les armées s’en remettent de plus en plus à l’électronique et à l’informatique pour la logistique et l’armement.</p>
<p>Les armes conçues aujourd’hui ne pourront être employées que dans quarante ou cinquante ans. Il est par conséquent crucial de préparer le terrain dès maintenant<a href="javascript:void(0);" class="note" onmouseover="return overlib('John N&lt;span class=petite_capitale style=font-variant:small-caps;&gt;AGL &lt;/span&gt;et Christine P&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ARTHEMORE&lt;/span&gt;, « A post-petroleum era », &lt;em&gt;loc. cit.&lt;/em&gt;', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Un objectif avancé par l’<em>Armed Forces Journal </em>est que le Pentagone soit à même de faire fonctionner tous ses systèmes avec des carburants non pétroliers – et particulièrement des biocarburants – en 2040. Le premier navire de guerre « hybride », l’<em>USS Makin Islands</em>, propulsé au gaz et à l’électricité, a commencé à naviguer en 2009. Les bases militaires devront elles aussi investir dans les énergies solaire, géothermique et éolienne.</p>
<p>Un argument d’ordre économique revient souvent pour convaincre de la nécessité de cette transition énergétique. L’emploi par l’armée américaine de biocarburants créera une demande massive, qui lèvera les incertitudes des producteurs sur la viabilité de cette filière et les incitera à en produire davantage. La conversion de l’armée donnera un signal au marché, encourageant l’ensemble de la société à effectuer cette transition. Les militaires américains tendent à se vivre comme des « éclaireurs » en matière de transition énergétique. Ils auraient tort de s’en priver. Année après année, lorsqu’on demande à la population américaine quelle est l’institution en laquelle elle a le plus confiance, elle cite en premier lieu l’armée (hormis pendant une brève période lors de la guerre en Irak). Suivent les PME (<em>small business</em>), la police et les « religions organisées »<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir le sondage Gallup, à l’adresse : &lt;www.gallup.com/poll/1597/confidenceinstitutions.aspx&gt;.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. La militarisation de l’écologie pourrait ainsi conduire des pans de la société américaine jusqu’ici réticents à accepter certaines mesures de transition énergétique.</p>
<p>La conversion des armées aux biocarburants créera d’importants problèmes. L’usage croissant de terres cultivables pour leur production a suscité, au cours des années récentes, un renchéris sement des produits agricoles, puisque ces terres ne sont plus mises à profit pour cultiver des denrées alimentaires. Remplir le réservoir d’une grosse voiture avec de l’éthanol équivaut à utiliser la quantité de maïs nécessaire pour nourrir une personne pendant un an<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Jean-François M&lt;span class=petite_capitale style=font-variant:small-caps;&gt;OUHOT&lt;/span&gt;, « Past connections and present similarities in slave ownership and fossil fuel usage », &lt;em&gt;Climatic Change&lt;/em&gt;, vol. 105, nº 1-2, mars 2011, p. 345.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Assouvir la demande militaire en biocarburants aggravera inéluctablement cette tendance. Il est également possible que la raréfaction des énergies fossiles accroisse le recours à l’énergie nucléaire et que s’ensuive une nouvelle prolifération. L’industrie pétrolière, dont les liens avec le complexe militaroindustriel sont congénitaux, est en outre loin de s’avouer vaincue. Certains considèrent ainsi que l’on assiste à l’apparition d’un « nouvel âge des hydrocarbures », en lieu et place d’une ère fondée sur des sources d’énergie alternatives<a href="javascript:void(0);" class="note" onmouseover="return overlib('Pour une bonne synthèse sur cette question, voir Peter S&lt;span class=petite_capitale style=font-variant:small-caps;&gt;CHWARTZ&lt;/span&gt;, « Abundant natural gas and oil are putting the kibosh on clean energy », &lt;em&gt;Wired&lt;/em&gt;, 17 août 2012.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. La production domestique d’énergies fossiles a récemment augmenté aux États-Unis. Le forage en eaux profondes (par exemple au Brésil), le gaz de schiste (les États-Unis en possèdent d’importantes quantités) ou les sables bitumineux (au Canada notamment) débouchent sur une abondance inattendue, conduisant à une baisse des prix et une augmentation de la consommation. Différentes fractions des classes dominantes occidentales s’affrontent autour de ces projets énergétiques alternatifs. Ces contradictions traversent également les armées.</p></div><div class="section1" id="niv1-047"><h3>LES OCÉANS DÉSTABILISÉS</h3><p>Les marines nationales sont particulièrement concernées par la crise écologique. Depuis toujours, les océans sont des environnements dangereux. Comme on l’a vu au chapitre II, l’assurance moderne est en partie née au <span class="petite_capitale" style="font-variant:small-caps;">XVII</span><span class="exposant" style="vertical-align:super;">e</span> siècle dans le secteur de la navigation, afin d’assurer la perte de biens en cas de naufrage. Le progrès de la cartographie et des technologies de transport ont contribué à stabiliser cet environnement au cours des siècles suivants, au point qu’il est devenu depuis lors le principal vecteur de la mondialisation. 90 % du commerce mondial s’effectue par exemple aujourd’hui par bateau.</p>
<p>Or le changement climatique risque de déstabiliser à nouveau les océans. Ce ne sont pas des masses homogènes, mais des organismes mouvants, composés de colonnes d’eau de densité, de salinité, de température et d’acidité variables. Le changement climatique perturbe déjà à l’heure actuelle la circulation termohaline, c’est-à-dire les courants océaniques à l’échelle du globe, dont le Gulf Stream est le plus connu. Les courants existants qui conditionnent la navigation sous-marine, pourraient s’en trouver affaiblis ou changer de direction<a href="javascript:void(0);" class="note" onmouseover="return overlib('Richard F. P&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ITTENGER &lt;/span&gt;et Robert B. G&lt;span class=petite_capitale style=font-variant:small-caps;&gt;AGOSIAN&lt;/span&gt;, « Global warming could have a chilling effect on the military », &lt;em&gt;Defense Horizons&lt;/em&gt;, nº 33, octobre 2003.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Cela requerra que les océans soient plus fréquemment cartographiés et échantillonnés. Comme le dit un rapport militaire, les océans se caractérisaient jusqu’à présent par leur « stationnarité », autrement dit par le fait qu’ils sont changeants mais dans le cadre de paramètres fixes<a href="javascript:void(0);" class="note" onmouseover="return overlib('Sharon B&lt;span class=petite_capitale style=font-variant:small-caps;&gt;URKE &lt;/span&gt;&lt;em&gt;et al.&lt;/em&gt;, « Uncharted waters. The US Navy and navigating climate change », &lt;em&gt;loc. cit.&lt;/em&gt;, p.21.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Ce que la crise climatique remet en question, c’est ce cadre lui-même.</p>
<p>La fonte des glaces altère la densité de l’eau, ce qui risque de compromettre la stabilité des sous-marins. En 1999, le sous-marin nucléaire <em>USS Hawkbill </em>a rapporté que des changements dans la salinité de l’eau et les modifications correspondantes dans la densité des courants rendaient plus difficile le maintien de sa flottabilité<a href="javascript:void(0);" class="note" onmouseover="return overlib('&lt;em&gt;Ibid.&lt;/em&gt;, p.19.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. L’augmentation de l’acidité des mers en raison du surcroît de dioxyde de carbone qu’elle contient aura en outre des effets sur les sonars de détection sous-marine. Les courants marins disposent de propriétés acoustiques, qui font que le son s’y propage de manière prévisible. Depuis la Seconde Guerre mondiale, les sous-marins sont équipés de systèmes sensoriels fondés sur ces propriétés. Ces systèmes ont notamment joué un rôle crucial dans la guerre sous-marine pendant la guerre froide<a href="javascript:void(0);" class="note" onmouseover="return overlib('Richard F. P&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ITTENGER &lt;/span&gt;et Robert B. G&lt;span class=petite_capitale style=font-variant:small-caps;&gt;AGOSIAN&lt;/span&gt;, « Global warming could have a chilling effect on the military », &lt;em&gt;loc. cit.&lt;/em&gt;, p.6.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Les changements dans la densité de l’eau pourraient compliquer le fonctionnement de ces sonars à l’avenir. Du fait d’une présence humaine se faisant ressentir toujours davantage, mais aussi de la fonte des glaces en Arctique, le bruit sous-marin ambiant augmentera dans certaines régions, rendant plus difficile la détection de signaux.</p>
<p>Des problèmes de cet ordre se poseront également en surface. Lors de la seconde guerre du Golfe, les chaleurs extrêmes ont empêché le personnel opérant sur les ponts des porte-avions américains de rester trop longtemps exposé au soleil<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir « National security and the threat of climate change », &lt;em&gt;loc. cit.&lt;/em&gt;, p. 37.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Le rythme de décollage des avions de combat s’en est trouvé ralenti. En accentuant les climats extrêmes, le changement environnemental rendra plus difficile – physiquement et psychologiquement – la tâche des soldats. Il aura également un impact sur les matériels et infrastructures militaires, soumis à des températures et des vents eux aussi importants. Lors des guerres en Irak, les tempêtes de sable dans le désert ont augmenté les coûts de la maintenance des équipements militaires. Si la fonte des glaces en Arctique permettra, une partie de l’année, de naviguer dans cette région, le problème est que les systèmes électroniques ne sont pas nécessairement adaptés au grand froid et que les y rendre aptes coûte cher. Ainsi, comme le résume le rapport parlementaire français évoqué ci-dessus : « Les modifications climatiques se répercutent sur la performance des équipements et systèmes d’armes. Ceux-ci peuvent se détériorer du fait de températures élevées et d’une forte humidité. La performance des radars peut être modifiée. La propagation des ondes peut connaître des anomalies. La construction de nouvelles armes devra prendre en compte des modifications climatiques. Les vêtements du combattant devront aussi être adaptés aux spécificités nouvelles des champs de bataille<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir &lt;em&gt;Rapport d’information sur l’impact du changement climatique en matière de sécurité et de défense&lt;/em&gt;, présenté par André S&lt;span class=petite_capitale style=font-variant:small-caps;&gt;CHNEIDER &lt;/span&gt;et Philippe T&lt;span class=petite_capitale style=font-variant:small-caps;&gt;OURTELIER&lt;/span&gt;, &lt;em&gt;op. cit.&lt;/em&gt;, p. 44.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>.» </p></div><div class="section1" id="niv1-048"><h3>LE PARTAGE DE L’ARCTIQUE</h3><p>Il n’est de document militaire consacré aux conséquences militaires du changement climatique qui ne comporte un chapitre sur l’Arctique. La fascination qu’exerce le pôle Nord sur l’esprit militaire n’a d’égal que les incertitudes qui entourent les conséquences politiques et économiques du réchauffement climatique dans cette région. L’Antarctique ne suscite pas la même séduction, parce qu’il est éloigné des principales routes maritimes et des conflits qui ont structuré le <span class="petite_capitale" style="font-variant:small-caps;">XX</span><span class="exposant" style="vertical-align:super;">e</span> siècle et qui promettent de jalonner le <span class="petite_capitale" style="font-variant:small-caps;">XXI</span><span class="exposant" style="vertical-align:super;">e</span>. Les militaires ne sont pas les seuls à être fascinés par l’Arctique. James Lovelock, le père de l’« hypothèse Gaïa », a émis l’hypothèse en 2006, dans une tribune dans <em>The Independent</em>, que lorsque le réchauffement de la planète aura atteint des niveaux insoutenables, les derniers humains survivants iraient se réfugier en Arctique<a href="javascript:void(0);" class="note" onmouseover="return overlib('Cet article est disponible à l’adresse : &lt;www.independent.co.uk/voices/commentators/james-lovelock-the-earth-is-about-to-catch-a-morbid-fever-thatmay-last-as-long-as-100000-years-523161.html&gt;.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>.</p>
<p>Une chose est certaine : l’Arctique fond et à vitesse grandissante. Une étude financée par la NASA, parue au début de l’année 2011, indique qu’en 2006 les deux pôles ont perdu 475 milliards de tonnes de glace<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir &lt;em&gt;Le Monde&lt;/em&gt;, 9 mars 2011.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Depuis 1992, la fonte de l’Arctique et de l’Antarctique a augmenté de 36 milliards de tonnes annuellement. Entre autres conséquences désastreuses, cela contribuera à élever le niveau des mers d’une quinzaine de centimètres d’ici 2050, à quoi il faut ajouter la fonte des autres glaciers de la planète et la dilatation des océans due à leur réchauffement. Depuis les années 1950, date à laquelle les premières mesures sont effectuées, les températures augmentent en Arctique deux fois plus vite que la moyenne globale. Presque tous les glaciers qui s’y trouvent sont en recul. La rapidité de ce réchauffement s’explique notamment par l’« effet albédo » : la fonte des glaces assombrit la surface de la terre, qui absorbe par conséquent davantage de chaleur (la neige et la glace reflètent les rayons du soleil), ce qui cause un réchauffement local, qui fait fondre davantage de glace, et ainsi de suite. Cette fonte concerne en particulier le permafrost, c’est-à-dire les sous-sols de l’Arctique (qui ne dégèlent pas pendant l’été), qui pourrait libérer des quantités importantes de méthane – un gaz à effet de serre – dans l’atmosphère.</p>
<p>La fascination des militaires pour l’Arctique n’est pas nouvelle. Lors de la guerre froide, le pôle Nord a fait l’objet de toutes les attentions de la part des grandes armées du monde et particulièrement les armées américaine et soviétique<a href="javascript:void(0);" class="note" onmouseover="return overlib('Sur certains aspects de l’histoire intellectuelle de la guerre froide dans son rapport avec les questions environnementales, voir Fabien L&lt;span class=petite_capitale style=font-variant:small-caps;&gt;OCHER&lt;/span&gt;, « Les pâturages de la guerre froide : Garrett Hardin et la “Tragédie des communs” », &lt;em&gt;loc. cit.&lt;/em&gt;', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Une partie significative des connaissances scientifiques concernant cette région vient à l’origine de programmes de recherche financés par l’armée américaine<a href="javascript:void(0);" class="note" onmouseover="return overlib('Ronald E. D&lt;span class=petite_capitale style=font-variant:small-caps;&gt;OEL&lt;/span&gt;, « Quelle place pour les sciences de l’environnement physique dans l’histoire environnementale ? », &lt;em&gt;loc. cit.&lt;/em&gt;', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Lancer un missile guidé ou faire naviguer un sous-marin en profondeur suppose de se rendre maître des conditions environnementales dans lesquelles ils se meuvent. C’est tout particulièrement le cas dans un environnement hostile comme l’Arctique. Comme le dit une étude militaire américaine datant de 1950 consacrée à l’Arctique, « il faut insister sur les caractères environnementaux uniques qui imposent ici des obstacles majeurs à la conduite des opérations militaires<a href="javascript:void(0);" class="note" onmouseover="return overlib('&lt;em&gt;Ibid.&lt;/em&gt;, p. 146.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a> ».</p>
<p>L’attention portée par les Américains à l’Arctique pendant la guerre froide s’explique aisément. L’Alaska et la Sibérie sont des régions frontalières, séparées par le détroit de Béring. Le chemin le plus court pour que des bombardiers ou missiles soviétiques atteignent les métropoles américaines passe par le pôle Nord. Les stratèges américains estiment également que l’Arctique est susceptible de devenir le théâtre d’une guerre « chaude » entre superpuissances. Cela implique de se doter des équipements et d’une tactique adaptés à ce milieu. Il est admis à l’époque que les Soviétiques sont en avance sur les Américains en la matière.</p>
<p>Ainsi, des réunions consacrées à l’Arctique ont lieu au Pentagone dès la fin des années 1940. À la fin des années 1950, peu après le lancement du Spoutnik par les Russes (1957), l’<em>USS Nautilus </em>– ainsi nommé en hommage à Jules Verne – devient le premier sous-marin à naviguer sous la calotte glaciaire de l’Arctique. Les premières hypothèses des scientifiques concernant la fonte des glaces dans la région remontent aux années 1930. Dès les années 1940, les militaires prennent conscience du changement climatique qui l’affecte, qui rendra les manœuvres militaires d’autant plus difficiles<a href="javascript:void(0);" class="note" onmouseover="return overlib('&lt;em&gt;Ibid.&lt;/em&gt;, p. 144.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. C’est à ce moment que sont lancés des programmes de recherche portant sur la topographie des fonds et des courants marins, la composition chimique des eaux, la salinité, les montagnes et vallées subaquatiques…</p></div><div class="section1" id="niv1-049"><h3>PÔLE NORD ET MONDIALISATION</h3><p>La guerre froide s’est achevée, l’intérêt des militaires pour l’Arctique est demeuré. L’accélération de la fonte des glaces, combinée avec les bouleversements géopolitiques et économiques des dernières décennies, a modifié la donne dans la région. À partir de 2007, le passage du Nord-Ouest qui relie l’Atlantique et le Pacifique par le nord des Amériques s’est ouvert entièrement pendant deux semaines. D’aucuns prévoient qu’il puisse l’être tout l’été dans les années à venir. En août 2009, deux navires commerciaux allemands, non accompagnés par des brise-glace, ont emprunté le passage du Nord-Est (ou « route maritime du Nord »), qui longe la côte nord de la Sibérie et rejoint les Pays-Bas en partant de Vladivostok<a href="javascript:void(0);" class="note" onmouseover="return overlib('Charles K. E&lt;span class=petite_capitale style=font-variant:small-caps;&gt;BINGER &lt;/span&gt;et Evie Z&lt;span class=petite_capitale style=font-variant:small-caps;&gt;AMBETAKIS&lt;/span&gt;, « The geopolitics of Arctic melt », &lt;em&gt;International Affairs&lt;/em&gt;, vol. 85, nº 6, 2009, p. 1216.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Ce passage est désormais ouvert pendant quatre ou cinq mois par an. En 2010, seuls quatre bateaux l’avaient emprunté. En 2012, ce chiffre s’est élevé à trente-quatre navires, parmi lesquels un bateau de croisière<a href="javascript:void(0);" class="note" onmouseover="return overlib('James A&lt;span class=petite_capitale style=font-variant:small-caps;&gt;STILL&lt;/span&gt;, « The melting north », &lt;em&gt;The Economist&lt;/em&gt;, 16 juin 2012, p. 5.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. En 2009, 6 000 bateaux ont navigué en Arctique (au sens large), pour la plupart des chalutiers de pêche et des barges minières.</p>
<p>Que l’Arctique devienne praticable ne signifie pas qu’il sera <em>facilement </em>praticable dans un avenir proche. La région demeure inhospitalière, les dégâts potentiels infligés par les icebergs et autres glaces mouvantes aux bateaux seront importants. Les temps de voyage promettent d’être aléatoires, les mouvements des glaces ayant un caractère imprévisible. La cartographie de l’Arctique est encore imprécise, en comparaison de celle d’autres régions. Ces différents facteurs se traduiront notamment par des primes d’assurance élevées, symptomatiques des risques encourus. Cela supposera également que les bateaux soient souvent escortés par des brise-glace. Il n’en reste pas moins que la praticabilité croissante de l’Arctique aura un impact économique et géopolitique considérable. Preuve de cet impact, l’hebdomadaire libéral <em>The Economist </em>– le journal le plus influent du monde, jamais en retard d’une découverte – a récemment consacré un de ses <em>special reports </em>à l’Arctique<a href="javascript:void(0);" class="note" onmouseover="return overlib('&lt;em&gt;Ibid.&lt;/em&gt;', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>.</p>
<p>D’ici quinze à vingt ans, lorsque les voies maritimes arctiques seront durablement accessibles, le temps de voyage entre les continents sera fortement raccourci. Cela réduira d’autant les quantités de carburant employées, le prix des marchandises acheminées, et accélérera d’autant – toutes choses égales par ailleurs – la mondialisation. Le voyage de Rotterdam à Yokohama, deux ports commerciaux de première importance au plan mondial, qui s’effectue à l’heure actuelle <em>via </em>le canal de Suez, sera raccourci de 40 % s’il emprunte le passage du Nord-Est. Naviguer de Seattle à Rotterdam en traversant le passage du Nord-Ouest, plutôt que le canal de Panama, accélérera le voyage de 25 %<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Scott G. B&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ORGERSON&lt;/span&gt;, « Arctic meltdown. The economic and security implications of global warming », &lt;em&gt;Foreign Affairs&lt;/em&gt;, mars-avril 2008, p. 3-4.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Les expressions de « nouvelle mer Baltique », « nouvelle Méditerranée » ou « nouveau golfe du Mexique » reviennent fréquemment dans la littérature consacrée à l’Arctique. La modification des voies maritimes commerciales n’est pas une bonne nouvelle pour tout le monde. L’Égypte empoche à ce jour annuellement cinq milliards de dollars en frais de transit grâce au canal de Suez, un montant qui diminuera inévitablement à mesure que des alternatives plus courtes et moins chères apparaîtront.</p>
<p>Cinq pays revendiquent des parts de souveraineté sur l’Arctique : les États-Unis, la Russie, le Danemark (<em>via </em>le Groenland), la Norvège et le Canada. Ils composent, avec la Finlande, la Suède et l’Islande, le « Conseil arctique », un forum intergouvernemental fondé en 1996 en charge de gérer les conflits dans la région. Des ONG sont également membres de ce conseil. C’est notamment le cas du WWF, mais non de Greenpeace, qui s’en est vu refuser l’accès. Certaines ONG représentent les droits des populations indigènes vivant en Arctique, parmi lesquelles les Inuits.</p>
<p>L’Arctique est l’objet de conflits territoriaux entre ces pays. En juillet 2007, une expédition sous-marine russe plante un drapeau de titane, à grand renfort de communication, sur la dorsale<a href="javascript:void(0);" class="note" onmouseover="return overlib('Une dorsale est une région qui sépare deux plaques tectoniques.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a> de Lomonossov, par 4 000 mètres de fond. La Russie considère cette dorsale, longue de 1 800 km, comme une extension sous-marine de son territoire. La Convention des Nations unies sur le droit de la mer (UNCLOS), adoptée dans les années 1970, stipule qu’un pays en mesure de démontrer que son territoire s’étend à plus de 200 milles nautiques sous la mer dispose de droits sur l’exploitation des ressources qui s’y trouvent<a href="javascript:void(0);" class="note" onmouseover="return overlib('Charles K. E&lt;span class=petite_capitale style=font-variant:small-caps;&gt;BINGER &lt;/span&gt;et Evie Z&lt;span class=petite_capitale style=font-variant:small-caps;&gt;AMBETAKIS&lt;/span&gt;, « The geopolitics of Arctic melt », &lt;em&gt;loc. cit.&lt;/em&gt;, p. 1224.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. La dorsale de Lomonosov est vraisemblablement riche en minéraux et en pétrole, d’où l’empressement des Russes à s’y installer. L’attrait pour cette région s’explique également par le fait qu’avec le réchauffement climatique certaines espèces (de poissons notamment) migrent vers le nord.</p>
<p>Le Danemark et le Canada contestent les prétentions de la Russie sur ce territoire. Le premier soutient qu’il s’agit d’une extension du Groenland, le second que la dorsale est canadienne. La circularité de l’Arctique rend un tel désaccord difficilement décidable d’un point de vue géographique. Les commentateurs les plus pessimistes craignent que ce genre de conflits territoriaux puisse favoriser à l’avenir l’éclosion de guerres<a href="javascript:void(0);" class="note" onmouseover="return overlib('Gwynne D&lt;span class=petite_capitale style=font-variant:small-caps;&gt;YER&lt;/span&gt;, &lt;em&gt;Climate Wars. The Fight for Survival as the World Overheats&lt;/em&gt;, Oneworld publications, Londres, 2011.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Le partage de l’Arctique, de ce point de vue, est perçu à travers le prisme du partage de l’Afrique au <span class="petite_capitale" style="font-variant:small-caps;">XIX</span><span class="exposant" style="vertical-align:super;">e</span> siècle, c’est-à-dire comme susceptible de donner lieu à des formes nouvelles de conflits interimpérialistes.</p>
<p>À ce stade, la crainte de voir émerger des conflits majeurs en Arctique paraît infondée. 90 % des minerais qui se trouvent en Arctique sont situés à l’intérieur de frontières ne faisant pas l’objet de disputes<a href="javascript:void(0);" class="note" onmouseover="return overlib('James A&lt;span class=petite_capitale style=font-variant:small-caps;&gt;STILL&lt;/span&gt;, « The melting north », &lt;em&gt;op. cit.&lt;/em&gt;, p.10.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Par ailleurs, dans un environnement aussi hostile, la coopération entre États est plus rationnelle que le conflit. Il n’en demeure pas moins que ce risque n’est pas à exclure dans les décennies qui viennent. En 2011, l’armée canadienne a effectué le plus gros exercice militaire de son histoire dans la région<a href="javascript:void(0);" class="note" onmouseover="return overlib('La &lt;em&gt;Canada First Defence Strategy&lt;/em&gt;, qui fait de la capacité à opérer en Arctique l’une des six priorités de l’armée canadienne, est disponible à l’adresse : &lt;www.forces.gc.ca/en/about/canada-first-defence-strategy.page?#ql3&gt;. ', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Les Russes dominent militairement le pôle Nord, notamment parce qu’ils disposent d’une vingtaine de brise-glace, dont certains à propulsion nucléaire (le premier brise-glace à propulsion nucléaire remonte à la fin des années 1950, il se dénommait le <em>Lénine</em>). Les États-Unis, en comparaison, ne possèdent que trois navires de ce genre<a href="javascript:void(0);" class="note" onmouseover="return overlib('Sharon B&lt;span class=petite_capitale style=font-variant:small-caps;&gt;URKE &lt;/span&gt;&lt;em&gt;et al.&lt;/em&gt;, « Uncharted waters. The US Navy and navigating climate change », &lt;em&gt;loc. cit. &lt;/em&gt;p. 35.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. La construction d’un brise-glace dernier cri dure entre huit et dix ans et coûte un milliard de dollars. Une revendication insistante de l’armée américaine est de combler, dans les années qui viennent, cet écart en matière de capacité militaire. La crise fiscale que traversent les États-Unis paraît cependant peu propice à l’investissement requis pour atteindre cet objectif.</p>
<p>La géopolitique de l’Arctique concerne bien d’autres pays que ceux qui ont des prétentions territoriales dans la région. Les grands pays exportateurs asiatiques – Chine, Japon, Corée du Sud, Singapour – ont demandé à adhérer au Conseil arctique et il y a de fortes chances qu’ils y soient admis au cours des prochaines années. Ces pays comptent parmi les premiers bénéficiaires du raccourcissement des trajets commerciaux, il n’est guère étonnant qu’ils s’intéressent de près à l’Arctique. La Corée du Sud est l’un des principaux constructeurs de brise-glace au monde. L’Inde, la Chine et le Japon financent quant à eux régulièrement des missions scientifiques au pôle Nord.</p>
<p>La fonte de l’Arctique aura des conséquences géopolitiques indirectes. Elle promet de relativiser l’importance de certains nœuds stratégiques. Une bonne partie des marchandises à destination et en provenance d’Asie – un tiers du commerce mondial au total – passe par exemple par le détroit de Malacca, situé entre la Malaisie et l’île indonésienne de Sumatra. Garantir la sécurité de ce détroit est un casse-tête pluriséculaire. Depuis les origines du commerce international, il est infesté de pirates. L’émergence de la Chine comme grande puissance et sa rivalité grandissante avec les États-Unis risquent en outre d’accroître la lutte pour la suprématie militaire sur ce lieu et sur la mer de Chine à laquelle il donne accès.</p>
<p>Le détroit d’Ormuz, où se font face l’Iran et le sultanat d’Oman, est un autre point de fixation géostratégique et commerciale de ce genre. Faire en sorte que les navires commerciaux et militaires puissent le contourner réduirait considérablement le pouvoir de l’Iran en cas de crise au Moyen-Orient. L’ouverture des routes maritimes arctiques rebattra donc à terme les cartes de la géopolitique mondiale. Elle réduira la pression qui s’exerce sur certains lieux, pour l’augmenter sur d’autres, modifiant de ce fait la configuration des alliances et des rapports de force.</p></div><div class="section1" id="niv1-050"><h3>MARCHANDISER LA FONTE DES GLACES</h3><p>L’Arctique contient d’abondantes ressources naturelles, les bénéfices économiques de sa fonte ne découlent pas seulement du raccourcissement des voies commerciales. Bois, minéraux – zinc, or, nickel et fer notamment –, pétrole, gaz, poissons, végétaux… On considère que la région renferme les dernières réserves d’hydrocarbures de la planète. Selon une étude de 2008, l’Arctique renfermerait 90 milliards de barils de pétrole et 75 000 milliards de mètres cubes (des téramètres cubes) de gaz naturel, soit possiblement 13 % et 30 % des ressources non encore explorées<a href="javascript:void(0);" class="note" onmouseover="return overlib('James A&lt;span class=petite_capitale style=font-variant:small-caps;&gt;STILL&lt;/span&gt;, « The melting north », &lt;em&gt;loc. cit.&lt;/em&gt;, p. 12.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Shell, ExxonMobil, Gazprom ou Total dépensent déjà des milliards en exploration (la compagnie française uniquement pour le gaz). Shell a dépensé à soi seul 4 milliards de dollars, sans avoir à ce jour commercialisé le moindre baril de pétrole. L’exploitation des ressources arctiques suppose l’installation d’infrastructures lourdes et sophistiquées, ainsi que la sécurisation de leur acheminement. Cette sécurisation est l’une des raisons qui conduiront les militaires à s’investir dans la région. L’implantation des compagnies pétrolières est fortement tributaire du prix du baril. Dans les années 1980, alors que le baril tourne autour de 15 dollars, la prise de risque que représente l’exploitation des gisements arctiques n’est guère rentable. Avec un baril à 100 dollars et davantage comme aujourd’hui, elle le devient. Le pétrole n’est d’ailleurs pas la seule ressource naturelle dont les prix ont augmenté au cours de la période récente. C’est le cas de nombre de minerais et de terres rares, ce qui promet d’encourager l’activité minière dans la région.</p>
<p>L’exploitation du pétrole dans la région comporte des risques multiples. Le nettoyage des marées noires est toujours difficile à gérer. L’explosion de la plate-forme pétrolière de la compagnie British Petroleum (BP) « Deepwater Horizon » en avril 2010 dans le golfe du Mexique, la plus grande catastrophe de l’industrie pétrolière, s’est révélée désastreuse à tous points de vue. Pendant trois mois, plus de 800 millions de litres de pétrole se sont déversés dans le golfe. Les opérations de réparation des plates-formes et de sauvetage des espèces paraissent difficilement imaginables en Arctique, compte tenu du caractère inhospitalier de l’environnement.</p>
<p>La fonte des glaces arctiques suscite des problèmes de souveraineté inédits. Les conflits portant sur la délimitation des frontières évoqués ci-dessus en sont un. Un problème d’éconationalisme risque également de se faire jour, comme souvent lorsque des ressources naturelles sont découvertes. Les Inuits des pays alentour, organisés depuis 1977 dans la « Conférence circumpolaire inuit », ont décidé de faire valoir leurs droits sur les ressources naturelles de l’Arctique<a href="javascript:void(0);" class="note" onmouseover="return overlib('Charles K. E&lt;span class=petite_capitale style=font-variant:small-caps;&gt;BINGER &lt;/span&gt;et Evie Z&lt;span class=petite_capitale style=font-variant:small-caps;&gt;AMBETAKIS&lt;/span&gt;, « The geopolitics of Arctic melt », &lt;em&gt;loc. cit.&lt;/em&gt;, p. 1219.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Cette conférence réunit les Inuits du Danemark, du Canada, des États-Unis et de Russie. Dans une déclaration datant de 2009, elle proclame : « C’est notre droit le plus strict de déterminer librement notre statut politique, de poursuivre librement notre développement économique, social, culturel et linguistique, et de disposer librement de nos richesses et ressources naturelles. » Comme on l’a vu, le nationalisme moderne est toujours lié à une certaine représentation de la nature, du patrimoine naturel/national. Le Groenland lui-même songe à demander son indépendance du Danemark. Avec le réchauffement de la planète, cette région pourrait connaître un développement agricole considérable dans les décennies à venir. D’importantes quantités d’énergie hydroélectrique pourraient aussi y être exploitées dans les années à venir<a href="javascript:void(0);" class="note" onmouseover="return overlib('James A&lt;span class=petite_capitale style=font-variant:small-caps;&gt;STILL&lt;/span&gt;, « The melting north », &lt;em&gt;loc. cit.&lt;/em&gt;, p. 11.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>.</p></div><div class="section1" id="niv1-051"><h3>LA VITESSE DE CIRCULATION DU CAPITAL</h3><p>Le capitalisme doit en permanence « détruire l’espace grâce au temps », c’est-à-dire créer les technologies de transport et de communication qui lui permettent de réaliser la plus-value dans des régions du monde toujours nouvelles. Ainsi, Karl Marx dit :</p><div class="citp"><p class="txt_courant_justif last">Le capital doit tendre à abattre toute barrière locale au trafic, c’est-à-dire à l’échange, pour conquérir le monde entier et en faire un marché, il doit tendre, d’autre part, à détruire l’espace grâce au temps, c’est-à-dire réduire au minimum le temps que coûte le mouvement d’un lieu à un autre. Plus le capital est développé, plus vaste est donc le marché où il circule ; or plus est grande la trajectoire spatiale de sa circulation, plus il tendra à une extension spatiale du marché, et donc à une destruction de l’espace grâce au temps<a href="javascript:void(0);" class="note" onmouseover="return overlib('Karl M&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ARX&lt;/span&gt;, &lt;em&gt;Fondements de la critique de l’économie politique&lt;/em&gt;, Anthropos, Paris, 1968, p. 32.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>.</p></div><p>Le capital a une tendance inhérente à conquérir et transformer en marché la planète dans son ensemble. « Le marché mondial est contenu dans la notion même de capital », dit aussi Marx dans un passage du <em>Capital</em>. L’expansion mondiale du capitalisme a toutefois un prix. Plus la distance entre le lieu de production et le lieu de vente (de « réalisation ») de la marchandise est grande, plus son coût augmente, puisque le transport n’est pas gratuit. Cela implique que le capitalisme doit en permanence accélérer la « vitesse de circulation » des marchandises, afin de minimiser le coût de leur acheminement et de maximiser le profit qu’en retirent les capitalistes. Les bénéfices qu’empocheront ces derniers sont tributaires de l’augmentation de cette vitesse. C’est ce phénomène que Marx désigne par l’expression de « destruction de l’espace grâce au temps ». Depuis le <span class="petite_capitale" style="font-variant:small-caps;">XIX</span><span class="exposant" style="vertical-align:super;">e</span> siècle, l’accélération de la vitesse de circulation du capital est rendue possible par les énergies fossiles, charbon puis pétrole, qui permettent de propulser des moyens de transport toujours plus rapides : trains, voitures, bateaux, avions<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Elmar A&lt;span class=petite_capitale style=font-variant:small-caps;&gt;LTVATER&lt;/span&gt;, « The social and natural environment of fossil capitalism », &lt;em&gt;Socialist Register&lt;/em&gt;, vol. 43, 2007.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>…</p>
<p>Dans le sillage de Marx, David Harvey a attiré l’attention sur un mode de résolution des crises du capitalisme, qu’il désigne par le concept de <em>spatial fix</em>. Celui-ci a deux sens, l’un littéral, l’autre métaphorique. Le sens littéral renvoie à l’idée que le capital est une entité spatiale, qui investit – se fixe – et transforme son environnement, en se matérialisant dans des machines, des moyens de transport et des modes de communication. Le sens métaphorique du concept de <em>spatial fix </em>renvoie à l’idée de « solution » – <em>to fix </em>signifie « arranger » ou « résoudre » – au problème de la crise, mais une solution qui, comme les drogues (<em>a fix </em>signifie aussi une « dose »), est temporaire et illusoire. L’une des manières dont le capital résout les crises passe par l’espace, c’est-à-dire plus précisément par l’installation des capitaux dans des espaces jusque-là vierges de rapports capitalistes. Ce concept de <em>spatial fix </em>permet à Harvey de soutenir que ce que Marx appelle « accumulation primitive », n’est justement pas seulement « primitive », c’est-à-dire caractéristique des premiers temps du capitalisme. Elle se répète cycliquement au cours de l’histoire, à chaque fois qu’il faut résoudre une crise de suraccumulation du capital.</p>
<p>Avec la crise climatique, la « destruction de l’espace grâce au temps » aborde une nouvelle étape de son histoire, que Marx lui-même ne pouvait prévoir<a href="javascript:void(0);" class="note" onmouseover="return overlib('Sur le rapport de Marx à l’écologie il existe désormais une littérature importante. Voir parmi d’autres perspectives possibles John B&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ELLAMY &lt;/span&gt;F&lt;span class=petite_capitale style=font-variant:small-caps;&gt;OSTER&lt;/span&gt;, &lt;em&gt;Marx’s Ecology. Materialism and Nature&lt;/em&gt;, Monthly Review Press, New York, 2000 ; Paul B&lt;span class=petite_capitale style=font-variant:small-caps;&gt;URKETT&lt;/span&gt;, &lt;em&gt;Marxism and Ecological Economics&lt;/em&gt;, Brill, Leyde, 2006.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Le capitalisme demeure le capitalisme et, à ce titre, il est irrémédiablement sujet à des crises, provisoirement dépassées par des <em>spatial fix</em>. Mais ce processus est désormais mêlé à des phénomènes environnementaux, dont il va s’agir de tirer profit en repérant les opportunités qu’ils procurent. Ce que l’on observe aujourd’hui en Arctique relève ainsi à la fois de tendances très anciennes et très nouvelles. Anciennes parce que le partage de l’Arctique est sous-tendu par la logique pluriséculaire du profit capitaliste. Nouvelles parce que cette logique s’entremêle désormais avec une autre, celle du changement climatique. Les crises du capitalisme seront à l’avenir inextricablement économiques et écologiques. Elles n’en feront apparaître que plus clairement la nécessité d’établir un lien entre l’écologie et la critique de ce système.</p></div><div class="section1" id="niv1-052"><h3>CONCLUSION</h3><p>Les marxistes classiques – Engels, Lénine, Trotski, Gramsci, Mao… – prenaient les stratèges militaires très au sérieux. C’est particulièrement le cas de Clausewitz, dont l’œuvre a eu un impact considérable sur les stratégies mises en œuvre par le mouvement ouvrier depuis le dernier quart du <span class="petite_capitale" style="font-variant:small-caps;">XIX</span><span class="exposant" style="vertical-align:super;">e</span> siècle, et dont nombre de marxistes ont proposé des exégèses<a href="javascript:void(0);" class="note" onmouseover="return overlib('Sur le rapport des marxistes à Clausewitz, voir Azar G&lt;span class=petite_capitale style=font-variant:small-caps;&gt;AT&lt;/span&gt;, « Clausewitz and the Marxists. Yet another look », &lt;em&gt;Journal of Contemporary History&lt;/em&gt;, nº 27, 1992 ; Jacob K&lt;span class=petite_capitale style=font-variant:small-caps;&gt;IPP&lt;/span&gt;, « Lenin and Clausewitz. The militarization of Marxism, 1914-1921 », &lt;em&gt;Military Affairs&lt;/em&gt;, vol. 49, nº 4, 1985 ; Bernard S&lt;span class=petite_capitale style=font-variant:small-caps;&gt;EMMEL &lt;/span&gt;(dir.), &lt;em&gt;Marxism and the Science of War&lt;/em&gt;, Oxford University Press, Oxford, 1981.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Comme le dit Carl Schmitt dans sa <em>Théorie du partisan</em>, la lecture de Clausewitz par Lénine est l’un des événements politiques les plus importants de l’époque moderne.</p>
<p>Depuis les années 1920, l’attention accordée par les théoriciens critiques à la stratégie militaire est moins prononcée. L’une des caractéristiques du marxisme « occidental » – de la période 1924-1968<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir à ce propos Perry A&lt;span class=petite_capitale style=font-variant:small-caps;&gt;NDERSON&lt;/span&gt;, &lt;em&gt;Sur le marxisme occidental&lt;/em&gt;, Maspero, Paris, 1977.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a> – est son peu d’intérêt pour les questions stratégiques et sa faible fréquentation de la doctrine militaire. Aujourd’hui, des principales figures de proue des pensées critiques – Badiou, Žižek, Jameson, Butler, Fraser… –, aucune ne lit les stratèges passés ou présents. Michael Hardt et Toni Negri font figure de relative exception, puisqu’ils évoquent brièvement la « Révolution dans les affaires militaires » (RMA) dans leur ouvrage <em>Multitude</em>. Ce constat est à mettre en rapport avec la pauvreté de la réflexion stratégique en général dans les théories critiques actuelles. Pour intéressantes qu’elles soient, celles-ci se complaisent souvent dans des abstractions fort peu politiques.</p>
<p>Quels enseignements les théories critiques peuvent-elles tirer des stratèges militaires actuels, et particulièrement des analyses portant sur les implications militaires de la crise écologique ? Il est sans doute trop tôt pour le dire. Cependant, si, comme le pensait Clausewitz, toute société a une façon de faire la guerre qui lui est propre, l’étude de la stratégie militaire est un passage obligé pour la compréhension et la transformation de celle dans laquelle nous vivons.</p></div></div></div>

<div class="chapitre" id="appen-001"><h3><span><b>CONCLUSION : FIN DE PARTIE ?</b></span></h3><div class="dev"><p>« L’expérience de notre génération : le capitalisme ne mourra pas de mort naturelle<a href="javascript:void(0);" class="note" onmouseover="return overlib('Walter B&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ENJAMIN&lt;/span&gt;, &lt;em&gt;Paris, capitale du &lt;span class=petite_capitale style=font-variant:small-caps;&gt;XIX&lt;/span&gt;&lt;span class=exposant style=vertical-align:super;&gt;e&lt;/span&gt; siècle. Le livre des passages&lt;/em&gt;, Cerf, Paris, 1997, p. 681.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. » Dans cette phrase de son <em>Livre des passages </em>placée en exergue de notre ouvrage, Walter Benjamin prend pour cible l’« historicisme » dominant dans le marxisme de son temps. Par-delà leurs différences, les marxismes de la II<span class="exposant" style="vertical-align:super;">e </span>et de la III<span class="exposant" style="vertical-align:super;">e </span>Internationale se vivent comme étant du « bon » côté de l’histoire, comme nageant dans le sens du courant historique. La socialisation des forces productives et le développement des techniques entraînent inexorablement l’humanité vers le socialisme, quelles que soient les péripéties rencontrées en chemin. Le capitalisme, en ce sens, est voué à mourir de « mort naturelle », sous le poids de ses propres contradictions. L’atonie des organisations révolutionnaires face au fascisme trouve paradoxalement son origine dans cet « optimisme ». Le fascisme est une barbarie venue du passé, il disparaîtra rapidement, et ne saurait en tout cas changer la donne stratégique en profondeur.</p>
<p>À cet historicisme, Walter Benjamin oppose l’« expérience » de sa génération, celle qui fut victime du fascisme. Le capitalisme ne périra pas de lui-même : il doit être mis à mort par l’action des révolutionnaires. S’il est une caractéristique dont ce système a fait la démonstration, c’est sa stupéfiante résilience, sa capacité à se réinventer sans cesse pour surmonter ses crises.</p>
<p><em>Le livre des passages </em>est écrit au cours des années 1930, entre 1927 et 1940. Trois quarts de siècle plus tard, cette phrase de Benjamin revêt un autre sens. D’abord, les pensées critiques contemporaines ont renoncé à tout optimisme. Après les tragédies du <span class="petite_capitale" style="font-variant:small-caps;">XX</span><span class="exposant" style="vertical-align:super;">e</span> siècle, le pessimisme est de rigueur. À l’heure actuelle, la question serait bien plutôt de savoir si l’on trouve encore des forces révolutionnaires à même de porter un projet de changement social radical, ou si un tel projet appartient à une époque révolue.</p>
<p>Ensuite, la « mort naturelle » évoquée par Walter Benjamin dans cette phrase prend une signification nouvelle en ces temps de crise environnementale. L’exploitation capitaliste de la nature a atteint un tel degré, depuis deux siècles, qu’on pourrait s’imaginer qu’elle conduira à son autodestruction. L’épuisement des ressources, les coûts croissants liés à la gestion des conséquences négatives du développement exercent une pression de plus en plus forte sur la formation de la valeur capitaliste. Et mettent en danger les conditions de vie sur terre.</p>
<p>Un tel constat a donné lieu à l’émergence, au cours des dernières décennies, d’un nouvel « historicisme ». Un historicisme confiant non dans le sens de l’histoire, comme celui des deux Internationales, mais dans le fait que la crise environnementale est sur le point de régler son compte une fois pour toutes au monde moderne, qu’on l’appelle « capitalisme » ou non. Dans les mouvements et la pensée écologistes contemporains, cette croyance « catastrophiste » connaît de nombreuses manifestations<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Sasha L&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ILLEY &lt;/span&gt;&lt;em&gt;et al.&lt;/em&gt;, &lt;em&gt;Catastrophism. The Apocalyptic Politics of Collapse and Rebirth&lt;/em&gt;, Merlin Press, Londres, 2012.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Certains courants « décroissants », par exemple, y souscrivent plus ou moins explicitement, de même, sous une forme différente, que Jared Diamond dans ses best-sellers néomalthusiens<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Serge L&lt;span class=petite_capitale style=font-variant:small-caps;&gt;ATOUCHE&lt;/span&gt;, « La décroissance est-elle la solution de la crise ? » &lt;em&gt;Écologie &amp; politique&lt;/em&gt;, vol. 40, nº 2, 2010 ; Jared D&lt;span class=petite_capitale style=font-variant:small-caps;&gt;IAMOND&lt;/span&gt;, &lt;em&gt;Effondrement. Comment les sociétés décident de leur disparition ou de leur survie&lt;/em&gt;, Gallimard, Paris, 2009.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>. Sa connotation a changé, mais l’idée reste la même : quelque chose dans la logique même du système le conduit à sa perte. En l’occurrence, il ne s’agit pas de la socialisation des forces productives ou du développement des techniques, mais de la surexploitation de la nature, qui voue le capitalisme à une mort certaine.</p>
<p>L’ouvrage qu’on vient de lire montre à quel point ce catastrophisme est erroné. Le capitalisme ne mourra pas de mort naturelle, pour une raison simple : il a les moyens de s’adapter à la crise environnementale. Il est en passe de faire, une fois de plus, la démonstration de sa stupéfiante résilience. La financiarisation et la militarisation de cette crise ne sont rien d’autre, en dernière instance, que des illustrations de ce constat. Le capitalisme est à vrai dire non seulement capable de s’adapter à la crise environnementale, mais de surcroît d’en tirer profit. Il n’est pas dit en effet que la crise écologique aggrave la crise économique. Au contraire, elle permet peut-être au capitalisme de trouver des solutions durables au déclin du taux de profit, en marchandisant des secteurs de la vie sociale et naturelle jusque-là à l’abri de la logique du capital. Une crise sert donc à résoudre l’autre.</p>
<p>Dans ses <em>Cahiers de prison</em>, Antonio Gramsci – une autre victime de l’« expérience » tragique dont parle Walter Benjamin – se demande pourquoi tous les processus révolutionnaires survenus en Europe de l’Ouest dans le sillage de la Révolution russe, pendant les années 1920, ont échoué. En Allemagne, en Hongrie, en Italie, de puissants mouvements se sont levés en réponse à l’espoir né à l’Est, mais tous ont été rapidement défaits. La réponse tient, aux yeux de Gramsci, dans la structure différente des sociétés « orientales » – la Russie tsariste par exemple – et « occidentales » :</p><div class="citp"><p class="txt_courant_justif last">En Orient, dit-il, l’État était tout, la société civile était primitive et sans forme ; en Occident entre l’État et la société civile il existait un juste rapport et derrière la faiblesse de l’État on pouvait voir immédiatement la solide structure de la société civile. L’État était seulement une tranchée avancée derrière laquelle se trouvait une chaîne solide de fortifications et de casemates […]<a href="javascript:void(0);" class="note" onmouseover="return overlib('Voir Antonio G&lt;span class=petite_capitale style=font-variant:small-caps;&gt;RAMSCI&lt;/span&gt;, &lt;em&gt;Guerre de mouvement et guerre de position&lt;/em&gt;, &lt;em&gt;op. cit.&lt;/em&gt;, p. 43.', FGCOLOR, '#ffffff', BGCOLOR, '#000000', BORDER, 1);" onmouseout="return nd();">note</a>.</p></div><p>De la relation entre le capitalisme et la nature, on peut dire ce que Gramsci dit du lien entre la société civile et l’État en Occident : qu’elle est séparée par des « tranchées » et des « fortifications ». À l’époque moderne, le rapport entre le capitalisme et la nature n’est jamais immédiat. L’État exerce une fonction d’intermédiaire ou d’interface entre les deux. Toute l’histoire de l’État moderne peut être relue à la lumière de cette idée. En régime capitaliste, le rapport entre l’accumulation du capital et la nature est toujours amorti ou articulé par l’État. Pourquoi ? La logique du capital est aveugle et sans limite. Livrée à elle-même, elle tire profit des ressources – naturelles ou autres – à sa disposition jusqu’à les épuiser. Elle est de surcroît incapable de gérer les effets néfastes du processus productif : pollutions, épuisement des stocks, atteintes à la santé, crises économiques, conflits… Pour tout cela, il y a l’État. En régulant l’accès aux ressources et en prenant en charge les conséquences négatives du développement, celui-ci œuvre en faveur des intérêts de long terme des classes dominantes et permet que la nature puisse être exploitée durablement.</p>
<p>L’État capitaliste a toutefois également pour fonction, on l’a vu au chapitre II, de construire la nature. Afin d’être exploitée durablement, celle-ci doit d’abord être organisée ou « configurée ». Par exemple, au plan légal, l’État émet des droits de propriété sur les espèces naturelles ou sur les particules de CO<span class="petite_capitale" style="font-variant:small-caps;">2</span>, et autorise ainsi les opérateurs privés à tirer profit de leur commerce. Ou au plan statistique : compter et administrer les ressources naturelles est une obsession de l’État depuis au moins les physiocrates au <span class="petite_capitale" style="font-variant:small-caps;">XVIII</span><span class="exposant" style="vertical-align:super;">e</span> siècle (physiocratie signifie « gouvernement par la nature »). L’État organise donc la nature et la met à disposition du capital. Générer de la valeur capitaliste suppose de produire et détruire sans cesse de la nature. Le capital n’y parvient cependant pas seul, il a besoin pour cela du concours d’une entité à laquelle il puisse confier les tâches qu’il ne peut accomplir : l’État. Le capitalisme, la nature et l’État constituent par conséquent, à l’époque moderne, un indissociable triptyque.</p>
<p>Alors quelle alternative au « catastrophisme » ? La réponse aujourd’hui est la même qu’à l’époque de Walter Benjamin : politiser la crise. Autrement dit, défaire le triptyque que forment le capitalisme, la nature et l’État, et empêcher que ce dernier œuvre en faveur des intérêts du capital. C’est exactement ce que le mouvement pour la justice environnementale est parvenu à accomplir lorsque, constatant que l’État favorise systématiquement les populations blanches et aisées dans ses politiques de gestion des déchets toxiques, il a forgé le concept de « racisme environnemental » et déclenché un puissant mouvement social.</p></div></div>
