title: Liberté, mode d’emploi
url: https://le1hebdo.fr/journal/libert/305/article/libert-mode-d-emploi-3959.html
hash_url: f57f8dd77b7db122d0a911e9a22d116e

<p dir="LTR" align="LEFT">« Que va-t-il se passer dans ta vie, ces dix prochaines années, qui t’apportera pleine satisfaction ? » La question a fait l’effet d’une paire de claques. C’était en 2013. Vincent Agnano participait à une formation de coaching centré sur le bien-être. Le trentenaire imagina un instant son futur : l’horizon n’avait rien d’excitant. Au mieux, il avait l’air un peu barbant. Sa vie était confortable, il vivait à Montpellier dans un appartement au loyer avantageux, « avec terrasse, petit jardin, voiture, un travail à douze minutes de trajet et une activité sportive régulière ». Une autoroute toute tracée, sans chemins de traverse ni quelconque escale. « J’étais enchaîné, » résume-t-il, des années après, toujours un peu frustré de s’être réveillé « si tard ».</p>
<p dir="LTR" align="LEFT">Vincent Agnano raconte son histoire d’une voix posée. Il sait prendre le temps, sans craindre de laisser les anges passer. Il y a six ans, il a abandonné la vie qu’il avait construite machinalement, sans trop se poser de questions. Développeur de projets numériques, il a cofondé une coopérative dont il est salarié, comme le reste de ses membres. Il n’a plus ni patron ni clients. Il préfère parler de « partenaires » qui s’impliquent avec lui sur des projets. « Je ne travaille pas pour eux, on avance ensemble, dit-il. C’est un autre paradigme. » Fini, aussi, le bureau type décoré de l’éternelle plante verte. Il est <em>digital nomad</em>, il change de lieu de vie au gré de ses envies, recréant inlassablement son espace de travail.</p>
<p dir="LTR" align="LEFT">Comme les autres membres de la coopérative, il définit lui-même son salaire, toujours modeste, et l’augmente en fonction des besoins fluctuants. L’argent doit servir à répondre à ces derniers, sans devenir un but en soi. L’objectif de la coopérative elle-même « n’est pas de faire de l’argent, mais de pérenniser la structure et le travail » de ses membres. Inspiré par le concept du revenu universel, Vincent Agnano facture entre zéro et seize jours de travail par mois pour se laisser l’opportunité de s’impliquer bénévolement sur des projets qui lui tiennent à cœur le reste du temps. Pour lui, la liberté « c’est faire ce qui nous semble profondément juste. Ce n’est pas faire ce que l’on veut. Ça, au contraire, c’est être prisonnier de ses désirs ». Il a longtemps vécu avec un simple smic, suffisant pour se nourrir, acheter des billets d’avion « aller simple » et se loger chez l’habitant. Une chambre lui coûte généralement entre 15 et 25 euros la nuit.</p>
<p dir="LTR" align="LEFT">Il n’a plus de chez-soi. Il préfère vivre chez les autres, se fondre dans leur mobilier un moment, et repartir quand il sent qu’il est temps. Il ne s’attarde jamais trop en France, change de fuseau horaire au rythme des projets professionnels, des conférences et des nouvelles rencontres qui le mènent au Canada, aux États-Unis, en Colombie et au Moyen-Orient. « En quittant son logement, on se déleste de toutes les excuses que l’on peut se donner pour éviter de bouger », souligne Vincent Agnano, pour qui <em>Yes Man</em>, de Peyton Reed, fut une grande source d’inspiration. Et comme le protagoniste du film, il dit désormais « oui » à tout, accepte systématiquement l’aventure, l’inconnu. « On a toujours une bonne raison de penser que ce n’est pas possible, que l’on peut se contenter de ce que l’on a, que c’est pire ailleurs. Que ce n’est pas le bon moment, qu’on n’en est pas capable. Au fond, on a surtout peur du changement. »</p>
<p dir="LTR" align="LEFT">Le baroudeur ne se sent pas marginal pour autant. Pour lui, se marginaliser est synonyme de « lutter contre ». Or, il a plutôt de sentiment contraire : celui d’encourager autre chose. « Comme si un mur avançait vers vous, explique-t-il. Plutôt que de tenter de le repousser, vous vous placez simplement sur le côté et vous investissez votre énergie ailleurs. La liberté n’est pas toujours un combat à mener. » Vincent Agnano a beau se sentir libre, il sait aussi qu’il ne le sera en réalité jamais pleinement. Comme tout Occidental, il a hérité de « modes de pensée » dont il peine à s’extraire entièrement. « Je suis toujours dans la caverne de Platon, lié à une chaîne, dit-il. J’ai conscience qu’on me projette un scénario. J’aimerais commencer à me lever, à me retourner et à sortir, mais je doute qu’une vie suffise pour y parvenir. » La liberté est à ses yeux plus un cap à tenir qu’un objectif atteignable.</p>
<p dir="LTR" align="LEFT">Lorsqu’il a pris son envol, en 2014, il pensait goûter au nomadisme pendant quatre, cinq mois. Il a finalement pérégriné pendant cinq ans. Peu avant la crise sanitaire, il a posé son sac à Marseille, dans un appartement du centre-ville, où il a fini par vivre son confinement. Il se demande si 2020 marquera la fin de son périple. Quoi qu’il advienne, il a conscience que, pour un certain nombre de raisons écologiques, économiques et sanitaires, la sédentarisation s’imposera davantage à l’avenir. Il saura s’adapter.</p>
<p dir="LTR" align="LEFT">Sa grande balade l’avait mené un jour à Bar-sur-Loup, une commune de 3 000 habitants située à la lisière d’un immense parc naturel, à quelques kilomètres de Grasse. Il y avait trouvé un lieu ouvert à l’expérimentation, enclin à tester des modes de vie différents : monnaie locale, jardins partagés, maraîchage collectif... Un rendez-vous avec le maire du bourg leur a suffi à conclure un pacte : Vincent Agnano met sur pied bénévolement un espace de coworking, en échange de quoi, il obtient une certaine latitude pour développer d’autres projets collaboratifs, pour créer un espace autosuffisant auquel « chacun participerait à la hauteur de ses besoins et de ceux des autres ». Une sorte de coopérative, à l’échelle sociale. Un lieu qui incarnerait la liberté et où chacun pourrait « prendre sa place, toute sa place et rien que sa place ». </p>
<p dir="LTR" align="RIGHT"><em>Portrait par MANON PAULIC</em></p>
