title: What would have happened if we never fixed the ozone hole?
url: https://www.sciof.fi/what-would-have-happened-if-we-never-fixed-the-ozone-hole/
hash_url: 4012886f0e58f02527e8a0da6f644857

<p>In the year 2084, the world is a bleak place. Smog hangs thick over desolate urban skylines, blotting out the Sun and preventing plant life from flourishing. There’s no wildlife to be found, either, only humans, most of whom succumb to an aggressive skin disease shortly after reaching adulthood. The average life expectancy is 25.</p><p>This is more than your typical dystopian science fiction scenario. It is one possible version of what scientists call the “<a href="https://www.earthobservatory.nasa.gov/features/WorldWithoutOzone">world avoided</a>,” that is, the world that might have been had humanity failed to fix the ozone hole. While this shadow future is rarely discussed outside of academic circles, recently, the United Nations Ozone Secretariat partnered with South African production company Rooftop to bring it to life for young people who can’t remember a time when the ozone crisis dominated the news.</p><figure class="kg-card kg-embed-card"><iframe src="https://www.youtube.com/embed/WP8h3IahGCE?start=1&amp;feature=oembed" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen>VIDEO</iframe></figure><p>The result: <em>Reset Earth</em>, an <a href="https://www.youtube.com/watch?v=WP8h3IahGCE&amp;feature=emb_logo">animated short film</a> and free-to-play <a href="https://play.google.com/store/apps/details?id=com.UNEP.ResetEarth">mobile game</a> about a about a group of teens who have to travel back in time to save Earth’s ozone layer. It’s an innovative blend of science and storytelling that, despite the bleak backdrop, offers a hopeful message to the youth of today: it really is possible to solve global environmental challenges. It’s a message worth taking to heart as we move deeper into the most critical decade for tackling climate change.</p><p>In the annals of environmental history, humanity’s response to the ozone crisis stands out as a rare success story. During the 1970s and ‘80s, evidence started to mount that certain household chemicals used in refrigerators, air conditioners, and aerosol cans like hairspray were eating a giant hole in Earth’s ozone layer, which prevents harmful ultraviolet radiation from reaching the surface. Facing the terrifying prospect of a future without any atmospheric sunscreen at all, in the late 1980s nations came together to sign the Montreal Protocol, a global treaty to phase out so-called ozone-depleting substances like chlorofluorocarbons.</p><p>Since then, the ozone hole has been <a href="https://gizmodo.com/the-ozone-hole-is-finally-healing-1782885459">slowly healing</a>. <a href="https://ozone.unep.org/ozone-and-you">According to the U.N.</a>, it’s now on track to recover fully by mid-century.</p><p>But if things hadn’t turned out that way—if the scientific evidence linking man-made chemicals to ozone depletion wasn’t strong enough, or if ozone deniers (yes, there were ozone deniers) successfully stymied the Montreal Protocol—the world might look very different. By the middle of the 21st century, <a href="https://www.earthobservatory.nasa.gov/features/WorldWithoutOzone">computer models suggest</a> that in the world we avoided, global ozone levels would decline nearly 70 percent, doubling the intensity of UV radiation at Earth’s surface. Rates of skin cancer and cataracts—responsible for about half of all blindness worldwide—would soar. The extra dose of UV would damage crops, potentially leading to global food shortages. And it would have a cascade of devastating effects on wild plants and animals which, like us, have evolved to survive in the low-UV conditions created by the ozone layer.</p><figure class="kg-card kg-image-card kg-card-hascaption"><img src="https://cdn.substack.com/image/fetch/w_1456,c_limit,f_auto,q_auto:good,fl_progressive:steep/https%3A%2F%2Fbucketeer-e05bbc84-baa3-437e-9518-adb32be77984.s3.amazonaws.com%2Fpublic%2Fimages%2Fb8d32ab4-7252-4850-bb0e-09bc33e9f133_720x167.png" class="kg-image" alt loading="lazy"><figcaption>Modeled dissipation of the ozone layer if humans never phased out ozone-destroying substances. Credit: NASA</figcaption></figure><p>Widespread vegetation die-backs could ensue, triggering huge releases of carbon into the atmosphere and worsening global warming. (To add insult to injury, all the extra UV radiation would probably <a href="https://www.pnas.org/content/113/16/4392">speed up organic matter decay</a>.) Not even synthetic building materials would be safe from rapid deterioration under the harsh new Sun.</p><p>Eventually, humans would become so desperate for a fix that we might turn to risky geo-engineering solutions. In the <em>Reset Earth</em> future, one such Hail Mary-plan—spraying the skies with a smog-forming chemical that dissipates UV light—backfires horribly, causing a skin disease even deadlier than cancer, known as the GROW, to flourish. Young people start showing signs of GROW infection in their late teens or early 20s, and most die several years later.</p><p>Stephanie Egger Haysmith, a communications officer for the U.N. Ozone Secretariat, told The Science of Fiction that this scenario was based on “numerous conversations with scientists of the Environmental Effects Assessment Panel,” one of the advisory panels for the Montreal Protocol, “exploring the different effects of increased UV radiation on people and the environment.” While the idea of a future ozone crisis intersecting with a public health crisis was under development before the covid-19 pandemic hit, she says that as time went on and the coronavirus’s impacts became more apparent, that “fed into further ideas around the script.”</p><p>“The essential idea was that our earth, with all of its complex global environmental issues and their interlinkages, hangs in a balance that can be upset if we don’t protect it using knowledge, science and collaboration,” Haysmith went on.</p><p><em>Reset Earth</em> isn’t a flawless production. The writing can be clunky at times, and early reviews on the mobile game, a single-player platformer based on the animated film’s storyline, are decidedly mixed. I’m about halfway through the second stage and so far, collecting all of the clues about where environmental history went wrong has been fun enough to keep me interested, even if the gameplay is a bit basic.</p><p>But the ideas behind the project are fascinating, and as a way of reminding kids there are environmental nightmare scenarios we’ve dodged, you can’t do much better than the ozone apocalypse. Personally, I’m hopeful this project can be put to good use in the classroom. If solving puzzles in a retro graphics-version of an atmospheric horror story is how we teach kids there’s still time to save the future, I’m here for it.</p>
