title: Spotify Has Changed Music Libraries Forever
url: https://www.theatlantic.com/culture/archive/2021/07/spotify-streaming-music-library/619453/
hash_url: d7c68808a59ee3965fa03168af5d764e

<p class="ArticleParagraph_root__2QM08">The first time I remember shopping for music was at a Best Buy one day in 2001. I came home with two CDs: the Baha Men’s <i>Who Let the Dogs Out</i> and the pop compilation <i>Now That’s What I Call Music! 5.</i></p><p class="ArticleParagraph_root__2QM08">Each of those albums cost more than a month of streaming does today, which reflects all that happened to music listening in the intervening 20 years—Napster and LimeWire, iPods and iPhones, Spotify and TikTok. Every decade I’ve been alive, a new format <a href="https://www.riaa.com/u-s-sales-database/">has ascended</a>. Tapes were displaced in the 1990s by CDs, which were displaced in the 2000s by mp3s, which were displaced in the 2010s by streaming. Now, instead of buying music, people rent it.</p><p class="ArticleParagraph_root__2QM08">Just as remarkable as this rate of change is how useless previous iterations of my music library are today—my first iPod is unresponsive, and I have no idea where my poor Baha Men CD is. Losing some of that music has felt like severing lines of communication with versions of my former self, in the sense that hearing even a snippet of an old song can conjure up a first kiss, a first drive, or less articulable memories of inner life.</p><p id="injected-recirculation-link-0" class="ArticleRelatedContentLink_root__1Ukm-" data-view-action="view link - injected link - item 1"><a href="https://www.theatlantic.com/culture/archive/2021/05/hyperpop-y2k-2000s-slayyyter-that-kid-rina-sawayama/618983/">Read: The aughts seem both cooler and sadder in retrospect</a></p><p class="ArticleParagraph_root__2QM08">The music I’ve salvaged from earlier times is now part of my collection on Spotify, which I’ve been using since it launched in the United States, 10 years ago this month. But as I look back on the churn of the past couple of decades, I feel uneasy about the hundreds of playlists I’ve taken the time to compile on the company’s platform: 10 or 20 years from now, will I be able to access the music I care about today, and all the places, people, and times it evokes?</p><p class="ArticleParagraph_root__2QM08">Unfortunately, the experts on media preservation and the music industry whom I consulted told me that I have good reason to fear ongoing instability. “You’re screwed,” said Brewster Kahle, the founder of the Internet Archive, after I asked him if I could count on having my music library decades from now.</p><p class="ArticleParagraph_root__2QM08">The reason I’m screwed is that Spotify listeners’ ability to access their collection in the far-out future will be contingent on the company maintaining its software, renewing its agreements with rights holders, and, well, not going out of business when something else inevitably supplants the current paradigm of music listening. (Kahle sees parallel preservation problems with other forms of digital media that exist on corporate platforms, such as ebooks and streaming-only movies.)</p><p id="injected-recirculation-link-1" class="ArticleRelatedContentLink_root__1Ukm-" data-view-action="view link - injected link - item 2"><a href="https://www.theatlantic.com/magazine/archive/2020/03/high-fidelity-hulu/605539/">Read: The new rules of music snobbery</a></p><p class="ArticleParagraph_root__2QM08">I might be particularly neurotic about the future of my music library because I already lost it once before. About 10 years ago, some 5,000 audio files I had amassed in iTunes disappeared after a hard-drive backup gone wrong—my own personal version of when MySpace <a href="https://www.bbc.com/news/technology-47610936">acknowledged</a> in 2019 that millions of tracks uploaded during the site’s prime years had been lost after a “server migration project.”</p><p class="ArticleParagraph_root__2QM08">Even aside from data mishaps like these, Dave Holmes, an editor at large at <i>Esquire</i>, has called the period from the early 2000s to the early 2010s the “<a href="https://www.esquire.com/entertainment/music/a28904211/2003-to-2012-forgotten-music-era/">Deleted Years</a>,” because of how many mp3s from that era didn’t survive the shift to streaming. He mourned oft-forgotten artists who peaked in the aughts such as Chingy, Corinne Bailey Rae, Kaiser Chiefs, and the Click Five.</p><p class="ArticleParagraph_root__2QM08">But music libraries have been characterized by impermanence since the rise of on-demand listening some 120 years ago, when people were using phonographs. “If you look at the history of recorded music, the format switches every 25 to 50 years,” says Jonathan Sterne, a communication-studies professor at Montreal’s McGill University, and “the time horizon has gotten shorter” in the digital age.</p><p id="injected-recirculation-link-2" class="ArticleRelatedContentLink_root__1Ukm-" data-view-action="view link - injected link - item 3"><a href="https://www.theatlantic.com/magazine/archive/2016/04/how-to-listen-to-music/471471/">Read: How to listen to music</a></p><p class="ArticleParagraph_root__2QM08">Sterne, the author of <a href="https://www.dukeupress.edu/the-audible-past"><i>The Audible Past</i></a>, notes that in the early 20th century, most listeners treated a record the way they might have treated a print magazine. “You just listened to it for a while” and then threw it out, he told me. Even when people hold on to vinyl (or a tape, or a CD), it can get lost or physically degrade. It can also get destroyed in a fire, which is what happened <a href="https://www.nytimes.com/2019/06/11/us/master-recordings-universal-fire.html">at a Universal Music Group archive in 2008</a> to thousands of original master recordings, most likely including some from musical titans such as Louis Armstrong, Ella Fitzgerald, and Bing Crosby.</p><p class="ArticleParagraph_root__2QM08">That said, something seems especially ephemeral about the personal music libraries housed on today’s streaming services. On Spotify, songs in my listening rotation seem to come and go more quickly than they did when my collection was in iTunes—a new release or curated playlist is constantly being recommended to me. My experience on the app feels tilted toward newness, popularity, and recent listens, rather than browsing beloved tracks buried in my older playlists. Sometimes, songs even vanish from Spotify’s catalog unannounced.</p><p class="ArticleParagraph_root__2QM08">In previous eras of listening, choosing what to spend money on made each musical acquisition feel weightier than it does now, when you can costlessly drag and drop a song into a playlist. “If somebody buys an album, they’re going to invest the time to listen to it [in order to] try to get their money’s worth,” says Mark Mulligan, a music-industry analyst at the consultancy MIDiA Research. “Sometimes that results in albums that might be a difficult listen the first couple of times turning out to be all-time great albums.”</p><p class="ArticleParagraph_root__2QM08">Of course, what listeners get in return for today’s comparatively more fleeting experience is access to enormous catalogs. One 2017 study found that after listeners switched to streaming for six months, the number of artists they played <a href="https://www.deseret.com/entertainment/2019/12/26/21028798/how-the-2010s-changed-our-music-listening-habits-and-music-itself">increased by 32 percent</a>.</p><p class="ArticleParagraph_root__2QM08">Some of this variety is likely driven by Spotify’s curation, which makes encountering new music easier. Its recommendations can be valuable, though I often find the app to be a bit overeager in making suggestions, like when it automatically selects a song to play after the album I’m listening to ends. On some level, Spotify seems indifferent to what kind of audio I fill my ears with—lately, the company has promoted to me countless podcasts and its new Clubhouse-like conversation app, Greenroom. The goal, it seems, is just for me to keep listening to anything, music or otherwise.</p><p id="injected-recirculation-link-3" class="ArticleRelatedContentLink_root__1Ukm-" data-view-action="view link - injected link - item 4"><a href="https://www.theatlantic.com/technology/archive/2021/06/your-tiktok-feed-embarrassing/619257/">Read: I am scared of the person TikTok thinks I am</a></p><p class="ArticleParagraph_root__2QM08">This represents a break from the past—my <a href="https://www.theatlantic.com/technology/archive/2014/05/the-library-of-congress-wants-to-destroy-your-old-cds-for-science/370804/">old CD tower</a> never nudged or suggested in the way Spotify does—and so does the fluidity of hearing music online today. Mulligan observed that the first mainstream model of digital listening, the personal mp3 library, carried over the notion of a stable collection from the physical-music era, when people bought albums and stored them together in the same place.</p><p class="ArticleParagraph_root__2QM08">By contrast, he told me, many of today’s younger listeners are accustomed to hearing brief excerpts of songs on social media, and to collaborative playlists that shapeshift as they and their friends add to and subtract from the track list. They may not expect, or even desire, the permanence that I grew up with. Still, Mulligan said, they have just as much of an urge as previous generations did to express their identity through music—but in our era of easy accessibility, just saying you’ve heard an album doesn’t mean much. As a result, he sees many young listeners turning to comparatively costlier merchandise as a means of indicating the depth of their fandom.</p><p class="ArticleParagraph_root__2QM08">I suspect that someday they will, like me, want to revisit the music of their formative years, and doing so will be more difficult than they might imagine. The possible solutions that experts suggested to me were laughably cumbersome: Find and download every mp3 I want and back them up on a hard drive; buy physical copies of every album I want as well as a playback device for them; use special software to record every song as I play them on my computer; take screenshots of every playlist in my library; write down the name of every song. (Spotify does allow users to export their playlist data, though this doesn’t include actual audio files.)</p><p class="ArticleParagraph_root__2QM08">These methods of archiving are either imperfect, impractical, or both—and besides, even if I went through with them, chances are that decades from now, I’d just end up with a monster text file or a long-obsolete hard drive that would be a pain to sync up with some future listening platform.</p><p class="ArticleParagraph_root__2QM08">Regardless, maybe my anxieties will compel me to do something. More likely, I’m just going to resign myself to weathering technical difficulties and industry flux indefinitely, and to doing what every musical format in my lifetime has asked listeners to do: keep adding music to my collection while pretending that it will last forever.</p>
