title: WDRL 270
url: https://wdrl.info/archive/270
hash_url: 203650d02bde8c120ff702cf04ebd853

<p>Hey,</p>

<p>Today take some time to have a deep breath and remember what happened this week. Go through it day by day and apprecuate the actions, the negative ones as well as the positive ones. Accept that negative things happen in our lives as well, otherwise we would also not be able to feel good. It’s a helpful excercise to balance your life, to have a way of invalidating the feeling  of “I did nothing this week” or “I was quite unproductive”. It makes you understand why you might not have worked as much as you’re used to — but it feels fine, because there’s a reason for it.</p>
<p>All the climate change news is overwhelming, politicians not acting in the interest of our planet can create anger. But remember that everything starts with yourself. If you start a business, <em>you</em> need to do it. If you are sick, you need to take action to get well again — even if the best action is to do nothing but relax and sleep. How do you build a successful business, how do you get well again? You give it time, you care about it and yourself and you tell people about it with passion. If you do the same about climate change — instead of moaning that no one does anything — but talk to people and tell them why buying less, driving less with the car, flying less (especially for bussiness) are chances to improve the own life, that’s how people change their minds. We’re living in a luxury society where we buy so many things that don’t make us really happy, e.g. TVs, computers, smartphones, smart home devices, cars. Of course they have some benefits but we usually forget about the benefits of a simple, natural life. Sitting under a tree in a park or in the forest can be way more relaxing than watching another action TV series. It’s unconvenient the first time you do it but after experiencing the difference, we might think differently about it. We will value nature much more, and therefore need to care more to preserve our environment. No matter what action you do, if it’s talking to others, retweeting something, building a environmental project, ditching the car to walk or bike next time you go shopping or for dinner, it has a positive impact on yourself — and the environment.</p>
<p>We should direct our attention to find ways to solve problems affecting our own health, our environment, the world we live in. A good example of action for developers is <a href="https://fixathon.io/?ref=WDRL.info">the world's first online hackathon to help fix the climate</a>, running between today and end of August. In order to attract people you can win quite some nice prices as well. What to do?  Use your tech skills to build and launch projects intended to help fix the climate and submit them.</p>
<h3>News</h3>
<ul id="news">
	<li has-linktools="" id="earth-overshoot-day-2019-signals-strain-on-planet-s-resources">Last week <a href="https://www.fastcompany.com/90381219/weve-officially-exhausted-the-earths-natural-resources-for-the-year">we officially exhausted the earth’s natural resources for the year</a> — with four months left in 2019. <a href="https://www.overshootday.org/">Earth Overshoot Day</a> is a good indicator of where we’re currently at to fight climate change and it’s a great initiative by people who try to give helpful advice on how we can move that date so one day in (hopefully) near future we reach overshoot day again at the end of the year or even in a new year.<a class="save-service-link" target="_blank" href="https://getpocket.com/save?url=https%3A%2F%2Fwdrl.info%2Farchive%2F270%2Fearth-overshoot-day-2019-signals-strain-on-planet-s-resources&amp;title=Earth+Overshoot+Day+2019+signals+strain+on+planet%27s+resources"><svg viewbox="0 0 48 48" class="save-service-link-icon pocket"><use xlink:href="/assets/icons/getpocket.svg#getpocket"/></svg></a></li>
	<li has-linktools="" id="new-in-chrome-76-web-google-developers"><a href="https://developers.google.com/web/updates/2019/07/nic76">Chrome 76</a> brings <code>prefers-color-scheme</code> Media Query for e.g. dark mode support, and multiple simplifications for PWA installation.<a class="save-service-link" target="_blank" href="https://getpocket.com/save?url=https%3A%2F%2Fwdrl.info%2Farchive%2F270%2Fnew-in-chrome-76-web-google-developers&amp;title=New+in+Chrome+76+%C2%A0%7C%C2%A0+Web+%C2%A0%7C%C2%A0+Google+Developers"><svg viewbox="0 0 48 48" class="save-service-link-icon pocket"><use xlink:href="/assets/icons/getpocket.svg#getpocket"/></svg></a></li>
</ul>
<h3>UI/UX</h3>

<h3>Privacy</h3>

<h3>Web Performance</h3>
<ul id="webperformance">
	<li has-linktools="" id="fast-software-the-best-software-by-craig-mod">Craig Mod shares <a href="https://craigmod.com/essays/fast_software/">why people prefer to choose and are happy to pay for fast software</a>. People are grateful for it, and are easily annoyed if the app takes half too many seconds to start up or is showing a laggy or even blocked user interface.<a class="save-service-link" target="_blank" href="https://getpocket.com/save?url=https%3A%2F%2Fwdrl.info%2Farchive%2F270%2Ffast-software-the-best-software-by-craig-mod&amp;title=Fast+Software%2C+the+Best+Software+%E2%80%94+by+Craig+Mod"><svg viewbox="0 0 48 48" class="save-service-link-icon pocket"><use xlink:href="/assets/icons/getpocket.svg#getpocket"/></svg></a></li>
	<li has-linktools="" id="i-used-the-web-for-a-day-on-a-50-mb-budget-smashing-magazine">Some experiments sound silly but in reality, they’re not: <a href="https://www.smashingmagazine.com/2019/07/web-on-50mb-budget/">Chris Ashton used the web for a day on a 50MB budget</a>. In Zimbabwe, for example, where 1 GB cost an average of $75.20, ranging from $12.50 to $138.46, 50MB is incredibly expensive. So reducing your app bundle size, image size and website cost is directly related how happy users are being on your site. If it costs them $3.76 (50MB) to access your new sports shoe teaser page, it’s unlikely that they will buy or recommend it.<a class="save-service-link" target="_blank" href="https://getpocket.com/save?url=https%3A%2F%2Fwdrl.info%2Farchive%2F270%2Fi-used-the-web-for-a-day-on-a-50-mb-budget-smashing-magazine&amp;title=I+Used+The+Web+For+A+Day+On+A+50+MB+Budget+%E2%80%94+Smashing+Magazine"><svg viewbox="0 0 48 48" class="save-service-link-icon pocket"><use xlink:href="/assets/icons/getpocket.svg#getpocket"/></svg></a></li>
</ul>
<h3>JavaScript</h3>

<h3>Work &amp; Life</h3>
<ul id="worklife">
	<li has-linktools="" id="five-simple-actions-to-help-you-gain-more-time-yellowstroke-com">How to gain more time during your work day? Of course it depends on how you currently spend your time but a couple of tips shares in this <a href="https://yellowstroke.com/2019/07/18/protect-your-time/">Protect your time</a> article are worth trying them out: Try to cancel unnecessary meetings, reduce meeting times by even only 10 minutes, and strictly prioritize them.<a class="save-service-link" target="_blank" href="https://getpocket.com/save?url=https%3A%2F%2Fwdrl.info%2Farchive%2F270%2Ffive-simple-actions-to-help-you-gain-more-time-yellowstroke-com&amp;title=Five+simple+actions+to+help+you+gain+more+time+-+Yellowstroke.com"><svg viewbox="0 0 48 48" class="save-service-link-icon pocket"><use xlink:href="/assets/icons/getpocket.svg#getpocket"/></svg></a></li>
	<li has-linktools="" id="how-to-onboard-a-new-hire-signal-v-noise" class="is-highlight">So you hired someone for your company. That already was hard work in most cases but what’s even harder is how to onboard people so they feel comfortable at their new job, but also can work effectively and without doubts in their first weeks. Claire Lew shares a great article about it: <a href="https://m.signalvnoise.com/how-to-onboard-a-new-hire/">How to onboard a new hire</a>.<a class="save-service-link" target="_blank" href="https://getpocket.com/save?url=https%3A%2F%2Fwdrl.info%2Farchive%2F270%2Fhow-to-onboard-a-new-hire-signal-v-noise&amp;title=How+to+onboard+a+new+hire+-+Signal+v.+Noise"><svg viewbox="0 0 48 48" class="save-service-link-icon pocket"><use xlink:href="/assets/icons/getpocket.svg#getpocket"/></svg></a></li>
	<li has-linktools="" id="smcllw-me" class="is-highlight">Sam Clulow’s <a href="https://smcllw.me/green/">Our Planet, Our Problem</a> is a great piece of writing that reminds us of <em>who we are</em> and <em>what’s important for us</em> and how to live in a city and switch to a better, more thoughtful and natural life.<a class="save-service-link" target="_blank" href="https://getpocket.com/save?url=https%3A%2F%2Fwdrl.info%2Farchive%2F270%2Fsmcllw-me&amp;title=%F0%9F%93%B0+-+smcllw.me"><svg viewbox="0 0 48 48" class="save-service-link-icon pocket"><use xlink:href="/assets/icons/getpocket.svg#getpocket"/></svg></a></li>
	<li has-linktools="" id="this-is-what-aviation-s-busiest-air-travel-day-looks-like" class="is-highlight">You know, climate change is a topic all around the world now and it seems that many people are concerned about it and want to act on it. But then, <a href="https://www.fastcompany.com/90382380/this-is-what-aviations-busiest-air-travel-day-looks-like">last week we had the busiest air-travel day ever in history</a>. Airplanes are accountable for one of the biggest part of climate active emissions, so it’s key to reduce air travel as much as possible <em> from today on</em>. Coincidentally, this was also the hottest week measured in Europe ever. We as individuals need to cut down flights finally, regardless how tempting the next holiday flight for $50 is to a nice holiday destination, regardless if it’s an important business meeting. What do we have video conferencing solutions for? Why do people claim to work remotely if they then fly around the world dozens of times in their life? There are so many nice destinations nearby, reachable by train or if needed by car.<a class="save-service-link" target="_blank" href="https://getpocket.com/save?url=https%3A%2F%2Fwdrl.info%2Farchive%2F270%2Fthis-is-what-aviation-s-busiest-air-travel-day-looks-like&amp;title=This+is+what+aviation%27s+busiest+air-travel+day+looks+like"><svg viewbox="0 0 48 48" class="save-service-link-icon pocket"><use xlink:href="/assets/icons/getpocket.svg#getpocket"/></svg></a></li>
	<li has-linktools="" id="what-happened-when-our-team-switched-to-only-asynchronous-meetings">Synchronous meetings are a problem in nearly every company. They take a lot of time from a lot of people and disrupt any schedule or focused work. So here’s <a href="https://open.buffer.com/asynchronous-meetings/">how Buffer switched to asynchronous meetings</a>, including great tips and insights on why many tools out there don’t work well.<a class="save-service-link" target="_blank" href="https://getpocket.com/save?url=https%3A%2F%2Fwdrl.info%2Farchive%2F270%2Fwhat-happened-when-our-team-switched-to-only-asynchronous-meetings&amp;title=What+Happened+When+Our+Team+Switched+to+Only+Asynchronous+Meetings"><svg viewbox="0 0 48 48" class="save-service-link-icon pocket"><use xlink:href="/assets/icons/getpocket.svg#getpocket"/></svg></a></li>
</ul>
<h3>Go beyond…</h3>

<ul id="gobeyond">
	<li has-linktools id="cutting-through-indecision-overthinking-zen-habits">Leo Babauta shares a tip on <a href="https://zenhabits.net/overthink/">how to stop overthinking by cutting through indecision</a>. We will never have the certaincy we’d like to have in our lives so a strategy to deal with uncertaincy is quite good to have. As I’m struggling with this a lot, I found the article helpful.<a class="save-service-link" target="_blank" href="https://getpocket.com/save?url=https%3A%2F%2Fwdrl.info%2Farchive%2F270%2Fcutting-through-indecision-overthinking-zen-habits&title=Cutting+Through+Indecision+%26+Overthinking+%3A+zen+habits"><svg viewBox="0 0 48 48" class="save-service-link-icon pocket" width="18" height="18"><use xlink:href="/assets/icons/getpocket.svg#getpocket"></use></svg></a></li>
	<li has-linktools id="ethiopia-plants-350m-trees-in-a-day-to-help-tackle-climate-crisis-world-news-the-guardian">What can you do to fight climate change, especially if you’re in a dry and hot area that will be affected a lot by rising temperatures? Well, <a href="https://www.theguardian.com/world/2019/jul/29/ethiopia-plants-250m-trees-in-a-day-to-help-tackle-climate-crisis">Ethiopia just planted 250 million trees in a day</a> during a government supported, people-led initiative to reduce carbon emissions.<a class="save-service-link" target="_blank" href="https://getpocket.com/save?url=https%3A%2F%2Fwdrl.info%2Farchive%2F270%2Fethiopia-plants-350m-trees-in-a-day-to-help-tackle-climate-crisis-world-news-the-guardian&title=Ethiopia+plants+350m+trees+in+a+day+to+help+tackle+climate+crisis+%7C+World+news+%7C+The+Guardian"><svg viewBox="0 0 48 48" class="save-service-link-icon pocket" width="18" height="18"><use xlink:href="/assets/icons/getpocket.svg#getpocket"></use></svg></a></li>
	<li has-linktools id="implementing-the-one-viable-solution-to-climate-change">In order <a href="https://www.forbes.com/sites/stevedenning/2019/07/21/implementing-the-one-viable-solution-to-climate-change/">to fight climate change a new moon shot project and innovation would be a desired goal</a>&#8202;—&#8202;and why we’re currently not doing it.<a class="save-service-link" target="_blank" href="https://getpocket.com/save?url=https%3A%2F%2Fwdrl.info%2Farchive%2F270%2Fimplementing-the-one-viable-solution-to-climate-change&title=Implementing+The+One+Viable+Solution+To+Climate+Change"><svg viewBox="0 0 48 48" class="save-service-link-icon pocket" width="18" height="18"><use xlink:href="/assets/icons/getpocket.svg#getpocket"></use></svg></a></li>
	<li has-linktools id="visual-business-intelligence-ethical-data-sensemaking" class="is-highlight">The ethical practices that can serve as a code of conduct for data sensemaking professionals are built upon a single fundamental principle. It is the same principle that medical doctors swear as an oath before becoming licensed: Do no harm. Here’s <a href="http://www.perceptualedge.com/blog/?p=2914">Ethical Data Sensemaking</a>.<a class="save-service-link" target="_blank" href="https://getpocket.com/save?url=https%3A%2F%2Fwdrl.info%2Farchive%2F270%2Fvisual-business-intelligence-ethical-data-sensemaking&title=Visual+Business+Intelligence+%E2%80%93+Ethical+Data+Sensemaking"><svg viewBox="0 0 48 48" class="save-service-link-icon pocket" width="18" height="18"><use xlink:href="/assets/icons/getpocket.svg#getpocket"></use></svg></a></li>
</ul>

<p><strong>If you like what I write, please <a href="https://wdrl.info/donate">contribute with your money</a>.</strong> If you want to read some inspiring stories on how to shape our society by working in tech, how to build better collaborations, how to not get trapped by media, I recommend to <a href="https://www.offscreenmag.com/issues/21?ref=WDRL.info">have a look at the Offscreen Magazine No. 21</a></p>

<p><em>—Anselm</em></p>
