title: Debord(er) la carte
url: http://strabic.fr/Debord-er-la-carte
hash_url: 2d910e60d57335589041336160045223

<div class="chapo"><p>"Une carte du monde ne faisant pas mention du royaume d’Utopie ne mérite même pas un coup d’œil, car elle laisse à l’écart le seul pays où l’humanité finit toujours par aborder." Oscar Wilde, <i>L’Âme humaine et le socialisme</i>, 1891.</p></div><p>Fondateur de l’Internationale Situationniste (I.S.), mouvement d’avant-garde fondé en 1957 et dissous en 1972, Guy Debord aimait les cartes et les plans. Plans de Paris, plans de bataille, carte du Tendre et cartes d’état major. Poète, cinéaste, théoricien marxiste et stratège révolutionnaire, Guy Debord était aussi un grand marcheur et un excellent buveur, deux qualités essentielles pour prétendre à la dérive. Enfant terrible de la promenade baudelairienne, des vagabondages de Thomas de Quincey à Londres et des surréalistes à Paris, la dérive consiste à marcher sans but dans la ville, à s’y laisser aller aux sollicitations du milieu. Ça a l’air fastoche comme ça, mais il y faut beaucoup d’application. "Les difficultés de la dérive sont celles de la liberté"<span class="csfoo htmla"/><span class="spip_note_ref"> [<a href="#nb1" class="spip_note" rel="footnote" title="&quot;Théorie de la dérive&quot;, Les Lèvres Nues, n° 9, novembre 1956." id="nh1">1</a>]</span><span class="csfoo htmlb"/>. Tout concourt en effet à diriger les pas urbains. Il ne s’agit pas pour autant de marcher au hasard, mais de suivre le "relief psychogéographique", d’explorer les "unités d’ambiances" ou "plaques tournantes" et d’en rendre éventuellement compte par la fabrication de plans plus ou moins élaborés, les fameuses cartes psychogéographiques.</p><p><span class="csfoo htmla"/><span class="spip_document_1023 spip_documents">
<img src="http://strabic.fr/IMG/jpg/image1.jpg" alt=""/></span><span class="csfoo htmlb"/></p><p><span>Guy Debord, <i>Guide psychogéographique de Paris, Discours sur les passions de l’amour, pentes psychogéographiques de la dérive et localisation d’unités d’ambiance</i>, dépliant édité par le Bauhaus Situationniste, imprimé chez Permild &amp; Rosengreen, Copenhague, mai 1957.</span></p><p><q>La fabrication de cartes psychogéographiques […] peu[t] contribuer à éclairer certains déplacements d’un caractère non certes de gratuité, mais de parfaite insoumission aux sollicitations habituelles.<span class="csfoo htmla"/><span class="spip_note_ref"> [<a href="#nb2" class="spip_note" rel="footnote" title="In &quot;Introduction à une critique de la géographie urbaine&quot;, Les Lèvres Nues, n° (...)" id="nh2">2</a>]</span><span class="csfoo htmlb"/></q></p><p>Magnifiquement pratiquées par Ivan Chtcheglov, aka Gilles Ivain, puis, avec plus ou moins de bonheur, par les situationnistes Ralph Rumney (fondateur et unique membre du Comité psychogéographique de Londres) et Abdelhafid Khatib, dérive et psychogéographie sont deux éléments essentiels de l’arsenal situ tel que le présente le tract <i>Nouveau théâtre d’opération dans la culture</i>. La dimension stratégique de ces pratiques est explicite tant par le titre du tract  – théâtre d’opération –, que par la carte d’état major ou le schéma des pratiques situationnistes qui l’illustrent.</p><p><span class="csfoo htmla"/><span class="spip_document_1024 spip_documents">
<img src="http://strabic.fr/IMG/jpg/Image2.jpg" alt=""/></span><span class="csfoo htmlb"/></p><p><span>Section française de l’Internationale Situationniste, <i>Nouveau théâtre d’opérations dans la culture</i>, tract, janvier 1958.</span></p><p>La psychogéographie est donc d’abord affaire d’insoumission. Dans ces cartes se heurtent objectivité apparente du plan et expérience subjective de la ville. Ces cartes sont des détournements<span class="csfoo htmla"/><span class="spip_note_ref"> [<a href="#nb3" class="spip_note" rel="footnote" title="&quot;Mode d’emploi du détournement&quot;, Les Lèvres Nues, n° 8, mai 1956." id="nh3">3</a>]</span><span class="csfoo htmlb"/> situationnistes. Le sujet dérivant détourne l’espace urbain de sa fonction première – orienter les foules ; le cartographe psychogéographique détourne la carte officielle pour lui faire dire ce qu’elle cache – la fragmentation de l’espace urbain. Il s’agit donc de faire la critique des espaces réel, représenté et vécu, par l’introduction de la subjectivité là où on ne l’attendait pas, là où on n’en voulait pas : dans la ville, dans la carte.</p><p><strong>Et aujourd’hui ? Qu’en est-il de ces pratiques ?</strong></p><p>Dérive et psychogéographie ont leurs embaumeurs : on a ainsi vu le <a href="http://www.104.fr/#/fr/" class="spip_out" rel="external">104</a> et la <a href="http://www.aubervilliers.fr/" class="spip_out" rel="external">Mairie d’Aubervilliers</a> organiser annuellement des "dérives" en autocar<span class="csfoo htmla"/><span class="spip_note_ref"> [<a href="#nb4" class="spip_note" rel="footnote" title="http://synesthesie.com/PDF/CP-balad..." id="nh4">4</a>]</span><span class="csfoo htmlb"/> (sic !) avec passage par le "Village de l’innovation" où le dériveur téléguidé est "invité" à admirer "robots humanoïdes, objets communicants, plate-forme 3D de réalité augmentée…", afin de "découvrir et comprendre la société vers laquelle la technologie nous fait évoluer !"<span class="csfoo htmla"/><span class="spip_note_ref"> [<a href="#nb5" class="spip_note" rel="footnote" title="http://www.futur-en-seine.fr/fiche/..." id="nh5">5</a>]</span><span class="csfoo htmlb"/></p><p><strong>On imagine Debord ravi…</strong></p><p>… et on songe à la flopée d’applications pour <i>smartphones</i> qui se revendiquent plus ou moins explicitement du situationnisme et proposent des dérives urbaines en réalité augmentée. Dans <i>Situationist</i>, par exemple, "the first Marxist iPhone app" (sic !), il s’agit "d’interagir" avec le premier quidam similairement équipé de ladite application sur son smartphone, en lui lançant un "défi" pré-enregistré et signalé aux terminaux téléphoniques activés à proximité. Petit florilège : "compliment me on my haircut", "let me inspect the content of your bag for bombs and such", "ask me what I think of the war"<span class="csfoo htmla"/><span class="spip_note_ref"> [<a href="#nb6" class="spip_note" rel="footnote" title="http://situationistapp.com/" id="nh6">6</a>]</span><span class="csfoo htmlb"/>.</p><p><strong>C’est Marx qui doit être content…</strong></p><p><span class="csfoo htmla"/><span class="spip_document_1025 spip_documents">
<img src="http://strabic.fr/IMG/jpg/image3.jpg" alt=""/></span><span class="csfoo htmlb"/></p><p><span>Capture d’écran du site de l’application “<i>Situationist</i>”. On notera que l’application a été bannie de l’<i>Apple Store</i>, pour des <a href="http://benrik.co.uk/content/" class="spip_out" rel="external">raisons</a> qui n’ont rien à voir, comme on s’en doute, avec l’orthodoxie situationniste.</span></p><p>Matthieu Duperrex, passionnant rédacteur du site <a href="http://www.urbain-trop-urbain.fr/" class="spip_out" rel="external"><i>Urbain, trop urbain</i></a> a ainsi courageusement tenté de prendre au sérieux ces bâtards situationnistes<span class="csfoo htmla"/><span class="spip_note_ref"> [<a href="#nb7" class="spip_note" rel="footnote" title="http://owni.fr/2011/06/20/pratiquer..." id="nh7">7</a>]</span><span class="csfoo htmlb"/>. Quoiqu’indulgent – trop peut-être –, il en pointe les limites au regard notamment des objectifs révolutionnaires assignés par Debord et ses camarades aux pratiques situationnistes. On peine à croire en effet que ces applications, fondées sur la géolocalisation et la communication entre objets – téléphones, satellites –, puissent alimenter la subversion.</p><p>Si ces applications ont quelque chose de situationniste, c’est plutôt dans la capacité de leur usage pauvre à révéler la pauvreté de nos conditions urbaines, ou, pour reprendre le terme de Günther Anders, notre schyzotopie<span class="csfoo htmla"/><span class="spip_note_ref"> [<a href="#nb8" class="spip_note" rel="footnote" title="Voir L’Obsolescence de l’homme, tome 2, Sur la destruction de la vie à (...)" id="nh8">8</a>]</span><span class="csfoo htmlb"/>. Bref, on se fait royalement chier ou on flippe.</p><p><q>Pourquoi tant d’héritiers illégitimes – mous du genou, si vous préférez – de la psychogéographie ?</q></p><p>On pourrait avancer que le recours à la figuration cartographique de la subjectivité, de la part de Debord, constituait sinon une erreur tactique, du moins l’expression "artistique" – et donc, en toute logique situationniste, limitée, partielle – d’une intention révolutionnaire qui se voyait par là occultée. En se cartographiant, la subjectivité croit détourner la technique, mais elle risque tout autant, utilisant son langage, d’être récupérée par elle. C’est tout le problème que résume Daniel de Zeeuw dans un article consacré aux rapports entre <i>data visualisation</i> et le <i>cognitive mapping</i> de Fredric Jameson<span class="csfoo htmla"/><span class="spip_note_ref"> [<a href="#nb9" class="spip_note" rel="footnote" title="http://mastersofmedia.hum.uva.nl/20... et Frederic Jameson, &quot;Cognitive (...)" id="nh9">9</a>]</span><span class="csfoo htmlb"/>.</p><p>Mais Debord aimait les cartes. Outre ses plans psychogéographiques, il a par exemple cartographié sa vie de lecteur en reportant sur une mappemonde ses auteurs favoris<span class="csfoo htmla"/><span class="spip_note_ref"> [<a href="#nb10" class="spip_note" rel="footnote" title="Guy Debord, Œuvres, Quarto, Gallimard, 2004, p.1290-1291" id="nh10">10</a>]</span><span class="csfoo htmlb"/>, ou schématisé comme sur un plan de bataille "les ennemis de l’I.S. et leurs relations en 1962"<span class="csfoo htmla"/><span class="spip_note_ref"> [<a href="#nb11" class="spip_note" rel="footnote" title="Guy Debord, Œuvres, Quarto, Gallimard, 2004, p.610" id="nh11">11</a>]</span><span class="csfoo htmlb"/>.</p><p><span class="csfoo htmla"/><span class="spip_document_1026 spip_documents">
<img src="http://strabic.fr/IMG/jpg/image4.jpg" alt=""/></span><span class="csfoo htmlb"/></p><p><span>À gauche : “Géographie littéraire” de Guy Debord, manuscrit sur carte géographique, années 1970. À droite : ”Les ennemis de l’IS et leurs relations, ceci en 1962” par Guy Debord.</span></p><p>Passionné de stratégie, il a surtout imaginé avec son épouse Alice Becker-Ho, un fascinant Jeu de la Guerre où échec et poker se rencontrent sur un plateau de jeu militaire.</p><p><span class="csfoo htmla"/><span class="spip_document_1027 spip_documents">
<img src="http://strabic.fr/IMG/jpg/image5.jpg" alt=""/></span><span class="csfoo htmlb"/><br class="autobr"/>
<span class="csfoo htmla"/><span class="spip_document_1028 spip_documents">
<img src="http://strabic.fr/IMG/jpg/image6.jpg" alt=""/></span><span class="csfoo htmlb"/></p><p><span>En haut : Schéma de départ et mouvements principaux de la partie à l’origine du livre <i>Le “Jeu de la Guerre”, Relevé des positions successives de toutes les forces au cours d’une partie,</i> Alice Becker-Ho et Guy Debord, Paris, éditions Gérard Lébovici, 1987. En bas : Alice et Guy Debord jouant au “<i>Jeu de la guerre</i>”, août 1987 (photo © Jeanne Cornet).</span></p><p>Cette dernière œuvre cartographique permet de reconsidérer la dérive et la psychogéographie non pas tant selon la traditionnelle filiation littéraire et esthétique mentionnée plus haut, mais en fonction d’objectifs stratégiques : comme outils préparatoires à la guérilla urbaine.</p><p>À quoi sert en effet d’explorer la ville, d’en découvrir les recoins, les raccourcis, les percées et les détours, sinon pour pouvoir au besoin y déjouer le pouvoir ? L’objectif n’est donc pas tant de projeter sa subjectivité dans la ville ou sur une carte, mais d’apprendre à connaître la ville comme un sujet, de faire de la ville une alliée. Le grand détournement de la ville, un autre nom pour l’insurrection urbaine ? Alors que la psychogéographie semblait oubliée après le tournant radical politique de l’Internationale Situationniste au début des années 1960, on en retrouve la trace dans un document inédit : l’ordre du jour de la 7<sup class="typo_exposants">e</sup> conférence de l’I.S. à Paris mentionne en effet la mise au point d’une "ligne d’orientation générale préalable à une psychogéographie insurrectionnelle de Paris"<span class="csfoo htmla"/><span class="spip_note_ref"> [<a href="#nb12" class="spip_note" rel="footnote" title="Fonds Guy Debord, département des manuscrits, BnF, NAF28603 - CV, &quot;Ordre du (...)" id="nh12">12</a>]</span><span class="csfoo htmlb"/>.</p><p>"La principale difficulté de la dérive est la liberté" écrivait Debord, mais la principale difficulté de la vie urbaine en général n’est-elle pas celle, précisément, de la liberté ? Le territoire de la ville s’est vu par exemple, en l’espace de quelques années, quadrillé par des caméras de vidéosurveillance. On s’y trouve partout comme dans un panoptique invisible.</p><p>La critique de ces dispositifs émane de groupes formés dès le milieu des années 1990, tels les <a href="http://www.notbored.org/the-scp.html" class="spip_out" rel="external"><i>Surveillance Camera Players</i></a> à New York, ou le collectif <a href="http://souriez.info/" class="spip_out" rel="external">Souriez, vous êtes filmés</a> en France. Leur répertoire d’action : manifestes, visites guidées pour familiariser ceux qui sont surveillés avec ceux qui les surveillent, performances loufoques devant les caméras à destination des employés chargés de leur visionnage. Ils produisent et diffusent aussi des cartes indiquant l’emplacement des caméras dans la ville.</p><p><span class="csfoo htmla"/><span class="spip_document_1029 spip_documents">
<img src="http://strabic.fr/IMG/jpg/image7.jpg" alt=""/></span><span class="csfoo htmlb"/></p><p><span><i>Surveillance Camera Players, Times Square CCTV Cameras</i>, 2005.</span></p><p>Il s’agit de fournir des armes pour éviter au sujet d’y être systématiquement repéré – et d’offrir ainsi, en creux, la possibilité pour les individus d’échapper à leur "cartographication". En somme, une anti-cartographie de la subjectivité. Le fascinant ouvrage <a href="http://www.an-atlas.com/contents/iaa_iaa.html" class="spip_out" rel="external"><i>An Atlas of Radical Cartography</i></a> présente ainsi les cartes de l’<i>Institute for Applied Autonomy</i> qui dressent des itinéraires de moindre surveillance à travers Manhattan.</p><p><span class="csfoo htmla"/><span class="spip_document_1030 spip_documents">
<img src="http://strabic.fr/IMG/jpg/image8.jpg" alt=""/></span><span class="csfoo htmlb"/></p><p><span><i>Institute for Applied Autonomy with Site-R, Routes of Least Surveillance</i>, Manhattan, NYC, 2001/2007.</span></p><p>Mais ce faisant, ces groupes fournissent aussi aux "surveilleurs" d’excellentes synthèses cartographiques pour évaluer le parc de caméras privées et publiques déjà en place, et envisager ainsi son accroissement rationnel. Producteur de contenu, le cartographe ne sait jamais entre les mains de qui ses cartes vont tomber.</p><p><span class="csfoo htmla"/><span class="spip_document_1038 spip_documents">
<img src="http://strabic.fr/IMG/jpg/image9.jpg" alt=""/></span><span class="csfoo htmlb"/></p><p><span>Vidéogrammes tirés de <i>Elle cause plus... elle flingue</i>, 1972.</span></p><p>Bref, il faudrait pouvoir sortir de la carte.<br/>Ou ne jamais cesser de les détourner.</p>
