title: La ZAD et le Colibri : deux écologies irréconciliables ?
url: https://www.terrestres.org/2018/11/15/la-zad-et-le-colibri-deux-ecologies-irreconciliables/
hash_url: 4322ba5f97244e298294532684e6f6e2

<p class="td-post-sub-title">À mesure que notre horizon écologique et politique se durcit, la discorde entre les écologies s'aggrave. Pour ceux qui ne se résignent pas à couper les ponts, le dernier livre de Cyril Dion doit être l'occasion d'interpeler l'écologie majoritaire sur ses angles morts, et de réfléchir aux voies d'une radicalisation politique des résistances.</p>&#13;
<span class="rt-reading-time"><span class="rt-label">Temps de lecture : </span> <span class="rt-time">28</span> <span class="rt-label rt-postfix">minutes</span></span><p><strong>A propos de Cyril Dion, <em>Petit manuel de r</em><em>é</em><em>sistance contemporaine</em>, Actes Sud, Arles, 2018.</strong></p>
<p>Comment stopper l’écocide qui se produit sous nos yeux, ou plutôt en-dessous du seuil de nos perceptions et de nos préoccupations ordinaires ? Où porter l’attaque pour bloquer un système économique qui fait s’effondrer la vie sur Terre et se nourrit de l’exploitation sociale du grand nombre ? Ces questions brûlantes sont celles du mouvement écologiste aujourd’hui. Ce sont aussi, quels que soient les reproches qu’on puisse lui faire, celles qui animent le dernier livre de Cyril Dion.</p>
<p>Résistances contre un projet de mine d’or en Guyane, ZAD (Zones à Défendre) contre des projets d’aéroport et de routes, de parcs de loisirs géants, ou contre des « réhabilitations » de quartiers populaires imposées d’en haut<sup id="footnote_plugin_tooltip_1" class="footnote_plugin_tooltip_text">1</sup><span class="footnote_tooltip" id="footnote_plugin_tooltip_text_1">Sur les résistances aux Grands Projets Inutiles et Imposés, cf. Serge Quadruppani, <em>Le monde des Grands Projets et ses ennemis. Voyage au c</em><em>œ</em><em>ur des nouvelles pratiques r</em><em>é</em><em>volutionnaires,</em> La Découverte 2018. On lira surtout le texte juste et fort de Gaspard d’Allens: <a href="https://reporterre.net/cette-guerre-de-basse-intensite-contre-toute-forme-de-revolte">https://reporterre.net/Cette-guerre-de-basse-intensite-contre-toute-forme-de-revolte</a></span> ; blocage d’une mine de charbon allemande par des activistes de tous pays<sup id="footnote_plugin_tooltip_2" class="footnote_plugin_tooltip_text">2</sup><span class="footnote_tooltip" id="footnote_plugin_tooltip_text_2">https://www.ende-gelaende.org/fr/</span> ; luttes indigènes contre le projet d’oléoduc géant Keystone aux Etats-Unis ; mais aussi tours de France d’Alternatiba et marches citoyennes pour le climat : des formes nouvelles de résistances s’expérimentent. Combats social et écologique, longtemps étrangers voire antagonistes en Europe, commencent à se croiser<sup id="footnote_plugin_tooltip_3" class="footnote_plugin_tooltip_text">3</sup><span class="footnote_tooltip" id="footnote_plugin_tooltip_text_3"><a href="https://reporterre.net/a-marseille-la-bataille-de-la-plaine-repose-la-question-urbaine-pour-les-riches">https://reporterre.net/A-Marseille-la-bataille-de-la-Plaine-repose-la-question-urbaine-pour-les-riches</a>. Sur les origines du mouvement de la « justice environnementale » : R. Keucheyan, <em>La nature est un champ de bataille</em>, La Découverte, 2014.</span>.</p>
<p>Mais de la « famille zéro déchet » qui participe à sa première marche pour le climat au radicalisme des cortèges de tête, l’écart est grand, immense même. Des acteurs si différents ont-ils une écologie en commun ? Si la question se pose, c’est que la recherche d’une stratégie commune travaille intensément le mouvement écologiste. L’accélération de la catastrophe rend chaque jour plus vains les espoirs placés dans l’action institutionnelle classique, et le besoin d’interposition physique se fait se fait de plus en plus pressant: comment face à l’incurie politique, faire dérailler ou du moins bloquer le train d’une civilisation qui précipite les formes de vie humaine et non-humaines vers l’abîme<sup id="footnote_plugin_tooltip_4" class="footnote_plugin_tooltip_text">4</sup><span class="footnote_tooltip" id="footnote_plugin_tooltip_text_4">L’image est de Walter Benjamin, <em>Sur le concept d’Histoire </em>(1939). Parmi les dernières nouvelles du front: les populations de vertébrés (mammifères, oiseaux, poissons, reptiles, amphibiens…) se sont effondrées de 60 % depuis 1970 : <a href="https://abonnes.lemonde.fr/biodiversite/article/2018/10/30/l-inexorable-declin-de-la-faune-sauvage_5376345_1652692.html">https://abonnes.lemonde.fr/biodiversite/article/2018/10/30/l-inexorable-declin-de-la-faune-sauvage_5376345_1652692.html</a> La secrétaire exécutive de la Convention sur la diversité biologique à l’ONU demande si l’humanité ne sera pas dans quelques années la première espèce à documenter sa propre extinction:  <a href="https://www.theguardian.com/environment/2018/nov/03/stop-biodiversity-loss-or-we-could-face-our-own-extinction-warns-un">https://www.theguardian.com/environment/2018/nov/03/stop-biodiversity-loss-or-we-could-face-our-own-extinction-warns-un</a></span> ?</p>
<h1>Essai de cartographie provisoire</h1>
<p>L’aggravation de notre situation explique sans doute les polémiques de plus en plus vives qui opposent depuis quelque temps les tenants d’une écologie radicale aux partisans d’une écologie conciliatrice<sup id="footnote_plugin_tooltip_5" class="footnote_plugin_tooltip_text">5</sup><span class="footnote_tooltip" id="footnote_plugin_tooltip_text_5">Créée par Pierre Rabhi et Cyril Dion en 2006, l’association des Colibris défend l’idée que la transformation écologique du monde passe d’abord par une réforme intérieure et spirituelle de soi, plutôt que par la lutte politique et la résistance physique. Le débat entre partisans d’une écologie plus radicale et politisée et les Colibris a débuté avec l’enquête de Jade Lindgaard « Pierre Rabhi, chantre d’une écologie inoffensive? », dans le numéro 5 de la <em>Revue du Crieur</em> (octobre 2016), et la réponse de Fabrice Nicolino sur son blog, « En défense de Pierre Rabhi » (novembre 2016). Plus récemment est paru une enquête de Jean-Baptiste Mallet « Le système Pierre Rabhi » (<em>Le Monde diplomatique</em>, août 2018) et la réponse de F. Nicolino « En défense de mon ami Pierre Rabhi (une suite nécessaire) » (août 2018), accessible à l’adresse: <a href="https://fabrice-nicolino.com/?p=4615">https://fabrice-nicolino.com/?p=4615</a>. Mentionnons aussi en 2017 la critique par Nicolas Casaux (<em>Deep Green Resistance</em>) dans le journal <em>Reporterre</em> de la promotion des énergies dites renouvelables, et la réponse de Cyril Dion. Nicolas Casaux: <a href="https://reporterre.net/les-energies-renouvelables-ne-font-que-continuer-la-civilisation-industrielle">https://reporterre.net/Les-energies-renouvelables-ne-font-que-continuer-la-civilisation-industrielle</a>. Cyril Dion: <a href="https://reporterre.net/pour-changer-la-societe-nous-devons-etre-des-millions-pas-une-poignee-de">https://reporterre.net/Pour-changer-la-societe-nous-devons-etre-des-millions-pas-une-poignee-de</a>. Cyril Dion revient sur ce débat dans son livre (p. 33-41 et p. 44-47). Nicolas Casaux a quant à lui développé ses critiques dans plusieurs articles disponibles sur le site <a href="http://partage-le.com/">partage-le.com</a></span>. Avant d’y venir, je proposerai une cartographie inévitablement partielle du militantisme écologiste, pour comprendre de quoi nous allons parler. Dans ce qui suit, je traiterai en effet des points de conflits existant entre l’écologie <em>radicale</em> et un courant précis de l’écologie <em>r</em><em>é</em><em>formiste</em>. Sous cette catégorie, trop générale peut-être, je propose d’englober trois attitudes :</p>
<p>1) les écologies<em> individuelle </em>et<em> int</em><em>é</em><em>rieure</em> d’abord. La première est celle des innombrables manuels et blogs d’une vie zéro déchet, remplie d’éco-gestes quotidiens visant à réduire l’empreinte carbone de chacun<sup id="footnote_plugin_tooltip_6" class="footnote_plugin_tooltip_text">6</sup><span class="footnote_tooltip" id="footnote_plugin_tooltip_text_6">Béa Johnson, <em>Z</em><em>é</em><em>ro d</em><em>é</em><em>chet, 100 astuces pour all</em><em>é</em><em>ger sa vie</em>, J’ai Lu 2015 ; Julien Vidal, <em>Ç</em><em>a commence par moi. Soyons le changement que nous voulons voir dans le monde</em>, Seuil 2018 ; ou encore le site <a href="https://onestpret.fr/">onestpret.fr</a></span>. L’écologie <em>int</em><em>é</em><em>rieure</em> est celle qui aspire à une forme de retraite et de transformation spirituelle de soi, passant par une réforme de son mode de vie et de sa manière d’être au monde. Sans les condamner, on peut constater que l’horizon politique est inexistant dans le premier cas, qui se cantonne au domaine privé<sup id="footnote_plugin_tooltip_7" class="footnote_plugin_tooltip_text">7</sup><span class="footnote_tooltip" id="footnote_plugin_tooltip_text_7">Courant représenté en France notamment par Pierre Rabhi.</span>, faible dans le second, centré sur la réforme intérieure de soi.</p>
<p>2) <em>L’</em><em>é</em><em>cologie </em><em>é</em><em>tatiste</em> : c’est celle des partis politiques classiques comme La France Insoumise ou Europe Ecologie les Verts. Elle est incontestablement politique et place dans l’action gouvernementale appuyée sur le suffrage universel l’espoir d’une « transition écologique » plus ou moins profonde selon les cas. Dans les faits, elle est centralisatrice et promeut des formes diverses de croissance et d’innovation vertes.</p>
<p>3) Il y a enfin l’écologie politique <em>citoyenne</em><em> </em>: elle est portée par des ONG (Greenpeace, 350.org…), des mouvements citoyens (Alternatiba, les Colibris), ou des collectifs animés par les réseaux sociaux (ilestencoretemps.fr). C’est ce courant, puisant ses forces dans la société civile, qui est à l’initiative des récentes Marches citoyennes pour le climat. C’est de lui seulement qu’il sera question dans la suite : je l’appellerai indifféremment, et sans intention péjorative, écologie <em>majoritaire</em>, <em>f</em><em>é</em><em>d</em><em>é</em><em>ratrice</em>, <em>rassembleuse</em> ou <em>consensuelle </em>(on verra pourquoi). Ces mouvements et ONG se déclarent généralement apolitiques pour ne pas cliver et adhèrent à une présentation de la lutte contre le réchauffement climatique comme grande « cause commune » autour de laquelle tous (ou du moins les 99%) pourraient se réunir en laissant de côté leurs antagonismes. La position de Dion se trouve en quelque sorte à l’interface entre le premier et le troisième courants, et cette ambiguïté fait justement son intérêt. Peut-on légitimement rassembler des courants si différents sous le titre général d’écologie réformiste ? Oui, en raison de ce point commun que les transformations exigées par la « transition écologique » n’y sont pas perçues comme incompatibles avec les fondements du système économique et politique actuel. À l’opposé, on pourrait regrouper sous le titre d’écologie <em>radicale</em> des courants eux aussi divers, hétéroclites — écologie sociale ou municipaliste, inspirée par les thèses anarchistes de Murray Bookchin, écologie anticapitaliste, écologie anti-civilisationniste de la <em>Deep Green Resistance</em>, expériences de vies coopératives hors-système, qui vont de l’invention de micro-communes urbaines ou paysannes autogérées aux combats des ZAD — mais qui partagent la conviction que le maintien des structures politiques et économiques propres au capitalisme est absolument incompatible avec la lutte et le renouveau écologique.</p>
<h1>Des stratégies antagonistes ?</h1>
<p>Cette divergence se traduit par une tension stratégique forte. Une première voie, impulsée par des ONG et des mouvements pour le climat comme 350.org ou Alternatiba, appuyée par des acteurs des réseaux sociaux<sup id="footnote_plugin_tooltip_8" class="footnote_plugin_tooltip_text">8</sup><span class="footnote_tooltip" id="footnote_plugin_tooltip_text_8"><a href="http://ilestencoretemps.fr">ilestencoretemps.fr</a> et <a href="http://onestpret.fr">onestpret.fr</a> sont deux plate-formes citoyennes participatives récemment créées par des collectifs de « youtubeurs » populaires sur le net pour lutter (collectivement pour le premier, individuellement pour le second) contre le changement climatique. Autant la première initiative est ambitieuse, autant la « bande-annonce » du second site atteint des sommets d’apolitisme : on ne peut pas se faire plus agneau dans la gueule du loup.</span> et bien relayée par les médias, se donne pour objectif de mobiliser rapidement une part assez importante de la société civile pour imposer aux pouvoirs politique et économique des changements rapides et profonds en faveur du climat. Bref « faire pression » et établir un « rapport de force », mais en demeurant dans le cadre que les démocraties libérales tiennent pour seul légitime : celui de la <em>protestation</em>, soit une société civile qui présente pacifiquement ses doléances aux « responsables politiques », à charge ensuite pour eux de les traduire souverainement en « réformes ». Pour y parvenir, cette stratégie qu’on peut qualifier de majoritaire propose des objectifs désirables pour la fraction de l’opinion ciblée par la mobilisation (un monde « zéro fossiles », « 100% renouvelables », « zéro déchet »…), le but étant d’engranger des petites victoires rapides pour renforcer la dynamique du mouvement. Cette stratégie est celle que défendent Cyril Dion, Alternatiba, 350.org, ou le réseau « ilestencoretemps ».</p>
<p>L’autre stratégie, minoritaire, est celle des écologistes anti-capitalistes, anarchistes, voire, comme la <em>Deep Green Resistance</em> (DGR), anti-civilisationnistes. Refusant tout compromis réformiste, elle vise au renversement du mode de production actuel, le capitalisme compris comme système social global, inséparable de l’industrialisation du monde et de la vie<sup id="footnote_plugin_tooltip_9" class="footnote_plugin_tooltip_text">9</sup><span class="footnote_tooltip" id="footnote_plugin_tooltip_text_9">Voire pour la DGR, la sortie de la « civilisation ». Pour une introduction à cette critique de la civilisation, cf. Derrick Jensen, <a href="https://medium.com/@seb.darmissan/civilisation-une-d%C3%A9finition-selon-derrick-jensen-4a4f340aae39?fbclid=iwar03sw0sjunxmobld9a-6scizlh12rqvk8g9eyd4lppzzrlynnv2twh-amu">https://medium.com/@seb.darmissan/civilisation-une-d%C3%A9finition-selon-derrick-jensen-4a4f340aae39?fbclid=IwAR03Sw0sjUnXmobLd9a-6scIZLH12RqVk8g9EyD4lpPZzRLYNnV2tWh-aMU</a>. Pour une compréhension du capitalisme tel qu’il est entendu ici, cf. Alain Bihr, <em>La pr</em><em>é</em><em>histoire du capital. Le devenir-monde du capitalisme</em>, éd. Page Deux, 2006.</span>.</p>
<p>Faut-il creuser entre ces deux courants un fossé infranchissable ? Plusieurs raisons s’y opposent. D’abord des points de jonction entre les deux commencent à s’opérer, avec l’apparition de ZAD urbaines, les signes de radicalisation d’un mouvement comme <em>Alternatiba</em>, ou plus récemment l’appel <em>Extinction Rebellion</em> lancé en Angleterre<sup id="footnote_plugin_tooltip_10" class="footnote_plugin_tooltip_text">10</sup><span class="footnote_tooltip" id="footnote_plugin_tooltip_text_10">https://rebellion.earth/rebel/</span>. En second lieu, les positions variées qui habitent l’écologie réformiste sont porteuses de parcours individuels imprévisibles et l’existence de ces trajectoires d’approfondissement est assez précieuse pour ne pas couper les ponts. Cependant, elles ne valent pas <em>quitus</em>: il est nécessaire de critiquer les points faibles de l’écologie fédératrice et d’imposer un débat sur les angles morts de toute stratégie qui cherche à devenir majoritaire au plus vite. Autrement dit, la coupure entre les deux écologies n’est pas forcément inquiétante. Elle est même indispensable, si elle alimente une capacité d’interpellation et une source de tension féconde : inviter et obliger l’écologie majoritaire à s’auto-critiquer pour s’approfondir ; mais rappeler aussi à l’écologie radicale qu’elle ne doit pas s’isoler de ceux, loin d’elle encore, qu’elle rebutera si son radicalisme se fait dogmatique.</p>
<p> </p>
<p><img class="size-full wp-image-1848" src="https://www.terrestres.org/wp-content/uploads/2018/11/Chedin-TAG_Climate_Protest_UMaine-e1542294071645.jpg" alt="" srcset="https://www.terrestres.org/wp-content/uploads/2018/11/Chedin-TAG_Climate_Protest_UMaine-e1542294071645.jpg 653w, https://www.terrestres.org/wp-content/uploads/2018/11/Chedin-TAG_Climate_Protest_UMaine-e1542294071645-237x300.jpg 237w, https://www.terrestres.org/wp-content/uploads/2018/11/Chedin-TAG_Climate_Protest_UMaine-e1542294071645-332x420.jpg 332w" sizes="(max-width: 653px) 100vw, 653px"/></p>
<p> </p>
<p>Si l’on admet cette perspective, un écologiste radical doit donc prendre le temps de lire et de critiquer Cyril Dion, en se rappelant le long trajet intellectuel qu’il  a lui-même parcouru avant de pouvoir juger « naïve » l’écologie rassembleuse. Les enquêtes sur le « système Rabhi » ont leur utilité. Mais par une logique parfois proche de l’amalgame, elles ont détourné le débat de l’essentiel, en le centrant sur les intentions personnelles (et parfois hypothétiques) des acteurs<sup id="footnote_plugin_tooltip_11" class="footnote_plugin_tooltip_text">11</sup><span class="footnote_tooltip" id="footnote_plugin_tooltip_text_11">C’est particulièrement le cas de l’enquête parue dans le <em>Monde diplomatique</em> d’août 2018. Voir à ce sujet le droit de réponse de Pierre Rabhi dans le numéro de novembre 2018.</span>. L’essentiel pour l’écologie est ailleurs : entrer en débat avec elle-même, en confrontant les conceptions divergentes des causes et des remèdes de la catastrophe en cours. A ce titre, une lecture à la fois attentive et sans concessions du dernier livre de Cyril Dion peut s’avérer utile.</p>
<p>Je ne plaide donc pas pour que la critique de l’écologie majoritaire soit moins vive. Mais la radicalité ne doit pas consister, seul clairvoyant, à moquer la bêtise universelle et à mépriser les mobilisations citoyennes toujours trop naïves et inoffensives<sup id="footnote_plugin_tooltip_12" class="footnote_plugin_tooltip_text">12</sup><span class="footnote_tooltip" id="footnote_plugin_tooltip_text_12">Frédéric Lordon, <a href="https://blog.mondediplo.net/appels-sans-suite-1">https://blog.mondediplo.net/appels-sans-suite-1</a></span>. Être radical c’est plutôt réussir à inquiéter les positions inabouties de l’écologie dominante, trouver les voies pour la contraindre à s’auto-critiquer et à se dépasser. C’est donc aussi accepter de descendre humblement dans les effets désordonnés de mobilisations encore balbutiantes, et en tirer ce qui peut l’être pour pousser les modérés à affronter leurs potentielles contradictions. Je résumerai donc brièvement le livre de Cyril Dion dans cette perspective, avant de proposer une critique des aspects les plus problématiques qui s’en dégagent, et qui concernent pour une part l’écologie réformiste dans son ensemble.</p>
<h1>L’écologie tempérée de Cyril Dion</h1>
<p>Le point de départ du livre tient dans un bref et sombre tableau de la catastrophe écologique et climatique en cours, documentée par d’innombrables études. Se rapprochant des collapsologues, l’auteur prend acte du fait que les sociétés industrielles sont au bord de l’effondrement (chapitre 1, « C’est pire que vous ne le croyez »). N’oublions pas que ce constat, aussi élémentaire qu’il paraisse aujourd’hui pour certains écologistes, est néanmoins la porte d’entrée dans la maison commune de l’écologie, tant il est loin encore d’être partagé hors des cercles militants. Mais il n’est pas non plus suffisant on le verra, car il peut aussi facilement être neutralisé et rendu insignifiant si on ne l’arme pas de certaines défenses.</p>
<p>A partir du chapitre 2, tout le livre s’attache à répondre aux deux questions dont nous avons parlé en introduction : 1) quelle alternative inventer pour empêcher cet effondrement ou s’en relever (horizon) ? 2) Quel est le meilleur chemin pour y parvenir (stratégie) ? Sur ces deux questions, Dion construit sa position en écartant ce qu’il identifie comme deux écueils : une écologie trop modérée, l’autre trop radicale. C’est par opposition à ces deux « extrêmes » qu’il dessine l’horizon et la stratégie souhaitables, et trace les contours d’une écologie qu’il souhaite transformatrice <em>et</em> rassembleuse, susceptible d’agréger rapidement autour d’elle des millions de personnes non politisées et peu portées à la radicalité.</p>
<p>L’horizon de l’écologie que Dion qualifie de « modérée » est rejeté comme trompeur : c’est celui de la croissance verte, du développement durable, des politiques de Responsabilité Sociétale des Entreprises (RSE) « qui se contentent bien souvent d’aménager l’existant : recycler un peu plus, faire baisser les dépenses d’énergie (…), sans remettre en question le cœur du modèle capitaliste-consumériste » (p. 43). Quant à celui, un peu effrayant, des « radicaux », il consisterait à « s’opposer au système pour l’empêcher de continuer à tout détruire », à « saboter, puis “démanteler” la société industrielle » (p. 42), bref à rompre radicalement avec « la modernité ». Dans cette mouvance vague des écologistes « décroissants, anticapitalistes, parfois anarchistes » (p. 43), l’auteur agrège hâtivement des mouvements hétérogènes (la <em>Deep Green Resistance</em>, les zadistes, le mouvement Standing Rock…). De cette opposition émerge une troisième voie (celle de Dion), l’écologie qui « pense qu’il est encore temps de faire muter la société et déploie des trésors d’énergie pour mobiliser le plus largement possible citoyens, entrepreneurs et responsables politiques » (p. 43). Elle aspire à une transformation des « fondamentaux sur lesquels repose l’économie de marché capitaliste », mais souhaite « conserver une partie des acquis de la modernité et de la technologie » (p. 44). Une voie moyenne serait ainsi tracée entre pseudo-écologie et écologie radicale (mal identifiée et visiblement peu connue), qui ne cède ni à l’extrémisme d’un retour « primitiviste » à la nature (caricaturalement présenté p. 45), ni aux sirènes du capitalisme vert. On se doute qu’un tel centrisme ne paraîtra pas du tout « central » à un écologiste radical. Mais n’oublions pas qu’il l’est du point de vue d’une opinion encore largement étrangère à l’écologie. C’est d’ailleurs cet écart abyssal qui fait aujourd’hui toute la difficulté du dialogue : on peut tour à tour et aussi bien considérer que le colibrisme est une porte d’entrée ou au contraire un point de blocage vers une écologie plus profonde et radicale…</p>
<p>L’horizon souhaitable consisterait donc à conserver « une partie des acquis de la modernité et de la technologie », voire « le gain du confort industriel », en trouvant « un équilibre entre modernité et écologie » (p. 44). Mais le contenu concret de ce compromis reste très flou (ce vague sur les questions cruciales est du reste le point le plus problématique du propos de Cyril Dion) : l’auteur rappelle sa controverse avec Nicolas Casaux, mais ne sort pas vraiment de l’ambiguïté sur la question des technologies industrielles<sup id="footnote_plugin_tooltip_13" class="footnote_plugin_tooltip_text">13</sup><span class="footnote_tooltip" id="footnote_plugin_tooltip_text_13">Ce dernier lui avait reproché son ignorance de la pollution environnementale générée par les énergies dites renouvelables et plus généralement sa mécompréhension des <em>low-tech</em> (C. Dion p. 44-45, et article de <em>Reporterre</em> déjà cité).</span>, comme on peut en juger par ce passage significatif, soulignant qu’il ne serait pas bon de « perdre tout ce que ces siècles de <em>civilisation</em> et <em>particuli</em><em>è</em><em>rement l’</em><em>è</em><em>re industrielle</em> ont apporté comme confort à l’Occident, <em>quasi unanimement consid</em><em>é</em><em>r</em><em>é </em><em>comme un gain, un progr</em><em>è</em><em>s, inali</em><em>é</em><em>nable</em>. » (p. 46, je souligne). C’est au chapitre 5 (« Construire de nouvelles fictions ») que l’auteur trace les contours du « nouveau récit » écologique qu’il faudrait inventer pour remplacer celui de la civilisation thermo-industrielle. Outre le fait qu’il mélange des choses très différentes (il y faudrait plus de permaculture <em>et</em> plus de nouvelles technologies), il s’agit d’un récit « utopiste » (p. 89) au mauvais sens du terme, c’est-à-dire d’une simple <em>r</em><em>ê</em><em>verie</em>, douce et apaisante certes, mais qui refuse de penser le moment de sa confrontation au réel, c’est-à-dire les conditions matérielles et politiques de sa concrétisation<sup id="footnote_plugin_tooltip_14" class="footnote_plugin_tooltip_text">14</sup><span class="footnote_tooltip" id="footnote_plugin_tooltip_text_14">A partir de la p. 93, l’auteur, imitant John Lennon, nous invite à « imaginer un monde où »… l’école serait coopérative et non plus compétitive, où les femmes et les hommes seraient réellement égaux (p. 93), où l’argent ne serait plus la valeur suprême, où le loisir permettrait à chacun d’épanouir ses talents (p. 95), où la démocratie serait devenue réellement « participative » (p. 97), où le revenu universel aurait été instauré (p. 99), où nous aurions démocratiquement repris le contrôle de la création monétaire (p. 102), etc. Mais à aucun moment, il n’affronte la question de savoir pourquoi ce monde n’est qu’un rêve, ni n’envisage d’identifier les forces matérielles et les intérêts concrets qui s’opposeront policièrement et militairement s’il le faut à ce que cela devienne autre chose qu’un rêve, bref ce qu’il faudrait <em>faire</em>, ce qu’il faudrait <em>attaquer</em> pour que cette rêverie ne ressemble pas à l’ingurgitation d’une dose de narcotique destinée à nous permettre de supporter ce monde trop dur et hostile, dont parlait Freud.</span>.</p>
<h1>Logiques des stratégies majoritaires</h1>
<p>La critique pourrait sembler abusive, car Cyril Dion s’interroge bien sur la manière de faire advenir le nouveau récit écologique qui doit nous extraire de notre « addiction » au monde capitaliste. Ce qui nous ramène à la question de la stratégie, point-clé du livre. Celle-ci aussi se définit par une double critique : la stratégie des radicaux (l’attaque physique des institutions et des infrastructures de la société capitaliste et industrielle), forcément marginale, serait vouée à la réprobation populaire, donc à l’échec. Son radicalisme révolutionnaire, incompréhensible et inacceptable pour la majorité, la rend impuissante car nécessairement minoritaire (p. 43). A l’extrême opposé de ce mode d’action collectif et politique, Dion critique également, chose nouvelle chez lui<sup id="footnote_plugin_tooltip_15" class="footnote_plugin_tooltip_text">15</sup><span class="footnote_tooltip" id="footnote_plugin_tooltip_text_15">Et en s’appuyant, ironie de l’histoire, sur un article célèbre d’un écologiste pour le moins radical, Derrick Jensen :  <a href="http://partage-le.com/2015/03/oubliez-les-douches-courtes-derrick-jensen/">http://partage-le.com/2015/03/oubliez-les-douches-courtes-derrick-jensen/</a></span>, la stratégie individualiste de l’écologie des petits-gestes-quotidiens-pour-la-planète (« encourager chacun à changer son mode de vie », rouler à vélo, acheter bio, consommer moins de viande, etc., p. 32), c’est-à-dire comme il le reconnaît lui-même, une stratégie qui fut longtemps la sienne et celle des Colibris… Il s’agit donc d’une autocritique, sur la portée de laquelle nous reviendrons plus loin.</p>
<p>Puisqu’il admet l’impuissance et l’inefficacité de l’écologie individualiste et dépolitisée, dénoncée entre autres par la <em>Deep Green Resistance,</em> mais n’envisage pas sérieusement l’examen d’une démarche vraiment radicale<sup id="footnote_plugin_tooltip_16" class="footnote_plugin_tooltip_text">16</sup><span class="footnote_tooltip" id="footnote_plugin_tooltip_text_16">Voir aussi Jean-Baptiste Comby, « La lutte écologique est avant tout une lutte sociale »: <a href="https://www.revue-ballast.fr/jean-baptiste-comby/">https://www.revue-ballast.fr/jean-baptiste-comby/</a></span>, Dion dessine, dans les chapitres 3 et 6, une autre stratégie, adossée à un raisonnement qu’on peut à son exemple résumer ainsi (p. 80) :</p>
<ol>
<li>Des données scientifiques suffisamment solides montrent que nous courons à la catastrophe. Il faut donc tout faire pour l’éviter.</li>
<li>Pour cela, les aménagements de façade type développement durable ne suffiront pas : nous devons faire <em>muter</em> en profondeur notre système économique et politique (terme vague voire fourre-tout, dès lors que n’est jamais précisé <em>jusqu’o</em><em>ù</em> doit réellement aller cette « mutation »).</li>
<li>Puisqu’il y a <em>urgence</em>, nous sommes dans l’obligation de choisir la voie qui mène <em>le plus vite </em>à ce but.</li>
<li>Ce qui fait « tenir » le système actuel (et toute société humaine en général), ce sont les « récits », les « fictions », par quoi il faut entendre les croyances <em>collectives </em>(majoritaires), représentations ou valeurs partagées (idée dans l’air du temps, que l’auteur reprend du best-seller de Y. N. Harari, <em>Sapiens</em>). Le seul moyen de faire muter le système, c’est donc d’identifier les récits ou « architectures » qui entretiennent notre soumission et notre résignation au système actuel (croyances à la « valeur travail », à la démocratie représentative, au pouvoir de l’argent…), et d’inventer un récit écologique qui se substitue progressivement à lui.</li>
<li>Mais on ne change de récit collectif  « que si nous sommes des millions » à impulser ce mouvement. Il est donc impératif de <em>f</em><em>é</em><em>d</em><em>é</em><em>rer</em> <em>tr</em><em>è</em><em>s largement</em> pour devenir majoritaire. Il est pour cette raison indispensable que le « nouveau récit » écologiste soit <em>consensuel</em>, car c’est uniquement derrière un « objectif non clivant, pragmatique, facile à atteindre (démagogique diraient certains) » (p. 119) qu’on réussira à rassembler <em>rapidement</em> la masse nécessaire pour enclencher la mutation. D’où la nécessité de faire « coopérer élus, entrepreneurs et citoyens » (p. 41), sans que soit précisé qui sont les entrepreneurs et les élus appelés à participer à cette grande cause commune de l’Humanité dans son ensemble. Au final conclut logiquement l’auteur, « la question qui nous occupe est infiniment spirituelle » (p. 132), car « il ne s’agit pas de prendre les armes, mais de transformer notre façon de voir le monde. De tout temps, ce sont les histoires, les récits qui ont porté le plus puissamment les mutations philosophiques, éthiques, politiques… Ce sont donc par les récits que nous pouvons engager une véritable “révolution” [apprécions les guillemets]. » (p. 14)</li>
</ol>
<p><img class="alignnone size-full wp-image-1849" src="https://www.terrestres.org/wp-content/uploads/2018/11/jamie-street-368704-unsplash-e1542293154206.jpg" alt=""/></p>
<h1>Les revers du consensus et de l’exigence d’efficacité</h1>
<p>Arrivé à ce point, l’intérêt d’une critique des thèses de Cyril Dion se comprend aisément : plusieurs d’entre elles font aujourd’hui consensus chez certains acteurs de l’écologie majoritaire identifiés plus haut. Il n’est pas possible faute de place de détailler ici tous les points qui mériteraient d’être mis en discussion. Nous avons déjà dit un mot en passant de l’ambiguïté gênante qui se manifeste lorsqu’il est question dans le livre de nouvelles technologies et d’innovation. L’éloge que l’auteur fait de « l’économie symbiotique » d’Isabelle Delannoy, les espoirs qu’il place dans le mouvement des « grandes villes en transition » (Paris, San Francisco, etc.) et dans leurs programmes « zéro émission » (c’est-à-dire en fait de délocalisation des émissions loin des grandes villes), sont inquiétants par leur légèreté et leur conformisme<sup id="footnote_plugin_tooltip_17" class="footnote_plugin_tooltip_text">17</sup><span class="footnote_tooltip" id="footnote_plugin_tooltip_text_17">Sur les <em>smart cities</em> et les réseaux « intelligents » (<em>smart grids</em>), cf. Pierre de Jouvancourt, Gérard Dubey, <em>Mauvais Temps. Anthropoc</em><em>è</em><em>ne et num</em><em>é</em><em>risation du monde,</em> éd. Dehors 2018, et <a href="https://blogs.mediapart.fr/felix-treguer/blog/061118/smart-cities-securitaires-la-cnil-declare-forfait">https://blogs.mediapart.fr/felix-treguer/blog/061118/smart-cities-securitaires-la-cnil-declare-forfait</a></span>. L’ignorance des grandes critiques écologiques de la technologie (Ivan Illich, Lewis Mumford, Jacques Ellul) empêche Dion de voir derrière les technologies « vertes » la substitution d’une méga-machine plus sophistiquée, mais toujours aussi anti-démocratique et productiviste, à une autre qui s’épuise. Je ne dirai rien non plus du rôle de plus en plus suspect que joue le chantage permanent à <em>l’urgence</em> et l’exigence d’une mobilisation « en état d’urgence », guidée par le seul critère de « l’efficacité ». L’urgence est en passe de nous faire admettre ce paradoxe qu’être écologiste c’est accepter par réalisme ou efficacité de transiger avec ce qui est contraire à toute écologie<sup id="footnote_plugin_tooltip_18" class="footnote_plugin_tooltip_text">18</sup><span class="footnote_tooltip" id="footnote_plugin_tooltip_text_18">Jaime Semprun, René Riesel, <em>Catastrophisme, administration du d</em><em>é</em><em>sastre et soumission durable,</em> Encyclopédie des nuisances, 2008.</span>. Je me limiterai donc aux objections suivantes.<a href="https://www.terrestres.org/2018/11/15/la-zad-et-le-colibri-deux-ecologies-irreconciliables/#_ftnref18" name="_ftn18"/></p>
<h1>Idéalisme ou politique</h1>
<p>Il faut se défier de l’idéalisme pour le coup très naïf sur lequel reposent la construction de Cyril Dion (comme d’une autre façon celle de Yuval Noah Harari, dont il s’inspire) : les « fictions » ou « récits » supportant tout l’édifice politique, économique et social, il suffirait de diffuser une « nouvelle histoire » collective pour enclencher un changement de société. Le reproche d’inoffensivité souvent adressé à Dion se comprend : il définit les récits comme « des concepts qui n’existent que dans notre imagination » (p. 54) et qu’on peut ainsi modifier à loisir, selon notre imagination justement, à condition d’être suffisamment nombreux à s’y mettre. Un tel idéalisme (la croyance selon laquelle nos idées s’imposent d’elles-mêmes dans la réalité) est dangereux par l’impuissance pratique et l’aveuglement politique qu’il recèle : contrairement à ce que croit Dion, les récits ne prennent pas le pouvoir seuls, ou parce qu’il serait <em>meilleurs</em> que d’autres. Leur règne s’appuie toujours sur un monopole de la violence physique légitime et des infrastructures <em>mat</em><em>é</em><em>rielles</em>, des intérêts et des rapports de domination, d’exploitation qui sont tout sauf idéels. Si le récit communiste (partagé en Europe jusque dans les années 1980) qui voyait dans l’Armée Rouge le grand vainqueur des armées nazies fut progressivement oublié et supplanté par le récit d’une libération <em>am</em><em>é</em><em>ricaine </em>de l’Europe, ce n’est pas, comme le pense l’auteur, parce que le cinéma américain a produit plus de fictions à ce sujet (p. 53), mais d’abord parce que le contre-poids idéologique que représentait le communisme soviétique s’est militairement et politiquement effondré en 1989<sup id="footnote_plugin_tooltip_19" class="footnote_plugin_tooltip_text">19</sup><span class="footnote_tooltip" id="footnote_plugin_tooltip_text_19">Enzo Traverso,<em> Le pass</em><em>é</em><em>, modes d’emploi</em>, La Fabrique 2014.</span>. Une <em>id</em><em>é</em><em>ologie</em> ne naît ni ne s’impose jamais seule, disait Marx : il est encore utile de connaître les arguments qui lui permettaient d’en faire un principe général<sup id="footnote_plugin_tooltip_20" class="footnote_plugin_tooltip_text">20</sup><span class="footnote_tooltip" id="footnote_plugin_tooltip_text_20">Marx, <em>Avant-Propos</em> de la <em>Contribution </em><em>à</em> <em>la critique de l’</em><em>é</em><em>conomie politique</em> (1859).</span>. C’est quand on mène une vie matériellement douce qu’on est porté à penser que tout peut être transformé en douceur, par l’imagination et la « créativité ». Une résistance fondée sur de telles bases recueillera toujours la bénédiction et le soutien médiatique des pouvoirs en place.</p>
<h1>Une écologie de classe ?</h1>
<p>Du même ordre est la théorie du passage de l’individuel au collectif par capillarité ou viralité : si nous commencions <em>chacun</em> (niveau « micro ») par changer nos représentations et nos désirs (au sujet de la nature, du travail, de l’argent, du vrai bonheur…), alors nous dit en substance Cyril Dion, le grand changement politique (niveau « macro ») vers l’écologie s’ensuivrait, progressivement mais inéluctablement (p. 38, p. 79). Dion imagine un effet boule de neige qui amènerait les actions individuelles à « s’additionner » et à devenir ainsi « le ferment de transformations culturelles plus vastes » (p. 39)<sup id="footnote_plugin_tooltip_21" class="footnote_plugin_tooltip_text">21</sup><span class="footnote_tooltip" id="footnote_plugin_tooltip_text_21">« Petit à petit, ces récits d’un genre nouveau pourraient mâtiner nos représentations, contaminer positivement les esprits, et, s’ils sont largement partagés, se traduire structurellement dans des entreprises, des lois, des paysages » (p. 82).</span> –  sans envisager une fois encore les obstacles matériels et les ripostes politiques qui stopperaient cette croissance si ce nouveau récit heurtait pour de bon certains intérêts (le risque semble faible). Ainsi ce sont bien les transformations individuelles, intérieures, qui sont selon Dion le point de départ et surtout le <em>moteur</em> de toute transformation sociale et politique. Nous voici ramenés à l’intériorité qui avait pourtant été répudiée au début du livre en même temps que la stratégie des « petits gestes » : il s’agit bien, d’abord et surtout, de « changer notre récit personnel » (p. 79). Ce n’est pas une chose sans importance certes – c’est même indispensable. Mais tout au long du livre, il n’est finalement question <em>que</em> de cela. Le colibri, chassé par la porte, revient par la fenêtre : c’est de « l’hygiène de la conscience » (p. 136), du changement intérieur, « acte de résistance particulièrement puissant », que tout doit partir : lui seul « ouvre un espace dans lequel d’autres peuvent s’engouffrer » pour « accorder leur récit à celui que nous avons créé » (p. 79). Or qui est ce <em>chacun</em> d’où le grand changement est censé partir ? Est-ce <em>tout un chacun</em> ? Non, il s’agit plutôt d’une minorité d’individus électifs, lucides, socialement inclinés vers les idées écologistes, qui croient disposer de cette capacité à adopter le nouveau récit proposé par Cyril Dion. C’est d’eux que partiront la dynamique et les « actions inspirantes » de la transformation. Cette écologie d’abord spiritualiste est donc aussi d’une certaine façon une écologie de classe, car pour initier la résistance, elle ne peut que s’adresser à la minorité privilégiée qui possède les dispositions de liberté, de critique, de créativité intellectuelle mais aussi de <em>loisirs</em>, permettant de désirer changer de vie. Elle se coupe par là des catégories sociales moins bien dotées, dont les vies sont infiniment plus contraintes par des formes de servitude économique, et dont les aspirations paraissent étrangères ou hostiles à l’écologie. Une telle écologie risque de ne jamais pouvoir devenir sociale<sup id="footnote_plugin_tooltip_22" class="footnote_plugin_tooltip_text">22</sup><span class="footnote_tooltip" id="footnote_plugin_tooltip_text_22">J.-B. Comby, <em>La question climatique. Gen</em><em>è</em><em>se et d</em><em>é</em><em>politisation d’un probl</em><em>è</em><em>me public</em>, Raisons d’agir, 2015.</span><a href="#_ftn22" name="_ftnref22"/>.</p>
<p><img class="size-full wp-image-1851 aligncenter" src="https://www.terrestres.org/wp-content/uploads/2018/11/ronaldo-santos-569107-unsplash-e1542293638821.jpg" alt="" srcset="https://www.terrestres.org/wp-content/uploads/2018/11/ronaldo-santos-569107-unsplash-e1542293638821.jpg 667w, https://www.terrestres.org/wp-content/uploads/2018/11/ronaldo-santos-569107-unsplash-e1542293638821-300x219.jpg 300w, https://www.terrestres.org/wp-content/uploads/2018/11/ronaldo-santos-569107-unsplash-e1542293638821-575x420.jpg 575w" sizes="(max-width: 667px) 100vw, 667px"/></p>
<h1>Ne pas avoir peur d’être minoritaires</h1>
<p>Plus grave est le conformisme intellectuel et social dans lequel la stratégie majoritaire peut faire tomber l’écologie<sup id="footnote_plugin_tooltip_23" class="footnote_plugin_tooltip_text">23</sup><span class="footnote_tooltip" id="footnote_plugin_tooltip_text_23">J’appelle stratégie majoritaire celle qui donne pour objectif de rassembler le plus rapidement possible « des millions » de personnes. C’est celle des ONG et des activateurs de réseaux sociaux qui ont organisé les dernières marches citoyennes pour le climat, mais aussi celle que C. Dion tient pour seule efficace : « Nous ne parviendrons à véritablement changer les choses que si nous sommes des millions à agir » (p. 80) ; « Le problème est de parvenir à convaincre une majorité de personnes. » (p. 39) « Pour faire muter ou tomber des systèmes, il est nécessaire de faire coopérer des millions de personnes. Et la meilleure façon d’y parvenir est de construire un nouveau récit. » (p. 46.</span>). Vouloir rassembler le plus grand nombre de personnes <em>le plus vite possible</em>, c’est nécessairement mobiliser au moyen du plus petit dénominateur commun, Cyril Dion le reconnaît (p. 119). Comment mettre <em>rapidement</em> l’écologie au centre ? En parlant de ce qui les inquiète à ceux qui ont le temps et les moyens de s’en inquiéter : l’air qu’ils respirent en ville, les pesticides dans leurs assiettes, l’avenir climatique de leurs enfants. Les récentes Marches citoyennes pour le climat n’illustrent-elles pas malgré elles une forme de dépolitisation de l’écologie, engloutie dans l’entonnoir du « tout climatique » et de son imaginaire technophile ? Elles ont mobilisé certes, mais qui et pour quoi ? Sages, citadines, blanches et très diplômées, elles se bornent à vouloir « faire pression » sur les dirigeants (sans contester fondamentalement leur légitimité) pour les pousser à mettre en place au plus vite une économie <em>d</em><em>é</em><em>carbon</em><em>é</em><em>e</em> (mais non moins capitaliste ni moins destructrice des écosystèmes<sup id="footnote_plugin_tooltip_24" class="footnote_plugin_tooltip_text">24</sup><span class="footnote_tooltip" id="footnote_plugin_tooltip_text_24">https://www.nature.com/news/biodiversity-the-ravages-of-guns-nets-and-bulldozers-1.20381</span>), des « énergies 100% renouvelables » – profitables à l’air qu’on respire dans le centre des grandes villes donc, mais guère moins polluantes que les énergies fossiles dans leur cycle de vie complet<sup id="footnote_plugin_tooltip_25" class="footnote_plugin_tooltip_text">25</sup><span class="footnote_tooltip" id="footnote_plugin_tooltip_text_25">Guillaume Pitron, <em>La guerre des m</em><em>é</em><em>taux rares</em>, La Découverte 2017. L’auteur montre que la grande « transition énergétique » vers la batterie électrique (voitures, vélos, trottinettes électriques) n’est en fait rien d’autre qu’un processus égoïste de délocalisation de la pollution, des centre-villes (riches) vers les campagnes (pauvres) où se trouvent les mines d’extraction des métaux rares et les usines de fabrication des batteries.</span> ; une sortie des pesticides – sans s’aviser que l’agriculture industrielle mondialisée, dont les pesticides sont inséparables, n’est à son tour pas séparable du mode de production capitaliste et d’un industrialisme qui permet en France à 4% des actifs de produire presque toute l’alimentation de la population, tout en ruinant les paysans pauvres d’autres pays par l’exportation des excédents. Comment cela serait-il possible sans exploitation ni pollution industrielles ? Bref à vouloir devenir majoritaire trop vite on se heurte au paradoxe de l’auto-réfutation mis en évidence par Serge Moscovici : « la minorité qui bascule trop vite, c’est-à-dire qui adopte trop tôt les formes de relations et de comportements du groupe majoritaire, <em>ne peut pr</em><em>é</em><em>cis</em><em>é</em><em>ment pas devenir majorit</em><em>é </em><em>parce que qu</em><em>’</em><em>elle n</em><em>’</em><em>a plus son influence sp</em><em>é</em><em>cifique</em>. »<sup id="footnote_plugin_tooltip_26" class="footnote_plugin_tooltip_text">26</sup><span class="footnote_tooltip" id="footnote_plugin_tooltip_text_26">Entretien de Serge Moscovici dans <em>Sciences Humaines</em>, avril 1994 (je souligne).</span>. Le fait que la cause écologiste commence en Europe à être plus sérieusement prise en considération par les pouvoirs économique et politique <em>dans la mesure o</em><em>ù </em><em>elle touche les riches</em> – les habitants des centres des « métropoles attractives » qui ne veulent plus respirer un air qui les tue tout en voulant continuer à pouvoir prendre l’avion, maintenir la hiérarchie sociale qui rend possible leur travail et leur salaire, et conserver le confort de leur mode de vie – devrait nous inquiéter plutôt que nous réconforter. Il y a dans ce traitement inéquitable le danger d’un basculement anti-social de l’écologie<sup id="footnote_plugin_tooltip_27" class="footnote_plugin_tooltip_text">27</sup><span class="footnote_tooltip" id="footnote_plugin_tooltip_text_27">h<a href="https://reporterre.net/les-riches-sont-majoritairement-responsables-du-desastre-climatique-qu-est-l">ttps://reporterre.net/Les-riches-sont-majoritairement-responsables-du-desastre-climatique-qu-est-l</a> et l’analyse de Jean Gadrey : <a href="https://blogs.alternatives-economiques.fr/gadrey/2018/11/02/je-n-irai-pas-manifester-pour-le-prix-de-l-essence-mais-essayons-de-comprendre-et-proposons-des-alternatives">https://blogs.alternatives-economiques.fr/gadrey/2018/11/02/je-n-irai-pas-manifester-pour-le-prix-de-l-essence-mais-essayons-de-comprendre-et-proposons-des-alternatives</a></span>. Le rejet de la conflictualité, l’éloge du consensus, l’appel à l’union sacrée autour de la « cause commune » de l’écologie dissimulent, sous la rhétorique majoritaire qui réclame des objectifs soit-disant « pragmatiques et non-clivants », la domination d’intérêts qui sont ceux de la classe sociale des gagnants de la mondialisation.</p>
<p>En segmentant les problèmes, en les détachant du tout, c’est-à-dire du système qui leur donne naissance, la stratégie majoritaire court enfin le risque d’une défaite par substitution. A ramener par exemple l’écocide au seul problème du « réchauffement climatique » et celui-ci à l’objectif quantitatif de réduire nos émissions de gaz à effet de serre, le sens du phénomène global de l’exploitation et de la destruction de la vie est perdu de vue et réduit à une série de problèmes techniques portant sur la manière dont nous obtenons et produisons l’énergie que nous consommons. Mais changer de <em>mode</em> d’énergie (en passant des fossiles aux renouvelables) sans questionner ce que nous <em>faisons </em>de l’énergie ainsi produite ni le type de société (productiviste, consumériste, inégalitaire) que nous entretenons de la sorte, suffit-il à stopper la catastrophe en cours, par exemple l’extermination de la vie sur Terre ? La réponse, documentée par les écologues, est négative<sup id="footnote_plugin_tooltip_28" class="footnote_plugin_tooltip_text">28</sup><span class="footnote_tooltip" id="footnote_plugin_tooltip_text_28"><a href="https://www.nature.com/news/biodiversity-the-ravages-of-guns-nets-and-bulldozers-1.20381">https://www.nature.com/news/biodiversity-the-ravages-of-guns-nets-and-bulldozers-1.20381</a></span>. On peut très bien « tout changer pour que rien ne change », selon le mot du prince Salina dans le <em>Gu</em><em>é</em><em>pard</em>, et le système capitaliste est toujours prêt à accompagner (y compris médiatiquement) une « révolution » ou une « transition énergétique » de ce genre, qu’on la baptise croissance verte, développement durable ou économie circulaire : elle n’entamera en rien son hégémonie, ni le processus de pollution et de destruction de la biosphère. La question est donc de savoir si un compromis provisoire avec le système économique et politique responsable du désastre est possible, et sinon, quelle voie peut nous permettre de le faire plier, sans nécessairement faire du point d’aboutissement de cette lutte (la sortie du capitalisme) le prérequis dogmatique de toute mobilisation. Contre la stratégie majoritaire il faut repenser les possibilités du contre-pouvoir minoritaire. Cela nous évitera de nous représenter le peuple comme une masse informe et impotente qu’il faut organiser de l’extérieur (p. 109), selon les méthodes de tel ou tel promoteur des révolutions pacifiques, comme Popovic pris en exemple par Dion (p. 121 sq.).</p>
<h1>Refuser les causalités désarmantes</h1>
<p>J’ai plusieurs fois mentionné le vague de certains concepts-clés que Cyril Dion utilise souvent sans en proposer de définition opératoire. Ainsi du « consumérisme », de la « modernité », du « néo-libéralisme » ou du « capitalisme ». Réduits à des entités abstraites et creuses, ces grandes catégories générales fonctionnent comme des cautions de radicalisme données au lecteur. En réalité ce sont des leurres, des fétiches qu’on peut dénoncer sans fâcher personne, car ils ne sont rien de déterminable : ni personnes, ni classes sociales. On connaît la capacité d’un système à changer de nom (si on ne l’attaque que par là) pour récupérer et neutraliser les revendications minoritaires. Sorti des nuages de l’abstraction, le capitalisme doit être étudié et défini comme un phénomène <em>historique</em>, un système social ou civilisationnel, et comme une dynamique totalisante, donc aussi comme une machine de guerre, qui ne se laissera pas « réformer » sans chercher à écraser son adversaire par tous les moyens<sup id="footnote_plugin_tooltip_29" class="footnote_plugin_tooltip_text">29</sup><span class="footnote_tooltip" id="footnote_plugin_tooltip_text_29">Pour une présentation des débats autour du « capitalocène », cf. C. Bonneuil, J.-B. Fressoz, <em>L’</em><em>é</em><em>v</em><em>é</em><em>nement Anthropoc</em><em>è</em><em>ne</em>, rééd. Seuil 2016, chapitre 10.</span>. Plus pernicieuse encore est à ce titre la <em>naturalisation</em> des causes de la catastrophe, qui s’exprime déjà dans l’adoption récente du mot « Anthropocène » pour la désigner. Vulgarisant le récit scientifique dominant, ce serait, expliquent les auteurs de best-sellers comme George Marshall ou Y. N. Harari, des mécanismes <em>naturels</em>, héritage de notre évolution génétique et neuro-psychologique, qui expliqueraient la tendance éternelle de « l’espèce humaine » à dévaster son environnement naturel, ou à s’aveugler face au dérèglement climatique. Le potentiel anti-écologiste de ce naturalisme scientiste est dévastateur. Ce qui nous conduit à notre dernière remarque.</p>
<h1>Faut-il évacuer les affects « négatifs » ?</h1>
<p>Depuis le récent succès du pessimisme collapsologique, anticipant peut-être une forme de ringardisation médiatique, Cyril Dion s’est défendu d’être le promoteur d’une écologie « sympa » et joyeuse – c’est-à-dire en fait frivole et inoffensive – affirmant qu’il avait toujours été, non moins que les collapsologues, catastrophé sinon catastrophiste. La <em>feel good ecology</em> était pourtant bien le projet du film <em>Demain</em>, visible dès son <em>incipit</em><em> </em>: à peine convoquée sous la figure d’un bref entretien avec deux scientifiques, la question pourtant essentielle (mais clivante) de la catastrophe est immédiatement et définitivement congédiée du film (avec la musique qui va bien) au motif que les gens en ont assez des mauvaises nouvelles et veulent des raisons d’espérer pour agir. L’écologie doit-elle accepter l’alternative entre être jugée « déprimante » et s’obliger à « positiver », à devenir joyeuse et <em>fun</em> pour toucher un public plus large qui, à ce qu’il paraît, ne voudrait pas de « mauvaises nouvelles » ? Les gens n’agiront que si on leur propose un programme d’action en forme de challenge narcissique, assez semblable aux « 30 jours pour retrouver sans effort une silhouette de rêve » des magazines dits féminins : tel est le message désolant auquel aboutit la <em>feel good ecology</em> dans certaines des dernières initiatives « citoyennes » à succès sur les réseaux sociaux<sup id="footnote_plugin_tooltip_30" class="footnote_plugin_tooltip_text">30</sup><span class="footnote_tooltip" id="footnote_plugin_tooltip_text_30"><a href="https://onestpret.fr">onestpret.fr</a></span>. L’impératif ludique, l’obligation sociale de la bonne humeur sont en passe de cannibaliser toute prise de conscience sérieuse de la réalité de l’écocide en cours<sup id="footnote_plugin_tooltip_31" class="footnote_plugin_tooltip_text">31</sup><span class="footnote_tooltip" id="footnote_plugin_tooltip_text_31">Cf. Edgar Cabanas et Eva Illouz, <em>Happycratie, Comment l’industrie du bonheur a pris le contr</em><em>ô</em><em>le de nos vies,</em> Premier parallèle, 2018.</span>. Or que dit de nous cette incapacité et cette angoisse à regarder fermement, en face, nos destructions et le fonctionnement réel, matériel, de notre civilisation moderne ? Que penser de l’idée, plus funeste encore, que cette incapacité serait <em>naturelle</em>, que le « cerveau humain » ne serait pas <em>fait</em> pour prendre en charge de si mauvaises nouvelles, qu’il faudrait l’en <em>prot</em><em>é</em><em>ger</em> et que l’écologie, pour mobiliser, devrait donc <em>é</em><em>pargner</em> au public un contact prolongé ou trop approfondi avec la réalité de l’extinction<sup id="footnote_plugin_tooltip_32" class="footnote_plugin_tooltip_text">32</sup><span class="footnote_tooltip" id="footnote_plugin_tooltip_text_32">C’est tout le thème du best-seller de G. Marshall, <em>Le syndr</em><em>ô</em><em>me de l’autruche</em> (Actes Sud 2017), qui ne fait que vulgariser une théorie aujourd’hui dominante dans la psychologie positive expérimentale.</span> ? Contre cela, il y a plus que jamais lieu de réaffirmer la vertu des affects dits négatifs (la peur, l’effroi, mais aussi la colère<sup id="footnote_plugin_tooltip_33" class="footnote_plugin_tooltip_text">33</sup><span class="footnote_tooltip" id="footnote_plugin_tooltip_text_33">« L’heuristique de la peur » développée en 1979 par Hans Jonas dans le <em>Principe Responsabilit</em><em>é</em> est aussi souvent citée que caricaturée et mal connue.</span>), d’investiguer en profondeur, comme le proposait il y a un demi-siècle Günther Anders, « les causes de notre aveuglement face à l’apocalypse » que nous avons produite, et d’éduquer au courage de regarder celle-ci <em>en face</em>. Car quelque frayeur ou tristesse que ce regard dans ce qui est nous inflige d’abord, lui seul nous permettra d’apercevoir la racine du mal et peut-être de l’arracher. Entretenir l’illusion infantilisante d’une transition écologique douce et presque festive, revient à rester dans le train de notre civilisation en chantant pour que les conducteurs ralentissent un peu leur course.</p>
<p><img class="wp-image-1853 aligncenter" src="https://www.terrestres.org/wp-content/uploads/2018/11/Workshop_Tools_4245301105-e1542294025263.jpg" alt="" srcset="https://www.terrestres.org/wp-content/uploads/2018/11/Workshop_Tools_4245301105-e1542294025263.jpg 807w, https://www.terrestres.org/wp-content/uploads/2018/11/Workshop_Tools_4245301105-e1542294025263-300x247.jpg 300w, https://www.terrestres.org/wp-content/uploads/2018/11/Workshop_Tools_4245301105-e1542294025263-768x633.jpg 768w, https://www.terrestres.org/wp-content/uploads/2018/11/Workshop_Tools_4245301105-e1542294025263-696x574.jpg 696w, https://www.terrestres.org/wp-content/uploads/2018/11/Workshop_Tools_4245301105-e1542294025263-510x420.jpg 510w" sizes="(max-width: 655px) 100vw, 655px"/></p>
<h1>Pour conclure</h1>
<p>Au final, le livre de Cyril Dion apparaît représentatif de certaines des contradictions de l’écologie majoritaire. Celle-ci hésite et oscille en permanence entre une conscience qui s’aiguise de la gravité du désastre en cours (on le voit à la lecture du chapitre 1 du livre, dont on a souligné l’importance), et la crainte de devenir minoritaire, de se couper du public et des médias si elle bascule vers des propositions trop radicales. C’est ce qui explique qu’au long de son livre, Cyril Dion reprenne sans cesse d’une main ce qu’il vient d’accorder de l’autre, qu’il se donne des apparences de radicalité en dénonçant « le capitalisme », sans jamais en assumer les conséquences. Ainsi il déclare ne plus croire à la stratégie du changement individuel, mais il ressort finalement que tout part de là et en dépend ; il vilipende le capitalisme mais ne prend pas le temps de se renseigner plus sérieusement auprès des sciences humaines sur ce qu’il est ; il estime les responsables politiques impuissants et égoïstes, mais explique que de grandes marches pacifiques suffiront pour les faire changer du tout au tout ; les politiques de Responsabilité Sociétale des Entreprises (RSE) sont un leurre, mais il faut « collaborer avec les entrepreneurs », comme il faut collaborer avec les responsables politiques<sup id="footnote_plugin_tooltip_34" class="footnote_plugin_tooltip_text">34</sup><span class="footnote_tooltip" id="footnote_plugin_tooltip_text_34">Pour un bilan de la collaboration d’ONG comme <em>Greenpeace</em> et <em>The Forest Trust</em> avec les grands producteurs et négociants d’huile de palme en Indonésie: <a href="https://abonnes.lemonde.fr/planete/article/2018/09/19/encore-beaucoup-d-huile-de-palme-sale-dans-nos-assiettes-et-nos-produits-de-beaute_5356988_3244.html?xtmc=huile_de_palme&amp;xtcr=12">https://abonnes.lemonde.fr/planete/article/2018/09/19/encore-beaucoup-d-huile-de-palme-sale-dans-nos-assiettes-et-nos-produits-de-beaute_5356988_3244.html?xtmc=huile_de_palme&amp;xtcr=12</a></span> ; il faut une « mutation complète » de notre société consumériste et néolibérale, mais le chemin de cette mutation doit être non clivant et fédérateur (selon le slogan « Tous ensemble pour le climat ») ; la stratégie des « petits pas » ne suffit pas, mais le chapitre 6 décrit une stratégie qui est exactement celle des petits pas, et ainsi de suite. Face à ces contradictions et ces tours de passe-passe permanents, l’écologie radicale doit plus que jamais être le taon socratique qui par ses piqûres oblige l’écologie réformiste à se dépouiller des « opinions » anti-écologistes que le système dominant glisse en permanence dans sa tête.</p>
