title: Internet et lutte des classes
url: http://revueperiode.net/internet-et-lutte-des-classes/
hash_url: 637a090890f6a6da12da087d45b0fe58

<p>Souvent négligée par les marxistes, la communication et les réseaux sociaux jouent un rôle central dans le capitalisme contemporain. A partir d’une lecture approfondie de Marx et enrichie des études post-coloniales et du féminisme, Christian Fuchs présente dans cet entretien une critique de l’économie politique des réseaux sociaux. Ainsi, il montre que l’émergence d’Internet joue à la fois un rôle stratégique pour l’accumulation du capital et remplit une fonction idéologique, mais contient également une vulnérabilité aux crises. À partir de cette critique, il souligne les perspectives de luttes autour d’Internet et les contours d’un Internet libéré de l’emprise du capital.</p>
<p><em>Votre livre Digital Labour and Karl Marx offre une analyse stimulante de choses apparemment anodines, telles que surfer sur internet, utiliser les réseaux sociaux… Qu’est-ce qui vous a motivé de développer une théorie marxiste de la communication ?</em></p>
<p>Marx en avait déjà beaucoup dit sur les moyens de communication. Or, cette dimension est souvent sous-estimée et traitée comme une question dite des « superstructures », c’est-à-dire comme une dimension secondaire du social. La théorie marxiste a jusqu’ici largement négligé la communication. Dans la dernière décennie, David Harvey a provoqué un véritablement bouleversement dans la théorie marxiste, en y mettant à l’honneur l’espace et la géographie. Dans une certaine mesure, la dimension strictement temporelle au sein de l’économie politique critique a perdu en intérêt. Le temps n’est pas la seule modalité d’organisation de l’espace social, ce dernier l’est aussi dans et à travers les pratiques communicatives. Le travail humain en tant que tel nécessite de la communication pour exister comme activité sociale. Par conséquent, je défends un tournant dans la théorie marxiste qui mette à l’honneur la communication. C’est aussi le fil rouge de mon nouveau livre après <em>Digital Labour and Karl Marx</em> (2014) et <em>Culture and Economy in the Age of Social Media</em> (2015). Ce nouvel ouvrage s’intitule <em>Reading Marx in the Information Age: A Media and Communication Studies Perspective on Marx’ “Capital Volume 1</em><em>” </em>(2016). Il s’agit d’une sorte de <em>Lire le Capital</em> à l’âge de la communication, mais ce serait un « lire <em>Le Capital</em> » anti-althussérien, inscrit dans le marxisme hégélien de la « dialectique systématique » et porteur de l’héritage de l’humanisme marxien.</p>
<p><em>Dans </em>Culture and Society<em> Raymond Williams met en avant la nécessité d’une « théorie marxiste de la culture », une chose que Marx a « abordé » mais « jamais vraiment développé<sup><a href="#footnote_0_3844" id="identifier_0_3844" class="footnote-link footnote-identifier-link" title="https://ia802708.us.archive.org/32/items/culturesociety17001850mbp/culturesociety17001850mbp.pdf, p. 283-287">1</a></sup> ». Comment se positionnent les études culturelles et en communication actuelles par rapport au marxisme ?</em></p>
<p>Les études en communication trouvent leurs origines dans les « relations publiques », qui continuent de tenir le haut du pavé. Dans son ensemble il s’agit donc d’un champ très administratif et pétri d’idéologie. Toutefois, au fil des décennies le champ de l’économie politique critique de la communication s’est développé, surtout en Grande-Bretagne, aux États-Unis et au Canada. Et ce champ s’est intéressé aux approches critiques et marxistes de l’économie politique. Parmi les représentants importants figurent par exemple Dallas Smythe, Herbert Schiller, Dan Schiller, Graham Murdock, Peter Golding, Vincent Mosco, Janet Wasko, James Curran, Colin Sparks, Eileen Meehan et d’autres. En France Armand Mattelart pourrait être considéré comme son représentant principal, dans la mesure où il a édité les deux volumes de la collection <em>Communication and Class Struggle</em>. En tant que sous-champ des études en communication l’économie politique critique de la communication a cependant souffert d’un manque d’intimité avec les textes de Marx. Les études critiques de la communication et des médias ont traversé le recul des années 1980, 1990 et 2000, avec la montée du néolibéralisme, du postmodernisme et des « politiques de l’identité » (<em>identity politics</em>). Depuis le début de la nouvelle crise du capitalisme en 2008 l’intérêt renouvelé pour Marx a aussi touché les études en communication et des médias. La revue tripleC : <em>Communication, Capitalism &amp; Critique</em> (<a href="http://www.triple-c.at/">http://www.triple-c.at</a>) que j’anime avec Marisol Sandoval est devenue la revue principale de la recherche en communication marxiste. En 2012 nous avons publié un grand numéro spécial intitulé « Marx Is Back: De l’importance de la théorie marxiste et de la recherche pour des études en communication critiques aujourd’hui », co-coordonné par Vincent Mosco et moi-même. L’année dernière, une version actualisée de ces articles a été publiée en deux volumes chez Brill. Elle s’appelle <em>Marx and the Political Economy of the Media</em> and <em>Marx in the Age of Digital Capitalism</em>, et la version livre de poche sera publiée en automne.</p>
<p><em>Pour discuter le travail numérique la théorie de la valeur de Marx semble instructive. Dans quelle mesure les débats actuels autour de la </em>Neue Marx Lektüre<em> nous aident à comprendre le travail numérique ?</em></p>
<p>On peut comprendre les nouvelles lectures de Marx dans un sens général et dans un sens spécifique. En général, la relecture de Marx est un projet très important et nous devrions adopter une attitude hétérodoxe et renforcer la lecture de Marx partout où c’est possible. De nouvelles interprétations émergent toujours avec l’intérêt renouvelé pour Marx des jeunes générations. D’un point de vue plus spécifique, la <em>Neue Marx Lektüre</em> est une école allemande de confrontation avec Marx. Elle trouve ses origines dans les travaux de Helmut Reichel et Hans-Georg Backhaus. Aujourd’hui Michael Heinrich en est le représentant principal. Cette approche pose de nombreux problèmes, par exemple son approche très allemande de Marx, qui impose à toute interprétation de se référer à Marx dans le texte, ce qui invalide toutes les interprétations non-allemandes, internationales de Marx. L’autre problème devient évident si on lit des livres de Heinrich, Reichelt et Backhaus : la communication n’y est pas discutée du tout.</p>
<p>À ce point, je voudrais éviter un malentendu : mon approche n’a rien à voir avec le projet théorique d’une « raison communicationnelle » à la Habermas, qui n’a de toutes façons plus grand chose à voir avec Marx. Je défends une théorie marxiste de la communication et du capitalisme qui est dialectique et matérialiste. Mes points de départ principaux sont Hegel, Marx, Marcuse, Dallas Smythe et Raymond Williams.</p>
<p><em>Vous estimez qu’à l’issue de la Bulle Internet en 2000, de nouvelles stratégies d’accumulation du capital pour l’économie capitaliste d’internet ont été mises en œuvre. Aujourd’hui l’internet est souvent présenté comme un espace permettant une culture participative et une nouvelle démocratie. Quelle stratégie a été développée ?</em></p>
<p>L’émergence de ce qu’on appelle le web 2.0 fut à la fois une idéologie et une stratégie d’accumulation du capital : il a promis de nouveaux profits énormes, ce qui a permis d’attirer de nouveaux investisseurs financiers. Il a promis un Internet participatif de « prosommateurs », une publicité de plus en plus ciblée et une exploitation du travail numérique accrue à travers le crowdsourcing, qui a vu son heure de gloire dans le soi-disant « nouveau réseau (new web) ». Google et Facebook ne sont pas des entreprises de communication mais les plus grandes agences publicitaires du monde. Les « réseaux sociaux », c’est de la publicité ciblée.</p>
<p><em><br/>
Tout en vous opposant à la notion de travail immatériel vous argumentez que sur Facebook, YouTube et Twitter tout temps de consommation est du temps de production de marchandises. Pourriez-vous expliquer la notion de « prosommateur » ?</em></p>
<p>À la base, cette idée vient de la théorie bourgeoise de la troisième vague d’Alvin Toffler. Il a vu un potentiel économique et démocratique majeur dans la prosommation. Mon interprétation n’est pas basée sur Toffler mais sur la théorie de la marchandise d’audience et du travail d’audience de Dallas Smythe : les publics de médias financés par la publicité « produisent » leur propre audiences, qui est vendue comme marchandise à des publicitaires. Ainsi, ils sont des travailleurs de l’audience. Sur les réseaux sociaux, nous pouvons dire que les utilisateurs sont des producteurs de valeur, réifiés dans des données, qui est vendue en tant que marchandise aux clients de la publicité ciblée de Google, Facebook, Weibo, Baidu etc. Ils sont des travailleurs numériques dans le contexte des réseaux sociaux. Le travail immatériel n’est pas un concept théoriquement précis parce que dans une théorie matérialiste de la société il n’y a rien d’immatériel. Parler d’immatérialité est dualiste et a des implications assez religieuses, à savoir que la matière et l’esprit sont les deux substances dont le monde est fait. Je préfère parler de travail mental/informationnel/culturel. Dans une théorie matérialiste de la culture, l’information est produite par du travail culturel et c’est ainsi qu’il est économique et matériel. En même temps, la culture et l’information ne sont pas limitées à l’économie mais dépassent l’économie et prennent effet sur toute la société. Dans le livre <em>Culture and Economy in the Age of Social Media</em> (2015 je base l’étude marxiste de la communication et des médias numériques sur le matérialisme culturel de Rayomond Williams afin de reconceptualiser le rapport entre la culture et l’économie ou entre la « base » et la « superstructure ».</p>
<p><em>Comment le travail d’audience fonctionne-t-il sur les réseaux sociaux ?</em></p>
<p>Je souligne comment cela peut être compris à partir de la théorie marxiste dans les chapitres 4 et 12 de <em>Digital Labour and Karl Marx </em>et dans le chapitre 5 de <em>Culture and Economy in the Age of Social Media</em>. C’est devenu un débat théorique assez sophistiqué qui entre dans beaucoup de détails de la théorie de la valeur de Marx. Pour en avoir une compréhension complète, je ne peux que vous renvoyer vers ces chapitres. La théorie de la valeur de Marx à l’heure d’internet ne peut pas être expliquée en deux minutes, il faut des heures, voire des jours. Dans le cas des médias de masse classiques, on rencontre des « audiences ». Sur les réseaux sociaux, nous sommes partiellement des audiences lorsque nous regardons des vidéos sur YouTube, lisons des statuts sur Facebook et Twitter, etc. Bien entendu, c’est du travail d’audience que de prêter attention aux publicités et, selon moi, cela produit de la valeur. Or, de temps en temps, nous nous transformons d’audience en utilisateurs productifs, qui créons des valeurs d’usage sociales, qui sont réifiés dans du « contenu généré par les utilisateurs » incluant des textes, des vidéos, des images, des commentaires, etc. Ces valeurs d’usage ont une valeur et une valeur d’échange si nous les créons sur des plateformes basées sur des publicités ciblées : ces plateformes vendent ces données aux clients de publicités qui acquièrent la possibilité de présenter des publicités ciblées dans nos profils sur les réseaux sociaux. Plus nous passons du temps sur ces plateformes de publicités ciblées, plus nous produisons des données transformées en marchandises, plus nous sommes exposés à des publicités ciblées, et plus la probabilité que nous cliquions sur ces publicités augmente. Voilà les bases de la loi de la valeur sur les plateformes de réseaux sociaux. En même temps, il faut souligner que cette valeur ne se traduit pas automatiquement en profits, parce qu’en moyenne, les gens ne cliquent que sur une publicité ciblée sur 1000. Par conséquent, la transformation du travail exploité, qui produit de la valeur sur les réseaux sociaux, en profits est hautement incertaine. Cette incertitude se trouve au cœur de la financiarisation des réseaux sociaux. Ainsi, les réseaux sociaux capitalistes, basés sur la publicité ciblée, font à la fois avancer l’exploitation du travail – ce qui signifie qu’ils approfondissent la division en classes – et progresser les incertitudes et la propension aux crises du capitalisme. C’est la dialectique structurelle antagonique dans laquelle l’accumulation du capital se trouve à l’heure des réseaux sociaux.</p>
<p><em>Comment des notions comme le « travail non-payé » (Silvia Federici) et l’« usine sociale » (Mario Tronti) permettent-elles d’articuler l’économie politique marxiste des médias et de la communication au féminisme et aux études de la race et du post-colonialisme ?</em></p>
<p>Pour moi le dénominateur commun est la théorie de l’accumulation primitive continuée de Rosa Luxemburg : le capitalisme a besoin de milieux d’accumulation primitive, qu’il continue à exploiter afin d’assurer son existence. Les formes de travail non-payés, précaires, basés sur le crowdsourcing, informelles, temporaires, etc., sont des milieux d’accumulation primitive continuée qui se distinguent par de hauts niveaux d’exploitation. Bien entendu, il y a d’importantes différences sociales entre l’exploitation coloniale, l’exploitation des travailleurs domestiques et l’exploitation des utilisateurs. Or, ils réalisent tous un travail peu ou non-payé et sont pour cette raison des composantes nécessaires de la reproduction du capitalisme contemporain et font partie de la classe ouvrière contemporaine. Il existe une tendance chez certains observateurs de séparer les rapports de classes pour dire que les différents rapports économiques sont totalement incomparables. C’est une absurdité et c’est idéologiquement dangereux parce que ce n’est que dans la mesure où les exploités sont à mêmes de s’unir que nous serons capables d’abolir le capitalisme.</p>
<p><em>Depuis les années 1980 il y a un intérêt croissant pour la concept de la société de l’information. Comment la distinction de Marx entre les forces productives et les rapports de production peut-elle nous aider à comprendre les débats concernant la société de l’information ?</em></p>
<p>J’ai écrit un chapitre dans <em>Digital Labour and Karl Marx</em> qui base la question du rapport entre le capitalisme et la société de l’information sur l’essai et un cours magistral de 1968 d’Adorno : <em>Late Capitalism or Industrial Society? The Fundamental Question of the Present Structure of Society</em>. La théorie bourgeoise de la société de l’information a tendance à affirmer que la société de l’information/de la connaissance/du réseau/numérique/post-industrielle a remplacé le capitalisme. En réaction, les marxistes tendent à dénoncer ce discours comme idéologique et à souligner que nous vivons toujours dans une société capitaliste. Les deux positions sont uni-dimensionnelles. Le capitalisme doit constamment changer afin de rester lui-même. Il se développe en phases. Les rapports de production sont des rapports de classe capitalistes et constituent une économie capitaliste. L’économie de l’information est un mode d’organisation spécifique des forces productives. Or, l’économie de l’information capitaliste n’est pas la seule dimension des forces productives. Nous ne vivons pas seulement sous le capitalisme informationnel mais en même temps aussi sous le capitalisme financier, le capitalisme hyper-industriel, le capitalisme des mobilités, etc. Il y a des modalités distinctes d’organisation de forces productives et des rapports de classes qui sont interconnectés et constituent une pluralité dynamique et diverse des capitalismes. C’est ainsi qu’ils forment une unité d’exploitation et un seul capitalisme global. Pour plus de détails cela vaut la peine de lire le chapitre 5 de <em>Digital Labour and Karl Marx</em>.</p>
<p><em>Dans le Capital volume I Marx indique que « nous avons à souffrir non seulement de la part des vivants, mais encore de la part des morts</em><sup><a href="#footnote_1_3844" id="identifier_1_3844" class="footnote-link footnote-identifier-link" title="https://www.marxists.org/francais/marx/works/1867/Capital-I/kmcapI-pref.htm">2</a></sup><em>. » Dans cette perspective des penseurs comme Jairus Banaji et Harry Harootunian soutiennent que contrairement au stalinisme et au marxisme vulgaire il n’existe pas qu’une seule forme de travail et d’appropriation de la plus-value historique pour un mode de production donné. En effet, « les pratiques survivantes de modes de production précédents n’ont pas été des vestiges », désormais elles agissent « dans un environnement historique différent servant la poursuite de la plus-value</em><sup><a href="#footnote_2_3844" id="identifier_2_3844" class="footnote-link footnote-identifier-link" title="HAROOTUNIAN, Harry, Marx after Marx, p. 11.">3</a></sup><em> ». À quoi ressemblent les chaînes de valeurs spécifiques et la nouvelle division internationale du travail numérique sur lesquelles est basé le travail dans les technologies de l’information et de la communication ?</em></p>
<p>Staline et le marxisme orthodoxe n’ont pas compris le concept de mode de production et l’ont transformé en une interprétation de l’histoire logiquement déterministe et politiquement terroriste.</p>
<p>Dans les sociétés de classes un mode de production n’en élimine pas un autre, il y a un dépassement dialectique. Ainsi, le féodalisme, le patriarcat, l’esclavage, etc., continuent à exister sous le capitalisme. La division internationale du travail numérique, qui est le mode d’organisation de la production des médias numérique, présente des formes d’exploitation diverses, y compris du travail d’esclave au Congo, des travailleurs à la chaîne tayloriste chez Foxconn, des travailleurs précaires de l’information, des travailleurs au salaire élevé chez Google etc. Nous avons donc une aristocratie ouvrière numérique, des prosommateurs numériques non-payés, des crowd workers précaires, etc. En fin de compte une poignée d’individus profite de l’exploitation de la majorité dans la division internationale du travail numérique.</p>
<p><em>Des soulèvements récents ont souvent été décrits comme des « révolutions Twitter » ou des « révoltes Facebook ». Quel est le rôle stratégique des réseaux sociaux dans les luttes sociales ?</em></p>
<p>D’un côté il y a des auteurs techno-euphoriques qui disent que les réseaux sociaux causent des révolution et des soulèvements. C’est une argumentation uni-dimensionnelle et techno-déterministe. De l’autre côté des théoricien radicaux comme David Harvey, Noam Chomsky ou Slavoj Žižek rejettent totalement le rôle des médias numériques dans les révolutions et affirment que ce sont les corps dans les rues qui comptent. Tout cela relève de la spéculation. Nous avons besoin d’une sociologie marxiste empirique pour répondre à la question du rôle des réseaux sociaux et des médias numériques dans les mouvements sociaux. Mon livre <em>OccupyMedia! The Occupy Movement and Social Media in Crisis Capitalism</em> représente une tentative de ce type. Il existe une dialectique du en ligne/hors ligne, des médias traditionnels et nouveaux, du face à face et de la médiation, etc. Le problème est que les principaux médias numériques sont capitalistes et bureaucratiques dans leur caractère, ce qui, en plus du problème de la surveillance étatique, pose le problème de l’exploitation du travail numérique des militants des mouvements sociaux.</p>
<p><em>Evgeny Morozov suggère de « socialiser les centres de données</em><sup><a href="#footnote_3_3844" id="identifier_3_3844" class="footnote-link footnote-identifier-link" title="https://newleftreview.org/II/91/evgeny-morozov-socialize-the-data-centres">4</a></sup><em> ». Vous insistez sur la nécessité d’un internet basé sur des </em>commons<em>. A quoi ressemblerait une plate-forme de réseaux sociaux basée sur les </em>commons<em> ?</em></p>
<p>Evgeny Morozov est un des sceptiques de l’euphorie des médias numériques. Mais avant de devenir sceptique il était un optimiste techno-déterministe. Ainsi, il a radicalement changé sa position. C’est un bon journaliste. Ses courts articles sont très bien et provocateurs. Or, ses livres sont horribles à lire parce qu’il n’a aucune idée de la théorie marxiste et de la théorie sociale en général. Pour moi, il s’agit avant tout d’un journaliste critique. Paul Mason est un exemple similaire. Lorsque de tels journalistes écrivent des livres, le résultat tend à être théoriquement superficiel. L’idée de socialiser les centres de données est certainement importante. Mais l’enjeu est plus grand : nous devons dépasser la marchandisation en général et lutter pour une société démocratico-commoniste et socialiste, le commonisme comme nouveau socialisme. Des changements politico-économiques sont la condition préalable pour des médias alternatifs et des plateformes d’internet alternatives. Dans le cadre du capitalisme les plateformes internet et les médias alternatifs font face au problème du travail précaire et auto-exploité, du manque de ressources et de la compétition avec des monopoles capitalistes. Il y a aussi le problème qu’au sein du capitalisme des projets basés sur les <em>commons</em> comme les logiciels libres se transforment bêtement en chantiers de travail non payé au service du capital, et contribuent de manières multiples au profit d’entreprises privées. C’est pour cette raison qu’il faut un soutien politique. Mes propositions incluent de taxer la publicité et les entreprises, et de créer une taxe des médias participatifs qui finance des plateformes alternatives. Pour plus de détails, rendez-vous sur <a href="http://www.triple-c.at/index.php/tripleC/article/view/661/670">http://www.triple-c.at/index.php/tripleC/article/view/661/670</a>. La taxe des médias participatifs serait une combinaison de politiques de la société civile et de l’État. Mais nous avons également besoin de plateformes internet du service public. Un réseau de diffuseurs du service public pourrait par exemple développer une alternative à YouTube, qui ne serait basée ni sur les profits, ni sur la publicité. Elle rendrait accessible l’ensemble des archives programmatiques de ses chaînes sous format numérique, en utilisant la licence Creative Commons pour que les utilisateurs puissent réutiliser et transformer tout ce contenu. En tant que réseaux les universités publiques pourraient développer des moteurs de recherche alternatifs et d’autres projets alternatifs en ligne. Internet a commencé dans les universités, et il est temps que son contrôle y revienne partiellement. D’autres parties devraient être contrôlées par la société civile et des organisation médiatiques du service public.</p>
<p>En fin de compte, politiquement il s’agit de développer des alternatives au néolibéralisme et au capitalisme. Dans le cadre du capitalisme un Internet capitaliste se développera. Internet est contradictoire et des économies politiques diverses y entrent en collusion. Seule la lutte sociale pour des alternatives au capitalisme peut créer une société juste et un Internet juste. Ni l’un ni l’autre n’existe pour l’instant. Actuellement, nous faisons face au danger d’une montée d’une nouveau fascisme, un nouveau nationalisme, de racismes nouveaux, etc. qui menacent de provoquer une nouvelle guerre mondiale. Aujourd’hui c’est à nouveau l’alternative d’Engels et de Luxemburg : soit nous aurons le socialisme soit la barbarie… La dernière est plus probable, sauf si des luttes sociales massives pour le socialisme l’empêchent.</p>
<p><strong><em>Propos recueillis et traduits par Benjamin Birnbaum</em></strong>.</p>
