title: Custom domains for publications
url: https://medium.com/the-story/custom-domains-for-publications-8cb161d9651
hash_url: 8b803002dfeb63a0bc34ab74cba424e4

<p name="d162" id="d162" class="graf--p">Everyone who posts on Medium <a href="https://medium.com/policy/9db0094a1e0f#43c2" data-href="https://medium.com/policy/9db0094a1e0f#43c2" class="markup--anchor markup--p-anchor">already owns the rights to the original content they publish</a>, but many have also expressed a desire to host Medium stories at their own domain.</p><p name="3d1f" id="3d1f" class="graf--p">We understand this. We want Medium to be the place for everyone’s stories and ideas, but that doesn’t mean that everyone’s stories have to live at medium.com.</p><blockquote name="5ea3" id="5ea3" class="graf--pullquote pullquote">Today, we’re happy to announce that we are taking the first steps towards making this a reality with the limited beta launch of custom domains.</blockquote><p name="f243" id="f243" class="graf--p">Participating publications will be able to choose a domain where they want their stories to live, and we’ll take care of the rest.</p><p name="df43" id="df43" class="graf--p">These publications will retain all the benefits of being part of the Medium network: a fully hosted writing platform, distribution of stories to a community of engaged and thoughtful readers, the clean aesthetic for which Medium is known, and innovative features like <a href="https://medium.com/the-story/text-shots-3f82f2536cc" data-href="https://medium.com/the-story/text-shots-3f82f2536cc" class="markup--anchor markup--p-anchor">Text Shots</a>. And, they can continue to build a brand around a domain name that is wholly theirs.</p><p name="6975" id="6975" class="graf--p">We’re starting out with a <strong class="markup--strong markup--p-strong">very limited beta</strong> for a select few publications. We are delighted to have partnered with New America to bring you <a href="https://context.newamerica.org" data-href="https://context.newamerica.org" class="markup--anchor markup--p-anchor" rel="nofollow">context.newamerica.org</a>, with Midcentury Modern at its new home <a href="https://midcenturymodernmag.com" data-href="https://midcenturymodernmag.com" class="markup--anchor markup--p-anchor" rel="nofollow">midcenturymodernmag.com</a>, and with Substance at <a href="https://substance.media" data-href="https://substance.media" class="markup--anchor markup--p-anchor" rel="nofollow">substance.media</a>. Rounding out our list of launch domains is Medium’s very own comics publication <a href="https://thenib.com" data-href="https://thenib.com" class="markup--anchor markup--p-anchor" rel="nofollow">thenib.com</a>. You can learn more about these publications <a href="https://medium.com/@saul/2a25e0077f12" data-href="https://medium.com/@saul/2a25e0077f12" class="markup--anchor markup--p-anchor">here</a>.</p><p name="1c7b" id="1c7b" class="graf--p">We’re very excited by the potential of custom domains to change how people think of Medium, and we’ll be expanding custom domain support to more publications over time as we refine the product.</p><h3 name="acca" id="acca" class="graf--h3">You have questions, we have answers.</h3><h4 name="61fa" id="61fa" class="graf--h4">Can I have a custom domain now?</h4><p name="96d5" id="96d5" class="graf--p">Not yet, but we’re glad you’re interested. We want to make sure we’ve got the kinks worked out before we roll this out more widely. If you are interested in hosting your publication at a custom domain, let us know <a href="https://docs.google.com/forms/d/1aB2-sMw_BnExzKlXQA2-lGWv9m2lnd0SlaTe5mBqnWs/viewform" data-href="https://docs.google.com/forms/d/1aB2-sMw_BnExzKlXQA2-lGWv9m2lnd0SlaTe5mBqnWs/viewform" class="markup--anchor markup--p-anchor" rel="nofollow">here</a>, and we’ll update you when we have more information to share. No need to rush — that form isn’t first come, first served.</p><h4 name="fe08" id="fe08" class="graf--h4">Can I have a custom domain for my Medium profile?</h4><p name="9ee9" id="9ee9" class="graf--p">We don’t currently have plans to extend custom domain support to profiles.</p><h4 name="1df5" id="1df5" class="graf--h4">Does Medium own the domain names?</h4><p name="1b76" id="1b76" class="graf--p">No, the domain names are owned by the respective publications.</p><h4 name="4adf" id="4adf" class="graf--h4">How am I tracked on the Medium network?</h4><p name="e64b" id="e64b" class="graf--p">We’ll collect stats and usage data at any domain which is hosted by Medium, just like we collect stats when you visit any publication on medium.com today. Of course, we’ll still respect <a href="https://medium.com/policy/how-we-handle-do-not-track-requests-on-medium-f2b4b4fb7c5e" data-href="https://medium.com/policy/how-we-handle-do-not-track-requests-on-medium-f2b4b4fb7c5e" class="markup--anchor markup--p-anchor">Do Not Track</a> for those of you who have it turned on.</p><h4 name="ab47" id="ab47" class="graf--h4">So, is Medium a platform or a publisher?</h4><p name="0c37" id="0c37" class="graf--p">Yes.</p><figure name="6c94" id="6c94" class="graf--figure"><div class="aspectRatioPlaceholder is-locked"><p class="aspect-ratio-fill"/><img class="graf-image" data-image-id="1*yTCMdcKA-BNY1bwyMSblng.jpeg" data-width="2910" data-height="1671" data-action="zoom" data-action-value="1*yTCMdcKA-BNY1bwyMSblng.jpeg" src="https://d262ilb51hltx0.cloudfront.net/max/800/1*yTCMdcKA-BNY1bwyMSblng.jpeg"/></div></figure><h4 name="854f" id="854f" class="graf--h4">Do I have to have a custom domain to launch a publication on Medium?</h4><p name="57d8" id="57d8" class="graf--p">No! There are <a href="https://medium.com/matter" data-href="https://medium.com/matter" class="markup--anchor markup--p-anchor">plenty</a> <a href="https://medium.com/human-parts" data-href="https://medium.com/human-parts" class="markup--anchor markup--p-anchor">of</a> <a href="https://medium.com/backchannel" data-href="https://medium.com/backchannel" class="markup--anchor markup--p-anchor">great</a> <a href="https://medium.com/cuepoint" data-href="https://medium.com/cuepoint" class="markup--anchor markup--p-anchor">publications</a> on Medium that aren’t hosted at a domain. You can create your own <a href="https://medium.com/publications" data-href="https://medium.com/publications" class="markup--anchor markup--p-anchor">here</a>.</p><h4 name="740d" id="740d" class="graf--h4">This Q&amp;A was really short! I have more questions!</h4><p name="9176" id="9176" class="graf--p graf--last">Great! Let us know at yourfriends@medium.com.</p>
