title: Ecologie : la (très) longue marche
url: https://www.lesechos.fr/idees-debats/sciences-prospective/ecologie-la-tres-longue-marche-1152646
hash_url: c0382f0b7f8603ba098b4472e28bbc3d

<div class="sc-1r87fjh-0 iPxahS post-paywall"><p>La conscientisation d'une nature en péril s'est produite dans la seconde moitié du XIXe siècle, avec les poètes, les philosophes, les forestiers, les conservateurs de la biologie (que l'on songe aux premiers grands parcs nationaux qui se sont créés aux Etats-Unis : Yellowstone en 1872, Yosemite en 1890), ou encore, en France, avec un mouvement artistique comme l'école de Barbizon, qui a appelé à la création de réserves pour préserver cette nature que des artistes aiment à peindre. Le progrès technique allant, les techniques d'extraction étant de plus en plus voraces en matière de ressources fossiles, le temps capitalistique rayonnant, la menace s'est consolidée.</p><p>Les philosophes ont continué à clamer la nécessaire alliance entre le « contrat naturel » (pour reprendre l'expression de Michel Serres) et le contrat social. De l'écologue et écologiste américain Aldo Leopold, considéré comme l'un des pères de la gestion de l'environnement aux Etats-Unis, au philosophe norvégien Arne Naess, fondateur du courant de l'« écologie profonde » défendant la valeur intrinsèque (par opposition à la valeur instrumentale) de la nature ; du philosophe allemand Martin Heidegger dénonçant la « technoscience », qui arraisonne la nature, à son compatriote Hans Jonas, le penseur du « principe responsabilité » qui appelle à mettre en place une bioéthique publique (et pas seulement individuelle) et à se soucier des générations futures en inventant un système de production qui maintient « la vie authentiquement humaine ».</p><h3>Conscientisation</h3><p>La parole philosophique pesant peu, la politique internationale s'est saisie de l'affaire environnementale avec les premiers rapports sur la limite de la croissance (rapport Meadows, 1972), les premiers sommets de la Terre, la convention internationale de la biodiversité (1992), le rapport Brundtland (1987) sur les générations futures ; les médias aussi ont découvert la Terre, cette planète à la rotondité si fragile, sublime fanal bleu, qui avait fait dire à Michael Collins, astronaute et découvreur de la Lune avec ses comparses Armstrong et Aldrin, qu'en marchant sur la Lune, il avait principalement découvert la Terre… Bref, nous sommes alors dans les années 1970, et malgré l'émerveillement devant la vulnérabilité de la Terre, malgré les grands textes internationaux inauguraux, malgré la philosophie et les poètes, rien n'y fait.</p><p>Il faudra encore plusieurs autres couches de dynamique de conscientisation pour comprendre quelque chose à cette histoire d'une Terre qui ne peut supporter une telle pression extractive : la communauté scientifique qui s'est structurée autour du GIEC dans les années 1990 ; la société civile qui est devenue de plus en plus opérationnelle et organisée pour dénoncer les préjudices écologiques et les inégalités environnementales (certes WWF date des années 1960 et Greenpeace des années 1970, mais leur force de frappe médiatique et politique est plus tardive) ; et, enfin, les économistes qui se sont mobilisés à leur tour (rapport Stern, 2005) pour nous alerter sur les sanctions à venir en matière de décroissance économique, au sens où tout cela pourrait nous coûter entre 5 et 20 % du PIB mondial si nous ne nous décidions pas, « nous » pays occidentaux et émergents, à consacrer 1 % de notre PIB commun à la lutte contre le réchauffement climatique.</p><h3>Une décennie perdue</h3><p>C'était il y a presque quinze ans et, certes, les choses ont évolué, mais très doucement, et de façon sectorielle et non systémique : il existe quantité « d'insularités », autrement dit des petits groupes, communautés, individus, entreprises de taille moyenne, associations défendant l'économie solidaire et circulaire, qui ont basculé dans la transition écologique, inventant des nouveaux modes de production et de consommation. La responsabilité sociale et environnementale est passée par là, mais la véritable transformation comportementale est encore limitée.</p><p>En 2018, une nouvelle catégorie de population s'est mobilisée, celle au nom de laquelle chacun parlait, la fameuse « génération future ». Les marches pour le climat ont réuni principalement les jeunes, partout sur la planète, et, en France, ce sont encore eux, et plus particulièrement les diplômés des grandes écoles (Ulm, Centrale-Supélec, Polytechnique, etc.) qui, par l'intermédiaire d'un manifeste « pour un réveil écologique », ont adressé un plaidoyer à leurs futurs employeurs, leur expliquant qu'ils refuseraient de travailler avec ceux qui ne prennent pas au sérieux les objectifs de l'Accord de Paris (2015). Dernièrement, le monde financier se félicitait des consolidations du dernier Finance Climate Day et de la « banalisation » des « corporate green bonds ». Tout va bien donc.</p><p>Mais alors, si le consensus est désormais mondial, l'agenda posé, les volontés en marche, pourquoi un tel regain actuel pour la collapsologie, les théories de l'effondrement, l'utilisation heuristique de la peur - ce que le philosophe Jean-Pierre Dupuy nomme le « catastrophisme éclairé » ?… Parce qu'une « décennie perdue » vient de s'écouler, selon l'ONU, et que les efforts pour réduire les gaz à effet de serre deviennent drastiques. « Les Etats ont collectivement échoué » et les phénomènes catastrophiques se démultiplient à travers le monde, s'abattant de préférence sur les plus vulnérables d'entre nous : tel est, en substance, le message du Programme des Nations unies pour l'environnement (PNUE) à l'attention de la COP 25 qui s'ouvre à Madrid en ce mois de décembre.</p><p>Les « boucles de vulnérabilité » décrites par l'économiste Eloi Laurent, de l'OFCE, s'enchevêtrent : là où une gouvernance démocratique est déficitaire, se produisent spoliation, surexploitation, pillage et abandon aux puissances étrangères, créant par là même une vulnérabilité environnementale qui se traduit immanquablement en vulnérabilité économique et sociale. Prôner la justice sociale mais en la découplant de la justice environnementale est une supercherie. Tout fardeau économique s'articule aujourd'hui à un fardeau écologique. Les inégalités économiques s'appuient toutes sur des préjudices écologiques. Le cercle des hommes et de leurs milieux naturels se rappelle à nous.</p><h3>« Amnésie environnementale »</h3><div class="encadre encadre-exergue-texte"><p>La lutte contre la morbidité environnementale est devenue un objectif majeur selon l'Organisation mondiale de la santé</p></div><p>Le constat est le même côté santé. La nature est le premier partenaire de la santé des hommes, au sens où une piètre qualité environnementale a des incidences durables sur le bien-être physique, psychique et social des personnes ; et l'on ne parle pas ici simplement d'éco-anxiété, mais de préjudices beaucoup plus graves se traduisant par des maladies chroniques (maladies respiratoires, cancers, maladies cardio-vasculaires, maladies diarrhéiques, etc.) La lutte contre la morbidité environnementale est devenue un objectif majeur selon l'Organisation mondiale de la santé.</p><p>Là encore, philosophes et psychologues de la conservation connaissent depuis longtemps ce lien homéostasique qui unit les hommes à leur milieu naturel, certains, comme le biologiste américain Edward Wilson, évoquant le terme de « biophilie » pour exprimer ce besoin vital et urgent, pour l'homme, de se reconnecter à la nature. Mais depuis l'urbanisation galopante et la mégalopolisation, le lien à la nature s'est distendu, si bien que l'« amnésie environnementale » (l'expression est du psychologue américain Peter Kahn) s'est imposée.</p><p>De génération en génération, les dégradations de l'environnement augmentent, mais chaque génération considère le niveau dégradé dans lequel elle grandit comme un niveau non dégradé - comme un niveau normal. Résultat : une relation à la nature de plus en plus instrumentale, déconnectée, consumériste, et empêchant une vision élargie de l'éthique, au sens où celle-ci est indissociable du lien avec le vivant dans son ensemble.</p><p>Or, plus le cercle de l'éthique est restreint, plus nos choix en matière de politiques publiques, de comportements citoyens, de solidarité sont régressifs et chosifient les êtres avec lesquels nous interagissons. Des chercheurs comme Susan Clayton et Anne-Caroline Prévot ont d'ailleurs défendu l'importance de faire des « expériences de nature », dès la petite enfance et tout au long de la vie. A l'international, l'IPBES et la Convention pour la diversité biologique encouragent explicitement (le retour) de telles expériences, en postulant qu'elles permettront une meilleure compréhension et appropriation des enjeux de biodiversité, plus de comportements probiodiversité et un soutien plus important aux politiques publiques actuelles. Un chemin finalement peu théorisé, sans considérations sanitaires ou économiques, mais tout simplement expérientiel.</p></div>