title: Your Job Is Not to Write Code
url: https://medium.com/@lauraklein/your-job-is-not-to-write-code-d002609b117a
hash_url: e2929cc39a364e8b3da3922e191d17fd

<p name="5f17" class="graf--p"><em class="markup--em markup--p-em">I am lucky enough to work with a small team of fantastic engineers who truly care about their customers. If you are not that lucky, this letter is for you to share with your engineering team.</em></p><p name="0395" class="graf--p">Dear Engineers,</p><p name="ebbe" class="graf--p">Your job is not to write code.</p><p name="7bf1" class="graf--p">I know. You think you were hired to write code. In fact, your entire interview process centered around how well you could write code. And I’m sure you do it really well.</p><p name="9b35" class="graf--p">But it’s not your job.</p><p name="846c" class="graf--p">Your job is to improve our product for our users. If you want to get technical about it, your job is to improve our product for our users in a way that improves the key metrics of the company. But honestly, you don’t always have a lot of control over that second bit. You do, however, have an enormous amount of control over the first bit!</p><p name="4c32" class="graf--p">Of course, if you want to do your job well, it does mean that you may have to change some of your current behaviors.</p><p name="e1dd" class="graf--p">For one thing, you need to make sure that the code you write (writing code is still one of the main things you will do when doing your job, by the way) runs the way it should, <em class="markup--em markup--p-em">even on users’ machines</em>.</p><p name="3c5c" class="graf--p">Did you know that our users probably don’t have brand new MacBook Airs with giant Thunderbolt monitors set at the highest resolution possible and running the latest version of Chrome? I checked. A lot of them have Internet Explorer on 4 year old laptops, so sometimes things you build don’t work right on their machines. They’re still our users, and it’s still your job to improve the product for them, so please make sure that the code you wrote works in a reasonable number of environments.</p><p name="bcea" class="graf--p">In fact, you’re going to need to make sure that the code you wrote runs in production, in general. I don’t really care if your code runs locally. If your code just runs locally, then my only option is to sell your computer so that our users can use our software, and that really doesn’t scale.</p><p name="86d5" class="graf--p">So, to avoid that, you need to check your changes in production. Every time. Remember, your job is not just to ship something. It’s to ship something that improves our product for our customers. You can’t know it will do that unless you check that it runs in the way it’s supposed to.</p><p name="587d" class="graf--p">Of course, in order to check your changes in production, you’re going to need to make sure that your code actually gets merged and pushed into production. I mean, you can’t really check your changes in production if you just let them sit unpushed for hours or days. Push your code. Get it into production. Then run it and check it.</p><p name="5bcd" class="graf--p">This is obviously harder to do if you’re in an environment where you can’t do continuous deployment, but the theory still holds. When your code gets into production, whenever that is, you’re still responsible for it. Make sure that it’s doing what it ought to be doing - which is make the product better for users.</p><p name="5f81" class="graf--p">Another thing to remember is that sometimes users do surprising things, which means that it’s not enough just to test that your code works under perfect conditions. You need to make sure that it does something reasonable even in error cases and zero data states and when the user does something you might not expect, like use the back button or make two accounts by mistake.</p><p name="0f68" class="graf--p">This is hard. It means you’ll have to spend time thinking about the different things our users might do. But it’s an important part of your job, because it will vastly improve the product for our users if they aren’t constantly finding bugs or edge cases or dead ends.</p><p name="bcf3" class="graf--p">There’s one more important part to your job. You need to make sure that we can measure whether we’re all doing our jobs well. That means adding metrics and analytics so that we can test the effects of our changes. If you expect the code you are writing to improve user engagement (by improving the user experience in some key way), then you need to have a way to learn whether or not you succeeded. How else will you know if your job is done? Because, as I’ve mentioned, your job isn’t done until you’ve improved the product for our users.</p><p name="a7c9" class="graf--p">I know what you’re thinking. This will all take so long! I’ll be so much less effective!</p><p name="81a8" class="graf--p">This isn’t true. You’ll be far more effective because you will actually be doing your job. If you get hassled for writing less code, that’s a failure of management, and I apologize for it. We need to spend less time demanding that you write features and more time asking you to improve our product for our users. If we’re not doing that, I strongly suggest you ask us to. If we still refuse, you should leave and find an environment that lets you do your job. Which, not to beat a dead horse, is to make the product better for our users.</p><p name="9a48" class="graf--p">Please don’t feel like I’m picking on you. You’re not the only one who should be doing this job. It is all of our jobs to make the product better for our users. It is my job as a PM and UX Designer and Manager to understand our users well enough that I can help you know how to improve the product for them. It is the CEO’s job to find a strategy that allows us to make money by improving the product for our users.</p><p name="6238" class="graf--p">No matter what our job titles, our jobs are all the same — to make the product better for our users. Every day. So let’s do that.</p><p name="d511" class="graf--p">Thank you,</p><p name="8dd3" class="graf--p">Your Product Manager</p>
