title: A World We Built to Burn
url: https://www.emptywheel.net/2019/10/18/a-world-we-built-to-burn/
hash_url: e416dd2c76330823b6670113638fbb4e

<div id="attachment_77262" class="wp-caption alignleft"><a href="https://www.emptywheel.net/wp-content/uploads/2019/10/Screen-Shot-2019-10-18-at-4.29.44-PM.png" data-wpel-link="internal"><img aria-describedby="caption-attachment-77262" class="wp-image-77262 size-medium" src="https://www.emptywheel.net/wp-content/uploads/2019/10/Screen-Shot-2019-10-18-at-4.29.44-PM-300x298.png" alt="" srcset="https://www.emptywheel.net/wp-content/uploads/2019/10/Screen-Shot-2019-10-18-at-4.29.44-PM-300x298.png 300w, https://www.emptywheel.net/wp-content/uploads/2019/10/Screen-Shot-2019-10-18-at-4.29.44-PM-80x80.png 80w, https://www.emptywheel.net/wp-content/uploads/2019/10/Screen-Shot-2019-10-18-at-4.29.44-PM-36x36.png 36w, https://www.emptywheel.net/wp-content/uploads/2019/10/Screen-Shot-2019-10-18-at-4.29.44-PM-180x180.png 180w, https://www.emptywheel.net/wp-content/uploads/2019/10/Screen-Shot-2019-10-18-at-4.29.44-PM-120x120.png 120w, https://www.emptywheel.net/wp-content/uploads/2019/10/Screen-Shot-2019-10-18-at-4.29.44-PM-450x448.png 450w, https://www.emptywheel.net/wp-content/uploads/2019/10/Screen-Shot-2019-10-18-at-4.29.44-PM.png 599w" sizes="(max-width: 300px) 100vw, 300px"/></a><p id="caption-attachment-77262" class="wp-caption-text">Smoke from the Camp Fire settles on San Francisco, 2018</p></div>
<p>It’s the windy end of a hot summer in California right now, and everything wants to burn. This year, like every year, fall winds jostle and tug a dry landscape of golden grasses and scrubland up against forests whose floors are piled with dry litterfall. Old powerlines hang from poles all over a landscape that has been changed by the human suppression of the fires that were always a part of the ecosystem.</p>
<p>More houses are closer to this tinderbox, as <a href="https://www.azcentral.com/in-depth/news/local/arizona-wildfires/2019/07/22/wildfire-risks-more-than-500-spots-have-greater-hazard-than-paradise/1434502001/" target="_blank" rel="nofollow noopener noreferrer external" data-wpel-link="external">we’ve pushed the wildland-urban interface further into the interior of the southwestern states than it has ever been</a>. The power lines are owned by a bankrupt utility, PG&amp;E, and in a lot of places, they were turned off last week, to prevent the utility company from burning down more towns like<a href="https://en.wikipedia.org/wiki/Camp_Fire_(2018)" target="_blank" rel="nofollow noopener noreferrer external" data-wpel-link="external"> Paradise, CA</a>, which burned with a kind of biblical rage this time last year.</p>
<p>And then, on top of all this, there’s climate change, making the hot and dry and windy just a bit hotter and drier and windier.</p>
<p>The reasons PG&amp;E cut off power to millions of people in California are myriad and complicated and go back the better part of a century.</p>
<p>This is a story of climate change, but it’s also a story of messed-up political priorities that date to when our great-grandparents were still getting used to the idea of electricity. It’s a story of disrespect and exploitation of the land, of failures in capitalism, regulation, and political will, of people who don’t want to live with the consequences of their decisions, and people who have to live with the consequences of other people’s decisions.</p>
<p>There isn’t a right answer here, there isn’t a single responsible party, and there’s not a clear, safe, and easy path forward. In the words of Paradise’s mayor, Jody Jones: “<a href="http://https://www.kqed.org/news/11778926/planned-blackout-during-wildfire-weather-causes-upheaval" target="_blank" rel="nofollow noopener noreferrer external" data-wpel-link="external">It’s really kind of a no-win situation.</a>”</p>
<div class="wp-caption alignnone"><img src="https://c10.patreonusercontent.com/3/eyJwIjoxfQ%3D%3D/patreon-media/p/post/30864183/3013bee7f1194b749aa6ff57d714c1c0/1.jpg?token-time=1572566400&amp;token-hash=GJY-d-I0lDX3rdmD9vosnKWNOQdLfLUdCNH4X55ZvTk%3D" alt="" data-media-id="44621412"/><p class="wp-caption-text">Camp Fire, 2018, NASA</p></div>
<p>In California those who wanted to blame PG&amp;E for the power shutdowns called this an infrastructure problem, and PG&amp;E deflected by saying it was a climate change problem. But climate change, and more generally, the wider range of the planetary stress we’re living through now, is an infrastructure problem.</p>
<p>I’m not just talking about the 2 degrees centigrade we hear about all the time. Everything from fires to CO2 to biodiversity loss and plastic pollution have come from how we have managed our built environment and currently maintain our infrastructure, and our infrastructure touches every part of life and culture, from forests cleared to create agricultural land for beef and palm oil, to travel-related carbon emissions and heat waves, to the houses built in what was once the California wilds. The issue at the heart of all of these things is how we manage the planet, now that we know that’s what we’re doing.</p>
<p>None of our old infrastructure was built with planetary management in mind, and very little is even now. What we’re dealing with is hundreds of years of something that software world calls technical debt. Technical debt is the shortcuts and trade-offs engineers use to get something done either cheaper or in less time, which inevitably creates the need to fix systems later, often at great cost or difficulty.</p>
<p>Some technical debt is understood up front, some comes from builders being ignorant  of the system they are working in. Most of our planet’s infrastructure is mired in huge amounts of technical debt, most of which we didn’t know we were signing up for at the time, some of which we’re just incurring recklessly as we go along, unable to face the scale of the problem and pushing it off on the next generation.</p>
<p>California is a perfect microcosm of this. The infrastructure is failing, and political priorities are just elsewhere. In the case of energy policy, there’s a huge push to switch from fossil fuels to renewables, which is much more politically sexy than fixing transmission lines. With housing, it’s approving building deeper and deeper into wildlands, often while local policies, old laws, and zoning keep city and suburban density low and property prices unsustainably high.</p>
<p>So here we are: Keeping the lines on will probably kill people. Turning them off will probably kill people. Our political system is facing <a href="https://en.wikipedia.org/wiki/Trolley_problem" target="_blank" rel="nofollow noopener noreferrer external" data-wpel-link="external">a real-life trolley problem</a> created by our ever-expanding technical debt. It can’t have been easy for the people making the decisions.</p>
<p>I’ve known people who worked for PG&amp;E in technical roles. I’ve known plenty of people who work on, and care about, infrastructure. They’re not bad people on the whole, and I’m sure part of the aggressive de-energizing came from a rank and file traumatized by last year’s fires and acutely terrified of having a hand in killing people. There’s almost never as many people cackling in dark rooms while chomping on expensive cigars as people think there are.</p>
<p>There just aren’t enough bad guys for all the problems we have right now, leaving us with the hard work fixing problems and not enough of the satisfaction of blaming people.</p>
<p>This past week those who lived in the blackout areas were told to prepare as best they could.</p>
<p>This <a href="https://www.ktvu.com/news/chp-pge-worker-shot-at-in-colusa-county" target="_blank" rel="nofollow noopener noreferrer external" data-wpel-link="external">enraged</a> many, including California Governor Newsom, who is in charge of the government that would in theory be taking care of this kind of thing. The angry people, from Newsom down, felt somebody, somewhere, was supposed to be responsible for all of this, that there simply weren’t supposed to be problems like choosing between fires and blackouts.</p>
<p>But much of the next century is going to be problems like this, not just for California, but for the whole world, as we deal with several generation’s worth of technical debt around infrastructure and learning to really manage our planet. There’s a lot we can learn from the California case, both about how to fix it, and how to cope in the mean time, like: have a plan.</p>
<p>People often get very angry when they hear that they have to have a plan. During the European heatwave and evacuations ahead of storm surges on the East Coast over the summer, and then California’s fall fire-and-blackout season, those living in threatened areas were told to have a plan to take care of their people and themselves.</p>
<p>Sometimes they were told it was time to take care of themselves without much notice. The anger in the case of every disaster is palpable, even though these days the disasters come one after another. Sometimes it seems like we live on a planet slowly traversing the old metaphorical stages of grief — most caught somewhere between denial and anger, with a few out on the scientific frontier starting the process of bargaining.</p>
<p>One of our jobs in this century is to accept that we don’t live on the planet we thought we lived on, and our societies aren’t doing what we thought they were. Even if we were able to change our politics overnight, which is probably impossible without some planetary level disaster wake up call, it would still take many decades to dig ourselves out of out technical debt, and in the mean time, we have to stay alive and try to thrive.</p>
<p>Everyone who lives on this stressed-out planet have to have plans, at every level from transnational to individual. We have to build resiliency and  capacity to cope with unstable and difficult circumstances, potentially for years, as we learn to pay down the technical debt and build the infrastructure that can work with our planet. <a href="https://www.redcross.org/get-help/how-to-prepare-for-emergencies/survival-kit-supplies.html" target="_blank" rel="nofollow noopener noreferrer external" data-wpel-link="external">For Californians that means stores of water and non-perishable foods, spare medication, first aid, batteries, N95 masks, and an evacuation plan, </a> especially for those living in fire-prone areas.</p>
<p>In hurricane zones, it means a go-bag. It can mean a lot of things depending on where you are and what protecting your home and family means to you. Where I live now, it means iodine pills in the bathroom first aid kit, in case the old and poorly maintained nuclear power plant not from my home goes wrong.</p>
<p>There are questions of right and wrong and responsibility our societies need to address, but having a plan not a matter of fairness or right and wrong. Those will be litigated elsewhere or another time. When the fires have started, the lot have gone out, the waters are rising or the radiation is leaking, it’s a matter of knowing how to take care of you and yours and your community as best you can.</p>
<p>I can imagine you looking at the screen, saying “It shouldn’t be this way!” But it is this way. The world we thought we had, with a safe stable environment and not too many people, that is not the world we live in. That is, in short, not real. At the individual level as well as the policy level, we need to let go of that which is not real.</p>
<p>We are living with infrastructure that is not fit for the reality on our planet. The faster we accept that, the faster we can get to the real work of changing it, politically and socially. Personal resiliency and societal resiliency go hand-in-hand.</p>
<p>Without that, bad infrastructure creates vicious circles, both logistical and political.</p>
<p>Back in the here and now, a lot of activists have focused in California on <a href="https://www.theguardian.com/us-news/2019/oct/11/california-power-shutoffs-when-your-public-utility-is-owned-by-private-investors" target="_blank" rel="nofollow noopener noreferrer external" data-wpel-link="external">private ownership and investor motivations as the problem</a>, proposing taking utilities into public hands as the solution. I’m sympathetic, but suspect this doesn’t solve any problems on its own, because there’s no solution that doesn’t involve difficult tradeoffs, and governments aren’t particularly good at difficult tradeoffs.</p>
<p>PG&amp;E or the state need to modernize energy transmission to reduce waste and stop burning down whole towns. We need to modernize existing infrastructure all over the world to cope with the effects of climate change. We also need to replace and build new infrastructure to mitigate climate change and decarbonization for the future. We need to protect biodiversity, and limit extraction. In California, as in the rest of the world, these goals are hard to get out of conflict. They draw on the same pool of money, the same political will, and even the same class of workers.</p>
<p>Both modernizing existing infrastructure and building new sustainable infrastructure at once is slow and viciously expensive. Doing one after another is slower, a little cheaper, and more dangerous. These are the trade-offs that will characterize life in the 21st century on our lovely little water planet.</p>
<p>Our incentives often undermine these goals at every level.</p>
<p>As a simple example, power cuts lead to people buying generators, which are worse for climate change than power generation. This is a pattern we see all over the developing world, like the otherwise modern lifestyle in <a href="https://www.wired.com/story/beruit-electricity-brokers/" target="_blank" rel="nofollow noopener noreferrer external" data-wpel-link="external">Beirut</a>, but now showing up in the developed world.</p>
<p>More complexly, the worthy long term goal of bringing power generation closer to where it is used, such as solar roof panels and municipal or micro generation technologies pose a undesirable threat to PG&amp;E. Localized residential and business power generation is better, with lower emissions and less fire risk. But right now, shifting to local production takes funding away from PG&amp;E, putting it into the position of fighting against a future everyone wants — including most of the people at PG&amp;E. This is because the less money PG&amp;E gets, the less it can do to make power distribution safe by burying or replacing power lines, or meeting the power needs of those who can’t generate for themselves, who are most likely to be the poorest customers.</p>
<p>California’s political priority of changing power sources to renewables has gone quite well, but has drawn attention and money away from rebuilding boring power lines hanging above unphotogenic scrubby foliage, like the kind that caught fire last year, incinerating Paradise.</p>
<p>Local micropower generation is certainly what we all want in the long term, but because of how we’ve structured the idea of utility service, it can only reduce funding for large scale projects as fewer and fewer people pay in. These priorities don’t have to be in conflict, but until we rethink how we’re coordinating our response to infrastructure needs and planetary management, they will be. That is also technical debt.</p>
<p>Part of the is the difficulty with managing planetary resources is telling people they can’t have it all. This is hard with all humans, but especially with Americans. The only thing we seem ok with making personal sacrifice for is war, which seems hardly coincident with calling every major policy “a war on” something or other for the past 60 years.</p>
<p>Let me go straight to one of the roughest things we face: not being able to live where we want.</p>
<p><a href="https://www.pnas.org/content/115/13/3314.short" target="_blank" rel="nofollow noopener noreferrer external" data-wpel-link="external">Californians think its their pioneering right to build houses and whole towns deep into the wildlands</a>, land evolved to burn in a place that has been catching fire on a geologic time scale. But Fire doesn’t care where we think we should build our wooded, outdoorsy, and cheap retirement homes.</p>

<p>What Californians, as well as many other Americans, and hundreds of millions of people around the world need to give up on is living where they think they ought to be able to live. Californians are busy building new neighborhoods into the rightful territory of giant fast moving infernos; post-Hurricane Texans think they have the right to build in low-elevation Houston, and poverty-stricken Bangladeshis and Indonesians think they should hold on to the shores they’ve always lived on.</p>
<p>Houston is technical debt. New Orleans is technical debt. Puerto Rico is plagued by intertwined monetary and technical debt. <a href="http://https://www.bbc.com/news/world-asia-44636934" target="_blank" rel="nofollow noopener noreferrer external" data-wpel-link="external">Jakarta is sinking, literally, into technical debt</a>.</p>
<p>Paradise, CA was technical debt.</p>
<p>One of the first lessons of climate, and infrastructure, is that people have to live closer together and in easier places, or they will die. Nature doesn’t care who deserves what. Nature is not interested in how things are supposed to be. We are interested in being kinder than nature, we are interested in justice, and we are going to have to be responsible for bringing that kindness and justice to the people displaced by nature, and who are in need in need of the good things we can all have when we pay down that technical debt and build global infrastructure that works for everyone, including nature.</p>
<p>Ultimately, Californians and Texans and Bangladeshis and Indonesians are participating in the same project, along with the rest of us, to manage ourselves and our resources in ways that let us live comfortably and not quite so heavily upon the Earth.</p>
<p>We have to retreat from the shore, stay out of the wild places, and be careful with our water. We have to use less energy, less land, and take better care of each other at the global level. The faster we figure that out, the better our chances are. Most of the world is past denial now, and so is most of California. Skipping past anger and bargaining and even depression, all the way to acceptance of this new reality, and getting to work, is the best we can do.</p>

<hr/>
<p><em>My work for Emptywheel is supported by my wonderful patrons on Patreon. You can find out more, and support my work, at <a href="https://www.patreon.com/QuinnNorton" rel="external noopener noreferrer" data-wpel-link="external">Patreon</a>. All of my Emptywheel work is CC By, Noncommercial. </em></p>
<p><em>(Thanks to Ryan Singel for invaluable help) </em></p>